#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMarchingCubes object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMarchingCubes.h"

//@@Signature
//sfunction @vtkMarchingCubes:vtkMarchingCubes vtkMarchingCubesConstructorFunction
//input a
//output p
//@@Parents vtkMarchingCubes vtkPolyDataAlgorithm 
ArrayVector vtkMarchingCubesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMarchingCubes::New(),"vtkMarchingCubes",eval);
  } else if (arg[0].className() == "vtkMarchingCubes") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMarchingCubes"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMarchingCubes");
    vtkMarchingCubes*q = reinterpret_cast<vtkMarchingCubes*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMarchingCubes");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMarchingCubes:GetClassName vtkMarchingCubesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMarchingCubesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMarchingCubes requires 1 argument(s)");
  vtkMarchingCubes* vtk_pointer = GetVTKPointer<vtkMarchingCubes>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMarchingCubes:IsA vtkMarchingCubesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMarchingCubesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMarchingCubes requires 2 argument(s)");
  vtkMarchingCubes* vtk_pointer = GetVTKPointer<vtkMarchingCubes>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMarchingCubes:NewInstance vtkMarchingCubesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMarchingCubesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMarchingCubes *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMarchingCubes requires 1 argument(s)");
  vtkMarchingCubes* vtk_pointer = GetVTKPointer<vtkMarchingCubes>(arg[0]);
  Array retval;
  vtkMarchingCubes  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMarchingCubes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingCubes:SafeDownCast vtkMarchingCubesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMarchingCubesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMarchingCubes *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMarchingCubes requires 2 argument(s)");
  vtkMarchingCubes* vtk_pointer = GetVTKPointer<vtkMarchingCubes>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMarchingCubes  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMarchingCubes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingCubes:SetValue vtkMarchingCubesSetValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkMarchingCubesSetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (int i, double value); */
  if (arg.size() < 3) 
    throw Exception("Function SetValue for class vtkMarchingCubes requires 3 argument(s)");
  vtkMarchingCubes* vtk_pointer = GetVTKPointer<vtkMarchingCubes>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingCubes:GetValue vtkMarchingCubesGetValueFunction
//input a0 a1 
//output y
ArrayVector vtkMarchingCubesGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetValue (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetValue for class vtkMarchingCubes requires 2 argument(s)");
  vtkMarchingCubes* vtk_pointer = GetVTKPointer<vtkMarchingCubes>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMarchingCubes:GetValues__2 vtkMarchingCubesGetValues__2Function
//input a0 a1 
//output none
ArrayVector vtkMarchingCubesGetValues__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetValues (double *contourValues); */
  if (arg.size() < 2) 
    throw Exception("Function GetValues__2 for class vtkMarchingCubes requires 2 argument(s)");
  vtkMarchingCubes* vtk_pointer = GetVTKPointer<vtkMarchingCubes>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->GetValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingCubes:SetNumberOfContours vtkMarchingCubesSetNumberOfContoursFunction
//input a0 a1 
//output none
ArrayVector vtkMarchingCubesSetNumberOfContoursFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfContours (int number); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfContours for class vtkMarchingCubes requires 2 argument(s)");
  vtkMarchingCubes* vtk_pointer = GetVTKPointer<vtkMarchingCubes>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfContours(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingCubes:GetNumberOfContours vtkMarchingCubesGetNumberOfContoursFunction
//input a0 
//output y
ArrayVector vtkMarchingCubesGetNumberOfContoursFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfContours (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfContours for class vtkMarchingCubes requires 1 argument(s)");
  vtkMarchingCubes* vtk_pointer = GetVTKPointer<vtkMarchingCubes>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfContours();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMarchingCubes:GenerateValues__1 vtkMarchingCubesGenerateValues__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkMarchingCubesGenerateValues__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateValues (int numContours, double range[2]); */
  if (arg.size() < 3) 
    throw Exception("Function GenerateValues__1 for class vtkMarchingCubes requires 3 argument(s)");
  vtkMarchingCubes* vtk_pointer = GetVTKPointer<vtkMarchingCubes>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[2];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GenerateValues(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingCubes:GenerateValues__2 vtkMarchingCubesGenerateValues__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkMarchingCubesGenerateValues__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateValues (int numContours, double rangeStart, double rangeEnd); */
  if (arg.size() < 4) 
    throw Exception("Function GenerateValues__2 for class vtkMarchingCubes requires 4 argument(s)");
  vtkMarchingCubes* vtk_pointer = GetVTKPointer<vtkMarchingCubes>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->GenerateValues(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingCubes:GetMTime vtkMarchingCubesGetMTimeFunction
//input a0 
//output y
ArrayVector vtkMarchingCubesGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkMarchingCubes requires 1 argument(s)");
  vtkMarchingCubes* vtk_pointer = GetVTKPointer<vtkMarchingCubes>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMarchingCubes:SetComputeNormals vtkMarchingCubesSetComputeNormalsFunction
//input a0 a1 
//output none
ArrayVector vtkMarchingCubesSetComputeNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeNormals (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeNormals for class vtkMarchingCubes requires 2 argument(s)");
  vtkMarchingCubes* vtk_pointer = GetVTKPointer<vtkMarchingCubes>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeNormals(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingCubes:GetComputeNormals vtkMarchingCubesGetComputeNormalsFunction
//input a0 
//output y
ArrayVector vtkMarchingCubesGetComputeNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeNormals (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeNormals for class vtkMarchingCubes requires 1 argument(s)");
  vtkMarchingCubes* vtk_pointer = GetVTKPointer<vtkMarchingCubes>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeNormals();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMarchingCubes:ComputeNormalsOn vtkMarchingCubesComputeNormalsOnFunction
//input a0 
//output none
ArrayVector vtkMarchingCubesComputeNormalsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeNormalsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeNormalsOn for class vtkMarchingCubes requires 1 argument(s)");
  vtkMarchingCubes* vtk_pointer = GetVTKPointer<vtkMarchingCubes>(arg[0]);
  Array retval;
  vtk_pointer->ComputeNormalsOn();
  return retval;
}

//@@Signature
//sfunction @vtkMarchingCubes:ComputeNormalsOff vtkMarchingCubesComputeNormalsOffFunction
//input a0 
//output none
ArrayVector vtkMarchingCubesComputeNormalsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeNormalsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeNormalsOff for class vtkMarchingCubes requires 1 argument(s)");
  vtkMarchingCubes* vtk_pointer = GetVTKPointer<vtkMarchingCubes>(arg[0]);
  Array retval;
  vtk_pointer->ComputeNormalsOff();
  return retval;
}

//@@Signature
//sfunction @vtkMarchingCubes:SetComputeGradients vtkMarchingCubesSetComputeGradientsFunction
//input a0 a1 
//output none
ArrayVector vtkMarchingCubesSetComputeGradientsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeGradients (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeGradients for class vtkMarchingCubes requires 2 argument(s)");
  vtkMarchingCubes* vtk_pointer = GetVTKPointer<vtkMarchingCubes>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeGradients(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingCubes:GetComputeGradients vtkMarchingCubesGetComputeGradientsFunction
//input a0 
//output y
ArrayVector vtkMarchingCubesGetComputeGradientsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeGradients (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeGradients for class vtkMarchingCubes requires 1 argument(s)");
  vtkMarchingCubes* vtk_pointer = GetVTKPointer<vtkMarchingCubes>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeGradients();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMarchingCubes:ComputeGradientsOn vtkMarchingCubesComputeGradientsOnFunction
//input a0 
//output none
ArrayVector vtkMarchingCubesComputeGradientsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeGradientsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeGradientsOn for class vtkMarchingCubes requires 1 argument(s)");
  vtkMarchingCubes* vtk_pointer = GetVTKPointer<vtkMarchingCubes>(arg[0]);
  Array retval;
  vtk_pointer->ComputeGradientsOn();
  return retval;
}

//@@Signature
//sfunction @vtkMarchingCubes:ComputeGradientsOff vtkMarchingCubesComputeGradientsOffFunction
//input a0 
//output none
ArrayVector vtkMarchingCubesComputeGradientsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeGradientsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeGradientsOff for class vtkMarchingCubes requires 1 argument(s)");
  vtkMarchingCubes* vtk_pointer = GetVTKPointer<vtkMarchingCubes>(arg[0]);
  Array retval;
  vtk_pointer->ComputeGradientsOff();
  return retval;
}

//@@Signature
//sfunction @vtkMarchingCubes:SetComputeScalars vtkMarchingCubesSetComputeScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkMarchingCubesSetComputeScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeScalars (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeScalars for class vtkMarchingCubes requires 2 argument(s)");
  vtkMarchingCubes* vtk_pointer = GetVTKPointer<vtkMarchingCubes>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingCubes:GetComputeScalars vtkMarchingCubesGetComputeScalarsFunction
//input a0 
//output y
ArrayVector vtkMarchingCubesGetComputeScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeScalars for class vtkMarchingCubes requires 1 argument(s)");
  vtkMarchingCubes* vtk_pointer = GetVTKPointer<vtkMarchingCubes>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeScalars();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMarchingCubes:ComputeScalarsOn vtkMarchingCubesComputeScalarsOnFunction
//input a0 
//output none
ArrayVector vtkMarchingCubesComputeScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeScalarsOn for class vtkMarchingCubes requires 1 argument(s)");
  vtkMarchingCubes* vtk_pointer = GetVTKPointer<vtkMarchingCubes>(arg[0]);
  Array retval;
  vtk_pointer->ComputeScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkMarchingCubes:ComputeScalarsOff vtkMarchingCubesComputeScalarsOffFunction
//input a0 
//output none
ArrayVector vtkMarchingCubesComputeScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeScalarsOff for class vtkMarchingCubes requires 1 argument(s)");
  vtkMarchingCubes* vtk_pointer = GetVTKPointer<vtkMarchingCubes>(arg[0]);
  Array retval;
  vtk_pointer->ComputeScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkMarchingCubes:SetLocator vtkMarchingCubesSetLocatorFunction
//input a0 a1 
//output none
ArrayVector vtkMarchingCubesSetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLocator (vtkIncrementalPointLocator *locator); */
  if (arg.size() < 2) 
    throw Exception("Function SetLocator for class vtkMarchingCubes requires 2 argument(s)");
  vtkMarchingCubes* vtk_pointer = GetVTKPointer<vtkMarchingCubes>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp0;
  temp0 = GetVTKPointer<vtkIncrementalPointLocator>(arg[1]);
  vtk_pointer->SetLocator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingCubes:GetLocator vtkMarchingCubesGetLocatorFunction
//input a0 
//output y
ArrayVector vtkMarchingCubesGetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalPointLocator *GetLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocator for class vtkMarchingCubes requires 1 argument(s)");
  vtkMarchingCubes* vtk_pointer = GetVTKPointer<vtkMarchingCubes>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp20;
  temp20 = (vtk_pointer)->GetLocator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingCubes:CreateDefaultLocator vtkMarchingCubesCreateDefaultLocatorFunction
//input a0 
//output none
ArrayVector vtkMarchingCubesCreateDefaultLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultLocator for class vtkMarchingCubes requires 1 argument(s)");
  vtkMarchingCubes* vtk_pointer = GetVTKPointer<vtkMarchingCubes>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultLocator();
  return retval;
}

//@@Signature
//sfunction @vtkMarchingCubes:GetValues vtkMarchingCubesGetValuesFunction
//input varargin
//output varargout
ArrayVector vtkMarchingCubesGetValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkMarchingCubesGetValues__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMarchingCubesGetValues");
}

//@@Signature
//sfunction @vtkMarchingCubes:GenerateValues vtkMarchingCubesGenerateValuesFunction
//input varargin
//output varargout
ArrayVector vtkMarchingCubesGenerateValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkMarchingCubesGenerateValues__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkMarchingCubesGenerateValues__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMarchingCubesGenerateValues");
}

//@@Signature
//sfunction @vtkMarchingCubes:display vtkMarchingCubesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMarchingCubesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMarchingCubes* vtk_pointer = GetVTKPointer<vtkMarchingCubes>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMarchingCubes:delete vtkMarchingCubesDeleteFunction
//input varargin
//output none
ArrayVector vtkMarchingCubesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMarchingCubes
//@@Section VTKGraphics
//@@Usage
// vtkMarchingCubes is a filter that takes as input a volume (e.g., 3D
// structured point set) and generates on output one or more isosurfaces.
// One or more contour values must be specified to generate the isosurfaces.
// Alternatively, you can specify a min/max scalar range and the number of
// contours to generate a series of evenly spaced contour values.
//
//To create an instance of class vtkMarchingCubes, simply
//invoke its constructor as follows
//@[
//  obj = vtkMarchingCubes
//@]
//@@Methods
//The class vtkMarchingCubes has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMarchingCubes class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMarchingCubes = obj.NewInstance ()|
// \item @|vtkMarchingCubes = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetValue (int i, double value)|
// \item @|double = obj.GetValue (int i)|
// \item @|obj.GetValues (double contourValues)|
// \item @|obj.SetNumberOfContours (int number)|
// \item @|int = obj.GetNumberOfContours ()|
// \item @|obj.GenerateValues (int numContours, double range[2])|
// \item @|obj.GenerateValues (int numContours, double rangeStart, double rangeEnd)|
// \item @|long = obj.GetMTime ()|
// \item @|obj.SetComputeNormals (int )| -  Set/Get the computation of normals. Normal computation is fairly
// expensive in both time and storage. If the output data will be
// processed by filters that modify topology or geometry, it may be
// wise to turn Normals and Gradients off.
//// \item @|int = obj.GetComputeNormals ()| -  Set/Get the computation of normals. Normal computation is fairly
// expensive in both time and storage. If the output data will be
// processed by filters that modify topology or geometry, it may be
// wise to turn Normals and Gradients off.
//// \item @|obj.ComputeNormalsOn ()| -  Set/Get the computation of normals. Normal computation is fairly
// expensive in both time and storage. If the output data will be
// processed by filters that modify topology or geometry, it may be
// wise to turn Normals and Gradients off.
//// \item @|obj.ComputeNormalsOff ()| -  Set/Get the computation of normals. Normal computation is fairly
// expensive in both time and storage. If the output data will be
// processed by filters that modify topology or geometry, it may be
// wise to turn Normals and Gradients off.
//// \item @|obj.SetComputeGradients (int )| -  Set/Get the computation of gradients. Gradient computation is
// fairly expensive in both time and storage. Note that if
// ComputeNormals is on, gradients will have to be calculated, but
// will not be stored in the output dataset.  If the output data
// will be processed by filters that modify topology or geometry, it
// may be wise to turn Normals and Gradients off.
//// \item @|int = obj.GetComputeGradients ()| -  Set/Get the computation of gradients. Gradient computation is
// fairly expensive in both time and storage. Note that if
// ComputeNormals is on, gradients will have to be calculated, but
// will not be stored in the output dataset.  If the output data
// will be processed by filters that modify topology or geometry, it
// may be wise to turn Normals and Gradients off.
//// \item @|obj.ComputeGradientsOn ()| -  Set/Get the computation of gradients. Gradient computation is
// fairly expensive in both time and storage. Note that if
// ComputeNormals is on, gradients will have to be calculated, but
// will not be stored in the output dataset.  If the output data
// will be processed by filters that modify topology or geometry, it
// may be wise to turn Normals and Gradients off.
//// \item @|obj.ComputeGradientsOff ()| -  Set/Get the computation of gradients. Gradient computation is
// fairly expensive in both time and storage. Note that if
// ComputeNormals is on, gradients will have to be calculated, but
// will not be stored in the output dataset.  If the output data
// will be processed by filters that modify topology or geometry, it
// may be wise to turn Normals and Gradients off.
//// \item @|obj.SetComputeScalars (int )| -  Set/Get the computation of scalars.
//// \item @|int = obj.GetComputeScalars ()| -  Set/Get the computation of scalars.
//// \item @|obj.ComputeScalarsOn ()| -  Set/Get the computation of scalars.
//// \item @|obj.ComputeScalarsOff ()| -  Set/Get the computation of scalars.
//// \item @|obj.SetLocator (vtkIncrementalPointLocator locator)| -  Overide the default locator.  Useful for changing the number of
// bins for performance or specifying a more aggressive locator.
//// \item @|vtkIncrementalPointLocator = obj.GetLocator ()| -  Overide the default locator.  Useful for changing the number of
// bins for performance or specifying a more aggressive locator.
//// \item @|obj.CreateDefaultLocator ()| -  Create default locator. Used to create one when none is
// specified. The locator is used to merge coincident points.
////\end{itemize}
//!
