#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMarchingSquares object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMarchingSquares.h"

//@@Signature
//sfunction @vtkMarchingSquares:vtkMarchingSquares vtkMarchingSquaresConstructorFunction
//input a
//output p
//@@Parents vtkMarchingSquares vtkPolyDataAlgorithm 
ArrayVector vtkMarchingSquaresConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMarchingSquares::New(),"vtkMarchingSquares",eval);
  } else if (arg[0].className() == "vtkMarchingSquares") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMarchingSquares"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMarchingSquares");
    vtkMarchingSquares*q = reinterpret_cast<vtkMarchingSquares*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMarchingSquares");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMarchingSquares:GetClassName vtkMarchingSquaresGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMarchingSquaresGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMarchingSquares requires 1 argument(s)");
  vtkMarchingSquares* vtk_pointer = GetVTKPointer<vtkMarchingSquares>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMarchingSquares:IsA vtkMarchingSquaresIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMarchingSquaresIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMarchingSquares requires 2 argument(s)");
  vtkMarchingSquares* vtk_pointer = GetVTKPointer<vtkMarchingSquares>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMarchingSquares:NewInstance vtkMarchingSquaresNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMarchingSquaresNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMarchingSquares *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMarchingSquares requires 1 argument(s)");
  vtkMarchingSquares* vtk_pointer = GetVTKPointer<vtkMarchingSquares>(arg[0]);
  Array retval;
  vtkMarchingSquares  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMarchingSquares",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingSquares:SafeDownCast vtkMarchingSquaresSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMarchingSquaresSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMarchingSquares *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMarchingSquares requires 2 argument(s)");
  vtkMarchingSquares* vtk_pointer = GetVTKPointer<vtkMarchingSquares>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMarchingSquares  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMarchingSquares",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingSquares:SetImageRange__1 vtkMarchingSquaresSetImageRange__1Function
//input a0 a1 
//output none
ArrayVector vtkMarchingSquaresSetImageRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImageRange (int  [6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetImageRange__1 for class vtkMarchingSquares requires 2 argument(s)");
  vtkMarchingSquares* vtk_pointer = GetVTKPointer<vtkMarchingSquares>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetImageRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingSquares:GetImageRange vtkMarchingSquaresGetImageRangeFunction
//input a0 
//output y
ArrayVector vtkMarchingSquaresGetImageRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetImageRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageRange for class vtkMarchingSquares requires 1 argument(s)");
  vtkMarchingSquares* vtk_pointer = GetVTKPointer<vtkMarchingSquares>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetImageRange();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingSquares:SetImageRange__2 vtkMarchingSquaresSetImageRange__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkMarchingSquaresSetImageRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImageRange (int imin, int imax, int jmin, int jmax, int kmin, int kmax); */
  if (arg.size() < 7) 
    throw Exception("Function SetImageRange__2 for class vtkMarchingSquares requires 7 argument(s)");
  vtkMarchingSquares* vtk_pointer = GetVTKPointer<vtkMarchingSquares>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetImageRange(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingSquares:SetValue vtkMarchingSquaresSetValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkMarchingSquaresSetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (int i, double value); */
  if (arg.size() < 3) 
    throw Exception("Function SetValue for class vtkMarchingSquares requires 3 argument(s)");
  vtkMarchingSquares* vtk_pointer = GetVTKPointer<vtkMarchingSquares>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingSquares:GetValue vtkMarchingSquaresGetValueFunction
//input a0 a1 
//output y
ArrayVector vtkMarchingSquaresGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetValue (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetValue for class vtkMarchingSquares requires 2 argument(s)");
  vtkMarchingSquares* vtk_pointer = GetVTKPointer<vtkMarchingSquares>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMarchingSquares:GetValues__2 vtkMarchingSquaresGetValues__2Function
//input a0 a1 
//output none
ArrayVector vtkMarchingSquaresGetValues__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetValues (double *contourValues); */
  if (arg.size() < 2) 
    throw Exception("Function GetValues__2 for class vtkMarchingSquares requires 2 argument(s)");
  vtkMarchingSquares* vtk_pointer = GetVTKPointer<vtkMarchingSquares>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->GetValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingSquares:SetNumberOfContours vtkMarchingSquaresSetNumberOfContoursFunction
//input a0 a1 
//output none
ArrayVector vtkMarchingSquaresSetNumberOfContoursFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfContours (int number); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfContours for class vtkMarchingSquares requires 2 argument(s)");
  vtkMarchingSquares* vtk_pointer = GetVTKPointer<vtkMarchingSquares>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfContours(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingSquares:GetNumberOfContours vtkMarchingSquaresGetNumberOfContoursFunction
//input a0 
//output y
ArrayVector vtkMarchingSquaresGetNumberOfContoursFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfContours (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfContours for class vtkMarchingSquares requires 1 argument(s)");
  vtkMarchingSquares* vtk_pointer = GetVTKPointer<vtkMarchingSquares>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfContours();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMarchingSquares:GenerateValues__1 vtkMarchingSquaresGenerateValues__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkMarchingSquaresGenerateValues__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateValues (int numContours, double range[2]); */
  if (arg.size() < 3) 
    throw Exception("Function GenerateValues__1 for class vtkMarchingSquares requires 3 argument(s)");
  vtkMarchingSquares* vtk_pointer = GetVTKPointer<vtkMarchingSquares>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[2];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GenerateValues(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingSquares:GenerateValues__2 vtkMarchingSquaresGenerateValues__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkMarchingSquaresGenerateValues__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateValues (int numContours, double rangeStart, double rangeEnd); */
  if (arg.size() < 4) 
    throw Exception("Function GenerateValues__2 for class vtkMarchingSquares requires 4 argument(s)");
  vtkMarchingSquares* vtk_pointer = GetVTKPointer<vtkMarchingSquares>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->GenerateValues(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingSquares:GetMTime vtkMarchingSquaresGetMTimeFunction
//input a0 
//output y
ArrayVector vtkMarchingSquaresGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkMarchingSquares requires 1 argument(s)");
  vtkMarchingSquares* vtk_pointer = GetVTKPointer<vtkMarchingSquares>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMarchingSquares:SetLocator vtkMarchingSquaresSetLocatorFunction
//input a0 a1 
//output none
ArrayVector vtkMarchingSquaresSetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLocator (vtkIncrementalPointLocator *locator); */
  if (arg.size() < 2) 
    throw Exception("Function SetLocator for class vtkMarchingSquares requires 2 argument(s)");
  vtkMarchingSquares* vtk_pointer = GetVTKPointer<vtkMarchingSquares>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp0;
  temp0 = GetVTKPointer<vtkIncrementalPointLocator>(arg[1]);
  vtk_pointer->SetLocator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingSquares:GetLocator vtkMarchingSquaresGetLocatorFunction
//input a0 
//output y
ArrayVector vtkMarchingSquaresGetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalPointLocator *GetLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocator for class vtkMarchingSquares requires 1 argument(s)");
  vtkMarchingSquares* vtk_pointer = GetVTKPointer<vtkMarchingSquares>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp20;
  temp20 = (vtk_pointer)->GetLocator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMarchingSquares:CreateDefaultLocator vtkMarchingSquaresCreateDefaultLocatorFunction
//input a0 
//output none
ArrayVector vtkMarchingSquaresCreateDefaultLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultLocator for class vtkMarchingSquares requires 1 argument(s)");
  vtkMarchingSquares* vtk_pointer = GetVTKPointer<vtkMarchingSquares>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultLocator();
  return retval;
}

//@@Signature
//sfunction @vtkMarchingSquares:SetImageRange vtkMarchingSquaresSetImageRangeFunction
//input varargin
//output varargout
ArrayVector vtkMarchingSquaresSetImageRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkMarchingSquaresSetImageRange__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkMarchingSquaresSetImageRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMarchingSquaresSetImageRange");
}

//@@Signature
//sfunction @vtkMarchingSquares:GetValues vtkMarchingSquaresGetValuesFunction
//input varargin
//output varargout
ArrayVector vtkMarchingSquaresGetValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkMarchingSquaresGetValues__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMarchingSquaresGetValues");
}

//@@Signature
//sfunction @vtkMarchingSquares:GenerateValues vtkMarchingSquaresGenerateValuesFunction
//input varargin
//output varargout
ArrayVector vtkMarchingSquaresGenerateValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkMarchingSquaresGenerateValues__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkMarchingSquaresGenerateValues__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMarchingSquaresGenerateValues");
}

//@@Signature
//sfunction @vtkMarchingSquares:display vtkMarchingSquaresDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMarchingSquaresDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMarchingSquares* vtk_pointer = GetVTKPointer<vtkMarchingSquares>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMarchingSquares:delete vtkMarchingSquaresDeleteFunction
//input varargin
//output none
ArrayVector vtkMarchingSquaresDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMarchingSquares
//@@Section VTKGraphics
//@@Usage
// vtkMarchingSquares is a filter that takes as input a structured points set
// and generates on output one or more isolines.  One or more contour values 
// must be specified to generate the isolines.  Alternatively, you can specify 
// a min/max scalar range and the number of contours to generate a series of 
// evenly spaced contour values. 
//
// To generate contour lines the input data must be of topological dimension 2 
// (i.e., an image). If not, you can use the ImageRange ivar to select an
// image plane from an input volume. This avoids having to extract a plane first
// (using vtkExtractSubVolume).  The filter deals with this by first
// trying to use the input data directly, and if not a 2D image, then uses the 
// ImageRange ivar to reduce it to an image.
//
//To create an instance of class vtkMarchingSquares, simply
//invoke its constructor as follows
//@[
//  obj = vtkMarchingSquares
//@]
//@@Methods
//The class vtkMarchingSquares has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMarchingSquares class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMarchingSquares = obj.NewInstance ()|
// \item @|vtkMarchingSquares = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetImageRange (int  [6])| -  Set/Get the i-j-k index range which define a plane on which to generate 
// contour lines. Using this ivar it is possible to input a 3D volume
// directly and then generate contour lines on one of the i-j-k planes, or 
// a portion of a plane.
//// \item @|int = obj. GetImageRange ()| -  Set/Get the i-j-k index range which define a plane on which to generate 
// contour lines. Using this ivar it is possible to input a 3D volume
// directly and then generate contour lines on one of the i-j-k planes, or 
// a portion of a plane.
//// \item @|obj.SetImageRange (int imin, int imax, int jmin, int jmax, int kmin, int kmax)| -  Set/Get the i-j-k index range which define a plane on which to generate 
// contour lines. Using this ivar it is possible to input a 3D volume
// directly and then generate contour lines on one of the i-j-k planes, or 
// a portion of a plane.
//// \item @|obj.SetValue (int i, double value)| -  Methods to set contour values
//// \item @|double = obj.GetValue (int i)| -  Methods to set contour values
//// \item @|obj.GetValues (double contourValues)| -  Methods to set contour values
//// \item @|obj.SetNumberOfContours (int number)| -  Methods to set contour values
//// \item @|int = obj.GetNumberOfContours ()| -  Methods to set contour values
//// \item @|obj.GenerateValues (int numContours, double range[2])| -  Methods to set contour values
//// \item @|obj.GenerateValues (int numContours, double rangeStart, double rangeEnd)| -  Methods to set contour values
//// \item @|long = obj.GetMTime ()| -  Because we delegate to vtkContourValues
//// \item @|obj.SetLocator (vtkIncrementalPointLocator locator)|
// \item @|vtkIncrementalPointLocator = obj.GetLocator ()|
// \item @|obj.CreateDefaultLocator ()| -  Create default locator. Used to create one when none is specified. 
// The locator is used to merge coincident points.
////\end{itemize}
//!
