#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMaskFields object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMaskFields.h"

//@@Signature
//sfunction @vtkMaskFields:vtkMaskFields vtkMaskFieldsConstructorFunction
//input a
//output p
//@@Parents vtkMaskFields vtkDataSetAlgorithm 
ArrayVector vtkMaskFieldsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMaskFields::New(),"vtkMaskFields",eval);
  } else if (arg[0].className() == "vtkMaskFields") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMaskFields"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMaskFields");
    vtkMaskFields*q = reinterpret_cast<vtkMaskFields*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMaskFields");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMaskFields:GetClassName vtkMaskFieldsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMaskFieldsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMaskFields requires 1 argument(s)");
  vtkMaskFields* vtk_pointer = GetVTKPointer<vtkMaskFields>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMaskFields:IsA vtkMaskFieldsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMaskFieldsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMaskFields requires 2 argument(s)");
  vtkMaskFields* vtk_pointer = GetVTKPointer<vtkMaskFields>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMaskFields:NewInstance vtkMaskFieldsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMaskFieldsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMaskFields *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMaskFields requires 1 argument(s)");
  vtkMaskFields* vtk_pointer = GetVTKPointer<vtkMaskFields>(arg[0]);
  Array retval;
  vtkMaskFields  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMaskFields",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMaskFields:SafeDownCast vtkMaskFieldsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMaskFieldsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMaskFields *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMaskFields requires 2 argument(s)");
  vtkMaskFields* vtk_pointer = GetVTKPointer<vtkMaskFields>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMaskFields  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMaskFields",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMaskFields:CopyFieldOn__1 vtkMaskFieldsCopyFieldOn__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkMaskFieldsCopyFieldOn__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyFieldOn (int fieldLocation, const char *name);this CopyFieldOnOff fieldLocation name  */
  if (arg.size() < 3) 
    throw Exception("Function CopyFieldOn__1 for class vtkMaskFields requires 3 argument(s)");
  vtkMaskFields* vtk_pointer = GetVTKPointer<vtkMaskFields>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->CopyFieldOn(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMaskFields:CopyFieldOff__1 vtkMaskFieldsCopyFieldOff__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkMaskFieldsCopyFieldOff__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyFieldOff (int fieldLocation, const char *name);this CopyFieldOnOff fieldLocation name  */
  if (arg.size() < 3) 
    throw Exception("Function CopyFieldOff__1 for class vtkMaskFields requires 3 argument(s)");
  vtkMaskFields* vtk_pointer = GetVTKPointer<vtkMaskFields>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->CopyFieldOff(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMaskFields:CopyAttributeOn__1 vtkMaskFieldsCopyAttributeOn__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkMaskFieldsCopyAttributeOn__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyAttributeOn (int attributeLocation, int attributeType);this CopyAttributeOnOff attributeLocation attributeType  */
  if (arg.size() < 3) 
    throw Exception("Function CopyAttributeOn__1 for class vtkMaskFields requires 3 argument(s)");
  vtkMaskFields* vtk_pointer = GetVTKPointer<vtkMaskFields>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->CopyAttributeOn(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMaskFields:CopyAttributeOff__1 vtkMaskFieldsCopyAttributeOff__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkMaskFieldsCopyAttributeOff__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyAttributeOff (int attributeLocation, int attributeType);this CopyAttributeOnOff attributeLocation attributeType  */
  if (arg.size() < 3) 
    throw Exception("Function CopyAttributeOff__1 for class vtkMaskFields requires 3 argument(s)");
  vtkMaskFields* vtk_pointer = GetVTKPointer<vtkMaskFields>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->CopyAttributeOff(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMaskFields:CopyFieldsOff vtkMaskFieldsCopyFieldsOffFunction
//input a0 
//output none
ArrayVector vtkMaskFieldsCopyFieldsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyFieldsOff ();this CopyFields  */
  if (arg.size() < 1) 
    throw Exception("Function CopyFieldsOff for class vtkMaskFields requires 1 argument(s)");
  vtkMaskFields* vtk_pointer = GetVTKPointer<vtkMaskFields>(arg[0]);
  Array retval;
  vtk_pointer->CopyFieldsOff();
  return retval;
}

//@@Signature
//sfunction @vtkMaskFields:CopyAttributesOff vtkMaskFieldsCopyAttributesOffFunction
//input a0 
//output none
ArrayVector vtkMaskFieldsCopyAttributesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyAttributesOff ();this CopyAttributes  */
  if (arg.size() < 1) 
    throw Exception("Function CopyAttributesOff for class vtkMaskFields requires 1 argument(s)");
  vtkMaskFields* vtk_pointer = GetVTKPointer<vtkMaskFields>(arg[0]);
  Array retval;
  vtk_pointer->CopyAttributesOff();
  return retval;
}

//@@Signature
//sfunction @vtkMaskFields:CopyFieldsOn vtkMaskFieldsCopyFieldsOnFunction
//input a0 
//output none
ArrayVector vtkMaskFieldsCopyFieldsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyFieldsOn ();this CopyFields  */
  if (arg.size() < 1) 
    throw Exception("Function CopyFieldsOn for class vtkMaskFields requires 1 argument(s)");
  vtkMaskFields* vtk_pointer = GetVTKPointer<vtkMaskFields>(arg[0]);
  Array retval;
  vtk_pointer->CopyFieldsOn();
  return retval;
}

//@@Signature
//sfunction @vtkMaskFields:CopyAttributesOn vtkMaskFieldsCopyAttributesOnFunction
//input a0 
//output none
ArrayVector vtkMaskFieldsCopyAttributesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyAttributesOn ();this CopyAttributes  */
  if (arg.size() < 1) 
    throw Exception("Function CopyAttributesOn for class vtkMaskFields requires 1 argument(s)");
  vtkMaskFields* vtk_pointer = GetVTKPointer<vtkMaskFields>(arg[0]);
  Array retval;
  vtk_pointer->CopyAttributesOn();
  return retval;
}

//@@Signature
//sfunction @vtkMaskFields:CopyAttributeOn__2 vtkMaskFieldsCopyAttributeOn__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkMaskFieldsCopyAttributeOn__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyAttributeOn (const char *attributeLoc, const char *attributeType); */
  if (arg.size() < 3) 
    throw Exception("Function CopyAttributeOn__2 for class vtkMaskFields requires 3 argument(s)");
  vtkMaskFields* vtk_pointer = GetVTKPointer<vtkMaskFields>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->CopyAttributeOn(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMaskFields:CopyAttributeOff__2 vtkMaskFieldsCopyAttributeOff__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkMaskFieldsCopyAttributeOff__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyAttributeOff (const char *attributeLoc, const char *attributeType); */
  if (arg.size() < 3) 
    throw Exception("Function CopyAttributeOff__2 for class vtkMaskFields requires 3 argument(s)");
  vtkMaskFields* vtk_pointer = GetVTKPointer<vtkMaskFields>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->CopyAttributeOff(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMaskFields:CopyFieldOn__2 vtkMaskFieldsCopyFieldOn__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkMaskFieldsCopyFieldOn__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyFieldOn (const char *fieldLoc, const char *name); */
  if (arg.size() < 3) 
    throw Exception("Function CopyFieldOn__2 for class vtkMaskFields requires 3 argument(s)");
  vtkMaskFields* vtk_pointer = GetVTKPointer<vtkMaskFields>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->CopyFieldOn(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMaskFields:CopyFieldOff__2 vtkMaskFieldsCopyFieldOff__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkMaskFieldsCopyFieldOff__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyFieldOff (const char *fieldLoc, const char *name); */
  if (arg.size() < 3) 
    throw Exception("Function CopyFieldOff__2 for class vtkMaskFields requires 3 argument(s)");
  vtkMaskFields* vtk_pointer = GetVTKPointer<vtkMaskFields>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->CopyFieldOff(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMaskFields:CopyAllOn vtkMaskFieldsCopyAllOnFunction
//input a0 
//output none
ArrayVector vtkMaskFieldsCopyAllOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyAllOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CopyAllOn for class vtkMaskFields requires 1 argument(s)");
  vtkMaskFields* vtk_pointer = GetVTKPointer<vtkMaskFields>(arg[0]);
  Array retval;
  vtk_pointer->CopyAllOn();
  return retval;
}

//@@Signature
//sfunction @vtkMaskFields:CopyAllOff vtkMaskFieldsCopyAllOffFunction
//input a0 
//output none
ArrayVector vtkMaskFieldsCopyAllOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyAllOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CopyAllOff for class vtkMaskFields requires 1 argument(s)");
  vtkMaskFields* vtk_pointer = GetVTKPointer<vtkMaskFields>(arg[0]);
  Array retval;
  vtk_pointer->CopyAllOff();
  return retval;
}

//@@Signature
//sfunction @vtkMaskFields:CopyFieldOn vtkMaskFieldsCopyFieldOnFunction
//input varargin
//output varargout
ArrayVector vtkMaskFieldsCopyFieldOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]))
    return vtkMaskFieldsCopyFieldOn__1Function(nargout,arg,eval);
  if ((arg.size() == 3))
    return vtkMaskFieldsCopyFieldOn__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMaskFieldsCopyFieldOn");
}

//@@Signature
//sfunction @vtkMaskFields:CopyFieldOff vtkMaskFieldsCopyFieldOffFunction
//input varargin
//output varargout
ArrayVector vtkMaskFieldsCopyFieldOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]))
    return vtkMaskFieldsCopyFieldOff__1Function(nargout,arg,eval);
  if ((arg.size() == 3))
    return vtkMaskFieldsCopyFieldOff__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMaskFieldsCopyFieldOff");
}

//@@Signature
//sfunction @vtkMaskFields:CopyAttributeOn vtkMaskFieldsCopyAttributeOnFunction
//input varargin
//output varargout
ArrayVector vtkMaskFieldsCopyAttributeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkMaskFieldsCopyAttributeOn__1Function(nargout,arg,eval);
  if ((arg.size() == 3))
    return vtkMaskFieldsCopyAttributeOn__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMaskFieldsCopyAttributeOn");
}

//@@Signature
//sfunction @vtkMaskFields:CopyAttributeOff vtkMaskFieldsCopyAttributeOffFunction
//input varargin
//output varargout
ArrayVector vtkMaskFieldsCopyAttributeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkMaskFieldsCopyAttributeOff__1Function(nargout,arg,eval);
  if ((arg.size() == 3))
    return vtkMaskFieldsCopyAttributeOff__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMaskFieldsCopyAttributeOff");
}

//@@Signature
//sfunction @vtkMaskFields:FindFlag vtkMaskFieldsFindFlagFunction
//input varargin
//output varargout
ArrayVector vtkMaskFieldsFindFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkMaskFieldsFindFlag");
}

//@@Signature
//sfunction @vtkMaskFields:GetFlag vtkMaskFieldsGetFlagFunction
//input varargin
//output varargout
ArrayVector vtkMaskFieldsGetFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkMaskFieldsGetFlag");
}

//@@Signature
//sfunction @vtkMaskFields:display vtkMaskFieldsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMaskFieldsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMaskFields* vtk_pointer = GetVTKPointer<vtkMaskFields>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMaskFields:delete vtkMaskFieldsDeleteFunction
//input varargin
//output none
ArrayVector vtkMaskFieldsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMaskFields
//@@Section VTKGraphics
//@@Usage
// vtkMaskFields is used to mark which fields in the input dataset
// get copied to the output.  The output will contain only those fields
// marked as on by the filter.
//
//To create an instance of class vtkMaskFields, simply
//invoke its constructor as follows
//@[
//  obj = vtkMaskFields
//@]
//@@Methods
//The class vtkMaskFields has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMaskFields class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMaskFields = obj.NewInstance ()|
// \item @|vtkMaskFields = obj.SafeDownCast (vtkObject o)|
// \item @|obj.CopyFieldOn (int fieldLocation, string name)| -  Turn on/off the copying of the field or specified by name.
// During the copying/passing, the following rules are followed for each
// array:
// 1. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 2.
// 2. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
// A field name and a location must be specified. For example:
// @verbatim
// maskFields->CopyFieldOff(vtkMaskFields::CELL_DATA, "foo");
// @endverbatim
// causes the field "foo" on the input cell data to not get copied
// to the output.
//// \item @|obj.CopyFieldOff (int fieldLocation, string name)| -  Turn on/off the copying of the attribute or specified by vtkDataSetAttributes:AttributeTypes.
// During the copying/passing, the following rules are followed for each
// array:
// 1. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 2.
// 2. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
// An attribute type and a location must be specified. For example:
// @verbatim
// maskFields->CopyAttributeOff(vtkMaskFields::POINT_DATA, vtkDataSetAttributes::SCALARS);
// @endverbatim
// causes the scalars on the input point data to not get copied
// to the output.
//// \item @|obj.CopyAttributeOn (int attributeLocation, int attributeType)| -  Turn on/off the copying of the attribute or specified by vtkDataSetAttributes:AttributeTypes.
// During the copying/passing, the following rules are followed for each
// array:
// 1. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 2.
// 2. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
// An attribute type and a location must be specified. For example:
// @verbatim
// maskFields->CopyAttributeOff(vtkMaskFields::POINT_DATA, vtkDataSetAttributes::SCALARS);
// @endverbatim
// causes the scalars on the input point data to not get copied
// to the output.
//// \item @|obj.CopyAttributeOff (int attributeLocation, int attributeType)| -  Convenience methods which operate on all field data or 
// attribute data.  More specific than CopyAllOn or CopyAllOff
//// \item @|obj.CopyFieldsOff ()| -  Convenience methods which operate on all field data or 
// attribute data.  More specific than CopyAllOn or CopyAllOff
//// \item @|obj.CopyAttributesOff ()|
// \item @|obj.CopyFieldsOn ()|
// \item @|obj.CopyAttributesOn ()| -  Helper methods used by other language bindings. Allows the caller to
// specify arguments as strings instead of enums.
//// \item @|obj.CopyAttributeOn (string attributeLoc, string attributeType)| -  Helper methods used by other language bindings. Allows the caller to
// specify arguments as strings instead of enums.
//// \item @|obj.CopyAttributeOff (string attributeLoc, string attributeType)| -  Helper methods used by other language bindings. Allows the caller to
// specify arguments as strings instead of enums.
//// \item @|obj.CopyFieldOn (string fieldLoc, string name)| -  Helper methods used by other language bindings. Allows the caller to
// specify arguments as strings instead of enums.
//// \item @|obj.CopyFieldOff (string fieldLoc, string name)| -  Helper methods used by other language bindings. Allows the caller to
// specify arguments as strings instead of enums.
//// \item @|obj.CopyAllOn ()| -  Turn on copying of all data.
// During the copying/passing, the following rules are followed for each
// array:
// 1. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 2.
// 2. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
//// \item @|obj.CopyAllOff ()| -  Turn off copying of all data.
// During the copying/passing, the following rules are followed for each
// array:
// 1. If the copy flag for an array is set (on or off), it is applied
//    This overrides rule 2.
// 2. If CopyAllOn is set, copy the array.
//    If CopyAllOff is set, do not copy the array
////\end{itemize}
//!
