#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMaskPoints object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMaskPoints.h"

//@@Signature
//sfunction @vtkMaskPoints:vtkMaskPoints vtkMaskPointsConstructorFunction
//input a
//output p
//@@Parents vtkMaskPoints vtkPolyDataAlgorithm 
ArrayVector vtkMaskPointsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMaskPoints::New(),"vtkMaskPoints",eval);
  } else if (arg[0].className() == "vtkMaskPoints") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMaskPoints"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMaskPoints");
    vtkMaskPoints*q = reinterpret_cast<vtkMaskPoints*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMaskPoints");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMaskPoints:GetClassName vtkMaskPointsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMaskPointsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMaskPoints requires 1 argument(s)");
  vtkMaskPoints* vtk_pointer = GetVTKPointer<vtkMaskPoints>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMaskPoints:IsA vtkMaskPointsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMaskPointsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMaskPoints requires 2 argument(s)");
  vtkMaskPoints* vtk_pointer = GetVTKPointer<vtkMaskPoints>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMaskPoints:NewInstance vtkMaskPointsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMaskPointsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMaskPoints *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMaskPoints requires 1 argument(s)");
  vtkMaskPoints* vtk_pointer = GetVTKPointer<vtkMaskPoints>(arg[0]);
  Array retval;
  vtkMaskPoints  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMaskPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMaskPoints:SafeDownCast vtkMaskPointsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMaskPointsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMaskPoints *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMaskPoints requires 2 argument(s)");
  vtkMaskPoints* vtk_pointer = GetVTKPointer<vtkMaskPoints>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMaskPoints  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMaskPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMaskPoints:SetOnRatio vtkMaskPointsSetOnRatioFunction
//input a0 a1 
//output none
ArrayVector vtkMaskPointsSetOnRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOnRatio (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOnRatio for class vtkMaskPoints requires 2 argument(s)");
  vtkMaskPoints* vtk_pointer = GetVTKPointer<vtkMaskPoints>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOnRatio(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMaskPoints:GetOnRatioMinValue vtkMaskPointsGetOnRatioMinValueFunction
//input a0 
//output y
ArrayVector vtkMaskPointsGetOnRatioMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOnRatioMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOnRatioMinValue for class vtkMaskPoints requires 1 argument(s)");
  vtkMaskPoints* vtk_pointer = GetVTKPointer<vtkMaskPoints>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOnRatioMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMaskPoints:GetOnRatioMaxValue vtkMaskPointsGetOnRatioMaxValueFunction
//input a0 
//output y
ArrayVector vtkMaskPointsGetOnRatioMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOnRatioMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOnRatioMaxValue for class vtkMaskPoints requires 1 argument(s)");
  vtkMaskPoints* vtk_pointer = GetVTKPointer<vtkMaskPoints>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOnRatioMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMaskPoints:GetOnRatio vtkMaskPointsGetOnRatioFunction
//input a0 
//output y
ArrayVector vtkMaskPointsGetOnRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOnRatio (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOnRatio for class vtkMaskPoints requires 1 argument(s)");
  vtkMaskPoints* vtk_pointer = GetVTKPointer<vtkMaskPoints>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOnRatio();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMaskPoints:SetMaximumNumberOfPoints vtkMaskPointsSetMaximumNumberOfPointsFunction
//input a0 a1 
//output none
ArrayVector vtkMaskPointsSetMaximumNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumNumberOfPoints (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumNumberOfPoints for class vtkMaskPoints requires 2 argument(s)");
  vtkMaskPoints* vtk_pointer = GetVTKPointer<vtkMaskPoints>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximumNumberOfPoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMaskPoints:GetMaximumNumberOfPointsMinValue vtkMaskPointsGetMaximumNumberOfPointsMinValueFunction
//input a0 
//output y
ArrayVector vtkMaskPointsGetMaximumNumberOfPointsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetMaximumNumberOfPointsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumNumberOfPointsMinValue for class vtkMaskPoints requires 1 argument(s)");
  vtkMaskPoints* vtk_pointer = GetVTKPointer<vtkMaskPoints>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetMaximumNumberOfPointsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMaskPoints:GetMaximumNumberOfPointsMaxValue vtkMaskPointsGetMaximumNumberOfPointsMaxValueFunction
//input a0 
//output y
ArrayVector vtkMaskPointsGetMaximumNumberOfPointsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetMaximumNumberOfPointsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumNumberOfPointsMaxValue for class vtkMaskPoints requires 1 argument(s)");
  vtkMaskPoints* vtk_pointer = GetVTKPointer<vtkMaskPoints>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetMaximumNumberOfPointsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMaskPoints:GetMaximumNumberOfPoints vtkMaskPointsGetMaximumNumberOfPointsFunction
//input a0 
//output y
ArrayVector vtkMaskPointsGetMaximumNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetMaximumNumberOfPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumNumberOfPoints for class vtkMaskPoints requires 1 argument(s)");
  vtkMaskPoints* vtk_pointer = GetVTKPointer<vtkMaskPoints>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetMaximumNumberOfPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMaskPoints:SetOffset vtkMaskPointsSetOffsetFunction
//input a0 a1 
//output none
ArrayVector vtkMaskPointsSetOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOffset (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOffset for class vtkMaskPoints requires 2 argument(s)");
  vtkMaskPoints* vtk_pointer = GetVTKPointer<vtkMaskPoints>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOffset(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMaskPoints:GetOffsetMinValue vtkMaskPointsGetOffsetMinValueFunction
//input a0 
//output y
ArrayVector vtkMaskPointsGetOffsetMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetOffsetMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOffsetMinValue for class vtkMaskPoints requires 1 argument(s)");
  vtkMaskPoints* vtk_pointer = GetVTKPointer<vtkMaskPoints>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetOffsetMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMaskPoints:GetOffsetMaxValue vtkMaskPointsGetOffsetMaxValueFunction
//input a0 
//output y
ArrayVector vtkMaskPointsGetOffsetMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetOffsetMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOffsetMaxValue for class vtkMaskPoints requires 1 argument(s)");
  vtkMaskPoints* vtk_pointer = GetVTKPointer<vtkMaskPoints>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetOffsetMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMaskPoints:GetOffset vtkMaskPointsGetOffsetFunction
//input a0 
//output y
ArrayVector vtkMaskPointsGetOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetOffset (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOffset for class vtkMaskPoints requires 1 argument(s)");
  vtkMaskPoints* vtk_pointer = GetVTKPointer<vtkMaskPoints>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetOffset();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMaskPoints:SetRandomMode vtkMaskPointsSetRandomModeFunction
//input a0 a1 
//output none
ArrayVector vtkMaskPointsSetRandomModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRandomMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRandomMode for class vtkMaskPoints requires 2 argument(s)");
  vtkMaskPoints* vtk_pointer = GetVTKPointer<vtkMaskPoints>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRandomMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMaskPoints:GetRandomMode vtkMaskPointsGetRandomModeFunction
//input a0 
//output y
ArrayVector vtkMaskPointsGetRandomModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRandomMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRandomMode for class vtkMaskPoints requires 1 argument(s)");
  vtkMaskPoints* vtk_pointer = GetVTKPointer<vtkMaskPoints>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRandomMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMaskPoints:RandomModeOn vtkMaskPointsRandomModeOnFunction
//input a0 
//output none
ArrayVector vtkMaskPointsRandomModeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RandomModeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function RandomModeOn for class vtkMaskPoints requires 1 argument(s)");
  vtkMaskPoints* vtk_pointer = GetVTKPointer<vtkMaskPoints>(arg[0]);
  Array retval;
  vtk_pointer->RandomModeOn();
  return retval;
}

//@@Signature
//sfunction @vtkMaskPoints:RandomModeOff vtkMaskPointsRandomModeOffFunction
//input a0 
//output none
ArrayVector vtkMaskPointsRandomModeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RandomModeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function RandomModeOff for class vtkMaskPoints requires 1 argument(s)");
  vtkMaskPoints* vtk_pointer = GetVTKPointer<vtkMaskPoints>(arg[0]);
  Array retval;
  vtk_pointer->RandomModeOff();
  return retval;
}

//@@Signature
//sfunction @vtkMaskPoints:SetGenerateVertices vtkMaskPointsSetGenerateVerticesFunction
//input a0 a1 
//output none
ArrayVector vtkMaskPointsSetGenerateVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateVertices (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateVertices for class vtkMaskPoints requires 2 argument(s)");
  vtkMaskPoints* vtk_pointer = GetVTKPointer<vtkMaskPoints>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateVertices(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMaskPoints:GetGenerateVertices vtkMaskPointsGetGenerateVerticesFunction
//input a0 
//output y
ArrayVector vtkMaskPointsGetGenerateVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateVertices (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateVertices for class vtkMaskPoints requires 1 argument(s)");
  vtkMaskPoints* vtk_pointer = GetVTKPointer<vtkMaskPoints>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateVertices();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMaskPoints:GenerateVerticesOn vtkMaskPointsGenerateVerticesOnFunction
//input a0 
//output none
ArrayVector vtkMaskPointsGenerateVerticesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateVerticesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateVerticesOn for class vtkMaskPoints requires 1 argument(s)");
  vtkMaskPoints* vtk_pointer = GetVTKPointer<vtkMaskPoints>(arg[0]);
  Array retval;
  vtk_pointer->GenerateVerticesOn();
  return retval;
}

//@@Signature
//sfunction @vtkMaskPoints:GenerateVerticesOff vtkMaskPointsGenerateVerticesOffFunction
//input a0 
//output none
ArrayVector vtkMaskPointsGenerateVerticesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateVerticesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateVerticesOff for class vtkMaskPoints requires 1 argument(s)");
  vtkMaskPoints* vtk_pointer = GetVTKPointer<vtkMaskPoints>(arg[0]);
  Array retval;
  vtk_pointer->GenerateVerticesOff();
  return retval;
}

//@@Signature
//sfunction @vtkMaskPoints:SetSingleVertexPerCell vtkMaskPointsSetSingleVertexPerCellFunction
//input a0 a1 
//output none
ArrayVector vtkMaskPointsSetSingleVertexPerCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSingleVertexPerCell (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSingleVertexPerCell for class vtkMaskPoints requires 2 argument(s)");
  vtkMaskPoints* vtk_pointer = GetVTKPointer<vtkMaskPoints>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSingleVertexPerCell(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMaskPoints:GetSingleVertexPerCell vtkMaskPointsGetSingleVertexPerCellFunction
//input a0 
//output y
ArrayVector vtkMaskPointsGetSingleVertexPerCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSingleVertexPerCell (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSingleVertexPerCell for class vtkMaskPoints requires 1 argument(s)");
  vtkMaskPoints* vtk_pointer = GetVTKPointer<vtkMaskPoints>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSingleVertexPerCell();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMaskPoints:SingleVertexPerCellOn vtkMaskPointsSingleVertexPerCellOnFunction
//input a0 
//output none
ArrayVector vtkMaskPointsSingleVertexPerCellOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SingleVertexPerCellOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SingleVertexPerCellOn for class vtkMaskPoints requires 1 argument(s)");
  vtkMaskPoints* vtk_pointer = GetVTKPointer<vtkMaskPoints>(arg[0]);
  Array retval;
  vtk_pointer->SingleVertexPerCellOn();
  return retval;
}

//@@Signature
//sfunction @vtkMaskPoints:SingleVertexPerCellOff vtkMaskPointsSingleVertexPerCellOffFunction
//input a0 
//output none
ArrayVector vtkMaskPointsSingleVertexPerCellOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SingleVertexPerCellOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SingleVertexPerCellOff for class vtkMaskPoints requires 1 argument(s)");
  vtkMaskPoints* vtk_pointer = GetVTKPointer<vtkMaskPoints>(arg[0]);
  Array retval;
  vtk_pointer->SingleVertexPerCellOff();
  return retval;
}

//@@Signature
//sfunction @vtkMaskPoints:display vtkMaskPointsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMaskPointsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMaskPoints* vtk_pointer = GetVTKPointer<vtkMaskPoints>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMaskPoints:delete vtkMaskPointsDeleteFunction
//input varargin
//output none
ArrayVector vtkMaskPointsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMaskPoints
//@@Section VTKGraphics
//@@Usage
// vtkMaskPoints is a filter that passes through points and point attributes 
// from input dataset. (Other geometry is not passed through.) It is 
// possible to mask every nth point, and to specify an initial offset
// to begin masking from. A special random mode feature enables random 
// selection of points. The filter can also generate vertices (topological
// primitives) as well as points. This is useful because vertices are
// rendered while points are not.
//
//To create an instance of class vtkMaskPoints, simply
//invoke its constructor as follows
//@[
//  obj = vtkMaskPoints
//@]
//@@Methods
//The class vtkMaskPoints has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMaskPoints class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMaskPoints = obj.NewInstance ()|
// \item @|vtkMaskPoints = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetOnRatio (int )| -  Turn on every nth point.
//// \item @|int = obj.GetOnRatioMinValue ()| -  Turn on every nth point.
//// \item @|int = obj.GetOnRatioMaxValue ()| -  Turn on every nth point.
//// \item @|int = obj.GetOnRatio ()| -  Turn on every nth point.
//// \item @|obj.SetMaximumNumberOfPoints (vtkIdType )| -  Limit the number of points that can be passed through.
//// \item @|vtkIdType = obj.GetMaximumNumberOfPointsMinValue ()| -  Limit the number of points that can be passed through.
//// \item @|vtkIdType = obj.GetMaximumNumberOfPointsMaxValue ()| -  Limit the number of points that can be passed through.
//// \item @|vtkIdType = obj.GetMaximumNumberOfPoints ()| -  Limit the number of points that can be passed through.
//// \item @|obj.SetOffset (vtkIdType )| -  Start with this point.
//// \item @|vtkIdType = obj.GetOffsetMinValue ()| -  Start with this point.
//// \item @|vtkIdType = obj.GetOffsetMaxValue ()| -  Start with this point.
//// \item @|vtkIdType = obj.GetOffset ()| -  Start with this point.
//// \item @|obj.SetRandomMode (int )| -  Special flag causes randomization of point selection. If this mode is on,
// statistically every nth point (i.e., OnRatio) will be displayed.
//// \item @|int = obj.GetRandomMode ()| -  Special flag causes randomization of point selection. If this mode is on,
// statistically every nth point (i.e., OnRatio) will be displayed.
//// \item @|obj.RandomModeOn ()| -  Special flag causes randomization of point selection. If this mode is on,
// statistically every nth point (i.e., OnRatio) will be displayed.
//// \item @|obj.RandomModeOff ()| -  Special flag causes randomization of point selection. If this mode is on,
// statistically every nth point (i.e., OnRatio) will be displayed.
//// \item @|obj.SetGenerateVertices (int )| -  Generate output polydata vertices as well as points. A useful
// convenience method because vertices are drawn (they are topology) while
// points are not (they are geometry). By default this method is off.
//// \item @|int = obj.GetGenerateVertices ()| -  Generate output polydata vertices as well as points. A useful
// convenience method because vertices are drawn (they are topology) while
// points are not (they are geometry). By default this method is off.
//// \item @|obj.GenerateVerticesOn ()| -  Generate output polydata vertices as well as points. A useful
// convenience method because vertices are drawn (they are topology) while
// points are not (they are geometry). By default this method is off.
//// \item @|obj.GenerateVerticesOff ()| -  Generate output polydata vertices as well as points. A useful
// convenience method because vertices are drawn (they are topology) while
// points are not (they are geometry). By default this method is off.
//// \item @|obj.SetSingleVertexPerCell (int )| -  When vertex generation is enabled, by default vertices are produced
// as multi-vertex cells (more than one per cell), if you wish to have a single
// vertex per cell, enable this flag.
//// \item @|int = obj.GetSingleVertexPerCell ()| -  When vertex generation is enabled, by default vertices are produced
// as multi-vertex cells (more than one per cell), if you wish to have a single
// vertex per cell, enable this flag.
//// \item @|obj.SingleVertexPerCellOn ()| -  When vertex generation is enabled, by default vertices are produced
// as multi-vertex cells (more than one per cell), if you wish to have a single
// vertex per cell, enable this flag.
//// \item @|obj.SingleVertexPerCellOff ()| -  When vertex generation is enabled, by default vertices are produced
// as multi-vertex cells (more than one per cell), if you wish to have a single
// vertex per cell, enable this flag.
////\end{itemize}
//!
