#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMaskPolyData object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMaskPolyData.h"

//@@Signature
//sfunction @vtkMaskPolyData:vtkMaskPolyData vtkMaskPolyDataConstructorFunction
//input a
//output p
//@@Parents vtkMaskPolyData vtkPolyDataAlgorithm 
ArrayVector vtkMaskPolyDataConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMaskPolyData::New(),"vtkMaskPolyData",eval);
  } else if (arg[0].className() == "vtkMaskPolyData") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMaskPolyData"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMaskPolyData");
    vtkMaskPolyData*q = reinterpret_cast<vtkMaskPolyData*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMaskPolyData");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMaskPolyData:GetClassName vtkMaskPolyDataGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMaskPolyDataGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMaskPolyData requires 1 argument(s)");
  vtkMaskPolyData* vtk_pointer = GetVTKPointer<vtkMaskPolyData>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMaskPolyData:IsA vtkMaskPolyDataIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMaskPolyDataIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMaskPolyData requires 2 argument(s)");
  vtkMaskPolyData* vtk_pointer = GetVTKPointer<vtkMaskPolyData>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMaskPolyData:NewInstance vtkMaskPolyDataNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMaskPolyDataNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMaskPolyData *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMaskPolyData requires 1 argument(s)");
  vtkMaskPolyData* vtk_pointer = GetVTKPointer<vtkMaskPolyData>(arg[0]);
  Array retval;
  vtkMaskPolyData  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMaskPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMaskPolyData:SafeDownCast vtkMaskPolyDataSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMaskPolyDataSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMaskPolyData *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMaskPolyData requires 2 argument(s)");
  vtkMaskPolyData* vtk_pointer = GetVTKPointer<vtkMaskPolyData>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMaskPolyData  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMaskPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMaskPolyData:SetOnRatio vtkMaskPolyDataSetOnRatioFunction
//input a0 a1 
//output none
ArrayVector vtkMaskPolyDataSetOnRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOnRatio (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOnRatio for class vtkMaskPolyData requires 2 argument(s)");
  vtkMaskPolyData* vtk_pointer = GetVTKPointer<vtkMaskPolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOnRatio(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMaskPolyData:GetOnRatioMinValue vtkMaskPolyDataGetOnRatioMinValueFunction
//input a0 
//output y
ArrayVector vtkMaskPolyDataGetOnRatioMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOnRatioMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOnRatioMinValue for class vtkMaskPolyData requires 1 argument(s)");
  vtkMaskPolyData* vtk_pointer = GetVTKPointer<vtkMaskPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOnRatioMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMaskPolyData:GetOnRatioMaxValue vtkMaskPolyDataGetOnRatioMaxValueFunction
//input a0 
//output y
ArrayVector vtkMaskPolyDataGetOnRatioMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOnRatioMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOnRatioMaxValue for class vtkMaskPolyData requires 1 argument(s)");
  vtkMaskPolyData* vtk_pointer = GetVTKPointer<vtkMaskPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOnRatioMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMaskPolyData:GetOnRatio vtkMaskPolyDataGetOnRatioFunction
//input a0 
//output y
ArrayVector vtkMaskPolyDataGetOnRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOnRatio (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOnRatio for class vtkMaskPolyData requires 1 argument(s)");
  vtkMaskPolyData* vtk_pointer = GetVTKPointer<vtkMaskPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOnRatio();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMaskPolyData:SetOffset vtkMaskPolyDataSetOffsetFunction
//input a0 a1 
//output none
ArrayVector vtkMaskPolyDataSetOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOffset (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOffset for class vtkMaskPolyData requires 2 argument(s)");
  vtkMaskPolyData* vtk_pointer = GetVTKPointer<vtkMaskPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOffset(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMaskPolyData:GetOffsetMinValue vtkMaskPolyDataGetOffsetMinValueFunction
//input a0 
//output y
ArrayVector vtkMaskPolyDataGetOffsetMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetOffsetMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOffsetMinValue for class vtkMaskPolyData requires 1 argument(s)");
  vtkMaskPolyData* vtk_pointer = GetVTKPointer<vtkMaskPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetOffsetMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMaskPolyData:GetOffsetMaxValue vtkMaskPolyDataGetOffsetMaxValueFunction
//input a0 
//output y
ArrayVector vtkMaskPolyDataGetOffsetMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetOffsetMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOffsetMaxValue for class vtkMaskPolyData requires 1 argument(s)");
  vtkMaskPolyData* vtk_pointer = GetVTKPointer<vtkMaskPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetOffsetMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMaskPolyData:GetOffset vtkMaskPolyDataGetOffsetFunction
//input a0 
//output y
ArrayVector vtkMaskPolyDataGetOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetOffset (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOffset for class vtkMaskPolyData requires 1 argument(s)");
  vtkMaskPolyData* vtk_pointer = GetVTKPointer<vtkMaskPolyData>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetOffset();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMaskPolyData:display vtkMaskPolyDataDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMaskPolyDataDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMaskPolyData* vtk_pointer = GetVTKPointer<vtkMaskPolyData>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMaskPolyData:delete vtkMaskPolyDataDeleteFunction
//input varargin
//output none
ArrayVector vtkMaskPolyDataDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMaskPolyData
//@@Section VTKGraphics
//@@Usage
// vtkMaskPolyData is a filter that sub-samples the cells of input polygonal
// data. The user specifies every nth item, with an initial offset to begin
// sampling. 
//
//To create an instance of class vtkMaskPolyData, simply
//invoke its constructor as follows
//@[
//  obj = vtkMaskPolyData
//@]
//@@Methods
//The class vtkMaskPolyData has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMaskPolyData class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMaskPolyData = obj.NewInstance ()|
// \item @|vtkMaskPolyData = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetOnRatio (int )| -  Turn on every nth entity (cell).
//// \item @|int = obj.GetOnRatioMinValue ()| -  Turn on every nth entity (cell).
//// \item @|int = obj.GetOnRatioMaxValue ()| -  Turn on every nth entity (cell).
//// \item @|int = obj.GetOnRatio ()| -  Turn on every nth entity (cell).
//// \item @|obj.SetOffset (vtkIdType )| -  Start with this entity (cell).
//// \item @|vtkIdType = obj.GetOffsetMinValue ()| -  Start with this entity (cell).
//// \item @|vtkIdType = obj.GetOffsetMaxValue ()| -  Start with this entity (cell).
//// \item @|vtkIdType = obj.GetOffset ()| -  Start with this entity (cell).
////\end{itemize}
//!
