#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMassProperties object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMassProperties.h"

//@@Signature
//sfunction @vtkMassProperties:vtkMassProperties vtkMassPropertiesConstructorFunction
//input a
//output p
//@@Parents vtkMassProperties vtkPolyDataAlgorithm 
ArrayVector vtkMassPropertiesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMassProperties::New(),"vtkMassProperties",eval);
  } else if (arg[0].className() == "vtkMassProperties") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMassProperties"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMassProperties");
    vtkMassProperties*q = reinterpret_cast<vtkMassProperties*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMassProperties");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMassProperties:GetClassName vtkMassPropertiesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMassPropertiesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMassProperties requires 1 argument(s)");
  vtkMassProperties* vtk_pointer = GetVTKPointer<vtkMassProperties>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMassProperties:IsA vtkMassPropertiesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMassPropertiesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMassProperties requires 2 argument(s)");
  vtkMassProperties* vtk_pointer = GetVTKPointer<vtkMassProperties>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMassProperties:NewInstance vtkMassPropertiesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMassPropertiesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMassProperties *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMassProperties requires 1 argument(s)");
  vtkMassProperties* vtk_pointer = GetVTKPointer<vtkMassProperties>(arg[0]);
  Array retval;
  vtkMassProperties  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMassProperties",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMassProperties:SafeDownCast vtkMassPropertiesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMassPropertiesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMassProperties *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMassProperties requires 2 argument(s)");
  vtkMassProperties* vtk_pointer = GetVTKPointer<vtkMassProperties>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMassProperties  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMassProperties",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMassProperties:GetVolume vtkMassPropertiesGetVolumeFunction
//input a0 
//output y
ArrayVector vtkMassPropertiesGetVolumeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetVolume ();this Update return this Volume  */
  if (arg.size() < 1) 
    throw Exception("Function GetVolume for class vtkMassProperties requires 1 argument(s)");
  vtkMassProperties* vtk_pointer = GetVTKPointer<vtkMassProperties>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetVolume();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMassProperties:GetVolumeProjected vtkMassPropertiesGetVolumeProjectedFunction
//input a0 
//output y
ArrayVector vtkMassPropertiesGetVolumeProjectedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetVolumeProjected ();this Update return this VolumeProjected  */
  if (arg.size() < 1) 
    throw Exception("Function GetVolumeProjected for class vtkMassProperties requires 1 argument(s)");
  vtkMassProperties* vtk_pointer = GetVTKPointer<vtkMassProperties>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetVolumeProjected();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMassProperties:GetVolumeX vtkMassPropertiesGetVolumeXFunction
//input a0 
//output y
ArrayVector vtkMassPropertiesGetVolumeXFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetVolumeX ();this Update return this VolumeX  */
  if (arg.size() < 1) 
    throw Exception("Function GetVolumeX for class vtkMassProperties requires 1 argument(s)");
  vtkMassProperties* vtk_pointer = GetVTKPointer<vtkMassProperties>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetVolumeX();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMassProperties:GetVolumeY vtkMassPropertiesGetVolumeYFunction
//input a0 
//output y
ArrayVector vtkMassPropertiesGetVolumeYFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetVolumeY ();this Update return this VolumeY  */
  if (arg.size() < 1) 
    throw Exception("Function GetVolumeY for class vtkMassProperties requires 1 argument(s)");
  vtkMassProperties* vtk_pointer = GetVTKPointer<vtkMassProperties>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetVolumeY();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMassProperties:GetVolumeZ vtkMassPropertiesGetVolumeZFunction
//input a0 
//output y
ArrayVector vtkMassPropertiesGetVolumeZFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetVolumeZ ();this Update return this VolumeZ  */
  if (arg.size() < 1) 
    throw Exception("Function GetVolumeZ for class vtkMassProperties requires 1 argument(s)");
  vtkMassProperties* vtk_pointer = GetVTKPointer<vtkMassProperties>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetVolumeZ();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMassProperties:GetKx vtkMassPropertiesGetKxFunction
//input a0 
//output y
ArrayVector vtkMassPropertiesGetKxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetKx ();this Update return this Kx  */
  if (arg.size() < 1) 
    throw Exception("Function GetKx for class vtkMassProperties requires 1 argument(s)");
  vtkMassProperties* vtk_pointer = GetVTKPointer<vtkMassProperties>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetKx();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMassProperties:GetKy vtkMassPropertiesGetKyFunction
//input a0 
//output y
ArrayVector vtkMassPropertiesGetKyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetKy ();this Update return this Ky  */
  if (arg.size() < 1) 
    throw Exception("Function GetKy for class vtkMassProperties requires 1 argument(s)");
  vtkMassProperties* vtk_pointer = GetVTKPointer<vtkMassProperties>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetKy();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMassProperties:GetKz vtkMassPropertiesGetKzFunction
//input a0 
//output y
ArrayVector vtkMassPropertiesGetKzFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetKz ();this Update return this Kz  */
  if (arg.size() < 1) 
    throw Exception("Function GetKz for class vtkMassProperties requires 1 argument(s)");
  vtkMassProperties* vtk_pointer = GetVTKPointer<vtkMassProperties>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetKz();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMassProperties:GetSurfaceArea vtkMassPropertiesGetSurfaceAreaFunction
//input a0 
//output y
ArrayVector vtkMassPropertiesGetSurfaceAreaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSurfaceArea ();this Update return this SurfaceArea  */
  if (arg.size() < 1) 
    throw Exception("Function GetSurfaceArea for class vtkMassProperties requires 1 argument(s)");
  vtkMassProperties* vtk_pointer = GetVTKPointer<vtkMassProperties>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSurfaceArea();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMassProperties:GetMinCellArea vtkMassPropertiesGetMinCellAreaFunction
//input a0 
//output y
ArrayVector vtkMassPropertiesGetMinCellAreaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinCellArea ();this Update return this MinCellArea  */
  if (arg.size() < 1) 
    throw Exception("Function GetMinCellArea for class vtkMassProperties requires 1 argument(s)");
  vtkMassProperties* vtk_pointer = GetVTKPointer<vtkMassProperties>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinCellArea();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMassProperties:GetMaxCellArea vtkMassPropertiesGetMaxCellAreaFunction
//input a0 
//output y
ArrayVector vtkMassPropertiesGetMaxCellAreaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaxCellArea ();this Update return this MaxCellArea  */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxCellArea for class vtkMassProperties requires 1 argument(s)");
  vtkMassProperties* vtk_pointer = GetVTKPointer<vtkMassProperties>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaxCellArea();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMassProperties:GetNormalizedShapeIndex vtkMassPropertiesGetNormalizedShapeIndexFunction
//input a0 
//output y
ArrayVector vtkMassPropertiesGetNormalizedShapeIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetNormalizedShapeIndex ();this Update return this NormalizedShapeIndex  */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalizedShapeIndex for class vtkMassProperties requires 1 argument(s)");
  vtkMassProperties* vtk_pointer = GetVTKPointer<vtkMassProperties>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetNormalizedShapeIndex();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMassProperties:display vtkMassPropertiesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMassPropertiesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMassProperties* vtk_pointer = GetVTKPointer<vtkMassProperties>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMassProperties:delete vtkMassPropertiesDeleteFunction
//input varargin
//output none
ArrayVector vtkMassPropertiesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMassProperties
//@@Section VTKGraphics
//@@Usage
// vtkMassProperties estimates the volume, the surface area, and the
// normalized shape index of a triangle mesh.  The algorithm
// implemented here is based on the discrete form of the divergence
// theorem.  The general assumption here is that the model is of
// closed surface.  For more details see the following reference
// (Alyassin A.M. et al, "Evaluation of new algorithms for the
// interactive measurement of surface area and volume", Med Phys 21(6)
// 1994.).
//
//To create an instance of class vtkMassProperties, simply
//invoke its constructor as follows
//@[
//  obj = vtkMassProperties
//@]
//@@Methods
//The class vtkMassProperties has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMassProperties class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMassProperties = obj.NewInstance ()|
// \item @|vtkMassProperties = obj.SafeDownCast (vtkObject o)|
// \item @|double = obj.GetVolume ()| -  Compute and return the projected volume.
// Typically you should compare this volume to the value returned by GetVolume
// if you get an error (GetVolume()-GetVolumeProjected())*10000 that is greater
// than GetVolume() this should identify a problem:
// * Either the polydata is not closed
// * Or the polydata contains triangle that are flipped
//// \item @|double = obj.GetVolumeProjected ()| -  Compute and return the volume projected on to each axis aligned plane.
//// \item @|double = obj.GetVolumeX ()| -  Compute and return the volume projected on to each axis aligned plane.
//// \item @|double = obj.GetVolumeY ()| -  Compute and return the volume projected on to each axis aligned plane.
//// \item @|double = obj.GetVolumeZ ()| -  Compute and return the weighting factors for the maximum unit
// normal component (MUNC).
//// \item @|double = obj.GetKx ()| -  Compute and return the weighting factors for the maximum unit
// normal component (MUNC).
//// \item @|double = obj.GetKy ()| -  Compute and return the weighting factors for the maximum unit
// normal component (MUNC).
//// \item @|double = obj.GetKz ()| -  Compute and return the area.
//// \item @|double = obj.GetSurfaceArea ()| -  Compute and return the min cell area.
//// \item @|double = obj.GetMinCellArea ()| -  Compute and return the max cell area.
//// \item @|double = obj.GetMaxCellArea ()| -  Compute and return the normalized shape index. This characterizes the
// deviation of the shape of an object from a sphere. A sphere's NSI
// is one. This number is always >= 1.0.
//// \item @|double = obj.GetNormalizedShapeIndex ()|
//\end{itemize}
//!
