#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMergeCells object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMergeCells.h"

//@@Signature
//sfunction @vtkMergeCells:vtkMergeCells vtkMergeCellsConstructorFunction
//input a
//output p
//@@Parents vtkMergeCells vtkObject 
ArrayVector vtkMergeCellsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMergeCells::New(),"vtkMergeCells",eval);
  } else if (arg[0].className() == "vtkMergeCells") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMergeCells"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMergeCells");
    vtkMergeCells*q = reinterpret_cast<vtkMergeCells*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMergeCells");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMergeCells:GetClassName vtkMergeCellsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMergeCellsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMergeCells requires 1 argument(s)");
  vtkMergeCells* vtk_pointer = GetVTKPointer<vtkMergeCells>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergeCells:IsA vtkMergeCellsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMergeCellsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMergeCells requires 2 argument(s)");
  vtkMergeCells* vtk_pointer = GetVTKPointer<vtkMergeCells>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergeCells:NewInstance vtkMergeCellsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMergeCellsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMergeCells *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMergeCells requires 1 argument(s)");
  vtkMergeCells* vtk_pointer = GetVTKPointer<vtkMergeCells>(arg[0]);
  Array retval;
  vtkMergeCells  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMergeCells",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMergeCells:SafeDownCast vtkMergeCellsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMergeCellsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMergeCells *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMergeCells requires 2 argument(s)");
  vtkMergeCells* vtk_pointer = GetVTKPointer<vtkMergeCells>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMergeCells  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMergeCells",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMergeCells:SetUnstructuredGrid vtkMergeCellsSetUnstructuredGridFunction
//input a0 a1 
//output none
ArrayVector vtkMergeCellsSetUnstructuredGridFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetUnstructuredGrid (vtkUnstructuredGrid *); */
  if (arg.size() < 2) 
    throw Exception("Function SetUnstructuredGrid for class vtkMergeCells requires 2 argument(s)");
  vtkMergeCells* vtk_pointer = GetVTKPointer<vtkMergeCells>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp0;
  temp0 = GetVTKPointer<vtkUnstructuredGrid>(arg[1]);
  vtk_pointer->SetUnstructuredGrid(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMergeCells:GetUnstructuredGrid vtkMergeCellsGetUnstructuredGridFunction
//input a0 
//output y
ArrayVector vtkMergeCellsGetUnstructuredGridFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetUnstructuredGrid (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUnstructuredGrid for class vtkMergeCells requires 1 argument(s)");
  vtkMergeCells* vtk_pointer = GetVTKPointer<vtkMergeCells>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetUnstructuredGrid();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMergeCells:SetTotalNumberOfCells vtkMergeCellsSetTotalNumberOfCellsFunction
//input a0 a1 
//output none
ArrayVector vtkMergeCellsSetTotalNumberOfCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTotalNumberOfCells (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTotalNumberOfCells for class vtkMergeCells requires 2 argument(s)");
  vtkMergeCells* vtk_pointer = GetVTKPointer<vtkMergeCells>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTotalNumberOfCells(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMergeCells:GetTotalNumberOfCells vtkMergeCellsGetTotalNumberOfCellsFunction
//input a0 
//output y
ArrayVector vtkMergeCellsGetTotalNumberOfCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetTotalNumberOfCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTotalNumberOfCells for class vtkMergeCells requires 1 argument(s)");
  vtkMergeCells* vtk_pointer = GetVTKPointer<vtkMergeCells>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetTotalNumberOfCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergeCells:SetTotalNumberOfPoints vtkMergeCellsSetTotalNumberOfPointsFunction
//input a0 a1 
//output none
ArrayVector vtkMergeCellsSetTotalNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTotalNumberOfPoints (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTotalNumberOfPoints for class vtkMergeCells requires 2 argument(s)");
  vtkMergeCells* vtk_pointer = GetVTKPointer<vtkMergeCells>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTotalNumberOfPoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMergeCells:GetTotalNumberOfPoints vtkMergeCellsGetTotalNumberOfPointsFunction
//input a0 
//output y
ArrayVector vtkMergeCellsGetTotalNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetTotalNumberOfPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTotalNumberOfPoints for class vtkMergeCells requires 1 argument(s)");
  vtkMergeCells* vtk_pointer = GetVTKPointer<vtkMergeCells>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetTotalNumberOfPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergeCells:SetUseGlobalIds vtkMergeCellsSetUseGlobalIdsFunction
//input a0 a1 
//output none
ArrayVector vtkMergeCellsSetUseGlobalIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseGlobalIds (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseGlobalIds for class vtkMergeCells requires 2 argument(s)");
  vtkMergeCells* vtk_pointer = GetVTKPointer<vtkMergeCells>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseGlobalIds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMergeCells:GetUseGlobalIds vtkMergeCellsGetUseGlobalIdsFunction
//input a0 
//output y
ArrayVector vtkMergeCellsGetUseGlobalIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseGlobalIds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseGlobalIds for class vtkMergeCells requires 1 argument(s)");
  vtkMergeCells* vtk_pointer = GetVTKPointer<vtkMergeCells>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseGlobalIds();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergeCells:SetPointMergeTolerance vtkMergeCellsSetPointMergeToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkMergeCellsSetPointMergeToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointMergeTolerance (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointMergeTolerance for class vtkMergeCells requires 2 argument(s)");
  vtkMergeCells* vtk_pointer = GetVTKPointer<vtkMergeCells>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetPointMergeTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMergeCells:GetPointMergeToleranceMinValue vtkMergeCellsGetPointMergeToleranceMinValueFunction
//input a0 
//output y
ArrayVector vtkMergeCellsGetPointMergeToleranceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetPointMergeToleranceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointMergeToleranceMinValue for class vtkMergeCells requires 1 argument(s)");
  vtkMergeCells* vtk_pointer = GetVTKPointer<vtkMergeCells>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetPointMergeToleranceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergeCells:GetPointMergeToleranceMaxValue vtkMergeCellsGetPointMergeToleranceMaxValueFunction
//input a0 
//output y
ArrayVector vtkMergeCellsGetPointMergeToleranceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetPointMergeToleranceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointMergeToleranceMaxValue for class vtkMergeCells requires 1 argument(s)");
  vtkMergeCells* vtk_pointer = GetVTKPointer<vtkMergeCells>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetPointMergeToleranceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergeCells:GetPointMergeTolerance vtkMergeCellsGetPointMergeToleranceFunction
//input a0 
//output y
ArrayVector vtkMergeCellsGetPointMergeToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetPointMergeTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointMergeTolerance for class vtkMergeCells requires 1 argument(s)");
  vtkMergeCells* vtk_pointer = GetVTKPointer<vtkMergeCells>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetPointMergeTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergeCells:SetUseGlobalCellIds vtkMergeCellsSetUseGlobalCellIdsFunction
//input a0 a1 
//output none
ArrayVector vtkMergeCellsSetUseGlobalCellIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseGlobalCellIds (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseGlobalCellIds for class vtkMergeCells requires 2 argument(s)");
  vtkMergeCells* vtk_pointer = GetVTKPointer<vtkMergeCells>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseGlobalCellIds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMergeCells:GetUseGlobalCellIds vtkMergeCellsGetUseGlobalCellIdsFunction
//input a0 
//output y
ArrayVector vtkMergeCellsGetUseGlobalCellIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseGlobalCellIds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseGlobalCellIds for class vtkMergeCells requires 1 argument(s)");
  vtkMergeCells* vtk_pointer = GetVTKPointer<vtkMergeCells>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseGlobalCellIds();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergeCells:SetMergeDuplicatePoints vtkMergeCellsSetMergeDuplicatePointsFunction
//input a0 a1 
//output none
ArrayVector vtkMergeCellsSetMergeDuplicatePointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMergeDuplicatePoints (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMergeDuplicatePoints for class vtkMergeCells requires 2 argument(s)");
  vtkMergeCells* vtk_pointer = GetVTKPointer<vtkMergeCells>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMergeDuplicatePoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMergeCells:GetMergeDuplicatePoints vtkMergeCellsGetMergeDuplicatePointsFunction
//input a0 
//output y
ArrayVector vtkMergeCellsGetMergeDuplicatePointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMergeDuplicatePoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMergeDuplicatePoints for class vtkMergeCells requires 1 argument(s)");
  vtkMergeCells* vtk_pointer = GetVTKPointer<vtkMergeCells>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMergeDuplicatePoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergeCells:MergeDuplicatePointsOn vtkMergeCellsMergeDuplicatePointsOnFunction
//input a0 
//output none
ArrayVector vtkMergeCellsMergeDuplicatePointsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MergeDuplicatePointsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function MergeDuplicatePointsOn for class vtkMergeCells requires 1 argument(s)");
  vtkMergeCells* vtk_pointer = GetVTKPointer<vtkMergeCells>(arg[0]);
  Array retval;
  vtk_pointer->MergeDuplicatePointsOn();
  return retval;
}

//@@Signature
//sfunction @vtkMergeCells:MergeDuplicatePointsOff vtkMergeCellsMergeDuplicatePointsOffFunction
//input a0 
//output none
ArrayVector vtkMergeCellsMergeDuplicatePointsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MergeDuplicatePointsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function MergeDuplicatePointsOff for class vtkMergeCells requires 1 argument(s)");
  vtkMergeCells* vtk_pointer = GetVTKPointer<vtkMergeCells>(arg[0]);
  Array retval;
  vtk_pointer->MergeDuplicatePointsOff();
  return retval;
}

//@@Signature
//sfunction @vtkMergeCells:SetTotalNumberOfDataSets vtkMergeCellsSetTotalNumberOfDataSetsFunction
//input a0 a1 
//output none
ArrayVector vtkMergeCellsSetTotalNumberOfDataSetsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTotalNumberOfDataSets (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTotalNumberOfDataSets for class vtkMergeCells requires 2 argument(s)");
  vtkMergeCells* vtk_pointer = GetVTKPointer<vtkMergeCells>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTotalNumberOfDataSets(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMergeCells:GetTotalNumberOfDataSets vtkMergeCellsGetTotalNumberOfDataSetsFunction
//input a0 
//output y
ArrayVector vtkMergeCellsGetTotalNumberOfDataSetsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTotalNumberOfDataSets (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTotalNumberOfDataSets for class vtkMergeCells requires 1 argument(s)");
  vtkMergeCells* vtk_pointer = GetVTKPointer<vtkMergeCells>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTotalNumberOfDataSets();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergeCells:MergeDataSet vtkMergeCellsMergeDataSetFunction
//input a0 a1 
//output y
ArrayVector vtkMergeCellsMergeDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int MergeDataSet (vtkDataSet *set); */
  if (arg.size() < 2) 
    throw Exception("Function MergeDataSet for class vtkMergeCells requires 2 argument(s)");
  vtkMergeCells* vtk_pointer = GetVTKPointer<vtkMergeCells>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  temp20 = (vtk_pointer)->MergeDataSet(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergeCells:Finish vtkMergeCellsFinishFunction
//input a0 
//output none
ArrayVector vtkMergeCellsFinishFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Finish (); */
  if (arg.size() < 1) 
    throw Exception("Function Finish for class vtkMergeCells requires 1 argument(s)");
  vtkMergeCells* vtk_pointer = GetVTKPointer<vtkMergeCells>(arg[0]);
  Array retval;
  vtk_pointer->Finish();
  return retval;
}

//@@Signature
//sfunction @vtkMergeCells:display vtkMergeCellsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMergeCellsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMergeCells* vtk_pointer = GetVTKPointer<vtkMergeCells>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMergeCells:delete vtkMergeCellsDeleteFunction
//input varargin
//output none
ArrayVector vtkMergeCellsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMergeCells
//@@Section VTKGraphics
//@@Usage
//    Designed to work with distributed vtkDataSets, this class will take
//    vtkDataSets and merge them back into a single vtkUnstructuredGrid.
//
//    The vtkPoints object of the unstructured grid will have data type
//    VTK_FLOAT, regardless of the data type of the points of the
//    input vtkDataSets.  If this is a problem, someone must let me know.
//
//    It is assumed the different DataSets have the same field arrays.  If
//    the name of a global point ID array is provided, this class will
//    refrain from including duplicate points in the merged Ugrid.  This
//    class differs from vtkAppendFilter in these ways: (1) it uses less
//    memory than that class (which uses memory equal to twice the size
//    of the final Ugrid) but requires that you know the size of the
//    final Ugrid in advance (2) this class assumes the individual DataSets have
//    the same field arrays, while vtkAppendFilter intersects the field
//    arrays (3) this class knows duplicate points may be appearing in
//    the DataSets and can filter those out, (4) this class is not a filter.
//
//To create an instance of class vtkMergeCells, simply
//invoke its constructor as follows
//@[
//  obj = vtkMergeCells
//@]
//@@Methods
//The class vtkMergeCells has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMergeCells class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMergeCells = obj.NewInstance ()|
// \item @|vtkMergeCells = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetUnstructuredGrid (vtkUnstructuredGrid )|
// \item @|vtkUnstructuredGrid = obj.GetUnstructuredGrid ()|
// \item @|obj.SetTotalNumberOfCells (vtkIdType )|
// \item @|vtkIdType = obj.GetTotalNumberOfCells ()|
// \item @|obj.SetTotalNumberOfPoints (vtkIdType )|
// \item @|vtkIdType = obj.GetTotalNumberOfPoints ()|
// \item @|obj.SetUseGlobalIds (int )|
// \item @|int = obj.GetUseGlobalIds ()|
// \item @|obj.SetPointMergeTolerance (float )|
// \item @|float = obj.GetPointMergeToleranceMinValue ()|
// \item @|float = obj.GetPointMergeToleranceMaxValue ()|
// \item @|float = obj.GetPointMergeTolerance ()|
// \item @|obj.SetUseGlobalCellIds (int )|
// \item @|int = obj.GetUseGlobalCellIds ()|
// \item @|obj.SetMergeDuplicatePoints (int )|
// \item @|int = obj.GetMergeDuplicatePoints ()|
// \item @|obj.MergeDuplicatePointsOn ()|
// \item @|obj.MergeDuplicatePointsOff ()|
// \item @|obj.SetTotalNumberOfDataSets (int )|
// \item @|int = obj.GetTotalNumberOfDataSets ()|
// \item @|int = obj.MergeDataSet (vtkDataSet set)|
// \item @|obj.Finish ()|
//\end{itemize}
//!
