#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMergeDataObjectFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMergeDataObjectFilter.h"

//@@Signature
//sfunction @vtkMergeDataObjectFilter:vtkMergeDataObjectFilter vtkMergeDataObjectFilterConstructorFunction
//input a
//output p
//@@Parents vtkMergeDataObjectFilter vtkDataSetAlgorithm 
ArrayVector vtkMergeDataObjectFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMergeDataObjectFilter::New(),"vtkMergeDataObjectFilter",eval);
  } else if (arg[0].className() == "vtkMergeDataObjectFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMergeDataObjectFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMergeDataObjectFilter");
    vtkMergeDataObjectFilter*q = reinterpret_cast<vtkMergeDataObjectFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMergeDataObjectFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMergeDataObjectFilter:GetClassName vtkMergeDataObjectFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMergeDataObjectFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMergeDataObjectFilter requires 1 argument(s)");
  vtkMergeDataObjectFilter* vtk_pointer = GetVTKPointer<vtkMergeDataObjectFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergeDataObjectFilter:IsA vtkMergeDataObjectFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMergeDataObjectFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMergeDataObjectFilter requires 2 argument(s)");
  vtkMergeDataObjectFilter* vtk_pointer = GetVTKPointer<vtkMergeDataObjectFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergeDataObjectFilter:NewInstance vtkMergeDataObjectFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMergeDataObjectFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMergeDataObjectFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMergeDataObjectFilter requires 1 argument(s)");
  vtkMergeDataObjectFilter* vtk_pointer = GetVTKPointer<vtkMergeDataObjectFilter>(arg[0]);
  Array retval;
  vtkMergeDataObjectFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMergeDataObjectFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMergeDataObjectFilter:SafeDownCast vtkMergeDataObjectFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMergeDataObjectFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMergeDataObjectFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMergeDataObjectFilter requires 2 argument(s)");
  vtkMergeDataObjectFilter* vtk_pointer = GetVTKPointer<vtkMergeDataObjectFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMergeDataObjectFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMergeDataObjectFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMergeDataObjectFilter:SetDataObject vtkMergeDataObjectFilterSetDataObjectFunction
//input a0 a1 
//output none
ArrayVector vtkMergeDataObjectFilterSetDataObjectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataObject (vtkDataObject *object); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataObject for class vtkMergeDataObjectFilter requires 2 argument(s)");
  vtkMergeDataObjectFilter* vtk_pointer = GetVTKPointer<vtkMergeDataObjectFilter>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetDataObject(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMergeDataObjectFilter:GetDataObject vtkMergeDataObjectFilterGetDataObjectFunction
//input a0 
//output y
ArrayVector vtkMergeDataObjectFilterGetDataObjectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetDataObject (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObject for class vtkMergeDataObjectFilter requires 1 argument(s)");
  vtkMergeDataObjectFilter* vtk_pointer = GetVTKPointer<vtkMergeDataObjectFilter>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetDataObject();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMergeDataObjectFilter:SetOutputField vtkMergeDataObjectFilterSetOutputFieldFunction
//input a0 a1 
//output none
ArrayVector vtkMergeDataObjectFilterSetOutputFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputField (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputField for class vtkMergeDataObjectFilter requires 2 argument(s)");
  vtkMergeDataObjectFilter* vtk_pointer = GetVTKPointer<vtkMergeDataObjectFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutputField(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMergeDataObjectFilter:GetOutputField vtkMergeDataObjectFilterGetOutputFieldFunction
//input a0 
//output y
ArrayVector vtkMergeDataObjectFilterGetOutputFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputField (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputField for class vtkMergeDataObjectFilter requires 1 argument(s)");
  vtkMergeDataObjectFilter* vtk_pointer = GetVTKPointer<vtkMergeDataObjectFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutputField();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergeDataObjectFilter:SetOutputFieldToDataObjectField vtkMergeDataObjectFilterSetOutputFieldToDataObjectFieldFunction
//input a0 
//output none
ArrayVector vtkMergeDataObjectFilterSetOutputFieldToDataObjectFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputFieldToDataObjectField (); */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputFieldToDataObjectField for class vtkMergeDataObjectFilter requires 1 argument(s)");
  vtkMergeDataObjectFilter* vtk_pointer = GetVTKPointer<vtkMergeDataObjectFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputFieldToDataObjectField();
  return retval;
}

//@@Signature
//sfunction @vtkMergeDataObjectFilter:SetOutputFieldToPointDataField vtkMergeDataObjectFilterSetOutputFieldToPointDataFieldFunction
//input a0 
//output none
ArrayVector vtkMergeDataObjectFilterSetOutputFieldToPointDataFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputFieldToPointDataField (); */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputFieldToPointDataField for class vtkMergeDataObjectFilter requires 1 argument(s)");
  vtkMergeDataObjectFilter* vtk_pointer = GetVTKPointer<vtkMergeDataObjectFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputFieldToPointDataField();
  return retval;
}

//@@Signature
//sfunction @vtkMergeDataObjectFilter:SetOutputFieldToCellDataField vtkMergeDataObjectFilterSetOutputFieldToCellDataFieldFunction
//input a0 
//output none
ArrayVector vtkMergeDataObjectFilterSetOutputFieldToCellDataFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputFieldToCellDataField (); */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputFieldToCellDataField for class vtkMergeDataObjectFilter requires 1 argument(s)");
  vtkMergeDataObjectFilter* vtk_pointer = GetVTKPointer<vtkMergeDataObjectFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputFieldToCellDataField();
  return retval;
}

//@@Signature
//sfunction @vtkMergeDataObjectFilter:display vtkMergeDataObjectFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMergeDataObjectFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMergeDataObjectFilter* vtk_pointer = GetVTKPointer<vtkMergeDataObjectFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMergeDataObjectFilter:delete vtkMergeDataObjectFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkMergeDataObjectFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMergeDataObjectFilter
//@@Section VTKGraphics
//@@Usage
// vtkMergeDataObjectFilter is a filter that merges the field from a
// vtkDataObject with a vtkDataSet. The resulting combined dataset can
// then be processed by other filters (e.g.,
// vtkFieldDataToAttributeDataFilter) to create attribute data like
// scalars, vectors, etc.
//
// The filter operates as follows. The field data from the
// vtkDataObject is merged with the input's vtkDataSet and then placed
// in the output. You can choose to place the field data into the cell
// data field, the point data field, or the datasets field (i.e., the
// one inherited from vtkDataSet's superclass vtkDataObject). All this
// data shuffling occurs via reference counting, therefore memory is
// not copied.
//
// One of the uses of this filter is to allow you to read/generate the
// structure of a dataset independent of the attributes. So, for
// example, you could store the dataset geometry/topology in one file,
// and field data in another. Then use this filter in combination with
// vtkFieldDataToAttributeData to create a dataset ready for
// processing in the visualization pipeline.
//
//To create an instance of class vtkMergeDataObjectFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkMergeDataObjectFilter
//@]
//@@Methods
//The class vtkMergeDataObjectFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMergeDataObjectFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMergeDataObjectFilter = obj.NewInstance ()|
// \item @|vtkMergeDataObjectFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetDataObject (vtkDataObject object)| -  Specify the data object to merge with the input dataset.
//// \item @|vtkDataObject = obj.GetDataObject ()| -  Specify the data object to merge with the input dataset.
//// \item @|obj.SetOutputField (int )| -  Specify where to place the field data during the merge process.  There
// are three choices: the field data associated with the vtkDataObject
// superclass; the point field attribute data; and the cell field attribute
// data.
//// \item @|int = obj.GetOutputField ()| -  Specify where to place the field data during the merge process.  There
// are three choices: the field data associated with the vtkDataObject
// superclass; the point field attribute data; and the cell field attribute
// data.
//// \item @|obj.SetOutputFieldToDataObjectField ()| -  Specify where to place the field data during the merge process.  There
// are three choices: the field data associated with the vtkDataObject
// superclass; the point field attribute data; and the cell field attribute
// data.
//// \item @|obj.SetOutputFieldToPointDataField ()| -  Specify where to place the field data during the merge process.  There
// are three choices: the field data associated with the vtkDataObject
// superclass; the point field attribute data; and the cell field attribute
// data.
//// \item @|obj.SetOutputFieldToCellDataField ()| -  Specify where to place the field data during the merge process.  There
// are three choices: the field data associated with the vtkDataObject
// superclass; the point field attribute data; and the cell field attribute
// data.
////\end{itemize}
//!
