#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMergeFields object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMergeFields.h"

//@@Signature
//sfunction @vtkMergeFields:vtkMergeFields vtkMergeFieldsConstructorFunction
//input a
//output p
//@@Parents vtkMergeFields vtkDataSetAlgorithm 
ArrayVector vtkMergeFieldsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMergeFields::New(),"vtkMergeFields",eval);
  } else if (arg[0].className() == "vtkMergeFields") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMergeFields"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMergeFields");
    vtkMergeFields*q = reinterpret_cast<vtkMergeFields*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMergeFields");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMergeFields:GetClassName vtkMergeFieldsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMergeFieldsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMergeFields requires 1 argument(s)");
  vtkMergeFields* vtk_pointer = GetVTKPointer<vtkMergeFields>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergeFields:IsA vtkMergeFieldsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMergeFieldsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMergeFields requires 2 argument(s)");
  vtkMergeFields* vtk_pointer = GetVTKPointer<vtkMergeFields>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergeFields:NewInstance vtkMergeFieldsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMergeFieldsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMergeFields *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMergeFields requires 1 argument(s)");
  vtkMergeFields* vtk_pointer = GetVTKPointer<vtkMergeFields>(arg[0]);
  Array retval;
  vtkMergeFields  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMergeFields",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMergeFields:SafeDownCast vtkMergeFieldsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMergeFieldsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMergeFields *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMergeFields requires 2 argument(s)");
  vtkMergeFields* vtk_pointer = GetVTKPointer<vtkMergeFields>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMergeFields  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMergeFields",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMergeFields:SetOutputField__1 vtkMergeFieldsSetOutputField__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkMergeFieldsSetOutputField__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputField (const char *name, int fieldLoc); */
  if (arg.size() < 3) 
    throw Exception("Function SetOutputField__1 for class vtkMergeFields requires 3 argument(s)");
  vtkMergeFields* vtk_pointer = GetVTKPointer<vtkMergeFields>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetOutputField(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMergeFields:SetOutputField__2 vtkMergeFieldsSetOutputField__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkMergeFieldsSetOutputField__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputField (const char *name, const char *fieldLoc); */
  if (arg.size() < 3) 
    throw Exception("Function SetOutputField__2 for class vtkMergeFields requires 3 argument(s)");
  vtkMergeFields* vtk_pointer = GetVTKPointer<vtkMergeFields>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->SetOutputField(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMergeFields:Merge vtkMergeFieldsMergeFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkMergeFieldsMergeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Merge (int component, const char *arrayName, int sourceComp); */
  if (arg.size() < 4) 
    throw Exception("Function Merge for class vtkMergeFields requires 4 argument(s)");
  vtkMergeFields* vtk_pointer = GetVTKPointer<vtkMergeFields>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->Merge(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkMergeFields:SetNumberOfComponents vtkMergeFieldsSetNumberOfComponentsFunction
//input a0 a1 
//output none
ArrayVector vtkMergeFieldsSetNumberOfComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfComponents (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfComponents for class vtkMergeFields requires 2 argument(s)");
  vtkMergeFields* vtk_pointer = GetVTKPointer<vtkMergeFields>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfComponents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMergeFields:GetNumberOfComponents vtkMergeFieldsGetNumberOfComponentsFunction
//input a0 
//output y
ArrayVector vtkMergeFieldsGetNumberOfComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfComponents for class vtkMergeFields requires 1 argument(s)");
  vtkMergeFields* vtk_pointer = GetVTKPointer<vtkMergeFields>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfComponents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergeFields:SetOutputField vtkMergeFieldsSetOutputFieldFunction
//input varargin
//output varargout
ArrayVector vtkMergeFieldsSetOutputFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkMergeFieldsSetOutputField__1Function(nargout,arg,eval);
  if ((arg.size() == 3))
    return vtkMergeFieldsSetOutputField__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMergeFieldsSetOutputField");
}

//@@Signature
//sfunction @vtkMergeFields:display vtkMergeFieldsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMergeFieldsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMergeFields* vtk_pointer = GetVTKPointer<vtkMergeFields>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMergeFields:delete vtkMergeFieldsDeleteFunction
//input varargin
//output none
ArrayVector vtkMergeFieldsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMergeFields
//@@Section VTKGraphics
//@@Usage
// vtkMergeFields is used to merge mutliple field into one.
// The new field is put in the same field data as the original field.
// For example
// @verbatim
// mf->SetOutputField("foo", vtkMergeFields::POINT_DATA);
// mf->SetNumberOfComponents(2);
// mf->Merge(0, "array1", 1);
// mf->Merge(1, "array2", 0);
// @endverbatim
// will tell vtkMergeFields to use the 2nd component of array1 and
// the 1st component of array2 to create a 2 component field called foo.
// The same can be done using Tcl:
// @verbatim
// mf SetOutputField foo POINT_DATA
// mf Merge 0 array1 1
// mf Merge 1 array2 0
//
// Field locations: DATA_OBJECT, POINT_DATA, CELL_DATA
// @endverbatim
//
//To create an instance of class vtkMergeFields, simply
//invoke its constructor as follows
//@[
//  obj = vtkMergeFields
//@]
//@@Methods
//The class vtkMergeFields has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMergeFields class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMergeFields = obj.NewInstance ()|
// \item @|vtkMergeFields = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetOutputField (string name, int fieldLoc)| -  The output field will have the given name and it will be in
// fieldLoc (the input fields also have to be in fieldLoc).
//// \item @|obj.SetOutputField (string name, string fieldLoc)| -  Helper method used by the other language bindings. Allows the caller to
// specify arguments as strings instead of enums.Returns an operation id 
// which can later be used to remove the operation.
//// \item @|obj.Merge (int component, string arrayName, int sourceComp)| -  Add a component (arrayName,sourceComp) to the output field.
//// \item @|obj.SetNumberOfComponents (int )| -  Set the number of the components in the output field.
// This has to be set before execution. Default value is 0.
//// \item @|int = obj.GetNumberOfComponents ()| -  Set the number of the components in the output field.
// This has to be set before execution. Default value is 0.
////\end{itemize}
//!
