#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMergeFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMergeFilter.h"

//@@Signature
//sfunction @vtkMergeFilter:vtkMergeFilter vtkMergeFilterConstructorFunction
//input a
//output p
//@@Parents vtkMergeFilter vtkDataSetAlgorithm 
ArrayVector vtkMergeFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMergeFilter::New(),"vtkMergeFilter",eval);
  } else if (arg[0].className() == "vtkMergeFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMergeFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMergeFilter");
    vtkMergeFilter*q = reinterpret_cast<vtkMergeFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMergeFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMergeFilter:GetClassName vtkMergeFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMergeFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMergeFilter requires 1 argument(s)");
  vtkMergeFilter* vtk_pointer = GetVTKPointer<vtkMergeFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergeFilter:IsA vtkMergeFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMergeFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMergeFilter requires 2 argument(s)");
  vtkMergeFilter* vtk_pointer = GetVTKPointer<vtkMergeFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergeFilter:NewInstance vtkMergeFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMergeFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMergeFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMergeFilter requires 1 argument(s)");
  vtkMergeFilter* vtk_pointer = GetVTKPointer<vtkMergeFilter>(arg[0]);
  Array retval;
  vtkMergeFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMergeFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMergeFilter:SafeDownCast vtkMergeFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMergeFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMergeFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMergeFilter requires 2 argument(s)");
  vtkMergeFilter* vtk_pointer = GetVTKPointer<vtkMergeFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMergeFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMergeFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMergeFilter:SetGeometry vtkMergeFilterSetGeometryFunction
//input a0 a1 
//output none
ArrayVector vtkMergeFilterSetGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGeometry (vtkDataSet *input);this SetInput input  */
  if (arg.size() < 2) 
    throw Exception("Function SetGeometry for class vtkMergeFilter requires 2 argument(s)");
  vtkMergeFilter* vtk_pointer = GetVTKPointer<vtkMergeFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetGeometry(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMergeFilter:GetGeometry vtkMergeFilterGetGeometryFunction
//input a0 
//output y
ArrayVector vtkMergeFilterGetGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGeometry for class vtkMergeFilter requires 1 argument(s)");
  vtkMergeFilter* vtk_pointer = GetVTKPointer<vtkMergeFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetGeometry();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMergeFilter:SetGeometryConnection vtkMergeFilterSetGeometryConnectionFunction
//input a0 a1 
//output none
ArrayVector vtkMergeFilterSetGeometryConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGeometryConnection (vtkAlgorithmOutput *algOutput);this SetInputConnection algOutput  */
  if (arg.size() < 2) 
    throw Exception("Function SetGeometryConnection for class vtkMergeFilter requires 2 argument(s)");
  vtkMergeFilter* vtk_pointer = GetVTKPointer<vtkMergeFilter>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->SetGeometryConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMergeFilter:SetScalars vtkMergeFilterSetScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkMergeFilterSetScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalars (vtkDataSet *); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalars for class vtkMergeFilter requires 2 argument(s)");
  vtkMergeFilter* vtk_pointer = GetVTKPointer<vtkMergeFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMergeFilter:GetScalars vtkMergeFilterGetScalarsFunction
//input a0 
//output y
ArrayVector vtkMergeFilterGetScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalars for class vtkMergeFilter requires 1 argument(s)");
  vtkMergeFilter* vtk_pointer = GetVTKPointer<vtkMergeFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetScalars();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMergeFilter:SetScalarsConnection vtkMergeFilterSetScalarsConnectionFunction
//input a0 a1 
//output none
ArrayVector vtkMergeFilterSetScalarsConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarsConnection (vtkAlgorithmOutput *algOutput);this SetInputConnection algOutput  */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarsConnection for class vtkMergeFilter requires 2 argument(s)");
  vtkMergeFilter* vtk_pointer = GetVTKPointer<vtkMergeFilter>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->SetScalarsConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMergeFilter:SetVectors vtkMergeFilterSetVectorsFunction
//input a0 a1 
//output none
ArrayVector vtkMergeFilterSetVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectors (vtkDataSet *); */
  if (arg.size() < 2) 
    throw Exception("Function SetVectors for class vtkMergeFilter requires 2 argument(s)");
  vtkMergeFilter* vtk_pointer = GetVTKPointer<vtkMergeFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetVectors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMergeFilter:GetVectors vtkMergeFilterGetVectorsFunction
//input a0 
//output y
ArrayVector vtkMergeFilterGetVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetVectors (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVectors for class vtkMergeFilter requires 1 argument(s)");
  vtkMergeFilter* vtk_pointer = GetVTKPointer<vtkMergeFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetVectors();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMergeFilter:SetVectorsConnection vtkMergeFilterSetVectorsConnectionFunction
//input a0 a1 
//output none
ArrayVector vtkMergeFilterSetVectorsConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorsConnection (vtkAlgorithmOutput *algOutput);this SetInputConnection algOutput  */
  if (arg.size() < 2) 
    throw Exception("Function SetVectorsConnection for class vtkMergeFilter requires 2 argument(s)");
  vtkMergeFilter* vtk_pointer = GetVTKPointer<vtkMergeFilter>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->SetVectorsConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMergeFilter:SetNormals vtkMergeFilterSetNormalsFunction
//input a0 a1 
//output none
ArrayVector vtkMergeFilterSetNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormals (vtkDataSet *); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormals for class vtkMergeFilter requires 2 argument(s)");
  vtkMergeFilter* vtk_pointer = GetVTKPointer<vtkMergeFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetNormals(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMergeFilter:GetNormals vtkMergeFilterGetNormalsFunction
//input a0 
//output y
ArrayVector vtkMergeFilterGetNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetNormals (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormals for class vtkMergeFilter requires 1 argument(s)");
  vtkMergeFilter* vtk_pointer = GetVTKPointer<vtkMergeFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetNormals();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMergeFilter:SetNormalsConnection vtkMergeFilterSetNormalsConnectionFunction
//input a0 a1 
//output none
ArrayVector vtkMergeFilterSetNormalsConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalsConnection (vtkAlgorithmOutput *algOutput);this SetInputConnection algOutput  */
  if (arg.size() < 2) 
    throw Exception("Function SetNormalsConnection for class vtkMergeFilter requires 2 argument(s)");
  vtkMergeFilter* vtk_pointer = GetVTKPointer<vtkMergeFilter>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->SetNormalsConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMergeFilter:SetTCoords vtkMergeFilterSetTCoordsFunction
//input a0 a1 
//output none
ArrayVector vtkMergeFilterSetTCoordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTCoords (vtkDataSet *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTCoords for class vtkMergeFilter requires 2 argument(s)");
  vtkMergeFilter* vtk_pointer = GetVTKPointer<vtkMergeFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetTCoords(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMergeFilter:GetTCoords vtkMergeFilterGetTCoordsFunction
//input a0 
//output y
ArrayVector vtkMergeFilterGetTCoordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetTCoords (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTCoords for class vtkMergeFilter requires 1 argument(s)");
  vtkMergeFilter* vtk_pointer = GetVTKPointer<vtkMergeFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetTCoords();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMergeFilter:SetTCoordsConnection vtkMergeFilterSetTCoordsConnectionFunction
//input a0 a1 
//output none
ArrayVector vtkMergeFilterSetTCoordsConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTCoordsConnection (vtkAlgorithmOutput *algOutput);this SetInputConnection algOutput  */
  if (arg.size() < 2) 
    throw Exception("Function SetTCoordsConnection for class vtkMergeFilter requires 2 argument(s)");
  vtkMergeFilter* vtk_pointer = GetVTKPointer<vtkMergeFilter>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->SetTCoordsConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMergeFilter:SetTensors vtkMergeFilterSetTensorsFunction
//input a0 a1 
//output none
ArrayVector vtkMergeFilterSetTensorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTensors (vtkDataSet *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTensors for class vtkMergeFilter requires 2 argument(s)");
  vtkMergeFilter* vtk_pointer = GetVTKPointer<vtkMergeFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetTensors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMergeFilter:GetTensors vtkMergeFilterGetTensorsFunction
//input a0 
//output y
ArrayVector vtkMergeFilterGetTensorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetTensors (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTensors for class vtkMergeFilter requires 1 argument(s)");
  vtkMergeFilter* vtk_pointer = GetVTKPointer<vtkMergeFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetTensors();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMergeFilter:SetTensorsConnection vtkMergeFilterSetTensorsConnectionFunction
//input a0 a1 
//output none
ArrayVector vtkMergeFilterSetTensorsConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTensorsConnection (vtkAlgorithmOutput *algOutput);this SetInputConnection algOutput  */
  if (arg.size() < 2) 
    throw Exception("Function SetTensorsConnection for class vtkMergeFilter requires 2 argument(s)");
  vtkMergeFilter* vtk_pointer = GetVTKPointer<vtkMergeFilter>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->SetTensorsConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMergeFilter:AddField vtkMergeFilterAddFieldFunction
//input a0 a1 a2 
//output none
ArrayVector vtkMergeFilterAddFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddField (const char *name, vtkDataSet *input); */
  if (arg.size() < 3) 
    throw Exception("Function AddField for class vtkMergeFilter requires 3 argument(s)");
  vtkMergeFilter* vtk_pointer = GetVTKPointer<vtkMergeFilter>(arg[0]);
  Array retval;
  char    *temp0;
  vtkDataSet  *temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp1 = GetVTKPointer<vtkDataSet>(arg[2]);
  vtk_pointer->AddField(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMergeFilter:display vtkMergeFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMergeFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMergeFilter* vtk_pointer = GetVTKPointer<vtkMergeFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMergeFilter:delete vtkMergeFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkMergeFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMergeFilter
//@@Section VTKGraphics
//@@Usage
// vtkMergeFilter is a filter that extracts separate components of data from
// different datasets and merges them into a single dataset. The output from
// this filter is of the same type as the input (i.e., vtkDataSet.) It treats 
// both cell and point data set attributes.
//
//To create an instance of class vtkMergeFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkMergeFilter
//@]
//@@Methods
//The class vtkMergeFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMergeFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMergeFilter = obj.NewInstance ()|
// \item @|vtkMergeFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetGeometry (vtkDataSet input)| -  Specify object from which to extract geometry information.
// Old style. Use SetGeometryConnection() instead.
//// \item @|vtkDataSet = obj.GetGeometry ()| -  Specify object from which to extract geometry information.
// Old style. Use SetGeometryConnection() instead.
//// \item @|obj.SetGeometryConnection (vtkAlgorithmOutput algOutput)| -  Specify object from which to extract scalar information.
// Old style. Use SetScalarsConnection() instead.
//// \item @|obj.SetScalars (vtkDataSet )| -  Specify object from which to extract scalar information.
// Old style. Use SetScalarsConnection() instead.
//// \item @|vtkDataSet = obj.GetScalars ()| -  Specify object from which to extract scalar information.
// Old style. Use SetScalarsConnection() instead.
//// \item @|obj.SetScalarsConnection (vtkAlgorithmOutput algOutput)| -  Set / get the object from which to extract vector information.
// Old style. Use SetVectorsConnection() instead.
//// \item @|obj.SetVectors (vtkDataSet )| -  Set / get the object from which to extract vector information.
// Old style. Use SetVectorsConnection() instead.
//// \item @|vtkDataSet = obj.GetVectors ()| -  Set / get the object from which to extract vector information.
// Old style. Use SetVectorsConnection() instead.
//// \item @|obj.SetVectorsConnection (vtkAlgorithmOutput algOutput)| -  Set / get the object from which to extract normal information.
// Old style. Use SetNormalsConnection() instead.
//// \item @|obj.SetNormals (vtkDataSet )| -  Set / get the object from which to extract normal information.
// Old style. Use SetNormalsConnection() instead.
//// \item @|vtkDataSet = obj.GetNormals ()| -  Set / get the object from which to extract normal information.
// Old style. Use SetNormalsConnection() instead.
//// \item @|obj.SetNormalsConnection (vtkAlgorithmOutput algOutput)| -  Set / get the object from which to extract texture coordinates
// information.
// Old style. Use SetTCoordsConnection() instead.
//// \item @|obj.SetTCoords (vtkDataSet )| -  Set / get the object from which to extract texture coordinates
// information.
// Old style. Use SetTCoordsConnection() instead.
//// \item @|vtkDataSet = obj.GetTCoords ()| -  Set / get the object from which to extract texture coordinates
// information.
// Old style. Use SetTCoordsConnection() instead.
//// \item @|obj.SetTCoordsConnection (vtkAlgorithmOutput algOutput)| -  Set / get the object from which to extract tensor data.
// Old style. Use SetTensorsConnection() instead.
//// \item @|obj.SetTensors (vtkDataSet )| -  Set / get the object from which to extract tensor data.
// Old style. Use SetTensorsConnection() instead.
//// \item @|vtkDataSet = obj.GetTensors ()| -  Set / get the object from which to extract tensor data.
// Old style. Use SetTensorsConnection() instead.
//// \item @|obj.SetTensorsConnection (vtkAlgorithmOutput algOutput)| -  Set the object from which to extract a field and the name
// of the field. Note that this does not create pipeline
// connectivity.
//// \item @|obj.AddField (string name, vtkDataSet input)| -  Set the object from which to extract a field and the name
// of the field. Note that this does not create pipeline
// connectivity.
////\end{itemize}
//!
