#include "VTKWrap.hpp"

// FreeMat wrapper for vtkModelMetadata object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkModelMetadata.h"

//@@Signature
//sfunction @vtkModelMetadata:vtkModelMetadata vtkModelMetadataConstructorFunction
//input a
//output p
//@@Parents vtkModelMetadata vtkObject 
ArrayVector vtkModelMetadataConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkModelMetadata::New(),"vtkModelMetadata",eval);
  } else if (arg[0].className() == "vtkModelMetadata") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkModelMetadata"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkModelMetadata");
    vtkModelMetadata*q = reinterpret_cast<vtkModelMetadata*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkModelMetadata");
    return ret;
  }
}
//@@Signature
//sfunction @vtkModelMetadata:GetClassName vtkModelMetadataGetClassNameFunction
//input a0 
//output y
ArrayVector vtkModelMetadataGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkModelMetadata requires 1 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:IsA vtkModelMetadataIsAFunction
//input a0 a1 
//output y
ArrayVector vtkModelMetadataIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:NewInstance vtkModelMetadataNewInstanceFunction
//input a0 
//output y
ArrayVector vtkModelMetadataNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkModelMetadata *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkModelMetadata requires 1 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  vtkModelMetadata  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkModelMetadata",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:SafeDownCast vtkModelMetadataSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkModelMetadataSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkModelMetadata *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkModelMetadata  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkModelMetadata",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:PrintGlobalInformation vtkModelMetadataPrintGlobalInformationFunction
//input a0 
//output none
ArrayVector vtkModelMetadataPrintGlobalInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PrintGlobalInformation (); */
  if (arg.size() < 1) 
    throw Exception("Function PrintGlobalInformation for class vtkModelMetadata requires 1 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  vtk_pointer->PrintGlobalInformation();
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:PrintLocalInformation vtkModelMetadataPrintLocalInformationFunction
//input a0 
//output none
ArrayVector vtkModelMetadataPrintLocalInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PrintLocalInformation (); */
  if (arg.size() < 1) 
    throw Exception("Function PrintLocalInformation for class vtkModelMetadata requires 1 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  vtk_pointer->PrintLocalInformation();
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:SetTitle vtkModelMetadataSetTitleFunction
//input a0 a1 
//output none
ArrayVector vtkModelMetadataSetTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTitle (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTitle for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetTitle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:AddInformationLine vtkModelMetadataAddInformationLineFunction
//input a0 a1 
//output none
ArrayVector vtkModelMetadataAddInformationLineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInformationLine (char *info); */
  if (arg.size() < 2) 
    throw Exception("Function AddInformationLine for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->AddInformationLine(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:AddQARecord vtkModelMetadataAddQARecordFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkModelMetadataAddQARecordFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddQARecord (char *name, char *version, char *date, char *time); */
  if (arg.size() < 5) 
    throw Exception("Function AddQARecord for class vtkModelMetadata requires 5 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  char    *temp2;
  char    *temp3;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  char tmp_string2[1024];
  strcpy(tmp_string2,qPrintable(arg[3].asString())); 
  temp2 = tmp_string2;
  char tmp_string3[1024];
  strcpy(tmp_string3,qPrintable(arg[4].asString())); 
  temp3 = tmp_string3;
  vtk_pointer->AddQARecord(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:SetTimeStepIndex vtkModelMetadataSetTimeStepIndexFunction
//input a0 a1 
//output none
ArrayVector vtkModelMetadataSetTimeStepIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimeStepIndex (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimeStepIndex for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTimeStepIndex(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:SetTimeSteps vtkModelMetadataSetTimeStepsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkModelMetadataSetTimeStepsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimeSteps (int numberOfTimeSteps, float *timeStepValues); */
  if (arg.size() < 3) 
    throw Exception("Function SetTimeSteps for class vtkModelMetadata requires 3 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  int      temp0;
  float   *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new float[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
      }
  vtk_pointer->SetTimeSteps(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:SetNumberOfBlocks vtkModelMetadataSetNumberOfBlocksFunction
//input a0 a1 
//output none
ArrayVector vtkModelMetadataSetNumberOfBlocksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfBlocks (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfBlocks for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfBlocks(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:SetBlockIds vtkModelMetadataSetBlockIdsFunction
//input a0 a1 
//output none
ArrayVector vtkModelMetadataSetBlockIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBlockIds (int *); */
  if (arg.size() < 2) 
    throw Exception("Function SetBlockIds for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  int     *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  vtk_pointer->SetBlockIds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:SetBlockNumberOfElements vtkModelMetadataSetBlockNumberOfElementsFunction
//input a0 a1 
//output y
ArrayVector vtkModelMetadataSetBlockNumberOfElementsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SetBlockNumberOfElements (int *nelts); */
  if (arg.size() < 2) 
    throw Exception("Function SetBlockNumberOfElements for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  int     *temp0;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  temp20 = (vtk_pointer)->SetBlockNumberOfElements(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:SetBlockNodesPerElement vtkModelMetadataSetBlockNodesPerElementFunction
//input a0 a1 
//output none
ArrayVector vtkModelMetadataSetBlockNodesPerElementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBlockNodesPerElement (int *); */
  if (arg.size() < 2) 
    throw Exception("Function SetBlockNodesPerElement for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  int     *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  vtk_pointer->SetBlockNodesPerElement(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:SetBlockElementIdList vtkModelMetadataSetBlockElementIdListFunction
//input a0 a1 
//output none
ArrayVector vtkModelMetadataSetBlockElementIdListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBlockElementIdList (int *); */
  if (arg.size() < 2) 
    throw Exception("Function SetBlockElementIdList for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  int     *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  vtk_pointer->SetBlockElementIdList(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:SetBlockNumberOfAttributesPerElement vtkModelMetadataSetBlockNumberOfAttributesPerElementFunction
//input a0 a1 
//output y
ArrayVector vtkModelMetadataSetBlockNumberOfAttributesPerElementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SetBlockNumberOfAttributesPerElement (int *natts); */
  if (arg.size() < 2) 
    throw Exception("Function SetBlockNumberOfAttributesPerElement for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  int     *temp0;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  temp20 = (vtk_pointer)->SetBlockNumberOfAttributesPerElement(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:SetBlockAttributes vtkModelMetadataSetBlockAttributesFunction
//input a0 a1 
//output none
ArrayVector vtkModelMetadataSetBlockAttributesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBlockAttributes (float *); */
  if (arg.size() < 2) 
    throw Exception("Function SetBlockAttributes for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  float   *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
  vtk_pointer->SetBlockAttributes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:SetNumberOfNodeSets vtkModelMetadataSetNumberOfNodeSetsFunction
//input a0 a1 
//output none
ArrayVector vtkModelMetadataSetNumberOfNodeSetsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfNodeSets (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfNodeSets for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfNodeSets(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:SetNodeSetIds vtkModelMetadataSetNodeSetIdsFunction
//input a0 a1 
//output none
ArrayVector vtkModelMetadataSetNodeSetIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNodeSetIds (int *); */
  if (arg.size() < 2) 
    throw Exception("Function SetNodeSetIds for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  int     *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  vtk_pointer->SetNodeSetIds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:SetNodeSetSize vtkModelMetadataSetNodeSetSizeFunction
//input a0 a1 
//output y
ArrayVector vtkModelMetadataSetNodeSetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SetNodeSetSize (int *); */
  if (arg.size() < 2) 
    throw Exception("Function SetNodeSetSize for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  int     *temp0;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  temp20 = (vtk_pointer)->SetNodeSetSize(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:SetNodeSetNodeIdList vtkModelMetadataSetNodeSetNodeIdListFunction
//input a0 a1 
//output none
ArrayVector vtkModelMetadataSetNodeSetNodeIdListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNodeSetNodeIdList (int *); */
  if (arg.size() < 2) 
    throw Exception("Function SetNodeSetNodeIdList for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  int     *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  vtk_pointer->SetNodeSetNodeIdList(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:SetNodeSetNumberOfDistributionFactors vtkModelMetadataSetNodeSetNumberOfDistributionFactorsFunction
//input a0 a1 
//output y
ArrayVector vtkModelMetadataSetNodeSetNumberOfDistributionFactorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SetNodeSetNumberOfDistributionFactors (int *); */
  if (arg.size() < 2) 
    throw Exception("Function SetNodeSetNumberOfDistributionFactors for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  int     *temp0;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  temp20 = (vtk_pointer)->SetNodeSetNumberOfDistributionFactors(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:SetNodeSetDistributionFactors vtkModelMetadataSetNodeSetDistributionFactorsFunction
//input a0 a1 
//output none
ArrayVector vtkModelMetadataSetNodeSetDistributionFactorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNodeSetDistributionFactors (float *); */
  if (arg.size() < 2) 
    throw Exception("Function SetNodeSetDistributionFactors for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  float   *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
  vtk_pointer->SetNodeSetDistributionFactors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:SetNumberOfSideSets vtkModelMetadataSetNumberOfSideSetsFunction
//input a0 a1 
//output none
ArrayVector vtkModelMetadataSetNumberOfSideSetsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfSideSets (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfSideSets for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfSideSets(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:SetSideSetIds vtkModelMetadataSetSideSetIdsFunction
//input a0 a1 
//output none
ArrayVector vtkModelMetadataSetSideSetIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSideSetIds (int *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSideSetIds for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  int     *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  vtk_pointer->SetSideSetIds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:SetSideSetSize vtkModelMetadataSetSideSetSizeFunction
//input a0 a1 
//output y
ArrayVector vtkModelMetadataSetSideSetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SetSideSetSize (int *sizes); */
  if (arg.size() < 2) 
    throw Exception("Function SetSideSetSize for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  int     *temp0;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  temp20 = (vtk_pointer)->SetSideSetSize(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:SetSideSetNumberOfDistributionFactors vtkModelMetadataSetSideSetNumberOfDistributionFactorsFunction
//input a0 a1 
//output y
ArrayVector vtkModelMetadataSetSideSetNumberOfDistributionFactorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SetSideSetNumberOfDistributionFactors (int *df); */
  if (arg.size() < 2) 
    throw Exception("Function SetSideSetNumberOfDistributionFactors for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  int     *temp0;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  temp20 = (vtk_pointer)->SetSideSetNumberOfDistributionFactors(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:SetSideSetElementList vtkModelMetadataSetSideSetElementListFunction
//input a0 a1 
//output none
ArrayVector vtkModelMetadataSetSideSetElementListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSideSetElementList (int *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSideSetElementList for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  int     *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  vtk_pointer->SetSideSetElementList(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:SetSideSetSideList vtkModelMetadataSetSideSetSideListFunction
//input a0 a1 
//output none
ArrayVector vtkModelMetadataSetSideSetSideListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSideSetSideList (int *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSideSetSideList for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  int     *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  vtk_pointer->SetSideSetSideList(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:SetSideSetNumDFPerSide vtkModelMetadataSetSideSetNumDFPerSideFunction
//input a0 a1 
//output none
ArrayVector vtkModelMetadataSetSideSetNumDFPerSideFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSideSetNumDFPerSide (int *numNodes); */
  if (arg.size() < 2) 
    throw Exception("Function SetSideSetNumDFPerSide for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  int     *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  vtk_pointer->SetSideSetNumDFPerSide(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:SetSideSetDistributionFactors vtkModelMetadataSetSideSetDistributionFactorsFunction
//input a0 a1 
//output none
ArrayVector vtkModelMetadataSetSideSetDistributionFactorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSideSetDistributionFactors (float *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSideSetDistributionFactors for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  float   *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
  vtk_pointer->SetSideSetDistributionFactors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:SetBlockPropertyValue vtkModelMetadataSetBlockPropertyValueFunction
//input a0 a1 
//output none
ArrayVector vtkModelMetadataSetBlockPropertyValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBlockPropertyValue (int *); */
  if (arg.size() < 2) 
    throw Exception("Function SetBlockPropertyValue for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  int     *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  vtk_pointer->SetBlockPropertyValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:SetNodeSetPropertyValue vtkModelMetadataSetNodeSetPropertyValueFunction
//input a0 a1 
//output none
ArrayVector vtkModelMetadataSetNodeSetPropertyValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNodeSetPropertyValue (int *); */
  if (arg.size() < 2) 
    throw Exception("Function SetNodeSetPropertyValue for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  int     *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  vtk_pointer->SetNodeSetPropertyValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:SetSideSetPropertyValue vtkModelMetadataSetSideSetPropertyValueFunction
//input a0 a1 
//output none
ArrayVector vtkModelMetadataSetSideSetPropertyValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSideSetPropertyValue (int *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSideSetPropertyValue for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  int     *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  vtk_pointer->SetSideSetPropertyValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:SetGlobalVariableValue vtkModelMetadataSetGlobalVariableValueFunction
//input a0 a1 
//output none
ArrayVector vtkModelMetadataSetGlobalVariableValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGlobalVariableValue (float *f); */
  if (arg.size() < 2) 
    throw Exception("Function SetGlobalVariableValue for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  float   *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new float[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
      }
  vtk_pointer->SetGlobalVariableValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:SetElementVariableTruthTable vtkModelMetadataSetElementVariableTruthTableFunction
//input a0 a1 
//output none
ArrayVector vtkModelMetadataSetElementVariableTruthTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetElementVariableTruthTable (int *); */
  if (arg.size() < 2) 
    throw Exception("Function SetElementVariableTruthTable for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  int     *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  vtk_pointer->SetElementVariableTruthTable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:SetAllVariablesDefinedInAllBlocks vtkModelMetadataSetAllVariablesDefinedInAllBlocksFunction
//input a0 a1 
//output none
ArrayVector vtkModelMetadataSetAllVariablesDefinedInAllBlocksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAllVariablesDefinedInAllBlocks (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAllVariablesDefinedInAllBlocks for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAllVariablesDefinedInAllBlocks(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:AllVariablesDefinedInAllBlocksOn vtkModelMetadataAllVariablesDefinedInAllBlocksOnFunction
//input a0 
//output none
ArrayVector vtkModelMetadataAllVariablesDefinedInAllBlocksOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllVariablesDefinedInAllBlocksOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AllVariablesDefinedInAllBlocksOn for class vtkModelMetadata requires 1 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  vtk_pointer->AllVariablesDefinedInAllBlocksOn();
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:AllVariablesDefinedInAllBlocksOff vtkModelMetadataAllVariablesDefinedInAllBlocksOffFunction
//input a0 
//output none
ArrayVector vtkModelMetadataAllVariablesDefinedInAllBlocksOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllVariablesDefinedInAllBlocksOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AllVariablesDefinedInAllBlocksOff for class vtkModelMetadata requires 1 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  vtk_pointer->AllVariablesDefinedInAllBlocksOff();
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:ElementVariableIsDefinedInBlock vtkModelMetadataElementVariableIsDefinedInBlockFunction
//input a0 a1 a2 
//output y
ArrayVector vtkModelMetadataElementVariableIsDefinedInBlockFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ElementVariableIsDefinedInBlock (char *varname, int blockId); */
  if (arg.size() < 3) 
    throw Exception("Function ElementVariableIsDefinedInBlock for class vtkModelMetadata requires 3 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->ElementVariableIsDefinedInBlock(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:FindOriginalElementVariableName vtkModelMetadataFindOriginalElementVariableNameFunction
//input a0 a1 a2 
//output y
ArrayVector vtkModelMetadataFindOriginalElementVariableNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *FindOriginalElementVariableName (const char *name, int component); */
  if (arg.size() < 3) 
    throw Exception("Function FindOriginalElementVariableName for class vtkModelMetadata requires 3 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char    *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->FindOriginalElementVariableName(temp0,temp1);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:FindOriginalNodeVariableName vtkModelMetadataFindOriginalNodeVariableNameFunction
//input a0 a1 a2 
//output y
ArrayVector vtkModelMetadataFindOriginalNodeVariableNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *FindOriginalNodeVariableName (const char *name, int component); */
  if (arg.size() < 3) 
    throw Exception("Function FindOriginalNodeVariableName for class vtkModelMetadata requires 3 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char    *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->FindOriginalNodeVariableName(temp0,temp1);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:HasMetadata vtkModelMetadataHasMetadataFunction
//input a0 a1 
//output y
ArrayVector vtkModelMetadataHasMetadataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int HasMetadata (vtkDataSet *grid); */
  if (arg.size() < 2) 
    throw Exception("Function HasMetadata for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  temp20 = (vtk_pointer)->HasMetadata(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:RemoveMetadata vtkModelMetadataRemoveMetadataFunction
//input a0 a1 
//output none
ArrayVector vtkModelMetadataRemoveMetadataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void RemoveMetadata (vtkDataSet *grid); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveMetadata for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->RemoveMetadata(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:Pack vtkModelMetadataPackFunction
//input a0 a1 
//output none
ArrayVector vtkModelMetadataPackFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Pack (vtkDataSet *ugrid); */
  if (arg.size() < 2) 
    throw Exception("Function Pack for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->Pack(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:Unpack vtkModelMetadataUnpackFunction
//input a0 a1 a2 
//output y
ArrayVector vtkModelMetadataUnpackFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Unpack (vtkDataSet *ugrid, int deleteIt); */
  if (arg.size() < 3) 
    throw Exception("Function Unpack for class vtkModelMetadata requires 3 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  int      temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->Unpack(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:AddUGridElementVariable vtkModelMetadataAddUGridElementVariableFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkModelMetadataAddUGridElementVariableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddUGridElementVariable (char *ugridVarName, char *origName, int numComponents); */
  if (arg.size() < 4) 
    throw Exception("Function AddUGridElementVariable for class vtkModelMetadata requires 4 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  int      temp2;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->AddUGridElementVariable(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:RemoveUGridElementVariable vtkModelMetadataRemoveUGridElementVariableFunction
//input a0 a1 
//output y
ArrayVector vtkModelMetadataRemoveUGridElementVariableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RemoveUGridElementVariable (char *ugridVarName); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveUGridElementVariable for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->RemoveUGridElementVariable(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:AddUGridNodeVariable vtkModelMetadataAddUGridNodeVariableFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkModelMetadataAddUGridNodeVariableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddUGridNodeVariable (char *ugridVarName, char *origName, int numComponents); */
  if (arg.size() < 4) 
    throw Exception("Function AddUGridNodeVariable for class vtkModelMetadata requires 4 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  int      temp2;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->AddUGridNodeVariable(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:RemoveUGridNodeVariable vtkModelMetadataRemoveUGridNodeVariableFunction
//input a0 a1 
//output y
ArrayVector vtkModelMetadataRemoveUGridNodeVariableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RemoveUGridNodeVariable (char *ugridVarName); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveUGridNodeVariable for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->RemoveUGridNodeVariable(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:MergeModelMetadata vtkModelMetadataMergeModelMetadataFunction
//input a0 a1 
//output y
ArrayVector vtkModelMetadataMergeModelMetadataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int MergeModelMetadata (const vtkModelMetadata *em); */
  if (arg.size() < 2) 
    throw Exception("Function MergeModelMetadata for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  vtkModelMetadata  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkModelMetadata>(arg[1]);
  temp20 = (vtk_pointer)->MergeModelMetadata(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:MergeGlobalInformation vtkModelMetadataMergeGlobalInformationFunction
//input a0 a1 
//output y
ArrayVector vtkModelMetadataMergeGlobalInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int MergeGlobalInformation (const vtkModelMetadata *em); */
  if (arg.size() < 2) 
    throw Exception("Function MergeGlobalInformation for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  vtkModelMetadata  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkModelMetadata>(arg[1]);
  temp20 = (vtk_pointer)->MergeGlobalInformation(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:ExtractModelMetadata vtkModelMetadataExtractModelMetadataFunction
//input a0 a1 a2 
//output y
ArrayVector vtkModelMetadataExtractModelMetadataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkModelMetadata *ExtractModelMetadata (vtkIdTypeArray *globalCellIdList, vtkDataSet *grid); */
  if (arg.size() < 3) 
    throw Exception("Function ExtractModelMetadata for class vtkModelMetadata requires 3 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  vtkIdTypeArray  *temp0;
  vtkDataSet  *temp1;
  vtkModelMetadata  *temp20;
  temp0 = GetVTKPointer<vtkIdTypeArray>(arg[1]);
  temp1 = GetVTKPointer<vtkDataSet>(arg[2]);
  temp20 = (vtk_pointer)->ExtractModelMetadata(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkModelMetadata",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:ExtractGlobalMetadata vtkModelMetadataExtractGlobalMetadataFunction
//input a0 
//output y
ArrayVector vtkModelMetadataExtractGlobalMetadataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkModelMetadata *ExtractGlobalMetadata (); */
  if (arg.size() < 1) 
    throw Exception("Function ExtractGlobalMetadata for class vtkModelMetadata requires 1 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  vtkModelMetadata  *temp20;
  temp20 = (vtk_pointer)->ExtractGlobalMetadata();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkModelMetadata",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:FreeAllGlobalData vtkModelMetadataFreeAllGlobalDataFunction
//input a0 
//output none
ArrayVector vtkModelMetadataFreeAllGlobalDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FreeAllGlobalData (); */
  if (arg.size() < 1) 
    throw Exception("Function FreeAllGlobalData for class vtkModelMetadata requires 1 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  vtk_pointer->FreeAllGlobalData();
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:FreeAllLocalData vtkModelMetadataFreeAllLocalDataFunction
//input a0 
//output none
ArrayVector vtkModelMetadataFreeAllLocalDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FreeAllLocalData (); */
  if (arg.size() < 1) 
    throw Exception("Function FreeAllLocalData for class vtkModelMetadata requires 1 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  vtk_pointer->FreeAllLocalData();
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:FreeBlockDependentData vtkModelMetadataFreeBlockDependentDataFunction
//input a0 
//output none
ArrayVector vtkModelMetadataFreeBlockDependentDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FreeBlockDependentData (); */
  if (arg.size() < 1) 
    throw Exception("Function FreeBlockDependentData for class vtkModelMetadata requires 1 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  vtk_pointer->FreeBlockDependentData();
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:FreeOriginalElementVariableNames vtkModelMetadataFreeOriginalElementVariableNamesFunction
//input a0 
//output none
ArrayVector vtkModelMetadataFreeOriginalElementVariableNamesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FreeOriginalElementVariableNames (); */
  if (arg.size() < 1) 
    throw Exception("Function FreeOriginalElementVariableNames for class vtkModelMetadata requires 1 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  vtk_pointer->FreeOriginalElementVariableNames();
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:FreeOriginalNodeVariableNames vtkModelMetadataFreeOriginalNodeVariableNamesFunction
//input a0 
//output none
ArrayVector vtkModelMetadataFreeOriginalNodeVariableNamesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FreeOriginalNodeVariableNames (); */
  if (arg.size() < 1) 
    throw Exception("Function FreeOriginalNodeVariableNames for class vtkModelMetadata requires 1 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  vtk_pointer->FreeOriginalNodeVariableNames();
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:FreeUsedElementVariableNames vtkModelMetadataFreeUsedElementVariableNamesFunction
//input a0 
//output none
ArrayVector vtkModelMetadataFreeUsedElementVariableNamesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FreeUsedElementVariableNames (); */
  if (arg.size() < 1) 
    throw Exception("Function FreeUsedElementVariableNames for class vtkModelMetadata requires 1 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  vtk_pointer->FreeUsedElementVariableNames();
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:FreeUsedNodeVariableNames vtkModelMetadataFreeUsedNodeVariableNamesFunction
//input a0 
//output none
ArrayVector vtkModelMetadataFreeUsedNodeVariableNamesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FreeUsedNodeVariableNames (); */
  if (arg.size() < 1) 
    throw Exception("Function FreeUsedNodeVariableNames for class vtkModelMetadata requires 1 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  vtk_pointer->FreeUsedNodeVariableNames();
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:FreeUsedElementVariables vtkModelMetadataFreeUsedElementVariablesFunction
//input a0 
//output none
ArrayVector vtkModelMetadataFreeUsedElementVariablesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FreeUsedElementVariables (); */
  if (arg.size() < 1) 
    throw Exception("Function FreeUsedElementVariables for class vtkModelMetadata requires 1 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  vtk_pointer->FreeUsedElementVariables();
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:FreeUsedNodeVariables vtkModelMetadataFreeUsedNodeVariablesFunction
//input a0 
//output none
ArrayVector vtkModelMetadataFreeUsedNodeVariablesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FreeUsedNodeVariables (); */
  if (arg.size() < 1) 
    throw Exception("Function FreeUsedNodeVariables for class vtkModelMetadata requires 1 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  vtk_pointer->FreeUsedNodeVariables();
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:Reset vtkModelMetadataResetFunction
//input a0 
//output none
ArrayVector vtkModelMetadataResetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Reset (); */
  if (arg.size() < 1) 
    throw Exception("Function Reset for class vtkModelMetadata requires 1 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  vtk_pointer->Reset();
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:GetBlockLocalIndex vtkModelMetadataGetBlockLocalIndexFunction
//input a0 a1 
//output y
ArrayVector vtkModelMetadataGetBlockLocalIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBlockLocalIndex (int id); */
  if (arg.size() < 2) 
    throw Exception("Function GetBlockLocalIndex for class vtkModelMetadata requires 2 argument(s)");
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetBlockLocalIndex(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkModelMetadata:myVtkGetMacro vtkModelMetadatamyVtkGetMacroFunction
//input varargin
//output varargout
ArrayVector vtkModelMetadatamyVtkGetMacroFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkModelMetadatamyVtkGetMacro");
}

//@@Signature
//sfunction @vtkModelMetadata:display vtkModelMetadataDisplayFunction
//input varargin
//output varargout
ArrayVector vtkModelMetadataDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkModelMetadata* vtk_pointer = GetVTKPointer<vtkModelMetadata>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkModelMetadata:delete vtkModelMetadataDeleteFunction
//input varargin
//output none
ArrayVector vtkModelMetadataDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkModelMetadata
//@@Section VTKGraphics
//@@Usage
//   This class is inspired by the Exodus II file format, but
//   because this class does not depend on the Exodus library, it 
//   should be possible to use it to represent metadata for other 
//   dataset file formats.  Sandia Labs uses it in their Exodus II
//   reader, their Exodus II writer and their EnSight writer.
//   vtkDistributedDataFilter looks for metadata attached to
//   it's input and redistributes the metadata with the grid.
//  
//   The fields in this class are those described in the document
//   "EXODUS II: A Finite Element Data Model", SAND92-2137, November 1995.
//
//   Element and node IDs stored in this object must be global IDs,
//   in the event that the original dataset was partitioned across
//   many files.  
//
//   One way to initialize this object is by using vtkExodusModel
//   (a Sandia class used by the Sandia Exodus reader).
//   That class will take an open Exodus II file and a
//   vtkUnstructuredGrid drawn from it and will set the required fields.
//
//   Alternatively, you can use all the Set*
//   methods to set the individual fields. This class does not 
//   copy the data, it simply uses your pointer. This 
//   class will free the storage associated with your pointer 
//   when the class is deleted.  Most fields have sensible defaults.
//   The only requirement is that if you are using this ModelMetadata
//   to write out an Exodus or EnSight file in parallel, you must 
//   SetBlockIds and SetBlockIdArrayName.  Your vtkUnstructuredGrid must 
//   have a cell array giving the block ID for each cell.
//
//
//To create an instance of class vtkModelMetadata, simply
//invoke its constructor as follows
//@[
//  obj = vtkModelMetadata
//@]
//@@Methods
//The class vtkModelMetadata has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkModelMetadata class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkModelMetadata = obj.NewInstance ()|
// \item @|vtkModelMetadata = obj.SafeDownCast (vtkObject o)|
// \item @|obj.PrintGlobalInformation ()|
// \item @|obj.PrintLocalInformation ()|
// \item @|obj.SetTitle (string )| -    The title of the dataset.
//// \item @|obj.AddInformationLine (string info)| -    Add an information line. 
//// \item @|obj.AddQARecord (string name, string version, string date, string time)| -    Add a QA record.  They fields are:
//    The code name
//    The code version number
//    The date (MM/DD/YY or NULL for today)
//    The time (HH:MM:SS or NULL for right now)
//// \item @|obj.SetTimeStepIndex (int )| -     Set the index of the time step represented by the results
//    data in the file attached to this ModelMetadata object.  Time
//    step indices start at 0 in this file, they start at 1 in
//    an Exodus file.
//// \item @|obj.SetTimeSteps (int numberOfTimeSteps, float timeStepValues)| -     Set the total number of time steps in the file,
//    and the value at each time step.  We use your time
//    step value array and delete it when we're done.
//// \item @|obj.SetNumberOfBlocks (int )| -    The number of blocks in the file.  Set this before setting
//   any of the block arrays.
//// \item @|obj.SetBlockIds (int )| -    An arbitrary integer ID for each block.
//   We use your pointer, and free the memory when the object is freed.
//// \item @|int = obj.SetBlockNumberOfElements (int nelts)| -    Set or get a pointer to a list of the number of elements in
//   each block.
//   We use your pointers, and free the memory when the object is freed.
//// \item @|obj.SetBlockNodesPerElement (int )| -    Set or get a pointer to a list of the number of nodes in the
//   elements of  each block.
//   We use your pointers, and free the memory when the object is freed.
//// \item @|obj.SetBlockElementIdList (int )| -    Set or get a pointer to a list global element IDs for the
//   elements in each block. 
//   We use your pointers, and free the memory when the object is freed.
//// \item @|int = obj.SetBlockNumberOfAttributesPerElement (int natts)| -    Set or get a pointer to a list of the number of attributes
//   stored for the elements in each block.
//   We use your pointers, and free the memory when the object is freed.
//// \item @|obj.SetBlockAttributes (float )| -     Set or get a pointer to a list of the attributes for all
//    blocks.  The order of the list should be by block, by element
//    within the block, by attribute.  Omit blocks that don't
//    have element attributes.
//// \item @|obj.SetNumberOfNodeSets (int )| -    The number of node sets in the file.  Set this value before
//   setting the various node set arrays.
//// \item @|obj.SetNodeSetIds (int )| -    Set or get the list the IDs for each node set.
//   Length of list is the number of node sets.
//   We use your pointer, and free the memory when the object is freed.
//// \item @|int = obj.SetNodeSetSize (int )| -    Set or get a pointer to a list of the number of nodes in each node set.
//   We use your pointer, and free the memory when the object is freed.
//// \item @|obj.SetNodeSetNodeIdList (int )| -    Set or get a pointer to a concatenated list of the
//   IDs of all nodes in each node set.  First list all IDs in
//   node set 0, then all IDs in node set 1, and so on.
//   We use your pointer, and free the memory when the object is freed.
//// \item @|int = obj.SetNodeSetNumberOfDistributionFactors (int )| -    Set or get a list of the number of distribution factors stored
//   by each node set.  This is either 0 or equal to the number of
//   nodes in the node set. 
//   Length of list is number of node sets.
//   We use your pointer, and free the memory when the object is freed.
//// \item @|obj.SetNodeSetDistributionFactors (float )| -    Set or get a list of the distribution factors for the node sets.
//   The list is organized by node set, and within node set by node.
//   We use your pointer, and free the memory when the object is freed.
//// \item @|obj.SetNumberOfSideSets (int )| -    Set or get the number of side sets.  Set this value before
//   setting any of the other side set arrays.
//// \item @|obj.SetSideSetIds (int )| -    Set or get a pointer to a list giving the ID of each side set. 
//   We use your pointer, and free the memory when the object is freed.
//// \item @|int = obj.SetSideSetSize (int sizes)| -    Set or get a pointer to a list of the number of sides  in each side set.
//   We use your pointer, and free the memory when the object is freed.
//// \item @|int = obj.SetSideSetNumberOfDistributionFactors (int df)| -    Set or get a pointer to a list of the number of distribution
//   factors stored by each side set.   Each side set has either
//   no distribution factors, or 1 per node in the side set.
//   We use your pointer, and free the memory when the object is freed.
//// \item @|obj.SetSideSetElementList (int )| -    Set or get a pointer to a list of the elements containing each
//   side in each side set.  The list is organized by side set, and
//   within side set by element.
//   We use your pointer, and free the memory when the object is freed.
//// \item @|obj.SetSideSetSideList (int )| -    Set or get a pointer to the element side for each side in the side set.
//   (See the manual for the convention for numbering sides in different
//   types of cells.)  Side Ids are arranged by side set and within
//   side set by side, and correspond to the SideSetElementList.
//   We use your pointer, and free the memory when the object is freed.
//// \item @|obj.SetSideSetNumDFPerSide (int numNodes)| -    Set or get a pointer to a list of the number of nodes in each
//   side of each side set.  This list is organized by side set, and
//   within side set by side.
//   We use your pointer, and free the memory when the object is freed.
//// \item @|obj.SetSideSetDistributionFactors (float )| -    Set or get a pointer to a list of all the distribution factors.
//   For every side set that has distribution factors, the number of
//   factors per node was given in the SideSetNumberOfDistributionFactors
//   array.  If this number for a given side set is N, then for that
//   side set we have N floating point values for each node for each
//   side in the side set.  If nodes are repeated in more than one
//   side, we repeat the distribution factors.  So this list is in order
//   by side set, by node.
//   We use your pointer, and free the memory when the object is freed.
//// \item @|obj.SetBlockPropertyValue (int )| -    Set or get value for each variable for each block.  List
//   the integer values in order by variable and within variable
//   by block.
//// \item @|obj.SetNodeSetPropertyValue (int )| -    Set or get value for each variable for each node set.  List
//   the integer values in order by variable and within variable
//   by node set.
//// \item @|obj.SetSideSetPropertyValue (int )| -    Set or get value for each variable for each side set.  List
//   the integer values in order by variable and within variable
//   by side set.
//// \item @|obj.SetGlobalVariableValue (float f)| -    Set or get the values of the global variables at the current
//   time step.
//// \item @|obj.SetElementVariableTruthTable (int )| -    A truth table indicating which element variables are
//   defined for which blocks. The variables are all the original
//   element variables that were in the file.
//   The table is by block ID and within block ID by variable.
//// \item @|obj.SetAllVariablesDefinedInAllBlocks (int )| -    Instead of a truth table of all "1"s, you can set this
//   instance variable to indicate that all variables are
//   defined in all blocks.
//// \item @|obj.AllVariablesDefinedInAllBlocksOn ()| -    Instead of a truth table of all "1"s, you can set this
//   instance variable to indicate that all variables are
//   defined in all blocks.
//// \item @|obj.AllVariablesDefinedInAllBlocksOff ()| -    Instead of a truth table of all "1"s, you can set this
//   instance variable to indicate that all variables are
//   defined in all blocks.
//// \item @|int = obj.ElementVariableIsDefinedInBlock (string varname, int blockId)| -    If the element variable named is defined for the block Id
//   provided (in the element variable truth table) return a
//   1, otherwise return a 0.  If the variable name or block Id
//   are unrecognized, the default value of 1 is returned.
//   (This is an "original" variable name, from the file,
//   not a name created for the vtkUnstructuredGrid.  Use
//   FindOriginal*VariableName to map between the two.)
//// \item @|string = obj.FindOriginalElementVariableName (string name, int component)| -    Given the name of an element variable the vtkUnstructuredGrid
//   described by this ModelMetadata, and a component number, give 
//   the name of the scalar array in the original
//   file that turned into that component when the file was
//   read into VTK.
//// \item @|string = obj.FindOriginalNodeVariableName (string name, int component)| -    Given the name of an node variable the vtkUnstructuredGrid
//   described by this ModelMetadata, and a component number, give 
//   the name of the scalar array in the original
//   file that turned into that component when the file was
//   read into VTK.
//// \item @|obj.Pack (vtkDataSet ugrid)| -    Pack this object's metadata into a field array of a dataset.
//// \item @|int = obj.Unpack (vtkDataSet ugrid, int deleteIt)| -    Unpack the metadata stored in a dataset,
//   and initialize this object with it.  Return 1 if there's
//   no metadata packed into the grid, 0 if OK.
//   If deleteIt is ON, then delete the grid's packed data after
//   unpacking it into the object.
//// \item @|int = obj.AddUGridElementVariable (string ugridVarName, string origName, int numComponents)| -    In order to write Exodus files from vtkUnstructuredGrid
//   objects that were read from Exodus files, we need to know
//   the mapping from variable names in the UGrid to variable
//   names in the Exodus file.  (The Exodus reader combines
//   scalar variables with similar names into vectors in the
//   UGrid.)  When building the UGrid to which this
//   ModelMetadata refers, add each element and node variable
//   name with this call, including the name of original variable
//   that yielded it's first component, and the number of components.
//   If a variable is removed from the UGrid, remove it from
//   the ModelMetadata.  (If this information is missing or
//   incomplete, the ExodusIIWriter can still do something
//   sensible in creating names for variables.)
//// \item @|int = obj.RemoveUGridElementVariable (string ugridVarName)| -    In order to write Exodus files from vtkUnstructuredGrid
//   objects that were read from Exodus files, we need to know
//   the mapping from variable names in the UGrid to variable
//   names in the Exodus file.  (The Exodus reader combines
//   scalar variables with similar names into vectors in the
//   UGrid.)  When building the UGrid to which this
//   ModelMetadata refers, add each element and node variable
//   name with this call, including the name of original variable
//   that yielded it's first component, and the number of components.
//   If a variable is removed from the UGrid, remove it from
//   the ModelMetadata.  (If this information is missing or
//   incomplete, the ExodusIIWriter can still do something
//   sensible in creating names for variables.)
//// \item @|int = obj.AddUGridNodeVariable (string ugridVarName, string origName, int numComponents)|
// \item @|int = obj.RemoveUGridNodeVariable (string ugridVarName)|
// \item @|int = obj.MergeModelMetadata (vtkModelMetadata em)| -    In VTK we take vtkUnstructuredGrids and perform
//   operations on them, including subsetting and merging
//   grids.  We need to modify the metadata object 
//   when this happens.  MergeModelMetadata merges the supplied
//   model (both global and local metadata) into this model.  
//   The models must be from the same file set.
//
//   MergeModelMetadata assumes that no element in one metadata
//   object appears in the other.  (It doesn't test for duplicate
//   elements when merging the two metadata objects.) 
//// \item @|int = obj.MergeGlobalInformation (vtkModelMetadata em)| -    The metadata is divided into global metadata and local
//   metadata.  MergeGlobalInformation merges just the
//   global metadata of the supplied object into the
//   global metadata of this object.
//// \item @|vtkModelMetadata = obj.ExtractModelMetadata (vtkIdTypeArray globalCellIdList, vtkDataSet grid)| -    Create and return a new metadata object which contains
//   the information for the subset of global cell IDs provided.
//   We need the grid containing the cells so we can find point
//   Ids as well, and also the name of the global cell ID array
//   and the name of the global point ID array.
//// \item @|vtkModelMetadata = obj.ExtractGlobalMetadata ()| -    Create and return a new metadata object containing only the
//   global metadata of this metadata object.  
//// \item @|obj.FreeAllGlobalData ()| -    Free selected portions of the metadata when updating values
//   in the vtkModelMetadata object.  Resetting a particular field,
//   (i.e. SetNodeSetIds) frees the previous setting, but if you
//   are not setting every field, you may want to do a wholesale
//   "Free" first.
//
//   FreeAllGlobalData frees all the fields which don't depend on
//     which time step, which blocks, or which variables are in the input.
//   FreeAllLocalData frees all the fields which do depend on which
//     time step, blocks or variables are in the input.
//   FreeBlockDependentData frees all metadata fields which depend on
//     which blocks were read in.
//// \item @|obj.FreeAllLocalData ()| -    Free selected portions of the metadata when updating values
//   in the vtkModelMetadata object.  Resetting a particular field,
//   (i.e. SetNodeSetIds) frees the previous setting, but if you
//   are not setting every field, you may want to do a wholesale
//   "Free" first.
//
//   FreeAllGlobalData frees all the fields which don't depend on
//     which time step, which blocks, or which variables are in the input.
//   FreeAllLocalData frees all the fields which do depend on which
//     time step, blocks or variables are in the input.
//   FreeBlockDependentData frees all metadata fields which depend on
//     which blocks were read in.
//// \item @|obj.FreeBlockDependentData ()| -    Free selected portions of the metadata when updating values
//   in the vtkModelMetadata object.  Resetting a particular field,
//   (i.e. SetNodeSetIds) frees the previous setting, but if you
//   are not setting every field, you may want to do a wholesale
//   "Free" first.
//
//   FreeAllGlobalData frees all the fields which don't depend on
//     which time step, which blocks, or which variables are in the input.
//   FreeAllLocalData frees all the fields which do depend on which
//     time step, blocks or variables are in the input.
//   FreeBlockDependentData frees all metadata fields which depend on
//     which blocks were read in.
//// \item @|obj.FreeOriginalElementVariableNames ()| -    Free selected portions of the metadata when updating values
//   in the vtkModelMetadata object.  Resetting a particular field,
//   (i.e. SetNodeSetIds) frees the previous setting, but if you
//   are not setting every field, you may want to do a wholesale
//   "Free" first.
//
//   FreeAllGlobalData frees all the fields which don't depend on
//     which time step, which blocks, or which variables are in the input.
//   FreeAllLocalData frees all the fields which do depend on which
//     time step, blocks or variables are in the input.
//   FreeBlockDependentData frees all metadata fields which depend on
//     which blocks were read in.
//// \item @|obj.FreeOriginalNodeVariableNames ()| -    Free selected portions of the metadata when updating values
//   in the vtkModelMetadata object.  Resetting a particular field,
//   (i.e. SetNodeSetIds) frees the previous setting, but if you
//   are not setting every field, you may want to do a wholesale
//   "Free" first.
//
//   FreeAllGlobalData frees all the fields which don't depend on
//     which time step, which blocks, or which variables are in the input.
//   FreeAllLocalData frees all the fields which do depend on which
//     time step, blocks or variables are in the input.
//   FreeBlockDependentData frees all metadata fields which depend on
//     which blocks were read in.
//// \item @|obj.FreeUsedElementVariableNames ()| -    Free selected portions of the metadata when updating values
//   in the vtkModelMetadata object.  Resetting a particular field,
//   (i.e. SetNodeSetIds) frees the previous setting, but if you
//   are not setting every field, you may want to do a wholesale
//   "Free" first.
//
//   FreeAllGlobalData frees all the fields which don't depend on
//     which time step, which blocks, or which variables are in the input.
//   FreeAllLocalData frees all the fields which do depend on which
//     time step, blocks or variables are in the input.
//   FreeBlockDependentData frees all metadata fields which depend on
//     which blocks were read in.
//// \item @|obj.FreeUsedNodeVariableNames ()| -    Free selected portions of the metadata when updating values
//   in the vtkModelMetadata object.  Resetting a particular field,
//   (i.e. SetNodeSetIds) frees the previous setting, but if you
//   are not setting every field, you may want to do a wholesale
//   "Free" first.
//
//   FreeAllGlobalData frees all the fields which don't depend on
//     which time step, which blocks, or which variables are in the input.
//   FreeAllLocalData frees all the fields which do depend on which
//     time step, blocks or variables are in the input.
//   FreeBlockDependentData frees all metadata fields which depend on
//     which blocks were read in.
//// \item @|obj.FreeUsedElementVariables ()| -    Free selected portions of the metadata when updating values
//   in the vtkModelMetadata object.  Resetting a particular field,
//   (i.e. SetNodeSetIds) frees the previous setting, but if you
//   are not setting every field, you may want to do a wholesale
//   "Free" first.
//
//   FreeAllGlobalData frees all the fields which don't depend on
//     which time step, which blocks, or which variables are in the input.
//   FreeAllLocalData frees all the fields which do depend on which
//     time step, blocks or variables are in the input.
//   FreeBlockDependentData frees all metadata fields which depend on
//     which blocks were read in.
//// \item @|obj.FreeUsedNodeVariables ()| -    Free selected portions of the metadata when updating values
//   in the vtkModelMetadata object.  Resetting a particular field,
//   (i.e. SetNodeSetIds) frees the previous setting, but if you
//   are not setting every field, you may want to do a wholesale
//   "Free" first.
//
//   FreeAllGlobalData frees all the fields which don't depend on
//     which time step, which blocks, or which variables are in the input.
//   FreeAllLocalData frees all the fields which do depend on which
//     time step, blocks or variables are in the input.
//   FreeBlockDependentData frees all metadata fields which depend on
//     which blocks were read in.
//// \item @|obj.Reset ()| -    Set the object back to it's initial state
//// \item @|int = obj.GetBlockLocalIndex (int id)| -    Block information is stored in arrays.  This method returns
//   the array index for a given block ID.
////\end{itemize}
//!
