#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMultiBlockDataGroupFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMultiBlockDataGroupFilter.h"

//@@Signature
//sfunction @vtkMultiBlockDataGroupFilter:vtkMultiBlockDataGroupFilter vtkMultiBlockDataGroupFilterConstructorFunction
//input a
//output p
//@@Parents vtkMultiBlockDataGroupFilter vtkMultiBlockDataSetAlgorithm 
ArrayVector vtkMultiBlockDataGroupFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMultiBlockDataGroupFilter::New(),"vtkMultiBlockDataGroupFilter",eval);
  } else if (arg[0].className() == "vtkMultiBlockDataGroupFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMultiBlockDataGroupFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMultiBlockDataGroupFilter");
    vtkMultiBlockDataGroupFilter*q = reinterpret_cast<vtkMultiBlockDataGroupFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMultiBlockDataGroupFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMultiBlockDataGroupFilter:GetClassName vtkMultiBlockDataGroupFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMultiBlockDataGroupFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMultiBlockDataGroupFilter requires 1 argument(s)");
  vtkMultiBlockDataGroupFilter* vtk_pointer = GetVTKPointer<vtkMultiBlockDataGroupFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockDataGroupFilter:IsA vtkMultiBlockDataGroupFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMultiBlockDataGroupFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMultiBlockDataGroupFilter requires 2 argument(s)");
  vtkMultiBlockDataGroupFilter* vtk_pointer = GetVTKPointer<vtkMultiBlockDataGroupFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockDataGroupFilter:NewInstance vtkMultiBlockDataGroupFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMultiBlockDataGroupFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiBlockDataGroupFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMultiBlockDataGroupFilter requires 1 argument(s)");
  vtkMultiBlockDataGroupFilter* vtk_pointer = GetVTKPointer<vtkMultiBlockDataGroupFilter>(arg[0]);
  Array retval;
  vtkMultiBlockDataGroupFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiBlockDataGroupFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockDataGroupFilter:SafeDownCast vtkMultiBlockDataGroupFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMultiBlockDataGroupFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiBlockDataGroupFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMultiBlockDataGroupFilter requires 2 argument(s)");
  vtkMultiBlockDataGroupFilter* vtk_pointer = GetVTKPointer<vtkMultiBlockDataGroupFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMultiBlockDataGroupFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiBlockDataGroupFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockDataGroupFilter:AddInput__1 vtkMultiBlockDataGroupFilterAddInput__1Function
//input a0 a1 
//output none
ArrayVector vtkMultiBlockDataGroupFilterAddInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function AddInput__1 for class vtkMultiBlockDataGroupFilter requires 2 argument(s)");
  vtkMultiBlockDataGroupFilter* vtk_pointer = GetVTKPointer<vtkMultiBlockDataGroupFilter>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->AddInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockDataGroupFilter:AddInput__2 vtkMultiBlockDataGroupFilterAddInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkMultiBlockDataGroupFilterAddInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (int , vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function AddInput__2 for class vtkMultiBlockDataGroupFilter requires 3 argument(s)");
  vtkMultiBlockDataGroupFilter* vtk_pointer = GetVTKPointer<vtkMultiBlockDataGroupFilter>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->AddInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockDataGroupFilter:AddInput vtkMultiBlockDataGroupFilterAddInputFunction
//input varargin
//output varargout
ArrayVector vtkMultiBlockDataGroupFilterAddInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkMultiBlockDataGroupFilterAddInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkMultiBlockDataGroupFilterAddInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMultiBlockDataGroupFilterAddInput");
}

//@@Signature
//sfunction @vtkMultiBlockDataGroupFilter:display vtkMultiBlockDataGroupFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMultiBlockDataGroupFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMultiBlockDataGroupFilter* vtk_pointer = GetVTKPointer<vtkMultiBlockDataGroupFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMultiBlockDataGroupFilter:delete vtkMultiBlockDataGroupFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkMultiBlockDataGroupFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMultiBlockDataGroupFilter
//@@Section VTKGraphics
//@@Usage
// vtkMultiBlockDataGroupFilter is an M to 1 filter that merges multiple
// input into one multi-group dataset. It will assign each input to
// one group of the multi-group dataset and will assign each update piece
// as a sub-block. For example, if there are two inputs and four update
// pieces, the output contains two groups with four datasets each.
//
//To create an instance of class vtkMultiBlockDataGroupFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkMultiBlockDataGroupFilter
//@]
//@@Methods
//The class vtkMultiBlockDataGroupFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMultiBlockDataGroupFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMultiBlockDataGroupFilter = obj.NewInstance ()|
// \item @|vtkMultiBlockDataGroupFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddInput (vtkDataObject )| -  Add an input of this algorithm.  Note that these methods support
// old-style pipeline connections.  When writing new code you should
// use the more general vtkAlgorithm::AddInputConnection().  See
// SetInput() for details.
//// \item @|obj.AddInput (int , vtkDataObject )| -  Add an input of this algorithm.  Note that these methods support
// old-style pipeline connections.  When writing new code you should
// use the more general vtkAlgorithm::AddInputConnection().  See
// SetInput() for details.
////\end{itemize}
//!
