#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMultiBlockMergeFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMultiBlockMergeFilter.h"

//@@Signature
//sfunction @vtkMultiBlockMergeFilter:vtkMultiBlockMergeFilter vtkMultiBlockMergeFilterConstructorFunction
//input a
//output p
//@@Parents vtkMultiBlockMergeFilter vtkMultiBlockDataSetAlgorithm 
ArrayVector vtkMultiBlockMergeFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMultiBlockMergeFilter::New(),"vtkMultiBlockMergeFilter",eval);
  } else if (arg[0].className() == "vtkMultiBlockMergeFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMultiBlockMergeFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMultiBlockMergeFilter");
    vtkMultiBlockMergeFilter*q = reinterpret_cast<vtkMultiBlockMergeFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMultiBlockMergeFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMultiBlockMergeFilter:GetClassName vtkMultiBlockMergeFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMultiBlockMergeFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMultiBlockMergeFilter requires 1 argument(s)");
  vtkMultiBlockMergeFilter* vtk_pointer = GetVTKPointer<vtkMultiBlockMergeFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockMergeFilter:IsA vtkMultiBlockMergeFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMultiBlockMergeFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMultiBlockMergeFilter requires 2 argument(s)");
  vtkMultiBlockMergeFilter* vtk_pointer = GetVTKPointer<vtkMultiBlockMergeFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockMergeFilter:NewInstance vtkMultiBlockMergeFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMultiBlockMergeFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiBlockMergeFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMultiBlockMergeFilter requires 1 argument(s)");
  vtkMultiBlockMergeFilter* vtk_pointer = GetVTKPointer<vtkMultiBlockMergeFilter>(arg[0]);
  Array retval;
  vtkMultiBlockMergeFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiBlockMergeFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockMergeFilter:SafeDownCast vtkMultiBlockMergeFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMultiBlockMergeFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiBlockMergeFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMultiBlockMergeFilter requires 2 argument(s)");
  vtkMultiBlockMergeFilter* vtk_pointer = GetVTKPointer<vtkMultiBlockMergeFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMultiBlockMergeFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiBlockMergeFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockMergeFilter:AddInput__1 vtkMultiBlockMergeFilterAddInput__1Function
//input a0 a1 
//output none
ArrayVector vtkMultiBlockMergeFilterAddInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function AddInput__1 for class vtkMultiBlockMergeFilter requires 2 argument(s)");
  vtkMultiBlockMergeFilter* vtk_pointer = GetVTKPointer<vtkMultiBlockMergeFilter>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->AddInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockMergeFilter:AddInput__2 vtkMultiBlockMergeFilterAddInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkMultiBlockMergeFilterAddInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (int , vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function AddInput__2 for class vtkMultiBlockMergeFilter requires 3 argument(s)");
  vtkMultiBlockMergeFilter* vtk_pointer = GetVTKPointer<vtkMultiBlockMergeFilter>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->AddInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockMergeFilter:AddInput vtkMultiBlockMergeFilterAddInputFunction
//input varargin
//output varargout
ArrayVector vtkMultiBlockMergeFilterAddInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkMultiBlockMergeFilterAddInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkMultiBlockMergeFilterAddInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMultiBlockMergeFilterAddInput");
}

//@@Signature
//sfunction @vtkMultiBlockMergeFilter:display vtkMultiBlockMergeFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMultiBlockMergeFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMultiBlockMergeFilter* vtk_pointer = GetVTKPointer<vtkMultiBlockMergeFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMultiBlockMergeFilter:delete vtkMultiBlockMergeFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkMultiBlockMergeFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMultiBlockMergeFilter
//@@Section VTKGraphics
//@@Usage
// vtkMultiBlockMergeFilter is an M to 1 filter similar to 
// vtkMultiBlockDataGroupFilter. However where as that class creates N groups 
// in the output for N inputs, this creates 1 group in the output with N 
// datasets inside it. In actuality if the inputs have M blocks, this will 
// produce M blocks, each of which has N datasets. Inside the merged group, 
// the i'th data set comes from the i'th data set in the i'th input.
//
//To create an instance of class vtkMultiBlockMergeFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkMultiBlockMergeFilter
//@]
//@@Methods
//The class vtkMultiBlockMergeFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMultiBlockMergeFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMultiBlockMergeFilter = obj.NewInstance ()|
// \item @|vtkMultiBlockMergeFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddInput (vtkDataObject )| -  Add an input of this algorithm.  Note that these methods support
// old-style pipeline connections.  When writing new code you should
// use the more general vtkAlgorithm::AddInputConnection().  See
// SetInput() for details.
//// \item @|obj.AddInput (int , vtkDataObject )| -  Add an input of this algorithm.  Note that these methods support
// old-style pipeline connections.  When writing new code you should
// use the more general vtkAlgorithm::AddInputConnection().  See
// SetInput() for details.
////\end{itemize}
//!
