#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMultiThreshold object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMultiThreshold.h"

//@@Signature
//sfunction @vtkMultiThreshold:vtkMultiThreshold vtkMultiThresholdConstructorFunction
//input a
//output p
//@@Parents vtkMultiThreshold vtkMultiBlockDataSetAlgorithm 
ArrayVector vtkMultiThresholdConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMultiThreshold::New(),"vtkMultiThreshold",eval);
  } else if (arg[0].className() == "vtkMultiThreshold") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMultiThreshold"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMultiThreshold");
    vtkMultiThreshold*q = reinterpret_cast<vtkMultiThreshold*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMultiThreshold");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMultiThreshold:GetClassName vtkMultiThresholdGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMultiThresholdGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMultiThreshold requires 1 argument(s)");
  vtkMultiThreshold* vtk_pointer = GetVTKPointer<vtkMultiThreshold>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiThreshold:IsA vtkMultiThresholdIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMultiThresholdIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMultiThreshold requires 2 argument(s)");
  vtkMultiThreshold* vtk_pointer = GetVTKPointer<vtkMultiThreshold>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiThreshold:NewInstance vtkMultiThresholdNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMultiThresholdNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiThreshold *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMultiThreshold requires 1 argument(s)");
  vtkMultiThreshold* vtk_pointer = GetVTKPointer<vtkMultiThreshold>(arg[0]);
  Array retval;
  vtkMultiThreshold  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiThreshold",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMultiThreshold:SafeDownCast vtkMultiThresholdSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMultiThresholdSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiThreshold *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMultiThreshold requires 2 argument(s)");
  vtkMultiThreshold* vtk_pointer = GetVTKPointer<vtkMultiThreshold>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMultiThreshold  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiThreshold",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMultiThreshold:AddIntervalSet__1 vtkMultiThresholdAddIntervalSet__1Function
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 
//output y
ArrayVector vtkMultiThresholdAddIntervalSet__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddIntervalSet (double xmin, double xmax, int omin, int omax, int assoc, const char *arrayName, int component, int allScalars); */
  if (arg.size() < 9) 
    throw Exception("Function AddIntervalSet__1 for class vtkMultiThreshold requires 9 argument(s)");
  vtkMultiThreshold* vtk_pointer = GetVTKPointer<vtkMultiThreshold>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  char    *temp5;
  int      temp6;
  int      temp7;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  char tmp_string5[1024];
  strcpy(tmp_string5,qPrintable(arg[6].asString())); 
  temp5 = tmp_string5;
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (int) arg[7].asDouble();
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (int) arg[8].asDouble();
  temp20 = (vtk_pointer)->AddIntervalSet(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiThreshold:AddIntervalSet__2 vtkMultiThresholdAddIntervalSet__2Function
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 
//output y
ArrayVector vtkMultiThresholdAddIntervalSet__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddIntervalSet (double xmin, double xmax, int omin, int omax, int assoc, int attribType, int component, int allScalars); */
  if (arg.size() < 9) 
    throw Exception("Function AddIntervalSet__2 for class vtkMultiThreshold requires 9 argument(s)");
  vtkMultiThreshold* vtk_pointer = GetVTKPointer<vtkMultiThreshold>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  int      temp6;
  int      temp7;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (int) arg[7].asDouble();
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (int) arg[8].asDouble();
  temp20 = (vtk_pointer)->AddIntervalSet(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiThreshold:AddLowpassIntervalSet vtkMultiThresholdAddLowpassIntervalSetFunction
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkMultiThresholdAddLowpassIntervalSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddLowpassIntervalSet (double xmax, int assoc, const char *arrayName, int component, int allScalars); */
  if (arg.size() < 6) 
    throw Exception("Function AddLowpassIntervalSet for class vtkMultiThreshold requires 6 argument(s)");
  vtkMultiThreshold* vtk_pointer = GetVTKPointer<vtkMultiThreshold>(arg[0]);
  Array retval;
  double   temp0;
  int      temp1;
  char    *temp2;
  int      temp3;
  int      temp4;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  char tmp_string2[1024];
  strcpy(tmp_string2,qPrintable(arg[3].asString())); 
  temp2 = tmp_string2;
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  temp20 = (vtk_pointer)->AddLowpassIntervalSet(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiThreshold:AddHighpassIntervalSet vtkMultiThresholdAddHighpassIntervalSetFunction
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkMultiThresholdAddHighpassIntervalSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddHighpassIntervalSet (double xmin, int assoc, const char *arrayName, int component, int allScalars); */
  if (arg.size() < 6) 
    throw Exception("Function AddHighpassIntervalSet for class vtkMultiThreshold requires 6 argument(s)");
  vtkMultiThreshold* vtk_pointer = GetVTKPointer<vtkMultiThreshold>(arg[0]);
  Array retval;
  double   temp0;
  int      temp1;
  char    *temp2;
  int      temp3;
  int      temp4;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  char tmp_string2[1024];
  strcpy(tmp_string2,qPrintable(arg[3].asString())); 
  temp2 = tmp_string2;
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  temp20 = (vtk_pointer)->AddHighpassIntervalSet(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiThreshold:AddBandpassIntervalSet vtkMultiThresholdAddBandpassIntervalSetFunction
//input a0 a1 a2 a3 a4 a5 a6 
//output y
ArrayVector vtkMultiThresholdAddBandpassIntervalSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddBandpassIntervalSet (double xmin, double xmax, int assoc, const char *arrayName, int component, int allScalars); */
  if (arg.size() < 7) 
    throw Exception("Function AddBandpassIntervalSet for class vtkMultiThreshold requires 7 argument(s)");
  vtkMultiThreshold* vtk_pointer = GetVTKPointer<vtkMultiThreshold>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  int      temp2;
  char    *temp3;
  int      temp4;
  int      temp5;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  char tmp_string3[1024];
  strcpy(tmp_string3,qPrintable(arg[4].asString())); 
  temp3 = tmp_string3;
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  temp20 = (vtk_pointer)->AddBandpassIntervalSet(temp0,temp1,temp2,temp3,temp4,temp5);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiThreshold:AddNotchIntervalSet vtkMultiThresholdAddNotchIntervalSetFunction
//input a0 a1 a2 a3 a4 a5 a6 
//output y
ArrayVector vtkMultiThresholdAddNotchIntervalSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddNotchIntervalSet (double xlo, double xhi, int assoc, const char *arrayName, int component, int allScalars); */
  if (arg.size() < 7) 
    throw Exception("Function AddNotchIntervalSet for class vtkMultiThreshold requires 7 argument(s)");
  vtkMultiThreshold* vtk_pointer = GetVTKPointer<vtkMultiThreshold>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  int      temp2;
  char    *temp3;
  int      temp4;
  int      temp5;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  char tmp_string3[1024];
  strcpy(tmp_string3,qPrintable(arg[4].asString())); 
  temp3 = tmp_string3;
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  temp20 = (vtk_pointer)->AddNotchIntervalSet(temp0,temp1,temp2,temp3,temp4,temp5);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiThreshold:AddBooleanSet vtkMultiThresholdAddBooleanSetFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMultiThresholdAddBooleanSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddBooleanSet (int operation, int numInputs, int *inputs); */
  if (arg.size() < 4) 
    throw Exception("Function AddBooleanSet for class vtkMultiThreshold requires 4 argument(s)");
  vtkMultiThreshold* vtk_pointer = GetVTKPointer<vtkMultiThreshold>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int     *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new int[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (int)data[k+1];
      }
  temp20 = (vtk_pointer)->AddBooleanSet(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiThreshold:OutputSet vtkMultiThresholdOutputSetFunction
//input a0 a1 
//output y
ArrayVector vtkMultiThresholdOutputSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int OutputSet (int setId); */
  if (arg.size() < 2) 
    throw Exception("Function OutputSet for class vtkMultiThreshold requires 2 argument(s)");
  vtkMultiThreshold* vtk_pointer = GetVTKPointer<vtkMultiThreshold>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->OutputSet(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiThreshold:Reset vtkMultiThresholdResetFunction
//input a0 
//output none
ArrayVector vtkMultiThresholdResetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Reset (); */
  if (arg.size() < 1) 
    throw Exception("Function Reset for class vtkMultiThreshold requires 1 argument(s)");
  vtkMultiThreshold* vtk_pointer = GetVTKPointer<vtkMultiThreshold>(arg[0]);
  Array retval;
  vtk_pointer->Reset();
  return retval;
}

//@@Signature
//sfunction @vtkMultiThreshold:AddIntervalSet vtkMultiThresholdAddIntervalSetFunction
//input varargin
//output varargout
ArrayVector vtkMultiThresholdAddIntervalSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 9) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[7]) && VTKIsScalarArg(arg[8]))
    return vtkMultiThresholdAddIntervalSet__1Function(nargout,arg,eval);
  if ((arg.size() == 9) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]) && VTKIsScalarArg(arg[7]) && VTKIsScalarArg(arg[8]))
    return vtkMultiThresholdAddIntervalSet__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMultiThresholdAddIntervalSet");
}

//@@Signature
//sfunction @vtkMultiThreshold:display vtkMultiThresholdDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMultiThresholdDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMultiThreshold* vtk_pointer = GetVTKPointer<vtkMultiThreshold>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMultiThreshold:delete vtkMultiThresholdDeleteFunction
//input varargin
//output none
ArrayVector vtkMultiThresholdDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMultiThreshold
//@@Section VTKGraphics
//@@Usage
// This filter can be substituted for a chain of several vtkThreshold filters
// and can also perform more sophisticated subsetting operations.
// It generates a vtkMultiBlockDataSet as its output.
// This multiblock dataset contains a vtkUnstructuredGrid for each thresholded
// subset you request.
// A thresholded subset can be a set defined by an interval over a
// point or cell attribute of the mesh; these subsets are called IntervalSets.
// A thresholded subset can also be a boolean combination of one or more IntervalSets;
// these subsets are called BooleanSets.
// BooleanSets allow complex logic since their output
// can depend on multiple intervals over multiple variables
// defined on the input mesh.
// This is useful because it eliminates the need for thresholding several
// times and then appending the results, as can be required with vtkThreshold
// when one wants to remove some range of values (e.g., a notch filter).
// Cells are not repeated when they belong to more than one interval unless
// those intervals have different output grids.
//
// Another advantage this filter provides over vtkThreshold is the ability
// to threshold on non-scalar (i.e., vector, tensor, etc.) attributes without
// first computing an array containing some norm of the desired attribute.
// vtkMultiThreshold provides \f$L_1\f$, \f$L_2\f$, and \f$L_{\infty}\f$ norms.
//
// This filter makes a distinction between intermediate subsets and
// subsets that will be output to a grid.
// Each intermediate subset you create with AddIntervalSet or
// AddBooleanSet is given a unique integer identifier (via the return
// values of these member functions).
// If you wish for a given set to be output, you must call
// OutputSet and pass it one of these identifiers.
// The return of OutputSet is the integer index of the output set
// in the multiblock dataset created by this filter.
//
// For example, if an input mesh defined three attributes T, P, and s, one might
// wish to find cells that satisfy "T < 320 [K] && ( P > 101 [kPa] || s < 0.1 [kJ/kg/K] )".
// To accomplish this with a vtkMultiThreshold filter,
// <pre>
// vtkMultiThreshold* thr;
// int intervalSets[3];
//
// intervalSets[0] = thr->AddIntervalSet( vtkMath::NegInf(), 320., vtkMultiThreshold::CLOSED, vtkMultiThreshold::OPEN,
//     vtkDataObject::FIELD_ASSOCIATION_POINTS, "T", 0, 1 );
// intervalSets[1] = thr->AddIntervalSet( 101., vtkMath::Inf(), vtkMultiThreshold::OPEN, vtkMultiThreshold::CLOSED,
//     vtkDataObject::FIELD_ASSOCIATION_CELLS, "P", 0, 1 );
// intervalSets[2] = thr->AddIntervalSet( vtkMath::NegInf(), 0.1, vtkMultiThreshold::CLOSED, vtkMultiThreshold::OPEN,
//     vtkDataObject::FIELD_ASSOCIATION_POINTS, "s", 0, 1 );
//
// int intermediate = thr->AddBooleanSet( vtkMultiThreshold::OR, 2, &intervalSets[1] );
//
// int intersection[2];
// intersection[0] = intervalSets[0];
// intersection[1] = intermediate;
// int outputSet = thr->AddBooleanSet( vtkMultiThreshold::AND, 2, intersection );
//
// int outputGridIndex = thr->OutputSet( outputSet );
// thr->Update();
// </pre>
// The result of this filter will be a multiblock dataset that contains a single child with the desired cells.
// If we had also called <code>thr->OutputSet( intervalSets[0] );</code>, there would be two child meshes and
// one would contain all cells with T < 320 [K].
// In that case, the output can be represented by this graph
// \dot
// digraph MultiThreshold {
//   set0 [shape=rect,style=filled,label="point T(0) in [-Inf,320["]
//   set1 [shape=rect,label="cell P(0) in ]101,Inf]"]
//   set2 [shape=rect,label="point s(0) in [-Inf,0.1["]
//   set3 [shape=rect,label="OR"]
//   set4 [shape=rect,style=filled,label="AND"]
//   set0 -> set4
//   set1 -> set3
//   set2 -> set3
//   set3 -> set4
// }
// \enddot
// The filled rectangles represent sets that are output.
//
//To create an instance of class vtkMultiThreshold, simply
//invoke its constructor as follows
//@[
//  obj = vtkMultiThreshold
//@]
//@@Methods
//The class vtkMultiThreshold has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMultiThreshold class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMultiThreshold = obj.NewInstance ()|
// \item @|vtkMultiThreshold = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.AddIntervalSet (double xmin, double xmax, int omin, int omax, int assoc, string arrayName, int component, int allScalars)| -  Add a mesh subset to be computed by thresholding an attribute of the input mesh.
// The subset can then be added to an output mesh with OuputSet() or combined with other sets using AddBooleanSet.
// If you wish to include all cells with values below some number \a a, call
// with xmin set to vtkMath::NegInf() and xmax set to \a a.
// Similarly, if you wish to include all cells with values above some number \a a,
// call with xmin set to \a a and xmax set to vtkMath::Inf().
// When specifying Inf() or NegInf() for an endpoint, it does not matter whether
// you specify and open or closed endpoint.
// 
// When creating intervals, any integers can be used for the IDs of output meshes.
// All that matters is that the same ID be used if intervals should output to the same mesh.
// The outputs are ordered with ascending IDs in output block 0.
//
// It is possible to specify an invalid interval, in which case these routines will return -1.
// Invalid intervals occur when
// - an array does not exist,
// - \a center is invalid,
// - \a xmin == \a xmax and \a omin and/or \a omax are vtkMultiThreshold::OPEN, or
// - \a xmin > \a xmax.
// - \a xmin or \a xmax is not a number (i.e., IEEE NaN). Having both \a xmin and \a xmax equal NaN is allowed.
// vtkMath provides a portable way to specify IEEE infinities and Nan.
// Note that specifying an interval completely out of the bounds of an attribute is considered valid.
// In fact, it is occasionally useful to create a closed interval with both endpoints set to \f$\infty\f$
// or both endpoints set to \f$-\infty\f$ in order to locate cells with problematic values.
//
// @param xmin The minimum attribute value
// @param xmax The maximum attribute value
// @param omin Whether the interval should be open or closed at \a xmin. Use vtkMultiThreshold::OPEN or vtkMultiThreshold::CLOSED.
// @param omax Whether the interval should be open or closed at \a xmax. Use vtkMultiThreshold::OPEN or vtkMultiThreshold::CLOSED.
// @param assoc One of vtkDataObject::FIELD_ASSOCIATION_CELLS or vtkDataObject::FIELD_ASSOCIATION_POINTS indicating whether 
//               a point or cell array should be used.
// @param arrayName The name of the array to use for thresholding
// @param attribType The attribute to use for thresholding.
//                   One of vtkDataSetAttributes::SCALARS, VECTORS, TENSORS, NORMALS, TCOORDS, or GLOBALIDS.
// @param component The number of the component to threshold on or one of the following enumerants for norms:
//                  LINFINITY_NORM, L2_NORM, L1_NORM.
// @param allScalars When \a center is vtkDataObject::FIELD_ASSOCIATION_POINTS, must all scalars be in the interval for
//                   the cell to be passed to the output, or just a single point's scalar?
// @return An index used to identify the cells selected by the interval or -1 if the interval specification was invalid.
//         If a valid value is returned, you may pass it to OutputSet().
//// \item @|int = obj.AddIntervalSet (double xmin, double xmax, int omin, int omax, int assoc, int attribType, int component, int allScalars)| -  Add a mesh subset to be computed by thresholding an attribute of the input mesh.
// The subset can then be added to an output mesh with OuputSet() or combined with other sets using AddBooleanSet.
// If you wish to include all cells with values below some number \a a, call
// with xmin set to vtkMath::NegInf() and xmax set to \a a.
// Similarly, if you wish to include all cells with values above some number \a a,
// call with xmin set to \a a and xmax set to vtkMath::Inf().
// When specifying Inf() or NegInf() for an endpoint, it does not matter whether
// you specify and open or closed endpoint.
// 
// When creating intervals, any integers can be used for the IDs of output meshes.
// All that matters is that the same ID be used if intervals should output to the same mesh.
// The outputs are ordered with ascending IDs in output block 0.
//
// It is possible to specify an invalid interval, in which case these routines will return -1.
// Invalid intervals occur when
// - an array does not exist,
// - \a center is invalid,
// - \a xmin == \a xmax and \a omin and/or \a omax are vtkMultiThreshold::OPEN, or
// - \a xmin > \a xmax.
// - \a xmin or \a xmax is not a number (i.e., IEEE NaN). Having both \a xmin and \a xmax equal NaN is allowed.
// vtkMath provides a portable way to specify IEEE infinities and Nan.
// Note that specifying an interval completely out of the bounds of an attribute is considered valid.
// In fact, it is occasionally useful to create a closed interval with both endpoints set to \f$\infty\f$
// or both endpoints set to \f$-\infty\f$ in order to locate cells with problematic values.
//
// @param xmin The minimum attribute value
// @param xmax The maximum attribute value
// @param omin Whether the interval should be open or closed at \a xmin. Use vtkMultiThreshold::OPEN or vtkMultiThreshold::CLOSED.
// @param omax Whether the interval should be open or closed at \a xmax. Use vtkMultiThreshold::OPEN or vtkMultiThreshold::CLOSED.
// @param assoc One of vtkDataObject::FIELD_ASSOCIATION_CELLS or vtkDataObject::FIELD_ASSOCIATION_POINTS indicating whether 
//               a point or cell array should be used.
// @param arrayName The name of the array to use for thresholding
// @param attribType The attribute to use for thresholding.
//                   One of vtkDataSetAttributes::SCALARS, VECTORS, TENSORS, NORMALS, TCOORDS, or GLOBALIDS.
// @param component The number of the component to threshold on or one of the following enumerants for norms:
//                  LINFINITY_NORM, L2_NORM, L1_NORM.
// @param allScalars When \a center is vtkDataObject::FIELD_ASSOCIATION_POINTS, must all scalars be in the interval for
//                   the cell to be passed to the output, or just a single point's scalar?
// @return An index used to identify the cells selected by the interval or -1 if the interval specification was invalid.
//         If a valid value is returned, you may pass it to OutputSet().
//// \item @|int = obj.AddLowpassIntervalSet (double xmax, int assoc, string arrayName, int component, int allScalars)| -  These convenience members make it easy to insert closed intervals.
// The "notch" interval is accomplished by creating a bandpass interval and applying a NAND operation.
// In this case, the set ID returned in the NAND operation set ID.
// Note that you can pass xmin == xmax when creating a bandpass threshold to retrieve elements matching exactly
// one value (since the intervals created by these routines are closed).
//// \item @|int = obj.AddHighpassIntervalSet (double xmin, int assoc, string arrayName, int component, int allScalars)| -  These convenience members make it easy to insert closed intervals.
// The "notch" interval is accomplished by creating a bandpass interval and applying a NAND operation.
// In this case, the set ID returned in the NAND operation set ID.
// Note that you can pass xmin == xmax when creating a bandpass threshold to retrieve elements matching exactly
// one value (since the intervals created by these routines are closed).
//// \item @|int = obj.AddBandpassIntervalSet (double xmin, double xmax, int assoc, string arrayName, int component, int allScalars)| -  These convenience members make it easy to insert closed intervals.
// The "notch" interval is accomplished by creating a bandpass interval and applying a NAND operation.
// In this case, the set ID returned in the NAND operation set ID.
// Note that you can pass xmin == xmax when creating a bandpass threshold to retrieve elements matching exactly
// one value (since the intervals created by these routines are closed).
//// \item @|int = obj.AddNotchIntervalSet (double xlo, double xhi, int assoc, string arrayName, int component, int allScalars)| -  These convenience members make it easy to insert closed intervals.
// The "notch" interval is accomplished by creating a bandpass interval and applying a NAND operation.
// In this case, the set ID returned in the NAND operation set ID.
// Note that you can pass xmin == xmax when creating a bandpass threshold to retrieve elements matching exactly
// one value (since the intervals created by these routines are closed).
//// \item @|int = obj.AddBooleanSet (int operation, int numInputs, int inputs)| -  Create a new mesh subset using boolean operations on pre-existing sets.
//// \item @|int = obj.OutputSet (int setId)| -  Create an output mesh containing a boolean or interval subset of the input mesh.
//// \item @|obj.Reset ()| -  Remove all the intervals currently defined.
////\end{itemize}
//!
