#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOBBDicer object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOBBDicer.h"

//@@Signature
//sfunction @vtkOBBDicer:vtkOBBDicer vtkOBBDicerConstructorFunction
//input a
//output p
//@@Parents vtkOBBDicer vtkDicer 
ArrayVector vtkOBBDicerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOBBDicer::New(),"vtkOBBDicer",eval);
  } else if (arg[0].className() == "vtkOBBDicer") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOBBDicer"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOBBDicer");
    vtkOBBDicer*q = reinterpret_cast<vtkOBBDicer*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOBBDicer");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOBBDicer:GetClassName vtkOBBDicerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOBBDicerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOBBDicer requires 1 argument(s)");
  vtkOBBDicer* vtk_pointer = GetVTKPointer<vtkOBBDicer>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOBBDicer:IsA vtkOBBDicerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOBBDicerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOBBDicer requires 2 argument(s)");
  vtkOBBDicer* vtk_pointer = GetVTKPointer<vtkOBBDicer>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOBBDicer:NewInstance vtkOBBDicerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOBBDicerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOBBDicer *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOBBDicer requires 1 argument(s)");
  vtkOBBDicer* vtk_pointer = GetVTKPointer<vtkOBBDicer>(arg[0]);
  Array retval;
  vtkOBBDicer  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOBBDicer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOBBDicer:SafeDownCast vtkOBBDicerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOBBDicerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOBBDicer *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOBBDicer requires 2 argument(s)");
  vtkOBBDicer* vtk_pointer = GetVTKPointer<vtkOBBDicer>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOBBDicer  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOBBDicer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOBBDicer:display vtkOBBDicerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOBBDicerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOBBDicer* vtk_pointer = GetVTKPointer<vtkOBBDicer>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOBBDicer:delete vtkOBBDicerDeleteFunction
//input varargin
//output none
ArrayVector vtkOBBDicerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOBBDicer
//@@Section VTKGraphics
//@@Usage
// vtkOBBDicer separates the cells of a dataset into spatially
// aggregated pieces using a Oriented Bounding Box (OBB). These pieces
// can then be operated on by other filters (e.g., vtkThreshold). One
// application is to break very large polygonal models into pieces and
// performing viewing and occlusion culling on the pieces.
//
// Refer to the superclass documentation (vtkDicer) for more information.
//
//To create an instance of class vtkOBBDicer, simply
//invoke its constructor as follows
//@[
//  obj = vtkOBBDicer
//@]
//@@Methods
//The class vtkOBBDicer has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOBBDicer class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOBBDicer = obj.NewInstance ()|
// \item @|vtkOBBDicer = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
