#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOBBTree object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOBBTree.h"

//@@Signature
//sfunction @vtkOBBTree:vtkOBBTree vtkOBBTreeConstructorFunction
//input a
//output p
//@@Parents vtkOBBTree vtkAbstractCellLocator 
ArrayVector vtkOBBTreeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOBBTree::New(),"vtkOBBTree",eval);
  } else if (arg[0].className() == "vtkOBBTree") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOBBTree"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOBBTree");
    vtkOBBTree*q = reinterpret_cast<vtkOBBTree*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOBBTree");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOBBTree:GetClassName vtkOBBTreeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOBBTreeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOBBTree requires 1 argument(s)");
  vtkOBBTree* vtk_pointer = GetVTKPointer<vtkOBBTree>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOBBTree:IsA vtkOBBTreeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOBBTreeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOBBTree requires 2 argument(s)");
  vtkOBBTree* vtk_pointer = GetVTKPointer<vtkOBBTree>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOBBTree:NewInstance vtkOBBTreeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOBBTreeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOBBTree *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOBBTree requires 1 argument(s)");
  vtkOBBTree* vtk_pointer = GetVTKPointer<vtkOBBTree>(arg[0]);
  Array retval;
  vtkOBBTree  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOBBTree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOBBTree:SafeDownCast vtkOBBTreeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOBBTreeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOBBTree *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOBBTree requires 2 argument(s)");
  vtkOBBTree* vtk_pointer = GetVTKPointer<vtkOBBTree>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOBBTree  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOBBTree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOBBTree:IntersectWithLine__3 vtkOBBTreeIntersectWithLine__3Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkOBBTreeIntersectWithLine__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IntersectWithLine (const double a0[3], const double a1[3], vtkPoints *points, vtkIdList *cellIds); */
  if (arg.size() < 5) 
    throw Exception("Function IntersectWithLine__3 for class vtkOBBTree requires 5 argument(s)");
  vtkOBBTree* vtk_pointer = GetVTKPointer<vtkOBBTree>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  vtkPoints  *temp2;
  vtkIdList  *temp3;
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp2 = GetVTKPointer<vtkPoints>(arg[7]);
  temp3 = GetVTKPointer<vtkIdList>(arg[8]);
  temp20 = (vtk_pointer)->IntersectWithLine(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOBBTree:ComputeOBB__1 vtkOBBTreeComputeOBB__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkOBBTreeComputeOBB__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void ComputeOBB (vtkPoints *pts, double corner[3], double max[3], double mid[3], double min[3], double size[3]); */
  if (arg.size() < 7) 
    throw Exception("Function ComputeOBB__1 for class vtkOBBTree requires 7 argument(s)");
  vtkOBBTree* vtk_pointer = GetVTKPointer<vtkOBBTree>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  double temp1[3];
  double temp2[3];
  double temp3[3];
  double temp4[3];
  double temp5[3];
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[5].isVector() && arg[5].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[5].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !(arg[8].isVector() && arg[8].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[8].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  if ( !(arg[11].isVector() && arg[11].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[11].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
  }
  if ( !(arg[14].isVector() && arg[14].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[14].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp5[k] = (double)data[k+1];
  }
  vtk_pointer->ComputeOBB(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkOBBTree:ComputeOBB__2 vtkOBBTreeComputeOBB__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkOBBTreeComputeOBB__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeOBB (vtkDataSet *input, double corner[3], double max[3], double mid[3], double min[3], double size[3]); */
  if (arg.size() < 7) 
    throw Exception("Function ComputeOBB__2 for class vtkOBBTree requires 7 argument(s)");
  vtkOBBTree* vtk_pointer = GetVTKPointer<vtkOBBTree>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  double temp1[3];
  double temp2[3];
  double temp3[3];
  double temp4[3];
  double temp5[3];
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[5].isVector() && arg[5].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[5].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  if ( !(arg[8].isVector() && arg[8].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[8].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  if ( !(arg[11].isVector() && arg[11].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[11].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp4[k] = (double)data[k+1];
  }
  if ( !(arg[14].isVector() && arg[14].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[14].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp5[k] = (double)data[k+1];
  }
  vtk_pointer->ComputeOBB(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkOBBTree:InsideOrOutside vtkOBBTreeInsideOrOutsideFunction
//input a0 a1 
//output y
ArrayVector vtkOBBTreeInsideOrOutsideFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int InsideOrOutside (const double point[3]); */
  if (arg.size() < 2) 
    throw Exception("Function InsideOrOutside for class vtkOBBTree requires 2 argument(s)");
  vtkOBBTree* vtk_pointer = GetVTKPointer<vtkOBBTree>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->InsideOrOutside(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOBBTree:FreeSearchStructure vtkOBBTreeFreeSearchStructureFunction
//input a0 
//output none
ArrayVector vtkOBBTreeFreeSearchStructureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FreeSearchStructure (); */
  if (arg.size() < 1) 
    throw Exception("Function FreeSearchStructure for class vtkOBBTree requires 1 argument(s)");
  vtkOBBTree* vtk_pointer = GetVTKPointer<vtkOBBTree>(arg[0]);
  Array retval;
  vtk_pointer->FreeSearchStructure();
  return retval;
}

//@@Signature
//sfunction @vtkOBBTree:BuildLocator vtkOBBTreeBuildLocatorFunction
//input a0 
//output none
ArrayVector vtkOBBTreeBuildLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BuildLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function BuildLocator for class vtkOBBTree requires 1 argument(s)");
  vtkOBBTree* vtk_pointer = GetVTKPointer<vtkOBBTree>(arg[0]);
  Array retval;
  vtk_pointer->BuildLocator();
  return retval;
}

//@@Signature
//sfunction @vtkOBBTree:GenerateRepresentation vtkOBBTreeGenerateRepresentationFunction
//input a0 a1 a2 
//output none
ArrayVector vtkOBBTreeGenerateRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateRepresentation (int level, vtkPolyData *pd); */
  if (arg.size() < 3) 
    throw Exception("Function GenerateRepresentation for class vtkOBBTree requires 3 argument(s)");
  vtkOBBTree* vtk_pointer = GetVTKPointer<vtkOBBTree>(arg[0]);
  Array retval;
  int      temp0;
  vtkPolyData  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkPolyData>(arg[2]);
  vtk_pointer->GenerateRepresentation(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkOBBTree:IntersectWithLine vtkOBBTreeIntersectWithLineFunction
//input varargin
//output varargout
ArrayVector vtkOBBTreeIntersectWithLineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsClass(arg[3],"vtkPoints") && VTKIsClass(arg[4],"vtkIdList"))
    return vtkOBBTreeIntersectWithLine__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkOBBTreeIntersectWithLine");
}

//@@Signature
//sfunction @vtkOBBTree:FindClosestPoint vtkOBBTreeFindClosestPointFunction
//input varargin
//output varargout
ArrayVector vtkOBBTreeFindClosestPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkOBBTreeFindClosestPoint");
}

//@@Signature
//sfunction @vtkOBBTree:FindClosestPointWithinRadius vtkOBBTreeFindClosestPointWithinRadiusFunction
//input varargin
//output varargout
ArrayVector vtkOBBTreeFindClosestPointWithinRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkOBBTreeFindClosestPointWithinRadius");
}

//@@Signature
//sfunction @vtkOBBTree:ComputeOBB vtkOBBTreeComputeOBBFunction
//input varargin
//output varargout
ArrayVector vtkOBBTreeComputeOBBFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsClass(arg[1],"vtkPoints") && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsVectorArg(arg[5]) && VTKIsVectorArg(arg[6]))
    return vtkOBBTreeComputeOBB__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsClass(arg[1],"vtkDataSet") && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]) && VTKIsVectorArg(arg[5]) && VTKIsVectorArg(arg[6]))
    return vtkOBBTreeComputeOBB__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkOBBTreeComputeOBB");
}

//@@Signature
//sfunction @vtkOBBTree:display vtkOBBTreeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOBBTreeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOBBTree* vtk_pointer = GetVTKPointer<vtkOBBTree>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOBBTree:delete vtkOBBTreeDeleteFunction
//input varargin
//output none
ArrayVector vtkOBBTreeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOBBTree
//@@Section VTKGraphics
//@@Usage
// vtkOBBTree is an object to generate oriented bounding box (OBB) trees.
// An oriented bounding box is a bounding box that does not necessarily line 
// up along coordinate axes. The OBB tree is a hierarchical tree structure 
// of such boxes, where deeper levels of OBB confine smaller regions of space.
//
// To build the OBB, a recursive, top-down process is used. First, the root OBB
// is constructed by finding the mean and covariance matrix of the cells (and
// their points) that define the dataset. The eigenvectors of the covariance
// matrix are extracted, giving a set of three orthogonal vectors that define 
// the tightest-fitting OBB. To create the two children OBB's, a split plane 
// is found that (approximately) divides the number cells in half. These are 
// then assigned to the children OBB's. This process then continues until
// the MaxLevel ivar limits the recursion, or no split plane can be found.
//
// A good reference for OBB-trees is Gottschalk & Manocha in Proceedings of 
// Siggraph `96.
//
//To create an instance of class vtkOBBTree, simply
//invoke its constructor as follows
//@[
//  obj = vtkOBBTree
//@]
//@@Methods
//The class vtkOBBTree has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOBBTree class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOBBTree = obj.NewInstance ()|
// \item @|vtkOBBTree = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.IntersectWithLine (double a0[3], double a1[3], vtkPoints points, vtkIdList cellIds)| -  Take the passed line segment and intersect it with the data set.
// This method assumes that the data set is a vtkPolyData that describes
// a closed surface, and the intersection points that are returned in
// 'points' alternate between entrance points and exit points.
// The return value of the function is 0 if no intersections were found,
// -1 if point 'a0' lies inside the closed surface, or +1 if point 'a0'
// lies outside the closed surface.
// Either 'points' or 'cellIds' can be set to NULL if you don't want
// to receive that information.
//// \item @|obj.ComputeOBB (vtkDataSet input, double corner[3], double max[3], double mid[3], double min[3], double size[3])| -  Compute an OBB for the input dataset using the cells in the data.
// Return the corner point and the three axes defining the orientation
// of the OBB. Also return a sorted list of relative "sizes" of axes for
// comparison purposes.
//// \item @|int = obj.InsideOrOutside (double point[3])| -  Determine whether a point is inside or outside the data used to build
// this OBB tree.  The data must be a closed surface vtkPolyData data set.
// The return value is +1 if outside, -1 if inside, and 0 if undecided.
//// \item @|obj.FreeSearchStructure ()| -  Satisfy locator's abstract interface, see vtkLocator.
//// \item @|obj.BuildLocator ()| -  Satisfy locator's abstract interface, see vtkLocator.
//// \item @|obj.GenerateRepresentation (int level, vtkPolyData pd)| -  Create polygonal representation for OBB tree at specified level. If
// level < 0, then the leaf OBB nodes will be gathered. The aspect ratio (ar)
// and line diameter (d) are used to control the building of the
// representation. If a OBB node edge ratio's are greater than ar, then the
// dimension of the OBB is collapsed (OBB->plane->line). A "line" OBB will be
// represented either as two crossed polygons, or as a line, depending on
// the relative diameter of the OBB compared to the diameter (d).
////\end{itemize}
//!
