#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOutlineCornerFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOutlineCornerFilter.h"

//@@Signature
//sfunction @vtkOutlineCornerFilter:vtkOutlineCornerFilter vtkOutlineCornerFilterConstructorFunction
//input a
//output p
//@@Parents vtkOutlineCornerFilter vtkPolyDataAlgorithm 
ArrayVector vtkOutlineCornerFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOutlineCornerFilter::New(),"vtkOutlineCornerFilter",eval);
  } else if (arg[0].className() == "vtkOutlineCornerFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOutlineCornerFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOutlineCornerFilter");
    vtkOutlineCornerFilter*q = reinterpret_cast<vtkOutlineCornerFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOutlineCornerFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOutlineCornerFilter:GetClassName vtkOutlineCornerFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOutlineCornerFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOutlineCornerFilter requires 1 argument(s)");
  vtkOutlineCornerFilter* vtk_pointer = GetVTKPointer<vtkOutlineCornerFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOutlineCornerFilter:IsA vtkOutlineCornerFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOutlineCornerFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOutlineCornerFilter requires 2 argument(s)");
  vtkOutlineCornerFilter* vtk_pointer = GetVTKPointer<vtkOutlineCornerFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOutlineCornerFilter:NewInstance vtkOutlineCornerFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOutlineCornerFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOutlineCornerFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOutlineCornerFilter requires 1 argument(s)");
  vtkOutlineCornerFilter* vtk_pointer = GetVTKPointer<vtkOutlineCornerFilter>(arg[0]);
  Array retval;
  vtkOutlineCornerFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOutlineCornerFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOutlineCornerFilter:SafeDownCast vtkOutlineCornerFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOutlineCornerFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOutlineCornerFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOutlineCornerFilter requires 2 argument(s)");
  vtkOutlineCornerFilter* vtk_pointer = GetVTKPointer<vtkOutlineCornerFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOutlineCornerFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOutlineCornerFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOutlineCornerFilter:SetCornerFactor vtkOutlineCornerFilterSetCornerFactorFunction
//input a0 a1 
//output none
ArrayVector vtkOutlineCornerFilterSetCornerFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCornerFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCornerFactor for class vtkOutlineCornerFilter requires 2 argument(s)");
  vtkOutlineCornerFilter* vtk_pointer = GetVTKPointer<vtkOutlineCornerFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCornerFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOutlineCornerFilter:GetCornerFactorMinValue vtkOutlineCornerFilterGetCornerFactorMinValueFunction
//input a0 
//output y
ArrayVector vtkOutlineCornerFilterGetCornerFactorMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCornerFactorMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCornerFactorMinValue for class vtkOutlineCornerFilter requires 1 argument(s)");
  vtkOutlineCornerFilter* vtk_pointer = GetVTKPointer<vtkOutlineCornerFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCornerFactorMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOutlineCornerFilter:GetCornerFactorMaxValue vtkOutlineCornerFilterGetCornerFactorMaxValueFunction
//input a0 
//output y
ArrayVector vtkOutlineCornerFilterGetCornerFactorMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCornerFactorMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCornerFactorMaxValue for class vtkOutlineCornerFilter requires 1 argument(s)");
  vtkOutlineCornerFilter* vtk_pointer = GetVTKPointer<vtkOutlineCornerFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCornerFactorMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOutlineCornerFilter:GetCornerFactor vtkOutlineCornerFilterGetCornerFactorFunction
//input a0 
//output y
ArrayVector vtkOutlineCornerFilterGetCornerFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCornerFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCornerFactor for class vtkOutlineCornerFilter requires 1 argument(s)");
  vtkOutlineCornerFilter* vtk_pointer = GetVTKPointer<vtkOutlineCornerFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCornerFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOutlineCornerFilter:display vtkOutlineCornerFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOutlineCornerFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOutlineCornerFilter* vtk_pointer = GetVTKPointer<vtkOutlineCornerFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOutlineCornerFilter:delete vtkOutlineCornerFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkOutlineCornerFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOutlineCornerFilter
//@@Section VTKGraphics
//@@Usage
// vtkOutlineCornerFilter is a filter that generates wireframe outline corners of any 
// data set. The outline consists of the eight corners of the dataset 
// bounding box.
//
//To create an instance of class vtkOutlineCornerFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkOutlineCornerFilter
//@]
//@@Methods
//The class vtkOutlineCornerFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOutlineCornerFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOutlineCornerFilter = obj.NewInstance ()|
// \item @|vtkOutlineCornerFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCornerFactor (double )| -  Set/Get the factor that controls the relative size of the corners
// to the length of the corresponding bounds
//// \item @|double = obj.GetCornerFactorMinValue ()| -  Set/Get the factor that controls the relative size of the corners
// to the length of the corresponding bounds
//// \item @|double = obj.GetCornerFactorMaxValue ()| -  Set/Get the factor that controls the relative size of the corners
// to the length of the corresponding bounds
//// \item @|double = obj.GetCornerFactor ()| -  Set/Get the factor that controls the relative size of the corners
// to the length of the corresponding bounds
////\end{itemize}
//!
