#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOutlineCornerSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOutlineCornerSource.h"

//@@Signature
//sfunction @vtkOutlineCornerSource:vtkOutlineCornerSource vtkOutlineCornerSourceConstructorFunction
//input a
//output p
//@@Parents vtkOutlineCornerSource vtkOutlineSource 
ArrayVector vtkOutlineCornerSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOutlineCornerSource::New(),"vtkOutlineCornerSource",eval);
  } else if (arg[0].className() == "vtkOutlineCornerSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOutlineCornerSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOutlineCornerSource");
    vtkOutlineCornerSource*q = reinterpret_cast<vtkOutlineCornerSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOutlineCornerSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOutlineCornerSource:GetClassName vtkOutlineCornerSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOutlineCornerSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOutlineCornerSource requires 1 argument(s)");
  vtkOutlineCornerSource* vtk_pointer = GetVTKPointer<vtkOutlineCornerSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOutlineCornerSource:IsA vtkOutlineCornerSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOutlineCornerSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOutlineCornerSource requires 2 argument(s)");
  vtkOutlineCornerSource* vtk_pointer = GetVTKPointer<vtkOutlineCornerSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOutlineCornerSource:NewInstance vtkOutlineCornerSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOutlineCornerSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOutlineCornerSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOutlineCornerSource requires 1 argument(s)");
  vtkOutlineCornerSource* vtk_pointer = GetVTKPointer<vtkOutlineCornerSource>(arg[0]);
  Array retval;
  vtkOutlineCornerSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOutlineCornerSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOutlineCornerSource:SafeDownCast vtkOutlineCornerSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOutlineCornerSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOutlineCornerSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOutlineCornerSource requires 2 argument(s)");
  vtkOutlineCornerSource* vtk_pointer = GetVTKPointer<vtkOutlineCornerSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOutlineCornerSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOutlineCornerSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOutlineCornerSource:SetCornerFactor vtkOutlineCornerSourceSetCornerFactorFunction
//input a0 a1 
//output none
ArrayVector vtkOutlineCornerSourceSetCornerFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCornerFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCornerFactor for class vtkOutlineCornerSource requires 2 argument(s)");
  vtkOutlineCornerSource* vtk_pointer = GetVTKPointer<vtkOutlineCornerSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCornerFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOutlineCornerSource:GetCornerFactorMinValue vtkOutlineCornerSourceGetCornerFactorMinValueFunction
//input a0 
//output y
ArrayVector vtkOutlineCornerSourceGetCornerFactorMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCornerFactorMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCornerFactorMinValue for class vtkOutlineCornerSource requires 1 argument(s)");
  vtkOutlineCornerSource* vtk_pointer = GetVTKPointer<vtkOutlineCornerSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCornerFactorMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOutlineCornerSource:GetCornerFactorMaxValue vtkOutlineCornerSourceGetCornerFactorMaxValueFunction
//input a0 
//output y
ArrayVector vtkOutlineCornerSourceGetCornerFactorMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCornerFactorMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCornerFactorMaxValue for class vtkOutlineCornerSource requires 1 argument(s)");
  vtkOutlineCornerSource* vtk_pointer = GetVTKPointer<vtkOutlineCornerSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCornerFactorMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOutlineCornerSource:GetCornerFactor vtkOutlineCornerSourceGetCornerFactorFunction
//input a0 
//output y
ArrayVector vtkOutlineCornerSourceGetCornerFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCornerFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCornerFactor for class vtkOutlineCornerSource requires 1 argument(s)");
  vtkOutlineCornerSource* vtk_pointer = GetVTKPointer<vtkOutlineCornerSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCornerFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOutlineCornerSource:display vtkOutlineCornerSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOutlineCornerSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOutlineCornerSource* vtk_pointer = GetVTKPointer<vtkOutlineCornerSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOutlineCornerSource:delete vtkOutlineCornerSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkOutlineCornerSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOutlineCornerSource
//@@Section VTKGraphics
//@@Usage
// vtkOutlineCornerSource creates wireframe outline corners around a user-specified 
// bounding box.
//
//To create an instance of class vtkOutlineCornerSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkOutlineCornerSource
//@]
//@@Methods
//The class vtkOutlineCornerSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOutlineCornerSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOutlineCornerSource = obj.NewInstance ()|
// \item @|vtkOutlineCornerSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCornerFactor (double )| -  Set/Get the factor that controls the relative size of the corners
// to the length of the corresponding bounds
//// \item @|double = obj.GetCornerFactorMinValue ()| -  Set/Get the factor that controls the relative size of the corners
// to the length of the corresponding bounds
//// \item @|double = obj.GetCornerFactorMaxValue ()| -  Set/Get the factor that controls the relative size of the corners
// to the length of the corresponding bounds
//// \item @|double = obj.GetCornerFactor ()| -  Set/Get the factor that controls the relative size of the corners
// to the length of the corresponding bounds
////\end{itemize}
//!
