#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOutlineFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOutlineFilter.h"

//@@Signature
//sfunction @vtkOutlineFilter:vtkOutlineFilter vtkOutlineFilterConstructorFunction
//input a
//output p
//@@Parents vtkOutlineFilter vtkPolyDataAlgorithm 
ArrayVector vtkOutlineFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOutlineFilter::New(),"vtkOutlineFilter",eval);
  } else if (arg[0].className() == "vtkOutlineFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOutlineFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOutlineFilter");
    vtkOutlineFilter*q = reinterpret_cast<vtkOutlineFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOutlineFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOutlineFilter:GetClassName vtkOutlineFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOutlineFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOutlineFilter requires 1 argument(s)");
  vtkOutlineFilter* vtk_pointer = GetVTKPointer<vtkOutlineFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOutlineFilter:IsA vtkOutlineFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOutlineFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOutlineFilter requires 2 argument(s)");
  vtkOutlineFilter* vtk_pointer = GetVTKPointer<vtkOutlineFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOutlineFilter:NewInstance vtkOutlineFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOutlineFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOutlineFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOutlineFilter requires 1 argument(s)");
  vtkOutlineFilter* vtk_pointer = GetVTKPointer<vtkOutlineFilter>(arg[0]);
  Array retval;
  vtkOutlineFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOutlineFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOutlineFilter:SafeDownCast vtkOutlineFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOutlineFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOutlineFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOutlineFilter requires 2 argument(s)");
  vtkOutlineFilter* vtk_pointer = GetVTKPointer<vtkOutlineFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOutlineFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOutlineFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOutlineFilter:SetGenerateFaces vtkOutlineFilterSetGenerateFacesFunction
//input a0 a1 
//output none
ArrayVector vtkOutlineFilterSetGenerateFacesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateFaces (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateFaces for class vtkOutlineFilter requires 2 argument(s)");
  vtkOutlineFilter* vtk_pointer = GetVTKPointer<vtkOutlineFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateFaces(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOutlineFilter:GenerateFacesOn vtkOutlineFilterGenerateFacesOnFunction
//input a0 
//output none
ArrayVector vtkOutlineFilterGenerateFacesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateFacesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateFacesOn for class vtkOutlineFilter requires 1 argument(s)");
  vtkOutlineFilter* vtk_pointer = GetVTKPointer<vtkOutlineFilter>(arg[0]);
  Array retval;
  vtk_pointer->GenerateFacesOn();
  return retval;
}

//@@Signature
//sfunction @vtkOutlineFilter:GenerateFacesOff vtkOutlineFilterGenerateFacesOffFunction
//input a0 
//output none
ArrayVector vtkOutlineFilterGenerateFacesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateFacesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateFacesOff for class vtkOutlineFilter requires 1 argument(s)");
  vtkOutlineFilter* vtk_pointer = GetVTKPointer<vtkOutlineFilter>(arg[0]);
  Array retval;
  vtk_pointer->GenerateFacesOff();
  return retval;
}

//@@Signature
//sfunction @vtkOutlineFilter:GetGenerateFaces vtkOutlineFilterGetGenerateFacesFunction
//input a0 
//output y
ArrayVector vtkOutlineFilterGetGenerateFacesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateFaces (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateFaces for class vtkOutlineFilter requires 1 argument(s)");
  vtkOutlineFilter* vtk_pointer = GetVTKPointer<vtkOutlineFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateFaces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOutlineFilter:display vtkOutlineFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOutlineFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOutlineFilter* vtk_pointer = GetVTKPointer<vtkOutlineFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOutlineFilter:delete vtkOutlineFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkOutlineFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOutlineFilter
//@@Section VTKGraphics
//@@Usage
// vtkOutlineFilter is a filter that generates a wireframe outline of any 
// data set. The outline consists of the twelve edges of the dataset 
// bounding box.
//
//To create an instance of class vtkOutlineFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkOutlineFilter
//@]
//@@Methods
//The class vtkOutlineFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOutlineFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOutlineFilter = obj.NewInstance ()|
// \item @|vtkOutlineFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetGenerateFaces (int )| -  Generate solid faces for the box. This is off by default.
//// \item @|obj.GenerateFacesOn ()| -  Generate solid faces for the box. This is off by default.
//// \item @|obj.GenerateFacesOff ()| -  Generate solid faces for the box. This is off by default.
//// \item @|int = obj.GetGenerateFaces ()| -  Generate solid faces for the box. This is off by default.
////\end{itemize}
//!
