#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOutlineSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOutlineSource.h"

//@@Signature
//sfunction @vtkOutlineSource:vtkOutlineSource vtkOutlineSourceConstructorFunction
//input a
//output p
//@@Parents vtkOutlineSource vtkPolyDataAlgorithm 
ArrayVector vtkOutlineSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOutlineSource::New(),"vtkOutlineSource",eval);
  } else if (arg[0].className() == "vtkOutlineSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOutlineSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOutlineSource");
    vtkOutlineSource*q = reinterpret_cast<vtkOutlineSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOutlineSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOutlineSource:GetClassName vtkOutlineSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOutlineSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOutlineSource requires 1 argument(s)");
  vtkOutlineSource* vtk_pointer = GetVTKPointer<vtkOutlineSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOutlineSource:IsA vtkOutlineSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOutlineSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOutlineSource requires 2 argument(s)");
  vtkOutlineSource* vtk_pointer = GetVTKPointer<vtkOutlineSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOutlineSource:NewInstance vtkOutlineSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOutlineSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOutlineSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOutlineSource requires 1 argument(s)");
  vtkOutlineSource* vtk_pointer = GetVTKPointer<vtkOutlineSource>(arg[0]);
  Array retval;
  vtkOutlineSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOutlineSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOutlineSource:SafeDownCast vtkOutlineSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOutlineSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOutlineSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOutlineSource requires 2 argument(s)");
  vtkOutlineSource* vtk_pointer = GetVTKPointer<vtkOutlineSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOutlineSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOutlineSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOutlineSource:SetBoxType vtkOutlineSourceSetBoxTypeFunction
//input a0 a1 
//output none
ArrayVector vtkOutlineSourceSetBoxTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBoxType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBoxType for class vtkOutlineSource requires 2 argument(s)");
  vtkOutlineSource* vtk_pointer = GetVTKPointer<vtkOutlineSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBoxType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOutlineSource:GetBoxType vtkOutlineSourceGetBoxTypeFunction
//input a0 
//output y
ArrayVector vtkOutlineSourceGetBoxTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBoxType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBoxType for class vtkOutlineSource requires 1 argument(s)");
  vtkOutlineSource* vtk_pointer = GetVTKPointer<vtkOutlineSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBoxType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOutlineSource:SetBoxTypeToAxisAligned vtkOutlineSourceSetBoxTypeToAxisAlignedFunction
//input a0 
//output none
ArrayVector vtkOutlineSourceSetBoxTypeToAxisAlignedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBoxTypeToAxisAligned ();this SetBoxType VTK_BOX_TYPE_AXIS_ALIGNED  */
  if (arg.size() < 1) 
    throw Exception("Function SetBoxTypeToAxisAligned for class vtkOutlineSource requires 1 argument(s)");
  vtkOutlineSource* vtk_pointer = GetVTKPointer<vtkOutlineSource>(arg[0]);
  Array retval;
  vtk_pointer->SetBoxTypeToAxisAligned();
  return retval;
}

//@@Signature
//sfunction @vtkOutlineSource:SetBoxTypeToOriented vtkOutlineSourceSetBoxTypeToOrientedFunction
//input a0 
//output none
ArrayVector vtkOutlineSourceSetBoxTypeToOrientedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBoxTypeToOriented ();this SetBoxType VTK_BOX_TYPE_ORIENTED  */
  if (arg.size() < 1) 
    throw Exception("Function SetBoxTypeToOriented for class vtkOutlineSource requires 1 argument(s)");
  vtkOutlineSource* vtk_pointer = GetVTKPointer<vtkOutlineSource>(arg[0]);
  Array retval;
  vtk_pointer->SetBoxTypeToOriented();
  return retval;
}

//@@Signature
//sfunction @vtkOutlineSource:SetBounds__1 vtkOutlineSourceSetBounds__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkOutlineSourceSetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBounds (double , double , double , double , double , double ); */
  if (arg.size() < 7) 
    throw Exception("Function SetBounds__1 for class vtkOutlineSource requires 7 argument(s)");
  vtkOutlineSource* vtk_pointer = GetVTKPointer<vtkOutlineSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkOutlineSource:SetBounds__2 vtkOutlineSourceSetBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkOutlineSourceSetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBounds (double  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetBounds__2 for class vtkOutlineSource requires 2 argument(s)");
  vtkOutlineSource* vtk_pointer = GetVTKPointer<vtkOutlineSource>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOutlineSource:GetBounds vtkOutlineSourceGetBoundsFunction
//input a0 
//output y
ArrayVector vtkOutlineSourceGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds for class vtkOutlineSource requires 1 argument(s)");
  vtkOutlineSource* vtk_pointer = GetVTKPointer<vtkOutlineSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkOutlineSource:SetCorners vtkOutlineSourceSetCornersFunction
//input a0 a1 
//output none
ArrayVector vtkOutlineSourceSetCornersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCorners (double  [24]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCorners for class vtkOutlineSource requires 2 argument(s)");
  vtkOutlineSource* vtk_pointer = GetVTKPointer<vtkOutlineSource>(arg[0]);
  Array retval;
  double temp0[24];
  if ( !(arg[1].isVector() && arg[1].length() == 24) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCorners(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOutlineSource:GetCorners vtkOutlineSourceGetCornersFunction
//input a0 
//output y
ArrayVector vtkOutlineSourceGetCornersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCorners (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCorners for class vtkOutlineSource requires 1 argument(s)");
  vtkOutlineSource* vtk_pointer = GetVTKPointer<vtkOutlineSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCorners();
  BasicArray<double> tempResult(NTuple(24,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  tempResult[7] = (double)temp20[6];
  tempResult[8] = (double)temp20[7];
  tempResult[9] = (double)temp20[8];
  tempResult[10] = (double)temp20[9];
  tempResult[11] = (double)temp20[10];
  tempResult[12] = (double)temp20[11];
  tempResult[13] = (double)temp20[12];
  tempResult[14] = (double)temp20[13];
  tempResult[15] = (double)temp20[14];
  tempResult[16] = (double)temp20[15];
  tempResult[17] = (double)temp20[16];
  tempResult[18] = (double)temp20[17];
  tempResult[19] = (double)temp20[18];
  tempResult[20] = (double)temp20[19];
  tempResult[21] = (double)temp20[20];
  tempResult[22] = (double)temp20[21];
  tempResult[23] = (double)temp20[22];
  tempResult[24] = (double)temp20[23];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkOutlineSource:SetGenerateFaces vtkOutlineSourceSetGenerateFacesFunction
//input a0 a1 
//output none
ArrayVector vtkOutlineSourceSetGenerateFacesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateFaces (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateFaces for class vtkOutlineSource requires 2 argument(s)");
  vtkOutlineSource* vtk_pointer = GetVTKPointer<vtkOutlineSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateFaces(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOutlineSource:GenerateFacesOn vtkOutlineSourceGenerateFacesOnFunction
//input a0 
//output none
ArrayVector vtkOutlineSourceGenerateFacesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateFacesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateFacesOn for class vtkOutlineSource requires 1 argument(s)");
  vtkOutlineSource* vtk_pointer = GetVTKPointer<vtkOutlineSource>(arg[0]);
  Array retval;
  vtk_pointer->GenerateFacesOn();
  return retval;
}

//@@Signature
//sfunction @vtkOutlineSource:GenerateFacesOff vtkOutlineSourceGenerateFacesOffFunction
//input a0 
//output none
ArrayVector vtkOutlineSourceGenerateFacesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateFacesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateFacesOff for class vtkOutlineSource requires 1 argument(s)");
  vtkOutlineSource* vtk_pointer = GetVTKPointer<vtkOutlineSource>(arg[0]);
  Array retval;
  vtk_pointer->GenerateFacesOff();
  return retval;
}

//@@Signature
//sfunction @vtkOutlineSource:GetGenerateFaces vtkOutlineSourceGetGenerateFacesFunction
//input a0 
//output y
ArrayVector vtkOutlineSourceGetGenerateFacesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateFaces (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateFaces for class vtkOutlineSource requires 1 argument(s)");
  vtkOutlineSource* vtk_pointer = GetVTKPointer<vtkOutlineSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateFaces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOutlineSource:SetBounds vtkOutlineSourceSetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkOutlineSourceSetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkOutlineSourceSetBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkOutlineSourceSetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkOutlineSourceSetBounds");
}

//@@Signature
//sfunction @vtkOutlineSource:display vtkOutlineSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOutlineSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOutlineSource* vtk_pointer = GetVTKPointer<vtkOutlineSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOutlineSource:delete vtkOutlineSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkOutlineSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOutlineSource
//@@Section VTKGraphics
//@@Usage
// vtkOutlineSource creates a wireframe outline around a
// user-specified bounding box.  The outline may be created aligned
// with the {x,y,z} axis - in which case it is defined by the 6 bounds
// {xmin,xmax,ymin,ymax,zmin,zmax} via SetBounds(). Alternatively, the
// box may be arbitrarily aligned, in which case it should be set via
// the SetCorners() member.
//
//To create an instance of class vtkOutlineSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkOutlineSource
//@]
//@@Methods
//The class vtkOutlineSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOutlineSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOutlineSource = obj.NewInstance ()|
// \item @|vtkOutlineSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetBoxType (int )| -  Set box type to AxisAligned (default) or Oriented.
// Use the method SetBounds() with AxisAligned mode, and SetCorners() 
// with Oriented mode.
//// \item @|int = obj.GetBoxType ()| -  Set box type to AxisAligned (default) or Oriented.
// Use the method SetBounds() with AxisAligned mode, and SetCorners() 
// with Oriented mode.
//// \item @|obj.SetBoxTypeToAxisAligned ()| -  Set box type to AxisAligned (default) or Oriented.
// Use the method SetBounds() with AxisAligned mode, and SetCorners() 
// with Oriented mode.
//// \item @|obj.SetBoxTypeToOriented ()| -  Specify the bounds of the box to be used in Axis Aligned mode.
//// \item @|obj.SetBounds (double , double , double , double , double , double )| -  Specify the bounds of the box to be used in Axis Aligned mode.
//// \item @|obj.SetBounds (double  a[6])| -  Specify the bounds of the box to be used in Axis Aligned mode.
//// \item @|double = obj. GetBounds ()| -  Specify the bounds of the box to be used in Axis Aligned mode.
//// \item @|obj.SetCorners (double  [24])| -  Specify the corners of the outline when in Oriented mode, the
// values are supplied as 8*3 double values The correct corner
// ordering is using {x,y,z} convention for the unit cube as follows:
// {0,0,0},{1,0,0},{0,1,0},{1,1,0},{0,0,1},{1,0,1},{0,1,1},{1,1,1}.
//// \item @|double = obj. GetCorners ()| -  Specify the corners of the outline when in Oriented mode, the
// values are supplied as 8*3 double values The correct corner
// ordering is using {x,y,z} convention for the unit cube as follows:
// {0,0,0},{1,0,0},{0,1,0},{1,1,0},{0,0,1},{1,0,1},{0,1,1},{1,1,1}.
//// \item @|obj.SetGenerateFaces (int )| -  Generate solid faces for the box. This is off by default.
//// \item @|obj.GenerateFacesOn ()| -  Generate solid faces for the box. This is off by default.
//// \item @|obj.GenerateFacesOff ()| -  Generate solid faces for the box. This is off by default.
//// \item @|int = obj.GetGenerateFaces ()| -  Generate solid faces for the box. This is off by default.
////\end{itemize}
//!
