#include "VTKWrap.hpp"

// FreeMat wrapper for vtkParametricFunctionSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkParametricFunctionSource.h"

//@@Signature
//sfunction @vtkParametricFunctionSource:vtkParametricFunctionSource vtkParametricFunctionSourceConstructorFunction
//input a
//output p
//@@Parents vtkParametricFunctionSource vtkPolyDataAlgorithm 
ArrayVector vtkParametricFunctionSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkParametricFunctionSource::New(),"vtkParametricFunctionSource",eval);
  } else if (arg[0].className() == "vtkParametricFunctionSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkParametricFunctionSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkParametricFunctionSource");
    vtkParametricFunctionSource*q = reinterpret_cast<vtkParametricFunctionSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkParametricFunctionSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkParametricFunctionSource:GetClassName vtkParametricFunctionSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkParametricFunctionSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkParametricFunctionSource requires 1 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:IsA vtkParametricFunctionSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkParametricFunctionSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkParametricFunctionSource requires 2 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:NewInstance vtkParametricFunctionSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkParametricFunctionSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParametricFunctionSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkParametricFunctionSource requires 1 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  vtkParametricFunctionSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParametricFunctionSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:SafeDownCast vtkParametricFunctionSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkParametricFunctionSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParametricFunctionSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkParametricFunctionSource requires 2 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkParametricFunctionSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParametricFunctionSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:SetParametricFunction vtkParametricFunctionSourceSetParametricFunctionFunction
//input a0 a1 
//output none
ArrayVector vtkParametricFunctionSourceSetParametricFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetParametricFunction (vtkParametricFunction *); */
  if (arg.size() < 2) 
    throw Exception("Function SetParametricFunction for class vtkParametricFunctionSource requires 2 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  vtkParametricFunction  *temp0;
  temp0 = GetVTKPointer<vtkParametricFunction>(arg[1]);
  vtk_pointer->SetParametricFunction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:GetParametricFunction vtkParametricFunctionSourceGetParametricFunctionFunction
//input a0 
//output y
ArrayVector vtkParametricFunctionSourceGetParametricFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParametricFunction *GetParametricFunction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetParametricFunction for class vtkParametricFunctionSource requires 1 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  vtkParametricFunction  *temp20;
  temp20 = (vtk_pointer)->GetParametricFunction();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParametricFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:SetUResolution vtkParametricFunctionSourceSetUResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkParametricFunctionSourceSetUResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUResolution for class vtkParametricFunctionSource requires 2 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:GetUResolution vtkParametricFunctionSourceGetUResolutionFunction
//input a0 
//output y
ArrayVector vtkParametricFunctionSourceGetUResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUResolution for class vtkParametricFunctionSource requires 1 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:SetVResolution vtkParametricFunctionSourceSetVResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkParametricFunctionSourceSetVResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetVResolution for class vtkParametricFunctionSource requires 2 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetVResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:GetVResolution vtkParametricFunctionSourceGetVResolutionFunction
//input a0 
//output y
ArrayVector vtkParametricFunctionSourceGetVResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVResolution for class vtkParametricFunctionSource requires 1 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:SetWResolution vtkParametricFunctionSourceSetWResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkParametricFunctionSourceSetWResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetWResolution for class vtkParametricFunctionSource requires 2 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetWResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:GetWResolution vtkParametricFunctionSourceGetWResolutionFunction
//input a0 
//output y
ArrayVector vtkParametricFunctionSourceGetWResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWResolution for class vtkParametricFunctionSource requires 1 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:GenerateTextureCoordinatesOn vtkParametricFunctionSourceGenerateTextureCoordinatesOnFunction
//input a0 
//output none
ArrayVector vtkParametricFunctionSourceGenerateTextureCoordinatesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateTextureCoordinatesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateTextureCoordinatesOn for class vtkParametricFunctionSource requires 1 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  vtk_pointer->GenerateTextureCoordinatesOn();
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:GenerateTextureCoordinatesOff vtkParametricFunctionSourceGenerateTextureCoordinatesOffFunction
//input a0 
//output none
ArrayVector vtkParametricFunctionSourceGenerateTextureCoordinatesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateTextureCoordinatesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateTextureCoordinatesOff for class vtkParametricFunctionSource requires 1 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  vtk_pointer->GenerateTextureCoordinatesOff();
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:SetGenerateTextureCoordinates vtkParametricFunctionSourceSetGenerateTextureCoordinatesFunction
//input a0 a1 
//output none
ArrayVector vtkParametricFunctionSourceSetGenerateTextureCoordinatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateTextureCoordinates (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateTextureCoordinates for class vtkParametricFunctionSource requires 2 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateTextureCoordinates(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:GetGenerateTextureCoordinates vtkParametricFunctionSourceGetGenerateTextureCoordinatesFunction
//input a0 
//output y
ArrayVector vtkParametricFunctionSourceGetGenerateTextureCoordinatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateTextureCoordinates (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateTextureCoordinates for class vtkParametricFunctionSource requires 1 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateTextureCoordinates();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:SetScalarMode vtkParametricFunctionSourceSetScalarModeFunction
//input a0 a1 
//output none
ArrayVector vtkParametricFunctionSourceSetScalarModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarMode for class vtkParametricFunctionSource requires 2 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScalarMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:GetScalarModeMinValue vtkParametricFunctionSourceGetScalarModeMinValueFunction
//input a0 
//output y
ArrayVector vtkParametricFunctionSourceGetScalarModeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarModeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarModeMinValue for class vtkParametricFunctionSource requires 1 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScalarModeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:GetScalarModeMaxValue vtkParametricFunctionSourceGetScalarModeMaxValueFunction
//input a0 
//output y
ArrayVector vtkParametricFunctionSourceGetScalarModeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarModeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarModeMaxValue for class vtkParametricFunctionSource requires 1 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScalarModeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:GetScalarMode vtkParametricFunctionSourceGetScalarModeFunction
//input a0 
//output y
ArrayVector vtkParametricFunctionSourceGetScalarModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarMode for class vtkParametricFunctionSource requires 1 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScalarMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:SetScalarModeToNone vtkParametricFunctionSourceSetScalarModeToNoneFunction
//input a0 
//output none
ArrayVector vtkParametricFunctionSourceSetScalarModeToNoneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToNone (void );this SetScalarMode SCALAR_NONE  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToNone for class vtkParametricFunctionSource requires 1 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToNone();
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:SetScalarModeToU vtkParametricFunctionSourceSetScalarModeToUFunction
//input a0 
//output none
ArrayVector vtkParametricFunctionSourceSetScalarModeToUFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToU (void );this SetScalarMode SCALAR_U  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToU for class vtkParametricFunctionSource requires 1 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToU();
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:SetScalarModeToV vtkParametricFunctionSourceSetScalarModeToVFunction
//input a0 
//output none
ArrayVector vtkParametricFunctionSourceSetScalarModeToVFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToV (void );this SetScalarMode SCALAR_V  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToV for class vtkParametricFunctionSource requires 1 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToV();
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:SetScalarModeToU0 vtkParametricFunctionSourceSetScalarModeToU0Function
//input a0 
//output none
ArrayVector vtkParametricFunctionSourceSetScalarModeToU0Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToU0 (void );this SetScalarMode SCALAR_U0  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToU0 for class vtkParametricFunctionSource requires 1 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToU0();
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:SetScalarModeToV0 vtkParametricFunctionSourceSetScalarModeToV0Function
//input a0 
//output none
ArrayVector vtkParametricFunctionSourceSetScalarModeToV0Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToV0 (void );this SetScalarMode SCALAR_V0  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToV0 for class vtkParametricFunctionSource requires 1 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToV0();
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:SetScalarModeToU0V0 vtkParametricFunctionSourceSetScalarModeToU0V0Function
//input a0 
//output none
ArrayVector vtkParametricFunctionSourceSetScalarModeToU0V0Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToU0V0 (void );this SetScalarMode SCALAR_U0V0  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToU0V0 for class vtkParametricFunctionSource requires 1 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToU0V0();
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:SetScalarModeToModulus vtkParametricFunctionSourceSetScalarModeToModulusFunction
//input a0 
//output none
ArrayVector vtkParametricFunctionSourceSetScalarModeToModulusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToModulus (void );this SetScalarMode SCALAR_MODULUS  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToModulus for class vtkParametricFunctionSource requires 1 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToModulus();
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:SetScalarModeToPhase vtkParametricFunctionSourceSetScalarModeToPhaseFunction
//input a0 
//output none
ArrayVector vtkParametricFunctionSourceSetScalarModeToPhaseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToPhase (void );this SetScalarMode SCALAR_PHASE  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToPhase for class vtkParametricFunctionSource requires 1 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToPhase();
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:SetScalarModeToQuadrant vtkParametricFunctionSourceSetScalarModeToQuadrantFunction
//input a0 
//output none
ArrayVector vtkParametricFunctionSourceSetScalarModeToQuadrantFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToQuadrant (void );this SetScalarMode SCALAR_QUADRANT  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToQuadrant for class vtkParametricFunctionSource requires 1 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToQuadrant();
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:SetScalarModeToX vtkParametricFunctionSourceSetScalarModeToXFunction
//input a0 
//output none
ArrayVector vtkParametricFunctionSourceSetScalarModeToXFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToX (void );this SetScalarMode SCALAR_X  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToX for class vtkParametricFunctionSource requires 1 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToX();
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:SetScalarModeToY vtkParametricFunctionSourceSetScalarModeToYFunction
//input a0 
//output none
ArrayVector vtkParametricFunctionSourceSetScalarModeToYFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToY (void );this SetScalarMode SCALAR_Y  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToY for class vtkParametricFunctionSource requires 1 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToY();
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:SetScalarModeToZ vtkParametricFunctionSourceSetScalarModeToZFunction
//input a0 
//output none
ArrayVector vtkParametricFunctionSourceSetScalarModeToZFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToZ (void );this SetScalarMode SCALAR_Z  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToZ for class vtkParametricFunctionSource requires 1 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToZ();
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:SetScalarModeToDistance vtkParametricFunctionSourceSetScalarModeToDistanceFunction
//input a0 
//output none
ArrayVector vtkParametricFunctionSourceSetScalarModeToDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToDistance (void );this SetScalarMode SCALAR_DISTANCE  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToDistance for class vtkParametricFunctionSource requires 1 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToDistance();
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:SetScalarModeToFunctionDefined vtkParametricFunctionSourceSetScalarModeToFunctionDefinedFunction
//input a0 
//output none
ArrayVector vtkParametricFunctionSourceSetScalarModeToFunctionDefinedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarModeToFunctionDefined (void );this SetScalarMode SCALAR_FUNCTION_DEFINED  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarModeToFunctionDefined for class vtkParametricFunctionSource requires 1 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarModeToFunctionDefined();
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:GetMTime vtkParametricFunctionSourceGetMTimeFunction
//input a0 
//output y
ArrayVector vtkParametricFunctionSourceGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkParametricFunctionSource requires 1 argument(s)");
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParametricFunctionSource:display vtkParametricFunctionSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkParametricFunctionSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkParametricFunctionSource* vtk_pointer = GetVTKPointer<vtkParametricFunctionSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkParametricFunctionSource:delete vtkParametricFunctionSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkParametricFunctionSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkParametricFunctionSource
//@@Section VTKGraphics
//@@Usage
// This class tessellates parametric functions. The user must specify how
// many points in the parametric coordinate directions are required (i.e.,
// the resolution), and the mode to use to generate scalars. 
//
// .SECTION Thanks
// Andrew Maclean a.maclean@cas.edu.au for creating and contributing the
// class.
//
//
//To create an instance of class vtkParametricFunctionSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkParametricFunctionSource
//@]
//@@Methods
//The class vtkParametricFunctionSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkParametricFunctionSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkParametricFunctionSource = obj.NewInstance ()|
// \item @|vtkParametricFunctionSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetParametricFunction (vtkParametricFunction )| -  Specify the parametric function to use to generate the tessellation.
//// \item @|vtkParametricFunction = obj.GetParametricFunction ()| -  Specify the parametric function to use to generate the tessellation.
//// \item @|obj.SetUResolution (int )| -  Set/Get the number of subdivisions / tessellations in the u parametric
// direction. Note that the number of tessellant points in the u 
// direction is the UResolution + 1.
//// \item @|int = obj.GetUResolution ()| -  Set/Get the number of subdivisions / tessellations in the u parametric
// direction. Note that the number of tessellant points in the u 
// direction is the UResolution + 1.
//// \item @|obj.SetVResolution (int )| -  Set/Get the number of subdivisions / tessellations in the v parametric
// direction. Note that the number of tessellant points in the v 
// direction is the VResolution + 1.
//// \item @|int = obj.GetVResolution ()| -  Set/Get the number of subdivisions / tessellations in the v parametric
// direction. Note that the number of tessellant points in the v 
// direction is the VResolution + 1.
//// \item @|obj.SetWResolution (int )| -  Set/Get the number of subdivisions / tessellations in the w parametric
// direction. Note that the number of tessellant points in the w 
// direction is the WResolution + 1.
//// \item @|int = obj.GetWResolution ()| -  Set/Get the number of subdivisions / tessellations in the w parametric
// direction. Note that the number of tessellant points in the w 
// direction is the WResolution + 1.
//// \item @|obj.GenerateTextureCoordinatesOn ()| -  Set/Get the generation of texture coordinates. This is off by
// default.
// Note that this is only applicable to parametric surfaces 
// whose parametric dimension is 2.
// Note that texturing may fail in some cases.
//// \item @|obj.GenerateTextureCoordinatesOff ()| -  Set/Get the generation of texture coordinates. This is off by
// default.
// Note that this is only applicable to parametric surfaces 
// whose parametric dimension is 2.
// Note that texturing may fail in some cases.
//// \item @|obj.SetGenerateTextureCoordinates (int )| -  Set/Get the generation of texture coordinates. This is off by
// default.
// Note that this is only applicable to parametric surfaces 
// whose parametric dimension is 2.
// Note that texturing may fail in some cases.
//// \item @|int = obj.GetGenerateTextureCoordinates ()| -  Set/Get the generation of texture coordinates. This is off by
// default.
// Note that this is only applicable to parametric surfaces 
// whose parametric dimension is 2.
// Note that texturing may fail in some cases.
//// \item @|obj.SetScalarMode (int )| -  Get/Set the mode used for the scalar data.  The options are:
// SCALAR_NONE, (default) scalars are not generated.
// SCALAR_U, the scalar is set to the u-value. 
// SCALAR_V, the scalar is set to the v-value.
// SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.
// SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.
// SCALAR_U0V0, the scalar is 
//   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.
// SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).
// SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).
// SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 
//   depending upon the quadrant of the point (u,v).
// SCALAR_X, the scalar is set to the x-value. 
// SCALAR_Y, the scalar is set to the y-value. 
// SCALAR_Z, the scalar is set to the z-value. 
// SCALAR_DISTANCE, the scalar is set to (sqrt(x*x+y*y+z*z)). I.e. distance from the origin.
// SCALAR_FUNCTION_DEFINED, the scalar is set to the value returned from EvaluateScalar().
//// \item @|int = obj.GetScalarModeMinValue ()| -  Get/Set the mode used for the scalar data.  The options are:
// SCALAR_NONE, (default) scalars are not generated.
// SCALAR_U, the scalar is set to the u-value. 
// SCALAR_V, the scalar is set to the v-value.
// SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.
// SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.
// SCALAR_U0V0, the scalar is 
//   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.
// SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).
// SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).
// SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 
//   depending upon the quadrant of the point (u,v).
// SCALAR_X, the scalar is set to the x-value. 
// SCALAR_Y, the scalar is set to the y-value. 
// SCALAR_Z, the scalar is set to the z-value. 
// SCALAR_DISTANCE, the scalar is set to (sqrt(x*x+y*y+z*z)). I.e. distance from the origin.
// SCALAR_FUNCTION_DEFINED, the scalar is set to the value returned from EvaluateScalar().
//// \item @|int = obj.GetScalarModeMaxValue ()| -  Get/Set the mode used for the scalar data.  The options are:
// SCALAR_NONE, (default) scalars are not generated.
// SCALAR_U, the scalar is set to the u-value. 
// SCALAR_V, the scalar is set to the v-value.
// SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.
// SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.
// SCALAR_U0V0, the scalar is 
//   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.
// SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).
// SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).
// SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 
//   depending upon the quadrant of the point (u,v).
// SCALAR_X, the scalar is set to the x-value. 
// SCALAR_Y, the scalar is set to the y-value. 
// SCALAR_Z, the scalar is set to the z-value. 
// SCALAR_DISTANCE, the scalar is set to (sqrt(x*x+y*y+z*z)). I.e. distance from the origin.
// SCALAR_FUNCTION_DEFINED, the scalar is set to the value returned from EvaluateScalar().
//// \item @|int = obj.GetScalarMode ()| -  Get/Set the mode used for the scalar data.  The options are:
// SCALAR_NONE, (default) scalars are not generated.
// SCALAR_U, the scalar is set to the u-value. 
// SCALAR_V, the scalar is set to the v-value.
// SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.
// SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.
// SCALAR_U0V0, the scalar is 
//   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.
// SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).
// SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).
// SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 
//   depending upon the quadrant of the point (u,v).
// SCALAR_X, the scalar is set to the x-value. 
// SCALAR_Y, the scalar is set to the y-value. 
// SCALAR_Z, the scalar is set to the z-value. 
// SCALAR_DISTANCE, the scalar is set to (sqrt(x*x+y*y+z*z)). I.e. distance from the origin.
// SCALAR_FUNCTION_DEFINED, the scalar is set to the value returned from EvaluateScalar().
//// \item @|obj.SetScalarModeToNone (void )| -  Get/Set the mode used for the scalar data.  The options are:
// SCALAR_NONE, (default) scalars are not generated.
// SCALAR_U, the scalar is set to the u-value. 
// SCALAR_V, the scalar is set to the v-value.
// SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.
// SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.
// SCALAR_U0V0, the scalar is 
//   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.
// SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).
// SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).
// SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 
//   depending upon the quadrant of the point (u,v).
// SCALAR_X, the scalar is set to the x-value. 
// SCALAR_Y, the scalar is set to the y-value. 
// SCALAR_Z, the scalar is set to the z-value. 
// SCALAR_DISTANCE, the scalar is set to (sqrt(x*x+y*y+z*z)). I.e. distance from the origin.
// SCALAR_FUNCTION_DEFINED, the scalar is set to the value returned from EvaluateScalar().
//// \item @|obj.SetScalarModeToU (void )| -  Get/Set the mode used for the scalar data.  The options are:
// SCALAR_NONE, (default) scalars are not generated.
// SCALAR_U, the scalar is set to the u-value. 
// SCALAR_V, the scalar is set to the v-value.
// SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.
// SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.
// SCALAR_U0V0, the scalar is 
//   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.
// SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).
// SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).
// SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 
//   depending upon the quadrant of the point (u,v).
// SCALAR_X, the scalar is set to the x-value. 
// SCALAR_Y, the scalar is set to the y-value. 
// SCALAR_Z, the scalar is set to the z-value. 
// SCALAR_DISTANCE, the scalar is set to (sqrt(x*x+y*y+z*z)). I.e. distance from the origin.
// SCALAR_FUNCTION_DEFINED, the scalar is set to the value returned from EvaluateScalar().
//// \item @|obj.SetScalarModeToV (void )| -  Get/Set the mode used for the scalar data.  The options are:
// SCALAR_NONE, (default) scalars are not generated.
// SCALAR_U, the scalar is set to the u-value. 
// SCALAR_V, the scalar is set to the v-value.
// SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.
// SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.
// SCALAR_U0V0, the scalar is 
//   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.
// SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).
// SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).
// SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 
//   depending upon the quadrant of the point (u,v).
// SCALAR_X, the scalar is set to the x-value. 
// SCALAR_Y, the scalar is set to the y-value. 
// SCALAR_Z, the scalar is set to the z-value. 
// SCALAR_DISTANCE, the scalar is set to (sqrt(x*x+y*y+z*z)). I.e. distance from the origin.
// SCALAR_FUNCTION_DEFINED, the scalar is set to the value returned from EvaluateScalar().
//// \item @|obj.SetScalarModeToU0 (void )| -  Get/Set the mode used for the scalar data.  The options are:
// SCALAR_NONE, (default) scalars are not generated.
// SCALAR_U, the scalar is set to the u-value. 
// SCALAR_V, the scalar is set to the v-value.
// SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.
// SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.
// SCALAR_U0V0, the scalar is 
//   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.
// SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).
// SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).
// SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 
//   depending upon the quadrant of the point (u,v).
// SCALAR_X, the scalar is set to the x-value. 
// SCALAR_Y, the scalar is set to the y-value. 
// SCALAR_Z, the scalar is set to the z-value. 
// SCALAR_DISTANCE, the scalar is set to (sqrt(x*x+y*y+z*z)). I.e. distance from the origin.
// SCALAR_FUNCTION_DEFINED, the scalar is set to the value returned from EvaluateScalar().
//// \item @|obj.SetScalarModeToV0 (void )| -  Get/Set the mode used for the scalar data.  The options are:
// SCALAR_NONE, (default) scalars are not generated.
// SCALAR_U, the scalar is set to the u-value. 
// SCALAR_V, the scalar is set to the v-value.
// SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.
// SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.
// SCALAR_U0V0, the scalar is 
//   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.
// SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).
// SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).
// SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 
//   depending upon the quadrant of the point (u,v).
// SCALAR_X, the scalar is set to the x-value. 
// SCALAR_Y, the scalar is set to the y-value. 
// SCALAR_Z, the scalar is set to the z-value. 
// SCALAR_DISTANCE, the scalar is set to (sqrt(x*x+y*y+z*z)). I.e. distance from the origin.
// SCALAR_FUNCTION_DEFINED, the scalar is set to the value returned from EvaluateScalar().
//// \item @|obj.SetScalarModeToU0V0 (void )| -  Get/Set the mode used for the scalar data.  The options are:
// SCALAR_NONE, (default) scalars are not generated.
// SCALAR_U, the scalar is set to the u-value. 
// SCALAR_V, the scalar is set to the v-value.
// SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.
// SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.
// SCALAR_U0V0, the scalar is 
//   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.
// SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).
// SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).
// SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 
//   depending upon the quadrant of the point (u,v).
// SCALAR_X, the scalar is set to the x-value. 
// SCALAR_Y, the scalar is set to the y-value. 
// SCALAR_Z, the scalar is set to the z-value. 
// SCALAR_DISTANCE, the scalar is set to (sqrt(x*x+y*y+z*z)). I.e. distance from the origin.
// SCALAR_FUNCTION_DEFINED, the scalar is set to the value returned from EvaluateScalar().
//// \item @|obj.SetScalarModeToModulus (void )| -  Get/Set the mode used for the scalar data.  The options are:
// SCALAR_NONE, (default) scalars are not generated.
// SCALAR_U, the scalar is set to the u-value. 
// SCALAR_V, the scalar is set to the v-value.
// SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.
// SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.
// SCALAR_U0V0, the scalar is 
//   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.
// SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).
// SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).
// SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 
//   depending upon the quadrant of the point (u,v).
// SCALAR_X, the scalar is set to the x-value. 
// SCALAR_Y, the scalar is set to the y-value. 
// SCALAR_Z, the scalar is set to the z-value. 
// SCALAR_DISTANCE, the scalar is set to (sqrt(x*x+y*y+z*z)). I.e. distance from the origin.
// SCALAR_FUNCTION_DEFINED, the scalar is set to the value returned from EvaluateScalar().
//// \item @|obj.SetScalarModeToPhase (void )| -  Get/Set the mode used for the scalar data.  The options are:
// SCALAR_NONE, (default) scalars are not generated.
// SCALAR_U, the scalar is set to the u-value. 
// SCALAR_V, the scalar is set to the v-value.
// SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.
// SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.
// SCALAR_U0V0, the scalar is 
//   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.
// SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).
// SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).
// SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 
//   depending upon the quadrant of the point (u,v).
// SCALAR_X, the scalar is set to the x-value. 
// SCALAR_Y, the scalar is set to the y-value. 
// SCALAR_Z, the scalar is set to the z-value. 
// SCALAR_DISTANCE, the scalar is set to (sqrt(x*x+y*y+z*z)). I.e. distance from the origin.
// SCALAR_FUNCTION_DEFINED, the scalar is set to the value returned from EvaluateScalar().
//// \item @|obj.SetScalarModeToQuadrant (void )| -  Get/Set the mode used for the scalar data.  The options are:
// SCALAR_NONE, (default) scalars are not generated.
// SCALAR_U, the scalar is set to the u-value. 
// SCALAR_V, the scalar is set to the v-value.
// SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.
// SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.
// SCALAR_U0V0, the scalar is 
//   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.
// SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).
// SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).
// SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 
//   depending upon the quadrant of the point (u,v).
// SCALAR_X, the scalar is set to the x-value. 
// SCALAR_Y, the scalar is set to the y-value. 
// SCALAR_Z, the scalar is set to the z-value. 
// SCALAR_DISTANCE, the scalar is set to (sqrt(x*x+y*y+z*z)). I.e. distance from the origin.
// SCALAR_FUNCTION_DEFINED, the scalar is set to the value returned from EvaluateScalar().
//// \item @|obj.SetScalarModeToX (void )| -  Get/Set the mode used for the scalar data.  The options are:
// SCALAR_NONE, (default) scalars are not generated.
// SCALAR_U, the scalar is set to the u-value. 
// SCALAR_V, the scalar is set to the v-value.
// SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.
// SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.
// SCALAR_U0V0, the scalar is 
//   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.
// SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).
// SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).
// SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 
//   depending upon the quadrant of the point (u,v).
// SCALAR_X, the scalar is set to the x-value. 
// SCALAR_Y, the scalar is set to the y-value. 
// SCALAR_Z, the scalar is set to the z-value. 
// SCALAR_DISTANCE, the scalar is set to (sqrt(x*x+y*y+z*z)). I.e. distance from the origin.
// SCALAR_FUNCTION_DEFINED, the scalar is set to the value returned from EvaluateScalar().
//// \item @|obj.SetScalarModeToY (void )| -  Get/Set the mode used for the scalar data.  The options are:
// SCALAR_NONE, (default) scalars are not generated.
// SCALAR_U, the scalar is set to the u-value. 
// SCALAR_V, the scalar is set to the v-value.
// SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.
// SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.
// SCALAR_U0V0, the scalar is 
//   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.
// SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).
// SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).
// SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 
//   depending upon the quadrant of the point (u,v).
// SCALAR_X, the scalar is set to the x-value. 
// SCALAR_Y, the scalar is set to the y-value. 
// SCALAR_Z, the scalar is set to the z-value. 
// SCALAR_DISTANCE, the scalar is set to (sqrt(x*x+y*y+z*z)). I.e. distance from the origin.
// SCALAR_FUNCTION_DEFINED, the scalar is set to the value returned from EvaluateScalar().
//// \item @|obj.SetScalarModeToZ (void )| -  Get/Set the mode used for the scalar data.  The options are:
// SCALAR_NONE, (default) scalars are not generated.
// SCALAR_U, the scalar is set to the u-value. 
// SCALAR_V, the scalar is set to the v-value.
// SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.
// SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.
// SCALAR_U0V0, the scalar is 
//   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.
// SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).
// SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).
// SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 
//   depending upon the quadrant of the point (u,v).
// SCALAR_X, the scalar is set to the x-value. 
// SCALAR_Y, the scalar is set to the y-value. 
// SCALAR_Z, the scalar is set to the z-value. 
// SCALAR_DISTANCE, the scalar is set to (sqrt(x*x+y*y+z*z)). I.e. distance from the origin.
// SCALAR_FUNCTION_DEFINED, the scalar is set to the value returned from EvaluateScalar().
//// \item @|obj.SetScalarModeToDistance (void )| -  Get/Set the mode used for the scalar data.  The options are:
// SCALAR_NONE, (default) scalars are not generated.
// SCALAR_U, the scalar is set to the u-value. 
// SCALAR_V, the scalar is set to the v-value.
// SCALAR_U0, the scalar is set to 1 if u = (u_max - u_min)/2 = u_avg, 0 otherwise.
// SCALAR_V0, the scalar is set to 1 if v = (v_max - v_min)/2 = v_avg, 0 otherwise.
// SCALAR_U0V0, the scalar is 
//   set to 1 if u == u_avg, 2 if v == v_avg, 3 if u = u_avg && v = v_avg, 0 otherwise.
// SCALAR_MODULUS, the scalar is set to (sqrt(u*u+v*v)), this is measured relative to (u_avg,v_avg).
// SCALAR_PHASE, the scalar is set to (atan2(v,u)) (in degrees, 0 to 360), this is measured relative to (u_avg,v_avg).
// SCALAR_QUADRANT, the scalar is set to 1, 2, 3 or 4 
//   depending upon the quadrant of the point (u,v).
// SCALAR_X, the scalar is set to the x-value. 
// SCALAR_Y, the scalar is set to the y-value. 
// SCALAR_Z, the scalar is set to the z-value. 
// SCALAR_DISTANCE, the scalar is set to (sqrt(x*x+y*y+z*z)). I.e. distance from the origin.
// SCALAR_FUNCTION_DEFINED, the scalar is set to the value returned from EvaluateScalar().
//// \item @|obj.SetScalarModeToFunctionDefined (void )| -  Return the MTime also considering the parametric function.
//// \item @|long = obj.GetMTime ()| -  Return the MTime also considering the parametric function.
////\end{itemize}
//!
