#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPlaneSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPlaneSource.h"

//@@Signature
//sfunction @vtkPlaneSource:vtkPlaneSource vtkPlaneSourceConstructorFunction
//input a
//output p
//@@Parents vtkPlaneSource vtkPolyDataAlgorithm 
ArrayVector vtkPlaneSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPlaneSource::New(),"vtkPlaneSource",eval);
  } else if (arg[0].className() == "vtkPlaneSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPlaneSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPlaneSource");
    vtkPlaneSource*q = reinterpret_cast<vtkPlaneSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPlaneSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPlaneSource:GetClassName vtkPlaneSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPlaneSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPlaneSource requires 1 argument(s)");
  vtkPlaneSource* vtk_pointer = GetVTKPointer<vtkPlaneSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlaneSource:IsA vtkPlaneSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPlaneSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPlaneSource requires 2 argument(s)");
  vtkPlaneSource* vtk_pointer = GetVTKPointer<vtkPlaneSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlaneSource:NewInstance vtkPlaneSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPlaneSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPlaneSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPlaneSource requires 1 argument(s)");
  vtkPlaneSource* vtk_pointer = GetVTKPointer<vtkPlaneSource>(arg[0]);
  Array retval;
  vtkPlaneSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlaneSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneSource:SafeDownCast vtkPlaneSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPlaneSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPlaneSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPlaneSource requires 2 argument(s)");
  vtkPlaneSource* vtk_pointer = GetVTKPointer<vtkPlaneSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPlaneSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlaneSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneSource:SetXResolution vtkPlaneSourceSetXResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkPlaneSourceSetXResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetXResolution for class vtkPlaneSource requires 2 argument(s)");
  vtkPlaneSource* vtk_pointer = GetVTKPointer<vtkPlaneSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetXResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneSource:GetXResolution vtkPlaneSourceGetXResolutionFunction
//input a0 
//output y
ArrayVector vtkPlaneSourceGetXResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetXResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXResolution for class vtkPlaneSource requires 1 argument(s)");
  vtkPlaneSource* vtk_pointer = GetVTKPointer<vtkPlaneSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetXResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlaneSource:SetYResolution vtkPlaneSourceSetYResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkPlaneSourceSetYResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetYResolution for class vtkPlaneSource requires 2 argument(s)");
  vtkPlaneSource* vtk_pointer = GetVTKPointer<vtkPlaneSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetYResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneSource:GetYResolution vtkPlaneSourceGetYResolutionFunction
//input a0 
//output y
ArrayVector vtkPlaneSourceGetYResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetYResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYResolution for class vtkPlaneSource requires 1 argument(s)");
  vtkPlaneSource* vtk_pointer = GetVTKPointer<vtkPlaneSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetYResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlaneSource:SetResolution vtkPlaneSourceSetResolutionFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPlaneSourceSetResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetResolution (const int xR, const int yR); */
  if (arg.size() < 3) 
    throw Exception("Function SetResolution for class vtkPlaneSource requires 3 argument(s)");
  vtkPlaneSource* vtk_pointer = GetVTKPointer<vtkPlaneSource>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetResolution(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneSource:SetOrigin__1 vtkPlaneSourceSetOrigin__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPlaneSourceSetOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetOrigin__1 for class vtkPlaneSource requires 4 argument(s)");
  vtkPlaneSource* vtk_pointer = GetVTKPointer<vtkPlaneSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneSource:SetOrigin__2 vtkPlaneSourceSetOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkPlaneSourceSetOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrigin__2 for class vtkPlaneSource requires 2 argument(s)");
  vtkPlaneSource* vtk_pointer = GetVTKPointer<vtkPlaneSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneSource:GetOrigin vtkPlaneSourceGetOriginFunction
//input a0 
//output y
ArrayVector vtkPlaneSourceGetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrigin for class vtkPlaneSource requires 1 argument(s)");
  vtkPlaneSource* vtk_pointer = GetVTKPointer<vtkPlaneSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneSource:SetPoint1__1 vtkPlaneSourceSetPoint1__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPlaneSourceSetPoint1__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint1 (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetPoint1__1 for class vtkPlaneSource requires 4 argument(s)");
  vtkPlaneSource* vtk_pointer = GetVTKPointer<vtkPlaneSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPoint1(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneSource:SetPoint1__2 vtkPlaneSourceSetPoint1__2Function
//input a0 a1 
//output none
ArrayVector vtkPlaneSourceSetPoint1__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint1 (double pnt[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint1__2 for class vtkPlaneSource requires 2 argument(s)");
  vtkPlaneSource* vtk_pointer = GetVTKPointer<vtkPlaneSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint1(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneSource:GetPoint1 vtkPlaneSourceGetPoint1Function
//input a0 
//output y
ArrayVector vtkPlaneSourceGetPoint1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetPoint1 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint1 for class vtkPlaneSource requires 1 argument(s)");
  vtkPlaneSource* vtk_pointer = GetVTKPointer<vtkPlaneSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPoint1();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneSource:SetPoint2__1 vtkPlaneSourceSetPoint2__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPlaneSourceSetPoint2__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint2 (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetPoint2__1 for class vtkPlaneSource requires 4 argument(s)");
  vtkPlaneSource* vtk_pointer = GetVTKPointer<vtkPlaneSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPoint2(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneSource:SetPoint2__2 vtkPlaneSourceSetPoint2__2Function
//input a0 a1 
//output none
ArrayVector vtkPlaneSourceSetPoint2__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint2 (double pnt[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint2__2 for class vtkPlaneSource requires 2 argument(s)");
  vtkPlaneSource* vtk_pointer = GetVTKPointer<vtkPlaneSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint2(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneSource:GetPoint2 vtkPlaneSourceGetPoint2Function
//input a0 
//output y
ArrayVector vtkPlaneSourceGetPoint2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetPoint2 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint2 for class vtkPlaneSource requires 1 argument(s)");
  vtkPlaneSource* vtk_pointer = GetVTKPointer<vtkPlaneSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPoint2();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneSource:SetCenter__1 vtkPlaneSourceSetCenter__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPlaneSourceSetCenter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetCenter__1 for class vtkPlaneSource requires 4 argument(s)");
  vtkPlaneSource* vtk_pointer = GetVTKPointer<vtkPlaneSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCenter(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneSource:SetCenter__2 vtkPlaneSourceSetCenter__2Function
//input a0 a1 
//output none
ArrayVector vtkPlaneSourceSetCenter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double center[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCenter__2 for class vtkPlaneSource requires 2 argument(s)");
  vtkPlaneSource* vtk_pointer = GetVTKPointer<vtkPlaneSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneSource:GetCenter vtkPlaneSourceGetCenterFunction
//input a0 
//output y
ArrayVector vtkPlaneSourceGetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCenter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenter for class vtkPlaneSource requires 1 argument(s)");
  vtkPlaneSource* vtk_pointer = GetVTKPointer<vtkPlaneSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCenter();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneSource:SetNormal__1 vtkPlaneSourceSetNormal__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPlaneSourceSetNormal__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormal (double nx, double ny, double nz); */
  if (arg.size() < 4) 
    throw Exception("Function SetNormal__1 for class vtkPlaneSource requires 4 argument(s)");
  vtkPlaneSource* vtk_pointer = GetVTKPointer<vtkPlaneSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetNormal(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneSource:SetNormal__2 vtkPlaneSourceSetNormal__2Function
//input a0 a1 
//output none
ArrayVector vtkPlaneSourceSetNormal__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormal (double n[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormal__2 for class vtkPlaneSource requires 2 argument(s)");
  vtkPlaneSource* vtk_pointer = GetVTKPointer<vtkPlaneSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetNormal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneSource:GetNormal vtkPlaneSourceGetNormalFunction
//input a0 
//output y
ArrayVector vtkPlaneSourceGetNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetNormal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormal for class vtkPlaneSource requires 1 argument(s)");
  vtkPlaneSource* vtk_pointer = GetVTKPointer<vtkPlaneSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetNormal();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneSource:Push vtkPlaneSourcePushFunction
//input a0 a1 
//output none
ArrayVector vtkPlaneSourcePushFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Push (double distance); */
  if (arg.size() < 2) 
    throw Exception("Function Push for class vtkPlaneSource requires 2 argument(s)");
  vtkPlaneSource* vtk_pointer = GetVTKPointer<vtkPlaneSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->Push(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlaneSource:SetOrigin vtkPlaneSourceSetOriginFunction
//input varargin
//output varargout
ArrayVector vtkPlaneSourceSetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPlaneSourceSetOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPlaneSourceSetOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPlaneSourceSetOrigin");
}

//@@Signature
//sfunction @vtkPlaneSource:SetPoint1 vtkPlaneSourceSetPoint1Function
//input varargin
//output varargout
ArrayVector vtkPlaneSourceSetPoint1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPlaneSourceSetPoint1__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPlaneSourceSetPoint1__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPlaneSourceSetPoint1");
}

//@@Signature
//sfunction @vtkPlaneSource:SetPoint2 vtkPlaneSourceSetPoint2Function
//input varargin
//output varargout
ArrayVector vtkPlaneSourceSetPoint2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPlaneSourceSetPoint2__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPlaneSourceSetPoint2__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPlaneSourceSetPoint2");
}

//@@Signature
//sfunction @vtkPlaneSource:SetCenter vtkPlaneSourceSetCenterFunction
//input varargin
//output varargout
ArrayVector vtkPlaneSourceSetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPlaneSourceSetCenter__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPlaneSourceSetCenter__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPlaneSourceSetCenter");
}

//@@Signature
//sfunction @vtkPlaneSource:SetNormal vtkPlaneSourceSetNormalFunction
//input varargin
//output varargout
ArrayVector vtkPlaneSourceSetNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPlaneSourceSetNormal__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPlaneSourceSetNormal__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPlaneSourceSetNormal");
}

//@@Signature
//sfunction @vtkPlaneSource:display vtkPlaneSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPlaneSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPlaneSource* vtk_pointer = GetVTKPointer<vtkPlaneSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPlaneSource:delete vtkPlaneSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkPlaneSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPlaneSource
//@@Section VTKGraphics
//@@Usage
// vtkPlaneSource creates an m x n array of quadrilaterals arranged as
// a regular tiling in a plane. The plane is defined by specifying an
// origin point, and then two other points that, together with the
// origin, define two axes for the plane. These axes do not have to be
// orthogonal - so you can create a parallelogram. (The axes must not
// be parallel.) The resolution of the plane (i.e., number of subdivisions) is
// controlled by the ivars XResolution and YResolution.
//
// By default, the plane is centered at the origin and perpendicular to the
// z-axis, with width and height of length 1 and resolutions set to 1.
//
// There are three convenience methods that allow you to easily move the
// plane.  The first, SetNormal(), allows you to specify the plane
// normal. The effect of this method is to rotate the plane around the center
// of the plane, aligning the plane normal with the specified normal. The
// rotation is about the axis defined by the cross product of the current
// normal with the new normal. The second, SetCenter(), translates the center
// of the plane to the specified center point. The third method, Push(),
// allows you to translate the plane along the plane normal by the distance
// specified. (Negative Push values translate the plane in the negative
// normal direction.)  Note that the SetNormal(), SetCenter() and Push()
// methods modify the Origin, Point1, and/or Point2 instance variables.
//
//To create an instance of class vtkPlaneSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkPlaneSource
//@]
//@@Methods
//The class vtkPlaneSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPlaneSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPlaneSource = obj.NewInstance ()|
// \item @|vtkPlaneSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetXResolution (int )| -  Specify the resolution of the plane along the first axes.
//// \item @|int = obj.GetXResolution ()| -  Specify the resolution of the plane along the first axes.
//// \item @|obj.SetYResolution (int )| -  Specify the resolution of the plane along the second axes.
//// \item @|int = obj.GetYResolution ()| -  Specify the resolution of the plane along the second axes.
//// \item @|obj.SetResolution (int xR, int yR)| -  Set the number of x-y subdivisions in the plane.
//// \item @|obj.SetOrigin (double , double , double )| -  Specify a point defining the origin of the plane.
//// \item @|obj.SetOrigin (double  a[3])| -  Specify a point defining the origin of the plane.
//// \item @|double = obj. GetOrigin ()| -  Specify a point defining the origin of the plane.
//// \item @|obj.SetPoint1 (double x, double y, double z)| -  Specify a point defining the first axis of the plane.
//// \item @|obj.SetPoint1 (double pnt[3])| -  Specify a point defining the first axis of the plane.
//// \item @|double = obj. GetPoint1 ()| -  Specify a point defining the first axis of the plane.
//// \item @|obj.SetPoint2 (double x, double y, double z)| -  Specify a point defining the second axis of the plane.
//// \item @|obj.SetPoint2 (double pnt[3])| -  Specify a point defining the second axis of the plane.
//// \item @|double = obj. GetPoint2 ()| -  Specify a point defining the second axis of the plane.
//// \item @|obj.SetCenter (double x, double y, double z)| -  Set/Get the center of the plane. Works in conjunction with the plane 
// normal to position the plane. Don't use this method to define the plane.
// Instead, use it to move the plane to a new center point.
//// \item @|obj.SetCenter (double center[3])| -  Set/Get the center of the plane. Works in conjunction with the plane 
// normal to position the plane. Don't use this method to define the plane.
// Instead, use it to move the plane to a new center point.
//// \item @|double = obj. GetCenter ()| -  Set/Get the center of the plane. Works in conjunction with the plane 
// normal to position the plane. Don't use this method to define the plane.
// Instead, use it to move the plane to a new center point.
//// \item @|obj.SetNormal (double nx, double ny, double nz)| -  Set/Get the plane normal. Works in conjunction with the plane center to
// orient the plane. Don't use this method to define the plane. Instead, use
// it to rotate the plane around the current center point.
//// \item @|obj.SetNormal (double n[3])| -  Set/Get the plane normal. Works in conjunction with the plane center to
// orient the plane. Don't use this method to define the plane. Instead, use
// it to rotate the plane around the current center point.
//// \item @|double = obj. GetNormal ()| -  Set/Get the plane normal. Works in conjunction with the plane center to
// orient the plane. Don't use this method to define the plane. Instead, use
// it to rotate the plane around the current center point.
//// \item @|obj.Push (double distance)| -  Translate the plane in the direction of the normal by the
// distance specified.  Negative values move the plane in the
// opposite direction.
////\end{itemize}
//!
