#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPlatonicSolidSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPlatonicSolidSource.h"

//@@Signature
//sfunction @vtkPlatonicSolidSource:vtkPlatonicSolidSource vtkPlatonicSolidSourceConstructorFunction
//input a
//output p
//@@Parents vtkPlatonicSolidSource vtkPolyDataAlgorithm 
ArrayVector vtkPlatonicSolidSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPlatonicSolidSource::New(),"vtkPlatonicSolidSource",eval);
  } else if (arg[0].className() == "vtkPlatonicSolidSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPlatonicSolidSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPlatonicSolidSource");
    vtkPlatonicSolidSource*q = reinterpret_cast<vtkPlatonicSolidSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPlatonicSolidSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPlatonicSolidSource:GetClassName vtkPlatonicSolidSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPlatonicSolidSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPlatonicSolidSource requires 1 argument(s)");
  vtkPlatonicSolidSource* vtk_pointer = GetVTKPointer<vtkPlatonicSolidSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlatonicSolidSource:IsA vtkPlatonicSolidSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPlatonicSolidSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPlatonicSolidSource requires 2 argument(s)");
  vtkPlatonicSolidSource* vtk_pointer = GetVTKPointer<vtkPlatonicSolidSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlatonicSolidSource:NewInstance vtkPlatonicSolidSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPlatonicSolidSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPlatonicSolidSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPlatonicSolidSource requires 1 argument(s)");
  vtkPlatonicSolidSource* vtk_pointer = GetVTKPointer<vtkPlatonicSolidSource>(arg[0]);
  Array retval;
  vtkPlatonicSolidSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlatonicSolidSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPlatonicSolidSource:SafeDownCast vtkPlatonicSolidSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPlatonicSolidSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPlatonicSolidSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPlatonicSolidSource requires 2 argument(s)");
  vtkPlatonicSolidSource* vtk_pointer = GetVTKPointer<vtkPlatonicSolidSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPlatonicSolidSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPlatonicSolidSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPlatonicSolidSource:SetSolidType vtkPlatonicSolidSourceSetSolidTypeFunction
//input a0 a1 
//output none
ArrayVector vtkPlatonicSolidSourceSetSolidTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSolidType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSolidType for class vtkPlatonicSolidSource requires 2 argument(s)");
  vtkPlatonicSolidSource* vtk_pointer = GetVTKPointer<vtkPlatonicSolidSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSolidType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPlatonicSolidSource:GetSolidTypeMinValue vtkPlatonicSolidSourceGetSolidTypeMinValueFunction
//input a0 
//output y
ArrayVector vtkPlatonicSolidSourceGetSolidTypeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSolidTypeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSolidTypeMinValue for class vtkPlatonicSolidSource requires 1 argument(s)");
  vtkPlatonicSolidSource* vtk_pointer = GetVTKPointer<vtkPlatonicSolidSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSolidTypeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlatonicSolidSource:GetSolidTypeMaxValue vtkPlatonicSolidSourceGetSolidTypeMaxValueFunction
//input a0 
//output y
ArrayVector vtkPlatonicSolidSourceGetSolidTypeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSolidTypeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSolidTypeMaxValue for class vtkPlatonicSolidSource requires 1 argument(s)");
  vtkPlatonicSolidSource* vtk_pointer = GetVTKPointer<vtkPlatonicSolidSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSolidTypeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlatonicSolidSource:GetSolidType vtkPlatonicSolidSourceGetSolidTypeFunction
//input a0 
//output y
ArrayVector vtkPlatonicSolidSourceGetSolidTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSolidType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSolidType for class vtkPlatonicSolidSource requires 1 argument(s)");
  vtkPlatonicSolidSource* vtk_pointer = GetVTKPointer<vtkPlatonicSolidSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSolidType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPlatonicSolidSource:SetSolidTypeToTetrahedron vtkPlatonicSolidSourceSetSolidTypeToTetrahedronFunction
//input a0 
//output none
ArrayVector vtkPlatonicSolidSourceSetSolidTypeToTetrahedronFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSolidTypeToTetrahedron ();this SetSolidType VTK_SOLID_TETRAHEDRON  */
  if (arg.size() < 1) 
    throw Exception("Function SetSolidTypeToTetrahedron for class vtkPlatonicSolidSource requires 1 argument(s)");
  vtkPlatonicSolidSource* vtk_pointer = GetVTKPointer<vtkPlatonicSolidSource>(arg[0]);
  Array retval;
  vtk_pointer->SetSolidTypeToTetrahedron();
  return retval;
}

//@@Signature
//sfunction @vtkPlatonicSolidSource:SetSolidTypeToCube vtkPlatonicSolidSourceSetSolidTypeToCubeFunction
//input a0 
//output none
ArrayVector vtkPlatonicSolidSourceSetSolidTypeToCubeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSolidTypeToCube ();this SetSolidType VTK_SOLID_CUBE  */
  if (arg.size() < 1) 
    throw Exception("Function SetSolidTypeToCube for class vtkPlatonicSolidSource requires 1 argument(s)");
  vtkPlatonicSolidSource* vtk_pointer = GetVTKPointer<vtkPlatonicSolidSource>(arg[0]);
  Array retval;
  vtk_pointer->SetSolidTypeToCube();
  return retval;
}

//@@Signature
//sfunction @vtkPlatonicSolidSource:SetSolidTypeToOctahedron vtkPlatonicSolidSourceSetSolidTypeToOctahedronFunction
//input a0 
//output none
ArrayVector vtkPlatonicSolidSourceSetSolidTypeToOctahedronFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSolidTypeToOctahedron ();this SetSolidType VTK_SOLID_OCTAHEDRON  */
  if (arg.size() < 1) 
    throw Exception("Function SetSolidTypeToOctahedron for class vtkPlatonicSolidSource requires 1 argument(s)");
  vtkPlatonicSolidSource* vtk_pointer = GetVTKPointer<vtkPlatonicSolidSource>(arg[0]);
  Array retval;
  vtk_pointer->SetSolidTypeToOctahedron();
  return retval;
}

//@@Signature
//sfunction @vtkPlatonicSolidSource:SetSolidTypeToIcosahedron vtkPlatonicSolidSourceSetSolidTypeToIcosahedronFunction
//input a0 
//output none
ArrayVector vtkPlatonicSolidSourceSetSolidTypeToIcosahedronFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSolidTypeToIcosahedron ();this SetSolidType VTK_SOLID_ICOSAHEDRON  */
  if (arg.size() < 1) 
    throw Exception("Function SetSolidTypeToIcosahedron for class vtkPlatonicSolidSource requires 1 argument(s)");
  vtkPlatonicSolidSource* vtk_pointer = GetVTKPointer<vtkPlatonicSolidSource>(arg[0]);
  Array retval;
  vtk_pointer->SetSolidTypeToIcosahedron();
  return retval;
}

//@@Signature
//sfunction @vtkPlatonicSolidSource:SetSolidTypeToDodecahedron vtkPlatonicSolidSourceSetSolidTypeToDodecahedronFunction
//input a0 
//output none
ArrayVector vtkPlatonicSolidSourceSetSolidTypeToDodecahedronFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSolidTypeToDodecahedron ();this SetSolidType VTK_SOLID_DODECAHEDRON  */
  if (arg.size() < 1) 
    throw Exception("Function SetSolidTypeToDodecahedron for class vtkPlatonicSolidSource requires 1 argument(s)");
  vtkPlatonicSolidSource* vtk_pointer = GetVTKPointer<vtkPlatonicSolidSource>(arg[0]);
  Array retval;
  vtk_pointer->SetSolidTypeToDodecahedron();
  return retval;
}

//@@Signature
//sfunction @vtkPlatonicSolidSource:display vtkPlatonicSolidSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPlatonicSolidSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPlatonicSolidSource* vtk_pointer = GetVTKPointer<vtkPlatonicSolidSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPlatonicSolidSource:delete vtkPlatonicSolidSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkPlatonicSolidSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPlatonicSolidSource
//@@Section VTKGraphics
//@@Usage
// vtkPlatonicSolidSource can generate each of the five Platonic solids:
// tetrahedron, cube, octahedron, icosahedron, and dodecahedron. Each of the
// solids is placed inside a sphere centered at the origin with radius 1.0.
// To use this class, simply specify the solid to create. Note that this
// source object creates cell scalars that are (integral value) face numbers.
//
//To create an instance of class vtkPlatonicSolidSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkPlatonicSolidSource
//@]
//@@Methods
//The class vtkPlatonicSolidSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPlatonicSolidSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPlatonicSolidSource = obj.NewInstance ()|
// \item @|vtkPlatonicSolidSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetSolidType (int )| -  Specify the type of PlatonicSolid solid to create.
//// \item @|int = obj.GetSolidTypeMinValue ()| -  Specify the type of PlatonicSolid solid to create.
//// \item @|int = obj.GetSolidTypeMaxValue ()| -  Specify the type of PlatonicSolid solid to create.
//// \item @|int = obj.GetSolidType ()| -  Specify the type of PlatonicSolid solid to create.
//// \item @|obj.SetSolidTypeToTetrahedron ()| -  Specify the type of PlatonicSolid solid to create.
//// \item @|obj.SetSolidTypeToCube ()| -  Specify the type of PlatonicSolid solid to create.
//// \item @|obj.SetSolidTypeToOctahedron ()| -  Specify the type of PlatonicSolid solid to create.
//// \item @|obj.SetSolidTypeToIcosahedron ()| -  Specify the type of PlatonicSolid solid to create.
//// \item @|obj.SetSolidTypeToDodecahedron ()|
//\end{itemize}
//!
