#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPointDataToCellData object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPointDataToCellData.h"

//@@Signature
//sfunction @vtkPointDataToCellData:vtkPointDataToCellData vtkPointDataToCellDataConstructorFunction
//input a
//output p
//@@Parents vtkPointDataToCellData vtkDataSetAlgorithm 
ArrayVector vtkPointDataToCellDataConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPointDataToCellData::New(),"vtkPointDataToCellData",eval);
  } else if (arg[0].className() == "vtkPointDataToCellData") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPointDataToCellData"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPointDataToCellData");
    vtkPointDataToCellData*q = reinterpret_cast<vtkPointDataToCellData*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPointDataToCellData");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPointDataToCellData:GetClassName vtkPointDataToCellDataGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPointDataToCellDataGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPointDataToCellData requires 1 argument(s)");
  vtkPointDataToCellData* vtk_pointer = GetVTKPointer<vtkPointDataToCellData>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointDataToCellData:IsA vtkPointDataToCellDataIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPointDataToCellDataIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPointDataToCellData requires 2 argument(s)");
  vtkPointDataToCellData* vtk_pointer = GetVTKPointer<vtkPointDataToCellData>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointDataToCellData:NewInstance vtkPointDataToCellDataNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPointDataToCellDataNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointDataToCellData *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPointDataToCellData requires 1 argument(s)");
  vtkPointDataToCellData* vtk_pointer = GetVTKPointer<vtkPointDataToCellData>(arg[0]);
  Array retval;
  vtkPointDataToCellData  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointDataToCellData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointDataToCellData:SafeDownCast vtkPointDataToCellDataSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPointDataToCellDataSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointDataToCellData *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPointDataToCellData requires 2 argument(s)");
  vtkPointDataToCellData* vtk_pointer = GetVTKPointer<vtkPointDataToCellData>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPointDataToCellData  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointDataToCellData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointDataToCellData:SetPassPointData vtkPointDataToCellDataSetPassPointDataFunction
//input a0 a1 
//output none
ArrayVector vtkPointDataToCellDataSetPassPointDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPassPointData (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPassPointData for class vtkPointDataToCellData requires 2 argument(s)");
  vtkPointDataToCellData* vtk_pointer = GetVTKPointer<vtkPointDataToCellData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPassPointData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointDataToCellData:GetPassPointData vtkPointDataToCellDataGetPassPointDataFunction
//input a0 
//output y
ArrayVector vtkPointDataToCellDataGetPassPointDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPassPointData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPassPointData for class vtkPointDataToCellData requires 1 argument(s)");
  vtkPointDataToCellData* vtk_pointer = GetVTKPointer<vtkPointDataToCellData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPassPointData();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointDataToCellData:PassPointDataOn vtkPointDataToCellDataPassPointDataOnFunction
//input a0 
//output none
ArrayVector vtkPointDataToCellDataPassPointDataOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassPointDataOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PassPointDataOn for class vtkPointDataToCellData requires 1 argument(s)");
  vtkPointDataToCellData* vtk_pointer = GetVTKPointer<vtkPointDataToCellData>(arg[0]);
  Array retval;
  vtk_pointer->PassPointDataOn();
  return retval;
}

//@@Signature
//sfunction @vtkPointDataToCellData:PassPointDataOff vtkPointDataToCellDataPassPointDataOffFunction
//input a0 
//output none
ArrayVector vtkPointDataToCellDataPassPointDataOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassPointDataOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PassPointDataOff for class vtkPointDataToCellData requires 1 argument(s)");
  vtkPointDataToCellData* vtk_pointer = GetVTKPointer<vtkPointDataToCellData>(arg[0]);
  Array retval;
  vtk_pointer->PassPointDataOff();
  return retval;
}

//@@Signature
//sfunction @vtkPointDataToCellData:display vtkPointDataToCellDataDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPointDataToCellDataDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPointDataToCellData* vtk_pointer = GetVTKPointer<vtkPointDataToCellData>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPointDataToCellData:delete vtkPointDataToCellDataDeleteFunction
//input varargin
//output none
ArrayVector vtkPointDataToCellDataDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPointDataToCellData
//@@Section VTKGraphics
//@@Usage
// vtkPointDataToCellData is a filter that transforms point data (i.e., data
// specified per point) into cell data (i.e., data specified per cell).
// The method of transformation is based on averaging the data
// values of all points defining a particular cell. Optionally, the input point
// data can be passed through to the output as well.
//
//To create an instance of class vtkPointDataToCellData, simply
//invoke its constructor as follows
//@[
//  obj = vtkPointDataToCellData
//@]
//@@Methods
//The class vtkPointDataToCellData has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPointDataToCellData class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPointDataToCellData = obj.NewInstance ()|
// \item @|vtkPointDataToCellData = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPassPointData (int )| -  Control whether the input point data is to be passed to the output. If
// on, then the input point data is passed through to the output; otherwise,
// only generated point data is placed into the output.
//// \item @|int = obj.GetPassPointData ()| -  Control whether the input point data is to be passed to the output. If
// on, then the input point data is passed through to the output; otherwise,
// only generated point data is placed into the output.
//// \item @|obj.PassPointDataOn ()| -  Control whether the input point data is to be passed to the output. If
// on, then the input point data is passed through to the output; otherwise,
// only generated point data is placed into the output.
//// \item @|obj.PassPointDataOff ()| -  Control whether the input point data is to be passed to the output. If
// on, then the input point data is passed through to the output; otherwise,
// only generated point data is placed into the output.
////\end{itemize}
//!
