#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPointSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPointSource.h"

//@@Signature
//sfunction @vtkPointSource:vtkPointSource vtkPointSourceConstructorFunction
//input a
//output p
//@@Parents vtkPointSource vtkPolyDataAlgorithm 
ArrayVector vtkPointSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPointSource::New(),"vtkPointSource",eval);
  } else if (arg[0].className() == "vtkPointSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPointSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPointSource");
    vtkPointSource*q = reinterpret_cast<vtkPointSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPointSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPointSource:GetClassName vtkPointSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPointSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPointSource requires 1 argument(s)");
  vtkPointSource* vtk_pointer = GetVTKPointer<vtkPointSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSource:IsA vtkPointSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPointSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPointSource requires 2 argument(s)");
  vtkPointSource* vtk_pointer = GetVTKPointer<vtkPointSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSource:NewInstance vtkPointSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPointSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPointSource requires 1 argument(s)");
  vtkPointSource* vtk_pointer = GetVTKPointer<vtkPointSource>(arg[0]);
  Array retval;
  vtkPointSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointSource:SafeDownCast vtkPointSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPointSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPointSource requires 2 argument(s)");
  vtkPointSource* vtk_pointer = GetVTKPointer<vtkPointSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPointSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointSource:SetNumberOfPoints vtkPointSourceSetNumberOfPointsFunction
//input a0 a1 
//output none
ArrayVector vtkPointSourceSetNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfPoints (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfPoints for class vtkPointSource requires 2 argument(s)");
  vtkPointSource* vtk_pointer = GetVTKPointer<vtkPointSource>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfPoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointSource:GetNumberOfPointsMinValue vtkPointSourceGetNumberOfPointsMinValueFunction
//input a0 
//output y
ArrayVector vtkPointSourceGetNumberOfPointsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfPointsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPointsMinValue for class vtkPointSource requires 1 argument(s)");
  vtkPointSource* vtk_pointer = GetVTKPointer<vtkPointSource>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfPointsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSource:GetNumberOfPointsMaxValue vtkPointSourceGetNumberOfPointsMaxValueFunction
//input a0 
//output y
ArrayVector vtkPointSourceGetNumberOfPointsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfPointsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPointsMaxValue for class vtkPointSource requires 1 argument(s)");
  vtkPointSource* vtk_pointer = GetVTKPointer<vtkPointSource>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfPointsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSource:GetNumberOfPoints vtkPointSourceGetNumberOfPointsFunction
//input a0 
//output y
ArrayVector vtkPointSourceGetNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPoints for class vtkPointSource requires 1 argument(s)");
  vtkPointSource* vtk_pointer = GetVTKPointer<vtkPointSource>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSource:SetCenter__1 vtkPointSourceSetCenter__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPointSourceSetCenter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetCenter__1 for class vtkPointSource requires 4 argument(s)");
  vtkPointSource* vtk_pointer = GetVTKPointer<vtkPointSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCenter(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPointSource:SetCenter__2 vtkPointSourceSetCenter__2Function
//input a0 a1 
//output none
ArrayVector vtkPointSourceSetCenter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCenter__2 for class vtkPointSource requires 2 argument(s)");
  vtkPointSource* vtk_pointer = GetVTKPointer<vtkPointSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointSource:GetCenter vtkPointSourceGetCenterFunction
//input a0 
//output y
ArrayVector vtkPointSourceGetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCenter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenter for class vtkPointSource requires 1 argument(s)");
  vtkPointSource* vtk_pointer = GetVTKPointer<vtkPointSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCenter();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPointSource:SetRadius vtkPointSourceSetRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkPointSourceSetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRadius for class vtkPointSource requires 2 argument(s)");
  vtkPointSource* vtk_pointer = GetVTKPointer<vtkPointSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointSource:GetRadiusMinValue vtkPointSourceGetRadiusMinValueFunction
//input a0 
//output y
ArrayVector vtkPointSourceGetRadiusMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadiusMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadiusMinValue for class vtkPointSource requires 1 argument(s)");
  vtkPointSource* vtk_pointer = GetVTKPointer<vtkPointSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadiusMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSource:GetRadiusMaxValue vtkPointSourceGetRadiusMaxValueFunction
//input a0 
//output y
ArrayVector vtkPointSourceGetRadiusMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadiusMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadiusMaxValue for class vtkPointSource requires 1 argument(s)");
  vtkPointSource* vtk_pointer = GetVTKPointer<vtkPointSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadiusMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSource:GetRadius vtkPointSourceGetRadiusFunction
//input a0 
//output y
ArrayVector vtkPointSourceGetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadius for class vtkPointSource requires 1 argument(s)");
  vtkPointSource* vtk_pointer = GetVTKPointer<vtkPointSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSource:SetDistribution vtkPointSourceSetDistributionFunction
//input a0 a1 
//output none
ArrayVector vtkPointSourceSetDistributionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDistribution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDistribution for class vtkPointSource requires 2 argument(s)");
  vtkPointSource* vtk_pointer = GetVTKPointer<vtkPointSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDistribution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointSource:SetDistributionToUniform vtkPointSourceSetDistributionToUniformFunction
//input a0 
//output none
ArrayVector vtkPointSourceSetDistributionToUniformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDistributionToUniform ();this SetDistribution VTK_POINT_UNIFORM  */
  if (arg.size() < 1) 
    throw Exception("Function SetDistributionToUniform for class vtkPointSource requires 1 argument(s)");
  vtkPointSource* vtk_pointer = GetVTKPointer<vtkPointSource>(arg[0]);
  Array retval;
  vtk_pointer->SetDistributionToUniform();
  return retval;
}

//@@Signature
//sfunction @vtkPointSource:SetDistributionToShell vtkPointSourceSetDistributionToShellFunction
//input a0 
//output none
ArrayVector vtkPointSourceSetDistributionToShellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDistributionToShell ();this SetDistribution VTK_POINT_SHELL  */
  if (arg.size() < 1) 
    throw Exception("Function SetDistributionToShell for class vtkPointSource requires 1 argument(s)");
  vtkPointSource* vtk_pointer = GetVTKPointer<vtkPointSource>(arg[0]);
  Array retval;
  vtk_pointer->SetDistributionToShell();
  return retval;
}

//@@Signature
//sfunction @vtkPointSource:GetDistribution vtkPointSourceGetDistributionFunction
//input a0 
//output y
ArrayVector vtkPointSourceGetDistributionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDistribution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDistribution for class vtkPointSource requires 1 argument(s)");
  vtkPointSource* vtk_pointer = GetVTKPointer<vtkPointSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDistribution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointSource:SetCenter vtkPointSourceSetCenterFunction
//input varargin
//output varargout
ArrayVector vtkPointSourceSetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPointSourceSetCenter__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPointSourceSetCenter__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPointSourceSetCenter");
}

//@@Signature
//sfunction @vtkPointSource:display vtkPointSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPointSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPointSource* vtk_pointer = GetVTKPointer<vtkPointSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPointSource:delete vtkPointSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkPointSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPointSource
//@@Section VTKGraphics
//@@Usage
// vtkPointSource is a source object that creates a user-specified number 
// of points within a specified radius about a specified center point. 
// By default location of the points is random within the sphere. It is
// also possible to generate random points only on the surface of the
// sphere.
//
//To create an instance of class vtkPointSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkPointSource
//@]
//@@Methods
//The class vtkPointSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPointSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPointSource = obj.NewInstance ()|
// \item @|vtkPointSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetNumberOfPoints (vtkIdType )| -  Set the number of points to generate.
//// \item @|vtkIdType = obj.GetNumberOfPointsMinValue ()| -  Set the number of points to generate.
//// \item @|vtkIdType = obj.GetNumberOfPointsMaxValue ()| -  Set the number of points to generate.
//// \item @|vtkIdType = obj.GetNumberOfPoints ()| -  Set the number of points to generate.
//// \item @|obj.SetCenter (double , double , double )| -  Set the center of the point cloud.
//// \item @|obj.SetCenter (double  a[3])| -  Set the center of the point cloud.
//// \item @|double = obj. GetCenter ()| -  Set the center of the point cloud.
//// \item @|obj.SetRadius (double )| -  Set the radius of the point cloud.  If you are
// generating a Gaussian distribution, then this is
// the standard deviation for each of x, y, and z.
//// \item @|double = obj.GetRadiusMinValue ()| -  Set the radius of the point cloud.  If you are
// generating a Gaussian distribution, then this is
// the standard deviation for each of x, y, and z.
//// \item @|double = obj.GetRadiusMaxValue ()| -  Set the radius of the point cloud.  If you are
// generating a Gaussian distribution, then this is
// the standard deviation for each of x, y, and z.
//// \item @|double = obj.GetRadius ()| -  Set the radius of the point cloud.  If you are
// generating a Gaussian distribution, then this is
// the standard deviation for each of x, y, and z.
//// \item @|obj.SetDistribution (int )| -  Specify the distribution to use.  The default is a
// uniform distribution.  The shell distribution produces
// random points on the surface of the sphere, none in the interior.
//// \item @|obj.SetDistributionToUniform ()| -  Specify the distribution to use.  The default is a
// uniform distribution.  The shell distribution produces
// random points on the surface of the sphere, none in the interior.
//// \item @|obj.SetDistributionToShell ()| -  Specify the distribution to use.  The default is a
// uniform distribution.  The shell distribution produces
// random points on the surface of the sphere, none in the interior.
//// \item @|int = obj.GetDistribution ()| -  Specify the distribution to use.  The default is a
// uniform distribution.  The shell distribution produces
// random points on the surface of the sphere, none in the interior.
////\end{itemize}
//!
