#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPolyDataConnectivityFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPolyDataConnectivityFilter.h"

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:vtkPolyDataConnectivityFilter vtkPolyDataConnectivityFilterConstructorFunction
//input a
//output p
//@@Parents vtkPolyDataConnectivityFilter vtkPolyDataAlgorithm 
ArrayVector vtkPolyDataConnectivityFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPolyDataConnectivityFilter::New(),"vtkPolyDataConnectivityFilter",eval);
  } else if (arg[0].className() == "vtkPolyDataConnectivityFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPolyDataConnectivityFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPolyDataConnectivityFilter");
    vtkPolyDataConnectivityFilter*q = reinterpret_cast<vtkPolyDataConnectivityFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPolyDataConnectivityFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:GetClassName vtkPolyDataConnectivityFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPolyDataConnectivityFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPolyDataConnectivityFilter requires 1 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:IsA vtkPolyDataConnectivityFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataConnectivityFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPolyDataConnectivityFilter requires 2 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:NewInstance vtkPolyDataConnectivityFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPolyDataConnectivityFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataConnectivityFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPolyDataConnectivityFilter requires 1 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  vtkPolyDataConnectivityFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataConnectivityFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:SafeDownCast vtkPolyDataConnectivityFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataConnectivityFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataConnectivityFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPolyDataConnectivityFilter requires 2 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPolyDataConnectivityFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataConnectivityFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:SetScalarConnectivity vtkPolyDataConnectivityFilterSetScalarConnectivityFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataConnectivityFilterSetScalarConnectivityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarConnectivity (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarConnectivity for class vtkPolyDataConnectivityFilter requires 2 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScalarConnectivity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:GetScalarConnectivity vtkPolyDataConnectivityFilterGetScalarConnectivityFunction
//input a0 
//output y
ArrayVector vtkPolyDataConnectivityFilterGetScalarConnectivityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarConnectivity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarConnectivity for class vtkPolyDataConnectivityFilter requires 1 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScalarConnectivity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:ScalarConnectivityOn vtkPolyDataConnectivityFilterScalarConnectivityOnFunction
//input a0 
//output none
ArrayVector vtkPolyDataConnectivityFilterScalarConnectivityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScalarConnectivityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ScalarConnectivityOn for class vtkPolyDataConnectivityFilter requires 1 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  vtk_pointer->ScalarConnectivityOn();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:ScalarConnectivityOff vtkPolyDataConnectivityFilterScalarConnectivityOffFunction
//input a0 
//output none
ArrayVector vtkPolyDataConnectivityFilterScalarConnectivityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScalarConnectivityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ScalarConnectivityOff for class vtkPolyDataConnectivityFilter requires 1 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  vtk_pointer->ScalarConnectivityOff();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:SetScalarRange__1 vtkPolyDataConnectivityFilterSetScalarRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkPolyDataConnectivityFilterSetScalarRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarRange (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetScalarRange__1 for class vtkPolyDataConnectivityFilter requires 3 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetScalarRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:SetScalarRange__2 vtkPolyDataConnectivityFilterSetScalarRange__2Function
//input a0 a1 
//output none
ArrayVector vtkPolyDataConnectivityFilterSetScalarRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarRange (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarRange__2 for class vtkPolyDataConnectivityFilter requires 2 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetScalarRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:GetScalarRange vtkPolyDataConnectivityFilterGetScalarRangeFunction
//input a0 
//output y
ArrayVector vtkPolyDataConnectivityFilterGetScalarRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetScalarRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarRange for class vtkPolyDataConnectivityFilter requires 1 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetScalarRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:SetExtractionMode vtkPolyDataConnectivityFilterSetExtractionModeFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataConnectivityFilterSetExtractionModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtractionMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtractionMode for class vtkPolyDataConnectivityFilter requires 2 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetExtractionMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:GetExtractionModeMinValue vtkPolyDataConnectivityFilterGetExtractionModeMinValueFunction
//input a0 
//output y
ArrayVector vtkPolyDataConnectivityFilterGetExtractionModeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExtractionModeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtractionModeMinValue for class vtkPolyDataConnectivityFilter requires 1 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExtractionModeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:GetExtractionModeMaxValue vtkPolyDataConnectivityFilterGetExtractionModeMaxValueFunction
//input a0 
//output y
ArrayVector vtkPolyDataConnectivityFilterGetExtractionModeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExtractionModeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtractionModeMaxValue for class vtkPolyDataConnectivityFilter requires 1 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExtractionModeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:GetExtractionMode vtkPolyDataConnectivityFilterGetExtractionModeFunction
//input a0 
//output y
ArrayVector vtkPolyDataConnectivityFilterGetExtractionModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExtractionMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtractionMode for class vtkPolyDataConnectivityFilter requires 1 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExtractionMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:SetExtractionModeToPointSeededRegions vtkPolyDataConnectivityFilterSetExtractionModeToPointSeededRegionsFunction
//input a0 
//output none
ArrayVector vtkPolyDataConnectivityFilterSetExtractionModeToPointSeededRegionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtractionModeToPointSeededRegions ();this SetExtractionMode VTK_EXTRACT_POINT_SEEDED_REGIONS  */
  if (arg.size() < 1) 
    throw Exception("Function SetExtractionModeToPointSeededRegions for class vtkPolyDataConnectivityFilter requires 1 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetExtractionModeToPointSeededRegions();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:SetExtractionModeToCellSeededRegions vtkPolyDataConnectivityFilterSetExtractionModeToCellSeededRegionsFunction
//input a0 
//output none
ArrayVector vtkPolyDataConnectivityFilterSetExtractionModeToCellSeededRegionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtractionModeToCellSeededRegions ();this SetExtractionMode VTK_EXTRACT_CELL_SEEDED_REGIONS  */
  if (arg.size() < 1) 
    throw Exception("Function SetExtractionModeToCellSeededRegions for class vtkPolyDataConnectivityFilter requires 1 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetExtractionModeToCellSeededRegions();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:SetExtractionModeToLargestRegion vtkPolyDataConnectivityFilterSetExtractionModeToLargestRegionFunction
//input a0 
//output none
ArrayVector vtkPolyDataConnectivityFilterSetExtractionModeToLargestRegionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtractionModeToLargestRegion ();this SetExtractionMode VTK_EXTRACT_LARGEST_REGION  */
  if (arg.size() < 1) 
    throw Exception("Function SetExtractionModeToLargestRegion for class vtkPolyDataConnectivityFilter requires 1 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetExtractionModeToLargestRegion();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:SetExtractionModeToSpecifiedRegions vtkPolyDataConnectivityFilterSetExtractionModeToSpecifiedRegionsFunction
//input a0 
//output none
ArrayVector vtkPolyDataConnectivityFilterSetExtractionModeToSpecifiedRegionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtractionModeToSpecifiedRegions ();this SetExtractionMode VTK_EXTRACT_SPECIFIED_REGIONS  */
  if (arg.size() < 1) 
    throw Exception("Function SetExtractionModeToSpecifiedRegions for class vtkPolyDataConnectivityFilter requires 1 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetExtractionModeToSpecifiedRegions();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:SetExtractionModeToClosestPointRegion vtkPolyDataConnectivityFilterSetExtractionModeToClosestPointRegionFunction
//input a0 
//output none
ArrayVector vtkPolyDataConnectivityFilterSetExtractionModeToClosestPointRegionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtractionModeToClosestPointRegion ();this SetExtractionMode VTK_EXTRACT_CLOSEST_POINT_REGION  */
  if (arg.size() < 1) 
    throw Exception("Function SetExtractionModeToClosestPointRegion for class vtkPolyDataConnectivityFilter requires 1 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetExtractionModeToClosestPointRegion();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:SetExtractionModeToAllRegions vtkPolyDataConnectivityFilterSetExtractionModeToAllRegionsFunction
//input a0 
//output none
ArrayVector vtkPolyDataConnectivityFilterSetExtractionModeToAllRegionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtractionModeToAllRegions ();this SetExtractionMode VTK_EXTRACT_ALL_REGIONS  */
  if (arg.size() < 1) 
    throw Exception("Function SetExtractionModeToAllRegions for class vtkPolyDataConnectivityFilter requires 1 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetExtractionModeToAllRegions();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:GetExtractionModeAsString vtkPolyDataConnectivityFilterGetExtractionModeAsStringFunction
//input a0 
//output y
ArrayVector vtkPolyDataConnectivityFilterGetExtractionModeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetExtractionModeAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtractionModeAsString for class vtkPolyDataConnectivityFilter requires 1 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetExtractionModeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:InitializeSeedList vtkPolyDataConnectivityFilterInitializeSeedListFunction
//input a0 
//output none
ArrayVector vtkPolyDataConnectivityFilterInitializeSeedListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InitializeSeedList (); */
  if (arg.size() < 1) 
    throw Exception("Function InitializeSeedList for class vtkPolyDataConnectivityFilter requires 1 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  vtk_pointer->InitializeSeedList();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:AddSeed vtkPolyDataConnectivityFilterAddSeedFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataConnectivityFilterAddSeedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddSeed (int id); */
  if (arg.size() < 2) 
    throw Exception("Function AddSeed for class vtkPolyDataConnectivityFilter requires 2 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->AddSeed(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:DeleteSeed vtkPolyDataConnectivityFilterDeleteSeedFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataConnectivityFilterDeleteSeedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeleteSeed (int id); */
  if (arg.size() < 2) 
    throw Exception("Function DeleteSeed for class vtkPolyDataConnectivityFilter requires 2 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->DeleteSeed(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:InitializeSpecifiedRegionList vtkPolyDataConnectivityFilterInitializeSpecifiedRegionListFunction
//input a0 
//output none
ArrayVector vtkPolyDataConnectivityFilterInitializeSpecifiedRegionListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InitializeSpecifiedRegionList (); */
  if (arg.size() < 1) 
    throw Exception("Function InitializeSpecifiedRegionList for class vtkPolyDataConnectivityFilter requires 1 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  vtk_pointer->InitializeSpecifiedRegionList();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:AddSpecifiedRegion vtkPolyDataConnectivityFilterAddSpecifiedRegionFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataConnectivityFilterAddSpecifiedRegionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddSpecifiedRegion (int id); */
  if (arg.size() < 2) 
    throw Exception("Function AddSpecifiedRegion for class vtkPolyDataConnectivityFilter requires 2 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->AddSpecifiedRegion(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:DeleteSpecifiedRegion vtkPolyDataConnectivityFilterDeleteSpecifiedRegionFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataConnectivityFilterDeleteSpecifiedRegionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeleteSpecifiedRegion (int id); */
  if (arg.size() < 2) 
    throw Exception("Function DeleteSpecifiedRegion for class vtkPolyDataConnectivityFilter requires 2 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->DeleteSpecifiedRegion(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:SetClosestPoint__1 vtkPolyDataConnectivityFilterSetClosestPoint__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPolyDataConnectivityFilterSetClosestPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClosestPoint (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetClosestPoint__1 for class vtkPolyDataConnectivityFilter requires 4 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetClosestPoint(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:SetClosestPoint__2 vtkPolyDataConnectivityFilterSetClosestPoint__2Function
//input a0 a1 
//output none
ArrayVector vtkPolyDataConnectivityFilterSetClosestPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClosestPoint (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetClosestPoint__2 for class vtkPolyDataConnectivityFilter requires 2 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetClosestPoint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:GetClosestPoint vtkPolyDataConnectivityFilterGetClosestPointFunction
//input a0 
//output y
ArrayVector vtkPolyDataConnectivityFilterGetClosestPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetClosestPoint (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClosestPoint for class vtkPolyDataConnectivityFilter requires 1 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetClosestPoint();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:GetNumberOfExtractedRegions vtkPolyDataConnectivityFilterGetNumberOfExtractedRegionsFunction
//input a0 
//output y
ArrayVector vtkPolyDataConnectivityFilterGetNumberOfExtractedRegionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfExtractedRegions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfExtractedRegions for class vtkPolyDataConnectivityFilter requires 1 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfExtractedRegions();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:SetColorRegions vtkPolyDataConnectivityFilterSetColorRegionsFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataConnectivityFilterSetColorRegionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorRegions (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetColorRegions for class vtkPolyDataConnectivityFilter requires 2 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetColorRegions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:GetColorRegions vtkPolyDataConnectivityFilterGetColorRegionsFunction
//input a0 
//output y
ArrayVector vtkPolyDataConnectivityFilterGetColorRegionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetColorRegions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorRegions for class vtkPolyDataConnectivityFilter requires 1 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetColorRegions();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:ColorRegionsOn vtkPolyDataConnectivityFilterColorRegionsOnFunction
//input a0 
//output none
ArrayVector vtkPolyDataConnectivityFilterColorRegionsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorRegionsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorRegionsOn for class vtkPolyDataConnectivityFilter requires 1 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  vtk_pointer->ColorRegionsOn();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:ColorRegionsOff vtkPolyDataConnectivityFilterColorRegionsOffFunction
//input a0 
//output none
ArrayVector vtkPolyDataConnectivityFilterColorRegionsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorRegionsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorRegionsOff for class vtkPolyDataConnectivityFilter requires 1 argument(s)");
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  Array retval;
  vtk_pointer->ColorRegionsOff();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:SetScalarRange vtkPolyDataConnectivityFilterSetScalarRangeFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataConnectivityFilterSetScalarRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkPolyDataConnectivityFilterSetScalarRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPolyDataConnectivityFilterSetScalarRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolyDataConnectivityFilterSetScalarRange");
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:SetClosestPoint vtkPolyDataConnectivityFilterSetClosestPointFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataConnectivityFilterSetClosestPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPolyDataConnectivityFilterSetClosestPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPolyDataConnectivityFilterSetClosestPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolyDataConnectivityFilterSetClosestPoint");
}

//@@Signature
//sfunction @vtkPolyDataConnectivityFilter:display vtkPolyDataConnectivityFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataConnectivityFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPolyDataConnectivityFilter* vtk_pointer = GetVTKPointer<vtkPolyDataConnectivityFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPolyDataConnectivityFilter:delete vtkPolyDataConnectivityFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkPolyDataConnectivityFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPolyDataConnectivityFilter
//@@Section VTKGraphics
//@@Usage
// vtkPolyDataConnectivityFilter is a filter that extracts cells that
// share common points and/or satisfy a scalar threshold
// criterion. (Such a group of cells is called a region.) The filter
// works in one of six ways: 1) extract the largest connected region
// in the dataset; 2) extract specified region numbers; 3) extract all
// regions sharing specified point ids; 4) extract all regions sharing
// specified cell ids; 5) extract the region closest to the specified
// point; or 6) extract all regions (used to color regions).
//
// This filter is specialized for polygonal data. This means it runs a bit 
// faster and is easier to construct visualization networks that process
// polygonal data.
//
// The behavior of vtkPolyDataConnectivityFilter can be modified by turning
// on the boolean ivar ScalarConnectivity. If this flag is on, the
// connectivity algorithm is modified so that cells are considered connected
// only if 1) they are geometrically connected (share a point) and 2) the
// scalar values of one of the cell's points falls in the scalar range
// specified. This use of ScalarConnectivity is particularly useful for
// selecting cells for later processing.
//
//To create an instance of class vtkPolyDataConnectivityFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkPolyDataConnectivityFilter
//@]
//@@Methods
//The class vtkPolyDataConnectivityFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPolyDataConnectivityFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPolyDataConnectivityFilter = obj.NewInstance ()|
// \item @|vtkPolyDataConnectivityFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetScalarConnectivity (int )| -  Turn on/off connectivity based on scalar value. If on, cells are connected
// only if they share points AND one of the cells scalar values falls in the
// scalar range specified.
//// \item @|int = obj.GetScalarConnectivity ()| -  Turn on/off connectivity based on scalar value. If on, cells are connected
// only if they share points AND one of the cells scalar values falls in the
// scalar range specified.
//// \item @|obj.ScalarConnectivityOn ()| -  Turn on/off connectivity based on scalar value. If on, cells are connected
// only if they share points AND one of the cells scalar values falls in the
// scalar range specified.
//// \item @|obj.ScalarConnectivityOff ()| -  Turn on/off connectivity based on scalar value. If on, cells are connected
// only if they share points AND one of the cells scalar values falls in the
// scalar range specified.
//// \item @|obj.SetScalarRange (double , double )| -  Set the scalar range to use to extract cells based on scalar connectivity.
//// \item @|obj.SetScalarRange (double  a[2])| -  Set the scalar range to use to extract cells based on scalar connectivity.
//// \item @|double = obj. GetScalarRange ()| -  Set the scalar range to use to extract cells based on scalar connectivity.
//// \item @|obj.SetExtractionMode (int )| -  Control the extraction of connected surfaces.
//// \item @|int = obj.GetExtractionModeMinValue ()| -  Control the extraction of connected surfaces.
//// \item @|int = obj.GetExtractionModeMaxValue ()| -  Control the extraction of connected surfaces.
//// \item @|int = obj.GetExtractionMode ()| -  Control the extraction of connected surfaces.
//// \item @|obj.SetExtractionModeToPointSeededRegions ()| -  Control the extraction of connected surfaces.
//// \item @|obj.SetExtractionModeToCellSeededRegions ()| -  Control the extraction of connected surfaces.
//// \item @|obj.SetExtractionModeToLargestRegion ()| -  Control the extraction of connected surfaces.
//// \item @|obj.SetExtractionModeToSpecifiedRegions ()| -  Control the extraction of connected surfaces.
//// \item @|obj.SetExtractionModeToClosestPointRegion ()| -  Control the extraction of connected surfaces.
//// \item @|obj.SetExtractionModeToAllRegions ()| -  Control the extraction of connected surfaces.
//// \item @|string = obj.GetExtractionModeAsString ()| -  Control the extraction of connected surfaces.
//// \item @|obj.InitializeSeedList ()| -  Initialize list of point ids/cell ids used to seed regions.
//// \item @|obj.AddSeed (int id)| -  Add a seed id (point or cell id). Note: ids are 0-offset.
//// \item @|obj.DeleteSeed (int id)| -  Delete a seed id (point or cell id). Note: ids are 0-offset.
//// \item @|obj.InitializeSpecifiedRegionList ()| -  Initialize list of region ids to extract.
//// \item @|obj.AddSpecifiedRegion (int id)| -  Add a region id to extract. Note: ids are 0-offset.
//// \item @|obj.DeleteSpecifiedRegion (int id)| -  Delete a region id to extract. Note: ids are 0-offset.
//// \item @|obj.SetClosestPoint (double , double , double )| -  Use to specify x-y-z point coordinates when extracting the region 
// closest to a specified point.
//// \item @|obj.SetClosestPoint (double  a[3])| -  Use to specify x-y-z point coordinates when extracting the region 
// closest to a specified point.
//// \item @|double = obj. GetClosestPoint ()| -  Use to specify x-y-z point coordinates when extracting the region 
// closest to a specified point.
//// \item @|int = obj.GetNumberOfExtractedRegions ()| -  Obtain the number of connected regions.
//// \item @|obj.SetColorRegions (int )| -  Turn on/off the coloring of connected regions.
//// \item @|int = obj.GetColorRegions ()| -  Turn on/off the coloring of connected regions.
//// \item @|obj.ColorRegionsOn ()| -  Turn on/off the coloring of connected regions.
//// \item @|obj.ColorRegionsOff ()| -  Turn on/off the coloring of connected regions.
////\end{itemize}
//!
