#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPolyDataNormals object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPolyDataNormals.h"

//@@Signature
//sfunction @vtkPolyDataNormals:vtkPolyDataNormals vtkPolyDataNormalsConstructorFunction
//input a
//output p
//@@Parents vtkPolyDataNormals vtkPolyDataAlgorithm 
ArrayVector vtkPolyDataNormalsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPolyDataNormals::New(),"vtkPolyDataNormals",eval);
  } else if (arg[0].className() == "vtkPolyDataNormals") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPolyDataNormals"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPolyDataNormals");
    vtkPolyDataNormals*q = reinterpret_cast<vtkPolyDataNormals*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPolyDataNormals");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPolyDataNormals:GetClassName vtkPolyDataNormalsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPolyDataNormalsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPolyDataNormals requires 1 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:IsA vtkPolyDataNormalsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataNormalsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPolyDataNormals requires 2 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:NewInstance vtkPolyDataNormalsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPolyDataNormalsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataNormals *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPolyDataNormals requires 1 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  vtkPolyDataNormals  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataNormals",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:SafeDownCast vtkPolyDataNormalsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataNormalsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataNormals *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPolyDataNormals requires 2 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPolyDataNormals  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataNormals",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:SetFeatureAngle vtkPolyDataNormalsSetFeatureAngleFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataNormalsSetFeatureAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFeatureAngle (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFeatureAngle for class vtkPolyDataNormals requires 2 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetFeatureAngle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:GetFeatureAngleMinValue vtkPolyDataNormalsGetFeatureAngleMinValueFunction
//input a0 
//output y
ArrayVector vtkPolyDataNormalsGetFeatureAngleMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFeatureAngleMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFeatureAngleMinValue for class vtkPolyDataNormals requires 1 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFeatureAngleMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:GetFeatureAngleMaxValue vtkPolyDataNormalsGetFeatureAngleMaxValueFunction
//input a0 
//output y
ArrayVector vtkPolyDataNormalsGetFeatureAngleMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFeatureAngleMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFeatureAngleMaxValue for class vtkPolyDataNormals requires 1 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFeatureAngleMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:GetFeatureAngle vtkPolyDataNormalsGetFeatureAngleFunction
//input a0 
//output y
ArrayVector vtkPolyDataNormalsGetFeatureAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFeatureAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFeatureAngle for class vtkPolyDataNormals requires 1 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFeatureAngle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:SetSplitting vtkPolyDataNormalsSetSplittingFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataNormalsSetSplittingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSplitting (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSplitting for class vtkPolyDataNormals requires 2 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSplitting(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:GetSplitting vtkPolyDataNormalsGetSplittingFunction
//input a0 
//output y
ArrayVector vtkPolyDataNormalsGetSplittingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSplitting (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSplitting for class vtkPolyDataNormals requires 1 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSplitting();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:SplittingOn vtkPolyDataNormalsSplittingOnFunction
//input a0 
//output none
ArrayVector vtkPolyDataNormalsSplittingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SplittingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SplittingOn for class vtkPolyDataNormals requires 1 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  vtk_pointer->SplittingOn();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:SplittingOff vtkPolyDataNormalsSplittingOffFunction
//input a0 
//output none
ArrayVector vtkPolyDataNormalsSplittingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SplittingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SplittingOff for class vtkPolyDataNormals requires 1 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  vtk_pointer->SplittingOff();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:SetConsistency vtkPolyDataNormalsSetConsistencyFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataNormalsSetConsistencyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetConsistency (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetConsistency for class vtkPolyDataNormals requires 2 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetConsistency(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:GetConsistency vtkPolyDataNormalsGetConsistencyFunction
//input a0 
//output y
ArrayVector vtkPolyDataNormalsGetConsistencyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetConsistency (); */
  if (arg.size() < 1) 
    throw Exception("Function GetConsistency for class vtkPolyDataNormals requires 1 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetConsistency();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:ConsistencyOn vtkPolyDataNormalsConsistencyOnFunction
//input a0 
//output none
ArrayVector vtkPolyDataNormalsConsistencyOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ConsistencyOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ConsistencyOn for class vtkPolyDataNormals requires 1 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  vtk_pointer->ConsistencyOn();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:ConsistencyOff vtkPolyDataNormalsConsistencyOffFunction
//input a0 
//output none
ArrayVector vtkPolyDataNormalsConsistencyOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ConsistencyOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ConsistencyOff for class vtkPolyDataNormals requires 1 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  vtk_pointer->ConsistencyOff();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:SetAutoOrientNormals vtkPolyDataNormalsSetAutoOrientNormalsFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataNormalsSetAutoOrientNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAutoOrientNormals (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAutoOrientNormals for class vtkPolyDataNormals requires 2 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAutoOrientNormals(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:GetAutoOrientNormals vtkPolyDataNormalsGetAutoOrientNormalsFunction
//input a0 
//output y
ArrayVector vtkPolyDataNormalsGetAutoOrientNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutoOrientNormals (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutoOrientNormals for class vtkPolyDataNormals requires 1 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutoOrientNormals();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:AutoOrientNormalsOn vtkPolyDataNormalsAutoOrientNormalsOnFunction
//input a0 
//output none
ArrayVector vtkPolyDataNormalsAutoOrientNormalsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutoOrientNormalsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AutoOrientNormalsOn for class vtkPolyDataNormals requires 1 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  vtk_pointer->AutoOrientNormalsOn();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:AutoOrientNormalsOff vtkPolyDataNormalsAutoOrientNormalsOffFunction
//input a0 
//output none
ArrayVector vtkPolyDataNormalsAutoOrientNormalsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutoOrientNormalsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AutoOrientNormalsOff for class vtkPolyDataNormals requires 1 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  vtk_pointer->AutoOrientNormalsOff();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:SetComputePointNormals vtkPolyDataNormalsSetComputePointNormalsFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataNormalsSetComputePointNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputePointNormals (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputePointNormals for class vtkPolyDataNormals requires 2 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputePointNormals(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:GetComputePointNormals vtkPolyDataNormalsGetComputePointNormalsFunction
//input a0 
//output y
ArrayVector vtkPolyDataNormalsGetComputePointNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputePointNormals (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputePointNormals for class vtkPolyDataNormals requires 1 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputePointNormals();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:ComputePointNormalsOn vtkPolyDataNormalsComputePointNormalsOnFunction
//input a0 
//output none
ArrayVector vtkPolyDataNormalsComputePointNormalsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputePointNormalsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputePointNormalsOn for class vtkPolyDataNormals requires 1 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  vtk_pointer->ComputePointNormalsOn();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:ComputePointNormalsOff vtkPolyDataNormalsComputePointNormalsOffFunction
//input a0 
//output none
ArrayVector vtkPolyDataNormalsComputePointNormalsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputePointNormalsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputePointNormalsOff for class vtkPolyDataNormals requires 1 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  vtk_pointer->ComputePointNormalsOff();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:SetComputeCellNormals vtkPolyDataNormalsSetComputeCellNormalsFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataNormalsSetComputeCellNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeCellNormals (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeCellNormals for class vtkPolyDataNormals requires 2 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeCellNormals(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:GetComputeCellNormals vtkPolyDataNormalsGetComputeCellNormalsFunction
//input a0 
//output y
ArrayVector vtkPolyDataNormalsGetComputeCellNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeCellNormals (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeCellNormals for class vtkPolyDataNormals requires 1 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeCellNormals();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:ComputeCellNormalsOn vtkPolyDataNormalsComputeCellNormalsOnFunction
//input a0 
//output none
ArrayVector vtkPolyDataNormalsComputeCellNormalsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeCellNormalsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeCellNormalsOn for class vtkPolyDataNormals requires 1 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  vtk_pointer->ComputeCellNormalsOn();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:ComputeCellNormalsOff vtkPolyDataNormalsComputeCellNormalsOffFunction
//input a0 
//output none
ArrayVector vtkPolyDataNormalsComputeCellNormalsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeCellNormalsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeCellNormalsOff for class vtkPolyDataNormals requires 1 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  vtk_pointer->ComputeCellNormalsOff();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:SetFlipNormals vtkPolyDataNormalsSetFlipNormalsFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataNormalsSetFlipNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFlipNormals (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFlipNormals for class vtkPolyDataNormals requires 2 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFlipNormals(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:GetFlipNormals vtkPolyDataNormalsGetFlipNormalsFunction
//input a0 
//output y
ArrayVector vtkPolyDataNormalsGetFlipNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFlipNormals (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFlipNormals for class vtkPolyDataNormals requires 1 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFlipNormals();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:FlipNormalsOn vtkPolyDataNormalsFlipNormalsOnFunction
//input a0 
//output none
ArrayVector vtkPolyDataNormalsFlipNormalsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FlipNormalsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function FlipNormalsOn for class vtkPolyDataNormals requires 1 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  vtk_pointer->FlipNormalsOn();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:FlipNormalsOff vtkPolyDataNormalsFlipNormalsOffFunction
//input a0 
//output none
ArrayVector vtkPolyDataNormalsFlipNormalsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FlipNormalsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function FlipNormalsOff for class vtkPolyDataNormals requires 1 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  vtk_pointer->FlipNormalsOff();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:SetNonManifoldTraversal vtkPolyDataNormalsSetNonManifoldTraversalFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataNormalsSetNonManifoldTraversalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNonManifoldTraversal (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNonManifoldTraversal for class vtkPolyDataNormals requires 2 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNonManifoldTraversal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:GetNonManifoldTraversal vtkPolyDataNormalsGetNonManifoldTraversalFunction
//input a0 
//output y
ArrayVector vtkPolyDataNormalsGetNonManifoldTraversalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNonManifoldTraversal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNonManifoldTraversal for class vtkPolyDataNormals requires 1 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNonManifoldTraversal();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:NonManifoldTraversalOn vtkPolyDataNormalsNonManifoldTraversalOnFunction
//input a0 
//output none
ArrayVector vtkPolyDataNormalsNonManifoldTraversalOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NonManifoldTraversalOn (); */
  if (arg.size() < 1) 
    throw Exception("Function NonManifoldTraversalOn for class vtkPolyDataNormals requires 1 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  vtk_pointer->NonManifoldTraversalOn();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:NonManifoldTraversalOff vtkPolyDataNormalsNonManifoldTraversalOffFunction
//input a0 
//output none
ArrayVector vtkPolyDataNormalsNonManifoldTraversalOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NonManifoldTraversalOff (); */
  if (arg.size() < 1) 
    throw Exception("Function NonManifoldTraversalOff for class vtkPolyDataNormals requires 1 argument(s)");
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  Array retval;
  vtk_pointer->NonManifoldTraversalOff();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataNormals:display vtkPolyDataNormalsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataNormalsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPolyDataNormals* vtk_pointer = GetVTKPointer<vtkPolyDataNormals>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPolyDataNormals:delete vtkPolyDataNormalsDeleteFunction
//input varargin
//output none
ArrayVector vtkPolyDataNormalsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPolyDataNormals
//@@Section VTKGraphics
//@@Usage
// vtkPolyDataNormals is a filter that computes point normals for a polygonal 
// mesh. The filter can reorder polygons to insure consistent orientation
// across polygon neighbors. Sharp edges can be split and points duplicated
// with separate normals to give crisp (rendered) surface definition. It is
// also possible to globally flip the normal orientation.
//
// The algorithm works by determining normals for each polygon and then
// averaging them at shared points. When sharp edges are present, the edges
// are split and new points generated to prevent blurry edges (due to 
// Gouraud shading).
//
//To create an instance of class vtkPolyDataNormals, simply
//invoke its constructor as follows
//@[
//  obj = vtkPolyDataNormals
//@]
//@@Methods
//The class vtkPolyDataNormals has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPolyDataNormals class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPolyDataNormals = obj.NewInstance ()|
// \item @|vtkPolyDataNormals = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFeatureAngle (double )| -  Specify the angle that defines a sharp edge. If the difference in
// angle across neighboring polygons is greater than this value, the
// shared edge is considered "sharp".
//// \item @|double = obj.GetFeatureAngleMinValue ()| -  Specify the angle that defines a sharp edge. If the difference in
// angle across neighboring polygons is greater than this value, the
// shared edge is considered "sharp".
//// \item @|double = obj.GetFeatureAngleMaxValue ()| -  Specify the angle that defines a sharp edge. If the difference in
// angle across neighboring polygons is greater than this value, the
// shared edge is considered "sharp".
//// \item @|double = obj.GetFeatureAngle ()| -  Specify the angle that defines a sharp edge. If the difference in
// angle across neighboring polygons is greater than this value, the
// shared edge is considered "sharp".
//// \item @|obj.SetSplitting (int )| -  Turn on/off the splitting of sharp edges.
//// \item @|int = obj.GetSplitting ()| -  Turn on/off the splitting of sharp edges.
//// \item @|obj.SplittingOn ()| -  Turn on/off the splitting of sharp edges.
//// \item @|obj.SplittingOff ()| -  Turn on/off the splitting of sharp edges.
//// \item @|obj.SetConsistency (int )| -  Turn on/off the enforcement of consistent polygon ordering.
//// \item @|int = obj.GetConsistency ()| -  Turn on/off the enforcement of consistent polygon ordering.
//// \item @|obj.ConsistencyOn ()| -  Turn on/off the enforcement of consistent polygon ordering.
//// \item @|obj.ConsistencyOff ()| -  Turn on/off the enforcement of consistent polygon ordering.
//// \item @|obj.SetAutoOrientNormals (int )| -  Turn on/off the automatic determination of correct normal
// orientation. NOTE: This assumes a completely closed surface
// (i.e. no boundary edges) and no non-manifold edges. If these
// constraints do not hold, all bets are off. This option adds some
// computational complexity, and is useful if you don't want to have
// to inspect the rendered image to determine whether to turn on the 
// FlipNormals flag. However, this flag can work with the FlipNormals 
// flag, and if both are set, all the normals in the output will 
// point "inward".
//// \item @|int = obj.GetAutoOrientNormals ()| -  Turn on/off the automatic determination of correct normal
// orientation. NOTE: This assumes a completely closed surface
// (i.e. no boundary edges) and no non-manifold edges. If these
// constraints do not hold, all bets are off. This option adds some
// computational complexity, and is useful if you don't want to have
// to inspect the rendered image to determine whether to turn on the 
// FlipNormals flag. However, this flag can work with the FlipNormals 
// flag, and if both are set, all the normals in the output will 
// point "inward".
//// \item @|obj.AutoOrientNormalsOn ()| -  Turn on/off the automatic determination of correct normal
// orientation. NOTE: This assumes a completely closed surface
// (i.e. no boundary edges) and no non-manifold edges. If these
// constraints do not hold, all bets are off. This option adds some
// computational complexity, and is useful if you don't want to have
// to inspect the rendered image to determine whether to turn on the 
// FlipNormals flag. However, this flag can work with the FlipNormals 
// flag, and if both are set, all the normals in the output will 
// point "inward".
//// \item @|obj.AutoOrientNormalsOff ()| -  Turn on/off the automatic determination of correct normal
// orientation. NOTE: This assumes a completely closed surface
// (i.e. no boundary edges) and no non-manifold edges. If these
// constraints do not hold, all bets are off. This option adds some
// computational complexity, and is useful if you don't want to have
// to inspect the rendered image to determine whether to turn on the 
// FlipNormals flag. However, this flag can work with the FlipNormals 
// flag, and if both are set, all the normals in the output will 
// point "inward".
//// \item @|obj.SetComputePointNormals (int )| -  Turn on/off the computation of point normals.
//// \item @|int = obj.GetComputePointNormals ()| -  Turn on/off the computation of point normals.
//// \item @|obj.ComputePointNormalsOn ()| -  Turn on/off the computation of point normals.
//// \item @|obj.ComputePointNormalsOff ()| -  Turn on/off the computation of point normals.
//// \item @|obj.SetComputeCellNormals (int )| -  Turn on/off the computation of cell normals.
//// \item @|int = obj.GetComputeCellNormals ()| -  Turn on/off the computation of cell normals.
//// \item @|obj.ComputeCellNormalsOn ()| -  Turn on/off the computation of cell normals.
//// \item @|obj.ComputeCellNormalsOff ()| -  Turn on/off the computation of cell normals.
//// \item @|obj.SetFlipNormals (int )| -  Turn on/off the global flipping of normal orientation. Flipping
// reverves the meaning of front and back for Frontface and Backface
// culling in vtkProperty.  Flipping modifies both the normal
// direction and the order of a cell's points.
//// \item @|int = obj.GetFlipNormals ()| -  Turn on/off the global flipping of normal orientation. Flipping
// reverves the meaning of front and back for Frontface and Backface
// culling in vtkProperty.  Flipping modifies both the normal
// direction and the order of a cell's points.
//// \item @|obj.FlipNormalsOn ()| -  Turn on/off the global flipping of normal orientation. Flipping
// reverves the meaning of front and back for Frontface and Backface
// culling in vtkProperty.  Flipping modifies both the normal
// direction and the order of a cell's points.
//// \item @|obj.FlipNormalsOff ()| -  Turn on/off the global flipping of normal orientation. Flipping
// reverves the meaning of front and back for Frontface and Backface
// culling in vtkProperty.  Flipping modifies both the normal
// direction and the order of a cell's points.
//// \item @|obj.SetNonManifoldTraversal (int )| -  Turn on/off traversal across non-manifold edges. This will prevent
// problems where the consistency of polygonal ordering is corrupted due
// to topological loops.
//// \item @|int = obj.GetNonManifoldTraversal ()| -  Turn on/off traversal across non-manifold edges. This will prevent
// problems where the consistency of polygonal ordering is corrupted due
// to topological loops.
//// \item @|obj.NonManifoldTraversalOn ()| -  Turn on/off traversal across non-manifold edges. This will prevent
// problems where the consistency of polygonal ordering is corrupted due
// to topological loops.
//// \item @|obj.NonManifoldTraversalOff ()| -  Turn on/off traversal across non-manifold edges. This will prevent
// problems where the consistency of polygonal ordering is corrupted due
// to topological loops.
////\end{itemize}
//!
