#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPolyDataPointSampler object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPolyDataPointSampler.h"

//@@Signature
//sfunction @vtkPolyDataPointSampler:vtkPolyDataPointSampler vtkPolyDataPointSamplerConstructorFunction
//input a
//output p
//@@Parents vtkPolyDataPointSampler vtkPolyDataAlgorithm 
ArrayVector vtkPolyDataPointSamplerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPolyDataPointSampler::New(),"vtkPolyDataPointSampler",eval);
  } else if (arg[0].className() == "vtkPolyDataPointSampler") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPolyDataPointSampler"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPolyDataPointSampler");
    vtkPolyDataPointSampler*q = reinterpret_cast<vtkPolyDataPointSampler*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPolyDataPointSampler");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPolyDataPointSampler:GetClassName vtkPolyDataPointSamplerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPolyDataPointSamplerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPolyDataPointSampler requires 1 argument(s)");
  vtkPolyDataPointSampler* vtk_pointer = GetVTKPointer<vtkPolyDataPointSampler>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointSampler:IsA vtkPolyDataPointSamplerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataPointSamplerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPolyDataPointSampler requires 2 argument(s)");
  vtkPolyDataPointSampler* vtk_pointer = GetVTKPointer<vtkPolyDataPointSampler>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointSampler:NewInstance vtkPolyDataPointSamplerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPolyDataPointSamplerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataPointSampler *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPolyDataPointSampler requires 1 argument(s)");
  vtkPolyDataPointSampler* vtk_pointer = GetVTKPointer<vtkPolyDataPointSampler>(arg[0]);
  Array retval;
  vtkPolyDataPointSampler  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataPointSampler",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointSampler:SafeDownCast vtkPolyDataPointSamplerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataPointSamplerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataPointSampler *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPolyDataPointSampler requires 2 argument(s)");
  vtkPolyDataPointSampler* vtk_pointer = GetVTKPointer<vtkPolyDataPointSampler>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPolyDataPointSampler  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataPointSampler",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointSampler:SetDistance vtkPolyDataPointSamplerSetDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataPointSamplerSetDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDistance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDistance for class vtkPolyDataPointSampler requires 2 argument(s)");
  vtkPolyDataPointSampler* vtk_pointer = GetVTKPointer<vtkPolyDataPointSampler>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointSampler:GetDistanceMinValue vtkPolyDataPointSamplerGetDistanceMinValueFunction
//input a0 
//output y
ArrayVector vtkPolyDataPointSamplerGetDistanceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDistanceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDistanceMinValue for class vtkPolyDataPointSampler requires 1 argument(s)");
  vtkPolyDataPointSampler* vtk_pointer = GetVTKPointer<vtkPolyDataPointSampler>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDistanceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointSampler:GetDistanceMaxValue vtkPolyDataPointSamplerGetDistanceMaxValueFunction
//input a0 
//output y
ArrayVector vtkPolyDataPointSamplerGetDistanceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDistanceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDistanceMaxValue for class vtkPolyDataPointSampler requires 1 argument(s)");
  vtkPolyDataPointSampler* vtk_pointer = GetVTKPointer<vtkPolyDataPointSampler>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDistanceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointSampler:GetDistance vtkPolyDataPointSamplerGetDistanceFunction
//input a0 
//output y
ArrayVector vtkPolyDataPointSamplerGetDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDistance for class vtkPolyDataPointSampler requires 1 argument(s)");
  vtkPolyDataPointSampler* vtk_pointer = GetVTKPointer<vtkPolyDataPointSampler>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointSampler:GetGenerateVertexPoints vtkPolyDataPointSamplerGetGenerateVertexPointsFunction
//input a0 
//output y
ArrayVector vtkPolyDataPointSamplerGetGenerateVertexPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateVertexPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateVertexPoints for class vtkPolyDataPointSampler requires 1 argument(s)");
  vtkPolyDataPointSampler* vtk_pointer = GetVTKPointer<vtkPolyDataPointSampler>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateVertexPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointSampler:SetGenerateVertexPoints vtkPolyDataPointSamplerSetGenerateVertexPointsFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataPointSamplerSetGenerateVertexPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateVertexPoints (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateVertexPoints for class vtkPolyDataPointSampler requires 2 argument(s)");
  vtkPolyDataPointSampler* vtk_pointer = GetVTKPointer<vtkPolyDataPointSampler>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateVertexPoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointSampler:GenerateVertexPointsOn vtkPolyDataPointSamplerGenerateVertexPointsOnFunction
//input a0 
//output none
ArrayVector vtkPolyDataPointSamplerGenerateVertexPointsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateVertexPointsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateVertexPointsOn for class vtkPolyDataPointSampler requires 1 argument(s)");
  vtkPolyDataPointSampler* vtk_pointer = GetVTKPointer<vtkPolyDataPointSampler>(arg[0]);
  Array retval;
  vtk_pointer->GenerateVertexPointsOn();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointSampler:GenerateVertexPointsOff vtkPolyDataPointSamplerGenerateVertexPointsOffFunction
//input a0 
//output none
ArrayVector vtkPolyDataPointSamplerGenerateVertexPointsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateVertexPointsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateVertexPointsOff for class vtkPolyDataPointSampler requires 1 argument(s)");
  vtkPolyDataPointSampler* vtk_pointer = GetVTKPointer<vtkPolyDataPointSampler>(arg[0]);
  Array retval;
  vtk_pointer->GenerateVertexPointsOff();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointSampler:GetGenerateEdgePoints vtkPolyDataPointSamplerGetGenerateEdgePointsFunction
//input a0 
//output y
ArrayVector vtkPolyDataPointSamplerGetGenerateEdgePointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateEdgePoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateEdgePoints for class vtkPolyDataPointSampler requires 1 argument(s)");
  vtkPolyDataPointSampler* vtk_pointer = GetVTKPointer<vtkPolyDataPointSampler>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateEdgePoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointSampler:SetGenerateEdgePoints vtkPolyDataPointSamplerSetGenerateEdgePointsFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataPointSamplerSetGenerateEdgePointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateEdgePoints (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateEdgePoints for class vtkPolyDataPointSampler requires 2 argument(s)");
  vtkPolyDataPointSampler* vtk_pointer = GetVTKPointer<vtkPolyDataPointSampler>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateEdgePoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointSampler:GenerateEdgePointsOn vtkPolyDataPointSamplerGenerateEdgePointsOnFunction
//input a0 
//output none
ArrayVector vtkPolyDataPointSamplerGenerateEdgePointsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateEdgePointsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateEdgePointsOn for class vtkPolyDataPointSampler requires 1 argument(s)");
  vtkPolyDataPointSampler* vtk_pointer = GetVTKPointer<vtkPolyDataPointSampler>(arg[0]);
  Array retval;
  vtk_pointer->GenerateEdgePointsOn();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointSampler:GenerateEdgePointsOff vtkPolyDataPointSamplerGenerateEdgePointsOffFunction
//input a0 
//output none
ArrayVector vtkPolyDataPointSamplerGenerateEdgePointsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateEdgePointsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateEdgePointsOff for class vtkPolyDataPointSampler requires 1 argument(s)");
  vtkPolyDataPointSampler* vtk_pointer = GetVTKPointer<vtkPolyDataPointSampler>(arg[0]);
  Array retval;
  vtk_pointer->GenerateEdgePointsOff();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointSampler:GetGenerateInteriorPoints vtkPolyDataPointSamplerGetGenerateInteriorPointsFunction
//input a0 
//output y
ArrayVector vtkPolyDataPointSamplerGetGenerateInteriorPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateInteriorPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateInteriorPoints for class vtkPolyDataPointSampler requires 1 argument(s)");
  vtkPolyDataPointSampler* vtk_pointer = GetVTKPointer<vtkPolyDataPointSampler>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateInteriorPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointSampler:SetGenerateInteriorPoints vtkPolyDataPointSamplerSetGenerateInteriorPointsFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataPointSamplerSetGenerateInteriorPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateInteriorPoints (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateInteriorPoints for class vtkPolyDataPointSampler requires 2 argument(s)");
  vtkPolyDataPointSampler* vtk_pointer = GetVTKPointer<vtkPolyDataPointSampler>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateInteriorPoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointSampler:GenerateInteriorPointsOn vtkPolyDataPointSamplerGenerateInteriorPointsOnFunction
//input a0 
//output none
ArrayVector vtkPolyDataPointSamplerGenerateInteriorPointsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateInteriorPointsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateInteriorPointsOn for class vtkPolyDataPointSampler requires 1 argument(s)");
  vtkPolyDataPointSampler* vtk_pointer = GetVTKPointer<vtkPolyDataPointSampler>(arg[0]);
  Array retval;
  vtk_pointer->GenerateInteriorPointsOn();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointSampler:GenerateInteriorPointsOff vtkPolyDataPointSamplerGenerateInteriorPointsOffFunction
//input a0 
//output none
ArrayVector vtkPolyDataPointSamplerGenerateInteriorPointsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateInteriorPointsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateInteriorPointsOff for class vtkPolyDataPointSampler requires 1 argument(s)");
  vtkPolyDataPointSampler* vtk_pointer = GetVTKPointer<vtkPolyDataPointSampler>(arg[0]);
  Array retval;
  vtk_pointer->GenerateInteriorPointsOff();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointSampler:GetGenerateVertices vtkPolyDataPointSamplerGetGenerateVerticesFunction
//input a0 
//output y
ArrayVector vtkPolyDataPointSamplerGetGenerateVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateVertices (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateVertices for class vtkPolyDataPointSampler requires 1 argument(s)");
  vtkPolyDataPointSampler* vtk_pointer = GetVTKPointer<vtkPolyDataPointSampler>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateVertices();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointSampler:SetGenerateVertices vtkPolyDataPointSamplerSetGenerateVerticesFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataPointSamplerSetGenerateVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateVertices (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateVertices for class vtkPolyDataPointSampler requires 2 argument(s)");
  vtkPolyDataPointSampler* vtk_pointer = GetVTKPointer<vtkPolyDataPointSampler>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateVertices(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointSampler:GenerateVerticesOn vtkPolyDataPointSamplerGenerateVerticesOnFunction
//input a0 
//output none
ArrayVector vtkPolyDataPointSamplerGenerateVerticesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateVerticesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateVerticesOn for class vtkPolyDataPointSampler requires 1 argument(s)");
  vtkPolyDataPointSampler* vtk_pointer = GetVTKPointer<vtkPolyDataPointSampler>(arg[0]);
  Array retval;
  vtk_pointer->GenerateVerticesOn();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointSampler:GenerateVerticesOff vtkPolyDataPointSamplerGenerateVerticesOffFunction
//input a0 
//output none
ArrayVector vtkPolyDataPointSamplerGenerateVerticesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateVerticesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateVerticesOff for class vtkPolyDataPointSampler requires 1 argument(s)");
  vtkPolyDataPointSampler* vtk_pointer = GetVTKPointer<vtkPolyDataPointSampler>(arg[0]);
  Array retval;
  vtk_pointer->GenerateVerticesOff();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataPointSampler:display vtkPolyDataPointSamplerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataPointSamplerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPolyDataPointSampler* vtk_pointer = GetVTKPointer<vtkPolyDataPointSampler>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPolyDataPointSampler:delete vtkPolyDataPointSamplerDeleteFunction
//input varargin
//output none
ArrayVector vtkPolyDataPointSamplerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPolyDataPointSampler
//@@Section VTKGraphics
//@@Usage
// vtkPolyDataPointSampler generates points from input vtkPolyData. The
// points are placed approximately a specified distance apart.
//
// This filter functions as follows. First, it regurgitates all input points,
// then samples all lines, plus edges associated with the input polygons and
// triangle strips to produce edge points. Finally, the interiors of polygons
// and triangle strips are subsampled to produce points.  All of these
// functiona can be enabled or disabled separately. Note that this algorithm
// only approximately generates points the specified distance apart. 
// Generally the point density is finer than requested.
//
//
//To create an instance of class vtkPolyDataPointSampler, simply
//invoke its constructor as follows
//@[
//  obj = vtkPolyDataPointSampler
//@]
//@@Methods
//The class vtkPolyDataPointSampler has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPolyDataPointSampler class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard macros for type information and printing.
//// \item @|int = obj.IsA (string name)| -  Standard macros for type information and printing.
//// \item @|vtkPolyDataPointSampler = obj.NewInstance ()| -  Standard macros for type information and printing.
//// \item @|vtkPolyDataPointSampler = obj.SafeDownCast (vtkObject o)| -  Standard macros for type information and printing.
//// \item @|obj.SetDistance (double )| -  Set/Get the approximate distance between points. This is an absolute
// distance measure. The default is 0.01.
//// \item @|double = obj.GetDistanceMinValue ()| -  Set/Get the approximate distance between points. This is an absolute
// distance measure. The default is 0.01.
//// \item @|double = obj.GetDistanceMaxValue ()| -  Set/Get the approximate distance between points. This is an absolute
// distance measure. The default is 0.01.
//// \item @|double = obj.GetDistance ()| -  Set/Get the approximate distance between points. This is an absolute
// distance measure. The default is 0.01.
//// \item @|int = obj.GetGenerateVertexPoints ()| -  Specify/retrieve a boolean flag indicating whether cell vertex points should
// be output.
//// \item @|obj.SetGenerateVertexPoints (int )| -  Specify/retrieve a boolean flag indicating whether cell vertex points should
// be output.
//// \item @|obj.GenerateVertexPointsOn ()| -  Specify/retrieve a boolean flag indicating whether cell vertex points should
// be output.
//// \item @|obj.GenerateVertexPointsOff ()| -  Specify/retrieve a boolean flag indicating whether cell vertex points should
// be output.
//// \item @|int = obj.GetGenerateEdgePoints ()| -  Specify/retrieve a boolean flag indicating whether cell edges should
// be sampled to produce output points. The default is true.
//// \item @|obj.SetGenerateEdgePoints (int )| -  Specify/retrieve a boolean flag indicating whether cell edges should
// be sampled to produce output points. The default is true.
//// \item @|obj.GenerateEdgePointsOn ()| -  Specify/retrieve a boolean flag indicating whether cell edges should
// be sampled to produce output points. The default is true.
//// \item @|obj.GenerateEdgePointsOff ()| -  Specify/retrieve a boolean flag indicating whether cell edges should
// be sampled to produce output points. The default is true.
//// \item @|int = obj.GetGenerateInteriorPoints ()| -  Specify/retrieve a boolean flag indicating whether cell interiors should
// be sampled to produce output points. The default is true.
//// \item @|obj.SetGenerateInteriorPoints (int )| -  Specify/retrieve a boolean flag indicating whether cell interiors should
// be sampled to produce output points. The default is true.
//// \item @|obj.GenerateInteriorPointsOn ()| -  Specify/retrieve a boolean flag indicating whether cell interiors should
// be sampled to produce output points. The default is true.
//// \item @|obj.GenerateInteriorPointsOff ()| -  Specify/retrieve a boolean flag indicating whether cell interiors should
// be sampled to produce output points. The default is true.
//// \item @|int = obj.GetGenerateVertices ()| -  Specify/retrieve a boolean flag indicating whether cell vertices should
// be generated. Cell vertices are useful if you actually want to display
// the points (that is, for each point generated, a vertex is generated).
// Recall that VTK only renders vertices and not points. 
// The default is true.
//// \item @|obj.SetGenerateVertices (int )| -  Specify/retrieve a boolean flag indicating whether cell vertices should
// be generated. Cell vertices are useful if you actually want to display
// the points (that is, for each point generated, a vertex is generated).
// Recall that VTK only renders vertices and not points. 
// The default is true.
//// \item @|obj.GenerateVerticesOn ()| -  Specify/retrieve a boolean flag indicating whether cell vertices should
// be generated. Cell vertices are useful if you actually want to display
// the points (that is, for each point generated, a vertex is generated).
// Recall that VTK only renders vertices and not points. 
// The default is true.
//// \item @|obj.GenerateVerticesOff ()| -  Specify/retrieve a boolean flag indicating whether cell vertices should
// be generated. Cell vertices are useful if you actually want to display
// the points (that is, for each point generated, a vertex is generated).
// Recall that VTK only renders vertices and not points. 
// The default is true.
////\end{itemize}
//!
