#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPolyDataStreamer object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPolyDataStreamer.h"

//@@Signature
//sfunction @vtkPolyDataStreamer:vtkPolyDataStreamer vtkPolyDataStreamerConstructorFunction
//input a
//output p
//@@Parents vtkPolyDataStreamer vtkPolyDataAlgorithm 
ArrayVector vtkPolyDataStreamerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPolyDataStreamer::New(),"vtkPolyDataStreamer",eval);
  } else if (arg[0].className() == "vtkPolyDataStreamer") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPolyDataStreamer"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPolyDataStreamer");
    vtkPolyDataStreamer*q = reinterpret_cast<vtkPolyDataStreamer*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPolyDataStreamer");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPolyDataStreamer:GetClassName vtkPolyDataStreamerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPolyDataStreamerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPolyDataStreamer requires 1 argument(s)");
  vtkPolyDataStreamer* vtk_pointer = GetVTKPointer<vtkPolyDataStreamer>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataStreamer:IsA vtkPolyDataStreamerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataStreamerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPolyDataStreamer requires 2 argument(s)");
  vtkPolyDataStreamer* vtk_pointer = GetVTKPointer<vtkPolyDataStreamer>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataStreamer:NewInstance vtkPolyDataStreamerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPolyDataStreamerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataStreamer *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPolyDataStreamer requires 1 argument(s)");
  vtkPolyDataStreamer* vtk_pointer = GetVTKPointer<vtkPolyDataStreamer>(arg[0]);
  Array retval;
  vtkPolyDataStreamer  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataStreamer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataStreamer:SafeDownCast vtkPolyDataStreamerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataStreamerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataStreamer *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPolyDataStreamer requires 2 argument(s)");
  vtkPolyDataStreamer* vtk_pointer = GetVTKPointer<vtkPolyDataStreamer>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPolyDataStreamer  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataStreamer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataStreamer:SetNumberOfStreamDivisions vtkPolyDataStreamerSetNumberOfStreamDivisionsFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataStreamerSetNumberOfStreamDivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfStreamDivisions (int num); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfStreamDivisions for class vtkPolyDataStreamer requires 2 argument(s)");
  vtkPolyDataStreamer* vtk_pointer = GetVTKPointer<vtkPolyDataStreamer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfStreamDivisions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataStreamer:GetNumberOfStreamDivisions vtkPolyDataStreamerGetNumberOfStreamDivisionsFunction
//input a0 
//output y
ArrayVector vtkPolyDataStreamerGetNumberOfStreamDivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfStreamDivisions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfStreamDivisions for class vtkPolyDataStreamer requires 1 argument(s)");
  vtkPolyDataStreamer* vtk_pointer = GetVTKPointer<vtkPolyDataStreamer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfStreamDivisions();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataStreamer:SetColorByPiece vtkPolyDataStreamerSetColorByPieceFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataStreamerSetColorByPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorByPiece (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetColorByPiece for class vtkPolyDataStreamer requires 2 argument(s)");
  vtkPolyDataStreamer* vtk_pointer = GetVTKPointer<vtkPolyDataStreamer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetColorByPiece(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataStreamer:GetColorByPiece vtkPolyDataStreamerGetColorByPieceFunction
//input a0 
//output y
ArrayVector vtkPolyDataStreamerGetColorByPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetColorByPiece (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorByPiece for class vtkPolyDataStreamer requires 1 argument(s)");
  vtkPolyDataStreamer* vtk_pointer = GetVTKPointer<vtkPolyDataStreamer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetColorByPiece();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataStreamer:ColorByPieceOn vtkPolyDataStreamerColorByPieceOnFunction
//input a0 
//output none
ArrayVector vtkPolyDataStreamerColorByPieceOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorByPieceOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorByPieceOn for class vtkPolyDataStreamer requires 1 argument(s)");
  vtkPolyDataStreamer* vtk_pointer = GetVTKPointer<vtkPolyDataStreamer>(arg[0]);
  Array retval;
  vtk_pointer->ColorByPieceOn();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataStreamer:ColorByPieceOff vtkPolyDataStreamerColorByPieceOffFunction
//input a0 
//output none
ArrayVector vtkPolyDataStreamerColorByPieceOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorByPieceOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorByPieceOff for class vtkPolyDataStreamer requires 1 argument(s)");
  vtkPolyDataStreamer* vtk_pointer = GetVTKPointer<vtkPolyDataStreamer>(arg[0]);
  Array retval;
  vtk_pointer->ColorByPieceOff();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataStreamer:display vtkPolyDataStreamerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataStreamerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPolyDataStreamer* vtk_pointer = GetVTKPointer<vtkPolyDataStreamer>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPolyDataStreamer:delete vtkPolyDataStreamerDeleteFunction
//input varargin
//output none
ArrayVector vtkPolyDataStreamerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPolyDataStreamer
//@@Section VTKGraphics
//@@Usage
// vtkPolyDataStreamer initiates streaming by requesting pieces from its 
// single input it appends these pieces it to the requested output.
// Note that since vtkPolyDataStreamer uses an append filter, all the
// polygons generated have to be kept in memory before rendering. If
// these do not fit in the memory, it is possible to make the vtkPolyDataMapper
// stream. Since the mapper will render each piece separately, all the
// polygons do not have to stored in memory.
// .SECTION Note
// The output may be slightly different if the pipeline does not handle 
// ghost cells properly (i.e. you might see seames between the pieces).
//
//To create an instance of class vtkPolyDataStreamer, simply
//invoke its constructor as follows
//@[
//  obj = vtkPolyDataStreamer
//@]
//@@Methods
//The class vtkPolyDataStreamer has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPolyDataStreamer class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPolyDataStreamer = obj.NewInstance ()|
// \item @|vtkPolyDataStreamer = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetNumberOfStreamDivisions (int num)| -  Set the number of pieces to divide the problem into.
//// \item @|int = obj.GetNumberOfStreamDivisions ()| -  Set the number of pieces to divide the problem into.
//// \item @|obj.SetColorByPiece (int )| -  By default, this option is off.  When it is on, cell scalars are generated
// based on which piece they are in.
//// \item @|int = obj.GetColorByPiece ()| -  By default, this option is off.  When it is on, cell scalars are generated
// based on which piece they are in.
//// \item @|obj.ColorByPieceOn ()| -  By default, this option is off.  When it is on, cell scalars are generated
// based on which piece they are in.
//// \item @|obj.ColorByPieceOff ()| -  By default, this option is off.  When it is on, cell scalars are generated
// based on which piece they are in.
////\end{itemize}
//!
