#include "VTKWrap.hpp"

// FreeMat wrapper for vtkProbeFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkProbeFilter.h"

//@@Signature
//sfunction @vtkProbeFilter:vtkProbeFilter vtkProbeFilterConstructorFunction
//input a
//output p
//@@Parents vtkProbeFilter vtkDataSetAlgorithm 
ArrayVector vtkProbeFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkProbeFilter::New(),"vtkProbeFilter",eval);
  } else if (arg[0].className() == "vtkProbeFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkProbeFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkProbeFilter");
    vtkProbeFilter*q = reinterpret_cast<vtkProbeFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkProbeFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkProbeFilter:GetClassName vtkProbeFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkProbeFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkProbeFilter requires 1 argument(s)");
  vtkProbeFilter* vtk_pointer = GetVTKPointer<vtkProbeFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProbeFilter:IsA vtkProbeFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkProbeFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkProbeFilter requires 2 argument(s)");
  vtkProbeFilter* vtk_pointer = GetVTKPointer<vtkProbeFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProbeFilter:NewInstance vtkProbeFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkProbeFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProbeFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkProbeFilter requires 1 argument(s)");
  vtkProbeFilter* vtk_pointer = GetVTKPointer<vtkProbeFilter>(arg[0]);
  Array retval;
  vtkProbeFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProbeFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProbeFilter:SafeDownCast vtkProbeFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkProbeFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProbeFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkProbeFilter requires 2 argument(s)");
  vtkProbeFilter* vtk_pointer = GetVTKPointer<vtkProbeFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkProbeFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProbeFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProbeFilter:SetSource vtkProbeFilterSetSourceFunction
//input a0 a1 
//output none
ArrayVector vtkProbeFilterSetSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSource (vtkDataObject *source); */
  if (arg.size() < 2) 
    throw Exception("Function SetSource for class vtkProbeFilter requires 2 argument(s)");
  vtkProbeFilter* vtk_pointer = GetVTKPointer<vtkProbeFilter>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetSource(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProbeFilter:GetSource vtkProbeFilterGetSourceFunction
//input a0 
//output y
ArrayVector vtkProbeFilterGetSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetSource (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSource for class vtkProbeFilter requires 1 argument(s)");
  vtkProbeFilter* vtk_pointer = GetVTKPointer<vtkProbeFilter>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetSource();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProbeFilter:SetSourceConnection vtkProbeFilterSetSourceConnectionFunction
//input a0 a1 
//output none
ArrayVector vtkProbeFilterSetSourceConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSourceConnection (vtkAlgorithmOutput *algOutput); */
  if (arg.size() < 2) 
    throw Exception("Function SetSourceConnection for class vtkProbeFilter requires 2 argument(s)");
  vtkProbeFilter* vtk_pointer = GetVTKPointer<vtkProbeFilter>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->SetSourceConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProbeFilter:SetSpatialMatch vtkProbeFilterSetSpatialMatchFunction
//input a0 a1 
//output none
ArrayVector vtkProbeFilterSetSpatialMatchFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpatialMatch (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSpatialMatch for class vtkProbeFilter requires 2 argument(s)");
  vtkProbeFilter* vtk_pointer = GetVTKPointer<vtkProbeFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSpatialMatch(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProbeFilter:GetSpatialMatch vtkProbeFilterGetSpatialMatchFunction
//input a0 
//output y
ArrayVector vtkProbeFilterGetSpatialMatchFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSpatialMatch (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSpatialMatch for class vtkProbeFilter requires 1 argument(s)");
  vtkProbeFilter* vtk_pointer = GetVTKPointer<vtkProbeFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSpatialMatch();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProbeFilter:SpatialMatchOn vtkProbeFilterSpatialMatchOnFunction
//input a0 
//output none
ArrayVector vtkProbeFilterSpatialMatchOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SpatialMatchOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SpatialMatchOn for class vtkProbeFilter requires 1 argument(s)");
  vtkProbeFilter* vtk_pointer = GetVTKPointer<vtkProbeFilter>(arg[0]);
  Array retval;
  vtk_pointer->SpatialMatchOn();
  return retval;
}

//@@Signature
//sfunction @vtkProbeFilter:SpatialMatchOff vtkProbeFilterSpatialMatchOffFunction
//input a0 
//output none
ArrayVector vtkProbeFilterSpatialMatchOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SpatialMatchOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SpatialMatchOff for class vtkProbeFilter requires 1 argument(s)");
  vtkProbeFilter* vtk_pointer = GetVTKPointer<vtkProbeFilter>(arg[0]);
  Array retval;
  vtk_pointer->SpatialMatchOff();
  return retval;
}

//@@Signature
//sfunction @vtkProbeFilter:GetValidPoints vtkProbeFilterGetValidPointsFunction
//input a0 
//output y
ArrayVector vtkProbeFilterGetValidPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdTypeArray *GetValidPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetValidPoints for class vtkProbeFilter requires 1 argument(s)");
  vtkProbeFilter* vtk_pointer = GetVTKPointer<vtkProbeFilter>(arg[0]);
  Array retval;
  vtkIdTypeArray  *temp20;
  temp20 = (vtk_pointer)->GetValidPoints();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIdTypeArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProbeFilter:SetValidPointMaskArrayName vtkProbeFilterSetValidPointMaskArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkProbeFilterSetValidPointMaskArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValidPointMaskArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetValidPointMaskArrayName for class vtkProbeFilter requires 2 argument(s)");
  vtkProbeFilter* vtk_pointer = GetVTKPointer<vtkProbeFilter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetValidPointMaskArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProbeFilter:GetValidPointMaskArrayName vtkProbeFilterGetValidPointMaskArrayNameFunction
//input a0 
//output y
ArrayVector vtkProbeFilterGetValidPointMaskArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetValidPointMaskArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetValidPointMaskArrayName for class vtkProbeFilter requires 1 argument(s)");
  vtkProbeFilter* vtk_pointer = GetVTKPointer<vtkProbeFilter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetValidPointMaskArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProbeFilter:display vtkProbeFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkProbeFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkProbeFilter* vtk_pointer = GetVTKPointer<vtkProbeFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkProbeFilter:delete vtkProbeFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkProbeFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkProbeFilter
//@@Section VTKGraphics
//@@Usage
// vtkProbeFilter is a filter that computes point attributes (e.g., scalars,
// vectors, etc.) at specified point positions. The filter has two inputs:
// the Input and Source. The Input geometric structure is passed through the
// filter. The point attributes are computed at the Input point positions
// by interpolating into the source data. For example, we can compute data
// values on a plane (plane specified as Input) from a volume (Source).
// The cell data of the source data is copied to the output based on in
// which source cell each input point is. If an array of the same name exists
// both in source's point and cell data, only the one from the point data is
// probed.
//
// This filter can be used to resample data, or convert one dataset form into
// another. For example, an unstructured grid (vtkUnstructuredGrid) can be
// probed with a volume (three-dimensional vtkImageData), and then volume
// rendering techniques can be used to visualize the results. Another example:
// a line or curve can be used to probe data to produce x-y plots along
// that line or curve.
//
//To create an instance of class vtkProbeFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkProbeFilter
//@]
//@@Methods
//The class vtkProbeFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkProbeFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkProbeFilter = obj.NewInstance ()|
// \item @|vtkProbeFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetSource (vtkDataObject source)| -  Specify the point locations used to probe input. Any geometry
// can be used. Old style. Do not use unless for backwards compatibility.
//// \item @|vtkDataObject = obj.GetSource ()| -  Specify the point locations used to probe input. Any geometry
// can be used. Old style. Do not use unless for backwards compatibility.
//// \item @|obj.SetSourceConnection (vtkAlgorithmOutput algOutput)| -  Specify the point locations used to probe input. Any geometry
// can be used. New style. Equivalent to SetInputConnection(1, algOutput).
//// \item @|obj.SetSpatialMatch (int )| -  This flag is used only when a piece is requested to update.  By default
// the flag is off.  Because no spatial correspondence between input pieces
// and source pieces is known, all of the source has to be requested no
// matter what piece of the output is requested.  When there is a spatial 
// correspondence, the user/application can set this flag.  This hint allows
// the breakup of the probe operation to be much more efficient.  When piece
// m of n is requested for update by the user, then only n of m needs to
// be requested of the source. 
//// \item @|int = obj.GetSpatialMatch ()| -  This flag is used only when a piece is requested to update.  By default
// the flag is off.  Because no spatial correspondence between input pieces
// and source pieces is known, all of the source has to be requested no
// matter what piece of the output is requested.  When there is a spatial 
// correspondence, the user/application can set this flag.  This hint allows
// the breakup of the probe operation to be much more efficient.  When piece
// m of n is requested for update by the user, then only n of m needs to
// be requested of the source. 
//// \item @|obj.SpatialMatchOn ()| -  This flag is used only when a piece is requested to update.  By default
// the flag is off.  Because no spatial correspondence between input pieces
// and source pieces is known, all of the source has to be requested no
// matter what piece of the output is requested.  When there is a spatial 
// correspondence, the user/application can set this flag.  This hint allows
// the breakup of the probe operation to be much more efficient.  When piece
// m of n is requested for update by the user, then only n of m needs to
// be requested of the source. 
//// \item @|obj.SpatialMatchOff ()| -  This flag is used only when a piece is requested to update.  By default
// the flag is off.  Because no spatial correspondence between input pieces
// and source pieces is known, all of the source has to be requested no
// matter what piece of the output is requested.  When there is a spatial 
// correspondence, the user/application can set this flag.  This hint allows
// the breakup of the probe operation to be much more efficient.  When piece
// m of n is requested for update by the user, then only n of m needs to
// be requested of the source. 
//// \item @|vtkIdTypeArray = obj.GetValidPoints ()| -  Get the list of point ids in the output that contain attribute data
// interpolated from the source.
//// \item @|obj.SetValidPointMaskArrayName (string )| -  Returns the name of the char array added to the output with values 1 for
// valid points and 0 for invalid points.
// Set to "vtkValidPointMask" by default.
//// \item @|string = obj.GetValidPointMaskArrayName ()| -  Returns the name of the char array added to the output with values 1 for
// valid points and 0 for invalid points.
// Set to "vtkValidPointMask" by default.
////\end{itemize}
//!
