#include "VTKWrap.hpp"

// FreeMat wrapper for vtkProbeSelectedLocations object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkProbeSelectedLocations.h"

//@@Signature
//sfunction @vtkProbeSelectedLocations:vtkProbeSelectedLocations vtkProbeSelectedLocationsConstructorFunction
//input a
//output p
//@@Parents vtkProbeSelectedLocations vtkExtractSelectionBase 
ArrayVector vtkProbeSelectedLocationsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkProbeSelectedLocations::New(),"vtkProbeSelectedLocations",eval);
  } else if (arg[0].className() == "vtkProbeSelectedLocations") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkProbeSelectedLocations"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkProbeSelectedLocations");
    vtkProbeSelectedLocations*q = reinterpret_cast<vtkProbeSelectedLocations*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkProbeSelectedLocations");
    return ret;
  }
}
//@@Signature
//sfunction @vtkProbeSelectedLocations:GetClassName vtkProbeSelectedLocationsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkProbeSelectedLocationsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkProbeSelectedLocations requires 1 argument(s)");
  vtkProbeSelectedLocations* vtk_pointer = GetVTKPointer<vtkProbeSelectedLocations>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProbeSelectedLocations:IsA vtkProbeSelectedLocationsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkProbeSelectedLocationsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkProbeSelectedLocations requires 2 argument(s)");
  vtkProbeSelectedLocations* vtk_pointer = GetVTKPointer<vtkProbeSelectedLocations>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProbeSelectedLocations:NewInstance vtkProbeSelectedLocationsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkProbeSelectedLocationsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProbeSelectedLocations *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkProbeSelectedLocations requires 1 argument(s)");
  vtkProbeSelectedLocations* vtk_pointer = GetVTKPointer<vtkProbeSelectedLocations>(arg[0]);
  Array retval;
  vtkProbeSelectedLocations  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProbeSelectedLocations",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProbeSelectedLocations:SafeDownCast vtkProbeSelectedLocationsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkProbeSelectedLocationsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProbeSelectedLocations *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkProbeSelectedLocations requires 2 argument(s)");
  vtkProbeSelectedLocations* vtk_pointer = GetVTKPointer<vtkProbeSelectedLocations>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkProbeSelectedLocations  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProbeSelectedLocations",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProbeSelectedLocations:display vtkProbeSelectedLocationsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkProbeSelectedLocationsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkProbeSelectedLocations* vtk_pointer = GetVTKPointer<vtkProbeSelectedLocations>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkProbeSelectedLocations:delete vtkProbeSelectedLocationsDeleteFunction
//input varargin
//output none
ArrayVector vtkProbeSelectedLocationsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkProbeSelectedLocations
//@@Section VTKGraphics
//@@Usage
// vtkProbeSelectedLocations is similar to vtkExtractSelectedLocations except
// that it interpolates the point attributes at the probe location. This is
// equivalent to the vtkProbeFilter except that the probe locations are provided
// by a vtkSelection. The FieldType of the input vtkSelection is immaterial and
// is ignored. The ContentType of the input vtkSelection must be
// vtkSelection::LOCATIONS.
//
//To create an instance of class vtkProbeSelectedLocations, simply
//invoke its constructor as follows
//@[
//  obj = vtkProbeSelectedLocations
//@]
//@@Methods
//The class vtkProbeSelectedLocations has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkProbeSelectedLocations class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkProbeSelectedLocations = obj.NewInstance ()|
// \item @|vtkProbeSelectedLocations = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
