#include "VTKWrap.hpp"

// FreeMat wrapper for vtkProgrammableAttributeDataFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkProgrammableAttributeDataFilter.h"

//@@Signature
//sfunction @vtkProgrammableAttributeDataFilter:vtkProgrammableAttributeDataFilter vtkProgrammableAttributeDataFilterConstructorFunction
//input a
//output p
//@@Parents vtkProgrammableAttributeDataFilter vtkDataSetAlgorithm 
ArrayVector vtkProgrammableAttributeDataFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkProgrammableAttributeDataFilter::New(),"vtkProgrammableAttributeDataFilter",eval);
  } else if (arg[0].className() == "vtkProgrammableAttributeDataFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkProgrammableAttributeDataFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkProgrammableAttributeDataFilter");
    vtkProgrammableAttributeDataFilter*q = reinterpret_cast<vtkProgrammableAttributeDataFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkProgrammableAttributeDataFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkProgrammableAttributeDataFilter:GetClassName vtkProgrammableAttributeDataFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkProgrammableAttributeDataFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkProgrammableAttributeDataFilter requires 1 argument(s)");
  vtkProgrammableAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkProgrammableAttributeDataFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableAttributeDataFilter:IsA vtkProgrammableAttributeDataFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkProgrammableAttributeDataFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkProgrammableAttributeDataFilter requires 2 argument(s)");
  vtkProgrammableAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkProgrammableAttributeDataFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableAttributeDataFilter:NewInstance vtkProgrammableAttributeDataFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkProgrammableAttributeDataFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProgrammableAttributeDataFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkProgrammableAttributeDataFilter requires 1 argument(s)");
  vtkProgrammableAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkProgrammableAttributeDataFilter>(arg[0]);
  Array retval;
  vtkProgrammableAttributeDataFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProgrammableAttributeDataFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableAttributeDataFilter:SafeDownCast vtkProgrammableAttributeDataFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkProgrammableAttributeDataFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProgrammableAttributeDataFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkProgrammableAttributeDataFilter requires 2 argument(s)");
  vtkProgrammableAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkProgrammableAttributeDataFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkProgrammableAttributeDataFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProgrammableAttributeDataFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableAttributeDataFilter:AddInput__1 vtkProgrammableAttributeDataFilterAddInput__1Function
//input a0 a1 
//output none
ArrayVector vtkProgrammableAttributeDataFilterAddInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInput (vtkDataSet *in); */
  if (arg.size() < 2) 
    throw Exception("Function AddInput__1 for class vtkProgrammableAttributeDataFilter requires 2 argument(s)");
  vtkProgrammableAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkProgrammableAttributeDataFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->AddInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableAttributeDataFilter:RemoveInput vtkProgrammableAttributeDataFilterRemoveInputFunction
//input a0 a1 
//output none
ArrayVector vtkProgrammableAttributeDataFilterRemoveInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveInput (vtkDataSet *in); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveInput for class vtkProgrammableAttributeDataFilter requires 2 argument(s)");
  vtkProgrammableAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkProgrammableAttributeDataFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->RemoveInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableAttributeDataFilter:GetInputList vtkProgrammableAttributeDataFilterGetInputListFunction
//input a0 
//output y
ArrayVector vtkProgrammableAttributeDataFilterGetInputListFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetCollection *GetInputList ();return this InputList  */
  if (arg.size() < 1) 
    throw Exception("Function GetInputList for class vtkProgrammableAttributeDataFilter requires 1 argument(s)");
  vtkProgrammableAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkProgrammableAttributeDataFilter>(arg[0]);
  Array retval;
  vtkDataSetCollection  *temp20;
  temp20 = (vtk_pointer)->GetInputList();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableAttributeDataFilter:AddInput vtkProgrammableAttributeDataFilterAddInputFunction
//input varargin
//output varargout
ArrayVector vtkProgrammableAttributeDataFilterAddInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataSet"))
    return vtkProgrammableAttributeDataFilterAddInput__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkProgrammableAttributeDataFilterAddInput");
}

//@@Signature
//sfunction @vtkProgrammableAttributeDataFilter:display vtkProgrammableAttributeDataFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkProgrammableAttributeDataFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkProgrammableAttributeDataFilter* vtk_pointer = GetVTKPointer<vtkProgrammableAttributeDataFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkProgrammableAttributeDataFilter:delete vtkProgrammableAttributeDataFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkProgrammableAttributeDataFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkProgrammableAttributeDataFilter
//@@Section VTKGraphics
//@@Usage
// vtkProgrammableAttributeDataFilter is a filter that allows you to write a
// custom procedure to manipulate attribute data - either point or cell
// data. For example, you could generate scalars based on a complex formula;
// convert vectors to normals; compute scalar values as a function of
// vectors, texture coords, and/or any other point data attribute; and so
// on. The filter takes multiple inputs (input plus an auxiliary input list),
// so you can write procedures that combine several dataset point
// attributes. Note that the output of the filter is the same type
// (topology/geometry) as the input.
//
// The filter works as follows. It operates like any other filter (i.e.,
// checking and managing modified and execution times, processing Update()
// and Execute() methods, managing release of data, etc.), but the difference
// is that the Execute() method simply invokes a user-specified function with
// an optional (void *) argument (typically the "this" pointer in C++). It is
// also possible to specify a function to delete the argument via
// ExecuteMethodArgDelete().
//
// To use the filter, you write a procedure to process the input datasets,
// process the data, and generate output data. Typically, this means grabbing
// the input point or cell data (using GetInput() and maybe GetInputList()),
// operating on it (creating new point and cell attributes such as scalars,
// vectors, etc.), and then setting the point and/or cell attributes in the
// output dataset (you'll need to use GetOutput() to access the output).
// (Note: besides C++, it is possible to do the same thing in Tcl, Java, or
// other languages that wrap the C++ core.) Remember, proper filter protocol
// requires that you don't modify the input data - you create new output data
// from the input.
//
//
//To create an instance of class vtkProgrammableAttributeDataFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkProgrammableAttributeDataFilter
//@]
//@@Methods
//The class vtkProgrammableAttributeDataFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkProgrammableAttributeDataFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkProgrammableAttributeDataFilter = obj.NewInstance ()|
// \item @|vtkProgrammableAttributeDataFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddInput (vtkDataSet in)| -  Add a dataset to the list of data to process.
//// \item @|obj.RemoveInput (vtkDataSet in)| -  Remove a dataset from the list of data to process.
//// \item @|vtkDataSetCollection = obj.GetInputList ()| -  Return the list of inputs.
////\end{itemize}
//!
