#include "VTKWrap.hpp"

// FreeMat wrapper for vtkProgrammableDataObjectSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkProgrammableDataObjectSource.h"

//@@Signature
//sfunction @vtkProgrammableDataObjectSource:vtkProgrammableDataObjectSource vtkProgrammableDataObjectSourceConstructorFunction
//input a
//output p
//@@Parents vtkProgrammableDataObjectSource vtkDataObjectAlgorithm 
ArrayVector vtkProgrammableDataObjectSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkProgrammableDataObjectSource::New(),"vtkProgrammableDataObjectSource",eval);
  } else if (arg[0].className() == "vtkProgrammableDataObjectSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkProgrammableDataObjectSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkProgrammableDataObjectSource");
    vtkProgrammableDataObjectSource*q = reinterpret_cast<vtkProgrammableDataObjectSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkProgrammableDataObjectSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkProgrammableDataObjectSource:GetClassName vtkProgrammableDataObjectSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkProgrammableDataObjectSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkProgrammableDataObjectSource requires 1 argument(s)");
  vtkProgrammableDataObjectSource* vtk_pointer = GetVTKPointer<vtkProgrammableDataObjectSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableDataObjectSource:IsA vtkProgrammableDataObjectSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkProgrammableDataObjectSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkProgrammableDataObjectSource requires 2 argument(s)");
  vtkProgrammableDataObjectSource* vtk_pointer = GetVTKPointer<vtkProgrammableDataObjectSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableDataObjectSource:NewInstance vtkProgrammableDataObjectSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkProgrammableDataObjectSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProgrammableDataObjectSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkProgrammableDataObjectSource requires 1 argument(s)");
  vtkProgrammableDataObjectSource* vtk_pointer = GetVTKPointer<vtkProgrammableDataObjectSource>(arg[0]);
  Array retval;
  vtkProgrammableDataObjectSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProgrammableDataObjectSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableDataObjectSource:SafeDownCast vtkProgrammableDataObjectSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkProgrammableDataObjectSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProgrammableDataObjectSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkProgrammableDataObjectSource requires 2 argument(s)");
  vtkProgrammableDataObjectSource* vtk_pointer = GetVTKPointer<vtkProgrammableDataObjectSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkProgrammableDataObjectSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProgrammableDataObjectSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableDataObjectSource:display vtkProgrammableDataObjectSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkProgrammableDataObjectSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkProgrammableDataObjectSource* vtk_pointer = GetVTKPointer<vtkProgrammableDataObjectSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkProgrammableDataObjectSource:delete vtkProgrammableDataObjectSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkProgrammableDataObjectSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkProgrammableDataObjectSource
//@@Section VTKGraphics
//@@Usage
// vtkProgrammableDataObjectSource is a source object that is programmable by
// the user. The output of the filter is a data object (vtkDataObject) which
// represents data via an instance of field data. To use this object, you
// must specify a function that creates the output.  
//
// Example use of this filter includes reading tabular data and encoding it
// as vtkFieldData. You can then use filters like vtkDataObjectToDataSetFilter
// to convert the data object to a dataset and then visualize it.  Another
// important use of this class is that it allows users of interpreters (e.g.,
// Tcl or Java) the ability to write source objects without having to
// recompile C++ code or generate new libraries.
// 
//
//To create an instance of class vtkProgrammableDataObjectSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkProgrammableDataObjectSource
//@]
//@@Methods
//The class vtkProgrammableDataObjectSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkProgrammableDataObjectSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkProgrammableDataObjectSource = obj.NewInstance ()|
// \item @|vtkProgrammableDataObjectSource = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
