#include "VTKWrap.hpp"

// FreeMat wrapper for vtkProgrammableFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkProgrammableFilter.h"

//@@Signature
//sfunction @vtkProgrammableFilter:vtkProgrammableFilter vtkProgrammableFilterConstructorFunction
//input a
//output p
//@@Parents vtkProgrammableFilter vtkPassInputTypeAlgorithm 
ArrayVector vtkProgrammableFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkProgrammableFilter::New(),"vtkProgrammableFilter",eval);
  } else if (arg[0].className() == "vtkProgrammableFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkProgrammableFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkProgrammableFilter");
    vtkProgrammableFilter*q = reinterpret_cast<vtkProgrammableFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkProgrammableFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkProgrammableFilter:GetClassName vtkProgrammableFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkProgrammableFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkProgrammableFilter requires 1 argument(s)");
  vtkProgrammableFilter* vtk_pointer = GetVTKPointer<vtkProgrammableFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableFilter:IsA vtkProgrammableFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkProgrammableFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkProgrammableFilter requires 2 argument(s)");
  vtkProgrammableFilter* vtk_pointer = GetVTKPointer<vtkProgrammableFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableFilter:NewInstance vtkProgrammableFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkProgrammableFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProgrammableFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkProgrammableFilter requires 1 argument(s)");
  vtkProgrammableFilter* vtk_pointer = GetVTKPointer<vtkProgrammableFilter>(arg[0]);
  Array retval;
  vtkProgrammableFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProgrammableFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableFilter:SafeDownCast vtkProgrammableFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkProgrammableFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProgrammableFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkProgrammableFilter requires 2 argument(s)");
  vtkProgrammableFilter* vtk_pointer = GetVTKPointer<vtkProgrammableFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkProgrammableFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProgrammableFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableFilter:GetPolyDataInput vtkProgrammableFilterGetPolyDataInputFunction
//input a0 
//output y
ArrayVector vtkProgrammableFilterGetPolyDataInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetPolyDataInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPolyDataInput for class vtkProgrammableFilter requires 1 argument(s)");
  vtkProgrammableFilter* vtk_pointer = GetVTKPointer<vtkProgrammableFilter>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetPolyDataInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableFilter:GetStructuredPointsInput vtkProgrammableFilterGetStructuredPointsInputFunction
//input a0 
//output y
ArrayVector vtkProgrammableFilterGetStructuredPointsInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredPoints *GetStructuredPointsInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStructuredPointsInput for class vtkProgrammableFilter requires 1 argument(s)");
  vtkProgrammableFilter* vtk_pointer = GetVTKPointer<vtkProgrammableFilter>(arg[0]);
  Array retval;
  vtkStructuredPoints  *temp20;
  temp20 = (vtk_pointer)->GetStructuredPointsInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableFilter:GetStructuredGridInput vtkProgrammableFilterGetStructuredGridInputFunction
//input a0 
//output y
ArrayVector vtkProgrammableFilterGetStructuredGridInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGrid *GetStructuredGridInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStructuredGridInput for class vtkProgrammableFilter requires 1 argument(s)");
  vtkProgrammableFilter* vtk_pointer = GetVTKPointer<vtkProgrammableFilter>(arg[0]);
  Array retval;
  vtkStructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetStructuredGridInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableFilter:GetUnstructuredGridInput vtkProgrammableFilterGetUnstructuredGridInputFunction
//input a0 
//output y
ArrayVector vtkProgrammableFilterGetUnstructuredGridInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetUnstructuredGridInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUnstructuredGridInput for class vtkProgrammableFilter requires 1 argument(s)");
  vtkProgrammableFilter* vtk_pointer = GetVTKPointer<vtkProgrammableFilter>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetUnstructuredGridInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableFilter:GetRectilinearGridInput vtkProgrammableFilterGetRectilinearGridInputFunction
//input a0 
//output y
ArrayVector vtkProgrammableFilterGetRectilinearGridInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRectilinearGrid *GetRectilinearGridInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRectilinearGridInput for class vtkProgrammableFilter requires 1 argument(s)");
  vtkProgrammableFilter* vtk_pointer = GetVTKPointer<vtkProgrammableFilter>(arg[0]);
  Array retval;
  vtkRectilinearGrid  *temp20;
  temp20 = (vtk_pointer)->GetRectilinearGridInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectilinearGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableFilter:GetGraphInput vtkProgrammableFilterGetGraphInputFunction
//input a0 
//output y
ArrayVector vtkProgrammableFilterGetGraphInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraph *GetGraphInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGraphInput for class vtkProgrammableFilter requires 1 argument(s)");
  vtkProgrammableFilter* vtk_pointer = GetVTKPointer<vtkProgrammableFilter>(arg[0]);
  Array retval;
  vtkGraph  *temp20;
  temp20 = (vtk_pointer)->GetGraphInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableFilter:GetTableInput vtkProgrammableFilterGetTableInputFunction
//input a0 
//output y
ArrayVector vtkProgrammableFilterGetTableInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTable *GetTableInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTableInput for class vtkProgrammableFilter requires 1 argument(s)");
  vtkProgrammableFilter* vtk_pointer = GetVTKPointer<vtkProgrammableFilter>(arg[0]);
  Array retval;
  vtkTable  *temp20;
  temp20 = (vtk_pointer)->GetTableInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableFilter:SetCopyArrays vtkProgrammableFilterSetCopyArraysFunction
//input a0 a1 
//output none
ArrayVector vtkProgrammableFilterSetCopyArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCopyArrays (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCopyArrays for class vtkProgrammableFilter requires 2 argument(s)");
  vtkProgrammableFilter* vtk_pointer = GetVTKPointer<vtkProgrammableFilter>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetCopyArrays(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableFilter:GetCopyArrays vtkProgrammableFilterGetCopyArraysFunction
//input a0 
//output y
ArrayVector vtkProgrammableFilterGetCopyArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetCopyArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCopyArrays for class vtkProgrammableFilter requires 1 argument(s)");
  vtkProgrammableFilter* vtk_pointer = GetVTKPointer<vtkProgrammableFilter>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetCopyArrays();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableFilter:CopyArraysOn vtkProgrammableFilterCopyArraysOnFunction
//input a0 
//output none
ArrayVector vtkProgrammableFilterCopyArraysOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyArraysOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CopyArraysOn for class vtkProgrammableFilter requires 1 argument(s)");
  vtkProgrammableFilter* vtk_pointer = GetVTKPointer<vtkProgrammableFilter>(arg[0]);
  Array retval;
  vtk_pointer->CopyArraysOn();
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableFilter:CopyArraysOff vtkProgrammableFilterCopyArraysOffFunction
//input a0 
//output none
ArrayVector vtkProgrammableFilterCopyArraysOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyArraysOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CopyArraysOff for class vtkProgrammableFilter requires 1 argument(s)");
  vtkProgrammableFilter* vtk_pointer = GetVTKPointer<vtkProgrammableFilter>(arg[0]);
  Array retval;
  vtk_pointer->CopyArraysOff();
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableFilter:display vtkProgrammableFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkProgrammableFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkProgrammableFilter* vtk_pointer = GetVTKPointer<vtkProgrammableFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkProgrammableFilter:delete vtkProgrammableFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkProgrammableFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkProgrammableFilter
//@@Section VTKGraphics
//@@Usage
// vtkProgrammableFilter is a filter that can be programmed by the user.  To
// use the filter you define a function that retrieves input of the correct
// type, creates data, and then manipulates the output of the filter.  Using
// this filter avoids the need for subclassing - and the function can be
// defined in an interpreter wrapper language such as Tcl or Java.
//
// The trickiest part of using this filter is that the input and output
// methods are unusual and cannot be compile-time type checked. Instead, as a
// user of this filter it is your responsibility to set and get the correct
// input and output types.
//
//To create an instance of class vtkProgrammableFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkProgrammableFilter
//@]
//@@Methods
//The class vtkProgrammableFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkProgrammableFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkProgrammableFilter = obj.NewInstance ()|
// \item @|vtkProgrammableFilter = obj.SafeDownCast (vtkObject o)|
// \item @|vtkPolyData = obj.GetPolyDataInput ()| -  Get the input as a concrete type. This method is typically used by the
// writer of the filter function to get the input as a particular type (i.e.,
// it essentially does type casting). It is the users responsibility to know
// the correct type of the input data.
//// \item @|vtkStructuredPoints = obj.GetStructuredPointsInput ()| -  Get the input as a concrete type.
//// \item @|vtkStructuredGrid = obj.GetStructuredGridInput ()| -  Get the input as a concrete type.
//// \item @|vtkUnstructuredGrid = obj.GetUnstructuredGridInput ()| -  Get the input as a concrete type.
//// \item @|vtkRectilinearGrid = obj.GetRectilinearGridInput ()| -  Get the input as a concrete type.
//// \item @|vtkGraph = obj.GetGraphInput ()| -  Get the input as a concrete type.
//// \item @|vtkTable = obj.GetTableInput ()| -  Get the input as a concrete type.
//// \item @|obj.SetCopyArrays (bool )| -  When CopyArrays is true, all arrays are copied to the output
// iff input and output are of the same type. False by default.
//// \item @|bool = obj.GetCopyArrays ()| -  When CopyArrays is true, all arrays are copied to the output
// iff input and output are of the same type. False by default.
//// \item @|obj.CopyArraysOn ()| -  When CopyArrays is true, all arrays are copied to the output
// iff input and output are of the same type. False by default.
//// \item @|obj.CopyArraysOff ()| -  When CopyArrays is true, all arrays are copied to the output
// iff input and output are of the same type. False by default.
////\end{itemize}
//!
