#include "VTKWrap.hpp"

// FreeMat wrapper for vtkProgrammableGlyphFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkProgrammableGlyphFilter.h"

//@@Signature
//sfunction @vtkProgrammableGlyphFilter:vtkProgrammableGlyphFilter vtkProgrammableGlyphFilterConstructorFunction
//input a
//output p
//@@Parents vtkProgrammableGlyphFilter vtkPolyDataAlgorithm 
ArrayVector vtkProgrammableGlyphFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkProgrammableGlyphFilter::New(),"vtkProgrammableGlyphFilter",eval);
  } else if (arg[0].className() == "vtkProgrammableGlyphFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkProgrammableGlyphFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkProgrammableGlyphFilter");
    vtkProgrammableGlyphFilter*q = reinterpret_cast<vtkProgrammableGlyphFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkProgrammableGlyphFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkProgrammableGlyphFilter:GetClassName vtkProgrammableGlyphFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkProgrammableGlyphFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkProgrammableGlyphFilter requires 1 argument(s)");
  vtkProgrammableGlyphFilter* vtk_pointer = GetVTKPointer<vtkProgrammableGlyphFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableGlyphFilter:IsA vtkProgrammableGlyphFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkProgrammableGlyphFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkProgrammableGlyphFilter requires 2 argument(s)");
  vtkProgrammableGlyphFilter* vtk_pointer = GetVTKPointer<vtkProgrammableGlyphFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableGlyphFilter:NewInstance vtkProgrammableGlyphFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkProgrammableGlyphFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProgrammableGlyphFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkProgrammableGlyphFilter requires 1 argument(s)");
  vtkProgrammableGlyphFilter* vtk_pointer = GetVTKPointer<vtkProgrammableGlyphFilter>(arg[0]);
  Array retval;
  vtkProgrammableGlyphFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProgrammableGlyphFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableGlyphFilter:SafeDownCast vtkProgrammableGlyphFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkProgrammableGlyphFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProgrammableGlyphFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkProgrammableGlyphFilter requires 2 argument(s)");
  vtkProgrammableGlyphFilter* vtk_pointer = GetVTKPointer<vtkProgrammableGlyphFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkProgrammableGlyphFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProgrammableGlyphFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableGlyphFilter:SetSource vtkProgrammableGlyphFilterSetSourceFunction
//input a0 a1 
//output none
ArrayVector vtkProgrammableGlyphFilterSetSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSource (vtkPolyData *source); */
  if (arg.size() < 2) 
    throw Exception("Function SetSource for class vtkProgrammableGlyphFilter requires 2 argument(s)");
  vtkProgrammableGlyphFilter* vtk_pointer = GetVTKPointer<vtkProgrammableGlyphFilter>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->SetSource(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableGlyphFilter:GetSource vtkProgrammableGlyphFilterGetSourceFunction
//input a0 
//output y
ArrayVector vtkProgrammableGlyphFilterGetSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetSource (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSource for class vtkProgrammableGlyphFilter requires 1 argument(s)");
  vtkProgrammableGlyphFilter* vtk_pointer = GetVTKPointer<vtkProgrammableGlyphFilter>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetSource();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableGlyphFilter:GetPointId vtkProgrammableGlyphFilterGetPointIdFunction
//input a0 
//output y
ArrayVector vtkProgrammableGlyphFilterGetPointIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetPointId (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointId for class vtkProgrammableGlyphFilter requires 1 argument(s)");
  vtkProgrammableGlyphFilter* vtk_pointer = GetVTKPointer<vtkProgrammableGlyphFilter>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetPointId();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableGlyphFilter:GetPoint vtkProgrammableGlyphFilterGetPointFunction
//input a0 
//output y
ArrayVector vtkProgrammableGlyphFilterGetPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetPoint (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint for class vtkProgrammableGlyphFilter requires 1 argument(s)");
  vtkProgrammableGlyphFilter* vtk_pointer = GetVTKPointer<vtkProgrammableGlyphFilter>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPoint();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableGlyphFilter:GetPointData vtkProgrammableGlyphFilterGetPointDataFunction
//input a0 
//output y
ArrayVector vtkProgrammableGlyphFilterGetPointDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointData *GetPointData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointData for class vtkProgrammableGlyphFilter requires 1 argument(s)");
  vtkProgrammableGlyphFilter* vtk_pointer = GetVTKPointer<vtkProgrammableGlyphFilter>(arg[0]);
  Array retval;
  vtkPointData  *temp20;
  temp20 = (vtk_pointer)->GetPointData();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableGlyphFilter:SetColorMode vtkProgrammableGlyphFilterSetColorModeFunction
//input a0 a1 
//output none
ArrayVector vtkProgrammableGlyphFilterSetColorModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetColorMode for class vtkProgrammableGlyphFilter requires 2 argument(s)");
  vtkProgrammableGlyphFilter* vtk_pointer = GetVTKPointer<vtkProgrammableGlyphFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetColorMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableGlyphFilter:GetColorMode vtkProgrammableGlyphFilterGetColorModeFunction
//input a0 
//output y
ArrayVector vtkProgrammableGlyphFilterGetColorModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetColorMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorMode for class vtkProgrammableGlyphFilter requires 1 argument(s)");
  vtkProgrammableGlyphFilter* vtk_pointer = GetVTKPointer<vtkProgrammableGlyphFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetColorMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableGlyphFilter:SetColorModeToColorByInput vtkProgrammableGlyphFilterSetColorModeToColorByInputFunction
//input a0 
//output none
ArrayVector vtkProgrammableGlyphFilterSetColorModeToColorByInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorModeToColorByInput ();this SetColorMode VTK_COLOR_BY_INPUT  */
  if (arg.size() < 1) 
    throw Exception("Function SetColorModeToColorByInput for class vtkProgrammableGlyphFilter requires 1 argument(s)");
  vtkProgrammableGlyphFilter* vtk_pointer = GetVTKPointer<vtkProgrammableGlyphFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetColorModeToColorByInput();
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableGlyphFilter:SetColorModeToColorBySource vtkProgrammableGlyphFilterSetColorModeToColorBySourceFunction
//input a0 
//output none
ArrayVector vtkProgrammableGlyphFilterSetColorModeToColorBySourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorModeToColorBySource ();this SetColorMode VTK_COLOR_BY_SOURCE  */
  if (arg.size() < 1) 
    throw Exception("Function SetColorModeToColorBySource for class vtkProgrammableGlyphFilter requires 1 argument(s)");
  vtkProgrammableGlyphFilter* vtk_pointer = GetVTKPointer<vtkProgrammableGlyphFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetColorModeToColorBySource();
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableGlyphFilter:GetColorModeAsString vtkProgrammableGlyphFilterGetColorModeAsStringFunction
//input a0 
//output y
ArrayVector vtkProgrammableGlyphFilterGetColorModeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetColorModeAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorModeAsString for class vtkProgrammableGlyphFilter requires 1 argument(s)");
  vtkProgrammableGlyphFilter* vtk_pointer = GetVTKPointer<vtkProgrammableGlyphFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetColorModeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableGlyphFilter:display vtkProgrammableGlyphFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkProgrammableGlyphFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkProgrammableGlyphFilter* vtk_pointer = GetVTKPointer<vtkProgrammableGlyphFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkProgrammableGlyphFilter:delete vtkProgrammableGlyphFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkProgrammableGlyphFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkProgrammableGlyphFilter
//@@Section VTKGraphics
//@@Usage
// vtkProgrammableGlyphFilter is a filter that allows you to place a glyph at
// each input point in the dataset. In addition, the filter is programmable
// which means the user has control over the generation of the glyph. The
// glyphs can be controlled via the point data attributes (e.g., scalars,
// vectors, etc.) or any other information in the input dataset.
//
// This is the way the filter works. You must define an input dataset which
// at a minimum contains points with associated attribute values. Also, the
// Source instance variable must be set which is of type vtkPolyData. Then,
// for each point in the input, the PointId is set to the current point id,
// and a user-defined function is called (i.e., GlyphMethod). In this method
// you can manipulate the Source data (including changing to a different
// Source object). After the GlyphMethod is called,
// vtkProgrammableGlyphFilter will invoke an Update() on its Source object,
// and then copy its data to the output of the
// vtkProgrammableGlyphFilter. Therefore the output of this filter is of type
// vtkPolyData.
//
// Another option to this filter is the way you color the glyphs. You can use
// the scalar data from the input or the source. The instance variable
// ColorMode controls this behavior.
//
//To create an instance of class vtkProgrammableGlyphFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkProgrammableGlyphFilter
//@]
//@@Methods
//The class vtkProgrammableGlyphFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkProgrammableGlyphFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkProgrammableGlyphFilter = obj.NewInstance ()|
// \item @|vtkProgrammableGlyphFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetSource (vtkPolyData source)| -  Set/Get the source to use for this glyph. 
// Note: you can change the source during execution of this filter.
//// \item @|vtkPolyData = obj.GetSource ()| -  Set/Get the source to use for this glyph. 
// Note: you can change the source during execution of this filter.
//// \item @|vtkIdType = obj.GetPointId ()| -  Get the current point id during processing. Value only valid during the
// Execute() method of this filter. (Meant to be called by the GlyphMethod().)
//// \item @|double = obj. GetPoint ()| -  Get the current point coordinates during processing. Value only valid during the
// Execute() method of this filter. (Meant to be called by the GlyphMethod().)
//// \item @|vtkPointData = obj.GetPointData ()| -  Get the set of point data attributes for the input. A convenience to the
// programmer to be used in the GlyphMethod(). Only valid during the Execute()
// method of this filter.
//// \item @|obj.SetColorMode (int )| -  Either color by the input or source scalar data.
//// \item @|int = obj.GetColorMode ()| -  Either color by the input or source scalar data.
//// \item @|obj.SetColorModeToColorByInput ()| -  Either color by the input or source scalar data.
//// \item @|obj.SetColorModeToColorBySource ()| -  Either color by the input or source scalar data.
//// \item @|string = obj.GetColorModeAsString ()| -  Either color by the input or source scalar data.
////\end{itemize}
//!
