#include "VTKWrap.hpp"

// FreeMat wrapper for vtkProgrammableSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkProgrammableSource.h"

//@@Signature
//sfunction @vtkProgrammableSource:vtkProgrammableSource vtkProgrammableSourceConstructorFunction
//input a
//output p
//@@Parents vtkProgrammableSource vtkDataSetAlgorithm 
ArrayVector vtkProgrammableSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkProgrammableSource::New(),"vtkProgrammableSource",eval);
  } else if (arg[0].className() == "vtkProgrammableSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkProgrammableSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkProgrammableSource");
    vtkProgrammableSource*q = reinterpret_cast<vtkProgrammableSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkProgrammableSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkProgrammableSource:GetClassName vtkProgrammableSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkProgrammableSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkProgrammableSource requires 1 argument(s)");
  vtkProgrammableSource* vtk_pointer = GetVTKPointer<vtkProgrammableSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableSource:IsA vtkProgrammableSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkProgrammableSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkProgrammableSource requires 2 argument(s)");
  vtkProgrammableSource* vtk_pointer = GetVTKPointer<vtkProgrammableSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableSource:NewInstance vtkProgrammableSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkProgrammableSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProgrammableSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkProgrammableSource requires 1 argument(s)");
  vtkProgrammableSource* vtk_pointer = GetVTKPointer<vtkProgrammableSource>(arg[0]);
  Array retval;
  vtkProgrammableSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProgrammableSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableSource:SafeDownCast vtkProgrammableSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkProgrammableSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProgrammableSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkProgrammableSource requires 2 argument(s)");
  vtkProgrammableSource* vtk_pointer = GetVTKPointer<vtkProgrammableSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkProgrammableSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProgrammableSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableSource:GetPolyDataOutput vtkProgrammableSourceGetPolyDataOutputFunction
//input a0 
//output y
ArrayVector vtkProgrammableSourceGetPolyDataOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetPolyDataOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPolyDataOutput for class vtkProgrammableSource requires 1 argument(s)");
  vtkProgrammableSource* vtk_pointer = GetVTKPointer<vtkProgrammableSource>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetPolyDataOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableSource:GetStructuredPointsOutput vtkProgrammableSourceGetStructuredPointsOutputFunction
//input a0 
//output y
ArrayVector vtkProgrammableSourceGetStructuredPointsOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredPoints *GetStructuredPointsOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStructuredPointsOutput for class vtkProgrammableSource requires 1 argument(s)");
  vtkProgrammableSource* vtk_pointer = GetVTKPointer<vtkProgrammableSource>(arg[0]);
  Array retval;
  vtkStructuredPoints  *temp20;
  temp20 = (vtk_pointer)->GetStructuredPointsOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableSource:GetStructuredGridOutput vtkProgrammableSourceGetStructuredGridOutputFunction
//input a0 
//output y
ArrayVector vtkProgrammableSourceGetStructuredGridOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGrid *GetStructuredGridOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStructuredGridOutput for class vtkProgrammableSource requires 1 argument(s)");
  vtkProgrammableSource* vtk_pointer = GetVTKPointer<vtkProgrammableSource>(arg[0]);
  Array retval;
  vtkStructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetStructuredGridOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableSource:GetUnstructuredGridOutput vtkProgrammableSourceGetUnstructuredGridOutputFunction
//input a0 
//output y
ArrayVector vtkProgrammableSourceGetUnstructuredGridOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetUnstructuredGridOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUnstructuredGridOutput for class vtkProgrammableSource requires 1 argument(s)");
  vtkProgrammableSource* vtk_pointer = GetVTKPointer<vtkProgrammableSource>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetUnstructuredGridOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableSource:GetRectilinearGridOutput vtkProgrammableSourceGetRectilinearGridOutputFunction
//input a0 
//output y
ArrayVector vtkProgrammableSourceGetRectilinearGridOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRectilinearGrid *GetRectilinearGridOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRectilinearGridOutput for class vtkProgrammableSource requires 1 argument(s)");
  vtkProgrammableSource* vtk_pointer = GetVTKPointer<vtkProgrammableSource>(arg[0]);
  Array retval;
  vtkRectilinearGrid  *temp20;
  temp20 = (vtk_pointer)->GetRectilinearGridOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectilinearGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProgrammableSource:display vtkProgrammableSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkProgrammableSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkProgrammableSource* vtk_pointer = GetVTKPointer<vtkProgrammableSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkProgrammableSource:delete vtkProgrammableSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkProgrammableSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkProgrammableSource
//@@Section VTKGraphics
//@@Usage
// vtkProgrammableSource is a source object that is programmable by the
// user. To use this object, you must specify a function that creates the
// output.  It is possible to generate an output dataset of any (concrete) 
// type; it is up to the function to properly initialize and define the 
// output. Typically, you use one of the methods to get a concrete output 
// type (e.g., GetPolyDataOutput() or GetStructuredPointsOutput()), and 
// then manipulate the output in the user-specified function.
//
// Example use of this include writing a function to read a data file or
// interface to another system. (You might want to do this in favor of
// deriving a new class.) Another important use of this class is that it
// allows users of interpreters (e.g., Tcl or Java) the ability to write
// source objects without having to recompile C++ code or generate new
// libraries.
//
//To create an instance of class vtkProgrammableSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkProgrammableSource
//@]
//@@Methods
//The class vtkProgrammableSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkProgrammableSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkProgrammableSource = obj.NewInstance ()|
// \item @|vtkProgrammableSource = obj.SafeDownCast (vtkObject o)|
// \item @|vtkPolyData = obj.GetPolyDataOutput ()| -  Get the output as a concrete type. This method is typically used by the
// writer of the source function to get the output as a particular type
// (i.e., it essentially does type casting). It is the users responsibility
// to know the correct type of the output data.
//// \item @|vtkStructuredPoints = obj.GetStructuredPointsOutput ()| -  Get the output as a concrete type.
//// \item @|vtkStructuredGrid = obj.GetStructuredGridOutput ()| -  Get the output as a concrete type.
//// \item @|vtkUnstructuredGrid = obj.GetUnstructuredGridOutput ()| -  Get the output as a concrete type.
//// \item @|vtkRectilinearGrid = obj.GetRectilinearGridOutput ()| -  Get the output as a concrete type.
////\end{itemize}
//!
