#include "VTKWrap.hpp"

// FreeMat wrapper for vtkProjectedTexture object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkProjectedTexture.h"

//@@Signature
//sfunction @vtkProjectedTexture:vtkProjectedTexture vtkProjectedTextureConstructorFunction
//input a
//output p
//@@Parents vtkProjectedTexture vtkDataSetAlgorithm 
ArrayVector vtkProjectedTextureConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkProjectedTexture::New(),"vtkProjectedTexture",eval);
  } else if (arg[0].className() == "vtkProjectedTexture") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkProjectedTexture"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkProjectedTexture");
    vtkProjectedTexture*q = reinterpret_cast<vtkProjectedTexture*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkProjectedTexture");
    return ret;
  }
}
//@@Signature
//sfunction @vtkProjectedTexture:GetClassName vtkProjectedTextureGetClassNameFunction
//input a0 
//output y
ArrayVector vtkProjectedTextureGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkProjectedTexture requires 1 argument(s)");
  vtkProjectedTexture* vtk_pointer = GetVTKPointer<vtkProjectedTexture>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTexture:IsA vtkProjectedTextureIsAFunction
//input a0 a1 
//output y
ArrayVector vtkProjectedTextureIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkProjectedTexture requires 2 argument(s)");
  vtkProjectedTexture* vtk_pointer = GetVTKPointer<vtkProjectedTexture>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTexture:NewInstance vtkProjectedTextureNewInstanceFunction
//input a0 
//output y
ArrayVector vtkProjectedTextureNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProjectedTexture *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkProjectedTexture requires 1 argument(s)");
  vtkProjectedTexture* vtk_pointer = GetVTKPointer<vtkProjectedTexture>(arg[0]);
  Array retval;
  vtkProjectedTexture  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProjectedTexture",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTexture:SafeDownCast vtkProjectedTextureSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkProjectedTextureSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProjectedTexture *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkProjectedTexture requires 2 argument(s)");
  vtkProjectedTexture* vtk_pointer = GetVTKPointer<vtkProjectedTexture>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkProjectedTexture  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProjectedTexture",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTexture:SetPosition__1 vtkProjectedTextureSetPosition__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkProjectedTextureSetPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPosition (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetPosition__1 for class vtkProjectedTexture requires 4 argument(s)");
  vtkProjectedTexture* vtk_pointer = GetVTKPointer<vtkProjectedTexture>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPosition(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTexture:SetPosition__2 vtkProjectedTextureSetPosition__2Function
//input a0 a1 
//output none
ArrayVector vtkProjectedTextureSetPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPosition (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPosition__2 for class vtkProjectedTexture requires 2 argument(s)");
  vtkProjectedTexture* vtk_pointer = GetVTKPointer<vtkProjectedTexture>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTexture:GetPosition vtkProjectedTextureGetPositionFunction
//input a0 
//output y
ArrayVector vtkProjectedTextureGetPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPosition for class vtkProjectedTexture requires 1 argument(s)");
  vtkProjectedTexture* vtk_pointer = GetVTKPointer<vtkProjectedTexture>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPosition();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTexture:SetFocalPoint__1 vtkProjectedTextureSetFocalPoint__1Function
//input a0 a1 
//output none
ArrayVector vtkProjectedTextureSetFocalPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFocalPoint (double focalPoint[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetFocalPoint__1 for class vtkProjectedTexture requires 2 argument(s)");
  vtkProjectedTexture* vtk_pointer = GetVTKPointer<vtkProjectedTexture>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetFocalPoint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTexture:SetFocalPoint__2 vtkProjectedTextureSetFocalPoint__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkProjectedTextureSetFocalPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFocalPoint (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetFocalPoint__2 for class vtkProjectedTexture requires 4 argument(s)");
  vtkProjectedTexture* vtk_pointer = GetVTKPointer<vtkProjectedTexture>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetFocalPoint(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTexture:GetFocalPoint vtkProjectedTextureGetFocalPointFunction
//input a0 
//output y
ArrayVector vtkProjectedTextureGetFocalPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetFocalPoint (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFocalPoint for class vtkProjectedTexture requires 1 argument(s)");
  vtkProjectedTexture* vtk_pointer = GetVTKPointer<vtkProjectedTexture>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetFocalPoint();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTexture:SetCameraMode vtkProjectedTextureSetCameraModeFunction
//input a0 a1 
//output none
ArrayVector vtkProjectedTextureSetCameraModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCameraMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCameraMode for class vtkProjectedTexture requires 2 argument(s)");
  vtkProjectedTexture* vtk_pointer = GetVTKPointer<vtkProjectedTexture>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCameraMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTexture:GetCameraMode vtkProjectedTextureGetCameraModeFunction
//input a0 
//output y
ArrayVector vtkProjectedTextureGetCameraModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCameraMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCameraMode for class vtkProjectedTexture requires 1 argument(s)");
  vtkProjectedTexture* vtk_pointer = GetVTKPointer<vtkProjectedTexture>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCameraMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTexture:SetCameraModeToPinhole vtkProjectedTextureSetCameraModeToPinholeFunction
//input a0 
//output none
ArrayVector vtkProjectedTextureSetCameraModeToPinholeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCameraModeToPinhole ();this SetCameraMode VTK_PROJECTED_TEXTURE_USE_PINHOLE  */
  if (arg.size() < 1) 
    throw Exception("Function SetCameraModeToPinhole for class vtkProjectedTexture requires 1 argument(s)");
  vtkProjectedTexture* vtk_pointer = GetVTKPointer<vtkProjectedTexture>(arg[0]);
  Array retval;
  vtk_pointer->SetCameraModeToPinhole();
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTexture:SetCameraModeToTwoMirror vtkProjectedTextureSetCameraModeToTwoMirrorFunction
//input a0 
//output none
ArrayVector vtkProjectedTextureSetCameraModeToTwoMirrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCameraModeToTwoMirror ();this SetCameraMode VTK_PROJECTED_TEXTURE_USE_TWO_MIRRORS  */
  if (arg.size() < 1) 
    throw Exception("Function SetCameraModeToTwoMirror for class vtkProjectedTexture requires 1 argument(s)");
  vtkProjectedTexture* vtk_pointer = GetVTKPointer<vtkProjectedTexture>(arg[0]);
  Array retval;
  vtk_pointer->SetCameraModeToTwoMirror();
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTexture:SetMirrorSeparation vtkProjectedTextureSetMirrorSeparationFunction
//input a0 a1 
//output none
ArrayVector vtkProjectedTextureSetMirrorSeparationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMirrorSeparation (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMirrorSeparation for class vtkProjectedTexture requires 2 argument(s)");
  vtkProjectedTexture* vtk_pointer = GetVTKPointer<vtkProjectedTexture>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMirrorSeparation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTexture:GetMirrorSeparation vtkProjectedTextureGetMirrorSeparationFunction
//input a0 
//output y
ArrayVector vtkProjectedTextureGetMirrorSeparationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMirrorSeparation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMirrorSeparation for class vtkProjectedTexture requires 1 argument(s)");
  vtkProjectedTexture* vtk_pointer = GetVTKPointer<vtkProjectedTexture>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMirrorSeparation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTexture:GetOrientation vtkProjectedTextureGetOrientationFunction
//input a0 
//output y
ArrayVector vtkProjectedTextureGetOrientationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetOrientation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrientation for class vtkProjectedTexture requires 1 argument(s)");
  vtkProjectedTexture* vtk_pointer = GetVTKPointer<vtkProjectedTexture>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOrientation();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTexture:SetUp__1 vtkProjectedTextureSetUp__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkProjectedTextureSetUp__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUp (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetUp__1 for class vtkProjectedTexture requires 4 argument(s)");
  vtkProjectedTexture* vtk_pointer = GetVTKPointer<vtkProjectedTexture>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetUp(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTexture:SetUp__2 vtkProjectedTextureSetUp__2Function
//input a0 a1 
//output none
ArrayVector vtkProjectedTextureSetUp__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUp (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetUp__2 for class vtkProjectedTexture requires 2 argument(s)");
  vtkProjectedTexture* vtk_pointer = GetVTKPointer<vtkProjectedTexture>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetUp(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTexture:GetUp vtkProjectedTextureGetUpFunction
//input a0 
//output y
ArrayVector vtkProjectedTextureGetUpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetUp (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUp for class vtkProjectedTexture requires 1 argument(s)");
  vtkProjectedTexture* vtk_pointer = GetVTKPointer<vtkProjectedTexture>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetUp();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTexture:SetAspectRatio__1 vtkProjectedTextureSetAspectRatio__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkProjectedTextureSetAspectRatio__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAspectRatio (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetAspectRatio__1 for class vtkProjectedTexture requires 4 argument(s)");
  vtkProjectedTexture* vtk_pointer = GetVTKPointer<vtkProjectedTexture>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetAspectRatio(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTexture:SetAspectRatio__2 vtkProjectedTextureSetAspectRatio__2Function
//input a0 a1 
//output none
ArrayVector vtkProjectedTextureSetAspectRatio__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAspectRatio (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetAspectRatio__2 for class vtkProjectedTexture requires 2 argument(s)");
  vtkProjectedTexture* vtk_pointer = GetVTKPointer<vtkProjectedTexture>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetAspectRatio(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTexture:GetAspectRatio vtkProjectedTextureGetAspectRatioFunction
//input a0 
//output y
ArrayVector vtkProjectedTextureGetAspectRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetAspectRatio (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAspectRatio for class vtkProjectedTexture requires 1 argument(s)");
  vtkProjectedTexture* vtk_pointer = GetVTKPointer<vtkProjectedTexture>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetAspectRatio();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTexture:SetSRange__1 vtkProjectedTextureSetSRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkProjectedTextureSetSRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSRange (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetSRange__1 for class vtkProjectedTexture requires 3 argument(s)");
  vtkProjectedTexture* vtk_pointer = GetVTKPointer<vtkProjectedTexture>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetSRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTexture:SetSRange__2 vtkProjectedTextureSetSRange__2Function
//input a0 a1 
//output none
ArrayVector vtkProjectedTextureSetSRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSRange (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSRange__2 for class vtkProjectedTexture requires 2 argument(s)");
  vtkProjectedTexture* vtk_pointer = GetVTKPointer<vtkProjectedTexture>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetSRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTexture:GetSRange vtkProjectedTextureGetSRangeFunction
//input a0 
//output y
ArrayVector vtkProjectedTextureGetSRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetSRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSRange for class vtkProjectedTexture requires 1 argument(s)");
  vtkProjectedTexture* vtk_pointer = GetVTKPointer<vtkProjectedTexture>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetSRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTexture:SetTRange__1 vtkProjectedTextureSetTRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkProjectedTextureSetTRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTRange (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetTRange__1 for class vtkProjectedTexture requires 3 argument(s)");
  vtkProjectedTexture* vtk_pointer = GetVTKPointer<vtkProjectedTexture>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetTRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTexture:SetTRange__2 vtkProjectedTextureSetTRange__2Function
//input a0 a1 
//output none
ArrayVector vtkProjectedTextureSetTRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTRange (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetTRange__2 for class vtkProjectedTexture requires 2 argument(s)");
  vtkProjectedTexture* vtk_pointer = GetVTKPointer<vtkProjectedTexture>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetTRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTexture:GetTRange vtkProjectedTextureGetTRangeFunction
//input a0 
//output y
ArrayVector vtkProjectedTextureGetTRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetTRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTRange for class vtkProjectedTexture requires 1 argument(s)");
  vtkProjectedTexture* vtk_pointer = GetVTKPointer<vtkProjectedTexture>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetTRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTexture:SetPosition vtkProjectedTextureSetPositionFunction
//input varargin
//output varargout
ArrayVector vtkProjectedTextureSetPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkProjectedTextureSetPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkProjectedTextureSetPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkProjectedTextureSetPosition");
}

//@@Signature
//sfunction @vtkProjectedTexture:SetFocalPoint vtkProjectedTextureSetFocalPointFunction
//input varargin
//output varargout
ArrayVector vtkProjectedTextureSetFocalPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkProjectedTextureSetFocalPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkProjectedTextureSetFocalPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkProjectedTextureSetFocalPoint");
}

//@@Signature
//sfunction @vtkProjectedTexture:SetUp vtkProjectedTextureSetUpFunction
//input varargin
//output varargout
ArrayVector vtkProjectedTextureSetUpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkProjectedTextureSetUp__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkProjectedTextureSetUp__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkProjectedTextureSetUp");
}

//@@Signature
//sfunction @vtkProjectedTexture:SetAspectRatio vtkProjectedTextureSetAspectRatioFunction
//input varargin
//output varargout
ArrayVector vtkProjectedTextureSetAspectRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkProjectedTextureSetAspectRatio__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkProjectedTextureSetAspectRatio__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkProjectedTextureSetAspectRatio");
}

//@@Signature
//sfunction @vtkProjectedTexture:SetSRange vtkProjectedTextureSetSRangeFunction
//input varargin
//output varargout
ArrayVector vtkProjectedTextureSetSRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkProjectedTextureSetSRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkProjectedTextureSetSRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkProjectedTextureSetSRange");
}

//@@Signature
//sfunction @vtkProjectedTexture:SetTRange vtkProjectedTextureSetTRangeFunction
//input varargin
//output varargout
ArrayVector vtkProjectedTextureSetTRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkProjectedTextureSetTRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkProjectedTextureSetTRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkProjectedTextureSetTRange");
}

//@@Signature
//sfunction @vtkProjectedTexture:display vtkProjectedTextureDisplayFunction
//input varargin
//output varargout
ArrayVector vtkProjectedTextureDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkProjectedTexture* vtk_pointer = GetVTKPointer<vtkProjectedTexture>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkProjectedTexture:delete vtkProjectedTextureDeleteFunction
//input varargin
//output none
ArrayVector vtkProjectedTextureDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkProjectedTexture
//@@Section VTKGraphics
//@@Usage
// vtkProjectedTexture assigns texture coordinates to a dataset as if
// the texture was projected from a slide projected located somewhere in the
// scene.  Methods are provided to position the projector and aim it at a 
// location, to set the width of the projector's frustum, and to set the
// range of texture coordinates assigned to the dataset.  
//
// Objects in the scene that appear behind the projector are also assigned
// texture coordinates; the projected image is left-right and top-bottom 
// flipped, much as a lens' focus flips the rays of light that pass through
// it.  A warning is issued if a point in the dataset falls at the focus
// of the projector.
//
//To create an instance of class vtkProjectedTexture, simply
//invoke its constructor as follows
//@[
//  obj = vtkProjectedTexture
//@]
//@@Methods
//The class vtkProjectedTexture has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkProjectedTexture class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkProjectedTexture = obj.NewInstance ()|
// \item @|vtkProjectedTexture = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPosition (double , double , double )| -  Set/Get the position of the focus of the projector.
//// \item @|obj.SetPosition (double  a[3])| -  Set/Get the position of the focus of the projector.
//// \item @|double = obj. GetPosition ()| -  Set/Get the position of the focus of the projector.
//// \item @|obj.SetFocalPoint (double focalPoint[3])| -  Set/Get the focal point of the projector (a point that lies along
// the center axis of the projector's frustum).
//// \item @|obj.SetFocalPoint (double x, double y, double z)| -  Set/Get the focal point of the projector (a point that lies along
// the center axis of the projector's frustum).
//// \item @|double = obj. GetFocalPoint ()| -  Set/Get the focal point of the projector (a point that lies along
// the center axis of the projector's frustum).
//// \item @|obj.SetCameraMode (int )| -  Set/Get the camera mode of the projection -- pinhole projection or
// two mirror projection.
//// \item @|int = obj.GetCameraMode ()| -  Set/Get the camera mode of the projection -- pinhole projection or
// two mirror projection.
//// \item @|obj.SetCameraModeToPinhole ()| -  Set/Get the camera mode of the projection -- pinhole projection or
// two mirror projection.
//// \item @|obj.SetCameraModeToTwoMirror ()| -  Set/Get the mirror separation for the two mirror system.
//// \item @|obj.SetMirrorSeparation (double )| -  Set/Get the mirror separation for the two mirror system.
//// \item @|double = obj.GetMirrorSeparation ()| -  Set/Get the mirror separation for the two mirror system.
//// \item @|double = obj. GetOrientation ()| -  Get the normalized orientation vector of the projector.
//// \item @|obj.SetUp (double , double , double )|
// \item @|obj.SetUp (double  a[3])|
// \item @|double = obj. GetUp ()|
// \item @|obj.SetAspectRatio (double , double , double )|
// \item @|obj.SetAspectRatio (double  a[3])|
// \item @|double = obj. GetAspectRatio ()|
// \item @|obj.SetSRange (double , double )| -  Specify s-coordinate range for texture s-t coordinate pair.
//// \item @|obj.SetSRange (double  a[2])| -  Specify s-coordinate range for texture s-t coordinate pair.
//// \item @|double = obj. GetSRange ()| -  Specify s-coordinate range for texture s-t coordinate pair.
//// \item @|obj.SetTRange (double , double )| -  Specify t-coordinate range for texture s-t coordinate pair.
//// \item @|obj.SetTRange (double  a[2])| -  Specify t-coordinate range for texture s-t coordinate pair.
//// \item @|double = obj. GetTRange ()| -  Specify t-coordinate range for texture s-t coordinate pair.
////\end{itemize}
//!
