#include "VTKWrap.hpp"

// FreeMat wrapper for vtkQuadraturePointInterpolator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkQuadraturePointInterpolator.h"

//@@Signature
//sfunction @vtkQuadraturePointInterpolator:vtkQuadraturePointInterpolator vtkQuadraturePointInterpolatorConstructorFunction
//input a
//output p
//@@Parents vtkQuadraturePointInterpolator vtkDataSetAlgorithm 
ArrayVector vtkQuadraturePointInterpolatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkQuadraturePointInterpolator::New(),"vtkQuadraturePointInterpolator",eval);
  } else if (arg[0].className() == "vtkQuadraturePointInterpolator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkQuadraturePointInterpolator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkQuadraturePointInterpolator");
    vtkQuadraturePointInterpolator*q = reinterpret_cast<vtkQuadraturePointInterpolator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkQuadraturePointInterpolator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkQuadraturePointInterpolator:GetClassName vtkQuadraturePointInterpolatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkQuadraturePointInterpolatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkQuadraturePointInterpolator requires 1 argument(s)");
  vtkQuadraturePointInterpolator* vtk_pointer = GetVTKPointer<vtkQuadraturePointInterpolator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadraturePointInterpolator:IsA vtkQuadraturePointInterpolatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkQuadraturePointInterpolatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkQuadraturePointInterpolator requires 2 argument(s)");
  vtkQuadraturePointInterpolator* vtk_pointer = GetVTKPointer<vtkQuadraturePointInterpolator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadraturePointInterpolator:NewInstance vtkQuadraturePointInterpolatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkQuadraturePointInterpolatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkQuadraturePointInterpolator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkQuadraturePointInterpolator requires 1 argument(s)");
  vtkQuadraturePointInterpolator* vtk_pointer = GetVTKPointer<vtkQuadraturePointInterpolator>(arg[0]);
  Array retval;
  vtkQuadraturePointInterpolator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkQuadraturePointInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQuadraturePointInterpolator:SafeDownCast vtkQuadraturePointInterpolatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkQuadraturePointInterpolatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkQuadraturePointInterpolator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkQuadraturePointInterpolator requires 2 argument(s)");
  vtkQuadraturePointInterpolator* vtk_pointer = GetVTKPointer<vtkQuadraturePointInterpolator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkQuadraturePointInterpolator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkQuadraturePointInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQuadraturePointInterpolator:display vtkQuadraturePointInterpolatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkQuadraturePointInterpolatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkQuadraturePointInterpolator* vtk_pointer = GetVTKPointer<vtkQuadraturePointInterpolator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkQuadraturePointInterpolator:delete vtkQuadraturePointInterpolatorDeleteFunction
//input varargin
//output none
ArrayVector vtkQuadraturePointInterpolatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkQuadraturePointInterpolator
//@@Section VTKGraphics
//@@Usage
//
// Interpolates each scalar/vector field in a vtkUnstrcturedGrid
// on its input to a specific set of quadrature points. The
// set of quadrature points is specified per array via a 
// dictionary (ie an instance of vtkInformationQuadratureSchemeDefinitionVectorKey). 
// contained in the array. The interpolated fields are placed
// in FieldData along with a set of per cell indexes, that allow 
// random access to a given cells quadrature points.
//
//
//To create an instance of class vtkQuadraturePointInterpolator, simply
//invoke its constructor as follows
//@[
//  obj = vtkQuadraturePointInterpolator
//@]
//@@Methods
//The class vtkQuadraturePointInterpolator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkQuadraturePointInterpolator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkQuadraturePointInterpolator = obj.NewInstance ()|
// \item @|vtkQuadraturePointInterpolator = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
