#include "VTKWrap.hpp"

// FreeMat wrapper for vtkQuadraturePointsGenerator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkQuadraturePointsGenerator.h"

//@@Signature
//sfunction @vtkQuadraturePointsGenerator:vtkQuadraturePointsGenerator vtkQuadraturePointsGeneratorConstructorFunction
//input a
//output p
//@@Parents vtkQuadraturePointsGenerator vtkPolyDataAlgorithm 
ArrayVector vtkQuadraturePointsGeneratorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkQuadraturePointsGenerator::New(),"vtkQuadraturePointsGenerator",eval);
  } else if (arg[0].className() == "vtkQuadraturePointsGenerator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkQuadraturePointsGenerator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkQuadraturePointsGenerator");
    vtkQuadraturePointsGenerator*q = reinterpret_cast<vtkQuadraturePointsGenerator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkQuadraturePointsGenerator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkQuadraturePointsGenerator:GetClassName vtkQuadraturePointsGeneratorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkQuadraturePointsGeneratorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkQuadraturePointsGenerator requires 1 argument(s)");
  vtkQuadraturePointsGenerator* vtk_pointer = GetVTKPointer<vtkQuadraturePointsGenerator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadraturePointsGenerator:IsA vtkQuadraturePointsGeneratorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkQuadraturePointsGeneratorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkQuadraturePointsGenerator requires 2 argument(s)");
  vtkQuadraturePointsGenerator* vtk_pointer = GetVTKPointer<vtkQuadraturePointsGenerator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadraturePointsGenerator:NewInstance vtkQuadraturePointsGeneratorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkQuadraturePointsGeneratorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkQuadraturePointsGenerator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkQuadraturePointsGenerator requires 1 argument(s)");
  vtkQuadraturePointsGenerator* vtk_pointer = GetVTKPointer<vtkQuadraturePointsGenerator>(arg[0]);
  Array retval;
  vtkQuadraturePointsGenerator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkQuadraturePointsGenerator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQuadraturePointsGenerator:SafeDownCast vtkQuadraturePointsGeneratorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkQuadraturePointsGeneratorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkQuadraturePointsGenerator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkQuadraturePointsGenerator requires 2 argument(s)");
  vtkQuadraturePointsGenerator* vtk_pointer = GetVTKPointer<vtkQuadraturePointsGenerator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkQuadraturePointsGenerator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkQuadraturePointsGenerator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQuadraturePointsGenerator:display vtkQuadraturePointsGeneratorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkQuadraturePointsGeneratorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkQuadraturePointsGenerator* vtk_pointer = GetVTKPointer<vtkQuadraturePointsGenerator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkQuadraturePointsGenerator:delete vtkQuadraturePointsGeneratorDeleteFunction
//input varargin
//output none
ArrayVector vtkQuadraturePointsGeneratorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkQuadraturePointsGenerator
//@@Section VTKGraphics
//@@Usage
//
// Create a vtkPolyData on its output containing the vertices
// for the quadrature points for one of the vtkDataArrays present
// on its input vtkUnstructuredGrid. If the input data set has
// has FieldData generated by vtkQuadraturePointInterpolator then
// this will be set as point data. Note: Point sets are generated
// per field array. This is because each field array may contain
// its own dictionary.
//
// .SECTION See also
// vtkQuadraturePointInterpolator, vtkQuadratureSchemeDefinition, vtkInformationQuadratureSchemeDefinitionVectorKey
//
//To create an instance of class vtkQuadraturePointsGenerator, simply
//invoke its constructor as follows
//@[
//  obj = vtkQuadraturePointsGenerator
//@]
//@@Methods
//The class vtkQuadraturePointsGenerator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkQuadraturePointsGenerator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkQuadraturePointsGenerator = obj.NewInstance ()|
// \item @|vtkQuadraturePointsGenerator = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
