#include "VTKWrap.hpp"

// FreeMat wrapper for vtkQuadratureSchemeDictionaryGenerator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkQuadratureSchemeDictionaryGenerator.h"

//@@Signature
//sfunction @vtkQuadratureSchemeDictionaryGenerator:vtkQuadratureSchemeDictionaryGenerator vtkQuadratureSchemeDictionaryGeneratorConstructorFunction
//input a
//output p
//@@Parents vtkQuadratureSchemeDictionaryGenerator vtkDataSetAlgorithm 
ArrayVector vtkQuadratureSchemeDictionaryGeneratorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkQuadratureSchemeDictionaryGenerator::New(),"vtkQuadratureSchemeDictionaryGenerator",eval);
  } else if (arg[0].className() == "vtkQuadratureSchemeDictionaryGenerator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkQuadratureSchemeDictionaryGenerator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkQuadratureSchemeDictionaryGenerator");
    vtkQuadratureSchemeDictionaryGenerator*q = reinterpret_cast<vtkQuadratureSchemeDictionaryGenerator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkQuadratureSchemeDictionaryGenerator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkQuadratureSchemeDictionaryGenerator:GetClassName vtkQuadratureSchemeDictionaryGeneratorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkQuadratureSchemeDictionaryGeneratorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkQuadratureSchemeDictionaryGenerator requires 1 argument(s)");
  vtkQuadratureSchemeDictionaryGenerator* vtk_pointer = GetVTKPointer<vtkQuadratureSchemeDictionaryGenerator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadratureSchemeDictionaryGenerator:IsA vtkQuadratureSchemeDictionaryGeneratorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkQuadratureSchemeDictionaryGeneratorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkQuadratureSchemeDictionaryGenerator requires 2 argument(s)");
  vtkQuadratureSchemeDictionaryGenerator* vtk_pointer = GetVTKPointer<vtkQuadratureSchemeDictionaryGenerator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadratureSchemeDictionaryGenerator:NewInstance vtkQuadratureSchemeDictionaryGeneratorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkQuadratureSchemeDictionaryGeneratorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkQuadratureSchemeDictionaryGenerator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkQuadratureSchemeDictionaryGenerator requires 1 argument(s)");
  vtkQuadratureSchemeDictionaryGenerator* vtk_pointer = GetVTKPointer<vtkQuadratureSchemeDictionaryGenerator>(arg[0]);
  Array retval;
  vtkQuadratureSchemeDictionaryGenerator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkQuadratureSchemeDictionaryGenerator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQuadratureSchemeDictionaryGenerator:SafeDownCast vtkQuadratureSchemeDictionaryGeneratorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkQuadratureSchemeDictionaryGeneratorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkQuadratureSchemeDictionaryGenerator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkQuadratureSchemeDictionaryGenerator requires 2 argument(s)");
  vtkQuadratureSchemeDictionaryGenerator* vtk_pointer = GetVTKPointer<vtkQuadratureSchemeDictionaryGenerator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkQuadratureSchemeDictionaryGenerator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkQuadratureSchemeDictionaryGenerator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQuadratureSchemeDictionaryGenerator:display vtkQuadratureSchemeDictionaryGeneratorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkQuadratureSchemeDictionaryGeneratorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkQuadratureSchemeDictionaryGenerator* vtk_pointer = GetVTKPointer<vtkQuadratureSchemeDictionaryGenerator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkQuadratureSchemeDictionaryGenerator:delete vtkQuadratureSchemeDictionaryGeneratorDeleteFunction
//input varargin
//output none
ArrayVector vtkQuadratureSchemeDictionaryGeneratorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkQuadratureSchemeDictionaryGenerator
//@@Section VTKGraphics
//@@Usage
//
// Given an unstructured grid on its input this filter generates
// for each data array in point data dictionary (ie an instance of 
// vtkInformationQuadratureSchemeDefinitionVectorKey). This filter 
// has been introduced to facilitate testing of the vtkQuadrature* 
// classes as these cannot operate with the dictionary. This class
// is for testing and should not be used for application development.
//
// .SECTION See also
// vtkQuadraturePointInterpolator, vtkQuadraturePointsGenerator, vtkQuadratureSchemeDefinition
//
//To create an instance of class vtkQuadratureSchemeDictionaryGenerator, simply
//invoke its constructor as follows
//@[
//  obj = vtkQuadratureSchemeDictionaryGenerator
//@]
//@@Methods
//The class vtkQuadratureSchemeDictionaryGenerator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkQuadratureSchemeDictionaryGenerator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkQuadratureSchemeDictionaryGenerator = obj.NewInstance ()|
// \item @|vtkQuadratureSchemeDictionaryGenerator = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
