#include "VTKWrap.hpp"

// FreeMat wrapper for vtkQuadricClustering object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkQuadricClustering.h"

//@@Signature
//sfunction @vtkQuadricClustering:vtkQuadricClustering vtkQuadricClusteringConstructorFunction
//input a
//output p
//@@Parents vtkQuadricClustering vtkPolyDataAlgorithm 
ArrayVector vtkQuadricClusteringConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkQuadricClustering::New(),"vtkQuadricClustering",eval);
  } else if (arg[0].className() == "vtkQuadricClustering") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkQuadricClustering"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkQuadricClustering");
    vtkQuadricClustering*q = reinterpret_cast<vtkQuadricClustering*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkQuadricClustering");
    return ret;
  }
}
//@@Signature
//sfunction @vtkQuadricClustering:GetClassName vtkQuadricClusteringGetClassNameFunction
//input a0 
//output y
ArrayVector vtkQuadricClusteringGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:IsA vtkQuadricClusteringIsAFunction
//input a0 a1 
//output y
ArrayVector vtkQuadricClusteringIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkQuadricClustering requires 2 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:NewInstance vtkQuadricClusteringNewInstanceFunction
//input a0 
//output y
ArrayVector vtkQuadricClusteringNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkQuadricClustering *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  vtkQuadricClustering  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkQuadricClustering",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:SafeDownCast vtkQuadricClusteringSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkQuadricClusteringSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkQuadricClustering *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkQuadricClustering requires 2 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkQuadricClustering  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkQuadricClustering",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:SetNumberOfXDivisions vtkQuadricClusteringSetNumberOfXDivisionsFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricClusteringSetNumberOfXDivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfXDivisions (int num); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfXDivisions for class vtkQuadricClustering requires 2 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfXDivisions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:SetNumberOfYDivisions vtkQuadricClusteringSetNumberOfYDivisionsFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricClusteringSetNumberOfYDivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfYDivisions (int num); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfYDivisions for class vtkQuadricClustering requires 2 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfYDivisions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:SetNumberOfZDivisions vtkQuadricClusteringSetNumberOfZDivisionsFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricClusteringSetNumberOfZDivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfZDivisions (int num); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfZDivisions for class vtkQuadricClustering requires 2 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfZDivisions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:GetNumberOfXDivisions vtkQuadricClusteringGetNumberOfXDivisionsFunction
//input a0 
//output y
ArrayVector vtkQuadricClusteringGetNumberOfXDivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfXDivisions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfXDivisions for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfXDivisions();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:GetNumberOfYDivisions vtkQuadricClusteringGetNumberOfYDivisionsFunction
//input a0 
//output y
ArrayVector vtkQuadricClusteringGetNumberOfYDivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfYDivisions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfYDivisions for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfYDivisions();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:GetNumberOfZDivisions vtkQuadricClusteringGetNumberOfZDivisionsFunction
//input a0 
//output y
ArrayVector vtkQuadricClusteringGetNumberOfZDivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfZDivisions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfZDivisions for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfZDivisions();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:SetNumberOfDivisions__1 vtkQuadricClusteringSetNumberOfDivisions__1Function
//input a0 a1 
//output none
ArrayVector vtkQuadricClusteringSetNumberOfDivisions__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfDivisions (int div[3]);this SetNumberOfDivisions div div div  */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfDivisions__1 for class vtkQuadricClustering requires 2 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetNumberOfDivisions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:SetNumberOfDivisions__2 vtkQuadricClusteringSetNumberOfDivisions__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkQuadricClusteringSetNumberOfDivisions__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfDivisions (int div0, int div1, int div2); */
  if (arg.size() < 4) 
    throw Exception("Function SetNumberOfDivisions__2 for class vtkQuadricClustering requires 4 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetNumberOfDivisions(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:GetNumberOfDivisions__1 vtkQuadricClusteringGetNumberOfDivisions__1Function
//input a0 
//output y
ArrayVector vtkQuadricClusteringGetNumberOfDivisions__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int *GetNumberOfDivisions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfDivisions__1 for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetNumberOfDivisions();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:GetNumberOfDivisions__2 vtkQuadricClusteringGetNumberOfDivisions__2Function
//input a0 a1 
//output none
ArrayVector vtkQuadricClusteringGetNumberOfDivisions__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetNumberOfDivisions (int div[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfDivisions__2 for class vtkQuadricClustering requires 2 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->GetNumberOfDivisions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:SetAutoAdjustNumberOfDivisions vtkQuadricClusteringSetAutoAdjustNumberOfDivisionsFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricClusteringSetAutoAdjustNumberOfDivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAutoAdjustNumberOfDivisions (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAutoAdjustNumberOfDivisions for class vtkQuadricClustering requires 2 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAutoAdjustNumberOfDivisions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:GetAutoAdjustNumberOfDivisions vtkQuadricClusteringGetAutoAdjustNumberOfDivisionsFunction
//input a0 
//output y
ArrayVector vtkQuadricClusteringGetAutoAdjustNumberOfDivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutoAdjustNumberOfDivisions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutoAdjustNumberOfDivisions for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutoAdjustNumberOfDivisions();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:AutoAdjustNumberOfDivisionsOn vtkQuadricClusteringAutoAdjustNumberOfDivisionsOnFunction
//input a0 
//output none
ArrayVector vtkQuadricClusteringAutoAdjustNumberOfDivisionsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutoAdjustNumberOfDivisionsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AutoAdjustNumberOfDivisionsOn for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  vtk_pointer->AutoAdjustNumberOfDivisionsOn();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:AutoAdjustNumberOfDivisionsOff vtkQuadricClusteringAutoAdjustNumberOfDivisionsOffFunction
//input a0 
//output none
ArrayVector vtkQuadricClusteringAutoAdjustNumberOfDivisionsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutoAdjustNumberOfDivisionsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AutoAdjustNumberOfDivisionsOff for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  vtk_pointer->AutoAdjustNumberOfDivisionsOff();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:SetDivisionOrigin__1 vtkQuadricClusteringSetDivisionOrigin__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkQuadricClusteringSetDivisionOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDivisionOrigin (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetDivisionOrigin__1 for class vtkQuadricClustering requires 4 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetDivisionOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:SetDivisionOrigin__2 vtkQuadricClusteringSetDivisionOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkQuadricClusteringSetDivisionOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDivisionOrigin (double o[3]);this SetDivisionOrigin o o o  */
  if (arg.size() < 2) 
    throw Exception("Function SetDivisionOrigin__2 for class vtkQuadricClustering requires 2 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetDivisionOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:GetDivisionOrigin vtkQuadricClusteringGetDivisionOriginFunction
//input a0 
//output y
ArrayVector vtkQuadricClusteringGetDivisionOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetDivisionOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDivisionOrigin for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetDivisionOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:SetDivisionSpacing__1 vtkQuadricClusteringSetDivisionSpacing__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkQuadricClusteringSetDivisionSpacing__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDivisionSpacing (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetDivisionSpacing__1 for class vtkQuadricClustering requires 4 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetDivisionSpacing(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:SetDivisionSpacing__2 vtkQuadricClusteringSetDivisionSpacing__2Function
//input a0 a1 
//output none
ArrayVector vtkQuadricClusteringSetDivisionSpacing__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDivisionSpacing (double s[3]);this SetDivisionSpacing s s s  */
  if (arg.size() < 2) 
    throw Exception("Function SetDivisionSpacing__2 for class vtkQuadricClustering requires 2 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetDivisionSpacing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:GetDivisionSpacing vtkQuadricClusteringGetDivisionSpacingFunction
//input a0 
//output y
ArrayVector vtkQuadricClusteringGetDivisionSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetDivisionSpacing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDivisionSpacing for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetDivisionSpacing();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:SetUseInputPoints vtkQuadricClusteringSetUseInputPointsFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricClusteringSetUseInputPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseInputPoints (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseInputPoints for class vtkQuadricClustering requires 2 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseInputPoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:GetUseInputPoints vtkQuadricClusteringGetUseInputPointsFunction
//input a0 
//output y
ArrayVector vtkQuadricClusteringGetUseInputPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseInputPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseInputPoints for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseInputPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:UseInputPointsOn vtkQuadricClusteringUseInputPointsOnFunction
//input a0 
//output none
ArrayVector vtkQuadricClusteringUseInputPointsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseInputPointsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseInputPointsOn for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  vtk_pointer->UseInputPointsOn();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:UseInputPointsOff vtkQuadricClusteringUseInputPointsOffFunction
//input a0 
//output none
ArrayVector vtkQuadricClusteringUseInputPointsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseInputPointsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseInputPointsOff for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  vtk_pointer->UseInputPointsOff();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:SetUseFeatureEdges vtkQuadricClusteringSetUseFeatureEdgesFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricClusteringSetUseFeatureEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseFeatureEdges (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseFeatureEdges for class vtkQuadricClustering requires 2 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseFeatureEdges(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:GetUseFeatureEdges vtkQuadricClusteringGetUseFeatureEdgesFunction
//input a0 
//output y
ArrayVector vtkQuadricClusteringGetUseFeatureEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseFeatureEdges (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseFeatureEdges for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseFeatureEdges();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:UseFeatureEdgesOn vtkQuadricClusteringUseFeatureEdgesOnFunction
//input a0 
//output none
ArrayVector vtkQuadricClusteringUseFeatureEdgesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseFeatureEdgesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseFeatureEdgesOn for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  vtk_pointer->UseFeatureEdgesOn();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:UseFeatureEdgesOff vtkQuadricClusteringUseFeatureEdgesOffFunction
//input a0 
//output none
ArrayVector vtkQuadricClusteringUseFeatureEdgesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseFeatureEdgesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseFeatureEdgesOff for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  vtk_pointer->UseFeatureEdgesOff();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:GetFeatureEdges vtkQuadricClusteringGetFeatureEdgesFunction
//input a0 
//output y
ArrayVector vtkQuadricClusteringGetFeatureEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFeatureEdges *GetFeatureEdges ();return this FeatureEdges  */
  if (arg.size() < 1) 
    throw Exception("Function GetFeatureEdges for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  vtkFeatureEdges  *temp20;
  temp20 = (vtk_pointer)->GetFeatureEdges();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFeatureEdges",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:SetUseFeaturePoints vtkQuadricClusteringSetUseFeaturePointsFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricClusteringSetUseFeaturePointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseFeaturePoints (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseFeaturePoints for class vtkQuadricClustering requires 2 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseFeaturePoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:GetUseFeaturePoints vtkQuadricClusteringGetUseFeaturePointsFunction
//input a0 
//output y
ArrayVector vtkQuadricClusteringGetUseFeaturePointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseFeaturePoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseFeaturePoints for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseFeaturePoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:UseFeaturePointsOn vtkQuadricClusteringUseFeaturePointsOnFunction
//input a0 
//output none
ArrayVector vtkQuadricClusteringUseFeaturePointsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseFeaturePointsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseFeaturePointsOn for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  vtk_pointer->UseFeaturePointsOn();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:UseFeaturePointsOff vtkQuadricClusteringUseFeaturePointsOffFunction
//input a0 
//output none
ArrayVector vtkQuadricClusteringUseFeaturePointsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseFeaturePointsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseFeaturePointsOff for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  vtk_pointer->UseFeaturePointsOff();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:SetFeaturePointsAngle vtkQuadricClusteringSetFeaturePointsAngleFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricClusteringSetFeaturePointsAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFeaturePointsAngle (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFeaturePointsAngle for class vtkQuadricClustering requires 2 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetFeaturePointsAngle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:GetFeaturePointsAngleMinValue vtkQuadricClusteringGetFeaturePointsAngleMinValueFunction
//input a0 
//output y
ArrayVector vtkQuadricClusteringGetFeaturePointsAngleMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFeaturePointsAngleMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFeaturePointsAngleMinValue for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFeaturePointsAngleMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:GetFeaturePointsAngleMaxValue vtkQuadricClusteringGetFeaturePointsAngleMaxValueFunction
//input a0 
//output y
ArrayVector vtkQuadricClusteringGetFeaturePointsAngleMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFeaturePointsAngleMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFeaturePointsAngleMaxValue for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFeaturePointsAngleMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:GetFeaturePointsAngle vtkQuadricClusteringGetFeaturePointsAngleFunction
//input a0 
//output y
ArrayVector vtkQuadricClusteringGetFeaturePointsAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFeaturePointsAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFeaturePointsAngle for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFeaturePointsAngle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:SetUseInternalTriangles vtkQuadricClusteringSetUseInternalTrianglesFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricClusteringSetUseInternalTrianglesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseInternalTriangles (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseInternalTriangles for class vtkQuadricClustering requires 2 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseInternalTriangles(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:GetUseInternalTriangles vtkQuadricClusteringGetUseInternalTrianglesFunction
//input a0 
//output y
ArrayVector vtkQuadricClusteringGetUseInternalTrianglesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseInternalTriangles (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseInternalTriangles for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseInternalTriangles();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:UseInternalTrianglesOn vtkQuadricClusteringUseInternalTrianglesOnFunction
//input a0 
//output none
ArrayVector vtkQuadricClusteringUseInternalTrianglesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseInternalTrianglesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseInternalTrianglesOn for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  vtk_pointer->UseInternalTrianglesOn();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:UseInternalTrianglesOff vtkQuadricClusteringUseInternalTrianglesOffFunction
//input a0 
//output none
ArrayVector vtkQuadricClusteringUseInternalTrianglesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseInternalTrianglesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseInternalTrianglesOff for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  vtk_pointer->UseInternalTrianglesOff();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:StartAppend__1 vtkQuadricClusteringStartAppend__1Function
//input a0 a1 
//output none
ArrayVector vtkQuadricClusteringStartAppend__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StartAppend (double *bounds); */
  if (arg.size() < 2) 
    throw Exception("Function StartAppend__1 for class vtkQuadricClustering requires 2 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->StartAppend(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:StartAppend__2 vtkQuadricClusteringStartAppend__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkQuadricClusteringStartAppend__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StartAppend (double x0, double x1, double y0, double y1, double z0, double z1);double b b x0 b x1 b y0 b y1 b z0 b z1 this StartAppend b  */
  if (arg.size() < 7) 
    throw Exception("Function StartAppend__2 for class vtkQuadricClustering requires 7 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->StartAppend(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:Append vtkQuadricClusteringAppendFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricClusteringAppendFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Append (vtkPolyData *piece); */
  if (arg.size() < 2) 
    throw Exception("Function Append for class vtkQuadricClustering requires 2 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->Append(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:EndAppend vtkQuadricClusteringEndAppendFunction
//input a0 
//output none
ArrayVector vtkQuadricClusteringEndAppendFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EndAppend (); */
  if (arg.size() < 1) 
    throw Exception("Function EndAppend for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  vtk_pointer->EndAppend();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:SetCopyCellData vtkQuadricClusteringSetCopyCellDataFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricClusteringSetCopyCellDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCopyCellData (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCopyCellData for class vtkQuadricClustering requires 2 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCopyCellData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:GetCopyCellData vtkQuadricClusteringGetCopyCellDataFunction
//input a0 
//output y
ArrayVector vtkQuadricClusteringGetCopyCellDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCopyCellData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCopyCellData for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCopyCellData();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:CopyCellDataOn vtkQuadricClusteringCopyCellDataOnFunction
//input a0 
//output none
ArrayVector vtkQuadricClusteringCopyCellDataOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyCellDataOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CopyCellDataOn for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  vtk_pointer->CopyCellDataOn();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:CopyCellDataOff vtkQuadricClusteringCopyCellDataOffFunction
//input a0 
//output none
ArrayVector vtkQuadricClusteringCopyCellDataOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyCellDataOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CopyCellDataOff for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  vtk_pointer->CopyCellDataOff();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:SetPreventDuplicateCells vtkQuadricClusteringSetPreventDuplicateCellsFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricClusteringSetPreventDuplicateCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPreventDuplicateCells (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPreventDuplicateCells for class vtkQuadricClustering requires 2 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPreventDuplicateCells(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:GetPreventDuplicateCells vtkQuadricClusteringGetPreventDuplicateCellsFunction
//input a0 
//output y
ArrayVector vtkQuadricClusteringGetPreventDuplicateCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPreventDuplicateCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPreventDuplicateCells for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPreventDuplicateCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:PreventDuplicateCellsOn vtkQuadricClusteringPreventDuplicateCellsOnFunction
//input a0 
//output none
ArrayVector vtkQuadricClusteringPreventDuplicateCellsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PreventDuplicateCellsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PreventDuplicateCellsOn for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  vtk_pointer->PreventDuplicateCellsOn();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:PreventDuplicateCellsOff vtkQuadricClusteringPreventDuplicateCellsOffFunction
//input a0 
//output none
ArrayVector vtkQuadricClusteringPreventDuplicateCellsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PreventDuplicateCellsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PreventDuplicateCellsOff for class vtkQuadricClustering requires 1 argument(s)");
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  Array retval;
  vtk_pointer->PreventDuplicateCellsOff();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricClustering:SetNumberOfDivisions vtkQuadricClusteringSetNumberOfDivisionsFunction
//input varargin
//output varargout
ArrayVector vtkQuadricClusteringSetNumberOfDivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkQuadricClusteringSetNumberOfDivisions__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkQuadricClusteringSetNumberOfDivisions__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkQuadricClusteringSetNumberOfDivisions");
}

//@@Signature
//sfunction @vtkQuadricClustering:GetNumberOfDivisions vtkQuadricClusteringGetNumberOfDivisionsFunction
//input varargin
//output varargout
ArrayVector vtkQuadricClusteringGetNumberOfDivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkQuadricClusteringGetNumberOfDivisions__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkQuadricClusteringGetNumberOfDivisions__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkQuadricClusteringGetNumberOfDivisions");
}

//@@Signature
//sfunction @vtkQuadricClustering:SetDivisionOrigin vtkQuadricClusteringSetDivisionOriginFunction
//input varargin
//output varargout
ArrayVector vtkQuadricClusteringSetDivisionOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkQuadricClusteringSetDivisionOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkQuadricClusteringSetDivisionOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkQuadricClusteringSetDivisionOrigin");
}

//@@Signature
//sfunction @vtkQuadricClustering:SetDivisionSpacing vtkQuadricClusteringSetDivisionSpacingFunction
//input varargin
//output varargout
ArrayVector vtkQuadricClusteringSetDivisionSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkQuadricClusteringSetDivisionSpacing__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkQuadricClusteringSetDivisionSpacing__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkQuadricClusteringSetDivisionSpacing");
}

//@@Signature
//sfunction @vtkQuadricClustering:StartAppend vtkQuadricClusteringStartAppendFunction
//input varargin
//output varargout
ArrayVector vtkQuadricClusteringStartAppendFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkQuadricClusteringStartAppend__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkQuadricClusteringStartAppend__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkQuadricClusteringStartAppend");
}

//@@Signature
//sfunction @vtkQuadricClustering:display vtkQuadricClusteringDisplayFunction
//input varargin
//output varargout
ArrayVector vtkQuadricClusteringDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkQuadricClustering* vtk_pointer = GetVTKPointer<vtkQuadricClustering>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkQuadricClustering:delete vtkQuadricClusteringDeleteFunction
//input varargin
//output none
ArrayVector vtkQuadricClusteringDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkQuadricClustering
//@@Section VTKGraphics
//@@Usage
// vtkQuadricClustering is a filter to reduce the number of triangles in a
// triangle mesh, forming a good approximation to the original geometry.  The
// input to vtkQuadricClustering is a vtkPolyData object, and all types of
// polygonal data are handled.
//
// The algorithm used is the one described by Peter Lindstrom in his Siggraph
// 2000 paper, "Out-of-Core Simplification of Large Polygonal Models."  The
// general approach of the algorithm is to cluster vertices in a uniform
// binning of space, accumulating the quadric of each triangle (pushed out to
// the triangles vertices) within each bin, and then determining an optimal
// position for a single vertex in a bin by using the accumulated quadric. In
// more detail, the algorithm first gets the bounds of the input poly data.
// It then breaks this bounding volume into a user-specified number of
// spatial bins.  It then reads each triangle from the input and hashes its
// vertices into these bins.  (If this is the first time a bin has been
// visited, initialize its quadric to the 0 matrix.) The algorithm computes
// the error quadric for this triangle and adds it to the existing quadric of
// the bin in which each vertex is contained. Then, if 2 or more vertices of
// the triangle fall in the same bin, the triangle is dicarded.  If the
// triangle is not discarded, it adds the triangle to the list of output
// triangles as a list of vertex identifiers.  (There is one vertex id per
// bin.)  After all the triangles have been read, the representative vertex
// for each bin is computed (an optimal location is found) using the quadric
// for that bin.  This determines the spatial location of the vertices of
// each of the triangles in the output.
//
// To use this filter, specify the divisions defining the spatial subdivision
// in the x, y, and z directions. You must also specify an input vtkPolyData.
// Then choose to either 1) use the original points that minimize the quadric
// error to produce the output triangles or 2) compute an optimal position in
// each bin to produce the output triangles (recommended and default behavior).
//
// This filter can take multiple inputs.  To do this, the user must explicity
// call StartAppend, Append (once for each input), and EndAppend.  StartAppend
// sets up the data structure to hold the quadric matrices.  Append processes
// each triangle in the input poly data it was called on, hashes its vertices
// to the appropriate bins, determines whether to keep this triangle, and
// updates the appropriate quadric matrices.  EndAppend determines the spatial
// location of each of the representative vertices for the visited bins. While
// this approach does not fit into the visualization architecture and requires
// manual control, it has the advantage that extremely large data can be 
// processed in pieces and appended to the filter piece-by-piece.
//
//To create an instance of class vtkQuadricClustering, simply
//invoke its constructor as follows
//@[
//  obj = vtkQuadricClustering
//@]
//@@Methods
//The class vtkQuadricClustering has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkQuadricClustering class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard instantition, type and print methods.
//// \item @|int = obj.IsA (string name)| -  Standard instantition, type and print methods.
//// \item @|vtkQuadricClustering = obj.NewInstance ()| -  Standard instantition, type and print methods.
//// \item @|vtkQuadricClustering = obj.SafeDownCast (vtkObject o)| -  Standard instantition, type and print methods.
//// \item @|obj.SetNumberOfXDivisions (int num)| -  Set/Get the number of divisions along each axis for the spatial bins.
// The number of spatial bins is NumberOfXDivisions*NumberOfYDivisions*
// NumberOfZDivisions.  The filter may choose to ignore large numbers of
// divisions if the input has few points and AutoAdjustNumberOfDivisions
// is enabled.
//// \item @|obj.SetNumberOfYDivisions (int num)| -  Set/Get the number of divisions along each axis for the spatial bins.
// The number of spatial bins is NumberOfXDivisions*NumberOfYDivisions*
// NumberOfZDivisions.  The filter may choose to ignore large numbers of
// divisions if the input has few points and AutoAdjustNumberOfDivisions
// is enabled.
//// \item @|obj.SetNumberOfZDivisions (int num)| -  Set/Get the number of divisions along each axis for the spatial bins.
// The number of spatial bins is NumberOfXDivisions*NumberOfYDivisions*
// NumberOfZDivisions.  The filter may choose to ignore large numbers of
// divisions if the input has few points and AutoAdjustNumberOfDivisions
// is enabled.
//// \item @|int = obj.GetNumberOfXDivisions ()| -  Set/Get the number of divisions along each axis for the spatial bins.
// The number of spatial bins is NumberOfXDivisions*NumberOfYDivisions*
// NumberOfZDivisions.  The filter may choose to ignore large numbers of
// divisions if the input has few points and AutoAdjustNumberOfDivisions
// is enabled.
//// \item @|int = obj.GetNumberOfYDivisions ()| -  Set/Get the number of divisions along each axis for the spatial bins.
// The number of spatial bins is NumberOfXDivisions*NumberOfYDivisions*
// NumberOfZDivisions.  The filter may choose to ignore large numbers of
// divisions if the input has few points and AutoAdjustNumberOfDivisions
// is enabled.
//// \item @|int = obj.GetNumberOfZDivisions ()| -  Set/Get the number of divisions along each axis for the spatial bins.
// The number of spatial bins is NumberOfXDivisions*NumberOfYDivisions*
// NumberOfZDivisions.  The filter may choose to ignore large numbers of
// divisions if the input has few points and AutoAdjustNumberOfDivisions
// is enabled.
//// \item @|obj.SetNumberOfDivisions (int div[3])| -  Set/Get the number of divisions along each axis for the spatial bins.
// The number of spatial bins is NumberOfXDivisions*NumberOfYDivisions*
// NumberOfZDivisions.  The filter may choose to ignore large numbers of
// divisions if the input has few points and AutoAdjustNumberOfDivisions
// is enabled.
//// \item @|obj.SetNumberOfDivisions (int div0, int div1, int div2)| -  Set/Get the number of divisions along each axis for the spatial bins.
// The number of spatial bins is NumberOfXDivisions*NumberOfYDivisions*
// NumberOfZDivisions.  The filter may choose to ignore large numbers of
// divisions if the input has few points and AutoAdjustNumberOfDivisions
// is enabled.
//// \item @|int = obj.GetNumberOfDivisions ()| -  Set/Get the number of divisions along each axis for the spatial bins.
// The number of spatial bins is NumberOfXDivisions*NumberOfYDivisions*
// NumberOfZDivisions.  The filter may choose to ignore large numbers of
// divisions if the input has few points and AutoAdjustNumberOfDivisions
// is enabled.
//// \item @|obj.GetNumberOfDivisions (int div[3])| -  Set/Get the number of divisions along each axis for the spatial bins.
// The number of spatial bins is NumberOfXDivisions*NumberOfYDivisions*
// NumberOfZDivisions.  The filter may choose to ignore large numbers of
// divisions if the input has few points and AutoAdjustNumberOfDivisions
// is enabled.
//// \item @|obj.SetAutoAdjustNumberOfDivisions (int )| -  Enable automatic adjustment of number of divisions. If off, the number
// of divisions specified by the user is always used (as long as it is valid).
// The default is On
//// \item @|int = obj.GetAutoAdjustNumberOfDivisions ()| -  Enable automatic adjustment of number of divisions. If off, the number
// of divisions specified by the user is always used (as long as it is valid).
// The default is On
//// \item @|obj.AutoAdjustNumberOfDivisionsOn ()| -  Enable automatic adjustment of number of divisions. If off, the number
// of divisions specified by the user is always used (as long as it is valid).
// The default is On
//// \item @|obj.AutoAdjustNumberOfDivisionsOff ()| -  Enable automatic adjustment of number of divisions. If off, the number
// of divisions specified by the user is always used (as long as it is valid).
// The default is On
//// \item @|obj.SetDivisionOrigin (double x, double y, double z)| -  This is an alternative way to set up the bins.  If you are trying to match
// boundaries between pieces, then you should use these methods rather than
// SetNumberOfDivisions. To use these methods, specify the origin and spacing
// of the spatial binning.
//// \item @|obj.SetDivisionOrigin (double o[3])| -  This is an alternative way to set up the bins.  If you are trying to match
// boundaries between pieces, then you should use these methods rather than
// SetNumberOfDivisions. To use these methods, specify the origin and spacing
// of the spatial binning.
//// \item @|double = obj. GetDivisionOrigin ()| -  This is an alternative way to set up the bins.  If you are trying to match
// boundaries between pieces, then you should use these methods rather than
// SetNumberOfDivisions. To use these methods, specify the origin and spacing
// of the spatial binning.
//// \item @|obj.SetDivisionSpacing (double x, double y, double z)| -  This is an alternative way to set up the bins.  If you are trying to match
// boundaries between pieces, then you should use these methods rather than
// SetNumberOfDivisions. To use these methods, specify the origin and spacing
// of the spatial binning.
//// \item @|obj.SetDivisionSpacing (double s[3])| -  This is an alternative way to set up the bins.  If you are trying to match
// boundaries between pieces, then you should use these methods rather than
// SetNumberOfDivisions. To use these methods, specify the origin and spacing
// of the spatial binning.
//// \item @|double = obj. GetDivisionSpacing ()| -  This is an alternative way to set up the bins.  If you are trying to match
// boundaries between pieces, then you should use these methods rather than
// SetNumberOfDivisions. To use these methods, specify the origin and spacing
// of the spatial binning.
//// \item @|obj.SetUseInputPoints (int )| -  Normally the point that minimizes the quadric error function is used as
// the output of the bin.  When this flag is on, the bin point is forced to
// be one of the points from the input (the one with the smallest
// error). This option does not work (i.e., input points cannot be used)
// when the append methods (StartAppend(), Append(), EndAppend()) are being
// called directly.
//// \item @|int = obj.GetUseInputPoints ()| -  Normally the point that minimizes the quadric error function is used as
// the output of the bin.  When this flag is on, the bin point is forced to
// be one of the points from the input (the one with the smallest
// error). This option does not work (i.e., input points cannot be used)
// when the append methods (StartAppend(), Append(), EndAppend()) are being
// called directly.
//// \item @|obj.UseInputPointsOn ()| -  Normally the point that minimizes the quadric error function is used as
// the output of the bin.  When this flag is on, the bin point is forced to
// be one of the points from the input (the one with the smallest
// error). This option does not work (i.e., input points cannot be used)
// when the append methods (StartAppend(), Append(), EndAppend()) are being
// called directly.
//// \item @|obj.UseInputPointsOff ()| -  Normally the point that minimizes the quadric error function is used as
// the output of the bin.  When this flag is on, the bin point is forced to
// be one of the points from the input (the one with the smallest
// error). This option does not work (i.e., input points cannot be used)
// when the append methods (StartAppend(), Append(), EndAppend()) are being
// called directly.
//// \item @|obj.SetUseFeatureEdges (int )| -  By default, this flag is off.  When "UseFeatureEdges" is on, then
// quadrics are computed for boundary edges/feature edges.  They influence
// the quadrics (position of points), but not the mesh.  Which features to
// use can be controlled by the filter "FeatureEdges".
//// \item @|int = obj.GetUseFeatureEdges ()| -  By default, this flag is off.  When "UseFeatureEdges" is on, then
// quadrics are computed for boundary edges/feature edges.  They influence
// the quadrics (position of points), but not the mesh.  Which features to
// use can be controlled by the filter "FeatureEdges".
//// \item @|obj.UseFeatureEdgesOn ()| -  By default, this flag is off.  When "UseFeatureEdges" is on, then
// quadrics are computed for boundary edges/feature edges.  They influence
// the quadrics (position of points), but not the mesh.  Which features to
// use can be controlled by the filter "FeatureEdges".
//// \item @|obj.UseFeatureEdgesOff ()| -  By default, this flag is off.  When "UseFeatureEdges" is on, then
// quadrics are computed for boundary edges/feature edges.  They influence
// the quadrics (position of points), but not the mesh.  Which features to
// use can be controlled by the filter "FeatureEdges".
//// \item @|vtkFeatureEdges = obj.GetFeatureEdges ()| -  By default, this flag is off.  It only has an effect when
// "UseFeatureEdges" is also on.  When "UseFeaturePoints" is on, then
// quadrics are computed for boundary / feature points used in the boundary
// / feature edges.  They influence the quadrics (position of points), but
// not the mesh.
//// \item @|obj.SetUseFeaturePoints (int )| -  By default, this flag is off.  It only has an effect when
// "UseFeatureEdges" is also on.  When "UseFeaturePoints" is on, then
// quadrics are computed for boundary / feature points used in the boundary
// / feature edges.  They influence the quadrics (position of points), but
// not the mesh.
//// \item @|int = obj.GetUseFeaturePoints ()| -  By default, this flag is off.  It only has an effect when
// "UseFeatureEdges" is also on.  When "UseFeaturePoints" is on, then
// quadrics are computed for boundary / feature points used in the boundary
// / feature edges.  They influence the quadrics (position of points), but
// not the mesh.
//// \item @|obj.UseFeaturePointsOn ()| -  By default, this flag is off.  It only has an effect when
// "UseFeatureEdges" is also on.  When "UseFeaturePoints" is on, then
// quadrics are computed for boundary / feature points used in the boundary
// / feature edges.  They influence the quadrics (position of points), but
// not the mesh.
//// \item @|obj.UseFeaturePointsOff ()| -  By default, this flag is off.  It only has an effect when
// "UseFeatureEdges" is also on.  When "UseFeaturePoints" is on, then
// quadrics are computed for boundary / feature points used in the boundary
// / feature edges.  They influence the quadrics (position of points), but
// not the mesh.
//// \item @|obj.SetFeaturePointsAngle (double )| -  Set/Get the angle to use in determining whether a point on a boundary /
// feature edge is a feature point.
//// \item @|double = obj.GetFeaturePointsAngleMinValue ()| -  Set/Get the angle to use in determining whether a point on a boundary /
// feature edge is a feature point.
//// \item @|double = obj.GetFeaturePointsAngleMaxValue ()| -  Set/Get the angle to use in determining whether a point on a boundary /
// feature edge is a feature point.
//// \item @|double = obj.GetFeaturePointsAngle ()| -  Set/Get the angle to use in determining whether a point on a boundary /
// feature edge is a feature point.
//// \item @|obj.SetUseInternalTriangles (int )| -  When this flag is on (and it is on by default), then triangles that are 
// completely contained in a bin are added to the bin quadrics.  When the
// the flag is off the filter operates faster, but the surface may not be
// as well behaved.
//// \item @|int = obj.GetUseInternalTriangles ()| -  When this flag is on (and it is on by default), then triangles that are 
// completely contained in a bin are added to the bin quadrics.  When the
// the flag is off the filter operates faster, but the surface may not be
// as well behaved.
//// \item @|obj.UseInternalTrianglesOn ()| -  When this flag is on (and it is on by default), then triangles that are 
// completely contained in a bin are added to the bin quadrics.  When the
// the flag is off the filter operates faster, but the surface may not be
// as well behaved.
//// \item @|obj.UseInternalTrianglesOff ()| -  When this flag is on (and it is on by default), then triangles that are 
// completely contained in a bin are added to the bin quadrics.  When the
// the flag is off the filter operates faster, but the surface may not be
// as well behaved.
//// \item @|obj.StartAppend (double bounds)| -  These methods provide an alternative way of executing the filter.
// PolyData can be added to the result in pieces (append).
// In this mode, the user must specify the bounds of the entire model
// as an argument to the "StartAppend" method.
//// \item @|obj.StartAppend (double x0, double x1, double y0, double y1, double z0, double z1)| -  These methods provide an alternative way of executing the filter.
// PolyData can be added to the result in pieces (append).
// In this mode, the user must specify the bounds of the entire model
// as an argument to the "StartAppend" method.
//// \item @|obj.Append (vtkPolyData piece)| -  These methods provide an alternative way of executing the filter.
// PolyData can be added to the result in pieces (append).
// In this mode, the user must specify the bounds of the entire model
// as an argument to the "StartAppend" method.
//// \item @|obj.EndAppend ()| -  These methods provide an alternative way of executing the filter.
// PolyData can be added to the result in pieces (append).
// In this mode, the user must specify the bounds of the entire model
// as an argument to the "StartAppend" method.
//// \item @|obj.SetCopyCellData (int )| -  This flag makes the filter copy cell data from input to output 
// (the best it can).  It uses input cells that trigger the addition
// of output cells (no averaging).  This is off by default, and does
// not work when append is being called explicitely (non-pipeline usage).
//// \item @|int = obj.GetCopyCellData ()| -  This flag makes the filter copy cell data from input to output 
// (the best it can).  It uses input cells that trigger the addition
// of output cells (no averaging).  This is off by default, and does
// not work when append is being called explicitely (non-pipeline usage).
//// \item @|obj.CopyCellDataOn ()| -  This flag makes the filter copy cell data from input to output 
// (the best it can).  It uses input cells that trigger the addition
// of output cells (no averaging).  This is off by default, and does
// not work when append is being called explicitely (non-pipeline usage).
//// \item @|obj.CopyCellDataOff ()| -  This flag makes the filter copy cell data from input to output 
// (the best it can).  It uses input cells that trigger the addition
// of output cells (no averaging).  This is off by default, and does
// not work when append is being called explicitely (non-pipeline usage).
//// \item @|obj.SetPreventDuplicateCells (int )| -  Specify a boolean indicating whether to remove duplicate cells
// (i.e. triangles).  This is a little slower, and takes more memory, but
// in some cases can reduce the number of cells produced by an order of
// magnitude. By default, this flag is true.
//// \item @|int = obj.GetPreventDuplicateCells ()| -  Specify a boolean indicating whether to remove duplicate cells
// (i.e. triangles).  This is a little slower, and takes more memory, but
// in some cases can reduce the number of cells produced by an order of
// magnitude. By default, this flag is true.
//// \item @|obj.PreventDuplicateCellsOn ()| -  Specify a boolean indicating whether to remove duplicate cells
// (i.e. triangles).  This is a little slower, and takes more memory, but
// in some cases can reduce the number of cells produced by an order of
// magnitude. By default, this flag is true.
//// \item @|obj.PreventDuplicateCellsOff ()| -  Specify a boolean indicating whether to remove duplicate cells
// (i.e. triangles).  This is a little slower, and takes more memory, but
// in some cases can reduce the number of cells produced by an order of
// magnitude. By default, this flag is true.
////\end{itemize}
//!
