#include "VTKWrap.hpp"

// FreeMat wrapper for vtkQuadricDecimation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkQuadricDecimation.h"

//@@Signature
//sfunction @vtkQuadricDecimation:vtkQuadricDecimation vtkQuadricDecimationConstructorFunction
//input a
//output p
//@@Parents vtkQuadricDecimation vtkPolyDataAlgorithm 
ArrayVector vtkQuadricDecimationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkQuadricDecimation::New(),"vtkQuadricDecimation",eval);
  } else if (arg[0].className() == "vtkQuadricDecimation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkQuadricDecimation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkQuadricDecimation");
    vtkQuadricDecimation*q = reinterpret_cast<vtkQuadricDecimation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkQuadricDecimation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkQuadricDecimation:GetClassName vtkQuadricDecimationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkQuadricDecimationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkQuadricDecimation requires 1 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:IsA vtkQuadricDecimationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkQuadricDecimationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkQuadricDecimation requires 2 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:NewInstance vtkQuadricDecimationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkQuadricDecimationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkQuadricDecimation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkQuadricDecimation requires 1 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  vtkQuadricDecimation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkQuadricDecimation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:SafeDownCast vtkQuadricDecimationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkQuadricDecimationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkQuadricDecimation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkQuadricDecimation requires 2 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkQuadricDecimation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkQuadricDecimation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:SetTargetReduction vtkQuadricDecimationSetTargetReductionFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricDecimationSetTargetReductionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTargetReduction (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTargetReduction for class vtkQuadricDecimation requires 2 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTargetReduction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:GetTargetReductionMinValue vtkQuadricDecimationGetTargetReductionMinValueFunction
//input a0 
//output y
ArrayVector vtkQuadricDecimationGetTargetReductionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTargetReductionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTargetReductionMinValue for class vtkQuadricDecimation requires 1 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTargetReductionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:GetTargetReductionMaxValue vtkQuadricDecimationGetTargetReductionMaxValueFunction
//input a0 
//output y
ArrayVector vtkQuadricDecimationGetTargetReductionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTargetReductionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTargetReductionMaxValue for class vtkQuadricDecimation requires 1 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTargetReductionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:GetTargetReduction vtkQuadricDecimationGetTargetReductionFunction
//input a0 
//output y
ArrayVector vtkQuadricDecimationGetTargetReductionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTargetReduction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTargetReduction for class vtkQuadricDecimation requires 1 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTargetReduction();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:SetAttributeErrorMetric vtkQuadricDecimationSetAttributeErrorMetricFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricDecimationSetAttributeErrorMetricFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAttributeErrorMetric (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAttributeErrorMetric for class vtkQuadricDecimation requires 2 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAttributeErrorMetric(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:GetAttributeErrorMetric vtkQuadricDecimationGetAttributeErrorMetricFunction
//input a0 
//output y
ArrayVector vtkQuadricDecimationGetAttributeErrorMetricFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAttributeErrorMetric (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAttributeErrorMetric for class vtkQuadricDecimation requires 1 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAttributeErrorMetric();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:AttributeErrorMetricOn vtkQuadricDecimationAttributeErrorMetricOnFunction
//input a0 
//output none
ArrayVector vtkQuadricDecimationAttributeErrorMetricOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AttributeErrorMetricOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AttributeErrorMetricOn for class vtkQuadricDecimation requires 1 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  vtk_pointer->AttributeErrorMetricOn();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:AttributeErrorMetricOff vtkQuadricDecimationAttributeErrorMetricOffFunction
//input a0 
//output none
ArrayVector vtkQuadricDecimationAttributeErrorMetricOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AttributeErrorMetricOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AttributeErrorMetricOff for class vtkQuadricDecimation requires 1 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  vtk_pointer->AttributeErrorMetricOff();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:SetScalarsAttribute vtkQuadricDecimationSetScalarsAttributeFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricDecimationSetScalarsAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarsAttribute (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarsAttribute for class vtkQuadricDecimation requires 2 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScalarsAttribute(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:GetScalarsAttribute vtkQuadricDecimationGetScalarsAttributeFunction
//input a0 
//output y
ArrayVector vtkQuadricDecimationGetScalarsAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarsAttribute (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarsAttribute for class vtkQuadricDecimation requires 1 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScalarsAttribute();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:ScalarsAttributeOn vtkQuadricDecimationScalarsAttributeOnFunction
//input a0 
//output none
ArrayVector vtkQuadricDecimationScalarsAttributeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScalarsAttributeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ScalarsAttributeOn for class vtkQuadricDecimation requires 1 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  vtk_pointer->ScalarsAttributeOn();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:ScalarsAttributeOff vtkQuadricDecimationScalarsAttributeOffFunction
//input a0 
//output none
ArrayVector vtkQuadricDecimationScalarsAttributeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScalarsAttributeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ScalarsAttributeOff for class vtkQuadricDecimation requires 1 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  vtk_pointer->ScalarsAttributeOff();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:SetVectorsAttribute vtkQuadricDecimationSetVectorsAttributeFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricDecimationSetVectorsAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorsAttribute (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetVectorsAttribute for class vtkQuadricDecimation requires 2 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetVectorsAttribute(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:GetVectorsAttribute vtkQuadricDecimationGetVectorsAttributeFunction
//input a0 
//output y
ArrayVector vtkQuadricDecimationGetVectorsAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVectorsAttribute (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVectorsAttribute for class vtkQuadricDecimation requires 1 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVectorsAttribute();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:VectorsAttributeOn vtkQuadricDecimationVectorsAttributeOnFunction
//input a0 
//output none
ArrayVector vtkQuadricDecimationVectorsAttributeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void VectorsAttributeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function VectorsAttributeOn for class vtkQuadricDecimation requires 1 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  vtk_pointer->VectorsAttributeOn();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:VectorsAttributeOff vtkQuadricDecimationVectorsAttributeOffFunction
//input a0 
//output none
ArrayVector vtkQuadricDecimationVectorsAttributeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void VectorsAttributeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function VectorsAttributeOff for class vtkQuadricDecimation requires 1 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  vtk_pointer->VectorsAttributeOff();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:SetNormalsAttribute vtkQuadricDecimationSetNormalsAttributeFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricDecimationSetNormalsAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalsAttribute (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormalsAttribute for class vtkQuadricDecimation requires 2 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNormalsAttribute(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:GetNormalsAttribute vtkQuadricDecimationGetNormalsAttributeFunction
//input a0 
//output y
ArrayVector vtkQuadricDecimationGetNormalsAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNormalsAttribute (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalsAttribute for class vtkQuadricDecimation requires 1 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNormalsAttribute();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:NormalsAttributeOn vtkQuadricDecimationNormalsAttributeOnFunction
//input a0 
//output none
ArrayVector vtkQuadricDecimationNormalsAttributeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalsAttributeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalsAttributeOn for class vtkQuadricDecimation requires 1 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  vtk_pointer->NormalsAttributeOn();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:NormalsAttributeOff vtkQuadricDecimationNormalsAttributeOffFunction
//input a0 
//output none
ArrayVector vtkQuadricDecimationNormalsAttributeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalsAttributeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalsAttributeOff for class vtkQuadricDecimation requires 1 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  vtk_pointer->NormalsAttributeOff();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:SetTCoordsAttribute vtkQuadricDecimationSetTCoordsAttributeFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricDecimationSetTCoordsAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTCoordsAttribute (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTCoordsAttribute for class vtkQuadricDecimation requires 2 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTCoordsAttribute(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:GetTCoordsAttribute vtkQuadricDecimationGetTCoordsAttributeFunction
//input a0 
//output y
ArrayVector vtkQuadricDecimationGetTCoordsAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTCoordsAttribute (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTCoordsAttribute for class vtkQuadricDecimation requires 1 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTCoordsAttribute();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:TCoordsAttributeOn vtkQuadricDecimationTCoordsAttributeOnFunction
//input a0 
//output none
ArrayVector vtkQuadricDecimationTCoordsAttributeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TCoordsAttributeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TCoordsAttributeOn for class vtkQuadricDecimation requires 1 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  vtk_pointer->TCoordsAttributeOn();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:TCoordsAttributeOff vtkQuadricDecimationTCoordsAttributeOffFunction
//input a0 
//output none
ArrayVector vtkQuadricDecimationTCoordsAttributeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TCoordsAttributeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TCoordsAttributeOff for class vtkQuadricDecimation requires 1 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  vtk_pointer->TCoordsAttributeOff();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:SetTensorsAttribute vtkQuadricDecimationSetTensorsAttributeFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricDecimationSetTensorsAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTensorsAttribute (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTensorsAttribute for class vtkQuadricDecimation requires 2 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTensorsAttribute(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:GetTensorsAttribute vtkQuadricDecimationGetTensorsAttributeFunction
//input a0 
//output y
ArrayVector vtkQuadricDecimationGetTensorsAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTensorsAttribute (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTensorsAttribute for class vtkQuadricDecimation requires 1 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTensorsAttribute();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:TensorsAttributeOn vtkQuadricDecimationTensorsAttributeOnFunction
//input a0 
//output none
ArrayVector vtkQuadricDecimationTensorsAttributeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TensorsAttributeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TensorsAttributeOn for class vtkQuadricDecimation requires 1 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  vtk_pointer->TensorsAttributeOn();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:TensorsAttributeOff vtkQuadricDecimationTensorsAttributeOffFunction
//input a0 
//output none
ArrayVector vtkQuadricDecimationTensorsAttributeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TensorsAttributeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TensorsAttributeOff for class vtkQuadricDecimation requires 1 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  vtk_pointer->TensorsAttributeOff();
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:SetScalarsWeight vtkQuadricDecimationSetScalarsWeightFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricDecimationSetScalarsWeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarsWeight (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarsWeight for class vtkQuadricDecimation requires 2 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetScalarsWeight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:SetVectorsWeight vtkQuadricDecimationSetVectorsWeightFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricDecimationSetVectorsWeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorsWeight (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetVectorsWeight for class vtkQuadricDecimation requires 2 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetVectorsWeight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:SetNormalsWeight vtkQuadricDecimationSetNormalsWeightFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricDecimationSetNormalsWeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalsWeight (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormalsWeight for class vtkQuadricDecimation requires 2 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetNormalsWeight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:SetTCoordsWeight vtkQuadricDecimationSetTCoordsWeightFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricDecimationSetTCoordsWeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTCoordsWeight (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTCoordsWeight for class vtkQuadricDecimation requires 2 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTCoordsWeight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:SetTensorsWeight vtkQuadricDecimationSetTensorsWeightFunction
//input a0 a1 
//output none
ArrayVector vtkQuadricDecimationSetTensorsWeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTensorsWeight (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTensorsWeight for class vtkQuadricDecimation requires 2 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTensorsWeight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:GetScalarsWeight vtkQuadricDecimationGetScalarsWeightFunction
//input a0 
//output y
ArrayVector vtkQuadricDecimationGetScalarsWeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetScalarsWeight (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarsWeight for class vtkQuadricDecimation requires 1 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetScalarsWeight();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:GetVectorsWeight vtkQuadricDecimationGetVectorsWeightFunction
//input a0 
//output y
ArrayVector vtkQuadricDecimationGetVectorsWeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetVectorsWeight (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVectorsWeight for class vtkQuadricDecimation requires 1 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetVectorsWeight();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:GetNormalsWeight vtkQuadricDecimationGetNormalsWeightFunction
//input a0 
//output y
ArrayVector vtkQuadricDecimationGetNormalsWeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetNormalsWeight (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalsWeight for class vtkQuadricDecimation requires 1 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetNormalsWeight();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:GetTCoordsWeight vtkQuadricDecimationGetTCoordsWeightFunction
//input a0 
//output y
ArrayVector vtkQuadricDecimationGetTCoordsWeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTCoordsWeight (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTCoordsWeight for class vtkQuadricDecimation requires 1 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTCoordsWeight();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:GetTensorsWeight vtkQuadricDecimationGetTensorsWeightFunction
//input a0 
//output y
ArrayVector vtkQuadricDecimationGetTensorsWeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTensorsWeight (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTensorsWeight for class vtkQuadricDecimation requires 1 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTensorsWeight();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:GetActualReduction vtkQuadricDecimationGetActualReductionFunction
//input a0 
//output y
ArrayVector vtkQuadricDecimationGetActualReductionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetActualReduction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActualReduction for class vtkQuadricDecimation requires 1 argument(s)");
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetActualReduction();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuadricDecimation:display vtkQuadricDecimationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkQuadricDecimationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkQuadricDecimation* vtk_pointer = GetVTKPointer<vtkQuadricDecimation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkQuadricDecimation:delete vtkQuadricDecimationDeleteFunction
//input varargin
//output none
ArrayVector vtkQuadricDecimationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkQuadricDecimation
//@@Section VTKGraphics
//@@Usage
// vtkQuadricDecimation is a filter to reduce the number of triangles in
// a triangle mesh, forming a good approximation to the original geometry. 
// The input to vtkQuadricDecimation is a vtkPolyData object, and only
// triangles are treated. If you desire to decimate polygonal meshes, first
// triangulate the polygons with vtkTriangleFilter.
//
// The algorithm is based on repeated edge collapses until the requested mesh
// reduction is achieved. Edges are placed in a priority queue based on the
// "cost" to delete the edge. The cost is an approximate measure of error
// (distance to the original surface)--described by the so-called quadric
// error measure. The quadric error measure is associated with each vertex of
// the mesh and represents a matrix of planes incident on that vertex. The
// distance of the planes to the vertex is the error in the position of the
// vertex (originally the vertex error iz zero). As edges are deleted, the
// quadric error measure associated with the two end points of the edge are
// summed (this combines the plane equations) and an optimal collapse point
// can be computed. Edges connected to the collapse point are then reinserted
// into the queue after computing the new cost to delete them. The process
// continues until the desired reduction level is reached or topological
// constraints prevent further reduction. Note that this basic algorithm can
// be extended to higher dimensions by
// taking into account variation in attributes (i.e., scalars, vectors, and
// so on).
//
// This paper is based on the work of Garland and Heckbert who first
// presented the quadric error measure at Siggraph '97 "Surface
// Simplification Using Quadric Error Metrics". For details of the algorithm
// Michael Garland's Ph.D. thesis is also recommended. Hughues Hoppe's Vis
// '99 paper, "New Quadric Metric for Simplifying Meshes with Appearance
// Attributes" is also a good take on the subject especially as it pertains
// to the error metric applied to attributes.
//
// .SECTION Thanks
// Thanks to Bradley Lowekamp of the National Library of Medicine/NIH for
// contributing this class.
//
//To create an instance of class vtkQuadricDecimation, simply
//invoke its constructor as follows
//@[
//  obj = vtkQuadricDecimation
//@]
//@@Methods
//The class vtkQuadricDecimation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkQuadricDecimation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkQuadricDecimation = obj.NewInstance ()|
// \item @|vtkQuadricDecimation = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetTargetReduction (double )| -  Set/Get the desired reduction (expressed as a fraction of the original
// number of triangles). The actual reduction may be less depending on
// triangulation and topological constraints.
//// \item @|double = obj.GetTargetReductionMinValue ()| -  Set/Get the desired reduction (expressed as a fraction of the original
// number of triangles). The actual reduction may be less depending on
// triangulation and topological constraints.
//// \item @|double = obj.GetTargetReductionMaxValue ()| -  Set/Get the desired reduction (expressed as a fraction of the original
// number of triangles). The actual reduction may be less depending on
// triangulation and topological constraints.
//// \item @|double = obj.GetTargetReduction ()| -  Set/Get the desired reduction (expressed as a fraction of the original
// number of triangles). The actual reduction may be less depending on
// triangulation and topological constraints.
//// \item @|obj.SetAttributeErrorMetric (int )| -  Decide whether to include data attributes in the error metric. If off,
// then only geometric error is used to control the decimation. By default
// the attribute errors are off.
//// \item @|int = obj.GetAttributeErrorMetric ()| -  Decide whether to include data attributes in the error metric. If off,
// then only geometric error is used to control the decimation. By default
// the attribute errors are off.
//// \item @|obj.AttributeErrorMetricOn ()| -  Decide whether to include data attributes in the error metric. If off,
// then only geometric error is used to control the decimation. By default
// the attribute errors are off.
//// \item @|obj.AttributeErrorMetricOff ()| -  Decide whether to include data attributes in the error metric. If off,
// then only geometric error is used to control the decimation. By default
// the attribute errors are off.
//// \item @|obj.SetScalarsAttribute (int )| -  If attribute errors are to be included in the metric (i.e.,
// AttributeErrorMetric is on), then the following flags control which
// attributes are to be included in the error calculation. By default all
// of these are on.
//// \item @|int = obj.GetScalarsAttribute ()| -  If attribute errors are to be included in the metric (i.e.,
// AttributeErrorMetric is on), then the following flags control which
// attributes are to be included in the error calculation. By default all
// of these are on.
//// \item @|obj.ScalarsAttributeOn ()| -  If attribute errors are to be included in the metric (i.e.,
// AttributeErrorMetric is on), then the following flags control which
// attributes are to be included in the error calculation. By default all
// of these are on.
//// \item @|obj.ScalarsAttributeOff ()| -  If attribute errors are to be included in the metric (i.e.,
// AttributeErrorMetric is on), then the following flags control which
// attributes are to be included in the error calculation. By default all
// of these are on.
//// \item @|obj.SetVectorsAttribute (int )| -  If attribute errors are to be included in the metric (i.e.,
// AttributeErrorMetric is on), then the following flags control which
// attributes are to be included in the error calculation. By default all
// of these are on.
//// \item @|int = obj.GetVectorsAttribute ()| -  If attribute errors are to be included in the metric (i.e.,
// AttributeErrorMetric is on), then the following flags control which
// attributes are to be included in the error calculation. By default all
// of these are on.
//// \item @|obj.VectorsAttributeOn ()| -  If attribute errors are to be included in the metric (i.e.,
// AttributeErrorMetric is on), then the following flags control which
// attributes are to be included in the error calculation. By default all
// of these are on.
//// \item @|obj.VectorsAttributeOff ()| -  If attribute errors are to be included in the metric (i.e.,
// AttributeErrorMetric is on), then the following flags control which
// attributes are to be included in the error calculation. By default all
// of these are on.
//// \item @|obj.SetNormalsAttribute (int )| -  If attribute errors are to be included in the metric (i.e.,
// AttributeErrorMetric is on), then the following flags control which
// attributes are to be included in the error calculation. By default all
// of these are on.
//// \item @|int = obj.GetNormalsAttribute ()| -  If attribute errors are to be included in the metric (i.e.,
// AttributeErrorMetric is on), then the following flags control which
// attributes are to be included in the error calculation. By default all
// of these are on.
//// \item @|obj.NormalsAttributeOn ()| -  If attribute errors are to be included in the metric (i.e.,
// AttributeErrorMetric is on), then the following flags control which
// attributes are to be included in the error calculation. By default all
// of these are on.
//// \item @|obj.NormalsAttributeOff ()| -  If attribute errors are to be included in the metric (i.e.,
// AttributeErrorMetric is on), then the following flags control which
// attributes are to be included in the error calculation. By default all
// of these are on.
//// \item @|obj.SetTCoordsAttribute (int )| -  If attribute errors are to be included in the metric (i.e.,
// AttributeErrorMetric is on), then the following flags control which
// attributes are to be included in the error calculation. By default all
// of these are on.
//// \item @|int = obj.GetTCoordsAttribute ()| -  If attribute errors are to be included in the metric (i.e.,
// AttributeErrorMetric is on), then the following flags control which
// attributes are to be included in the error calculation. By default all
// of these are on.
//// \item @|obj.TCoordsAttributeOn ()| -  If attribute errors are to be included in the metric (i.e.,
// AttributeErrorMetric is on), then the following flags control which
// attributes are to be included in the error calculation. By default all
// of these are on.
//// \item @|obj.TCoordsAttributeOff ()| -  If attribute errors are to be included in the metric (i.e.,
// AttributeErrorMetric is on), then the following flags control which
// attributes are to be included in the error calculation. By default all
// of these are on.
//// \item @|obj.SetTensorsAttribute (int )| -  If attribute errors are to be included in the metric (i.e.,
// AttributeErrorMetric is on), then the following flags control which
// attributes are to be included in the error calculation. By default all
// of these are on.
//// \item @|int = obj.GetTensorsAttribute ()| -  If attribute errors are to be included in the metric (i.e.,
// AttributeErrorMetric is on), then the following flags control which
// attributes are to be included in the error calculation. By default all
// of these are on.
//// \item @|obj.TensorsAttributeOn ()| -  If attribute errors are to be included in the metric (i.e.,
// AttributeErrorMetric is on), then the following flags control which
// attributes are to be included in the error calculation. By default all
// of these are on.
//// \item @|obj.TensorsAttributeOff ()| -  If attribute errors are to be included in the metric (i.e.,
// AttributeErrorMetric is on), then the following flags control which
// attributes are to be included in the error calculation. By default all
// of these are on.
//// \item @|obj.SetScalarsWeight (double )| -  Set/Get the scaling weight contribution of the attribute. These
// values are used to weight the contribution of the attributes
// towards the error metric.
//// \item @|obj.SetVectorsWeight (double )| -  Set/Get the scaling weight contribution of the attribute. These
// values are used to weight the contribution of the attributes
// towards the error metric.
//// \item @|obj.SetNormalsWeight (double )| -  Set/Get the scaling weight contribution of the attribute. These
// values are used to weight the contribution of the attributes
// towards the error metric.
//// \item @|obj.SetTCoordsWeight (double )| -  Set/Get the scaling weight contribution of the attribute. These
// values are used to weight the contribution of the attributes
// towards the error metric.
//// \item @|obj.SetTensorsWeight (double )| -  Set/Get the scaling weight contribution of the attribute. These
// values are used to weight the contribution of the attributes
// towards the error metric.
//// \item @|double = obj.GetScalarsWeight ()| -  Set/Get the scaling weight contribution of the attribute. These
// values are used to weight the contribution of the attributes
// towards the error metric.
//// \item @|double = obj.GetVectorsWeight ()| -  Set/Get the scaling weight contribution of the attribute. These
// values are used to weight the contribution of the attributes
// towards the error metric.
//// \item @|double = obj.GetNormalsWeight ()| -  Set/Get the scaling weight contribution of the attribute. These
// values are used to weight the contribution of the attributes
// towards the error metric.
//// \item @|double = obj.GetTCoordsWeight ()| -  Set/Get the scaling weight contribution of the attribute. These
// values are used to weight the contribution of the attributes
// towards the error metric.
//// \item @|double = obj.GetTensorsWeight ()| -  Set/Get the scaling weight contribution of the attribute. These
// values are used to weight the contribution of the attributes
// towards the error metric.
//// \item @|double = obj.GetActualReduction ()| -  Get the actual reduction. This value is only valid after the
// filter has executed.
////\end{itemize}
//!
