#include "VTKWrap.hpp"

// FreeMat wrapper for vtkQuantizePolyDataPoints object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkQuantizePolyDataPoints.h"

//@@Signature
//sfunction @vtkQuantizePolyDataPoints:vtkQuantizePolyDataPoints vtkQuantizePolyDataPointsConstructorFunction
//input a
//output p
//@@Parents vtkQuantizePolyDataPoints vtkCleanPolyData 
ArrayVector vtkQuantizePolyDataPointsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkQuantizePolyDataPoints::New(),"vtkQuantizePolyDataPoints",eval);
  } else if (arg[0].className() == "vtkQuantizePolyDataPoints") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkQuantizePolyDataPoints"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkQuantizePolyDataPoints");
    vtkQuantizePolyDataPoints*q = reinterpret_cast<vtkQuantizePolyDataPoints*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkQuantizePolyDataPoints");
    return ret;
  }
}
//@@Signature
//sfunction @vtkQuantizePolyDataPoints:GetClassName vtkQuantizePolyDataPointsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkQuantizePolyDataPointsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkQuantizePolyDataPoints requires 1 argument(s)");
  vtkQuantizePolyDataPoints* vtk_pointer = GetVTKPointer<vtkQuantizePolyDataPoints>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuantizePolyDataPoints:IsA vtkQuantizePolyDataPointsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkQuantizePolyDataPointsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkQuantizePolyDataPoints requires 2 argument(s)");
  vtkQuantizePolyDataPoints* vtk_pointer = GetVTKPointer<vtkQuantizePolyDataPoints>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuantizePolyDataPoints:NewInstance vtkQuantizePolyDataPointsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkQuantizePolyDataPointsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkQuantizePolyDataPoints *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkQuantizePolyDataPoints requires 1 argument(s)");
  vtkQuantizePolyDataPoints* vtk_pointer = GetVTKPointer<vtkQuantizePolyDataPoints>(arg[0]);
  Array retval;
  vtkQuantizePolyDataPoints  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkQuantizePolyDataPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQuantizePolyDataPoints:SafeDownCast vtkQuantizePolyDataPointsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkQuantizePolyDataPointsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkQuantizePolyDataPoints *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkQuantizePolyDataPoints requires 2 argument(s)");
  vtkQuantizePolyDataPoints* vtk_pointer = GetVTKPointer<vtkQuantizePolyDataPoints>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkQuantizePolyDataPoints  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkQuantizePolyDataPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkQuantizePolyDataPoints:SetQFactor vtkQuantizePolyDataPointsSetQFactorFunction
//input a0 a1 
//output none
ArrayVector vtkQuantizePolyDataPointsSetQFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetQFactor for class vtkQuantizePolyDataPoints requires 2 argument(s)");
  vtkQuantizePolyDataPoints* vtk_pointer = GetVTKPointer<vtkQuantizePolyDataPoints>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetQFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkQuantizePolyDataPoints:GetQFactorMinValue vtkQuantizePolyDataPointsGetQFactorMinValueFunction
//input a0 
//output y
ArrayVector vtkQuantizePolyDataPointsGetQFactorMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetQFactorMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetQFactorMinValue for class vtkQuantizePolyDataPoints requires 1 argument(s)");
  vtkQuantizePolyDataPoints* vtk_pointer = GetVTKPointer<vtkQuantizePolyDataPoints>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetQFactorMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuantizePolyDataPoints:GetQFactorMaxValue vtkQuantizePolyDataPointsGetQFactorMaxValueFunction
//input a0 
//output y
ArrayVector vtkQuantizePolyDataPointsGetQFactorMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetQFactorMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetQFactorMaxValue for class vtkQuantizePolyDataPoints requires 1 argument(s)");
  vtkQuantizePolyDataPoints* vtk_pointer = GetVTKPointer<vtkQuantizePolyDataPoints>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetQFactorMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuantizePolyDataPoints:GetQFactor vtkQuantizePolyDataPointsGetQFactorFunction
//input a0 
//output y
ArrayVector vtkQuantizePolyDataPointsGetQFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetQFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetQFactor for class vtkQuantizePolyDataPoints requires 1 argument(s)");
  vtkQuantizePolyDataPoints* vtk_pointer = GetVTKPointer<vtkQuantizePolyDataPoints>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetQFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkQuantizePolyDataPoints:OperateOnPoint vtkQuantizePolyDataPointsOperateOnPointFunction
//input a0 a1 a2 
//output none
ArrayVector vtkQuantizePolyDataPointsOperateOnPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OperateOnPoint (double in[3], double out[3]); */
  if (arg.size() < 3) 
    throw Exception("Function OperateOnPoint for class vtkQuantizePolyDataPoints requires 3 argument(s)");
  vtkQuantizePolyDataPoints* vtk_pointer = GetVTKPointer<vtkQuantizePolyDataPoints>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->OperateOnPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkQuantizePolyDataPoints:OperateOnBounds vtkQuantizePolyDataPointsOperateOnBoundsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkQuantizePolyDataPointsOperateOnBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void OperateOnBounds (double in[6], double out[6]); */
  if (arg.size() < 3) 
    throw Exception("Function OperateOnBounds for class vtkQuantizePolyDataPoints requires 3 argument(s)");
  vtkQuantizePolyDataPoints* vtk_pointer = GetVTKPointer<vtkQuantizePolyDataPoints>(arg[0]);
  Array retval;
  double temp0[6];
  double temp1[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->OperateOnBounds(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkQuantizePolyDataPoints:display vtkQuantizePolyDataPointsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkQuantizePolyDataPointsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkQuantizePolyDataPoints* vtk_pointer = GetVTKPointer<vtkQuantizePolyDataPoints>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkQuantizePolyDataPoints:delete vtkQuantizePolyDataPointsDeleteFunction
//input varargin
//output none
ArrayVector vtkQuantizePolyDataPointsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkQuantizePolyDataPoints
//@@Section VTKGraphics
//@@Usage
// vtkQuantizePolyDataPoints is a subclass of vtkCleanPolyData and
// inherits the functionality of vtkCleanPolyData with the addition that
// it quantizes the point coordinates before inserting into the point list.
// The user should set QFactor to a positive value (0.25 by default) and all
// {x,y,z} coordinates will be quantized to that grain size.
//
// A tolerance of zero is expected, though positive values may be used, the
// quantization will take place before the tolerance is applied.
//
//
//To create an instance of class vtkQuantizePolyDataPoints, simply
//invoke its constructor as follows
//@[
//  obj = vtkQuantizePolyDataPoints
//@]
//@@Methods
//The class vtkQuantizePolyDataPoints has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkQuantizePolyDataPoints class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkQuantizePolyDataPoints = obj.NewInstance ()|
// \item @|vtkQuantizePolyDataPoints = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetQFactor (double )| -  Specify quantization grain size. Default is 0.25
//// \item @|double = obj.GetQFactorMinValue ()| -  Specify quantization grain size. Default is 0.25
//// \item @|double = obj.GetQFactorMaxValue ()| -  Specify quantization grain size. Default is 0.25
//// \item @|double = obj.GetQFactor ()| -  Specify quantization grain size. Default is 0.25
//// \item @|obj.OperateOnPoint (double in[3], double out[3])| -  Perform quantization on a point
//// \item @|obj.OperateOnBounds (double in[6], double out[6])| -  Perform quantization on bounds
////\end{itemize}
//!
