#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRandomAttributeGenerator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRandomAttributeGenerator.h"

//@@Signature
//sfunction @vtkRandomAttributeGenerator:vtkRandomAttributeGenerator vtkRandomAttributeGeneratorConstructorFunction
//input a
//output p
//@@Parents vtkRandomAttributeGenerator vtkDataSetAlgorithm 
ArrayVector vtkRandomAttributeGeneratorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRandomAttributeGenerator::New(),"vtkRandomAttributeGenerator",eval);
  } else if (arg[0].className() == "vtkRandomAttributeGenerator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRandomAttributeGenerator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRandomAttributeGenerator");
    vtkRandomAttributeGenerator*q = reinterpret_cast<vtkRandomAttributeGenerator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRandomAttributeGenerator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRandomAttributeGenerator:GetClassName vtkRandomAttributeGeneratorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRandomAttributeGeneratorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:IsA vtkRandomAttributeGeneratorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRandomAttributeGeneratorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRandomAttributeGenerator requires 2 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:NewInstance vtkRandomAttributeGeneratorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRandomAttributeGeneratorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRandomAttributeGenerator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtkRandomAttributeGenerator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRandomAttributeGenerator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:SafeDownCast vtkRandomAttributeGeneratorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRandomAttributeGeneratorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRandomAttributeGenerator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRandomAttributeGenerator requires 2 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRandomAttributeGenerator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRandomAttributeGenerator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:SetDataType vtkRandomAttributeGeneratorSetDataTypeFunction
//input a0 a1 
//output none
ArrayVector vtkRandomAttributeGeneratorSetDataTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataType for class vtkRandomAttributeGenerator requires 2 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDataType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:SetDataTypeToBit vtkRandomAttributeGeneratorSetDataTypeToBitFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorSetDataTypeToBitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToBit ();this SetDataType VTK_BIT  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToBit for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToBit();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:SetDataTypeToChar vtkRandomAttributeGeneratorSetDataTypeToCharFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorSetDataTypeToCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToChar ();this SetDataType VTK_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToChar for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToChar();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:SetDataTypeToUnsignedChar vtkRandomAttributeGeneratorSetDataTypeToUnsignedCharFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorSetDataTypeToUnsignedCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToUnsignedChar ();this SetDataType VTK_UNSIGNED_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToUnsignedChar for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToUnsignedChar();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:SetDataTypeToShort vtkRandomAttributeGeneratorSetDataTypeToShortFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorSetDataTypeToShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToShort ();this SetDataType VTK_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToShort for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToShort();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:SetDataTypeToUnsignedShort vtkRandomAttributeGeneratorSetDataTypeToUnsignedShortFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorSetDataTypeToUnsignedShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToUnsignedShort ();this SetDataType VTK_UNSIGNED_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToUnsignedShort for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToUnsignedShort();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:SetDataTypeToInt vtkRandomAttributeGeneratorSetDataTypeToIntFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorSetDataTypeToIntFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToInt ();this SetDataType VTK_INT  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToInt for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToInt();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:SetDataTypeToUnsignedInt vtkRandomAttributeGeneratorSetDataTypeToUnsignedIntFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorSetDataTypeToUnsignedIntFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToUnsignedInt ();this SetDataType VTK_UNSIGNED_INT  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToUnsignedInt for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToUnsignedInt();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:SetDataTypeToLong vtkRandomAttributeGeneratorSetDataTypeToLongFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorSetDataTypeToLongFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToLong ();this SetDataType VTK_LONG  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToLong for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToLong();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:SetDataTypeToUnsignedLong vtkRandomAttributeGeneratorSetDataTypeToUnsignedLongFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorSetDataTypeToUnsignedLongFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToUnsignedLong ();this SetDataType VTK_UNSIGNED_LONG  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToUnsignedLong for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToUnsignedLong();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:SetDataTypeToFloat vtkRandomAttributeGeneratorSetDataTypeToFloatFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorSetDataTypeToFloatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToFloat ();this SetDataType VTK_FLOAT  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToFloat for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToFloat();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:SetDataTypeToDouble vtkRandomAttributeGeneratorSetDataTypeToDoubleFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorSetDataTypeToDoubleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToDouble ();this SetDataType VTK_DOUBLE  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToDouble for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToDouble();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GetDataType vtkRandomAttributeGeneratorGetDataTypeFunction
//input a0 
//output y
ArrayVector vtkRandomAttributeGeneratorGetDataTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataType for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:SetNumberOfComponents vtkRandomAttributeGeneratorSetNumberOfComponentsFunction
//input a0 a1 
//output none
ArrayVector vtkRandomAttributeGeneratorSetNumberOfComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfComponents (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfComponents for class vtkRandomAttributeGenerator requires 2 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfComponents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GetNumberOfComponentsMinValue vtkRandomAttributeGeneratorGetNumberOfComponentsMinValueFunction
//input a0 
//output y
ArrayVector vtkRandomAttributeGeneratorGetNumberOfComponentsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponentsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfComponentsMinValue for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfComponentsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GetNumberOfComponentsMaxValue vtkRandomAttributeGeneratorGetNumberOfComponentsMaxValueFunction
//input a0 
//output y
ArrayVector vtkRandomAttributeGeneratorGetNumberOfComponentsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponentsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfComponentsMaxValue for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfComponentsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GetNumberOfComponents vtkRandomAttributeGeneratorGetNumberOfComponentsFunction
//input a0 
//output y
ArrayVector vtkRandomAttributeGeneratorGetNumberOfComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfComponents for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfComponents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:SetMinimumComponentValue vtkRandomAttributeGeneratorSetMinimumComponentValueFunction
//input a0 a1 
//output none
ArrayVector vtkRandomAttributeGeneratorSetMinimumComponentValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimumComponentValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinimumComponentValue for class vtkRandomAttributeGenerator requires 2 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMinimumComponentValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GetMinimumComponentValue vtkRandomAttributeGeneratorGetMinimumComponentValueFunction
//input a0 
//output y
ArrayVector vtkRandomAttributeGeneratorGetMinimumComponentValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinimumComponentValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumComponentValue for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinimumComponentValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:SetMaximumComponentValue vtkRandomAttributeGeneratorSetMaximumComponentValueFunction
//input a0 a1 
//output none
ArrayVector vtkRandomAttributeGeneratorSetMaximumComponentValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumComponentValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumComponentValue for class vtkRandomAttributeGenerator requires 2 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximumComponentValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GetMaximumComponentValue vtkRandomAttributeGeneratorGetMaximumComponentValueFunction
//input a0 
//output y
ArrayVector vtkRandomAttributeGeneratorGetMaximumComponentValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumComponentValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumComponentValue for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumComponentValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:SetNumberOfTuples vtkRandomAttributeGeneratorSetNumberOfTuplesFunction
//input a0 a1 
//output none
ArrayVector vtkRandomAttributeGeneratorSetNumberOfTuplesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfTuples (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfTuples for class vtkRandomAttributeGenerator requires 2 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfTuples(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GetNumberOfTuplesMinValue vtkRandomAttributeGeneratorGetNumberOfTuplesMinValueFunction
//input a0 
//output y
ArrayVector vtkRandomAttributeGeneratorGetNumberOfTuplesMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfTuplesMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTuplesMinValue for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfTuplesMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GetNumberOfTuplesMaxValue vtkRandomAttributeGeneratorGetNumberOfTuplesMaxValueFunction
//input a0 
//output y
ArrayVector vtkRandomAttributeGeneratorGetNumberOfTuplesMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfTuplesMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTuplesMaxValue for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfTuplesMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GetNumberOfTuples vtkRandomAttributeGeneratorGetNumberOfTuplesFunction
//input a0 
//output y
ArrayVector vtkRandomAttributeGeneratorGetNumberOfTuplesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfTuples (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTuples for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfTuples();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:SetGeneratePointScalars vtkRandomAttributeGeneratorSetGeneratePointScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkRandomAttributeGeneratorSetGeneratePointScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGeneratePointScalars (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGeneratePointScalars for class vtkRandomAttributeGenerator requires 2 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGeneratePointScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GetGeneratePointScalars vtkRandomAttributeGeneratorGetGeneratePointScalarsFunction
//input a0 
//output y
ArrayVector vtkRandomAttributeGeneratorGetGeneratePointScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGeneratePointScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGeneratePointScalars for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGeneratePointScalars();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GeneratePointScalarsOn vtkRandomAttributeGeneratorGeneratePointScalarsOnFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGeneratePointScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GeneratePointScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GeneratePointScalarsOn for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GeneratePointScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GeneratePointScalarsOff vtkRandomAttributeGeneratorGeneratePointScalarsOffFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGeneratePointScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GeneratePointScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GeneratePointScalarsOff for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GeneratePointScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:SetGeneratePointVectors vtkRandomAttributeGeneratorSetGeneratePointVectorsFunction
//input a0 a1 
//output none
ArrayVector vtkRandomAttributeGeneratorSetGeneratePointVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGeneratePointVectors (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGeneratePointVectors for class vtkRandomAttributeGenerator requires 2 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGeneratePointVectors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GetGeneratePointVectors vtkRandomAttributeGeneratorGetGeneratePointVectorsFunction
//input a0 
//output y
ArrayVector vtkRandomAttributeGeneratorGetGeneratePointVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGeneratePointVectors (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGeneratePointVectors for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGeneratePointVectors();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GeneratePointVectorsOn vtkRandomAttributeGeneratorGeneratePointVectorsOnFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGeneratePointVectorsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GeneratePointVectorsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GeneratePointVectorsOn for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GeneratePointVectorsOn();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GeneratePointVectorsOff vtkRandomAttributeGeneratorGeneratePointVectorsOffFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGeneratePointVectorsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GeneratePointVectorsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GeneratePointVectorsOff for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GeneratePointVectorsOff();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:SetGeneratePointNormals vtkRandomAttributeGeneratorSetGeneratePointNormalsFunction
//input a0 a1 
//output none
ArrayVector vtkRandomAttributeGeneratorSetGeneratePointNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGeneratePointNormals (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGeneratePointNormals for class vtkRandomAttributeGenerator requires 2 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGeneratePointNormals(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GetGeneratePointNormals vtkRandomAttributeGeneratorGetGeneratePointNormalsFunction
//input a0 
//output y
ArrayVector vtkRandomAttributeGeneratorGetGeneratePointNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGeneratePointNormals (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGeneratePointNormals for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGeneratePointNormals();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GeneratePointNormalsOn vtkRandomAttributeGeneratorGeneratePointNormalsOnFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGeneratePointNormalsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GeneratePointNormalsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GeneratePointNormalsOn for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GeneratePointNormalsOn();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GeneratePointNormalsOff vtkRandomAttributeGeneratorGeneratePointNormalsOffFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGeneratePointNormalsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GeneratePointNormalsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GeneratePointNormalsOff for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GeneratePointNormalsOff();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:SetGeneratePointTensors vtkRandomAttributeGeneratorSetGeneratePointTensorsFunction
//input a0 a1 
//output none
ArrayVector vtkRandomAttributeGeneratorSetGeneratePointTensorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGeneratePointTensors (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGeneratePointTensors for class vtkRandomAttributeGenerator requires 2 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGeneratePointTensors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GetGeneratePointTensors vtkRandomAttributeGeneratorGetGeneratePointTensorsFunction
//input a0 
//output y
ArrayVector vtkRandomAttributeGeneratorGetGeneratePointTensorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGeneratePointTensors (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGeneratePointTensors for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGeneratePointTensors();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GeneratePointTensorsOn vtkRandomAttributeGeneratorGeneratePointTensorsOnFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGeneratePointTensorsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GeneratePointTensorsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GeneratePointTensorsOn for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GeneratePointTensorsOn();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GeneratePointTensorsOff vtkRandomAttributeGeneratorGeneratePointTensorsOffFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGeneratePointTensorsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GeneratePointTensorsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GeneratePointTensorsOff for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GeneratePointTensorsOff();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:SetGeneratePointTCoords vtkRandomAttributeGeneratorSetGeneratePointTCoordsFunction
//input a0 a1 
//output none
ArrayVector vtkRandomAttributeGeneratorSetGeneratePointTCoordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGeneratePointTCoords (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGeneratePointTCoords for class vtkRandomAttributeGenerator requires 2 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGeneratePointTCoords(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GetGeneratePointTCoords vtkRandomAttributeGeneratorGetGeneratePointTCoordsFunction
//input a0 
//output y
ArrayVector vtkRandomAttributeGeneratorGetGeneratePointTCoordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGeneratePointTCoords (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGeneratePointTCoords for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGeneratePointTCoords();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GeneratePointTCoordsOn vtkRandomAttributeGeneratorGeneratePointTCoordsOnFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGeneratePointTCoordsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GeneratePointTCoordsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GeneratePointTCoordsOn for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GeneratePointTCoordsOn();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GeneratePointTCoordsOff vtkRandomAttributeGeneratorGeneratePointTCoordsOffFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGeneratePointTCoordsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GeneratePointTCoordsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GeneratePointTCoordsOff for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GeneratePointTCoordsOff();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:SetGeneratePointArray vtkRandomAttributeGeneratorSetGeneratePointArrayFunction
//input a0 a1 
//output none
ArrayVector vtkRandomAttributeGeneratorSetGeneratePointArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGeneratePointArray (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGeneratePointArray for class vtkRandomAttributeGenerator requires 2 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGeneratePointArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GetGeneratePointArray vtkRandomAttributeGeneratorGetGeneratePointArrayFunction
//input a0 
//output y
ArrayVector vtkRandomAttributeGeneratorGetGeneratePointArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGeneratePointArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGeneratePointArray for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGeneratePointArray();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GeneratePointArrayOn vtkRandomAttributeGeneratorGeneratePointArrayOnFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGeneratePointArrayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GeneratePointArrayOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GeneratePointArrayOn for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GeneratePointArrayOn();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GeneratePointArrayOff vtkRandomAttributeGeneratorGeneratePointArrayOffFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGeneratePointArrayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GeneratePointArrayOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GeneratePointArrayOff for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GeneratePointArrayOff();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:SetGenerateCellScalars vtkRandomAttributeGeneratorSetGenerateCellScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkRandomAttributeGeneratorSetGenerateCellScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateCellScalars (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateCellScalars for class vtkRandomAttributeGenerator requires 2 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateCellScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GetGenerateCellScalars vtkRandomAttributeGeneratorGetGenerateCellScalarsFunction
//input a0 
//output y
ArrayVector vtkRandomAttributeGeneratorGetGenerateCellScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateCellScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateCellScalars for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateCellScalars();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GenerateCellScalarsOn vtkRandomAttributeGeneratorGenerateCellScalarsOnFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGenerateCellScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateCellScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateCellScalarsOn for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GenerateCellScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GenerateCellScalarsOff vtkRandomAttributeGeneratorGenerateCellScalarsOffFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGenerateCellScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateCellScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateCellScalarsOff for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GenerateCellScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:SetGenerateCellVectors vtkRandomAttributeGeneratorSetGenerateCellVectorsFunction
//input a0 a1 
//output none
ArrayVector vtkRandomAttributeGeneratorSetGenerateCellVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateCellVectors (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateCellVectors for class vtkRandomAttributeGenerator requires 2 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateCellVectors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GetGenerateCellVectors vtkRandomAttributeGeneratorGetGenerateCellVectorsFunction
//input a0 
//output y
ArrayVector vtkRandomAttributeGeneratorGetGenerateCellVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateCellVectors (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateCellVectors for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateCellVectors();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GenerateCellVectorsOn vtkRandomAttributeGeneratorGenerateCellVectorsOnFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGenerateCellVectorsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateCellVectorsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateCellVectorsOn for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GenerateCellVectorsOn();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GenerateCellVectorsOff vtkRandomAttributeGeneratorGenerateCellVectorsOffFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGenerateCellVectorsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateCellVectorsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateCellVectorsOff for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GenerateCellVectorsOff();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:SetGenerateCellNormals vtkRandomAttributeGeneratorSetGenerateCellNormalsFunction
//input a0 a1 
//output none
ArrayVector vtkRandomAttributeGeneratorSetGenerateCellNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateCellNormals (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateCellNormals for class vtkRandomAttributeGenerator requires 2 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateCellNormals(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GetGenerateCellNormals vtkRandomAttributeGeneratorGetGenerateCellNormalsFunction
//input a0 
//output y
ArrayVector vtkRandomAttributeGeneratorGetGenerateCellNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateCellNormals (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateCellNormals for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateCellNormals();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GenerateCellNormalsOn vtkRandomAttributeGeneratorGenerateCellNormalsOnFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGenerateCellNormalsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateCellNormalsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateCellNormalsOn for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GenerateCellNormalsOn();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GenerateCellNormalsOff vtkRandomAttributeGeneratorGenerateCellNormalsOffFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGenerateCellNormalsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateCellNormalsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateCellNormalsOff for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GenerateCellNormalsOff();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:SetGenerateCellTensors vtkRandomAttributeGeneratorSetGenerateCellTensorsFunction
//input a0 a1 
//output none
ArrayVector vtkRandomAttributeGeneratorSetGenerateCellTensorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateCellTensors (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateCellTensors for class vtkRandomAttributeGenerator requires 2 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateCellTensors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GetGenerateCellTensors vtkRandomAttributeGeneratorGetGenerateCellTensorsFunction
//input a0 
//output y
ArrayVector vtkRandomAttributeGeneratorGetGenerateCellTensorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateCellTensors (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateCellTensors for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateCellTensors();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GenerateCellTensorsOn vtkRandomAttributeGeneratorGenerateCellTensorsOnFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGenerateCellTensorsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateCellTensorsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateCellTensorsOn for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GenerateCellTensorsOn();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GenerateCellTensorsOff vtkRandomAttributeGeneratorGenerateCellTensorsOffFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGenerateCellTensorsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateCellTensorsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateCellTensorsOff for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GenerateCellTensorsOff();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:SetGenerateCellTCoords vtkRandomAttributeGeneratorSetGenerateCellTCoordsFunction
//input a0 a1 
//output none
ArrayVector vtkRandomAttributeGeneratorSetGenerateCellTCoordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateCellTCoords (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateCellTCoords for class vtkRandomAttributeGenerator requires 2 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateCellTCoords(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GetGenerateCellTCoords vtkRandomAttributeGeneratorGetGenerateCellTCoordsFunction
//input a0 
//output y
ArrayVector vtkRandomAttributeGeneratorGetGenerateCellTCoordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateCellTCoords (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateCellTCoords for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateCellTCoords();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GenerateCellTCoordsOn vtkRandomAttributeGeneratorGenerateCellTCoordsOnFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGenerateCellTCoordsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateCellTCoordsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateCellTCoordsOn for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GenerateCellTCoordsOn();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GenerateCellTCoordsOff vtkRandomAttributeGeneratorGenerateCellTCoordsOffFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGenerateCellTCoordsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateCellTCoordsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateCellTCoordsOff for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GenerateCellTCoordsOff();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:SetGenerateCellArray vtkRandomAttributeGeneratorSetGenerateCellArrayFunction
//input a0 a1 
//output none
ArrayVector vtkRandomAttributeGeneratorSetGenerateCellArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateCellArray (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateCellArray for class vtkRandomAttributeGenerator requires 2 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateCellArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GetGenerateCellArray vtkRandomAttributeGeneratorGetGenerateCellArrayFunction
//input a0 
//output y
ArrayVector vtkRandomAttributeGeneratorGetGenerateCellArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateCellArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateCellArray for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateCellArray();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GenerateCellArrayOn vtkRandomAttributeGeneratorGenerateCellArrayOnFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGenerateCellArrayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateCellArrayOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateCellArrayOn for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GenerateCellArrayOn();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GenerateCellArrayOff vtkRandomAttributeGeneratorGenerateCellArrayOffFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGenerateCellArrayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateCellArrayOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateCellArrayOff for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GenerateCellArrayOff();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:SetGenerateFieldArray vtkRandomAttributeGeneratorSetGenerateFieldArrayFunction
//input a0 a1 
//output none
ArrayVector vtkRandomAttributeGeneratorSetGenerateFieldArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateFieldArray (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateFieldArray for class vtkRandomAttributeGenerator requires 2 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateFieldArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GetGenerateFieldArray vtkRandomAttributeGeneratorGetGenerateFieldArrayFunction
//input a0 
//output y
ArrayVector vtkRandomAttributeGeneratorGetGenerateFieldArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateFieldArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateFieldArray for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateFieldArray();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GenerateFieldArrayOn vtkRandomAttributeGeneratorGenerateFieldArrayOnFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGenerateFieldArrayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateFieldArrayOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateFieldArrayOn for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GenerateFieldArrayOn();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GenerateFieldArrayOff vtkRandomAttributeGeneratorGenerateFieldArrayOffFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGenerateFieldArrayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateFieldArrayOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateFieldArrayOff for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GenerateFieldArrayOff();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GenerateAllPointDataOn vtkRandomAttributeGeneratorGenerateAllPointDataOnFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGenerateAllPointDataOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateAllPointDataOn ();this GeneratePointScalarsOn this GeneratePointVectorsOn this GeneratePointNormalsOn this GeneratePointTCoordsOn this GeneratePointTensorsOn this GeneratePointArrayOn  */
  if (arg.size() < 1) 
    throw Exception("Function GenerateAllPointDataOn for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GenerateAllPointDataOn();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GenerateAllPointDataOff vtkRandomAttributeGeneratorGenerateAllPointDataOffFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGenerateAllPointDataOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateAllPointDataOff ();this GeneratePointScalarsOff this GeneratePointVectorsOff this GeneratePointNormalsOff this GeneratePointTCoordsOff this GeneratePointTensorsOff this GeneratePointArrayOff  */
  if (arg.size() < 1) 
    throw Exception("Function GenerateAllPointDataOff for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GenerateAllPointDataOff();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GenerateAllCellDataOn vtkRandomAttributeGeneratorGenerateAllCellDataOnFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGenerateAllCellDataOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateAllCellDataOn ();this GenerateCellScalarsOn this GenerateCellVectorsOn this GenerateCellNormalsOn this GenerateCellTCoordsOn this GenerateCellTensorsOn this GenerateCellArrayOn  */
  if (arg.size() < 1) 
    throw Exception("Function GenerateAllCellDataOn for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GenerateAllCellDataOn();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GenerateAllCellDataOff vtkRandomAttributeGeneratorGenerateAllCellDataOffFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGenerateAllCellDataOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateAllCellDataOff ();this GenerateCellScalarsOff this GenerateCellVectorsOff this GenerateCellNormalsOff this GenerateCellTCoordsOff this GenerateCellTensorsOff this GenerateCellArrayOff  */
  if (arg.size() < 1) 
    throw Exception("Function GenerateAllCellDataOff for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GenerateAllCellDataOff();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GenerateAllDataOn vtkRandomAttributeGeneratorGenerateAllDataOnFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGenerateAllDataOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateAllDataOn ();this GenerateAllPointDataOn this GenerateAllCellDataOn this GenerateFieldArrayOn  */
  if (arg.size() < 1) 
    throw Exception("Function GenerateAllDataOn for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GenerateAllDataOn();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:GenerateAllDataOff vtkRandomAttributeGeneratorGenerateAllDataOffFunction
//input a0 
//output none
ArrayVector vtkRandomAttributeGeneratorGenerateAllDataOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateAllDataOff ();this GenerateAllPointDataOff this GenerateAllCellDataOff this GenerateFieldArrayOff  */
  if (arg.size() < 1) 
    throw Exception("Function GenerateAllDataOff for class vtkRandomAttributeGenerator requires 1 argument(s)");
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  Array retval;
  vtk_pointer->GenerateAllDataOff();
  return retval;
}

//@@Signature
//sfunction @vtkRandomAttributeGenerator:display vtkRandomAttributeGeneratorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRandomAttributeGeneratorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRandomAttributeGenerator* vtk_pointer = GetVTKPointer<vtkRandomAttributeGenerator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRandomAttributeGenerator:delete vtkRandomAttributeGeneratorDeleteFunction
//input varargin
//output none
ArrayVector vtkRandomAttributeGeneratorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRandomAttributeGenerator
//@@Section VTKGraphics
//@@Usage
// vtkRandomAttributeGenerator is a filter that creates random attributes
// including scalars, vectors, normals, tensors, texture coordinates and/or
// general data arrays. These attributes can be generated as point data, cell
// data or general field data. The generation of each component is normalized
// between a user-specified minimum and maximum value.
//
// This filter provides that capability to specify the data type of the
// attributes, the range for each of the components, and the number of
// components. Note, however, that this flexibility only goes so far because
// some attributes (e.g., normals, vectors and tensors) are fixed in the
// number of components, and in the case of normals and tensors, are
// constrained in the values that some of the components can take (i.e., 
// normals have magnitude one, and tensors are symmetric).
//
//To create an instance of class vtkRandomAttributeGenerator, simply
//invoke its constructor as follows
//@[
//  obj = vtkRandomAttributeGenerator
//@]
//@@Methods
//The class vtkRandomAttributeGenerator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRandomAttributeGenerator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRandomAttributeGenerator = obj.NewInstance ()|
// \item @|vtkRandomAttributeGenerator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetDataType (int )| -  Specify the type of array to create (all components of this array are of this
// type). This holds true for all arrays that are created.
//// \item @|obj.SetDataTypeToBit ()| -  Specify the type of array to create (all components of this array are of this
// type). This holds true for all arrays that are created.
//// \item @|obj.SetDataTypeToChar ()| -  Specify the type of array to create (all components of this array are of this
// type). This holds true for all arrays that are created.
//// \item @|obj.SetDataTypeToUnsignedChar ()| -  Specify the type of array to create (all components of this array are of this
// type). This holds true for all arrays that are created.
//// \item @|obj.SetDataTypeToShort ()| -  Specify the type of array to create (all components of this array are of this
// type). This holds true for all arrays that are created.
//// \item @|obj.SetDataTypeToUnsignedShort ()| -  Specify the type of array to create (all components of this array are of this
// type). This holds true for all arrays that are created.
//// \item @|obj.SetDataTypeToInt ()| -  Specify the type of array to create (all components of this array are of this
// type). This holds true for all arrays that are created.
//// \item @|obj.SetDataTypeToUnsignedInt ()| -  Specify the type of array to create (all components of this array are of this
// type). This holds true for all arrays that are created.
//// \item @|obj.SetDataTypeToLong ()| -  Specify the type of array to create (all components of this array are of this
// type). This holds true for all arrays that are created.
//// \item @|obj.SetDataTypeToUnsignedLong ()| -  Specify the type of array to create (all components of this array are of this
// type). This holds true for all arrays that are created.
//// \item @|obj.SetDataTypeToFloat ()| -  Specify the type of array to create (all components of this array are of this
// type). This holds true for all arrays that are created.
//// \item @|obj.SetDataTypeToDouble ()| -  Specify the type of array to create (all components of this array are of this
// type). This holds true for all arrays that are created.
//// \item @|int = obj.GetDataType ()| -  Specify the type of array to create (all components of this array are of this
// type). This holds true for all arrays that are created.
//// \item @|obj.SetNumberOfComponents (int )| -  Specify the number of components to generate. This value only applies to those
// attribute types that take a variable number of components. For example, a vector
// is only three components so the number of components is not applicable; whereas
// a scalar may support multiple, varying number of components.
//// \item @|int = obj.GetNumberOfComponentsMinValue ()| -  Specify the number of components to generate. This value only applies to those
// attribute types that take a variable number of components. For example, a vector
// is only three components so the number of components is not applicable; whereas
// a scalar may support multiple, varying number of components.
//// \item @|int = obj.GetNumberOfComponentsMaxValue ()| -  Specify the number of components to generate. This value only applies to those
// attribute types that take a variable number of components. For example, a vector
// is only three components so the number of components is not applicable; whereas
// a scalar may support multiple, varying number of components.
//// \item @|int = obj.GetNumberOfComponents ()| -  Specify the number of components to generate. This value only applies to those
// attribute types that take a variable number of components. For example, a vector
// is only three components so the number of components is not applicable; whereas
// a scalar may support multiple, varying number of components.
//// \item @|obj.SetMinimumComponentValue (double )| -  Set the minimum component value. This applies to all data that is generated, 
// although normals and tensors have internal constraints that must be 
// observed.
//// \item @|double = obj.GetMinimumComponentValue ()| -  Set the minimum component value. This applies to all data that is generated, 
// although normals and tensors have internal constraints that must be 
// observed.
//// \item @|obj.SetMaximumComponentValue (double )| -  Set the maximum component value. This applies to all data that is generated, 
// although normals and tensors have internal constraints that must be 
// observed.
//// \item @|double = obj.GetMaximumComponentValue ()| -  Set the maximum component value. This applies to all data that is generated, 
// although normals and tensors have internal constraints that must be 
// observed.
//// \item @|obj.SetNumberOfTuples (vtkIdType )| -  Specify the number of tuples to generate. This value only applies when creating
// general field data. In all other cases (i.e., point data or cell data), the number
// of tuples is controlled by the number of points and cells, respectively.
//// \item @|vtkIdType = obj.GetNumberOfTuplesMinValue ()| -  Specify the number of tuples to generate. This value only applies when creating
// general field data. In all other cases (i.e., point data or cell data), the number
// of tuples is controlled by the number of points and cells, respectively.
//// \item @|vtkIdType = obj.GetNumberOfTuplesMaxValue ()| -  Specify the number of tuples to generate. This value only applies when creating
// general field data. In all other cases (i.e., point data or cell data), the number
// of tuples is controlled by the number of points and cells, respectively.
//// \item @|vtkIdType = obj.GetNumberOfTuples ()| -  Specify the number of tuples to generate. This value only applies when creating
// general field data. In all other cases (i.e., point data or cell data), the number
// of tuples is controlled by the number of points and cells, respectively.
//// \item @|obj.SetGeneratePointScalars (int )| -  Indicate that point scalars are to be generated. Note that the specified
// number of components is used to create the scalar.
//// \item @|int = obj.GetGeneratePointScalars ()| -  Indicate that point scalars are to be generated. Note that the specified
// number of components is used to create the scalar.
//// \item @|obj.GeneratePointScalarsOn ()| -  Indicate that point scalars are to be generated. Note that the specified
// number of components is used to create the scalar.
//// \item @|obj.GeneratePointScalarsOff ()| -  Indicate that point scalars are to be generated. Note that the specified
// number of components is used to create the scalar.
//// \item @|obj.SetGeneratePointVectors (int )| -  Indicate that point vectors are to be generated. Note that the 
// number of components is always equal to three.
//// \item @|int = obj.GetGeneratePointVectors ()| -  Indicate that point vectors are to be generated. Note that the 
// number of components is always equal to three.
//// \item @|obj.GeneratePointVectorsOn ()| -  Indicate that point vectors are to be generated. Note that the 
// number of components is always equal to three.
//// \item @|obj.GeneratePointVectorsOff ()| -  Indicate that point vectors are to be generated. Note that the 
// number of components is always equal to three.
//// \item @|obj.SetGeneratePointNormals (int )| -  Indicate that point normals are to be generated. Note that the
// number of components is always equal to three.
//// \item @|int = obj.GetGeneratePointNormals ()| -  Indicate that point normals are to be generated. Note that the
// number of components is always equal to three.
//// \item @|obj.GeneratePointNormalsOn ()| -  Indicate that point normals are to be generated. Note that the
// number of components is always equal to three.
//// \item @|obj.GeneratePointNormalsOff ()| -  Indicate that point normals are to be generated. Note that the
// number of components is always equal to three.
//// \item @|obj.SetGeneratePointTensors (int )| -  Indicate that point tensors are to be generated. Note that the
// number of components is always equal to nine.
//// \item @|int = obj.GetGeneratePointTensors ()| -  Indicate that point tensors are to be generated. Note that the
// number of components is always equal to nine.
//// \item @|obj.GeneratePointTensorsOn ()| -  Indicate that point tensors are to be generated. Note that the
// number of components is always equal to nine.
//// \item @|obj.GeneratePointTensorsOff ()| -  Indicate that point tensors are to be generated. Note that the
// number of components is always equal to nine.
//// \item @|obj.SetGeneratePointTCoords (int )| -  Indicate that point texture coordinates are to be generated. Note that
// the specified number of components is used to create the texture
// coordinates (but must range between one and three).
//// \item @|int = obj.GetGeneratePointTCoords ()| -  Indicate that point texture coordinates are to be generated. Note that
// the specified number of components is used to create the texture
// coordinates (but must range between one and three).
//// \item @|obj.GeneratePointTCoordsOn ()| -  Indicate that point texture coordinates are to be generated. Note that
// the specified number of components is used to create the texture
// coordinates (but must range between one and three).
//// \item @|obj.GeneratePointTCoordsOff ()| -  Indicate that point texture coordinates are to be generated. Note that
// the specified number of components is used to create the texture
// coordinates (but must range between one and three).
//// \item @|obj.SetGeneratePointArray (int )| -  Indicate that an arbitrary point array is to be generated. Note that the
// specified number of components is used to create the array.
//// \item @|int = obj.GetGeneratePointArray ()| -  Indicate that an arbitrary point array is to be generated. Note that the
// specified number of components is used to create the array.
//// \item @|obj.GeneratePointArrayOn ()| -  Indicate that an arbitrary point array is to be generated. Note that the
// specified number of components is used to create the array.
//// \item @|obj.GeneratePointArrayOff ()| -  Indicate that an arbitrary point array is to be generated. Note that the
// specified number of components is used to create the array.
//// \item @|obj.SetGenerateCellScalars (int )| -  Indicate that cell scalars are to be generated. Note that the specified
// number of components is used to create the scalar.
//// \item @|int = obj.GetGenerateCellScalars ()| -  Indicate that cell scalars are to be generated. Note that the specified
// number of components is used to create the scalar.
//// \item @|obj.GenerateCellScalarsOn ()| -  Indicate that cell scalars are to be generated. Note that the specified
// number of components is used to create the scalar.
//// \item @|obj.GenerateCellScalarsOff ()| -  Indicate that cell scalars are to be generated. Note that the specified
// number of components is used to create the scalar.
//// \item @|obj.SetGenerateCellVectors (int )| -  Indicate that cell vectors are to be generated. Note that the 
// number of components is always equal to three.
//// \item @|int = obj.GetGenerateCellVectors ()| -  Indicate that cell vectors are to be generated. Note that the 
// number of components is always equal to three.
//// \item @|obj.GenerateCellVectorsOn ()| -  Indicate that cell vectors are to be generated. Note that the 
// number of components is always equal to three.
//// \item @|obj.GenerateCellVectorsOff ()| -  Indicate that cell vectors are to be generated. Note that the 
// number of components is always equal to three.
//// \item @|obj.SetGenerateCellNormals (int )| -  Indicate that cell normals are to be generated. Note that the
// number of components is always equal to three.
//// \item @|int = obj.GetGenerateCellNormals ()| -  Indicate that cell normals are to be generated. Note that the
// number of components is always equal to three.
//// \item @|obj.GenerateCellNormalsOn ()| -  Indicate that cell normals are to be generated. Note that the
// number of components is always equal to three.
//// \item @|obj.GenerateCellNormalsOff ()| -  Indicate that cell normals are to be generated. Note that the
// number of components is always equal to three.
//// \item @|obj.SetGenerateCellTensors (int )| -  Indicate that cell tensors are to be generated. Note that the
// number of components is always equal to nine.
//// \item @|int = obj.GetGenerateCellTensors ()| -  Indicate that cell tensors are to be generated. Note that the
// number of components is always equal to nine.
//// \item @|obj.GenerateCellTensorsOn ()| -  Indicate that cell tensors are to be generated. Note that the
// number of components is always equal to nine.
//// \item @|obj.GenerateCellTensorsOff ()| -  Indicate that cell tensors are to be generated. Note that the
// number of components is always equal to nine.
//// \item @|obj.SetGenerateCellTCoords (int )| -  Indicate that cell texture coordinates are to be generated. Note that
// the specified number of components is used to create the texture
// coordinates (but must range between one and three).
//// \item @|int = obj.GetGenerateCellTCoords ()| -  Indicate that cell texture coordinates are to be generated. Note that
// the specified number of components is used to create the texture
// coordinates (but must range between one and three).
//// \item @|obj.GenerateCellTCoordsOn ()| -  Indicate that cell texture coordinates are to be generated. Note that
// the specified number of components is used to create the texture
// coordinates (but must range between one and three).
//// \item @|obj.GenerateCellTCoordsOff ()| -  Indicate that cell texture coordinates are to be generated. Note that
// the specified number of components is used to create the texture
// coordinates (but must range between one and three).
//// \item @|obj.SetGenerateCellArray (int )| -  Indicate that an arbitrary cell array is to be generated. Note that the
// specified number of components is used to create the array.
//// \item @|int = obj.GetGenerateCellArray ()| -  Indicate that an arbitrary cell array is to be generated. Note that the
// specified number of components is used to create the array.
//// \item @|obj.GenerateCellArrayOn ()| -  Indicate that an arbitrary cell array is to be generated. Note that the
// specified number of components is used to create the array.
//// \item @|obj.GenerateCellArrayOff ()| -  Indicate that an arbitrary cell array is to be generated. Note that the
// specified number of components is used to create the array.
//// \item @|obj.SetGenerateFieldArray (int )| -  Indicate that an arbitrary field data array is to be generated. Note
// that the specified number of components is used to create the scalar.
//// \item @|int = obj.GetGenerateFieldArray ()| -  Indicate that an arbitrary field data array is to be generated. Note
// that the specified number of components is used to create the scalar.
//// \item @|obj.GenerateFieldArrayOn ()| -  Indicate that an arbitrary field data array is to be generated. Note
// that the specified number of components is used to create the scalar.
//// \item @|obj.GenerateFieldArrayOff ()| -  Indicate that an arbitrary field data array is to be generated. Note
// that the specified number of components is used to create the scalar.
//// \item @|obj.GenerateAllPointDataOn ()| -  Convenience methods for generating data: all data, all point data, or all cell data.
// For example, if all data is enabled, then all point, cell and field data is generated.
// If all point data is enabled, then point scalars, vectors, normals, tensors, tcoords,
// and a data array are produced.
//// \item @|obj.GenerateAllPointDataOff ()| -  Convenience methods for generating data: all data, all point data, or all cell data.
// For example, if all data is enabled, then all point, cell and field data is generated.
// If all point data is enabled, then point scalars, vectors, normals, tensors, tcoords,
// and a data array are produced.
//// \item @|obj.GenerateAllCellDataOn ()| -  Convenience methods for generating data: all data, all point data, or all cell data.
// For example, if all data is enabled, then all point, cell and field data is generated.
// If all point data is enabled, then point scalars, vectors, normals, tensors, tcoords,
// and a data array are produced.
//// \item @|obj.GenerateAllCellDataOff ()| -  Convenience methods for generating data: all data, all point data, or all cell data.
// For example, if all data is enabled, then all point, cell and field data is generated.
// If all point data is enabled, then point scalars, vectors, normals, tensors, tcoords,
// and a data array are produced.
//// \item @|obj.GenerateAllDataOn ()| -  Convenience methods for generating data: all data, all point data, or all cell data.
// For example, if all data is enabled, then all point, cell and field data is generated.
// If all point data is enabled, then point scalars, vectors, normals, tensors, tcoords,
// and a data array are produced.
//// \item @|obj.GenerateAllDataOff ()|
//\end{itemize}
//!
