#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRearrangeFields object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRearrangeFields.h"

//@@Signature
//sfunction @vtkRearrangeFields:vtkRearrangeFields vtkRearrangeFieldsConstructorFunction
//input a
//output p
//@@Parents vtkRearrangeFields vtkDataSetAlgorithm 
ArrayVector vtkRearrangeFieldsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRearrangeFields::New(),"vtkRearrangeFields",eval);
  } else if (arg[0].className() == "vtkRearrangeFields") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRearrangeFields"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRearrangeFields");
    vtkRearrangeFields*q = reinterpret_cast<vtkRearrangeFields*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRearrangeFields");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRearrangeFields:GetClassName vtkRearrangeFieldsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRearrangeFieldsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRearrangeFields requires 1 argument(s)");
  vtkRearrangeFields* vtk_pointer = GetVTKPointer<vtkRearrangeFields>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRearrangeFields:IsA vtkRearrangeFieldsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRearrangeFieldsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRearrangeFields requires 2 argument(s)");
  vtkRearrangeFields* vtk_pointer = GetVTKPointer<vtkRearrangeFields>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRearrangeFields:NewInstance vtkRearrangeFieldsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRearrangeFieldsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRearrangeFields *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRearrangeFields requires 1 argument(s)");
  vtkRearrangeFields* vtk_pointer = GetVTKPointer<vtkRearrangeFields>(arg[0]);
  Array retval;
  vtkRearrangeFields  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRearrangeFields",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRearrangeFields:SafeDownCast vtkRearrangeFieldsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRearrangeFieldsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRearrangeFields *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRearrangeFields requires 2 argument(s)");
  vtkRearrangeFields* vtk_pointer = GetVTKPointer<vtkRearrangeFields>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRearrangeFields  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRearrangeFields",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRearrangeFields:AddOperation__1 vtkRearrangeFieldsAddOperation__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkRearrangeFieldsAddOperation__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddOperation (int operationType, int attributeType, int fromFieldLoc, int toFieldLoc); */
  if (arg.size() < 5) 
    throw Exception("Function AddOperation__1 for class vtkRearrangeFields requires 5 argument(s)");
  vtkRearrangeFields* vtk_pointer = GetVTKPointer<vtkRearrangeFields>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->AddOperation(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRearrangeFields:AddOperation__2 vtkRearrangeFieldsAddOperation__2Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkRearrangeFieldsAddOperation__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddOperation (int operationType, const char *name, int fromFieldLoc, int toFieldLoc); */
  if (arg.size() < 5) 
    throw Exception("Function AddOperation__2 for class vtkRearrangeFields requires 5 argument(s)");
  vtkRearrangeFields* vtk_pointer = GetVTKPointer<vtkRearrangeFields>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->AddOperation(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRearrangeFields:AddOperation__3 vtkRearrangeFieldsAddOperation__3Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkRearrangeFieldsAddOperation__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddOperation (const char *operationType, const char *attributeType, const char *fromFieldLoc, const char *toFieldLoc); */
  if (arg.size() < 5) 
    throw Exception("Function AddOperation__3 for class vtkRearrangeFields requires 5 argument(s)");
  vtkRearrangeFields* vtk_pointer = GetVTKPointer<vtkRearrangeFields>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  char    *temp2;
  char    *temp3;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  char tmp_string2[1024];
  strcpy(tmp_string2,qPrintable(arg[3].asString())); 
  temp2 = tmp_string2;
  char tmp_string3[1024];
  strcpy(tmp_string3,qPrintable(arg[4].asString())); 
  temp3 = tmp_string3;
  temp20 = (vtk_pointer)->AddOperation(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRearrangeFields:RemoveOperation__1 vtkRearrangeFieldsRemoveOperation__1Function
//input a0 a1 
//output y
ArrayVector vtkRearrangeFieldsRemoveOperation__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RemoveOperation (int operationId); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveOperation__1 for class vtkRearrangeFields requires 2 argument(s)");
  vtkRearrangeFields* vtk_pointer = GetVTKPointer<vtkRearrangeFields>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->RemoveOperation(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRearrangeFields:RemoveOperation__2 vtkRearrangeFieldsRemoveOperation__2Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkRearrangeFieldsRemoveOperation__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RemoveOperation (int operationType, int attributeType, int fromFieldLoc, int toFieldLoc); */
  if (arg.size() < 5) 
    throw Exception("Function RemoveOperation__2 for class vtkRearrangeFields requires 5 argument(s)");
  vtkRearrangeFields* vtk_pointer = GetVTKPointer<vtkRearrangeFields>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->RemoveOperation(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRearrangeFields:RemoveOperation__3 vtkRearrangeFieldsRemoveOperation__3Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkRearrangeFieldsRemoveOperation__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RemoveOperation (int operationType, const char *name, int fromFieldLoc, int toFieldLoc); */
  if (arg.size() < 5) 
    throw Exception("Function RemoveOperation__3 for class vtkRearrangeFields requires 5 argument(s)");
  vtkRearrangeFields* vtk_pointer = GetVTKPointer<vtkRearrangeFields>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  int      temp2;
  int      temp3;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->RemoveOperation(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRearrangeFields:RemoveOperation__4 vtkRearrangeFieldsRemoveOperation__4Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkRearrangeFieldsRemoveOperation__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RemoveOperation (const char *operationType, const char *attributeType, const char *fromFieldLoc, const char *toFieldLoc); */
  if (arg.size() < 5) 
    throw Exception("Function RemoveOperation__4 for class vtkRearrangeFields requires 5 argument(s)");
  vtkRearrangeFields* vtk_pointer = GetVTKPointer<vtkRearrangeFields>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  char    *temp2;
  char    *temp3;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  char tmp_string2[1024];
  strcpy(tmp_string2,qPrintable(arg[3].asString())); 
  temp2 = tmp_string2;
  char tmp_string3[1024];
  strcpy(tmp_string3,qPrintable(arg[4].asString())); 
  temp3 = tmp_string3;
  temp20 = (vtk_pointer)->RemoveOperation(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRearrangeFields:RemoveAllOperations vtkRearrangeFieldsRemoveAllOperationsFunction
//input a0 
//output none
ArrayVector vtkRearrangeFieldsRemoveAllOperationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllOperations ();this Modified this LastId this DeleteAllOperations  */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllOperations for class vtkRearrangeFields requires 1 argument(s)");
  vtkRearrangeFields* vtk_pointer = GetVTKPointer<vtkRearrangeFields>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllOperations();
  return retval;
}

//@@Signature
//sfunction @vtkRearrangeFields:AddOperation vtkRearrangeFieldsAddOperationFunction
//input varargin
//output varargout
ArrayVector vtkRearrangeFieldsAddOperationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkRearrangeFieldsAddOperation__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkRearrangeFieldsAddOperation__2Function(nargout,arg,eval);
  if ((arg.size() == 5))
    return vtkRearrangeFieldsAddOperation__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRearrangeFieldsAddOperation");
}

//@@Signature
//sfunction @vtkRearrangeFields:RemoveOperation vtkRearrangeFieldsRemoveOperationFunction
//input varargin
//output varargout
ArrayVector vtkRearrangeFieldsRemoveOperationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkRearrangeFieldsRemoveOperation__1Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkRearrangeFieldsRemoveOperation__2Function(nargout,arg,eval);
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkRearrangeFieldsRemoveOperation__3Function(nargout,arg,eval);
  if ((arg.size() == 5))
    return vtkRearrangeFieldsRemoveOperation__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRearrangeFieldsRemoveOperation");
}

//@@Signature
//sfunction @vtkRearrangeFields:FindOperation vtkRearrangeFieldsFindOperationFunction
//input varargin
//output varargout
ArrayVector vtkRearrangeFieldsFindOperationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkRearrangeFieldsFindOperation");
}

//@@Signature
//sfunction @vtkRearrangeFields:display vtkRearrangeFieldsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRearrangeFieldsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRearrangeFields* vtk_pointer = GetVTKPointer<vtkRearrangeFields>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRearrangeFields:delete vtkRearrangeFieldsDeleteFunction
//input varargin
//output none
ArrayVector vtkRearrangeFieldsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRearrangeFields
//@@Section VTKGraphics
//@@Usage
// vtkRearrangeFields is used to copy/move fields (vtkDataArrays) between
// data object's field data, point data and cell data. To specify which
// fields are copied/moved, the user adds operations. There are two types
// of operations: 1. the type which copies/moves an attribute's data
// (i.e. the field will be copied but will not be an attribute in the
// target), 2. the type which copies/moves fields by name. For example:
// @verbatim
// rf->AddOperation(vtkRearrangeFields::COPY, "foo", 
//                  vtkRearrangeFields::DATA_OBJECT, 
//                  vtkRearrangeFields::POINT_DATA);
// @endverbatim
// adds an operation which copies a field (data array) called foo from
// the data object's field data to point data.
// From Tcl, the same operation can be added as follows:
// @verbatim
// rf AddOperation COPY foo DATA_OBJECT POINT_DATA
// @endverbatim
// The same can be done using Python and Java bindings by passing
// strings as arguments.
// @verbatim
// Operation types: COPY, MOVE
// AttributeTypes: SCALARS, VECTORS, NORMALS, TCOORDS, TENSORS
// Field data locations: DATA_OBJECT, POINT_DATA, CELL_DATA
// @endverbatim
//
//To create an instance of class vtkRearrangeFields, simply
//invoke its constructor as follows
//@[
//  obj = vtkRearrangeFields
//@]
//@@Methods
//The class vtkRearrangeFields has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRearrangeFields class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRearrangeFields = obj.NewInstance ()|
// \item @|vtkRearrangeFields = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.AddOperation (int operationType, int attributeType, int fromFieldLoc, int toFieldLoc)| -  Add an operation which copies an attribute's field (data array) from
// one field data to another. Returns an operation id which can later
// be used to remove the operation.
//// \item @|int = obj.AddOperation (int operationType, string name, int fromFieldLoc, int toFieldLoc)| -  Add an operation which copies a field (data array) from one field 
// data to another. Returns an operation id which can later
// be used to remove the operation.
//// \item @|int = obj.AddOperation (string operationType, string attributeType, string fromFieldLoc, string toFieldLoc)| -  Helper method used by other language bindings. Allows the caller to
// specify arguments as strings instead of enums.Returns an operation id 
// which can later be used to remove the operation.
//// \item @|int = obj.RemoveOperation (int operationId)| -  Remove an operation with the given id.
//// \item @|int = obj.RemoveOperation (int operationType, int attributeType, int fromFieldLoc, int toFieldLoc)| -  Remove an operation with the given signature. See AddOperation
// for details.
//// \item @|int = obj.RemoveOperation (int operationType, string name, int fromFieldLoc, int toFieldLoc)| -  Remove an operation with the given signature. See AddOperation
// for details.
//// \item @|int = obj.RemoveOperation (string operationType, string attributeType, string fromFieldLoc, string toFieldLoc)| -  Remove an operation with the given signature. See AddOperation
// for details.
//// \item @|obj.RemoveAllOperations ()|
//\end{itemize}
//!
