#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRectangularButtonSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRectangularButtonSource.h"

//@@Signature
//sfunction @vtkRectangularButtonSource:vtkRectangularButtonSource vtkRectangularButtonSourceConstructorFunction
//input a
//output p
//@@Parents vtkRectangularButtonSource vtkButtonSource 
ArrayVector vtkRectangularButtonSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRectangularButtonSource::New(),"vtkRectangularButtonSource",eval);
  } else if (arg[0].className() == "vtkRectangularButtonSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRectangularButtonSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRectangularButtonSource");
    vtkRectangularButtonSource*q = reinterpret_cast<vtkRectangularButtonSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRectangularButtonSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRectangularButtonSource:GetClassName vtkRectangularButtonSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRectangularButtonSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRectangularButtonSource requires 1 argument(s)");
  vtkRectangularButtonSource* vtk_pointer = GetVTKPointer<vtkRectangularButtonSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectangularButtonSource:IsA vtkRectangularButtonSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRectangularButtonSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRectangularButtonSource requires 2 argument(s)");
  vtkRectangularButtonSource* vtk_pointer = GetVTKPointer<vtkRectangularButtonSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectangularButtonSource:NewInstance vtkRectangularButtonSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRectangularButtonSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRectangularButtonSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRectangularButtonSource requires 1 argument(s)");
  vtkRectangularButtonSource* vtk_pointer = GetVTKPointer<vtkRectangularButtonSource>(arg[0]);
  Array retval;
  vtkRectangularButtonSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectangularButtonSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRectangularButtonSource:SafeDownCast vtkRectangularButtonSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRectangularButtonSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRectangularButtonSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRectangularButtonSource requires 2 argument(s)");
  vtkRectangularButtonSource* vtk_pointer = GetVTKPointer<vtkRectangularButtonSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRectangularButtonSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectangularButtonSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRectangularButtonSource:SetWidth vtkRectangularButtonSourceSetWidthFunction
//input a0 a1 
//output none
ArrayVector vtkRectangularButtonSourceSetWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWidth (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetWidth for class vtkRectangularButtonSource requires 2 argument(s)");
  vtkRectangularButtonSource* vtk_pointer = GetVTKPointer<vtkRectangularButtonSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetWidth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRectangularButtonSource:GetWidthMinValue vtkRectangularButtonSourceGetWidthMinValueFunction
//input a0 
//output y
ArrayVector vtkRectangularButtonSourceGetWidthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetWidthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWidthMinValue for class vtkRectangularButtonSource requires 1 argument(s)");
  vtkRectangularButtonSource* vtk_pointer = GetVTKPointer<vtkRectangularButtonSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetWidthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectangularButtonSource:GetWidthMaxValue vtkRectangularButtonSourceGetWidthMaxValueFunction
//input a0 
//output y
ArrayVector vtkRectangularButtonSourceGetWidthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetWidthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWidthMaxValue for class vtkRectangularButtonSource requires 1 argument(s)");
  vtkRectangularButtonSource* vtk_pointer = GetVTKPointer<vtkRectangularButtonSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetWidthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectangularButtonSource:GetWidth vtkRectangularButtonSourceGetWidthFunction
//input a0 
//output y
ArrayVector vtkRectangularButtonSourceGetWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetWidth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWidth for class vtkRectangularButtonSource requires 1 argument(s)");
  vtkRectangularButtonSource* vtk_pointer = GetVTKPointer<vtkRectangularButtonSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetWidth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectangularButtonSource:SetHeight vtkRectangularButtonSourceSetHeightFunction
//input a0 a1 
//output none
ArrayVector vtkRectangularButtonSourceSetHeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHeight (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHeight for class vtkRectangularButtonSource requires 2 argument(s)");
  vtkRectangularButtonSource* vtk_pointer = GetVTKPointer<vtkRectangularButtonSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetHeight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRectangularButtonSource:GetHeightMinValue vtkRectangularButtonSourceGetHeightMinValueFunction
//input a0 
//output y
ArrayVector vtkRectangularButtonSourceGetHeightMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHeightMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeightMinValue for class vtkRectangularButtonSource requires 1 argument(s)");
  vtkRectangularButtonSource* vtk_pointer = GetVTKPointer<vtkRectangularButtonSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHeightMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectangularButtonSource:GetHeightMaxValue vtkRectangularButtonSourceGetHeightMaxValueFunction
//input a0 
//output y
ArrayVector vtkRectangularButtonSourceGetHeightMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHeightMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeightMaxValue for class vtkRectangularButtonSource requires 1 argument(s)");
  vtkRectangularButtonSource* vtk_pointer = GetVTKPointer<vtkRectangularButtonSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHeightMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectangularButtonSource:GetHeight vtkRectangularButtonSourceGetHeightFunction
//input a0 
//output y
ArrayVector vtkRectangularButtonSourceGetHeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHeight (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeight for class vtkRectangularButtonSource requires 1 argument(s)");
  vtkRectangularButtonSource* vtk_pointer = GetVTKPointer<vtkRectangularButtonSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHeight();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectangularButtonSource:SetDepth vtkRectangularButtonSourceSetDepthFunction
//input a0 a1 
//output none
ArrayVector vtkRectangularButtonSourceSetDepthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDepth (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDepth for class vtkRectangularButtonSource requires 2 argument(s)");
  vtkRectangularButtonSource* vtk_pointer = GetVTKPointer<vtkRectangularButtonSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDepth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRectangularButtonSource:GetDepthMinValue vtkRectangularButtonSourceGetDepthMinValueFunction
//input a0 
//output y
ArrayVector vtkRectangularButtonSourceGetDepthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDepthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDepthMinValue for class vtkRectangularButtonSource requires 1 argument(s)");
  vtkRectangularButtonSource* vtk_pointer = GetVTKPointer<vtkRectangularButtonSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDepthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectangularButtonSource:GetDepthMaxValue vtkRectangularButtonSourceGetDepthMaxValueFunction
//input a0 
//output y
ArrayVector vtkRectangularButtonSourceGetDepthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDepthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDepthMaxValue for class vtkRectangularButtonSource requires 1 argument(s)");
  vtkRectangularButtonSource* vtk_pointer = GetVTKPointer<vtkRectangularButtonSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDepthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectangularButtonSource:GetDepth vtkRectangularButtonSourceGetDepthFunction
//input a0 
//output y
ArrayVector vtkRectangularButtonSourceGetDepthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDepth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDepth for class vtkRectangularButtonSource requires 1 argument(s)");
  vtkRectangularButtonSource* vtk_pointer = GetVTKPointer<vtkRectangularButtonSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDepth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectangularButtonSource:SetBoxRatio vtkRectangularButtonSourceSetBoxRatioFunction
//input a0 a1 
//output none
ArrayVector vtkRectangularButtonSourceSetBoxRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBoxRatio (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBoxRatio for class vtkRectangularButtonSource requires 2 argument(s)");
  vtkRectangularButtonSource* vtk_pointer = GetVTKPointer<vtkRectangularButtonSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetBoxRatio(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRectangularButtonSource:GetBoxRatioMinValue vtkRectangularButtonSourceGetBoxRatioMinValueFunction
//input a0 
//output y
ArrayVector vtkRectangularButtonSourceGetBoxRatioMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetBoxRatioMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBoxRatioMinValue for class vtkRectangularButtonSource requires 1 argument(s)");
  vtkRectangularButtonSource* vtk_pointer = GetVTKPointer<vtkRectangularButtonSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetBoxRatioMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectangularButtonSource:GetBoxRatioMaxValue vtkRectangularButtonSourceGetBoxRatioMaxValueFunction
//input a0 
//output y
ArrayVector vtkRectangularButtonSourceGetBoxRatioMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetBoxRatioMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBoxRatioMaxValue for class vtkRectangularButtonSource requires 1 argument(s)");
  vtkRectangularButtonSource* vtk_pointer = GetVTKPointer<vtkRectangularButtonSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetBoxRatioMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectangularButtonSource:GetBoxRatio vtkRectangularButtonSourceGetBoxRatioFunction
//input a0 
//output y
ArrayVector vtkRectangularButtonSourceGetBoxRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetBoxRatio (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBoxRatio for class vtkRectangularButtonSource requires 1 argument(s)");
  vtkRectangularButtonSource* vtk_pointer = GetVTKPointer<vtkRectangularButtonSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetBoxRatio();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectangularButtonSource:SetTextureRatio vtkRectangularButtonSourceSetTextureRatioFunction
//input a0 a1 
//output none
ArrayVector vtkRectangularButtonSourceSetTextureRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTextureRatio (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextureRatio for class vtkRectangularButtonSource requires 2 argument(s)");
  vtkRectangularButtonSource* vtk_pointer = GetVTKPointer<vtkRectangularButtonSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTextureRatio(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRectangularButtonSource:GetTextureRatioMinValue vtkRectangularButtonSourceGetTextureRatioMinValueFunction
//input a0 
//output y
ArrayVector vtkRectangularButtonSourceGetTextureRatioMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTextureRatioMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureRatioMinValue for class vtkRectangularButtonSource requires 1 argument(s)");
  vtkRectangularButtonSource* vtk_pointer = GetVTKPointer<vtkRectangularButtonSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTextureRatioMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectangularButtonSource:GetTextureRatioMaxValue vtkRectangularButtonSourceGetTextureRatioMaxValueFunction
//input a0 
//output y
ArrayVector vtkRectangularButtonSourceGetTextureRatioMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTextureRatioMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureRatioMaxValue for class vtkRectangularButtonSource requires 1 argument(s)");
  vtkRectangularButtonSource* vtk_pointer = GetVTKPointer<vtkRectangularButtonSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTextureRatioMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectangularButtonSource:GetTextureRatio vtkRectangularButtonSourceGetTextureRatioFunction
//input a0 
//output y
ArrayVector vtkRectangularButtonSourceGetTextureRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTextureRatio (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureRatio for class vtkRectangularButtonSource requires 1 argument(s)");
  vtkRectangularButtonSource* vtk_pointer = GetVTKPointer<vtkRectangularButtonSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTextureRatio();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectangularButtonSource:SetTextureHeightRatio vtkRectangularButtonSourceSetTextureHeightRatioFunction
//input a0 a1 
//output none
ArrayVector vtkRectangularButtonSourceSetTextureHeightRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTextureHeightRatio (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextureHeightRatio for class vtkRectangularButtonSource requires 2 argument(s)");
  vtkRectangularButtonSource* vtk_pointer = GetVTKPointer<vtkRectangularButtonSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTextureHeightRatio(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRectangularButtonSource:GetTextureHeightRatioMinValue vtkRectangularButtonSourceGetTextureHeightRatioMinValueFunction
//input a0 
//output y
ArrayVector vtkRectangularButtonSourceGetTextureHeightRatioMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTextureHeightRatioMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureHeightRatioMinValue for class vtkRectangularButtonSource requires 1 argument(s)");
  vtkRectangularButtonSource* vtk_pointer = GetVTKPointer<vtkRectangularButtonSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTextureHeightRatioMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectangularButtonSource:GetTextureHeightRatioMaxValue vtkRectangularButtonSourceGetTextureHeightRatioMaxValueFunction
//input a0 
//output y
ArrayVector vtkRectangularButtonSourceGetTextureHeightRatioMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTextureHeightRatioMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureHeightRatioMaxValue for class vtkRectangularButtonSource requires 1 argument(s)");
  vtkRectangularButtonSource* vtk_pointer = GetVTKPointer<vtkRectangularButtonSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTextureHeightRatioMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectangularButtonSource:GetTextureHeightRatio vtkRectangularButtonSourceGetTextureHeightRatioFunction
//input a0 
//output y
ArrayVector vtkRectangularButtonSourceGetTextureHeightRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTextureHeightRatio (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureHeightRatio for class vtkRectangularButtonSource requires 1 argument(s)");
  vtkRectangularButtonSource* vtk_pointer = GetVTKPointer<vtkRectangularButtonSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTextureHeightRatio();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectangularButtonSource:display vtkRectangularButtonSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRectangularButtonSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRectangularButtonSource* vtk_pointer = GetVTKPointer<vtkRectangularButtonSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRectangularButtonSource:delete vtkRectangularButtonSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkRectangularButtonSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRectangularButtonSource
//@@Section VTKGraphics
//@@Usage
// vtkRectangularButtonSource creates a rectangular shaped button with
// texture coordinates suitable for application of a texture map. This
// provides a way to make nice looking 3D buttons. The buttons are 
// represented as vtkPolyData that includes texture coordinates and
// normals. The button lies in the x-y plane.
//
// To use this class you must define its width, height and length. These
// measurements are all taken with respect to the shoulder of the button.
// The shoulder is defined as follows. Imagine a box sitting on the floor.
// The distance from the floor to the top of the box is the depth; the other
// directions are the length (x-direction) and height (y-direction). In
// this particular widget the box can have a smaller bottom than top. The
// ratio in size between bottom and top is called the box ratio (by 
// default=1.0). The ratio of the texture region to the shoulder region
// is the texture ratio. And finally the texture region may be out of plane
// compared to the shoulder. The texture height ratio controls this.
//
//To create an instance of class vtkRectangularButtonSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkRectangularButtonSource
//@]
//@@Methods
//The class vtkRectangularButtonSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRectangularButtonSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRectangularButtonSource = obj.NewInstance ()|
// \item @|vtkRectangularButtonSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetWidth (double )| -  Set/Get the width of the button.
//// \item @|double = obj.GetWidthMinValue ()| -  Set/Get the width of the button.
//// \item @|double = obj.GetWidthMaxValue ()| -  Set/Get the width of the button.
//// \item @|double = obj.GetWidth ()| -  Set/Get the width of the button.
//// \item @|obj.SetHeight (double )| -  Set/Get the height of the button.
//// \item @|double = obj.GetHeightMinValue ()| -  Set/Get the height of the button.
//// \item @|double = obj.GetHeightMaxValue ()| -  Set/Get the height of the button.
//// \item @|double = obj.GetHeight ()| -  Set/Get the height of the button.
//// \item @|obj.SetDepth (double )| -  Set/Get the depth of the button (the z-eliipsoid axis length).
//// \item @|double = obj.GetDepthMinValue ()| -  Set/Get the depth of the button (the z-eliipsoid axis length).
//// \item @|double = obj.GetDepthMaxValue ()| -  Set/Get the depth of the button (the z-eliipsoid axis length).
//// \item @|double = obj.GetDepth ()| -  Set/Get the depth of the button (the z-eliipsoid axis length).
//// \item @|obj.SetBoxRatio (double )| -  Set/Get the ratio of the bottom of the button with the
// shoulder region. Numbers greater than one produce buttons
// with a wider bottom than shoulder; ratios less than one
// produce buttons that have a wider shoulder than bottom.
//// \item @|double = obj.GetBoxRatioMinValue ()| -  Set/Get the ratio of the bottom of the button with the
// shoulder region. Numbers greater than one produce buttons
// with a wider bottom than shoulder; ratios less than one
// produce buttons that have a wider shoulder than bottom.
//// \item @|double = obj.GetBoxRatioMaxValue ()| -  Set/Get the ratio of the bottom of the button with the
// shoulder region. Numbers greater than one produce buttons
// with a wider bottom than shoulder; ratios less than one
// produce buttons that have a wider shoulder than bottom.
//// \item @|double = obj.GetBoxRatio ()| -  Set/Get the ratio of the bottom of the button with the
// shoulder region. Numbers greater than one produce buttons
// with a wider bottom than shoulder; ratios less than one
// produce buttons that have a wider shoulder than bottom.
//// \item @|obj.SetTextureRatio (double )| -  Set/Get the ratio of the texture region to the
// shoulder region. This number must be 0<=tr<=1.
// If the texture style is to fit the image, then satisfying
// the texture ratio may only be possible in one of the
// two directions (length or width) depending on the 
// dimensions of the texture.
//// \item @|double = obj.GetTextureRatioMinValue ()| -  Set/Get the ratio of the texture region to the
// shoulder region. This number must be 0<=tr<=1.
// If the texture style is to fit the image, then satisfying
// the texture ratio may only be possible in one of the
// two directions (length or width) depending on the 
// dimensions of the texture.
//// \item @|double = obj.GetTextureRatioMaxValue ()| -  Set/Get the ratio of the texture region to the
// shoulder region. This number must be 0<=tr<=1.
// If the texture style is to fit the image, then satisfying
// the texture ratio may only be possible in one of the
// two directions (length or width) depending on the 
// dimensions of the texture.
//// \item @|double = obj.GetTextureRatio ()| -  Set/Get the ratio of the texture region to the
// shoulder region. This number must be 0<=tr<=1.
// If the texture style is to fit the image, then satisfying
// the texture ratio may only be possible in one of the
// two directions (length or width) depending on the 
// dimensions of the texture.
//// \item @|obj.SetTextureHeightRatio (double )| -  Set/Get the ratio of the height of the texture region
// to the shoulder height. Values greater than 1.0 yield
// convex buttons with the texture region raised above the
// shoulder. Values less than 1.0 yield concave buttons with
// the texture region below the shoulder.
//// \item @|double = obj.GetTextureHeightRatioMinValue ()| -  Set/Get the ratio of the height of the texture region
// to the shoulder height. Values greater than 1.0 yield
// convex buttons with the texture region raised above the
// shoulder. Values less than 1.0 yield concave buttons with
// the texture region below the shoulder.
//// \item @|double = obj.GetTextureHeightRatioMaxValue ()| -  Set/Get the ratio of the height of the texture region
// to the shoulder height. Values greater than 1.0 yield
// convex buttons with the texture region raised above the
// shoulder. Values less than 1.0 yield concave buttons with
// the texture region below the shoulder.
//// \item @|double = obj.GetTextureHeightRatio ()| -  Set/Get the ratio of the height of the texture region
// to the shoulder height. Values greater than 1.0 yield
// convex buttons with the texture region raised above the
// shoulder. Values less than 1.0 yield concave buttons with
// the texture region below the shoulder.
////\end{itemize}
//!
