#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRectilinearGridClip object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRectilinearGridClip.h"

//@@Signature
//sfunction @vtkRectilinearGridClip:vtkRectilinearGridClip vtkRectilinearGridClipConstructorFunction
//input a
//output p
//@@Parents vtkRectilinearGridClip vtkRectilinearGridAlgorithm 
ArrayVector vtkRectilinearGridClipConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRectilinearGridClip::New(),"vtkRectilinearGridClip",eval);
  } else if (arg[0].className() == "vtkRectilinearGridClip") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRectilinearGridClip"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRectilinearGridClip");
    vtkRectilinearGridClip*q = reinterpret_cast<vtkRectilinearGridClip*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRectilinearGridClip");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRectilinearGridClip:GetClassName vtkRectilinearGridClipGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRectilinearGridClipGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRectilinearGridClip requires 1 argument(s)");
  vtkRectilinearGridClip* vtk_pointer = GetVTKPointer<vtkRectilinearGridClip>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridClip:IsA vtkRectilinearGridClipIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRectilinearGridClipIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRectilinearGridClip requires 2 argument(s)");
  vtkRectilinearGridClip* vtk_pointer = GetVTKPointer<vtkRectilinearGridClip>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridClip:NewInstance vtkRectilinearGridClipNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRectilinearGridClipNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRectilinearGridClip *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRectilinearGridClip requires 1 argument(s)");
  vtkRectilinearGridClip* vtk_pointer = GetVTKPointer<vtkRectilinearGridClip>(arg[0]);
  Array retval;
  vtkRectilinearGridClip  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectilinearGridClip",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridClip:SafeDownCast vtkRectilinearGridClipSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRectilinearGridClipSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRectilinearGridClip *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRectilinearGridClip requires 2 argument(s)");
  vtkRectilinearGridClip* vtk_pointer = GetVTKPointer<vtkRectilinearGridClip>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRectilinearGridClip  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectilinearGridClip",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridClip:SetOutputWholeExtent__1 vtkRectilinearGridClipSetOutputWholeExtent__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkRectilinearGridClipSetOutputWholeExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputWholeExtent (int extent[6], vtkInformation *outInfo); */
  if (arg.size() < 3) 
    throw Exception("Function SetOutputWholeExtent__1 for class vtkRectilinearGridClip requires 3 argument(s)");
  vtkRectilinearGridClip* vtk_pointer = GetVTKPointer<vtkRectilinearGridClip>(arg[0]);
  Array retval;
  int    temp0[6];
  vtkInformation  *temp1;
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  temp1 = GetVTKPointer<vtkInformation>(arg[7]);
  vtk_pointer->SetOutputWholeExtent(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridClip:SetOutputWholeExtent__2 vtkRectilinearGridClipSetOutputWholeExtent__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkRectilinearGridClipSetOutputWholeExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputWholeExtent (int minX, int maxX, int minY, int maxY, int minZ, int maxZ); */
  if (arg.size() < 7) 
    throw Exception("Function SetOutputWholeExtent__2 for class vtkRectilinearGridClip requires 7 argument(s)");
  vtkRectilinearGridClip* vtk_pointer = GetVTKPointer<vtkRectilinearGridClip>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetOutputWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridClip:GetOutputWholeExtent__1 vtkRectilinearGridClipGetOutputWholeExtent__1Function
//input a0 a1 
//output none
ArrayVector vtkRectilinearGridClipGetOutputWholeExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetOutputWholeExtent (int extent[6]); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutputWholeExtent__1 for class vtkRectilinearGridClip requires 2 argument(s)");
  vtkRectilinearGridClip* vtk_pointer = GetVTKPointer<vtkRectilinearGridClip>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->GetOutputWholeExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridClip:ResetOutputWholeExtent vtkRectilinearGridClipResetOutputWholeExtentFunction
//input a0 
//output none
ArrayVector vtkRectilinearGridClipResetOutputWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ResetOutputWholeExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function ResetOutputWholeExtent for class vtkRectilinearGridClip requires 1 argument(s)");
  vtkRectilinearGridClip* vtk_pointer = GetVTKPointer<vtkRectilinearGridClip>(arg[0]);
  Array retval;
  vtk_pointer->ResetOutputWholeExtent();
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridClip:SetClipData vtkRectilinearGridClipSetClipDataFunction
//input a0 a1 
//output none
ArrayVector vtkRectilinearGridClipSetClipDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClipData (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetClipData for class vtkRectilinearGridClip requires 2 argument(s)");
  vtkRectilinearGridClip* vtk_pointer = GetVTKPointer<vtkRectilinearGridClip>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetClipData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridClip:GetClipData vtkRectilinearGridClipGetClipDataFunction
//input a0 
//output y
ArrayVector vtkRectilinearGridClipGetClipDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetClipData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClipData for class vtkRectilinearGridClip requires 1 argument(s)");
  vtkRectilinearGridClip* vtk_pointer = GetVTKPointer<vtkRectilinearGridClip>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetClipData();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridClip:ClipDataOn vtkRectilinearGridClipClipDataOnFunction
//input a0 
//output none
ArrayVector vtkRectilinearGridClipClipDataOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClipDataOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ClipDataOn for class vtkRectilinearGridClip requires 1 argument(s)");
  vtkRectilinearGridClip* vtk_pointer = GetVTKPointer<vtkRectilinearGridClip>(arg[0]);
  Array retval;
  vtk_pointer->ClipDataOn();
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridClip:ClipDataOff vtkRectilinearGridClipClipDataOffFunction
//input a0 
//output none
ArrayVector vtkRectilinearGridClipClipDataOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClipDataOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ClipDataOff for class vtkRectilinearGridClip requires 1 argument(s)");
  vtkRectilinearGridClip* vtk_pointer = GetVTKPointer<vtkRectilinearGridClip>(arg[0]);
  Array retval;
  vtk_pointer->ClipDataOff();
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridClip:SetOutputWholeExtent__3 vtkRectilinearGridClipSetOutputWholeExtent__3Function
//input a0 a1 a2 
//output none
ArrayVector vtkRectilinearGridClipSetOutputWholeExtent__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputWholeExtent (int piece, int numPieces); */
  if (arg.size() < 3) 
    throw Exception("Function SetOutputWholeExtent__3 for class vtkRectilinearGridClip requires 3 argument(s)");
  vtkRectilinearGridClip* vtk_pointer = GetVTKPointer<vtkRectilinearGridClip>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetOutputWholeExtent(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridClip:SetOutputWholeExtent vtkRectilinearGridClipSetOutputWholeExtentFunction
//input varargin
//output varargout
ArrayVector vtkRectilinearGridClipSetOutputWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsClass(arg[2],"vtkInformation"))
    return vtkRectilinearGridClipSetOutputWholeExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkRectilinearGridClipSetOutputWholeExtent__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkRectilinearGridClipSetOutputWholeExtent__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRectilinearGridClipSetOutputWholeExtent");
}

//@@Signature
//sfunction @vtkRectilinearGridClip:GetOutputWholeExtent vtkRectilinearGridClipGetOutputWholeExtentFunction
//input varargin
//output varargout
ArrayVector vtkRectilinearGridClipGetOutputWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkRectilinearGridClipGetOutputWholeExtent__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRectilinearGridClipGetOutputWholeExtent");
}

//@@Signature
//sfunction @vtkRectilinearGridClip:display vtkRectilinearGridClipDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRectilinearGridClipDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRectilinearGridClip* vtk_pointer = GetVTKPointer<vtkRectilinearGridClip>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRectilinearGridClip:delete vtkRectilinearGridClipDeleteFunction
//input varargin
//output none
ArrayVector vtkRectilinearGridClipDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRectilinearGridClip
//@@Section VTKGraphics
//@@Usage
// vtkRectilinearGridClip  will make an image smaller.  The output must have
// an image extent which is the subset of the input.  The filter has two 
// modes of operation: 
// 1: By default, the data is not copied in this filter. 
// Only the whole extent is modified.  
// 2: If ClipDataOn is set, then you will get no more that the clipped
// extent.
//
//To create an instance of class vtkRectilinearGridClip, simply
//invoke its constructor as follows
//@[
//  obj = vtkRectilinearGridClip
//@]
//@@Methods
//The class vtkRectilinearGridClip has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRectilinearGridClip class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRectilinearGridClip = obj.NewInstance ()|
// \item @|vtkRectilinearGridClip = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetOutputWholeExtent (int extent[6], vtkInformation outInfo)| -  The whole extent of the output has to be set explicitly.
//// \item @|obj.SetOutputWholeExtent (int minX, int maxX, int minY, int maxY, int minZ, int maxZ)| -  The whole extent of the output has to be set explicitly.
//// \item @|obj.GetOutputWholeExtent (int extent[6])| -  The whole extent of the output has to be set explicitly.
//// \item @|obj.ResetOutputWholeExtent ()|
// \item @|obj.SetClipData (int )| -  By default, ClipData is off, and only the WholeExtent is modified.
// the data's extent may actually be larger.  When this flag is on,
// the data extent will be no more than the OutputWholeExtent.
//// \item @|int = obj.GetClipData ()| -  By default, ClipData is off, and only the WholeExtent is modified.
// the data's extent may actually be larger.  When this flag is on,
// the data extent will be no more than the OutputWholeExtent.
//// \item @|obj.ClipDataOn ()| -  By default, ClipData is off, and only the WholeExtent is modified.
// the data's extent may actually be larger.  When this flag is on,
// the data extent will be no more than the OutputWholeExtent.
//// \item @|obj.ClipDataOff ()| -  By default, ClipData is off, and only the WholeExtent is modified.
// the data's extent may actually be larger.  When this flag is on,
// the data extent will be no more than the OutputWholeExtent.
//// \item @|obj.SetOutputWholeExtent (int piece, int numPieces)| -  Hack set output by piece
////\end{itemize}
//!
