#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRectilinearGridGeometryFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRectilinearGridGeometryFilter.h"

//@@Signature
//sfunction @vtkRectilinearGridGeometryFilter:vtkRectilinearGridGeometryFilter vtkRectilinearGridGeometryFilterConstructorFunction
//input a
//output p
//@@Parents vtkRectilinearGridGeometryFilter vtkPolyDataAlgorithm 
ArrayVector vtkRectilinearGridGeometryFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRectilinearGridGeometryFilter::New(),"vtkRectilinearGridGeometryFilter",eval);
  } else if (arg[0].className() == "vtkRectilinearGridGeometryFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRectilinearGridGeometryFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRectilinearGridGeometryFilter");
    vtkRectilinearGridGeometryFilter*q = reinterpret_cast<vtkRectilinearGridGeometryFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRectilinearGridGeometryFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRectilinearGridGeometryFilter:GetClassName vtkRectilinearGridGeometryFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRectilinearGridGeometryFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRectilinearGridGeometryFilter requires 1 argument(s)");
  vtkRectilinearGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkRectilinearGridGeometryFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridGeometryFilter:IsA vtkRectilinearGridGeometryFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRectilinearGridGeometryFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRectilinearGridGeometryFilter requires 2 argument(s)");
  vtkRectilinearGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkRectilinearGridGeometryFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridGeometryFilter:NewInstance vtkRectilinearGridGeometryFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRectilinearGridGeometryFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRectilinearGridGeometryFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRectilinearGridGeometryFilter requires 1 argument(s)");
  vtkRectilinearGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkRectilinearGridGeometryFilter>(arg[0]);
  Array retval;
  vtkRectilinearGridGeometryFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectilinearGridGeometryFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridGeometryFilter:SafeDownCast vtkRectilinearGridGeometryFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRectilinearGridGeometryFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRectilinearGridGeometryFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRectilinearGridGeometryFilter requires 2 argument(s)");
  vtkRectilinearGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkRectilinearGridGeometryFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRectilinearGridGeometryFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectilinearGridGeometryFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridGeometryFilter:GetExtent vtkRectilinearGridGeometryFilterGetExtentFunction
//input a0 
//output y
ArrayVector vtkRectilinearGridGeometryFilterGetExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtent for class vtkRectilinearGridGeometryFilter requires 1 argument(s)");
  vtkRectilinearGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkRectilinearGridGeometryFilter>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridGeometryFilter:SetExtent__1 vtkRectilinearGridGeometryFilterSetExtent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkRectilinearGridGeometryFilterSetExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtent (int iMin, int iMax, int jMin, int jMax, int kMin, int kMax); */
  if (arg.size() < 7) 
    throw Exception("Function SetExtent__1 for class vtkRectilinearGridGeometryFilter requires 7 argument(s)");
  vtkRectilinearGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkRectilinearGridGeometryFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridGeometryFilter:SetExtent__2 vtkRectilinearGridGeometryFilterSetExtent__2Function
//input a0 a1 
//output none
ArrayVector vtkRectilinearGridGeometryFilterSetExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtent (int extent[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtent__2 for class vtkRectilinearGridGeometryFilter requires 2 argument(s)");
  vtkRectilinearGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkRectilinearGridGeometryFilter>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridGeometryFilter:SetExtent vtkRectilinearGridGeometryFilterSetExtentFunction
//input varargin
//output varargout
ArrayVector vtkRectilinearGridGeometryFilterSetExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkRectilinearGridGeometryFilterSetExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkRectilinearGridGeometryFilterSetExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRectilinearGridGeometryFilterSetExtent");
}

//@@Signature
//sfunction @vtkRectilinearGridGeometryFilter:display vtkRectilinearGridGeometryFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRectilinearGridGeometryFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRectilinearGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkRectilinearGridGeometryFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRectilinearGridGeometryFilter:delete vtkRectilinearGridGeometryFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkRectilinearGridGeometryFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRectilinearGridGeometryFilter
//@@Section VTKGraphics
//@@Usage
// vtkRectilinearGridGeometryFilter is a filter that extracts geometry from a
// rectilinear grid. By specifying appropriate i-j-k indices, it is possible
// to extract a point, a curve, a surface, or a "volume". The volume
// is actually a (n x m x o) region of points.
//
// The extent specification is zero-offset. That is, the first k-plane in
// a 50x50x50 rectilinear grid is given by (0,49, 0,49, 0,0).
//
//To create an instance of class vtkRectilinearGridGeometryFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkRectilinearGridGeometryFilter
//@]
//@@Methods
//The class vtkRectilinearGridGeometryFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRectilinearGridGeometryFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRectilinearGridGeometryFilter = obj.NewInstance ()|
// \item @|vtkRectilinearGridGeometryFilter = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj. GetExtent ()| -  Get the extent in topological coordinate range (imin,imax, jmin,jmax,
// kmin,kmax).
//// \item @|obj.SetExtent (int iMin, int iMax, int jMin, int jMax, int kMin, int kMax)| -  Specify (imin,imax, jmin,jmax, kmin,kmax) indices.
//// \item @|obj.SetExtent (int extent[6])| -  Specify (imin,imax, jmin,jmax, kmin,kmax) indices in array form.
////\end{itemize}
//!
