#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRectilinearGridToTetrahedra object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRectilinearGridToTetrahedra.h"

//@@Signature
//sfunction @vtkRectilinearGridToTetrahedra:vtkRectilinearGridToTetrahedra vtkRectilinearGridToTetrahedraConstructorFunction
//input a
//output p
//@@Parents vtkRectilinearGridToTetrahedra vtkUnstructuredGridAlgorithm 
ArrayVector vtkRectilinearGridToTetrahedraConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRectilinearGridToTetrahedra::New(),"vtkRectilinearGridToTetrahedra",eval);
  } else if (arg[0].className() == "vtkRectilinearGridToTetrahedra") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRectilinearGridToTetrahedra"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRectilinearGridToTetrahedra");
    vtkRectilinearGridToTetrahedra*q = reinterpret_cast<vtkRectilinearGridToTetrahedra*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRectilinearGridToTetrahedra");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRectilinearGridToTetrahedra:GetClassName vtkRectilinearGridToTetrahedraGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRectilinearGridToTetrahedraGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRectilinearGridToTetrahedra requires 1 argument(s)");
  vtkRectilinearGridToTetrahedra* vtk_pointer = GetVTKPointer<vtkRectilinearGridToTetrahedra>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridToTetrahedra:IsA vtkRectilinearGridToTetrahedraIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRectilinearGridToTetrahedraIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRectilinearGridToTetrahedra requires 2 argument(s)");
  vtkRectilinearGridToTetrahedra* vtk_pointer = GetVTKPointer<vtkRectilinearGridToTetrahedra>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridToTetrahedra:NewInstance vtkRectilinearGridToTetrahedraNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRectilinearGridToTetrahedraNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRectilinearGridToTetrahedra *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRectilinearGridToTetrahedra requires 1 argument(s)");
  vtkRectilinearGridToTetrahedra* vtk_pointer = GetVTKPointer<vtkRectilinearGridToTetrahedra>(arg[0]);
  Array retval;
  vtkRectilinearGridToTetrahedra  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectilinearGridToTetrahedra",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridToTetrahedra:SafeDownCast vtkRectilinearGridToTetrahedraSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRectilinearGridToTetrahedraSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRectilinearGridToTetrahedra *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRectilinearGridToTetrahedra requires 2 argument(s)");
  vtkRectilinearGridToTetrahedra* vtk_pointer = GetVTKPointer<vtkRectilinearGridToTetrahedra>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRectilinearGridToTetrahedra  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectilinearGridToTetrahedra",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridToTetrahedra:SetTetraPerCellTo5 vtkRectilinearGridToTetrahedraSetTetraPerCellTo5Function
//input a0 
//output none
ArrayVector vtkRectilinearGridToTetrahedraSetTetraPerCellTo5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTetraPerCellTo5 ();SetTetraPerCell VTK_VOXEL_TO_5_TET  */
  if (arg.size() < 1) 
    throw Exception("Function SetTetraPerCellTo5 for class vtkRectilinearGridToTetrahedra requires 1 argument(s)");
  vtkRectilinearGridToTetrahedra* vtk_pointer = GetVTKPointer<vtkRectilinearGridToTetrahedra>(arg[0]);
  Array retval;
  vtk_pointer->SetTetraPerCellTo5();
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridToTetrahedra:SetTetraPerCellTo6 vtkRectilinearGridToTetrahedraSetTetraPerCellTo6Function
//input a0 
//output none
ArrayVector vtkRectilinearGridToTetrahedraSetTetraPerCellTo6Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTetraPerCellTo6 ();SetTetraPerCell VTK_VOXEL_TO_6_TET  */
  if (arg.size() < 1) 
    throw Exception("Function SetTetraPerCellTo6 for class vtkRectilinearGridToTetrahedra requires 1 argument(s)");
  vtkRectilinearGridToTetrahedra* vtk_pointer = GetVTKPointer<vtkRectilinearGridToTetrahedra>(arg[0]);
  Array retval;
  vtk_pointer->SetTetraPerCellTo6();
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridToTetrahedra:SetTetraPerCellTo12 vtkRectilinearGridToTetrahedraSetTetraPerCellTo12Function
//input a0 
//output none
ArrayVector vtkRectilinearGridToTetrahedraSetTetraPerCellTo12Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTetraPerCellTo12 ();SetTetraPerCell VTK_VOXEL_TO_12_TET  */
  if (arg.size() < 1) 
    throw Exception("Function SetTetraPerCellTo12 for class vtkRectilinearGridToTetrahedra requires 1 argument(s)");
  vtkRectilinearGridToTetrahedra* vtk_pointer = GetVTKPointer<vtkRectilinearGridToTetrahedra>(arg[0]);
  Array retval;
  vtk_pointer->SetTetraPerCellTo12();
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridToTetrahedra:SetTetraPerCellTo5And12 vtkRectilinearGridToTetrahedraSetTetraPerCellTo5And12Function
//input a0 
//output none
ArrayVector vtkRectilinearGridToTetrahedraSetTetraPerCellTo5And12Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTetraPerCellTo5And12 ();SetTetraPerCell VTK_VOXEL_TO_5_AND_12_TET  */
  if (arg.size() < 1) 
    throw Exception("Function SetTetraPerCellTo5And12 for class vtkRectilinearGridToTetrahedra requires 1 argument(s)");
  vtkRectilinearGridToTetrahedra* vtk_pointer = GetVTKPointer<vtkRectilinearGridToTetrahedra>(arg[0]);
  Array retval;
  vtk_pointer->SetTetraPerCellTo5And12();
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridToTetrahedra:SetTetraPerCell vtkRectilinearGridToTetrahedraSetTetraPerCellFunction
//input a0 a1 
//output none
ArrayVector vtkRectilinearGridToTetrahedraSetTetraPerCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTetraPerCell (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTetraPerCell for class vtkRectilinearGridToTetrahedra requires 2 argument(s)");
  vtkRectilinearGridToTetrahedra* vtk_pointer = GetVTKPointer<vtkRectilinearGridToTetrahedra>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTetraPerCell(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridToTetrahedra:GetTetraPerCell vtkRectilinearGridToTetrahedraGetTetraPerCellFunction
//input a0 
//output y
ArrayVector vtkRectilinearGridToTetrahedraGetTetraPerCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTetraPerCell (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTetraPerCell for class vtkRectilinearGridToTetrahedra requires 1 argument(s)");
  vtkRectilinearGridToTetrahedra* vtk_pointer = GetVTKPointer<vtkRectilinearGridToTetrahedra>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTetraPerCell();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridToTetrahedra:SetRememberVoxelId vtkRectilinearGridToTetrahedraSetRememberVoxelIdFunction
//input a0 a1 
//output none
ArrayVector vtkRectilinearGridToTetrahedraSetRememberVoxelIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRememberVoxelId (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRememberVoxelId for class vtkRectilinearGridToTetrahedra requires 2 argument(s)");
  vtkRectilinearGridToTetrahedra* vtk_pointer = GetVTKPointer<vtkRectilinearGridToTetrahedra>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRememberVoxelId(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridToTetrahedra:GetRememberVoxelId vtkRectilinearGridToTetrahedraGetRememberVoxelIdFunction
//input a0 
//output y
ArrayVector vtkRectilinearGridToTetrahedraGetRememberVoxelIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRememberVoxelId (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRememberVoxelId for class vtkRectilinearGridToTetrahedra requires 1 argument(s)");
  vtkRectilinearGridToTetrahedra* vtk_pointer = GetVTKPointer<vtkRectilinearGridToTetrahedra>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRememberVoxelId();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridToTetrahedra:RememberVoxelIdOn vtkRectilinearGridToTetrahedraRememberVoxelIdOnFunction
//input a0 
//output none
ArrayVector vtkRectilinearGridToTetrahedraRememberVoxelIdOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RememberVoxelIdOn (); */
  if (arg.size() < 1) 
    throw Exception("Function RememberVoxelIdOn for class vtkRectilinearGridToTetrahedra requires 1 argument(s)");
  vtkRectilinearGridToTetrahedra* vtk_pointer = GetVTKPointer<vtkRectilinearGridToTetrahedra>(arg[0]);
  Array retval;
  vtk_pointer->RememberVoxelIdOn();
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridToTetrahedra:RememberVoxelIdOff vtkRectilinearGridToTetrahedraRememberVoxelIdOffFunction
//input a0 
//output none
ArrayVector vtkRectilinearGridToTetrahedraRememberVoxelIdOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RememberVoxelIdOff (); */
  if (arg.size() < 1) 
    throw Exception("Function RememberVoxelIdOff for class vtkRectilinearGridToTetrahedra requires 1 argument(s)");
  vtkRectilinearGridToTetrahedra* vtk_pointer = GetVTKPointer<vtkRectilinearGridToTetrahedra>(arg[0]);
  Array retval;
  vtk_pointer->RememberVoxelIdOff();
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridToTetrahedra:SetInput__1 vtkRectilinearGridToTetrahedraSetInput__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkRectilinearGridToTetrahedraSetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (const double Extent[3], const double Spacing[3], const double tol); */
  if (arg.size() < 4) 
    throw Exception("Function SetInput__1 for class vtkRectilinearGridToTetrahedra requires 4 argument(s)");
  vtkRectilinearGridToTetrahedra* vtk_pointer = GetVTKPointer<vtkRectilinearGridToTetrahedra>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double   temp2;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[7].asDouble();
  vtk_pointer->SetInput(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridToTetrahedra:SetInput__2 vtkRectilinearGridToTetrahedraSetInput__2Function
//input a0 a1 a2 a3 a4 a5 a6 a7 
//output none
ArrayVector vtkRectilinearGridToTetrahedraSetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (const double ExtentX, const double ExtentY, const double ExtentZ, const double SpacingX, const double SpacingY, const double SpacingZ, const double tol); */
  if (arg.size() < 8) 
    throw Exception("Function SetInput__2 for class vtkRectilinearGridToTetrahedra requires 8 argument(s)");
  vtkRectilinearGridToTetrahedra* vtk_pointer = GetVTKPointer<vtkRectilinearGridToTetrahedra>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (double) arg[7].asDouble();
  vtk_pointer->SetInput(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridToTetrahedra:SetInput vtkRectilinearGridToTetrahedraSetInputFunction
//input varargin
//output varargout
ArrayVector vtkRectilinearGridToTetrahedraSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkRectilinearGridToTetrahedraSetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 8) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]) && VTKIsScalarArg(arg[7]))
    return vtkRectilinearGridToTetrahedraSetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRectilinearGridToTetrahedraSetInput");
}

//@@Signature
//sfunction @vtkRectilinearGridToTetrahedra:display vtkRectilinearGridToTetrahedraDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRectilinearGridToTetrahedraDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRectilinearGridToTetrahedra* vtk_pointer = GetVTKPointer<vtkRectilinearGridToTetrahedra>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRectilinearGridToTetrahedra:delete vtkRectilinearGridToTetrahedraDeleteFunction
//input varargin
//output none
ArrayVector vtkRectilinearGridToTetrahedraDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRectilinearGridToTetrahedra
//@@Section VTKGraphics
//@@Usage
// vtkRectilinearGridToTetrahedra forms a mesh of Tetrahedra from a
// vtkRectilinearGrid.  The tetrahedra can be 5 per cell, 6 per cell,
// or a mixture of 5 or 12 per cell. The resulting mesh is consistent,
// meaning that there are no edge crossings and that each tetrahedron
// face is shared by two tetrahedra, except those tetrahedra on the
// boundary. All tetrahedra are right handed.
//
// Note that 12 tetrahedra per cell means adding a point in the 
// center of the cell.
//
// In order to subdivide some cells into 5 and some cells into 12 tetrahedra:
// SetTetraPerCellTo5And12();
// Set the Scalars of the Input RectilinearGrid to be 5 or 12
// depending on what you want per cell of the RectilinearGrid.
//
// If you set RememberVoxelId, the scalars of the tetrahedron
// will be set to the Id of the Cell in the RectilinearGrid from which
// the tetrahedron came.
//
// .SECTION Thanks
//    This class was developed by Samson J. Timoner of the 
//    MIT Artificial Intelligence Laboratory
//
//
//To create an instance of class vtkRectilinearGridToTetrahedra, simply
//invoke its constructor as follows
//@[
//  obj = vtkRectilinearGridToTetrahedra
//@]
//@@Methods
//The class vtkRectilinearGridToTetrahedra has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRectilinearGridToTetrahedra class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRectilinearGridToTetrahedra = obj.NewInstance ()|
// \item @|vtkRectilinearGridToTetrahedra = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetTetraPerCellTo5 ()| -  Set the method to divide each cell (voxel) in the RectilinearGrid
// into tetrahedra.
//// \item @|obj.SetTetraPerCellTo6 ()| -  Set the method to divide each cell (voxel) in the RectilinearGrid
// into tetrahedra.
//// \item @|obj.SetTetraPerCellTo12 ()| -  Set the method to divide each cell (voxel) in the RectilinearGrid
// into tetrahedra.
//// \item @|obj.SetTetraPerCellTo5And12 ()| -  Set the method to divide each cell (voxel) in the RectilinearGrid
// into tetrahedra.
//// \item @|obj.SetTetraPerCell (int )| -  Set the method to divide each cell (voxel) in the RectilinearGrid
// into tetrahedra.
//// \item @|int = obj.GetTetraPerCell ()| -  Set the method to divide each cell (voxel) in the RectilinearGrid
// into tetrahedra.
//// \item @|obj.SetRememberVoxelId (int )| -  Should the tetrahedra have scalar data
// indicating which Voxel they came from in the vtkRectilinearGrid?
//// \item @|int = obj.GetRememberVoxelId ()| -  Should the tetrahedra have scalar data
// indicating which Voxel they came from in the vtkRectilinearGrid?
//// \item @|obj.RememberVoxelIdOn ()| -  Should the tetrahedra have scalar data
// indicating which Voxel they came from in the vtkRectilinearGrid?
//// \item @|obj.RememberVoxelIdOff ()| -  Should the tetrahedra have scalar data
// indicating which Voxel they came from in the vtkRectilinearGrid?
//// \item @|obj.SetInput (double Extent[3], double Spacing[3], double tol)| -  This function for convenience for creating a Rectilinear Grid
// If Spacing does not fit evenly into extent, the last cell will
// have a different width (or height or depth).
// If Extent[i]/Spacing[i] is within tol of an integer, then
// assume the programmer meant an integer for direction i.
//// \item @|obj.SetInput (double ExtentX, double ExtentY, double ExtentZ, double SpacingX, double SpacingY, double SpacingZ, double tol)| -  This version of the function for the wrappers
////\end{itemize}
//!
