#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRecursiveDividingCubes object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRecursiveDividingCubes.h"

//@@Signature
//sfunction @vtkRecursiveDividingCubes:vtkRecursiveDividingCubes vtkRecursiveDividingCubesConstructorFunction
//input a
//output p
//@@Parents vtkRecursiveDividingCubes vtkPolyDataAlgorithm 
ArrayVector vtkRecursiveDividingCubesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRecursiveDividingCubes::New(),"vtkRecursiveDividingCubes",eval);
  } else if (arg[0].className() == "vtkRecursiveDividingCubes") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRecursiveDividingCubes"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRecursiveDividingCubes");
    vtkRecursiveDividingCubes*q = reinterpret_cast<vtkRecursiveDividingCubes*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRecursiveDividingCubes");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRecursiveDividingCubes:GetClassName vtkRecursiveDividingCubesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRecursiveDividingCubesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRecursiveDividingCubes requires 1 argument(s)");
  vtkRecursiveDividingCubes* vtk_pointer = GetVTKPointer<vtkRecursiveDividingCubes>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRecursiveDividingCubes:IsA vtkRecursiveDividingCubesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRecursiveDividingCubesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRecursiveDividingCubes requires 2 argument(s)");
  vtkRecursiveDividingCubes* vtk_pointer = GetVTKPointer<vtkRecursiveDividingCubes>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRecursiveDividingCubes:NewInstance vtkRecursiveDividingCubesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRecursiveDividingCubesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRecursiveDividingCubes *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRecursiveDividingCubes requires 1 argument(s)");
  vtkRecursiveDividingCubes* vtk_pointer = GetVTKPointer<vtkRecursiveDividingCubes>(arg[0]);
  Array retval;
  vtkRecursiveDividingCubes  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRecursiveDividingCubes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRecursiveDividingCubes:SafeDownCast vtkRecursiveDividingCubesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRecursiveDividingCubesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRecursiveDividingCubes *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRecursiveDividingCubes requires 2 argument(s)");
  vtkRecursiveDividingCubes* vtk_pointer = GetVTKPointer<vtkRecursiveDividingCubes>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRecursiveDividingCubes  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRecursiveDividingCubes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRecursiveDividingCubes:SetValue vtkRecursiveDividingCubesSetValueFunction
//input a0 a1 
//output none
ArrayVector vtkRecursiveDividingCubesSetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetValue for class vtkRecursiveDividingCubes requires 2 argument(s)");
  vtkRecursiveDividingCubes* vtk_pointer = GetVTKPointer<vtkRecursiveDividingCubes>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRecursiveDividingCubes:GetValue vtkRecursiveDividingCubesGetValueFunction
//input a0 
//output y
ArrayVector vtkRecursiveDividingCubesGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetValue for class vtkRecursiveDividingCubes requires 1 argument(s)");
  vtkRecursiveDividingCubes* vtk_pointer = GetVTKPointer<vtkRecursiveDividingCubes>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRecursiveDividingCubes:SetDistance vtkRecursiveDividingCubesSetDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkRecursiveDividingCubesSetDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDistance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDistance for class vtkRecursiveDividingCubes requires 2 argument(s)");
  vtkRecursiveDividingCubes* vtk_pointer = GetVTKPointer<vtkRecursiveDividingCubes>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRecursiveDividingCubes:GetDistanceMinValue vtkRecursiveDividingCubesGetDistanceMinValueFunction
//input a0 
//output y
ArrayVector vtkRecursiveDividingCubesGetDistanceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDistanceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDistanceMinValue for class vtkRecursiveDividingCubes requires 1 argument(s)");
  vtkRecursiveDividingCubes* vtk_pointer = GetVTKPointer<vtkRecursiveDividingCubes>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDistanceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRecursiveDividingCubes:GetDistanceMaxValue vtkRecursiveDividingCubesGetDistanceMaxValueFunction
//input a0 
//output y
ArrayVector vtkRecursiveDividingCubesGetDistanceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDistanceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDistanceMaxValue for class vtkRecursiveDividingCubes requires 1 argument(s)");
  vtkRecursiveDividingCubes* vtk_pointer = GetVTKPointer<vtkRecursiveDividingCubes>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDistanceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRecursiveDividingCubes:GetDistance vtkRecursiveDividingCubesGetDistanceFunction
//input a0 
//output y
ArrayVector vtkRecursiveDividingCubesGetDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDistance for class vtkRecursiveDividingCubes requires 1 argument(s)");
  vtkRecursiveDividingCubes* vtk_pointer = GetVTKPointer<vtkRecursiveDividingCubes>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRecursiveDividingCubes:SetIncrement vtkRecursiveDividingCubesSetIncrementFunction
//input a0 a1 
//output none
ArrayVector vtkRecursiveDividingCubesSetIncrementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIncrement (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIncrement for class vtkRecursiveDividingCubes requires 2 argument(s)");
  vtkRecursiveDividingCubes* vtk_pointer = GetVTKPointer<vtkRecursiveDividingCubes>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIncrement(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRecursiveDividingCubes:GetIncrementMinValue vtkRecursiveDividingCubesGetIncrementMinValueFunction
//input a0 
//output y
ArrayVector vtkRecursiveDividingCubesGetIncrementMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIncrementMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIncrementMinValue for class vtkRecursiveDividingCubes requires 1 argument(s)");
  vtkRecursiveDividingCubes* vtk_pointer = GetVTKPointer<vtkRecursiveDividingCubes>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIncrementMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRecursiveDividingCubes:GetIncrementMaxValue vtkRecursiveDividingCubesGetIncrementMaxValueFunction
//input a0 
//output y
ArrayVector vtkRecursiveDividingCubesGetIncrementMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIncrementMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIncrementMaxValue for class vtkRecursiveDividingCubes requires 1 argument(s)");
  vtkRecursiveDividingCubes* vtk_pointer = GetVTKPointer<vtkRecursiveDividingCubes>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIncrementMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRecursiveDividingCubes:GetIncrement vtkRecursiveDividingCubesGetIncrementFunction
//input a0 
//output y
ArrayVector vtkRecursiveDividingCubesGetIncrementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIncrement (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIncrement for class vtkRecursiveDividingCubes requires 1 argument(s)");
  vtkRecursiveDividingCubes* vtk_pointer = GetVTKPointer<vtkRecursiveDividingCubes>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIncrement();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRecursiveDividingCubes:display vtkRecursiveDividingCubesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRecursiveDividingCubesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRecursiveDividingCubes* vtk_pointer = GetVTKPointer<vtkRecursiveDividingCubes>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRecursiveDividingCubes:delete vtkRecursiveDividingCubesDeleteFunction
//input varargin
//output none
ArrayVector vtkRecursiveDividingCubesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRecursiveDividingCubes
//@@Section VTKGraphics
//@@Usage
// vtkRecursiveDividingCubes is a filter that generates points lying on a 
// surface of constant scalar value (i.e., an isosurface). Dense point 
// clouds (i.e., at screen resolution) will appear as a surface. Less dense 
// clouds can be used as a source to generate streamlines or to generate 
// "transparent" surfaces.
//
// This implementation differs from vtkDividingCubes in that it uses a 
// recursive procedure. In many cases this can result in generating 
// more points than the procedural implementation of vtkDividingCubes. This is
// because the recursive procedure divides voxels by multiples of powers of 
// two. This can over-constrain subdivision. One of the advantages of the 
// recursive technique is that the recursion is terminated earlier, which in
// some cases can be more efficient.
//
//To create an instance of class vtkRecursiveDividingCubes, simply
//invoke its constructor as follows
//@[
//  obj = vtkRecursiveDividingCubes
//@]
//@@Methods
//The class vtkRecursiveDividingCubes has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRecursiveDividingCubes class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRecursiveDividingCubes = obj.NewInstance ()|
// \item @|vtkRecursiveDividingCubes = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetValue (double )| -  Set isosurface value.
//// \item @|double = obj.GetValue ()| -  Set isosurface value.
//// \item @|obj.SetDistance (double )| -  Specify sub-voxel size at which to generate point.
//// \item @|double = obj.GetDistanceMinValue ()| -  Specify sub-voxel size at which to generate point.
//// \item @|double = obj.GetDistanceMaxValue ()| -  Specify sub-voxel size at which to generate point.
//// \item @|double = obj.GetDistance ()| -  Specify sub-voxel size at which to generate point.
//// \item @|obj.SetIncrement (int )| -  Every "Increment" point is added to the list of points. This parameter, if
// set to a large value, can be used to limit the number of points while
// retaining good accuracy.
//// \item @|int = obj.GetIncrementMinValue ()| -  Every "Increment" point is added to the list of points. This parameter, if
// set to a large value, can be used to limit the number of points while
// retaining good accuracy.
//// \item @|int = obj.GetIncrementMaxValue ()| -  Every "Increment" point is added to the list of points. This parameter, if
// set to a large value, can be used to limit the number of points while
// retaining good accuracy.
//// \item @|int = obj.GetIncrement ()| -  Every "Increment" point is added to the list of points. This parameter, if
// set to a large value, can be used to limit the number of points while
// retaining good accuracy.
////\end{itemize}
//!
