#include "VTKWrap.hpp"

// FreeMat wrapper for vtkReflectionFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkReflectionFilter.h"

//@@Signature
//sfunction @vtkReflectionFilter:vtkReflectionFilter vtkReflectionFilterConstructorFunction
//input a
//output p
//@@Parents vtkReflectionFilter vtkDataObjectAlgorithm 
ArrayVector vtkReflectionFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkReflectionFilter::New(),"vtkReflectionFilter",eval);
  } else if (arg[0].className() == "vtkReflectionFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkReflectionFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkReflectionFilter");
    vtkReflectionFilter*q = reinterpret_cast<vtkReflectionFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkReflectionFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkReflectionFilter:GetClassName vtkReflectionFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkReflectionFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkReflectionFilter requires 1 argument(s)");
  vtkReflectionFilter* vtk_pointer = GetVTKPointer<vtkReflectionFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkReflectionFilter:IsA vtkReflectionFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkReflectionFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkReflectionFilter requires 2 argument(s)");
  vtkReflectionFilter* vtk_pointer = GetVTKPointer<vtkReflectionFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkReflectionFilter:NewInstance vtkReflectionFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkReflectionFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkReflectionFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkReflectionFilter requires 1 argument(s)");
  vtkReflectionFilter* vtk_pointer = GetVTKPointer<vtkReflectionFilter>(arg[0]);
  Array retval;
  vtkReflectionFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkReflectionFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkReflectionFilter:SafeDownCast vtkReflectionFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkReflectionFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkReflectionFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkReflectionFilter requires 2 argument(s)");
  vtkReflectionFilter* vtk_pointer = GetVTKPointer<vtkReflectionFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkReflectionFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkReflectionFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkReflectionFilter:SetPlane vtkReflectionFilterSetPlaneFunction
//input a0 a1 
//output none
ArrayVector vtkReflectionFilterSetPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlane (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPlane for class vtkReflectionFilter requires 2 argument(s)");
  vtkReflectionFilter* vtk_pointer = GetVTKPointer<vtkReflectionFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPlane(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkReflectionFilter:GetPlaneMinValue vtkReflectionFilterGetPlaneMinValueFunction
//input a0 
//output y
ArrayVector vtkReflectionFilterGetPlaneMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPlaneMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPlaneMinValue for class vtkReflectionFilter requires 1 argument(s)");
  vtkReflectionFilter* vtk_pointer = GetVTKPointer<vtkReflectionFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPlaneMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkReflectionFilter:GetPlaneMaxValue vtkReflectionFilterGetPlaneMaxValueFunction
//input a0 
//output y
ArrayVector vtkReflectionFilterGetPlaneMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPlaneMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPlaneMaxValue for class vtkReflectionFilter requires 1 argument(s)");
  vtkReflectionFilter* vtk_pointer = GetVTKPointer<vtkReflectionFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPlaneMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkReflectionFilter:GetPlane vtkReflectionFilterGetPlaneFunction
//input a0 
//output y
ArrayVector vtkReflectionFilterGetPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPlane (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPlane for class vtkReflectionFilter requires 1 argument(s)");
  vtkReflectionFilter* vtk_pointer = GetVTKPointer<vtkReflectionFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPlane();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkReflectionFilter:SetPlaneToX vtkReflectionFilterSetPlaneToXFunction
//input a0 
//output none
ArrayVector vtkReflectionFilterSetPlaneToXFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlaneToX ();this SetPlane USE_X  */
  if (arg.size() < 1) 
    throw Exception("Function SetPlaneToX for class vtkReflectionFilter requires 1 argument(s)");
  vtkReflectionFilter* vtk_pointer = GetVTKPointer<vtkReflectionFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetPlaneToX();
  return retval;
}

//@@Signature
//sfunction @vtkReflectionFilter:SetPlaneToY vtkReflectionFilterSetPlaneToYFunction
//input a0 
//output none
ArrayVector vtkReflectionFilterSetPlaneToYFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlaneToY ();this SetPlane USE_Y  */
  if (arg.size() < 1) 
    throw Exception("Function SetPlaneToY for class vtkReflectionFilter requires 1 argument(s)");
  vtkReflectionFilter* vtk_pointer = GetVTKPointer<vtkReflectionFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetPlaneToY();
  return retval;
}

//@@Signature
//sfunction @vtkReflectionFilter:SetPlaneToZ vtkReflectionFilterSetPlaneToZFunction
//input a0 
//output none
ArrayVector vtkReflectionFilterSetPlaneToZFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlaneToZ ();this SetPlane USE_Z  */
  if (arg.size() < 1) 
    throw Exception("Function SetPlaneToZ for class vtkReflectionFilter requires 1 argument(s)");
  vtkReflectionFilter* vtk_pointer = GetVTKPointer<vtkReflectionFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetPlaneToZ();
  return retval;
}

//@@Signature
//sfunction @vtkReflectionFilter:SetPlaneToXMin vtkReflectionFilterSetPlaneToXMinFunction
//input a0 
//output none
ArrayVector vtkReflectionFilterSetPlaneToXMinFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlaneToXMin ();this SetPlane USE_X_MIN  */
  if (arg.size() < 1) 
    throw Exception("Function SetPlaneToXMin for class vtkReflectionFilter requires 1 argument(s)");
  vtkReflectionFilter* vtk_pointer = GetVTKPointer<vtkReflectionFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetPlaneToXMin();
  return retval;
}

//@@Signature
//sfunction @vtkReflectionFilter:SetPlaneToYMin vtkReflectionFilterSetPlaneToYMinFunction
//input a0 
//output none
ArrayVector vtkReflectionFilterSetPlaneToYMinFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlaneToYMin ();this SetPlane USE_Y_MIN  */
  if (arg.size() < 1) 
    throw Exception("Function SetPlaneToYMin for class vtkReflectionFilter requires 1 argument(s)");
  vtkReflectionFilter* vtk_pointer = GetVTKPointer<vtkReflectionFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetPlaneToYMin();
  return retval;
}

//@@Signature
//sfunction @vtkReflectionFilter:SetPlaneToZMin vtkReflectionFilterSetPlaneToZMinFunction
//input a0 
//output none
ArrayVector vtkReflectionFilterSetPlaneToZMinFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlaneToZMin ();this SetPlane USE_Z_MIN  */
  if (arg.size() < 1) 
    throw Exception("Function SetPlaneToZMin for class vtkReflectionFilter requires 1 argument(s)");
  vtkReflectionFilter* vtk_pointer = GetVTKPointer<vtkReflectionFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetPlaneToZMin();
  return retval;
}

//@@Signature
//sfunction @vtkReflectionFilter:SetPlaneToXMax vtkReflectionFilterSetPlaneToXMaxFunction
//input a0 
//output none
ArrayVector vtkReflectionFilterSetPlaneToXMaxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlaneToXMax ();this SetPlane USE_X_MAX  */
  if (arg.size() < 1) 
    throw Exception("Function SetPlaneToXMax for class vtkReflectionFilter requires 1 argument(s)");
  vtkReflectionFilter* vtk_pointer = GetVTKPointer<vtkReflectionFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetPlaneToXMax();
  return retval;
}

//@@Signature
//sfunction @vtkReflectionFilter:SetPlaneToYMax vtkReflectionFilterSetPlaneToYMaxFunction
//input a0 
//output none
ArrayVector vtkReflectionFilterSetPlaneToYMaxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlaneToYMax ();this SetPlane USE_Y_MAX  */
  if (arg.size() < 1) 
    throw Exception("Function SetPlaneToYMax for class vtkReflectionFilter requires 1 argument(s)");
  vtkReflectionFilter* vtk_pointer = GetVTKPointer<vtkReflectionFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetPlaneToYMax();
  return retval;
}

//@@Signature
//sfunction @vtkReflectionFilter:SetPlaneToZMax vtkReflectionFilterSetPlaneToZMaxFunction
//input a0 
//output none
ArrayVector vtkReflectionFilterSetPlaneToZMaxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlaneToZMax ();this SetPlane USE_Z_MAX  */
  if (arg.size() < 1) 
    throw Exception("Function SetPlaneToZMax for class vtkReflectionFilter requires 1 argument(s)");
  vtkReflectionFilter* vtk_pointer = GetVTKPointer<vtkReflectionFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetPlaneToZMax();
  return retval;
}

//@@Signature
//sfunction @vtkReflectionFilter:SetCenter vtkReflectionFilterSetCenterFunction
//input a0 a1 
//output none
ArrayVector vtkReflectionFilterSetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCenter for class vtkReflectionFilter requires 2 argument(s)");
  vtkReflectionFilter* vtk_pointer = GetVTKPointer<vtkReflectionFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkReflectionFilter:GetCenter vtkReflectionFilterGetCenterFunction
//input a0 
//output y
ArrayVector vtkReflectionFilterGetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCenter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenter for class vtkReflectionFilter requires 1 argument(s)");
  vtkReflectionFilter* vtk_pointer = GetVTKPointer<vtkReflectionFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCenter();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkReflectionFilter:SetCopyInput vtkReflectionFilterSetCopyInputFunction
//input a0 a1 
//output none
ArrayVector vtkReflectionFilterSetCopyInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCopyInput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCopyInput for class vtkReflectionFilter requires 2 argument(s)");
  vtkReflectionFilter* vtk_pointer = GetVTKPointer<vtkReflectionFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCopyInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkReflectionFilter:GetCopyInput vtkReflectionFilterGetCopyInputFunction
//input a0 
//output y
ArrayVector vtkReflectionFilterGetCopyInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCopyInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCopyInput for class vtkReflectionFilter requires 1 argument(s)");
  vtkReflectionFilter* vtk_pointer = GetVTKPointer<vtkReflectionFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCopyInput();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkReflectionFilter:CopyInputOn vtkReflectionFilterCopyInputOnFunction
//input a0 
//output none
ArrayVector vtkReflectionFilterCopyInputOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyInputOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CopyInputOn for class vtkReflectionFilter requires 1 argument(s)");
  vtkReflectionFilter* vtk_pointer = GetVTKPointer<vtkReflectionFilter>(arg[0]);
  Array retval;
  vtk_pointer->CopyInputOn();
  return retval;
}

//@@Signature
//sfunction @vtkReflectionFilter:CopyInputOff vtkReflectionFilterCopyInputOffFunction
//input a0 
//output none
ArrayVector vtkReflectionFilterCopyInputOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyInputOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CopyInputOff for class vtkReflectionFilter requires 1 argument(s)");
  vtkReflectionFilter* vtk_pointer = GetVTKPointer<vtkReflectionFilter>(arg[0]);
  Array retval;
  vtk_pointer->CopyInputOff();
  return retval;
}

//@@Signature
//sfunction @vtkReflectionFilter:display vtkReflectionFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkReflectionFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkReflectionFilter* vtk_pointer = GetVTKPointer<vtkReflectionFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkReflectionFilter:delete vtkReflectionFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkReflectionFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkReflectionFilter
//@@Section VTKGraphics
//@@Usage
// The vtkReflectionFilter reflects a data set across one of the
// planes formed by the data set's bounding box.
// Since it converts data sets into unstructured grids, it is not effeicient
// for structured data sets.
//
//To create an instance of class vtkReflectionFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkReflectionFilter
//@]
//@@Methods
//The class vtkReflectionFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkReflectionFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkReflectionFilter = obj.NewInstance ()|
// \item @|vtkReflectionFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPlane (int )| -  Set the normal of the plane to use as mirror.
//// \item @|int = obj.GetPlaneMinValue ()| -  Set the normal of the plane to use as mirror.
//// \item @|int = obj.GetPlaneMaxValue ()| -  Set the normal of the plane to use as mirror.
//// \item @|int = obj.GetPlane ()| -  Set the normal of the plane to use as mirror.
//// \item @|obj.SetPlaneToX ()| -  Set the normal of the plane to use as mirror.
//// \item @|obj.SetPlaneToY ()| -  Set the normal of the plane to use as mirror.
//// \item @|obj.SetPlaneToZ ()| -  Set the normal of the plane to use as mirror.
//// \item @|obj.SetPlaneToXMin ()| -  Set the normal of the plane to use as mirror.
//// \item @|obj.SetPlaneToYMin ()| -  Set the normal of the plane to use as mirror.
//// \item @|obj.SetPlaneToZMin ()| -  Set the normal of the plane to use as mirror.
//// \item @|obj.SetPlaneToXMax ()| -  Set the normal of the plane to use as mirror.
//// \item @|obj.SetPlaneToYMax ()| -  Set the normal of the plane to use as mirror.
//// \item @|obj.SetPlaneToZMax ()| -  Set the normal of the plane to use as mirror.
//// \item @|obj.SetCenter (double )| -  If the reflection plane is set to X, Y or Z, this variable
// is use to set the position of the plane.
//// \item @|double = obj.GetCenter ()| -  If the reflection plane is set to X, Y or Z, this variable
// is use to set the position of the plane.
//// \item @|obj.SetCopyInput (int )| -  If on (the default), copy the input geometry to the output. If off,
// the output will only contain the reflection.
//// \item @|int = obj.GetCopyInput ()| -  If on (the default), copy the input geometry to the output. If off,
// the output will only contain the reflection.
//// \item @|obj.CopyInputOn ()| -  If on (the default), copy the input geometry to the output. If off,
// the output will only contain the reflection.
//// \item @|obj.CopyInputOff ()| -  If on (the default), copy the input geometry to the output. If off,
// the output will only contain the reflection.
////\end{itemize}
//!
