#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRegularPolygonSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRegularPolygonSource.h"

//@@Signature
//sfunction @vtkRegularPolygonSource:vtkRegularPolygonSource vtkRegularPolygonSourceConstructorFunction
//input a
//output p
//@@Parents vtkRegularPolygonSource vtkPolyDataAlgorithm 
ArrayVector vtkRegularPolygonSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRegularPolygonSource::New(),"vtkRegularPolygonSource",eval);
  } else if (arg[0].className() == "vtkRegularPolygonSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRegularPolygonSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRegularPolygonSource");
    vtkRegularPolygonSource*q = reinterpret_cast<vtkRegularPolygonSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRegularPolygonSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRegularPolygonSource:GetClassName vtkRegularPolygonSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRegularPolygonSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRegularPolygonSource requires 1 argument(s)");
  vtkRegularPolygonSource* vtk_pointer = GetVTKPointer<vtkRegularPolygonSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRegularPolygonSource:IsA vtkRegularPolygonSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRegularPolygonSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRegularPolygonSource requires 2 argument(s)");
  vtkRegularPolygonSource* vtk_pointer = GetVTKPointer<vtkRegularPolygonSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRegularPolygonSource:NewInstance vtkRegularPolygonSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRegularPolygonSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRegularPolygonSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRegularPolygonSource requires 1 argument(s)");
  vtkRegularPolygonSource* vtk_pointer = GetVTKPointer<vtkRegularPolygonSource>(arg[0]);
  Array retval;
  vtkRegularPolygonSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRegularPolygonSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRegularPolygonSource:SafeDownCast vtkRegularPolygonSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRegularPolygonSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRegularPolygonSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRegularPolygonSource requires 2 argument(s)");
  vtkRegularPolygonSource* vtk_pointer = GetVTKPointer<vtkRegularPolygonSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRegularPolygonSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRegularPolygonSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRegularPolygonSource:SetNumberOfSides vtkRegularPolygonSourceSetNumberOfSidesFunction
//input a0 a1 
//output none
ArrayVector vtkRegularPolygonSourceSetNumberOfSidesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfSides (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfSides for class vtkRegularPolygonSource requires 2 argument(s)");
  vtkRegularPolygonSource* vtk_pointer = GetVTKPointer<vtkRegularPolygonSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfSides(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRegularPolygonSource:GetNumberOfSidesMinValue vtkRegularPolygonSourceGetNumberOfSidesMinValueFunction
//input a0 
//output y
ArrayVector vtkRegularPolygonSourceGetNumberOfSidesMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSidesMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSidesMinValue for class vtkRegularPolygonSource requires 1 argument(s)");
  vtkRegularPolygonSource* vtk_pointer = GetVTKPointer<vtkRegularPolygonSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSidesMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRegularPolygonSource:GetNumberOfSidesMaxValue vtkRegularPolygonSourceGetNumberOfSidesMaxValueFunction
//input a0 
//output y
ArrayVector vtkRegularPolygonSourceGetNumberOfSidesMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSidesMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSidesMaxValue for class vtkRegularPolygonSource requires 1 argument(s)");
  vtkRegularPolygonSource* vtk_pointer = GetVTKPointer<vtkRegularPolygonSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSidesMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRegularPolygonSource:GetNumberOfSides vtkRegularPolygonSourceGetNumberOfSidesFunction
//input a0 
//output y
ArrayVector vtkRegularPolygonSourceGetNumberOfSidesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSides (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSides for class vtkRegularPolygonSource requires 1 argument(s)");
  vtkRegularPolygonSource* vtk_pointer = GetVTKPointer<vtkRegularPolygonSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSides();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRegularPolygonSource:SetCenter__1 vtkRegularPolygonSourceSetCenter__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkRegularPolygonSourceSetCenter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetCenter__1 for class vtkRegularPolygonSource requires 4 argument(s)");
  vtkRegularPolygonSource* vtk_pointer = GetVTKPointer<vtkRegularPolygonSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCenter(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkRegularPolygonSource:SetCenter__2 vtkRegularPolygonSourceSetCenter__2Function
//input a0 a1 
//output none
ArrayVector vtkRegularPolygonSourceSetCenter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCenter__2 for class vtkRegularPolygonSource requires 2 argument(s)");
  vtkRegularPolygonSource* vtk_pointer = GetVTKPointer<vtkRegularPolygonSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRegularPolygonSource:GetCenter vtkRegularPolygonSourceGetCenterFunction
//input a0 
//output y
ArrayVector vtkRegularPolygonSourceGetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCenter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenter for class vtkRegularPolygonSource requires 1 argument(s)");
  vtkRegularPolygonSource* vtk_pointer = GetVTKPointer<vtkRegularPolygonSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCenter();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkRegularPolygonSource:SetNormal__1 vtkRegularPolygonSourceSetNormal__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkRegularPolygonSourceSetNormal__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormal (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetNormal__1 for class vtkRegularPolygonSource requires 4 argument(s)");
  vtkRegularPolygonSource* vtk_pointer = GetVTKPointer<vtkRegularPolygonSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetNormal(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkRegularPolygonSource:SetNormal__2 vtkRegularPolygonSourceSetNormal__2Function
//input a0 a1 
//output none
ArrayVector vtkRegularPolygonSourceSetNormal__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormal (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormal__2 for class vtkRegularPolygonSource requires 2 argument(s)");
  vtkRegularPolygonSource* vtk_pointer = GetVTKPointer<vtkRegularPolygonSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetNormal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRegularPolygonSource:GetNormal vtkRegularPolygonSourceGetNormalFunction
//input a0 
//output y
ArrayVector vtkRegularPolygonSourceGetNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetNormal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormal for class vtkRegularPolygonSource requires 1 argument(s)");
  vtkRegularPolygonSource* vtk_pointer = GetVTKPointer<vtkRegularPolygonSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetNormal();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkRegularPolygonSource:SetRadius vtkRegularPolygonSourceSetRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkRegularPolygonSourceSetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRadius for class vtkRegularPolygonSource requires 2 argument(s)");
  vtkRegularPolygonSource* vtk_pointer = GetVTKPointer<vtkRegularPolygonSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRegularPolygonSource:GetRadius vtkRegularPolygonSourceGetRadiusFunction
//input a0 
//output y
ArrayVector vtkRegularPolygonSourceGetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadius for class vtkRegularPolygonSource requires 1 argument(s)");
  vtkRegularPolygonSource* vtk_pointer = GetVTKPointer<vtkRegularPolygonSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRegularPolygonSource:SetGeneratePolygon vtkRegularPolygonSourceSetGeneratePolygonFunction
//input a0 a1 
//output none
ArrayVector vtkRegularPolygonSourceSetGeneratePolygonFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGeneratePolygon (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGeneratePolygon for class vtkRegularPolygonSource requires 2 argument(s)");
  vtkRegularPolygonSource* vtk_pointer = GetVTKPointer<vtkRegularPolygonSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGeneratePolygon(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRegularPolygonSource:GetGeneratePolygon vtkRegularPolygonSourceGetGeneratePolygonFunction
//input a0 
//output y
ArrayVector vtkRegularPolygonSourceGetGeneratePolygonFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGeneratePolygon (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGeneratePolygon for class vtkRegularPolygonSource requires 1 argument(s)");
  vtkRegularPolygonSource* vtk_pointer = GetVTKPointer<vtkRegularPolygonSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGeneratePolygon();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRegularPolygonSource:GeneratePolygonOn vtkRegularPolygonSourceGeneratePolygonOnFunction
//input a0 
//output none
ArrayVector vtkRegularPolygonSourceGeneratePolygonOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GeneratePolygonOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GeneratePolygonOn for class vtkRegularPolygonSource requires 1 argument(s)");
  vtkRegularPolygonSource* vtk_pointer = GetVTKPointer<vtkRegularPolygonSource>(arg[0]);
  Array retval;
  vtk_pointer->GeneratePolygonOn();
  return retval;
}

//@@Signature
//sfunction @vtkRegularPolygonSource:GeneratePolygonOff vtkRegularPolygonSourceGeneratePolygonOffFunction
//input a0 
//output none
ArrayVector vtkRegularPolygonSourceGeneratePolygonOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GeneratePolygonOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GeneratePolygonOff for class vtkRegularPolygonSource requires 1 argument(s)");
  vtkRegularPolygonSource* vtk_pointer = GetVTKPointer<vtkRegularPolygonSource>(arg[0]);
  Array retval;
  vtk_pointer->GeneratePolygonOff();
  return retval;
}

//@@Signature
//sfunction @vtkRegularPolygonSource:SetGeneratePolyline vtkRegularPolygonSourceSetGeneratePolylineFunction
//input a0 a1 
//output none
ArrayVector vtkRegularPolygonSourceSetGeneratePolylineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGeneratePolyline (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGeneratePolyline for class vtkRegularPolygonSource requires 2 argument(s)");
  vtkRegularPolygonSource* vtk_pointer = GetVTKPointer<vtkRegularPolygonSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGeneratePolyline(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRegularPolygonSource:GetGeneratePolyline vtkRegularPolygonSourceGetGeneratePolylineFunction
//input a0 
//output y
ArrayVector vtkRegularPolygonSourceGetGeneratePolylineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGeneratePolyline (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGeneratePolyline for class vtkRegularPolygonSource requires 1 argument(s)");
  vtkRegularPolygonSource* vtk_pointer = GetVTKPointer<vtkRegularPolygonSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGeneratePolyline();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRegularPolygonSource:GeneratePolylineOn vtkRegularPolygonSourceGeneratePolylineOnFunction
//input a0 
//output none
ArrayVector vtkRegularPolygonSourceGeneratePolylineOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GeneratePolylineOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GeneratePolylineOn for class vtkRegularPolygonSource requires 1 argument(s)");
  vtkRegularPolygonSource* vtk_pointer = GetVTKPointer<vtkRegularPolygonSource>(arg[0]);
  Array retval;
  vtk_pointer->GeneratePolylineOn();
  return retval;
}

//@@Signature
//sfunction @vtkRegularPolygonSource:GeneratePolylineOff vtkRegularPolygonSourceGeneratePolylineOffFunction
//input a0 
//output none
ArrayVector vtkRegularPolygonSourceGeneratePolylineOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GeneratePolylineOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GeneratePolylineOff for class vtkRegularPolygonSource requires 1 argument(s)");
  vtkRegularPolygonSource* vtk_pointer = GetVTKPointer<vtkRegularPolygonSource>(arg[0]);
  Array retval;
  vtk_pointer->GeneratePolylineOff();
  return retval;
}

//@@Signature
//sfunction @vtkRegularPolygonSource:SetCenter vtkRegularPolygonSourceSetCenterFunction
//input varargin
//output varargout
ArrayVector vtkRegularPolygonSourceSetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkRegularPolygonSourceSetCenter__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkRegularPolygonSourceSetCenter__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRegularPolygonSourceSetCenter");
}

//@@Signature
//sfunction @vtkRegularPolygonSource:SetNormal vtkRegularPolygonSourceSetNormalFunction
//input varargin
//output varargout
ArrayVector vtkRegularPolygonSourceSetNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkRegularPolygonSourceSetNormal__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkRegularPolygonSourceSetNormal__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRegularPolygonSourceSetNormal");
}

//@@Signature
//sfunction @vtkRegularPolygonSource:display vtkRegularPolygonSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRegularPolygonSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRegularPolygonSource* vtk_pointer = GetVTKPointer<vtkRegularPolygonSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRegularPolygonSource:delete vtkRegularPolygonSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkRegularPolygonSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRegularPolygonSource
//@@Section VTKGraphics
//@@Usage
// vtkRegularPolygonSource is a source object that creates a single n-sided polygon and/or 
// polyline. The polygon is centered at a specified point, orthogonal to
// a specified normal, and with a circumscribing radius set by the user. The user can
// also specify the number of sides of the polygon ranging from [3,N].
//
// This object can be used for seeding streamlines or defining regions for clipping/cutting.
//
//To create an instance of class vtkRegularPolygonSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkRegularPolygonSource
//@]
//@@Methods
//The class vtkRegularPolygonSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRegularPolygonSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for instantiation, obtaining type and printing instance values.
//// \item @|int = obj.IsA (string name)| -  Standard methods for instantiation, obtaining type and printing instance values.
//// \item @|vtkRegularPolygonSource = obj.NewInstance ()| -  Standard methods for instantiation, obtaining type and printing instance values.
//// \item @|vtkRegularPolygonSource = obj.SafeDownCast (vtkObject o)| -  Standard methods for instantiation, obtaining type and printing instance values.
//// \item @|obj.SetNumberOfSides (int )| -  Set/Get the number of sides of the polygon. By default, the number of sides
// is set to six.
//// \item @|int = obj.GetNumberOfSidesMinValue ()| -  Set/Get the number of sides of the polygon. By default, the number of sides
// is set to six.
//// \item @|int = obj.GetNumberOfSidesMaxValue ()| -  Set/Get the number of sides of the polygon. By default, the number of sides
// is set to six.
//// \item @|int = obj.GetNumberOfSides ()| -  Set/Get the number of sides of the polygon. By default, the number of sides
// is set to six.
//// \item @|obj.SetCenter (double , double , double )| -  Set/Get the center of the polygon. By default, the center is set at the
// origin (0,0,0).
//// \item @|obj.SetCenter (double  a[3])| -  Set/Get the center of the polygon. By default, the center is set at the
// origin (0,0,0).
//// \item @|double = obj. GetCenter ()| -  Set/Get the center of the polygon. By default, the center is set at the
// origin (0,0,0).
//// \item @|obj.SetNormal (double , double , double )| -  Set/Get the normal to the polygon. The ordering of the polygon will be
// counter-clockwise around the normal (i.e., using the right-hand rule).
// By default, the normal is set to (0,0,1).
//// \item @|obj.SetNormal (double  a[3])| -  Set/Get the normal to the polygon. The ordering of the polygon will be
// counter-clockwise around the normal (i.e., using the right-hand rule).
// By default, the normal is set to (0,0,1).
//// \item @|double = obj. GetNormal ()| -  Set/Get the normal to the polygon. The ordering of the polygon will be
// counter-clockwise around the normal (i.e., using the right-hand rule).
// By default, the normal is set to (0,0,1).
//// \item @|obj.SetRadius (double )| -  Set/Get the radius of the polygon. By default, the radius is set to 0.5.
//// \item @|double = obj.GetRadius ()| -  Set/Get the radius of the polygon. By default, the radius is set to 0.5.
//// \item @|obj.SetGeneratePolygon (int )| -  Control whether a polygon is produced. By default, GeneratePolygon is enabled.
//// \item @|int = obj.GetGeneratePolygon ()| -  Control whether a polygon is produced. By default, GeneratePolygon is enabled.
//// \item @|obj.GeneratePolygonOn ()| -  Control whether a polygon is produced. By default, GeneratePolygon is enabled.
//// \item @|obj.GeneratePolygonOff ()| -  Control whether a polygon is produced. By default, GeneratePolygon is enabled.
//// \item @|obj.SetGeneratePolyline (int )| -  Control whether a polyline is produced. By default, GeneratePolyline is enabled.
//// \item @|int = obj.GetGeneratePolyline ()| -  Control whether a polyline is produced. By default, GeneratePolyline is enabled.
//// \item @|obj.GeneratePolylineOn ()| -  Control whether a polyline is produced. By default, GeneratePolyline is enabled.
//// \item @|obj.GeneratePolylineOff ()| -  Control whether a polyline is produced. By default, GeneratePolyline is enabled.
////\end{itemize}
//!
