#include "VTKWrap.hpp"

// FreeMat wrapper for vtkReverseSense object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkReverseSense.h"

//@@Signature
//sfunction @vtkReverseSense:vtkReverseSense vtkReverseSenseConstructorFunction
//input a
//output p
//@@Parents vtkReverseSense vtkPolyDataAlgorithm 
ArrayVector vtkReverseSenseConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkReverseSense::New(),"vtkReverseSense",eval);
  } else if (arg[0].className() == "vtkReverseSense") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkReverseSense"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkReverseSense");
    vtkReverseSense*q = reinterpret_cast<vtkReverseSense*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkReverseSense");
    return ret;
  }
}
//@@Signature
//sfunction @vtkReverseSense:GetClassName vtkReverseSenseGetClassNameFunction
//input a0 
//output y
ArrayVector vtkReverseSenseGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkReverseSense requires 1 argument(s)");
  vtkReverseSense* vtk_pointer = GetVTKPointer<vtkReverseSense>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkReverseSense:IsA vtkReverseSenseIsAFunction
//input a0 a1 
//output y
ArrayVector vtkReverseSenseIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkReverseSense requires 2 argument(s)");
  vtkReverseSense* vtk_pointer = GetVTKPointer<vtkReverseSense>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkReverseSense:NewInstance vtkReverseSenseNewInstanceFunction
//input a0 
//output y
ArrayVector vtkReverseSenseNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkReverseSense *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkReverseSense requires 1 argument(s)");
  vtkReverseSense* vtk_pointer = GetVTKPointer<vtkReverseSense>(arg[0]);
  Array retval;
  vtkReverseSense  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkReverseSense",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkReverseSense:SafeDownCast vtkReverseSenseSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkReverseSenseSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkReverseSense *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkReverseSense requires 2 argument(s)");
  vtkReverseSense* vtk_pointer = GetVTKPointer<vtkReverseSense>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkReverseSense  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkReverseSense",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkReverseSense:SetReverseCells vtkReverseSenseSetReverseCellsFunction
//input a0 a1 
//output none
ArrayVector vtkReverseSenseSetReverseCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReverseCells (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReverseCells for class vtkReverseSense requires 2 argument(s)");
  vtkReverseSense* vtk_pointer = GetVTKPointer<vtkReverseSense>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReverseCells(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkReverseSense:GetReverseCells vtkReverseSenseGetReverseCellsFunction
//input a0 
//output y
ArrayVector vtkReverseSenseGetReverseCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReverseCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReverseCells for class vtkReverseSense requires 1 argument(s)");
  vtkReverseSense* vtk_pointer = GetVTKPointer<vtkReverseSense>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReverseCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkReverseSense:ReverseCellsOn vtkReverseSenseReverseCellsOnFunction
//input a0 
//output none
ArrayVector vtkReverseSenseReverseCellsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReverseCellsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReverseCellsOn for class vtkReverseSense requires 1 argument(s)");
  vtkReverseSense* vtk_pointer = GetVTKPointer<vtkReverseSense>(arg[0]);
  Array retval;
  vtk_pointer->ReverseCellsOn();
  return retval;
}

//@@Signature
//sfunction @vtkReverseSense:ReverseCellsOff vtkReverseSenseReverseCellsOffFunction
//input a0 
//output none
ArrayVector vtkReverseSenseReverseCellsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReverseCellsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReverseCellsOff for class vtkReverseSense requires 1 argument(s)");
  vtkReverseSense* vtk_pointer = GetVTKPointer<vtkReverseSense>(arg[0]);
  Array retval;
  vtk_pointer->ReverseCellsOff();
  return retval;
}

//@@Signature
//sfunction @vtkReverseSense:SetReverseNormals vtkReverseSenseSetReverseNormalsFunction
//input a0 a1 
//output none
ArrayVector vtkReverseSenseSetReverseNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReverseNormals (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReverseNormals for class vtkReverseSense requires 2 argument(s)");
  vtkReverseSense* vtk_pointer = GetVTKPointer<vtkReverseSense>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReverseNormals(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkReverseSense:GetReverseNormals vtkReverseSenseGetReverseNormalsFunction
//input a0 
//output y
ArrayVector vtkReverseSenseGetReverseNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReverseNormals (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReverseNormals for class vtkReverseSense requires 1 argument(s)");
  vtkReverseSense* vtk_pointer = GetVTKPointer<vtkReverseSense>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReverseNormals();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkReverseSense:ReverseNormalsOn vtkReverseSenseReverseNormalsOnFunction
//input a0 
//output none
ArrayVector vtkReverseSenseReverseNormalsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReverseNormalsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReverseNormalsOn for class vtkReverseSense requires 1 argument(s)");
  vtkReverseSense* vtk_pointer = GetVTKPointer<vtkReverseSense>(arg[0]);
  Array retval;
  vtk_pointer->ReverseNormalsOn();
  return retval;
}

//@@Signature
//sfunction @vtkReverseSense:ReverseNormalsOff vtkReverseSenseReverseNormalsOffFunction
//input a0 
//output none
ArrayVector vtkReverseSenseReverseNormalsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReverseNormalsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReverseNormalsOff for class vtkReverseSense requires 1 argument(s)");
  vtkReverseSense* vtk_pointer = GetVTKPointer<vtkReverseSense>(arg[0]);
  Array retval;
  vtk_pointer->ReverseNormalsOff();
  return retval;
}

//@@Signature
//sfunction @vtkReverseSense:display vtkReverseSenseDisplayFunction
//input varargin
//output varargout
ArrayVector vtkReverseSenseDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkReverseSense* vtk_pointer = GetVTKPointer<vtkReverseSense>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkReverseSense:delete vtkReverseSenseDeleteFunction
//input varargin
//output none
ArrayVector vtkReverseSenseDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkReverseSense
//@@Section VTKGraphics
//@@Usage
// 
// vtkReverseSense is a filter that reverses the order of polygonal cells
// and/or reverses the direction of point and cell normals. Two flags are
// used to control these operations. Cell reversal means reversing the order
// of indices in the cell connectivity list. Normal reversal means
// multiplying the normal vector by -1 (both point and cell normals, 
// if present).
//
//To create an instance of class vtkReverseSense, simply
//invoke its constructor as follows
//@[
//  obj = vtkReverseSense
//@]
//@@Methods
//The class vtkReverseSense has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkReverseSense class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkReverseSense = obj.NewInstance ()|
// \item @|vtkReverseSense = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetReverseCells (int )| -  Flag controls whether to reverse cell ordering.
//// \item @|int = obj.GetReverseCells ()| -  Flag controls whether to reverse cell ordering.
//// \item @|obj.ReverseCellsOn ()| -  Flag controls whether to reverse cell ordering.
//// \item @|obj.ReverseCellsOff ()| -  Flag controls whether to reverse cell ordering.
//// \item @|obj.SetReverseNormals (int )| -  Flag controls whether to reverse normal orientation.
//// \item @|int = obj.GetReverseNormals ()| -  Flag controls whether to reverse normal orientation.
//// \item @|obj.ReverseNormalsOn ()| -  Flag controls whether to reverse normal orientation.
//// \item @|obj.ReverseNormalsOff ()| -  Flag controls whether to reverse normal orientation.
////\end{itemize}
//!
