#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRibbonFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRibbonFilter.h"

//@@Signature
//sfunction @vtkRibbonFilter:vtkRibbonFilter vtkRibbonFilterConstructorFunction
//input a
//output p
//@@Parents vtkRibbonFilter vtkPolyDataAlgorithm 
ArrayVector vtkRibbonFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRibbonFilter::New(),"vtkRibbonFilter",eval);
  } else if (arg[0].className() == "vtkRibbonFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRibbonFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRibbonFilter");
    vtkRibbonFilter*q = reinterpret_cast<vtkRibbonFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRibbonFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRibbonFilter:GetClassName vtkRibbonFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRibbonFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRibbonFilter requires 1 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:IsA vtkRibbonFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRibbonFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRibbonFilter requires 2 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:NewInstance vtkRibbonFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRibbonFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRibbonFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRibbonFilter requires 1 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  vtkRibbonFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRibbonFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:SafeDownCast vtkRibbonFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRibbonFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRibbonFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRibbonFilter requires 2 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRibbonFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRibbonFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:SetWidth vtkRibbonFilterSetWidthFunction
//input a0 a1 
//output none
ArrayVector vtkRibbonFilterSetWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWidth (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetWidth for class vtkRibbonFilter requires 2 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetWidth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:GetWidthMinValue vtkRibbonFilterGetWidthMinValueFunction
//input a0 
//output y
ArrayVector vtkRibbonFilterGetWidthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetWidthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWidthMinValue for class vtkRibbonFilter requires 1 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetWidthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:GetWidthMaxValue vtkRibbonFilterGetWidthMaxValueFunction
//input a0 
//output y
ArrayVector vtkRibbonFilterGetWidthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetWidthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWidthMaxValue for class vtkRibbonFilter requires 1 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetWidthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:GetWidth vtkRibbonFilterGetWidthFunction
//input a0 
//output y
ArrayVector vtkRibbonFilterGetWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetWidth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWidth for class vtkRibbonFilter requires 1 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetWidth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:SetAngle vtkRibbonFilterSetAngleFunction
//input a0 a1 
//output none
ArrayVector vtkRibbonFilterSetAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAngle (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAngle for class vtkRibbonFilter requires 2 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetAngle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:GetAngleMinValue vtkRibbonFilterGetAngleMinValueFunction
//input a0 
//output y
ArrayVector vtkRibbonFilterGetAngleMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAngleMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAngleMinValue for class vtkRibbonFilter requires 1 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAngleMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:GetAngleMaxValue vtkRibbonFilterGetAngleMaxValueFunction
//input a0 
//output y
ArrayVector vtkRibbonFilterGetAngleMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAngleMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAngleMaxValue for class vtkRibbonFilter requires 1 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAngleMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:GetAngle vtkRibbonFilterGetAngleFunction
//input a0 
//output y
ArrayVector vtkRibbonFilterGetAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAngle for class vtkRibbonFilter requires 1 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAngle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:SetVaryWidth vtkRibbonFilterSetVaryWidthFunction
//input a0 a1 
//output none
ArrayVector vtkRibbonFilterSetVaryWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVaryWidth (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetVaryWidth for class vtkRibbonFilter requires 2 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetVaryWidth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:GetVaryWidth vtkRibbonFilterGetVaryWidthFunction
//input a0 
//output y
ArrayVector vtkRibbonFilterGetVaryWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVaryWidth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVaryWidth for class vtkRibbonFilter requires 1 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVaryWidth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:VaryWidthOn vtkRibbonFilterVaryWidthOnFunction
//input a0 
//output none
ArrayVector vtkRibbonFilterVaryWidthOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void VaryWidthOn (); */
  if (arg.size() < 1) 
    throw Exception("Function VaryWidthOn for class vtkRibbonFilter requires 1 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  vtk_pointer->VaryWidthOn();
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:VaryWidthOff vtkRibbonFilterVaryWidthOffFunction
//input a0 
//output none
ArrayVector vtkRibbonFilterVaryWidthOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void VaryWidthOff (); */
  if (arg.size() < 1) 
    throw Exception("Function VaryWidthOff for class vtkRibbonFilter requires 1 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  vtk_pointer->VaryWidthOff();
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:SetWidthFactor vtkRibbonFilterSetWidthFactorFunction
//input a0 a1 
//output none
ArrayVector vtkRibbonFilterSetWidthFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWidthFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetWidthFactor for class vtkRibbonFilter requires 2 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetWidthFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:GetWidthFactor vtkRibbonFilterGetWidthFactorFunction
//input a0 
//output y
ArrayVector vtkRibbonFilterGetWidthFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetWidthFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWidthFactor for class vtkRibbonFilter requires 1 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetWidthFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:SetDefaultNormal__1 vtkRibbonFilterSetDefaultNormal__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkRibbonFilterSetDefaultNormal__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDefaultNormal (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetDefaultNormal__1 for class vtkRibbonFilter requires 4 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetDefaultNormal(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:SetDefaultNormal__2 vtkRibbonFilterSetDefaultNormal__2Function
//input a0 a1 
//output none
ArrayVector vtkRibbonFilterSetDefaultNormal__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDefaultNormal (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDefaultNormal__2 for class vtkRibbonFilter requires 2 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetDefaultNormal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:GetDefaultNormal vtkRibbonFilterGetDefaultNormalFunction
//input a0 
//output y
ArrayVector vtkRibbonFilterGetDefaultNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetDefaultNormal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultNormal for class vtkRibbonFilter requires 1 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetDefaultNormal();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:SetUseDefaultNormal vtkRibbonFilterSetUseDefaultNormalFunction
//input a0 a1 
//output none
ArrayVector vtkRibbonFilterSetUseDefaultNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseDefaultNormal (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseDefaultNormal for class vtkRibbonFilter requires 2 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseDefaultNormal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:GetUseDefaultNormal vtkRibbonFilterGetUseDefaultNormalFunction
//input a0 
//output y
ArrayVector vtkRibbonFilterGetUseDefaultNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseDefaultNormal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseDefaultNormal for class vtkRibbonFilter requires 1 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseDefaultNormal();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:UseDefaultNormalOn vtkRibbonFilterUseDefaultNormalOnFunction
//input a0 
//output none
ArrayVector vtkRibbonFilterUseDefaultNormalOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseDefaultNormalOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseDefaultNormalOn for class vtkRibbonFilter requires 1 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  vtk_pointer->UseDefaultNormalOn();
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:UseDefaultNormalOff vtkRibbonFilterUseDefaultNormalOffFunction
//input a0 
//output none
ArrayVector vtkRibbonFilterUseDefaultNormalOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseDefaultNormalOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseDefaultNormalOff for class vtkRibbonFilter requires 1 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  vtk_pointer->UseDefaultNormalOff();
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:SetGenerateTCoords vtkRibbonFilterSetGenerateTCoordsFunction
//input a0 a1 
//output none
ArrayVector vtkRibbonFilterSetGenerateTCoordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateTCoords (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateTCoords for class vtkRibbonFilter requires 2 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateTCoords(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:GetGenerateTCoordsMinValue vtkRibbonFilterGetGenerateTCoordsMinValueFunction
//input a0 
//output y
ArrayVector vtkRibbonFilterGetGenerateTCoordsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateTCoordsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateTCoordsMinValue for class vtkRibbonFilter requires 1 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateTCoordsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:GetGenerateTCoordsMaxValue vtkRibbonFilterGetGenerateTCoordsMaxValueFunction
//input a0 
//output y
ArrayVector vtkRibbonFilterGetGenerateTCoordsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateTCoordsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateTCoordsMaxValue for class vtkRibbonFilter requires 1 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateTCoordsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:GetGenerateTCoords vtkRibbonFilterGetGenerateTCoordsFunction
//input a0 
//output y
ArrayVector vtkRibbonFilterGetGenerateTCoordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateTCoords (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateTCoords for class vtkRibbonFilter requires 1 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateTCoords();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:SetGenerateTCoordsToOff vtkRibbonFilterSetGenerateTCoordsToOffFunction
//input a0 
//output none
ArrayVector vtkRibbonFilterSetGenerateTCoordsToOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateTCoordsToOff ();this SetGenerateTCoords VTK_TCOORDS_OFF  */
  if (arg.size() < 1) 
    throw Exception("Function SetGenerateTCoordsToOff for class vtkRibbonFilter requires 1 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetGenerateTCoordsToOff();
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:SetGenerateTCoordsToNormalizedLength vtkRibbonFilterSetGenerateTCoordsToNormalizedLengthFunction
//input a0 
//output none
ArrayVector vtkRibbonFilterSetGenerateTCoordsToNormalizedLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateTCoordsToNormalizedLength ();this SetGenerateTCoords VTK_TCOORDS_FROM_NORMALIZED_LENGTH  */
  if (arg.size() < 1) 
    throw Exception("Function SetGenerateTCoordsToNormalizedLength for class vtkRibbonFilter requires 1 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetGenerateTCoordsToNormalizedLength();
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:SetGenerateTCoordsToUseLength vtkRibbonFilterSetGenerateTCoordsToUseLengthFunction
//input a0 
//output none
ArrayVector vtkRibbonFilterSetGenerateTCoordsToUseLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateTCoordsToUseLength ();this SetGenerateTCoords VTK_TCOORDS_FROM_LENGTH  */
  if (arg.size() < 1) 
    throw Exception("Function SetGenerateTCoordsToUseLength for class vtkRibbonFilter requires 1 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetGenerateTCoordsToUseLength();
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:SetGenerateTCoordsToUseScalars vtkRibbonFilterSetGenerateTCoordsToUseScalarsFunction
//input a0 
//output none
ArrayVector vtkRibbonFilterSetGenerateTCoordsToUseScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateTCoordsToUseScalars ();this SetGenerateTCoords VTK_TCOORDS_FROM_SCALARS  */
  if (arg.size() < 1) 
    throw Exception("Function SetGenerateTCoordsToUseScalars for class vtkRibbonFilter requires 1 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetGenerateTCoordsToUseScalars();
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:GetGenerateTCoordsAsString vtkRibbonFilterGetGenerateTCoordsAsStringFunction
//input a0 
//output y
ArrayVector vtkRibbonFilterGetGenerateTCoordsAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetGenerateTCoordsAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateTCoordsAsString for class vtkRibbonFilter requires 1 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetGenerateTCoordsAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:SetTextureLength vtkRibbonFilterSetTextureLengthFunction
//input a0 a1 
//output none
ArrayVector vtkRibbonFilterSetTextureLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTextureLength (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextureLength for class vtkRibbonFilter requires 2 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTextureLength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:GetTextureLengthMinValue vtkRibbonFilterGetTextureLengthMinValueFunction
//input a0 
//output y
ArrayVector vtkRibbonFilterGetTextureLengthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTextureLengthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureLengthMinValue for class vtkRibbonFilter requires 1 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTextureLengthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:GetTextureLengthMaxValue vtkRibbonFilterGetTextureLengthMaxValueFunction
//input a0 
//output y
ArrayVector vtkRibbonFilterGetTextureLengthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTextureLengthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureLengthMaxValue for class vtkRibbonFilter requires 1 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTextureLengthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:GetTextureLength vtkRibbonFilterGetTextureLengthFunction
//input a0 
//output y
ArrayVector vtkRibbonFilterGetTextureLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTextureLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureLength for class vtkRibbonFilter requires 1 argument(s)");
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTextureLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRibbonFilter:SetDefaultNormal vtkRibbonFilterSetDefaultNormalFunction
//input varargin
//output varargout
ArrayVector vtkRibbonFilterSetDefaultNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkRibbonFilterSetDefaultNormal__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkRibbonFilterSetDefaultNormal__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRibbonFilterSetDefaultNormal");
}

//@@Signature
//sfunction @vtkRibbonFilter:display vtkRibbonFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRibbonFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRibbonFilter* vtk_pointer = GetVTKPointer<vtkRibbonFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRibbonFilter:delete vtkRibbonFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkRibbonFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRibbonFilter
//@@Section VTKGraphics
//@@Usage
// vtkRibbonFilter is a filter to create oriented ribbons from lines defined
// in polygonal dataset. The orientation of the ribbon is along the line 
// segments and perpendicular to "projected" line normals. Projected line 
// normals are the original line normals projected to be perpendicular to 
// the local line segment. An offset angle can be specified to rotate the 
// ribbon with respect to the normal.
//
//
//To create an instance of class vtkRibbonFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkRibbonFilter
//@]
//@@Methods
//The class vtkRibbonFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRibbonFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRibbonFilter = obj.NewInstance ()|
// \item @|vtkRibbonFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetWidth (double )| -  Set the "half" width of the ribbon. If the width is allowed to vary, 
// this is the minimum width. The default is 0.5
//// \item @|double = obj.GetWidthMinValue ()| -  Set the "half" width of the ribbon. If the width is allowed to vary, 
// this is the minimum width. The default is 0.5
//// \item @|double = obj.GetWidthMaxValue ()| -  Set the "half" width of the ribbon. If the width is allowed to vary, 
// this is the minimum width. The default is 0.5
//// \item @|double = obj.GetWidth ()| -  Set the "half" width of the ribbon. If the width is allowed to vary, 
// this is the minimum width. The default is 0.5
//// \item @|obj.SetAngle (double )| -  Set the offset angle of the ribbon from the line normal. (The angle
// is expressed in degrees.) The default is 0.0
//// \item @|double = obj.GetAngleMinValue ()| -  Set the offset angle of the ribbon from the line normal. (The angle
// is expressed in degrees.) The default is 0.0
//// \item @|double = obj.GetAngleMaxValue ()| -  Set the offset angle of the ribbon from the line normal. (The angle
// is expressed in degrees.) The default is 0.0
//// \item @|double = obj.GetAngle ()| -  Set the offset angle of the ribbon from the line normal. (The angle
// is expressed in degrees.) The default is 0.0
//// \item @|obj.SetVaryWidth (int )| -  Turn on/off the variation of ribbon width with scalar value.
// The default is Off
//// \item @|int = obj.GetVaryWidth ()| -  Turn on/off the variation of ribbon width with scalar value.
// The default is Off
//// \item @|obj.VaryWidthOn ()| -  Turn on/off the variation of ribbon width with scalar value.
// The default is Off
//// \item @|obj.VaryWidthOff ()| -  Turn on/off the variation of ribbon width with scalar value.
// The default is Off
//// \item @|obj.SetWidthFactor (double )| -  Set the maximum ribbon width in terms of a multiple of the minimum width.
// The default is 2.0
//// \item @|double = obj.GetWidthFactor ()| -  Set the maximum ribbon width in terms of a multiple of the minimum width.
// The default is 2.0
//// \item @|obj.SetDefaultNormal (double , double , double )| -  Set the default normal to use if no normals are supplied, and
// DefaultNormalOn is set. The default is (0,0,1)
//// \item @|obj.SetDefaultNormal (double  a[3])| -  Set the default normal to use if no normals are supplied, and
// DefaultNormalOn is set. The default is (0,0,1)
//// \item @|double = obj. GetDefaultNormal ()| -  Set the default normal to use if no normals are supplied, and
// DefaultNormalOn is set. The default is (0,0,1)
//// \item @|obj.SetUseDefaultNormal (int )| -  Set a boolean to control whether to use default normals.
// The default is Off
//// \item @|int = obj.GetUseDefaultNormal ()| -  Set a boolean to control whether to use default normals.
// The default is Off
//// \item @|obj.UseDefaultNormalOn ()| -  Set a boolean to control whether to use default normals.
// The default is Off
//// \item @|obj.UseDefaultNormalOff ()| -  Set a boolean to control whether to use default normals.
// The default is Off
//// \item @|obj.SetGenerateTCoords (int )| -  Control whether and how texture coordinates are produced. This is
// useful for striping the ribbon with time textures, etc.
//// \item @|int = obj.GetGenerateTCoordsMinValue ()| -  Control whether and how texture coordinates are produced. This is
// useful for striping the ribbon with time textures, etc.
//// \item @|int = obj.GetGenerateTCoordsMaxValue ()| -  Control whether and how texture coordinates are produced. This is
// useful for striping the ribbon with time textures, etc.
//// \item @|int = obj.GetGenerateTCoords ()| -  Control whether and how texture coordinates are produced. This is
// useful for striping the ribbon with time textures, etc.
//// \item @|obj.SetGenerateTCoordsToOff ()| -  Control whether and how texture coordinates are produced. This is
// useful for striping the ribbon with time textures, etc.
//// \item @|obj.SetGenerateTCoordsToNormalizedLength ()| -  Control whether and how texture coordinates are produced. This is
// useful for striping the ribbon with time textures, etc.
//// \item @|obj.SetGenerateTCoordsToUseLength ()| -  Control whether and how texture coordinates are produced. This is
// useful for striping the ribbon with time textures, etc.
//// \item @|obj.SetGenerateTCoordsToUseScalars ()| -  Control whether and how texture coordinates are produced. This is
// useful for striping the ribbon with time textures, etc.
//// \item @|string = obj.GetGenerateTCoordsAsString ()| -  Control whether and how texture coordinates are produced. This is
// useful for striping the ribbon with time textures, etc.
//// \item @|obj.SetTextureLength (double )| -  Control the conversion of units during the texture coordinates
// calculation. The TextureLength indicates what length (whether 
// calculated from scalars or length) is mapped to the [0,1)
// texture space. The default is 1.0
//// \item @|double = obj.GetTextureLengthMinValue ()| -  Control the conversion of units during the texture coordinates
// calculation. The TextureLength indicates what length (whether 
// calculated from scalars or length) is mapped to the [0,1)
// texture space. The default is 1.0
//// \item @|double = obj.GetTextureLengthMaxValue ()| -  Control the conversion of units during the texture coordinates
// calculation. The TextureLength indicates what length (whether 
// calculated from scalars or length) is mapped to the [0,1)
// texture space. The default is 1.0
//// \item @|double = obj.GetTextureLength ()| -  Control the conversion of units during the texture coordinates
// calculation. The TextureLength indicates what length (whether 
// calculated from scalars or length) is mapped to the [0,1)
// texture space. The default is 1.0
////\end{itemize}
//!
