#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRotationFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRotationFilter.h"

//@@Signature
//sfunction @vtkRotationFilter:vtkRotationFilter vtkRotationFilterConstructorFunction
//input a
//output p
//@@Parents vtkRotationFilter vtkUnstructuredGridAlgorithm 
ArrayVector vtkRotationFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRotationFilter::New(),"vtkRotationFilter",eval);
  } else if (arg[0].className() == "vtkRotationFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRotationFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRotationFilter");
    vtkRotationFilter*q = reinterpret_cast<vtkRotationFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRotationFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRotationFilter:GetClassName vtkRotationFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRotationFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRotationFilter requires 1 argument(s)");
  vtkRotationFilter* vtk_pointer = GetVTKPointer<vtkRotationFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRotationFilter:IsA vtkRotationFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRotationFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRotationFilter requires 2 argument(s)");
  vtkRotationFilter* vtk_pointer = GetVTKPointer<vtkRotationFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRotationFilter:NewInstance vtkRotationFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRotationFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRotationFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRotationFilter requires 1 argument(s)");
  vtkRotationFilter* vtk_pointer = GetVTKPointer<vtkRotationFilter>(arg[0]);
  Array retval;
  vtkRotationFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRotationFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRotationFilter:SafeDownCast vtkRotationFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRotationFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRotationFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRotationFilter requires 2 argument(s)");
  vtkRotationFilter* vtk_pointer = GetVTKPointer<vtkRotationFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRotationFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRotationFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRotationFilter:SetAxis vtkRotationFilterSetAxisFunction
//input a0 a1 
//output none
ArrayVector vtkRotationFilterSetAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAxis (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAxis for class vtkRotationFilter requires 2 argument(s)");
  vtkRotationFilter* vtk_pointer = GetVTKPointer<vtkRotationFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAxis(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRotationFilter:GetAxisMinValue vtkRotationFilterGetAxisMinValueFunction
//input a0 
//output y
ArrayVector vtkRotationFilterGetAxisMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAxisMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAxisMinValue for class vtkRotationFilter requires 1 argument(s)");
  vtkRotationFilter* vtk_pointer = GetVTKPointer<vtkRotationFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAxisMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRotationFilter:GetAxisMaxValue vtkRotationFilterGetAxisMaxValueFunction
//input a0 
//output y
ArrayVector vtkRotationFilterGetAxisMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAxisMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAxisMaxValue for class vtkRotationFilter requires 1 argument(s)");
  vtkRotationFilter* vtk_pointer = GetVTKPointer<vtkRotationFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAxisMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRotationFilter:GetAxis vtkRotationFilterGetAxisFunction
//input a0 
//output y
ArrayVector vtkRotationFilterGetAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAxis (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAxis for class vtkRotationFilter requires 1 argument(s)");
  vtkRotationFilter* vtk_pointer = GetVTKPointer<vtkRotationFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAxis();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRotationFilter:SetAxisToX vtkRotationFilterSetAxisToXFunction
//input a0 
//output none
ArrayVector vtkRotationFilterSetAxisToXFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAxisToX ();this SetAxis USE_X  */
  if (arg.size() < 1) 
    throw Exception("Function SetAxisToX for class vtkRotationFilter requires 1 argument(s)");
  vtkRotationFilter* vtk_pointer = GetVTKPointer<vtkRotationFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetAxisToX();
  return retval;
}

//@@Signature
//sfunction @vtkRotationFilter:SetAxisToY vtkRotationFilterSetAxisToYFunction
//input a0 
//output none
ArrayVector vtkRotationFilterSetAxisToYFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAxisToY ();this SetAxis USE_Y  */
  if (arg.size() < 1) 
    throw Exception("Function SetAxisToY for class vtkRotationFilter requires 1 argument(s)");
  vtkRotationFilter* vtk_pointer = GetVTKPointer<vtkRotationFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetAxisToY();
  return retval;
}

//@@Signature
//sfunction @vtkRotationFilter:SetAxisToZ vtkRotationFilterSetAxisToZFunction
//input a0 
//output none
ArrayVector vtkRotationFilterSetAxisToZFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAxisToZ ();this SetAxis USE_Z  */
  if (arg.size() < 1) 
    throw Exception("Function SetAxisToZ for class vtkRotationFilter requires 1 argument(s)");
  vtkRotationFilter* vtk_pointer = GetVTKPointer<vtkRotationFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetAxisToZ();
  return retval;
}

//@@Signature
//sfunction @vtkRotationFilter:SetAngle vtkRotationFilterSetAngleFunction
//input a0 a1 
//output none
ArrayVector vtkRotationFilterSetAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAngle (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAngle for class vtkRotationFilter requires 2 argument(s)");
  vtkRotationFilter* vtk_pointer = GetVTKPointer<vtkRotationFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetAngle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRotationFilter:GetAngle vtkRotationFilterGetAngleFunction
//input a0 
//output y
ArrayVector vtkRotationFilterGetAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAngle for class vtkRotationFilter requires 1 argument(s)");
  vtkRotationFilter* vtk_pointer = GetVTKPointer<vtkRotationFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAngle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRotationFilter:SetCenter__1 vtkRotationFilterSetCenter__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkRotationFilterSetCenter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetCenter__1 for class vtkRotationFilter requires 4 argument(s)");
  vtkRotationFilter* vtk_pointer = GetVTKPointer<vtkRotationFilter>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCenter(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkRotationFilter:SetCenter__2 vtkRotationFilterSetCenter__2Function
//input a0 a1 
//output none
ArrayVector vtkRotationFilterSetCenter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCenter__2 for class vtkRotationFilter requires 2 argument(s)");
  vtkRotationFilter* vtk_pointer = GetVTKPointer<vtkRotationFilter>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRotationFilter:GetCenter vtkRotationFilterGetCenterFunction
//input a0 
//output y
ArrayVector vtkRotationFilterGetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCenter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenter for class vtkRotationFilter requires 1 argument(s)");
  vtkRotationFilter* vtk_pointer = GetVTKPointer<vtkRotationFilter>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCenter();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkRotationFilter:SetNumberOfCopies vtkRotationFilterSetNumberOfCopiesFunction
//input a0 a1 
//output none
ArrayVector vtkRotationFilterSetNumberOfCopiesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfCopies (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfCopies for class vtkRotationFilter requires 2 argument(s)");
  vtkRotationFilter* vtk_pointer = GetVTKPointer<vtkRotationFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfCopies(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRotationFilter:GetNumberOfCopies vtkRotationFilterGetNumberOfCopiesFunction
//input a0 
//output y
ArrayVector vtkRotationFilterGetNumberOfCopiesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfCopies (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCopies for class vtkRotationFilter requires 1 argument(s)");
  vtkRotationFilter* vtk_pointer = GetVTKPointer<vtkRotationFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfCopies();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRotationFilter:SetCopyInput vtkRotationFilterSetCopyInputFunction
//input a0 a1 
//output none
ArrayVector vtkRotationFilterSetCopyInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCopyInput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCopyInput for class vtkRotationFilter requires 2 argument(s)");
  vtkRotationFilter* vtk_pointer = GetVTKPointer<vtkRotationFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCopyInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRotationFilter:GetCopyInput vtkRotationFilterGetCopyInputFunction
//input a0 
//output y
ArrayVector vtkRotationFilterGetCopyInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCopyInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCopyInput for class vtkRotationFilter requires 1 argument(s)");
  vtkRotationFilter* vtk_pointer = GetVTKPointer<vtkRotationFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCopyInput();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRotationFilter:CopyInputOn vtkRotationFilterCopyInputOnFunction
//input a0 
//output none
ArrayVector vtkRotationFilterCopyInputOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyInputOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CopyInputOn for class vtkRotationFilter requires 1 argument(s)");
  vtkRotationFilter* vtk_pointer = GetVTKPointer<vtkRotationFilter>(arg[0]);
  Array retval;
  vtk_pointer->CopyInputOn();
  return retval;
}

//@@Signature
//sfunction @vtkRotationFilter:CopyInputOff vtkRotationFilterCopyInputOffFunction
//input a0 
//output none
ArrayVector vtkRotationFilterCopyInputOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyInputOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CopyInputOff for class vtkRotationFilter requires 1 argument(s)");
  vtkRotationFilter* vtk_pointer = GetVTKPointer<vtkRotationFilter>(arg[0]);
  Array retval;
  vtk_pointer->CopyInputOff();
  return retval;
}

//@@Signature
//sfunction @vtkRotationFilter:SetCenter vtkRotationFilterSetCenterFunction
//input varargin
//output varargout
ArrayVector vtkRotationFilterSetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkRotationFilterSetCenter__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkRotationFilterSetCenter__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRotationFilterSetCenter");
}

//@@Signature
//sfunction @vtkRotationFilter:display vtkRotationFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRotationFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRotationFilter* vtk_pointer = GetVTKPointer<vtkRotationFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRotationFilter:delete vtkRotationFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkRotationFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRotationFilter
//@@Section VTKGraphics
//@@Usage
// The vtkRotationFilter duplicates a data set by rotation about one of the
// 3 axis of the dataset's reference.
// Since it converts data sets into unstructured grids, it is not efficient
// for structured data sets.
//
// .SECTION Thanks
// Theophane Foggia of The Swiss National Supercomputing Centre (CSCS)
// for creating and contributing this filter
//
//To create an instance of class vtkRotationFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkRotationFilter
//@]
//@@Methods
//The class vtkRotationFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRotationFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRotationFilter = obj.NewInstance ()|
// \item @|vtkRotationFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetAxis (int )| -  Set the axis of rotation to use. It is set by default to Z.
//// \item @|int = obj.GetAxisMinValue ()| -  Set the axis of rotation to use. It is set by default to Z.
//// \item @|int = obj.GetAxisMaxValue ()| -  Set the axis of rotation to use. It is set by default to Z.
//// \item @|int = obj.GetAxis ()| -  Set the axis of rotation to use. It is set by default to Z.
//// \item @|obj.SetAxisToX ()| -  Set the axis of rotation to use. It is set by default to Z.
//// \item @|obj.SetAxisToY ()| -  Set the axis of rotation to use. It is set by default to Z.
//// \item @|obj.SetAxisToZ ()| -  Set the axis of rotation to use. It is set by default to Z.
//// \item @|obj.SetAngle (double )| -  Set the rotation angle to use.
//// \item @|double = obj.GetAngle ()| -  Set the rotation angle to use.
//// \item @|obj.SetCenter (double , double , double )| -  Set the rotation center coordinates.
//// \item @|obj.SetCenter (double  a[3])| -  Set the rotation center coordinates.
//// \item @|double = obj. GetCenter ()| -  Set the rotation center coordinates.
//// \item @|obj.SetNumberOfCopies (int )| -  Set the number of copies to create. The source will be rotated N times
// and a new polydata copy of the original created at each angular position
// All copies will be appended to form a single output
//// \item @|int = obj.GetNumberOfCopies ()| -  Set the number of copies to create. The source will be rotated N times
// and a new polydata copy of the original created at each angular position
// All copies will be appended to form a single output
//// \item @|obj.SetCopyInput (int )| -  If on (the default), copy the input geometry to the output. If off,
// the output will only contain the rotation.
//// \item @|int = obj.GetCopyInput ()| -  If on (the default), copy the input geometry to the output. If off,
// the output will only contain the rotation.
//// \item @|obj.CopyInputOn ()| -  If on (the default), copy the input geometry to the output. If off,
// the output will only contain the rotation.
//// \item @|obj.CopyInputOff ()| -  If on (the default), copy the input geometry to the output. If off,
// the output will only contain the rotation.
////\end{itemize}
//!
