#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRotationalExtrusionFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRotationalExtrusionFilter.h"

//@@Signature
//sfunction @vtkRotationalExtrusionFilter:vtkRotationalExtrusionFilter vtkRotationalExtrusionFilterConstructorFunction
//input a
//output p
//@@Parents vtkRotationalExtrusionFilter vtkPolyDataAlgorithm 
ArrayVector vtkRotationalExtrusionFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRotationalExtrusionFilter::New(),"vtkRotationalExtrusionFilter",eval);
  } else if (arg[0].className() == "vtkRotationalExtrusionFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRotationalExtrusionFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRotationalExtrusionFilter");
    vtkRotationalExtrusionFilter*q = reinterpret_cast<vtkRotationalExtrusionFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRotationalExtrusionFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRotationalExtrusionFilter:GetClassName vtkRotationalExtrusionFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRotationalExtrusionFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRotationalExtrusionFilter requires 1 argument(s)");
  vtkRotationalExtrusionFilter* vtk_pointer = GetVTKPointer<vtkRotationalExtrusionFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRotationalExtrusionFilter:IsA vtkRotationalExtrusionFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRotationalExtrusionFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRotationalExtrusionFilter requires 2 argument(s)");
  vtkRotationalExtrusionFilter* vtk_pointer = GetVTKPointer<vtkRotationalExtrusionFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRotationalExtrusionFilter:NewInstance vtkRotationalExtrusionFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRotationalExtrusionFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRotationalExtrusionFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRotationalExtrusionFilter requires 1 argument(s)");
  vtkRotationalExtrusionFilter* vtk_pointer = GetVTKPointer<vtkRotationalExtrusionFilter>(arg[0]);
  Array retval;
  vtkRotationalExtrusionFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRotationalExtrusionFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRotationalExtrusionFilter:SafeDownCast vtkRotationalExtrusionFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRotationalExtrusionFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRotationalExtrusionFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRotationalExtrusionFilter requires 2 argument(s)");
  vtkRotationalExtrusionFilter* vtk_pointer = GetVTKPointer<vtkRotationalExtrusionFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRotationalExtrusionFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRotationalExtrusionFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRotationalExtrusionFilter:SetResolution vtkRotationalExtrusionFilterSetResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkRotationalExtrusionFilterSetResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetResolution for class vtkRotationalExtrusionFilter requires 2 argument(s)");
  vtkRotationalExtrusionFilter* vtk_pointer = GetVTKPointer<vtkRotationalExtrusionFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRotationalExtrusionFilter:GetResolutionMinValue vtkRotationalExtrusionFilterGetResolutionMinValueFunction
//input a0 
//output y
ArrayVector vtkRotationalExtrusionFilterGetResolutionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetResolutionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResolutionMinValue for class vtkRotationalExtrusionFilter requires 1 argument(s)");
  vtkRotationalExtrusionFilter* vtk_pointer = GetVTKPointer<vtkRotationalExtrusionFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetResolutionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRotationalExtrusionFilter:GetResolutionMaxValue vtkRotationalExtrusionFilterGetResolutionMaxValueFunction
//input a0 
//output y
ArrayVector vtkRotationalExtrusionFilterGetResolutionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetResolutionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResolutionMaxValue for class vtkRotationalExtrusionFilter requires 1 argument(s)");
  vtkRotationalExtrusionFilter* vtk_pointer = GetVTKPointer<vtkRotationalExtrusionFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetResolutionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRotationalExtrusionFilter:GetResolution vtkRotationalExtrusionFilterGetResolutionFunction
//input a0 
//output y
ArrayVector vtkRotationalExtrusionFilterGetResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResolution for class vtkRotationalExtrusionFilter requires 1 argument(s)");
  vtkRotationalExtrusionFilter* vtk_pointer = GetVTKPointer<vtkRotationalExtrusionFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRotationalExtrusionFilter:SetCapping vtkRotationalExtrusionFilterSetCappingFunction
//input a0 a1 
//output none
ArrayVector vtkRotationalExtrusionFilterSetCappingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCapping (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCapping for class vtkRotationalExtrusionFilter requires 2 argument(s)");
  vtkRotationalExtrusionFilter* vtk_pointer = GetVTKPointer<vtkRotationalExtrusionFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCapping(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRotationalExtrusionFilter:GetCapping vtkRotationalExtrusionFilterGetCappingFunction
//input a0 
//output y
ArrayVector vtkRotationalExtrusionFilterGetCappingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCapping (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCapping for class vtkRotationalExtrusionFilter requires 1 argument(s)");
  vtkRotationalExtrusionFilter* vtk_pointer = GetVTKPointer<vtkRotationalExtrusionFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCapping();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRotationalExtrusionFilter:CappingOn vtkRotationalExtrusionFilterCappingOnFunction
//input a0 
//output none
ArrayVector vtkRotationalExtrusionFilterCappingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CappingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CappingOn for class vtkRotationalExtrusionFilter requires 1 argument(s)");
  vtkRotationalExtrusionFilter* vtk_pointer = GetVTKPointer<vtkRotationalExtrusionFilter>(arg[0]);
  Array retval;
  vtk_pointer->CappingOn();
  return retval;
}

//@@Signature
//sfunction @vtkRotationalExtrusionFilter:CappingOff vtkRotationalExtrusionFilterCappingOffFunction
//input a0 
//output none
ArrayVector vtkRotationalExtrusionFilterCappingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CappingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CappingOff for class vtkRotationalExtrusionFilter requires 1 argument(s)");
  vtkRotationalExtrusionFilter* vtk_pointer = GetVTKPointer<vtkRotationalExtrusionFilter>(arg[0]);
  Array retval;
  vtk_pointer->CappingOff();
  return retval;
}

//@@Signature
//sfunction @vtkRotationalExtrusionFilter:SetAngle vtkRotationalExtrusionFilterSetAngleFunction
//input a0 a1 
//output none
ArrayVector vtkRotationalExtrusionFilterSetAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAngle (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAngle for class vtkRotationalExtrusionFilter requires 2 argument(s)");
  vtkRotationalExtrusionFilter* vtk_pointer = GetVTKPointer<vtkRotationalExtrusionFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetAngle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRotationalExtrusionFilter:GetAngle vtkRotationalExtrusionFilterGetAngleFunction
//input a0 
//output y
ArrayVector vtkRotationalExtrusionFilterGetAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAngle for class vtkRotationalExtrusionFilter requires 1 argument(s)");
  vtkRotationalExtrusionFilter* vtk_pointer = GetVTKPointer<vtkRotationalExtrusionFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAngle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRotationalExtrusionFilter:SetTranslation vtkRotationalExtrusionFilterSetTranslationFunction
//input a0 a1 
//output none
ArrayVector vtkRotationalExtrusionFilterSetTranslationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTranslation (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTranslation for class vtkRotationalExtrusionFilter requires 2 argument(s)");
  vtkRotationalExtrusionFilter* vtk_pointer = GetVTKPointer<vtkRotationalExtrusionFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTranslation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRotationalExtrusionFilter:GetTranslation vtkRotationalExtrusionFilterGetTranslationFunction
//input a0 
//output y
ArrayVector vtkRotationalExtrusionFilterGetTranslationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTranslation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTranslation for class vtkRotationalExtrusionFilter requires 1 argument(s)");
  vtkRotationalExtrusionFilter* vtk_pointer = GetVTKPointer<vtkRotationalExtrusionFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTranslation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRotationalExtrusionFilter:SetDeltaRadius vtkRotationalExtrusionFilterSetDeltaRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkRotationalExtrusionFilterSetDeltaRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDeltaRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDeltaRadius for class vtkRotationalExtrusionFilter requires 2 argument(s)");
  vtkRotationalExtrusionFilter* vtk_pointer = GetVTKPointer<vtkRotationalExtrusionFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDeltaRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRotationalExtrusionFilter:GetDeltaRadius vtkRotationalExtrusionFilterGetDeltaRadiusFunction
//input a0 
//output y
ArrayVector vtkRotationalExtrusionFilterGetDeltaRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDeltaRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDeltaRadius for class vtkRotationalExtrusionFilter requires 1 argument(s)");
  vtkRotationalExtrusionFilter* vtk_pointer = GetVTKPointer<vtkRotationalExtrusionFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDeltaRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRotationalExtrusionFilter:display vtkRotationalExtrusionFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRotationalExtrusionFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRotationalExtrusionFilter* vtk_pointer = GetVTKPointer<vtkRotationalExtrusionFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRotationalExtrusionFilter:delete vtkRotationalExtrusionFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkRotationalExtrusionFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRotationalExtrusionFilter
//@@Section VTKGraphics
//@@Usage
// vtkRotationalExtrusionFilter is a modeling filter. It takes polygonal 
// data as input and generates polygonal data on output. The input dataset 
// is swept around the z-axis to create new polygonal primitives. These 
// primitives form a "skirt" or swept surface. For example, sweeping a
// line results in a cylindrical shell, and sweeping a circle creates a 
// torus.
//
// There are a number of control parameters for this filter. You can 
// control whether the sweep of a 2D object (i.e., polygon or triangle 
// strip) is capped with the generating geometry via the "Capping" instance
// variable. Also, you can control the angle of rotation, and whether 
// translation along the z-axis is performed along with the rotation.
// (Translation is useful for creating "springs".) You also can adjust 
// the radius of the generating geometry using the "DeltaRotation" instance 
// variable.
//
// The skirt is generated by locating certain topological features. Free 
// edges (edges of polygons or triangle strips only used by one polygon or
// triangle strips) generate surfaces. This is true also of lines or 
// polylines. Vertices generate lines.
//
// This filter can be used to model axisymmetric objects like cylinders,
// bottles, and wine glasses; or translational/rotational symmetric objects
// like springs or corkscrews.
//
//To create an instance of class vtkRotationalExtrusionFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkRotationalExtrusionFilter
//@]
//@@Methods
//The class vtkRotationalExtrusionFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRotationalExtrusionFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRotationalExtrusionFilter = obj.NewInstance ()|
// \item @|vtkRotationalExtrusionFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetResolution (int )| -  Set/Get resolution of sweep operation. Resolution controls the number
// of intermediate node points.
//// \item @|int = obj.GetResolutionMinValue ()| -  Set/Get resolution of sweep operation. Resolution controls the number
// of intermediate node points.
//// \item @|int = obj.GetResolutionMaxValue ()| -  Set/Get resolution of sweep operation. Resolution controls the number
// of intermediate node points.
//// \item @|int = obj.GetResolution ()| -  Set/Get resolution of sweep operation. Resolution controls the number
// of intermediate node points.
//// \item @|obj.SetCapping (int )| -  Turn on/off the capping of the skirt.
//// \item @|int = obj.GetCapping ()| -  Turn on/off the capping of the skirt.
//// \item @|obj.CappingOn ()| -  Turn on/off the capping of the skirt.
//// \item @|obj.CappingOff ()| -  Turn on/off the capping of the skirt.
//// \item @|obj.SetAngle (double )| -  Set/Get angle of rotation.
//// \item @|double = obj.GetAngle ()| -  Set/Get angle of rotation.
//// \item @|obj.SetTranslation (double )| -  Set/Get total amount of translation along the z-axis.
//// \item @|double = obj.GetTranslation ()| -  Set/Get total amount of translation along the z-axis.
//// \item @|obj.SetDeltaRadius (double )| -  Set/Get change in radius during sweep process.
//// \item @|double = obj.GetDeltaRadius ()| -  Set/Get change in radius during sweep process.
////\end{itemize}
//!
