#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRuledSurfaceFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRuledSurfaceFilter.h"

//@@Signature
//sfunction @vtkRuledSurfaceFilter:vtkRuledSurfaceFilter vtkRuledSurfaceFilterConstructorFunction
//input a
//output p
//@@Parents vtkRuledSurfaceFilter vtkPolyDataAlgorithm 
ArrayVector vtkRuledSurfaceFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRuledSurfaceFilter::New(),"vtkRuledSurfaceFilter",eval);
  } else if (arg[0].className() == "vtkRuledSurfaceFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRuledSurfaceFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRuledSurfaceFilter");
    vtkRuledSurfaceFilter*q = reinterpret_cast<vtkRuledSurfaceFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRuledSurfaceFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRuledSurfaceFilter:GetClassName vtkRuledSurfaceFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRuledSurfaceFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRuledSurfaceFilter requires 1 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:IsA vtkRuledSurfaceFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRuledSurfaceFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRuledSurfaceFilter requires 2 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:NewInstance vtkRuledSurfaceFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRuledSurfaceFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRuledSurfaceFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRuledSurfaceFilter requires 1 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  vtkRuledSurfaceFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRuledSurfaceFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:SafeDownCast vtkRuledSurfaceFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRuledSurfaceFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRuledSurfaceFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRuledSurfaceFilter requires 2 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRuledSurfaceFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRuledSurfaceFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:SetDistanceFactor vtkRuledSurfaceFilterSetDistanceFactorFunction
//input a0 a1 
//output none
ArrayVector vtkRuledSurfaceFilterSetDistanceFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDistanceFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDistanceFactor for class vtkRuledSurfaceFilter requires 2 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDistanceFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:GetDistanceFactorMinValue vtkRuledSurfaceFilterGetDistanceFactorMinValueFunction
//input a0 
//output y
ArrayVector vtkRuledSurfaceFilterGetDistanceFactorMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDistanceFactorMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDistanceFactorMinValue for class vtkRuledSurfaceFilter requires 1 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDistanceFactorMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:GetDistanceFactorMaxValue vtkRuledSurfaceFilterGetDistanceFactorMaxValueFunction
//input a0 
//output y
ArrayVector vtkRuledSurfaceFilterGetDistanceFactorMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDistanceFactorMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDistanceFactorMaxValue for class vtkRuledSurfaceFilter requires 1 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDistanceFactorMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:GetDistanceFactor vtkRuledSurfaceFilterGetDistanceFactorFunction
//input a0 
//output y
ArrayVector vtkRuledSurfaceFilterGetDistanceFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDistanceFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDistanceFactor for class vtkRuledSurfaceFilter requires 1 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDistanceFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:SetOnRatio vtkRuledSurfaceFilterSetOnRatioFunction
//input a0 a1 
//output none
ArrayVector vtkRuledSurfaceFilterSetOnRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOnRatio (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOnRatio for class vtkRuledSurfaceFilter requires 2 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOnRatio(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:GetOnRatioMinValue vtkRuledSurfaceFilterGetOnRatioMinValueFunction
//input a0 
//output y
ArrayVector vtkRuledSurfaceFilterGetOnRatioMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOnRatioMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOnRatioMinValue for class vtkRuledSurfaceFilter requires 1 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOnRatioMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:GetOnRatioMaxValue vtkRuledSurfaceFilterGetOnRatioMaxValueFunction
//input a0 
//output y
ArrayVector vtkRuledSurfaceFilterGetOnRatioMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOnRatioMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOnRatioMaxValue for class vtkRuledSurfaceFilter requires 1 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOnRatioMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:GetOnRatio vtkRuledSurfaceFilterGetOnRatioFunction
//input a0 
//output y
ArrayVector vtkRuledSurfaceFilterGetOnRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOnRatio (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOnRatio for class vtkRuledSurfaceFilter requires 1 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOnRatio();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:SetOffset vtkRuledSurfaceFilterSetOffsetFunction
//input a0 a1 
//output none
ArrayVector vtkRuledSurfaceFilterSetOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOffset (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOffset for class vtkRuledSurfaceFilter requires 2 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOffset(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:GetOffsetMinValue vtkRuledSurfaceFilterGetOffsetMinValueFunction
//input a0 
//output y
ArrayVector vtkRuledSurfaceFilterGetOffsetMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOffsetMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOffsetMinValue for class vtkRuledSurfaceFilter requires 1 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOffsetMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:GetOffsetMaxValue vtkRuledSurfaceFilterGetOffsetMaxValueFunction
//input a0 
//output y
ArrayVector vtkRuledSurfaceFilterGetOffsetMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOffsetMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOffsetMaxValue for class vtkRuledSurfaceFilter requires 1 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOffsetMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:GetOffset vtkRuledSurfaceFilterGetOffsetFunction
//input a0 
//output y
ArrayVector vtkRuledSurfaceFilterGetOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOffset (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOffset for class vtkRuledSurfaceFilter requires 1 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOffset();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:SetCloseSurface vtkRuledSurfaceFilterSetCloseSurfaceFunction
//input a0 a1 
//output none
ArrayVector vtkRuledSurfaceFilterSetCloseSurfaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCloseSurface (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCloseSurface for class vtkRuledSurfaceFilter requires 2 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCloseSurface(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:GetCloseSurface vtkRuledSurfaceFilterGetCloseSurfaceFunction
//input a0 
//output y
ArrayVector vtkRuledSurfaceFilterGetCloseSurfaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCloseSurface (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCloseSurface for class vtkRuledSurfaceFilter requires 1 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCloseSurface();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:CloseSurfaceOn vtkRuledSurfaceFilterCloseSurfaceOnFunction
//input a0 
//output none
ArrayVector vtkRuledSurfaceFilterCloseSurfaceOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CloseSurfaceOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CloseSurfaceOn for class vtkRuledSurfaceFilter requires 1 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  vtk_pointer->CloseSurfaceOn();
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:CloseSurfaceOff vtkRuledSurfaceFilterCloseSurfaceOffFunction
//input a0 
//output none
ArrayVector vtkRuledSurfaceFilterCloseSurfaceOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CloseSurfaceOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CloseSurfaceOff for class vtkRuledSurfaceFilter requires 1 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  vtk_pointer->CloseSurfaceOff();
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:SetRuledMode vtkRuledSurfaceFilterSetRuledModeFunction
//input a0 a1 
//output none
ArrayVector vtkRuledSurfaceFilterSetRuledModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRuledMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRuledMode for class vtkRuledSurfaceFilter requires 2 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRuledMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:GetRuledModeMinValue vtkRuledSurfaceFilterGetRuledModeMinValueFunction
//input a0 
//output y
ArrayVector vtkRuledSurfaceFilterGetRuledModeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRuledModeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRuledModeMinValue for class vtkRuledSurfaceFilter requires 1 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRuledModeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:GetRuledModeMaxValue vtkRuledSurfaceFilterGetRuledModeMaxValueFunction
//input a0 
//output y
ArrayVector vtkRuledSurfaceFilterGetRuledModeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRuledModeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRuledModeMaxValue for class vtkRuledSurfaceFilter requires 1 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRuledModeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:GetRuledMode vtkRuledSurfaceFilterGetRuledModeFunction
//input a0 
//output y
ArrayVector vtkRuledSurfaceFilterGetRuledModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRuledMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRuledMode for class vtkRuledSurfaceFilter requires 1 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRuledMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:SetRuledModeToResample vtkRuledSurfaceFilterSetRuledModeToResampleFunction
//input a0 
//output none
ArrayVector vtkRuledSurfaceFilterSetRuledModeToResampleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRuledModeToResample ();this SetRuledMode VTK_RULED_MODE_RESAMPLE  */
  if (arg.size() < 1) 
    throw Exception("Function SetRuledModeToResample for class vtkRuledSurfaceFilter requires 1 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetRuledModeToResample();
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:SetRuledModeToPointWalk vtkRuledSurfaceFilterSetRuledModeToPointWalkFunction
//input a0 
//output none
ArrayVector vtkRuledSurfaceFilterSetRuledModeToPointWalkFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRuledModeToPointWalk ();this SetRuledMode VTK_RULED_MODE_POINT_WALK  */
  if (arg.size() < 1) 
    throw Exception("Function SetRuledModeToPointWalk for class vtkRuledSurfaceFilter requires 1 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetRuledModeToPointWalk();
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:GetRuledModeAsString vtkRuledSurfaceFilterGetRuledModeAsStringFunction
//input a0 
//output y
ArrayVector vtkRuledSurfaceFilterGetRuledModeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetRuledModeAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRuledModeAsString for class vtkRuledSurfaceFilter requires 1 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetRuledModeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:SetResolution__1 vtkRuledSurfaceFilterSetResolution__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkRuledSurfaceFilterSetResolution__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetResolution (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetResolution__1 for class vtkRuledSurfaceFilter requires 3 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetResolution(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:SetResolution__2 vtkRuledSurfaceFilterSetResolution__2Function
//input a0 a1 
//output none
ArrayVector vtkRuledSurfaceFilterSetResolution__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetResolution (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetResolution__2 for class vtkRuledSurfaceFilter requires 2 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:GetResolution vtkRuledSurfaceFilterGetResolutionFunction
//input a0 
//output y
ArrayVector vtkRuledSurfaceFilterGetResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResolution for class vtkRuledSurfaceFilter requires 1 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetResolution();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:SetPassLines vtkRuledSurfaceFilterSetPassLinesFunction
//input a0 a1 
//output none
ArrayVector vtkRuledSurfaceFilterSetPassLinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPassLines (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPassLines for class vtkRuledSurfaceFilter requires 2 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPassLines(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:GetPassLines vtkRuledSurfaceFilterGetPassLinesFunction
//input a0 
//output y
ArrayVector vtkRuledSurfaceFilterGetPassLinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPassLines (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPassLines for class vtkRuledSurfaceFilter requires 1 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPassLines();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:PassLinesOn vtkRuledSurfaceFilterPassLinesOnFunction
//input a0 
//output none
ArrayVector vtkRuledSurfaceFilterPassLinesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassLinesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PassLinesOn for class vtkRuledSurfaceFilter requires 1 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  vtk_pointer->PassLinesOn();
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:PassLinesOff vtkRuledSurfaceFilterPassLinesOffFunction
//input a0 
//output none
ArrayVector vtkRuledSurfaceFilterPassLinesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassLinesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PassLinesOff for class vtkRuledSurfaceFilter requires 1 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  vtk_pointer->PassLinesOff();
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:SetOrientLoops vtkRuledSurfaceFilterSetOrientLoopsFunction
//input a0 a1 
//output none
ArrayVector vtkRuledSurfaceFilterSetOrientLoopsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrientLoops (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrientLoops for class vtkRuledSurfaceFilter requires 2 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOrientLoops(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:GetOrientLoops vtkRuledSurfaceFilterGetOrientLoopsFunction
//input a0 
//output y
ArrayVector vtkRuledSurfaceFilterGetOrientLoopsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOrientLoops (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrientLoops for class vtkRuledSurfaceFilter requires 1 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOrientLoops();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:OrientLoopsOn vtkRuledSurfaceFilterOrientLoopsOnFunction
//input a0 
//output none
ArrayVector vtkRuledSurfaceFilterOrientLoopsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OrientLoopsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function OrientLoopsOn for class vtkRuledSurfaceFilter requires 1 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  vtk_pointer->OrientLoopsOn();
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:OrientLoopsOff vtkRuledSurfaceFilterOrientLoopsOffFunction
//input a0 
//output none
ArrayVector vtkRuledSurfaceFilterOrientLoopsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OrientLoopsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function OrientLoopsOff for class vtkRuledSurfaceFilter requires 1 argument(s)");
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  Array retval;
  vtk_pointer->OrientLoopsOff();
  return retval;
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:SetResolution vtkRuledSurfaceFilterSetResolutionFunction
//input varargin
//output varargout
ArrayVector vtkRuledSurfaceFilterSetResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkRuledSurfaceFilterSetResolution__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkRuledSurfaceFilterSetResolution__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRuledSurfaceFilterSetResolution");
}

//@@Signature
//sfunction @vtkRuledSurfaceFilter:display vtkRuledSurfaceFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRuledSurfaceFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRuledSurfaceFilter* vtk_pointer = GetVTKPointer<vtkRuledSurfaceFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRuledSurfaceFilter:delete vtkRuledSurfaceFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkRuledSurfaceFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRuledSurfaceFilter
//@@Section VTKGraphics
//@@Usage
// vtkRuledSurfaceFilter is a filter that generates a surface from a set of
// lines. The lines are assumed to be "parallel" in the sense that they do
// not intersect and remain somewhat close to one another. A surface is
// generated by connecting the points defining each pair of lines with
// straight lines. This creates a strip for each pair of lines (i.e., a
// triangulation is created from two generating lines). The filter can handle
// an arbitrary number of lines, with lines i and i+1 assumed connected.
// Note that there are several different approaches for creating the ruled
// surface, the method for creating the surface can either use the input
// points or resample from the polylines (using a user-specified resolution).
//
// This filter offers some other important features. A DistanceFactor ivar is
// used to decide when two lines are too far apart to connect. (The factor is
// a multiple of the distance between the first two points of the two lines
// defining the strip.) If the distance between the two generating lines
// becomes too great, then the surface is not generated in that
// region. (Note: if the lines separate and then merge, then a hole can be
// generated in the surface.) In addition, the Offset and OnRation ivars can
// be used to create nifty striped surfaces. Closed surfaces (e.g., tubes) can
// be created by setting the CloseSurface ivar. (The surface can be closed
// in the other direction by repeating the first and last point in the
// polylines defining the surface.)
//
// An important use of this filter is to combine it with vtkStreamLine to
// generate stream surfaces. It can also be used to create surfaces from
// contours.
//
//To create an instance of class vtkRuledSurfaceFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkRuledSurfaceFilter
//@]
//@@Methods
//The class vtkRuledSurfaceFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRuledSurfaceFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRuledSurfaceFilter = obj.NewInstance ()|
// \item @|vtkRuledSurfaceFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetDistanceFactor (double )| -  Set/Get the factor that controls tearing of the surface.
//// \item @|double = obj.GetDistanceFactorMinValue ()| -  Set/Get the factor that controls tearing of the surface.
//// \item @|double = obj.GetDistanceFactorMaxValue ()| -  Set/Get the factor that controls tearing of the surface.
//// \item @|double = obj.GetDistanceFactor ()| -  Set/Get the factor that controls tearing of the surface.
//// \item @|obj.SetOnRatio (int )| -  Control the striping of the ruled surface. If OnRatio is greater 
// than 1, then every nth strip is turned on, beginning with the Offset
// strip.
//// \item @|int = obj.GetOnRatioMinValue ()| -  Control the striping of the ruled surface. If OnRatio is greater 
// than 1, then every nth strip is turned on, beginning with the Offset
// strip.
//// \item @|int = obj.GetOnRatioMaxValue ()| -  Control the striping of the ruled surface. If OnRatio is greater 
// than 1, then every nth strip is turned on, beginning with the Offset
// strip.
//// \item @|int = obj.GetOnRatio ()| -  Control the striping of the ruled surface. If OnRatio is greater 
// than 1, then every nth strip is turned on, beginning with the Offset
// strip.
//// \item @|obj.SetOffset (int )| -  Control the striping of the ruled surface. The offset sets the
// first stripe that is visible. Offset is generally used with
// OnRatio to create nifty striping effects.
//// \item @|int = obj.GetOffsetMinValue ()| -  Control the striping of the ruled surface. The offset sets the
// first stripe that is visible. Offset is generally used with
// OnRatio to create nifty striping effects.
//// \item @|int = obj.GetOffsetMaxValue ()| -  Control the striping of the ruled surface. The offset sets the
// first stripe that is visible. Offset is generally used with
// OnRatio to create nifty striping effects.
//// \item @|int = obj.GetOffset ()| -  Control the striping of the ruled surface. The offset sets the
// first stripe that is visible. Offset is generally used with
// OnRatio to create nifty striping effects.
//// \item @|obj.SetCloseSurface (int )| -  Indicate whether the surface is to be closed. If this boolean is
// on, then the first and last polyline are used to generate a stripe
// that closes the surface. (Note: to close the surface in the other
// direction, repeat the first point in the polyline as the last
// point in the polyline.)
//// \item @|int = obj.GetCloseSurface ()| -  Indicate whether the surface is to be closed. If this boolean is
// on, then the first and last polyline are used to generate a stripe
// that closes the surface. (Note: to close the surface in the other
// direction, repeat the first point in the polyline as the last
// point in the polyline.)
//// \item @|obj.CloseSurfaceOn ()| -  Indicate whether the surface is to be closed. If this boolean is
// on, then the first and last polyline are used to generate a stripe
// that closes the surface. (Note: to close the surface in the other
// direction, repeat the first point in the polyline as the last
// point in the polyline.)
//// \item @|obj.CloseSurfaceOff ()| -  Indicate whether the surface is to be closed. If this boolean is
// on, then the first and last polyline are used to generate a stripe
// that closes the surface. (Note: to close the surface in the other
// direction, repeat the first point in the polyline as the last
// point in the polyline.)
//// \item @|obj.SetRuledMode (int )| -  Set the mode by which to create the ruled surface. (Dramatically
// different results are possible depending on the chosen mode.) The
// resample mode evenly resamples the polylines (based on length) and 
// generates triangle strips. The point walk mode uses the existing
// points and walks around the polyline using existing points.
//// \item @|int = obj.GetRuledModeMinValue ()| -  Set the mode by which to create the ruled surface. (Dramatically
// different results are possible depending on the chosen mode.) The
// resample mode evenly resamples the polylines (based on length) and 
// generates triangle strips. The point walk mode uses the existing
// points and walks around the polyline using existing points.
//// \item @|int = obj.GetRuledModeMaxValue ()| -  Set the mode by which to create the ruled surface. (Dramatically
// different results are possible depending on the chosen mode.) The
// resample mode evenly resamples the polylines (based on length) and 
// generates triangle strips. The point walk mode uses the existing
// points and walks around the polyline using existing points.
//// \item @|int = obj.GetRuledMode ()| -  Set the mode by which to create the ruled surface. (Dramatically
// different results are possible depending on the chosen mode.) The
// resample mode evenly resamples the polylines (based on length) and 
// generates triangle strips. The point walk mode uses the existing
// points and walks around the polyline using existing points.
//// \item @|obj.SetRuledModeToResample ()| -  Set the mode by which to create the ruled surface. (Dramatically
// different results are possible depending on the chosen mode.) The
// resample mode evenly resamples the polylines (based on length) and 
// generates triangle strips. The point walk mode uses the existing
// points and walks around the polyline using existing points.
//// \item @|obj.SetRuledModeToPointWalk ()| -  Set the mode by which to create the ruled surface. (Dramatically
// different results are possible depending on the chosen mode.) The
// resample mode evenly resamples the polylines (based on length) and 
// generates triangle strips. The point walk mode uses the existing
// points and walks around the polyline using existing points.
//// \item @|string = obj.GetRuledModeAsString ()| -  Set the mode by which to create the ruled surface. (Dramatically
// different results are possible depending on the chosen mode.) The
// resample mode evenly resamples the polylines (based on length) and 
// generates triangle strips. The point walk mode uses the existing
// points and walks around the polyline using existing points.
//// \item @|obj.SetResolution (int , int )| -  If the ruled surface generation mode is RESAMPLE, then these parameters
// are used to determine the resample rate. Resolution[0] defines the
// resolution in the direction of the polylines; Resolution[1] defines
// the resolution across the polylines (i.e., direction orthogonal to
// Resolution[0]).
//// \item @|obj.SetResolution (int  a[2])| -  If the ruled surface generation mode is RESAMPLE, then these parameters
// are used to determine the resample rate. Resolution[0] defines the
// resolution in the direction of the polylines; Resolution[1] defines
// the resolution across the polylines (i.e., direction orthogonal to
// Resolution[0]).
//// \item @|int = obj. GetResolution ()| -  If the ruled surface generation mode is RESAMPLE, then these parameters
// are used to determine the resample rate. Resolution[0] defines the
// resolution in the direction of the polylines; Resolution[1] defines
// the resolution across the polylines (i.e., direction orthogonal to
// Resolution[0]).
//// \item @|obj.SetPassLines (int )| -  Indicate whether the generating lines are to be passed to the output.
// By defualt lines are not passed to the output.
//// \item @|int = obj.GetPassLines ()| -  Indicate whether the generating lines are to be passed to the output.
// By defualt lines are not passed to the output.
//// \item @|obj.PassLinesOn ()| -  Indicate whether the generating lines are to be passed to the output.
// By defualt lines are not passed to the output.
//// \item @|obj.PassLinesOff ()| -  Indicate whether the generating lines are to be passed to the output.
// By defualt lines are not passed to the output.
//// \item @|obj.SetOrientLoops (int )| -  Indicate whether the starting points of the loops need to be determined.
// If set to 0, then its assumes that the 0th point of each loop should be 
// always connected
// By defualt the loops are not oriented.
//// \item @|int = obj.GetOrientLoops ()| -  Indicate whether the starting points of the loops need to be determined.
// If set to 0, then its assumes that the 0th point of each loop should be 
// always connected
// By defualt the loops are not oriented.
//// \item @|obj.OrientLoopsOn ()| -  Indicate whether the starting points of the loops need to be determined.
// If set to 0, then its assumes that the 0th point of each loop should be 
// always connected
// By defualt the loops are not oriented.
//// \item @|obj.OrientLoopsOff ()| -  Indicate whether the starting points of the loops need to be determined.
// If set to 0, then its assumes that the 0th point of each loop should be 
// always connected
// By defualt the loops are not oriented.
////\end{itemize}
//!
