#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSectorSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSectorSource.h"

//@@Signature
//sfunction @vtkSectorSource:vtkSectorSource vtkSectorSourceConstructorFunction
//input a
//output p
//@@Parents vtkSectorSource vtkPolyDataAlgorithm 
ArrayVector vtkSectorSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSectorSource::New(),"vtkSectorSource",eval);
  } else if (arg[0].className() == "vtkSectorSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSectorSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSectorSource");
    vtkSectorSource*q = reinterpret_cast<vtkSectorSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSectorSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSectorSource:GetClassName vtkSectorSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSectorSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSectorSource requires 1 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:IsA vtkSectorSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSectorSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSectorSource requires 2 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:NewInstance vtkSectorSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSectorSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSectorSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSectorSource requires 1 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  vtkSectorSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSectorSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:SafeDownCast vtkSectorSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSectorSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSectorSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSectorSource requires 2 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSectorSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSectorSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:SetInnerRadius vtkSectorSourceSetInnerRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkSectorSourceSetInnerRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInnerRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInnerRadius for class vtkSectorSource requires 2 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetInnerRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:GetInnerRadiusMinValue vtkSectorSourceGetInnerRadiusMinValueFunction
//input a0 
//output y
ArrayVector vtkSectorSourceGetInnerRadiusMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetInnerRadiusMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInnerRadiusMinValue for class vtkSectorSource requires 1 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetInnerRadiusMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:GetInnerRadiusMaxValue vtkSectorSourceGetInnerRadiusMaxValueFunction
//input a0 
//output y
ArrayVector vtkSectorSourceGetInnerRadiusMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetInnerRadiusMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInnerRadiusMaxValue for class vtkSectorSource requires 1 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetInnerRadiusMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:GetInnerRadius vtkSectorSourceGetInnerRadiusFunction
//input a0 
//output y
ArrayVector vtkSectorSourceGetInnerRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetInnerRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInnerRadius for class vtkSectorSource requires 1 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetInnerRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:SetOuterRadius vtkSectorSourceSetOuterRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkSectorSourceSetOuterRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOuterRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOuterRadius for class vtkSectorSource requires 2 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetOuterRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:GetOuterRadiusMinValue vtkSectorSourceGetOuterRadiusMinValueFunction
//input a0 
//output y
ArrayVector vtkSectorSourceGetOuterRadiusMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOuterRadiusMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOuterRadiusMinValue for class vtkSectorSource requires 1 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOuterRadiusMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:GetOuterRadiusMaxValue vtkSectorSourceGetOuterRadiusMaxValueFunction
//input a0 
//output y
ArrayVector vtkSectorSourceGetOuterRadiusMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOuterRadiusMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOuterRadiusMaxValue for class vtkSectorSource requires 1 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOuterRadiusMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:GetOuterRadius vtkSectorSourceGetOuterRadiusFunction
//input a0 
//output y
ArrayVector vtkSectorSourceGetOuterRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOuterRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOuterRadius for class vtkSectorSource requires 1 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOuterRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:SetZCoord vtkSectorSourceSetZCoordFunction
//input a0 a1 
//output none
ArrayVector vtkSectorSourceSetZCoordFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZCoord (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetZCoord for class vtkSectorSource requires 2 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetZCoord(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:GetZCoordMinValue vtkSectorSourceGetZCoordMinValueFunction
//input a0 
//output y
ArrayVector vtkSectorSourceGetZCoordMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetZCoordMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZCoordMinValue for class vtkSectorSource requires 1 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetZCoordMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:GetZCoordMaxValue vtkSectorSourceGetZCoordMaxValueFunction
//input a0 
//output y
ArrayVector vtkSectorSourceGetZCoordMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetZCoordMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZCoordMaxValue for class vtkSectorSource requires 1 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetZCoordMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:GetZCoord vtkSectorSourceGetZCoordFunction
//input a0 
//output y
ArrayVector vtkSectorSourceGetZCoordFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetZCoord (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZCoord for class vtkSectorSource requires 1 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetZCoord();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:SetRadialResolution vtkSectorSourceSetRadialResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkSectorSourceSetRadialResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadialResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRadialResolution for class vtkSectorSource requires 2 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRadialResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:GetRadialResolutionMinValue vtkSectorSourceGetRadialResolutionMinValueFunction
//input a0 
//output y
ArrayVector vtkSectorSourceGetRadialResolutionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRadialResolutionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadialResolutionMinValue for class vtkSectorSource requires 1 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRadialResolutionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:GetRadialResolutionMaxValue vtkSectorSourceGetRadialResolutionMaxValueFunction
//input a0 
//output y
ArrayVector vtkSectorSourceGetRadialResolutionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRadialResolutionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadialResolutionMaxValue for class vtkSectorSource requires 1 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRadialResolutionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:GetRadialResolution vtkSectorSourceGetRadialResolutionFunction
//input a0 
//output y
ArrayVector vtkSectorSourceGetRadialResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRadialResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadialResolution for class vtkSectorSource requires 1 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRadialResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:SetCircumferentialResolution vtkSectorSourceSetCircumferentialResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkSectorSourceSetCircumferentialResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCircumferentialResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCircumferentialResolution for class vtkSectorSource requires 2 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCircumferentialResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:GetCircumferentialResolutionMinValue vtkSectorSourceGetCircumferentialResolutionMinValueFunction
//input a0 
//output y
ArrayVector vtkSectorSourceGetCircumferentialResolutionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCircumferentialResolutionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCircumferentialResolutionMinValue for class vtkSectorSource requires 1 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCircumferentialResolutionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:GetCircumferentialResolutionMaxValue vtkSectorSourceGetCircumferentialResolutionMaxValueFunction
//input a0 
//output y
ArrayVector vtkSectorSourceGetCircumferentialResolutionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCircumferentialResolutionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCircumferentialResolutionMaxValue for class vtkSectorSource requires 1 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCircumferentialResolutionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:GetCircumferentialResolution vtkSectorSourceGetCircumferentialResolutionFunction
//input a0 
//output y
ArrayVector vtkSectorSourceGetCircumferentialResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCircumferentialResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCircumferentialResolution for class vtkSectorSource requires 1 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCircumferentialResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:SetStartAngle vtkSectorSourceSetStartAngleFunction
//input a0 a1 
//output none
ArrayVector vtkSectorSourceSetStartAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStartAngle (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetStartAngle for class vtkSectorSource requires 2 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetStartAngle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:GetStartAngleMinValue vtkSectorSourceGetStartAngleMinValueFunction
//input a0 
//output y
ArrayVector vtkSectorSourceGetStartAngleMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetStartAngleMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStartAngleMinValue for class vtkSectorSource requires 1 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetStartAngleMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:GetStartAngleMaxValue vtkSectorSourceGetStartAngleMaxValueFunction
//input a0 
//output y
ArrayVector vtkSectorSourceGetStartAngleMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetStartAngleMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStartAngleMaxValue for class vtkSectorSource requires 1 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetStartAngleMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:GetStartAngle vtkSectorSourceGetStartAngleFunction
//input a0 
//output y
ArrayVector vtkSectorSourceGetStartAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetStartAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStartAngle for class vtkSectorSource requires 1 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetStartAngle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:SetEndAngle vtkSectorSourceSetEndAngleFunction
//input a0 a1 
//output none
ArrayVector vtkSectorSourceSetEndAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEndAngle (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEndAngle for class vtkSectorSource requires 2 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetEndAngle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:GetEndAngleMinValue vtkSectorSourceGetEndAngleMinValueFunction
//input a0 
//output y
ArrayVector vtkSectorSourceGetEndAngleMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEndAngleMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEndAngleMinValue for class vtkSectorSource requires 1 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEndAngleMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:GetEndAngleMaxValue vtkSectorSourceGetEndAngleMaxValueFunction
//input a0 
//output y
ArrayVector vtkSectorSourceGetEndAngleMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEndAngleMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEndAngleMaxValue for class vtkSectorSource requires 1 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEndAngleMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:GetEndAngle vtkSectorSourceGetEndAngleFunction
//input a0 
//output y
ArrayVector vtkSectorSourceGetEndAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEndAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEndAngle for class vtkSectorSource requires 1 argument(s)");
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEndAngle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSectorSource:display vtkSectorSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSectorSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSectorSource* vtk_pointer = GetVTKPointer<vtkSectorSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSectorSource:delete vtkSectorSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkSectorSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSectorSource
//@@Section VTKGraphics
//@@Usage
// vtkSectorSource creates a sector of a polygonal disk. The 
// disk has zero height. The user can specify the inner and outer radius
// of the disk, the z-coordinate, and the radial and 
// circumferential resolution of the polygonal representation. 
//
//To create an instance of class vtkSectorSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkSectorSource
//@]
//@@Methods
//The class vtkSectorSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSectorSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSectorSource = obj.NewInstance ()|
// \item @|vtkSectorSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInnerRadius (double )| -  Specify inner radius of the sector.
//// \item @|double = obj.GetInnerRadiusMinValue ()| -  Specify inner radius of the sector.
//// \item @|double = obj.GetInnerRadiusMaxValue ()| -  Specify inner radius of the sector.
//// \item @|double = obj.GetInnerRadius ()| -  Specify inner radius of the sector.
//// \item @|obj.SetOuterRadius (double )| -  Specify outer radius of the sector.
//// \item @|double = obj.GetOuterRadiusMinValue ()| -  Specify outer radius of the sector.
//// \item @|double = obj.GetOuterRadiusMaxValue ()| -  Specify outer radius of the sector.
//// \item @|double = obj.GetOuterRadius ()| -  Specify outer radius of the sector.
//// \item @|obj.SetZCoord (double )| -  Specify the z coordinate of the sector.
//// \item @|double = obj.GetZCoordMinValue ()| -  Specify the z coordinate of the sector.
//// \item @|double = obj.GetZCoordMaxValue ()| -  Specify the z coordinate of the sector.
//// \item @|double = obj.GetZCoord ()| -  Specify the z coordinate of the sector.
//// \item @|obj.SetRadialResolution (int )| -  Set the number of points in radius direction.
//// \item @|int = obj.GetRadialResolutionMinValue ()| -  Set the number of points in radius direction.
//// \item @|int = obj.GetRadialResolutionMaxValue ()| -  Set the number of points in radius direction.
//// \item @|int = obj.GetRadialResolution ()| -  Set the number of points in radius direction.
//// \item @|obj.SetCircumferentialResolution (int )| -  Set the number of points in circumferential direction.
//// \item @|int = obj.GetCircumferentialResolutionMinValue ()| -  Set the number of points in circumferential direction.
//// \item @|int = obj.GetCircumferentialResolutionMaxValue ()| -  Set the number of points in circumferential direction.
//// \item @|int = obj.GetCircumferentialResolution ()| -  Set the number of points in circumferential direction.
//// \item @|obj.SetStartAngle (double )| -  Set the start angle of the sector.
//// \item @|double = obj.GetStartAngleMinValue ()| -  Set the start angle of the sector.
//// \item @|double = obj.GetStartAngleMaxValue ()| -  Set the start angle of the sector.
//// \item @|double = obj.GetStartAngle ()| -  Set the start angle of the sector.
//// \item @|obj.SetEndAngle (double )| -  Set the end angle of the sector.
//// \item @|double = obj.GetEndAngleMinValue ()| -  Set the end angle of the sector.
//// \item @|double = obj.GetEndAngleMaxValue ()| -  Set the end angle of the sector.
//// \item @|double = obj.GetEndAngle ()| -  Set the end angle of the sector.
////\end{itemize}
//!
