#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSelectEnclosedPoints object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSelectEnclosedPoints.h"

//@@Signature
//sfunction @vtkSelectEnclosedPoints:vtkSelectEnclosedPoints vtkSelectEnclosedPointsConstructorFunction
//input a
//output p
//@@Parents vtkSelectEnclosedPoints vtkDataSetAlgorithm 
ArrayVector vtkSelectEnclosedPointsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSelectEnclosedPoints::New(),"vtkSelectEnclosedPoints",eval);
  } else if (arg[0].className() == "vtkSelectEnclosedPoints") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSelectEnclosedPoints"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSelectEnclosedPoints");
    vtkSelectEnclosedPoints*q = reinterpret_cast<vtkSelectEnclosedPoints*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSelectEnclosedPoints");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSelectEnclosedPoints:GetClassName vtkSelectEnclosedPointsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSelectEnclosedPointsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSelectEnclosedPoints requires 1 argument(s)");
  vtkSelectEnclosedPoints* vtk_pointer = GetVTKPointer<vtkSelectEnclosedPoints>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectEnclosedPoints:IsA vtkSelectEnclosedPointsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSelectEnclosedPointsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSelectEnclosedPoints requires 2 argument(s)");
  vtkSelectEnclosedPoints* vtk_pointer = GetVTKPointer<vtkSelectEnclosedPoints>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectEnclosedPoints:NewInstance vtkSelectEnclosedPointsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSelectEnclosedPointsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSelectEnclosedPoints *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSelectEnclosedPoints requires 1 argument(s)");
  vtkSelectEnclosedPoints* vtk_pointer = GetVTKPointer<vtkSelectEnclosedPoints>(arg[0]);
  Array retval;
  vtkSelectEnclosedPoints  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelectEnclosedPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectEnclosedPoints:SafeDownCast vtkSelectEnclosedPointsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSelectEnclosedPointsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSelectEnclosedPoints *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSelectEnclosedPoints requires 2 argument(s)");
  vtkSelectEnclosedPoints* vtk_pointer = GetVTKPointer<vtkSelectEnclosedPoints>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSelectEnclosedPoints  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelectEnclosedPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectEnclosedPoints:SetSurface vtkSelectEnclosedPointsSetSurfaceFunction
//input a0 a1 
//output none
ArrayVector vtkSelectEnclosedPointsSetSurfaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSurface (vtkPolyData *pd); */
  if (arg.size() < 2) 
    throw Exception("Function SetSurface for class vtkSelectEnclosedPoints requires 2 argument(s)");
  vtkSelectEnclosedPoints* vtk_pointer = GetVTKPointer<vtkSelectEnclosedPoints>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->SetSurface(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectEnclosedPoints:SetSurfaceConnection vtkSelectEnclosedPointsSetSurfaceConnectionFunction
//input a0 a1 
//output none
ArrayVector vtkSelectEnclosedPointsSetSurfaceConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSurfaceConnection (vtkAlgorithmOutput *algOutput); */
  if (arg.size() < 2) 
    throw Exception("Function SetSurfaceConnection for class vtkSelectEnclosedPoints requires 2 argument(s)");
  vtkSelectEnclosedPoints* vtk_pointer = GetVTKPointer<vtkSelectEnclosedPoints>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->SetSurfaceConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectEnclosedPoints:GetSurface__1 vtkSelectEnclosedPointsGetSurface__1Function
//input a0 
//output y
ArrayVector vtkSelectEnclosedPointsGetSurface__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetSurface (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSurface__1 for class vtkSelectEnclosedPoints requires 1 argument(s)");
  vtkSelectEnclosedPoints* vtk_pointer = GetVTKPointer<vtkSelectEnclosedPoints>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetSurface();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectEnclosedPoints:GetSurface__2 vtkSelectEnclosedPointsGetSurface__2Function
//input a0 a1 
//output y
ArrayVector vtkSelectEnclosedPointsGetSurface__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetSurface (vtkInformationVector *sourceInfo); */
  if (arg.size() < 2) 
    throw Exception("Function GetSurface__2 for class vtkSelectEnclosedPoints requires 2 argument(s)");
  vtkSelectEnclosedPoints* vtk_pointer = GetVTKPointer<vtkSelectEnclosedPoints>(arg[0]);
  Array retval;
  vtkInformationVector  *temp0;
  vtkPolyData  *temp20;
  temp0 = GetVTKPointer<vtkInformationVector>(arg[1]);
  temp20 = (vtk_pointer)->GetSurface(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectEnclosedPoints:SetInsideOut vtkSelectEnclosedPointsSetInsideOutFunction
//input a0 a1 
//output none
ArrayVector vtkSelectEnclosedPointsSetInsideOutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInsideOut (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInsideOut for class vtkSelectEnclosedPoints requires 2 argument(s)");
  vtkSelectEnclosedPoints* vtk_pointer = GetVTKPointer<vtkSelectEnclosedPoints>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInsideOut(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectEnclosedPoints:InsideOutOn vtkSelectEnclosedPointsInsideOutOnFunction
//input a0 
//output none
ArrayVector vtkSelectEnclosedPointsInsideOutOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsideOutOn (); */
  if (arg.size() < 1) 
    throw Exception("Function InsideOutOn for class vtkSelectEnclosedPoints requires 1 argument(s)");
  vtkSelectEnclosedPoints* vtk_pointer = GetVTKPointer<vtkSelectEnclosedPoints>(arg[0]);
  Array retval;
  vtk_pointer->InsideOutOn();
  return retval;
}

//@@Signature
//sfunction @vtkSelectEnclosedPoints:InsideOutOff vtkSelectEnclosedPointsInsideOutOffFunction
//input a0 
//output none
ArrayVector vtkSelectEnclosedPointsInsideOutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsideOutOff (); */
  if (arg.size() < 1) 
    throw Exception("Function InsideOutOff for class vtkSelectEnclosedPoints requires 1 argument(s)");
  vtkSelectEnclosedPoints* vtk_pointer = GetVTKPointer<vtkSelectEnclosedPoints>(arg[0]);
  Array retval;
  vtk_pointer->InsideOutOff();
  return retval;
}

//@@Signature
//sfunction @vtkSelectEnclosedPoints:GetInsideOut vtkSelectEnclosedPointsGetInsideOutFunction
//input a0 
//output y
ArrayVector vtkSelectEnclosedPointsGetInsideOutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInsideOut (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInsideOut for class vtkSelectEnclosedPoints requires 1 argument(s)");
  vtkSelectEnclosedPoints* vtk_pointer = GetVTKPointer<vtkSelectEnclosedPoints>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInsideOut();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectEnclosedPoints:SetCheckSurface vtkSelectEnclosedPointsSetCheckSurfaceFunction
//input a0 a1 
//output none
ArrayVector vtkSelectEnclosedPointsSetCheckSurfaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCheckSurface (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCheckSurface for class vtkSelectEnclosedPoints requires 2 argument(s)");
  vtkSelectEnclosedPoints* vtk_pointer = GetVTKPointer<vtkSelectEnclosedPoints>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCheckSurface(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectEnclosedPoints:CheckSurfaceOn vtkSelectEnclosedPointsCheckSurfaceOnFunction
//input a0 
//output none
ArrayVector vtkSelectEnclosedPointsCheckSurfaceOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CheckSurfaceOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CheckSurfaceOn for class vtkSelectEnclosedPoints requires 1 argument(s)");
  vtkSelectEnclosedPoints* vtk_pointer = GetVTKPointer<vtkSelectEnclosedPoints>(arg[0]);
  Array retval;
  vtk_pointer->CheckSurfaceOn();
  return retval;
}

//@@Signature
//sfunction @vtkSelectEnclosedPoints:CheckSurfaceOff vtkSelectEnclosedPointsCheckSurfaceOffFunction
//input a0 
//output none
ArrayVector vtkSelectEnclosedPointsCheckSurfaceOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CheckSurfaceOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CheckSurfaceOff for class vtkSelectEnclosedPoints requires 1 argument(s)");
  vtkSelectEnclosedPoints* vtk_pointer = GetVTKPointer<vtkSelectEnclosedPoints>(arg[0]);
  Array retval;
  vtk_pointer->CheckSurfaceOff();
  return retval;
}

//@@Signature
//sfunction @vtkSelectEnclosedPoints:GetCheckSurface vtkSelectEnclosedPointsGetCheckSurfaceFunction
//input a0 
//output y
ArrayVector vtkSelectEnclosedPointsGetCheckSurfaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCheckSurface (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCheckSurface for class vtkSelectEnclosedPoints requires 1 argument(s)");
  vtkSelectEnclosedPoints* vtk_pointer = GetVTKPointer<vtkSelectEnclosedPoints>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCheckSurface();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectEnclosedPoints:IsInside vtkSelectEnclosedPointsIsInsideFunction
//input a0 a1 
//output y
ArrayVector vtkSelectEnclosedPointsIsInsideFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsInside (vtkIdType inputPtId); */
  if (arg.size() < 2) 
    throw Exception("Function IsInside for class vtkSelectEnclosedPoints requires 2 argument(s)");
  vtkSelectEnclosedPoints* vtk_pointer = GetVTKPointer<vtkSelectEnclosedPoints>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->IsInside(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectEnclosedPoints:SetTolerance vtkSelectEnclosedPointsSetToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkSelectEnclosedPointsSetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTolerance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTolerance for class vtkSelectEnclosedPoints requires 2 argument(s)");
  vtkSelectEnclosedPoints* vtk_pointer = GetVTKPointer<vtkSelectEnclosedPoints>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectEnclosedPoints:GetToleranceMinValue vtkSelectEnclosedPointsGetToleranceMinValueFunction
//input a0 
//output y
ArrayVector vtkSelectEnclosedPointsGetToleranceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetToleranceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMinValue for class vtkSelectEnclosedPoints requires 1 argument(s)");
  vtkSelectEnclosedPoints* vtk_pointer = GetVTKPointer<vtkSelectEnclosedPoints>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetToleranceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectEnclosedPoints:GetToleranceMaxValue vtkSelectEnclosedPointsGetToleranceMaxValueFunction
//input a0 
//output y
ArrayVector vtkSelectEnclosedPointsGetToleranceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetToleranceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMaxValue for class vtkSelectEnclosedPoints requires 1 argument(s)");
  vtkSelectEnclosedPoints* vtk_pointer = GetVTKPointer<vtkSelectEnclosedPoints>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetToleranceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectEnclosedPoints:GetTolerance vtkSelectEnclosedPointsGetToleranceFunction
//input a0 
//output y
ArrayVector vtkSelectEnclosedPointsGetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTolerance for class vtkSelectEnclosedPoints requires 1 argument(s)");
  vtkSelectEnclosedPoints* vtk_pointer = GetVTKPointer<vtkSelectEnclosedPoints>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectEnclosedPoints:Initialize vtkSelectEnclosedPointsInitializeFunction
//input a0 a1 
//output none
ArrayVector vtkSelectEnclosedPointsInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (vtkPolyData *surface); */
  if (arg.size() < 2) 
    throw Exception("Function Initialize for class vtkSelectEnclosedPoints requires 2 argument(s)");
  vtkSelectEnclosedPoints* vtk_pointer = GetVTKPointer<vtkSelectEnclosedPoints>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->Initialize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectEnclosedPoints:IsInsideSurface__1 vtkSelectEnclosedPointsIsInsideSurface__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkSelectEnclosedPointsIsInsideSurface__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsInsideSurface (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function IsInsideSurface__1 for class vtkSelectEnclosedPoints requires 4 argument(s)");
  vtkSelectEnclosedPoints* vtk_pointer = GetVTKPointer<vtkSelectEnclosedPoints>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->IsInsideSurface(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectEnclosedPoints:IsInsideSurface__2 vtkSelectEnclosedPointsIsInsideSurface__2Function
//input a0 a1 
//output y
ArrayVector vtkSelectEnclosedPointsIsInsideSurface__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsInsideSurface (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function IsInsideSurface__2 for class vtkSelectEnclosedPoints requires 2 argument(s)");
  vtkSelectEnclosedPoints* vtk_pointer = GetVTKPointer<vtkSelectEnclosedPoints>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->IsInsideSurface(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectEnclosedPoints:Complete vtkSelectEnclosedPointsCompleteFunction
//input a0 
//output none
ArrayVector vtkSelectEnclosedPointsCompleteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Complete (); */
  if (arg.size() < 1) 
    throw Exception("Function Complete for class vtkSelectEnclosedPoints requires 1 argument(s)");
  vtkSelectEnclosedPoints* vtk_pointer = GetVTKPointer<vtkSelectEnclosedPoints>(arg[0]);
  Array retval;
  vtk_pointer->Complete();
  return retval;
}

//@@Signature
//sfunction @vtkSelectEnclosedPoints:GetSurface vtkSelectEnclosedPointsGetSurfaceFunction
//input varargin
//output varargout
ArrayVector vtkSelectEnclosedPointsGetSurfaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkSelectEnclosedPointsGetSurface__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkInformationVector"))
    return vtkSelectEnclosedPointsGetSurface__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSelectEnclosedPointsGetSurface");
}

//@@Signature
//sfunction @vtkSelectEnclosedPoints:IsInsideSurface vtkSelectEnclosedPointsIsInsideSurfaceFunction
//input varargin
//output varargout
ArrayVector vtkSelectEnclosedPointsIsInsideSurfaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkSelectEnclosedPointsIsInsideSurface__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkSelectEnclosedPointsIsInsideSurface__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSelectEnclosedPointsIsInsideSurface");
}

//@@Signature
//sfunction @vtkSelectEnclosedPoints:display vtkSelectEnclosedPointsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSelectEnclosedPointsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSelectEnclosedPoints* vtk_pointer = GetVTKPointer<vtkSelectEnclosedPoints>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSelectEnclosedPoints:delete vtkSelectEnclosedPointsDeleteFunction
//input varargin
//output none
ArrayVector vtkSelectEnclosedPointsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSelectEnclosedPoints
//@@Section VTKGraphics
//@@Usage
// vtkSelectEnclosedPoints is a filter that evaluates all the input points to
// determine whether they are in an enclosed surface. The filter produces a
// (0,1) mask (in the form of a vtkDataArray) that indicates whether points 
// are outside (mask value=0) or inside (mask value=1) a provided surface.
// (The name of the output vtkDataArray is "SelectedPointsArray".)
//
// After running the filter, it is possible to query it as to whether a point 
// is inside/outside by invoking the IsInside(ptId) method.
//
//To create an instance of class vtkSelectEnclosedPoints, simply
//invoke its constructor as follows
//@[
//  obj = vtkSelectEnclosedPoints
//@]
//@@Methods
//The class vtkSelectEnclosedPoints has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSelectEnclosedPoints class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSelectEnclosedPoints = obj.NewInstance ()|
// \item @|vtkSelectEnclosedPoints = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetSurface (vtkPolyData pd)| -  Set the surface to be used to test for containment. Two methods are 
// provided: one directly for vtkPolyData, and one for the output of a
// filter.
//// \item @|obj.SetSurfaceConnection (vtkAlgorithmOutput algOutput)| -  Set the surface to be used to test for containment. Two methods are 
// provided: one directly for vtkPolyData, and one for the output of a
// filter.
//// \item @|vtkPolyData = obj.GetSurface ()| -  Return a pointer to the enclosing surface.
//// \item @|vtkPolyData = obj.GetSurface (vtkInformationVector sourceInfo)| -  Return a pointer to the enclosing surface.
//// \item @|obj.SetInsideOut (int )| -  By default, points inside the surface are marked inside or sent to
// the output. If InsideOut is on, then the points outside the surface
// are marked inside.
//// \item @|obj.InsideOutOn ()| -  By default, points inside the surface are marked inside or sent to
// the output. If InsideOut is on, then the points outside the surface
// are marked inside.
//// \item @|obj.InsideOutOff ()| -  By default, points inside the surface are marked inside or sent to
// the output. If InsideOut is on, then the points outside the surface
// are marked inside.
//// \item @|int = obj.GetInsideOut ()| -  By default, points inside the surface are marked inside or sent to
// the output. If InsideOut is on, then the points outside the surface
// are marked inside.
//// \item @|obj.SetCheckSurface (int )| -  Specify whether to check the surface for closure. If on, then the
// algorithm first checks to see if the surface is closed and manifold.
//// \item @|obj.CheckSurfaceOn ()| -  Specify whether to check the surface for closure. If on, then the
// algorithm first checks to see if the surface is closed and manifold.
//// \item @|obj.CheckSurfaceOff ()| -  Specify whether to check the surface for closure. If on, then the
// algorithm first checks to see if the surface is closed and manifold.
//// \item @|int = obj.GetCheckSurface ()| -  Specify whether to check the surface for closure. If on, then the
// algorithm first checks to see if the surface is closed and manifold.
//// \item @|int = obj.IsInside (vtkIdType inputPtId)| -  Query an input point id as to whether it is inside or outside. Note that
// the result requires that the filter execute first.
//// \item @|obj.SetTolerance (double )| -  Specify the tolerance on the intersection. The tolerance is expressed
// as a fraction of the bounding box of the enclosing surface.
//// \item @|double = obj.GetToleranceMinValue ()| -  Specify the tolerance on the intersection. The tolerance is expressed
// as a fraction of the bounding box of the enclosing surface.
//// \item @|double = obj.GetToleranceMaxValue ()| -  Specify the tolerance on the intersection. The tolerance is expressed
// as a fraction of the bounding box of the enclosing surface.
//// \item @|double = obj.GetTolerance ()| -  Specify the tolerance on the intersection. The tolerance is expressed
// as a fraction of the bounding box of the enclosing surface.
//// \item @|obj.Initialize (vtkPolyData surface)| -  This is a backdoor that can be used to test many points for containment.
// First initialize the instance, then repeated calls to IsInsideSurface()
// can be used without rebuilding the search structures. The complete
// method releases memory.
//// \item @|int = obj.IsInsideSurface (double x, double y, double z)| -  This is a backdoor that can be used to test many points for containment.
// First initialize the instance, then repeated calls to IsInsideSurface()
// can be used without rebuilding the search structures. The complete
// method releases memory.
//// \item @|int = obj.IsInsideSurface (double x[3])| -  This is a backdoor that can be used to test many points for containment.
// First initialize the instance, then repeated calls to IsInsideSurface()
// can be used without rebuilding the search structures. The complete
// method releases memory.
//// \item @|obj.Complete ()| -  This is a backdoor that can be used to test many points for containment.
// First initialize the instance, then repeated calls to IsInsideSurface()
// can be used without rebuilding the search structures. The complete
// method releases memory.
////\end{itemize}
//!
