#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSelectPolyData object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSelectPolyData.h"

//@@Signature
//sfunction @vtkSelectPolyData:vtkSelectPolyData vtkSelectPolyDataConstructorFunction
//input a
//output p
//@@Parents vtkSelectPolyData vtkPolyDataAlgorithm 
ArrayVector vtkSelectPolyDataConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSelectPolyData::New(),"vtkSelectPolyData",eval);
  } else if (arg[0].className() == "vtkSelectPolyData") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSelectPolyData"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSelectPolyData");
    vtkSelectPolyData*q = reinterpret_cast<vtkSelectPolyData*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSelectPolyData");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSelectPolyData:GetClassName vtkSelectPolyDataGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSelectPolyDataGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSelectPolyData requires 1 argument(s)");
  vtkSelectPolyData* vtk_pointer = GetVTKPointer<vtkSelectPolyData>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectPolyData:IsA vtkSelectPolyDataIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSelectPolyDataIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSelectPolyData requires 2 argument(s)");
  vtkSelectPolyData* vtk_pointer = GetVTKPointer<vtkSelectPolyData>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectPolyData:NewInstance vtkSelectPolyDataNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSelectPolyDataNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSelectPolyData *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSelectPolyData requires 1 argument(s)");
  vtkSelectPolyData* vtk_pointer = GetVTKPointer<vtkSelectPolyData>(arg[0]);
  Array retval;
  vtkSelectPolyData  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelectPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectPolyData:SafeDownCast vtkSelectPolyDataSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSelectPolyDataSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSelectPolyData *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSelectPolyData requires 2 argument(s)");
  vtkSelectPolyData* vtk_pointer = GetVTKPointer<vtkSelectPolyData>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSelectPolyData  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelectPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectPolyData:SetGenerateSelectionScalars vtkSelectPolyDataSetGenerateSelectionScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkSelectPolyDataSetGenerateSelectionScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateSelectionScalars (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateSelectionScalars for class vtkSelectPolyData requires 2 argument(s)");
  vtkSelectPolyData* vtk_pointer = GetVTKPointer<vtkSelectPolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateSelectionScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectPolyData:GetGenerateSelectionScalars vtkSelectPolyDataGetGenerateSelectionScalarsFunction
//input a0 
//output y
ArrayVector vtkSelectPolyDataGetGenerateSelectionScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateSelectionScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateSelectionScalars for class vtkSelectPolyData requires 1 argument(s)");
  vtkSelectPolyData* vtk_pointer = GetVTKPointer<vtkSelectPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateSelectionScalars();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectPolyData:GenerateSelectionScalarsOn vtkSelectPolyDataGenerateSelectionScalarsOnFunction
//input a0 
//output none
ArrayVector vtkSelectPolyDataGenerateSelectionScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateSelectionScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateSelectionScalarsOn for class vtkSelectPolyData requires 1 argument(s)");
  vtkSelectPolyData* vtk_pointer = GetVTKPointer<vtkSelectPolyData>(arg[0]);
  Array retval;
  vtk_pointer->GenerateSelectionScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkSelectPolyData:GenerateSelectionScalarsOff vtkSelectPolyDataGenerateSelectionScalarsOffFunction
//input a0 
//output none
ArrayVector vtkSelectPolyDataGenerateSelectionScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateSelectionScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateSelectionScalarsOff for class vtkSelectPolyData requires 1 argument(s)");
  vtkSelectPolyData* vtk_pointer = GetVTKPointer<vtkSelectPolyData>(arg[0]);
  Array retval;
  vtk_pointer->GenerateSelectionScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkSelectPolyData:SetInsideOut vtkSelectPolyDataSetInsideOutFunction
//input a0 a1 
//output none
ArrayVector vtkSelectPolyDataSetInsideOutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInsideOut (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInsideOut for class vtkSelectPolyData requires 2 argument(s)");
  vtkSelectPolyData* vtk_pointer = GetVTKPointer<vtkSelectPolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInsideOut(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectPolyData:GetInsideOut vtkSelectPolyDataGetInsideOutFunction
//input a0 
//output y
ArrayVector vtkSelectPolyDataGetInsideOutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInsideOut (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInsideOut for class vtkSelectPolyData requires 1 argument(s)");
  vtkSelectPolyData* vtk_pointer = GetVTKPointer<vtkSelectPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInsideOut();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectPolyData:InsideOutOn vtkSelectPolyDataInsideOutOnFunction
//input a0 
//output none
ArrayVector vtkSelectPolyDataInsideOutOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsideOutOn (); */
  if (arg.size() < 1) 
    throw Exception("Function InsideOutOn for class vtkSelectPolyData requires 1 argument(s)");
  vtkSelectPolyData* vtk_pointer = GetVTKPointer<vtkSelectPolyData>(arg[0]);
  Array retval;
  vtk_pointer->InsideOutOn();
  return retval;
}

//@@Signature
//sfunction @vtkSelectPolyData:InsideOutOff vtkSelectPolyDataInsideOutOffFunction
//input a0 
//output none
ArrayVector vtkSelectPolyDataInsideOutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsideOutOff (); */
  if (arg.size() < 1) 
    throw Exception("Function InsideOutOff for class vtkSelectPolyData requires 1 argument(s)");
  vtkSelectPolyData* vtk_pointer = GetVTKPointer<vtkSelectPolyData>(arg[0]);
  Array retval;
  vtk_pointer->InsideOutOff();
  return retval;
}

//@@Signature
//sfunction @vtkSelectPolyData:SetLoop vtkSelectPolyDataSetLoopFunction
//input a0 a1 
//output none
ArrayVector vtkSelectPolyDataSetLoopFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLoop (vtkPoints *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLoop for class vtkSelectPolyData requires 2 argument(s)");
  vtkSelectPolyData* vtk_pointer = GetVTKPointer<vtkSelectPolyData>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  vtk_pointer->SetLoop(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectPolyData:GetLoop vtkSelectPolyDataGetLoopFunction
//input a0 
//output y
ArrayVector vtkSelectPolyDataGetLoopFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPoints *GetLoop (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLoop for class vtkSelectPolyData requires 1 argument(s)");
  vtkSelectPolyData* vtk_pointer = GetVTKPointer<vtkSelectPolyData>(arg[0]);
  Array retval;
  vtkPoints  *temp20;
  temp20 = (vtk_pointer)->GetLoop();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectPolyData:SetSelectionMode vtkSelectPolyDataSetSelectionModeFunction
//input a0 a1 
//output none
ArrayVector vtkSelectPolyDataSetSelectionModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectionMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectionMode for class vtkSelectPolyData requires 2 argument(s)");
  vtkSelectPolyData* vtk_pointer = GetVTKPointer<vtkSelectPolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSelectionMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectPolyData:GetSelectionModeMinValue vtkSelectPolyDataGetSelectionModeMinValueFunction
//input a0 
//output y
ArrayVector vtkSelectPolyDataGetSelectionModeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSelectionModeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectionModeMinValue for class vtkSelectPolyData requires 1 argument(s)");
  vtkSelectPolyData* vtk_pointer = GetVTKPointer<vtkSelectPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSelectionModeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectPolyData:GetSelectionModeMaxValue vtkSelectPolyDataGetSelectionModeMaxValueFunction
//input a0 
//output y
ArrayVector vtkSelectPolyDataGetSelectionModeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSelectionModeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectionModeMaxValue for class vtkSelectPolyData requires 1 argument(s)");
  vtkSelectPolyData* vtk_pointer = GetVTKPointer<vtkSelectPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSelectionModeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectPolyData:GetSelectionMode vtkSelectPolyDataGetSelectionModeFunction
//input a0 
//output y
ArrayVector vtkSelectPolyDataGetSelectionModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSelectionMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectionMode for class vtkSelectPolyData requires 1 argument(s)");
  vtkSelectPolyData* vtk_pointer = GetVTKPointer<vtkSelectPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSelectionMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectPolyData:SetSelectionModeToSmallestRegion vtkSelectPolyDataSetSelectionModeToSmallestRegionFunction
//input a0 
//output none
ArrayVector vtkSelectPolyDataSetSelectionModeToSmallestRegionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectionModeToSmallestRegion ();this SetSelectionMode VTK_INSIDE_SMALLEST_REGION  */
  if (arg.size() < 1) 
    throw Exception("Function SetSelectionModeToSmallestRegion for class vtkSelectPolyData requires 1 argument(s)");
  vtkSelectPolyData* vtk_pointer = GetVTKPointer<vtkSelectPolyData>(arg[0]);
  Array retval;
  vtk_pointer->SetSelectionModeToSmallestRegion();
  return retval;
}

//@@Signature
//sfunction @vtkSelectPolyData:SetSelectionModeToLargestRegion vtkSelectPolyDataSetSelectionModeToLargestRegionFunction
//input a0 
//output none
ArrayVector vtkSelectPolyDataSetSelectionModeToLargestRegionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectionModeToLargestRegion ();this SetSelectionMode VTK_INSIDE_LARGEST_REGION  */
  if (arg.size() < 1) 
    throw Exception("Function SetSelectionModeToLargestRegion for class vtkSelectPolyData requires 1 argument(s)");
  vtkSelectPolyData* vtk_pointer = GetVTKPointer<vtkSelectPolyData>(arg[0]);
  Array retval;
  vtk_pointer->SetSelectionModeToLargestRegion();
  return retval;
}

//@@Signature
//sfunction @vtkSelectPolyData:SetSelectionModeToClosestPointRegion vtkSelectPolyDataSetSelectionModeToClosestPointRegionFunction
//input a0 
//output none
ArrayVector vtkSelectPolyDataSetSelectionModeToClosestPointRegionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectionModeToClosestPointRegion ();this SetSelectionMode VTK_INSIDE_CLOSEST_POINT_REGION  */
  if (arg.size() < 1) 
    throw Exception("Function SetSelectionModeToClosestPointRegion for class vtkSelectPolyData requires 1 argument(s)");
  vtkSelectPolyData* vtk_pointer = GetVTKPointer<vtkSelectPolyData>(arg[0]);
  Array retval;
  vtk_pointer->SetSelectionModeToClosestPointRegion();
  return retval;
}

//@@Signature
//sfunction @vtkSelectPolyData:GetSelectionModeAsString vtkSelectPolyDataGetSelectionModeAsStringFunction
//input a0 
//output y
ArrayVector vtkSelectPolyDataGetSelectionModeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetSelectionModeAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectionModeAsString for class vtkSelectPolyData requires 1 argument(s)");
  vtkSelectPolyData* vtk_pointer = GetVTKPointer<vtkSelectPolyData>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetSelectionModeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectPolyData:SetGenerateUnselectedOutput vtkSelectPolyDataSetGenerateUnselectedOutputFunction
//input a0 a1 
//output none
ArrayVector vtkSelectPolyDataSetGenerateUnselectedOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateUnselectedOutput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateUnselectedOutput for class vtkSelectPolyData requires 2 argument(s)");
  vtkSelectPolyData* vtk_pointer = GetVTKPointer<vtkSelectPolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateUnselectedOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectPolyData:GetGenerateUnselectedOutput vtkSelectPolyDataGetGenerateUnselectedOutputFunction
//input a0 
//output y
ArrayVector vtkSelectPolyDataGetGenerateUnselectedOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateUnselectedOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateUnselectedOutput for class vtkSelectPolyData requires 1 argument(s)");
  vtkSelectPolyData* vtk_pointer = GetVTKPointer<vtkSelectPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateUnselectedOutput();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectPolyData:GenerateUnselectedOutputOn vtkSelectPolyDataGenerateUnselectedOutputOnFunction
//input a0 
//output none
ArrayVector vtkSelectPolyDataGenerateUnselectedOutputOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateUnselectedOutputOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateUnselectedOutputOn for class vtkSelectPolyData requires 1 argument(s)");
  vtkSelectPolyData* vtk_pointer = GetVTKPointer<vtkSelectPolyData>(arg[0]);
  Array retval;
  vtk_pointer->GenerateUnselectedOutputOn();
  return retval;
}

//@@Signature
//sfunction @vtkSelectPolyData:GenerateUnselectedOutputOff vtkSelectPolyDataGenerateUnselectedOutputOffFunction
//input a0 
//output none
ArrayVector vtkSelectPolyDataGenerateUnselectedOutputOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateUnselectedOutputOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateUnselectedOutputOff for class vtkSelectPolyData requires 1 argument(s)");
  vtkSelectPolyData* vtk_pointer = GetVTKPointer<vtkSelectPolyData>(arg[0]);
  Array retval;
  vtk_pointer->GenerateUnselectedOutputOff();
  return retval;
}

//@@Signature
//sfunction @vtkSelectPolyData:GetUnselectedOutput vtkSelectPolyDataGetUnselectedOutputFunction
//input a0 
//output y
ArrayVector vtkSelectPolyDataGetUnselectedOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetUnselectedOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUnselectedOutput for class vtkSelectPolyData requires 1 argument(s)");
  vtkSelectPolyData* vtk_pointer = GetVTKPointer<vtkSelectPolyData>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetUnselectedOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectPolyData:GetSelectionEdges vtkSelectPolyDataGetSelectionEdgesFunction
//input a0 
//output y
ArrayVector vtkSelectPolyDataGetSelectionEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetSelectionEdges (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectionEdges for class vtkSelectPolyData requires 1 argument(s)");
  vtkSelectPolyData* vtk_pointer = GetVTKPointer<vtkSelectPolyData>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetSelectionEdges();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectPolyData:GetMTime vtkSelectPolyDataGetMTimeFunction
//input a0 
//output y
ArrayVector vtkSelectPolyDataGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkSelectPolyData requires 1 argument(s)");
  vtkSelectPolyData* vtk_pointer = GetVTKPointer<vtkSelectPolyData>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectPolyData:display vtkSelectPolyDataDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSelectPolyDataDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSelectPolyData* vtk_pointer = GetVTKPointer<vtkSelectPolyData>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSelectPolyData:delete vtkSelectPolyDataDeleteFunction
//input varargin
//output none
ArrayVector vtkSelectPolyDataDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSelectPolyData
//@@Section VTKGraphics
//@@Usage
// vtkSelectPolyData is a filter that selects polygonal data based on
// defining a "loop" and indicating the region inside of the loop. The
// mesh within the loop consists of complete cells (the cells are not
// cut). Alternatively, this filter can be used to generate scalars.
// These scalar values, which are a distance measure to the loop, can
// be used to clip, contour. or extract data (i.e., anything that an
// implicit function can do). 
//
// The loop is defined by an array of x-y-z point coordinates.
// (Coordinates should be in the same coordinate space as the input
// polygonal data.) The loop can be concave and non-planar, but not
// self-intersecting. The input to the filter is a polygonal mesh
// (only surface primitives such as triangle strips and polygons); the
// output is either a) a portion of the original mesh laying within
// the selection loop (GenerateSelectionScalarsOff); or b) the same
// polygonal mesh with the addition of scalar values
// (GenerateSelectionScalarsOn).
//
// The algorithm works as follows. For each point coordinate in the
// loop, the closest point in the mesh is found. The result is a loop
// of closest point ids from the mesh. Then, the edges in the mesh
// connecting the closest points (and laying along the lines forming
// the loop) are found. A greedy edge tracking procedure is used as
// follows. At the current point, the mesh edge oriented in the
// direction of and whose end point is closest to the line is
// chosen. The edge is followed to the new end point, and the
// procedure is repeated. This process continues until the entire loop
// has been created. 
// 
// To determine what portion of the mesh is inside and outside of the
// loop, three options are possible. 1) the smallest connected region,
// 2) the largest connected region, and 3) the connected region
// closest to a user specified point. (Set the ivar SelectionMode.)
// 
// Once the loop is computed as above, the GenerateSelectionScalars
// controls the output of the filter. If on, then scalar values are
// generated based on distance to the loop lines. Otherwise, the cells
// laying inside the selection loop are output. By default, the mesh
// lying within the loop is output; however, if InsideOut is on, then
// the portion of the mesh lying outside of the loop is output.
//
// The filter can be configured to generate the unselected portions of
// the mesh as output by setting GenerateUnselectedOutput. Use the
// method GetUnselectedOutput to access this output. (Note: this flag
// is pertinent only when GenerateSelectionScalars is off.)
//
//To create an instance of class vtkSelectPolyData, simply
//invoke its constructor as follows
//@[
//  obj = vtkSelectPolyData
//@]
//@@Methods
//The class vtkSelectPolyData has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSelectPolyData class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSelectPolyData = obj.NewInstance ()|
// \item @|vtkSelectPolyData = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetGenerateSelectionScalars (int )| -  Set/Get the flag to control behavior of the filter. If
// GenerateSelectionScalars is on, then the output of the filter
// is the same as the input, except that scalars are generated.
// If off, the filter outputs the cells laying inside the loop, and
// does not generate scalars.
//// \item @|int = obj.GetGenerateSelectionScalars ()| -  Set/Get the flag to control behavior of the filter. If
// GenerateSelectionScalars is on, then the output of the filter
// is the same as the input, except that scalars are generated.
// If off, the filter outputs the cells laying inside the loop, and
// does not generate scalars.
//// \item @|obj.GenerateSelectionScalarsOn ()| -  Set/Get the flag to control behavior of the filter. If
// GenerateSelectionScalars is on, then the output of the filter
// is the same as the input, except that scalars are generated.
// If off, the filter outputs the cells laying inside the loop, and
// does not generate scalars.
//// \item @|obj.GenerateSelectionScalarsOff ()| -  Set/Get the flag to control behavior of the filter. If
// GenerateSelectionScalars is on, then the output of the filter
// is the same as the input, except that scalars are generated.
// If off, the filter outputs the cells laying inside the loop, and
// does not generate scalars.
//// \item @|obj.SetInsideOut (int )| -  Set/Get the InsideOut flag. When off, the mesh within the loop is
// extracted. When on, the mesh outside the loop is extracted.
//// \item @|int = obj.GetInsideOut ()| -  Set/Get the InsideOut flag. When off, the mesh within the loop is
// extracted. When on, the mesh outside the loop is extracted.
//// \item @|obj.InsideOutOn ()| -  Set/Get the InsideOut flag. When off, the mesh within the loop is
// extracted. When on, the mesh outside the loop is extracted.
//// \item @|obj.InsideOutOff ()| -  Set/Get the InsideOut flag. When off, the mesh within the loop is
// extracted. When on, the mesh outside the loop is extracted.
//// \item @|obj.SetLoop (vtkPoints )| -  Set/Get the array of point coordinates defining the loop. There must
// be at least three points used to define a loop.
//// \item @|vtkPoints = obj.GetLoop ()| -  Set/Get the array of point coordinates defining the loop. There must
// be at least three points used to define a loop.
//// \item @|obj.SetSelectionMode (int )| -  Control how inside/outside of loop is defined.
//// \item @|int = obj.GetSelectionModeMinValue ()| -  Control how inside/outside of loop is defined.
//// \item @|int = obj.GetSelectionModeMaxValue ()| -  Control how inside/outside of loop is defined.
//// \item @|int = obj.GetSelectionMode ()| -  Control how inside/outside of loop is defined.
//// \item @|obj.SetSelectionModeToSmallestRegion ()| -  Control how inside/outside of loop is defined.
//// \item @|obj.SetSelectionModeToLargestRegion ()| -  Control how inside/outside of loop is defined.
//// \item @|obj.SetSelectionModeToClosestPointRegion ()| -  Control how inside/outside of loop is defined.
//// \item @|string = obj.GetSelectionModeAsString ()| -  Control how inside/outside of loop is defined.
//// \item @|obj.SetGenerateUnselectedOutput (int )| -  Control whether a second output is generated. The second output
// contains the polygonal data that's not been selected.
//// \item @|int = obj.GetGenerateUnselectedOutput ()| -  Control whether a second output is generated. The second output
// contains the polygonal data that's not been selected.
//// \item @|obj.GenerateUnselectedOutputOn ()| -  Control whether a second output is generated. The second output
// contains the polygonal data that's not been selected.
//// \item @|obj.GenerateUnselectedOutputOff ()| -  Control whether a second output is generated. The second output
// contains the polygonal data that's not been selected.
//// \item @|vtkPolyData = obj.GetUnselectedOutput ()| -  Return output that hasn't been selected (if GenreateUnselectedOutput is
// enabled).
//// \item @|vtkPolyData = obj.GetSelectionEdges ()| -  Return the (mesh) edges of the selection region.
//// \item @|long = obj.GetMTime ()|
//\end{itemize}
//!
