#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSelectionSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSelectionSource.h"

//@@Signature
//sfunction @vtkSelectionSource:vtkSelectionSource vtkSelectionSourceConstructorFunction
//input a
//output p
//@@Parents vtkSelectionSource vtkSelectionAlgorithm 
ArrayVector vtkSelectionSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSelectionSource::New(),"vtkSelectionSource",eval);
  } else if (arg[0].className() == "vtkSelectionSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSelectionSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSelectionSource");
    vtkSelectionSource*q = reinterpret_cast<vtkSelectionSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSelectionSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSelectionSource:GetClassName vtkSelectionSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSelectionSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSelectionSource requires 1 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:IsA vtkSelectionSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSelectionSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSelectionSource requires 2 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:NewInstance vtkSelectionSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSelectionSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSelectionSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSelectionSource requires 1 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  vtkSelectionSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelectionSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:SafeDownCast vtkSelectionSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSelectionSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSelectionSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSelectionSource requires 2 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSelectionSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSelectionSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:AddID vtkSelectionSourceAddIDFunction
//input a0 a1 a2 
//output none
ArrayVector vtkSelectionSourceAddIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddID (vtkIdType piece, vtkIdType id); */
  if (arg.size() < 3) 
    throw Exception("Function AddID for class vtkSelectionSource requires 3 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->AddID(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:AddStringID vtkSelectionSourceAddStringIDFunction
//input a0 a1 a2 
//output none
ArrayVector vtkSelectionSourceAddStringIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddStringID (vtkIdType piece, const char *id); */
  if (arg.size() < 3) 
    throw Exception("Function AddStringID for class vtkSelectionSource requires 3 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  char    *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->AddStringID(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:AddLocation vtkSelectionSourceAddLocationFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkSelectionSourceAddLocationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddLocation (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function AddLocation for class vtkSelectionSource requires 4 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->AddLocation(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:AddThreshold vtkSelectionSourceAddThresholdFunction
//input a0 a1 a2 
//output none
ArrayVector vtkSelectionSourceAddThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddThreshold (double min, double max); */
  if (arg.size() < 3) 
    throw Exception("Function AddThreshold for class vtkSelectionSource requires 3 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->AddThreshold(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:SetFrustum vtkSelectionSourceSetFrustumFunction
//input a0 a1 
//output none
ArrayVector vtkSelectionSourceSetFrustumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFrustum (double *vertices); */
  if (arg.size() < 2) 
    throw Exception("Function SetFrustum for class vtkSelectionSource requires 2 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->SetFrustum(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:AddBlock vtkSelectionSourceAddBlockFunction
//input a0 a1 
//output none
ArrayVector vtkSelectionSourceAddBlockFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddBlock (vtkIdType blockno); */
  if (arg.size() < 2) 
    throw Exception("Function AddBlock for class vtkSelectionSource requires 2 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->AddBlock(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:RemoveAllIDs vtkSelectionSourceRemoveAllIDsFunction
//input a0 
//output none
ArrayVector vtkSelectionSourceRemoveAllIDsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllIDs (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllIDs for class vtkSelectionSource requires 1 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllIDs();
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:RemoveAllStringIDs vtkSelectionSourceRemoveAllStringIDsFunction
//input a0 
//output none
ArrayVector vtkSelectionSourceRemoveAllStringIDsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllStringIDs (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllStringIDs for class vtkSelectionSource requires 1 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllStringIDs();
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:RemoveAllThresholds vtkSelectionSourceRemoveAllThresholdsFunction
//input a0 
//output none
ArrayVector vtkSelectionSourceRemoveAllThresholdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllThresholds (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllThresholds for class vtkSelectionSource requires 1 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllThresholds();
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:RemoveAllLocations vtkSelectionSourceRemoveAllLocationsFunction
//input a0 
//output none
ArrayVector vtkSelectionSourceRemoveAllLocationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllLocations (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllLocations for class vtkSelectionSource requires 1 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllLocations();
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:RemoveAllBlocks vtkSelectionSourceRemoveAllBlocksFunction
//input a0 
//output none
ArrayVector vtkSelectionSourceRemoveAllBlocksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllBlocks (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllBlocks for class vtkSelectionSource requires 1 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllBlocks();
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:SetContentType vtkSelectionSourceSetContentTypeFunction
//input a0 a1 
//output none
ArrayVector vtkSelectionSourceSetContentTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetContentType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetContentType for class vtkSelectionSource requires 2 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetContentType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:GetContentType vtkSelectionSourceGetContentTypeFunction
//input a0 
//output y
ArrayVector vtkSelectionSourceGetContentTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetContentType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetContentType for class vtkSelectionSource requires 1 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetContentType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:SetFieldType vtkSelectionSourceSetFieldTypeFunction
//input a0 a1 
//output none
ArrayVector vtkSelectionSourceSetFieldTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFieldType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFieldType for class vtkSelectionSource requires 2 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFieldType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:GetFieldType vtkSelectionSourceGetFieldTypeFunction
//input a0 
//output y
ArrayVector vtkSelectionSourceGetFieldTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFieldType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFieldType for class vtkSelectionSource requires 1 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFieldType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:SetContainingCells vtkSelectionSourceSetContainingCellsFunction
//input a0 a1 
//output none
ArrayVector vtkSelectionSourceSetContainingCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetContainingCells (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetContainingCells for class vtkSelectionSource requires 2 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetContainingCells(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:GetContainingCells vtkSelectionSourceGetContainingCellsFunction
//input a0 
//output y
ArrayVector vtkSelectionSourceGetContainingCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetContainingCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetContainingCells for class vtkSelectionSource requires 1 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetContainingCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:SetInverse vtkSelectionSourceSetInverseFunction
//input a0 a1 
//output none
ArrayVector vtkSelectionSourceSetInverseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInverse (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInverse for class vtkSelectionSource requires 2 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInverse(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:GetInverse vtkSelectionSourceGetInverseFunction
//input a0 
//output y
ArrayVector vtkSelectionSourceGetInverseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInverse (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInverse for class vtkSelectionSource requires 1 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInverse();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:SetArrayName vtkSelectionSourceSetArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkSelectionSourceSetArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetArrayName for class vtkSelectionSource requires 2 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:GetArrayName vtkSelectionSourceGetArrayNameFunction
//input a0 
//output y
ArrayVector vtkSelectionSourceGetArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetArrayName for class vtkSelectionSource requires 1 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:SetArrayComponent vtkSelectionSourceSetArrayComponentFunction
//input a0 a1 
//output none
ArrayVector vtkSelectionSourceSetArrayComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArrayComponent (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetArrayComponent for class vtkSelectionSource requires 2 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetArrayComponent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:GetArrayComponent vtkSelectionSourceGetArrayComponentFunction
//input a0 
//output y
ArrayVector vtkSelectionSourceGetArrayComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetArrayComponent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetArrayComponent for class vtkSelectionSource requires 1 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetArrayComponent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:SetCompositeIndex vtkSelectionSourceSetCompositeIndexFunction
//input a0 a1 
//output none
ArrayVector vtkSelectionSourceSetCompositeIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCompositeIndex (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCompositeIndex for class vtkSelectionSource requires 2 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCompositeIndex(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:GetCompositeIndex vtkSelectionSourceGetCompositeIndexFunction
//input a0 
//output y
ArrayVector vtkSelectionSourceGetCompositeIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCompositeIndex (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCompositeIndex for class vtkSelectionSource requires 1 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCompositeIndex();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:SetHierarchicalLevel vtkSelectionSourceSetHierarchicalLevelFunction
//input a0 a1 
//output none
ArrayVector vtkSelectionSourceSetHierarchicalLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHierarchicalLevel (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHierarchicalLevel for class vtkSelectionSource requires 2 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetHierarchicalLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:GetHierarchicalLevel vtkSelectionSourceGetHierarchicalLevelFunction
//input a0 
//output y
ArrayVector vtkSelectionSourceGetHierarchicalLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetHierarchicalLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHierarchicalLevel for class vtkSelectionSource requires 1 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetHierarchicalLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:SetHierarchicalIndex vtkSelectionSourceSetHierarchicalIndexFunction
//input a0 a1 
//output none
ArrayVector vtkSelectionSourceSetHierarchicalIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHierarchicalIndex (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHierarchicalIndex for class vtkSelectionSource requires 2 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetHierarchicalIndex(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:GetHierarchicalIndex vtkSelectionSourceGetHierarchicalIndexFunction
//input a0 
//output y
ArrayVector vtkSelectionSourceGetHierarchicalIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetHierarchicalIndex (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHierarchicalIndex for class vtkSelectionSource requires 1 argument(s)");
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetHierarchicalIndex();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSelectionSource:display vtkSelectionSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSelectionSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSelectionSource* vtk_pointer = GetVTKPointer<vtkSelectionSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSelectionSource:delete vtkSelectionSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkSelectionSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
