#include "VTKWrap.hpp"

// FreeMat wrapper for vtkShrinkFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkShrinkFilter.h"

//@@Signature
//sfunction @vtkShrinkFilter:vtkShrinkFilter vtkShrinkFilterConstructorFunction
//input a
//output p
//@@Parents vtkShrinkFilter vtkUnstructuredGridAlgorithm 
ArrayVector vtkShrinkFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkShrinkFilter::New(),"vtkShrinkFilter",eval);
  } else if (arg[0].className() == "vtkShrinkFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkShrinkFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkShrinkFilter");
    vtkShrinkFilter*q = reinterpret_cast<vtkShrinkFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkShrinkFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkShrinkFilter:GetClassName vtkShrinkFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkShrinkFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkShrinkFilter requires 1 argument(s)");
  vtkShrinkFilter* vtk_pointer = GetVTKPointer<vtkShrinkFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShrinkFilter:IsA vtkShrinkFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkShrinkFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkShrinkFilter requires 2 argument(s)");
  vtkShrinkFilter* vtk_pointer = GetVTKPointer<vtkShrinkFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShrinkFilter:NewInstance vtkShrinkFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkShrinkFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkShrinkFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkShrinkFilter requires 1 argument(s)");
  vtkShrinkFilter* vtk_pointer = GetVTKPointer<vtkShrinkFilter>(arg[0]);
  Array retval;
  vtkShrinkFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkShrinkFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkShrinkFilter:SafeDownCast vtkShrinkFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkShrinkFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkShrinkFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkShrinkFilter requires 2 argument(s)");
  vtkShrinkFilter* vtk_pointer = GetVTKPointer<vtkShrinkFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkShrinkFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkShrinkFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkShrinkFilter:SetShrinkFactor vtkShrinkFilterSetShrinkFactorFunction
//input a0 a1 
//output none
ArrayVector vtkShrinkFilterSetShrinkFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShrinkFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetShrinkFactor for class vtkShrinkFilter requires 2 argument(s)");
  vtkShrinkFilter* vtk_pointer = GetVTKPointer<vtkShrinkFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetShrinkFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkShrinkFilter:GetShrinkFactorMinValue vtkShrinkFilterGetShrinkFactorMinValueFunction
//input a0 
//output y
ArrayVector vtkShrinkFilterGetShrinkFactorMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetShrinkFactorMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShrinkFactorMinValue for class vtkShrinkFilter requires 1 argument(s)");
  vtkShrinkFilter* vtk_pointer = GetVTKPointer<vtkShrinkFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetShrinkFactorMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShrinkFilter:GetShrinkFactorMaxValue vtkShrinkFilterGetShrinkFactorMaxValueFunction
//input a0 
//output y
ArrayVector vtkShrinkFilterGetShrinkFactorMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetShrinkFactorMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShrinkFactorMaxValue for class vtkShrinkFilter requires 1 argument(s)");
  vtkShrinkFilter* vtk_pointer = GetVTKPointer<vtkShrinkFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetShrinkFactorMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShrinkFilter:GetShrinkFactor vtkShrinkFilterGetShrinkFactorFunction
//input a0 
//output y
ArrayVector vtkShrinkFilterGetShrinkFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetShrinkFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShrinkFactor for class vtkShrinkFilter requires 1 argument(s)");
  vtkShrinkFilter* vtk_pointer = GetVTKPointer<vtkShrinkFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetShrinkFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShrinkFilter:display vtkShrinkFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkShrinkFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkShrinkFilter* vtk_pointer = GetVTKPointer<vtkShrinkFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkShrinkFilter:delete vtkShrinkFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkShrinkFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkShrinkFilter
//@@Section VTKGraphics
//@@Usage
// vtkShrinkFilter shrinks cells composing an arbitrary data set
// towards their centroid. The centroid of a cell is computed as the
// average position of the cell points. Shrinking results in
// disconnecting the cells from one another. The output of this filter
// is of general dataset type vtkUnstructuredGrid.
//
//To create an instance of class vtkShrinkFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkShrinkFilter
//@]
//@@Methods
//The class vtkShrinkFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkShrinkFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkShrinkFilter = obj.NewInstance ()|
// \item @|vtkShrinkFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetShrinkFactor (double )| -  Get/Set the fraction of shrink for each cell. The default is 0.5.
//// \item @|double = obj.GetShrinkFactorMinValue ()| -  Get/Set the fraction of shrink for each cell. The default is 0.5.
//// \item @|double = obj.GetShrinkFactorMaxValue ()| -  Get/Set the fraction of shrink for each cell. The default is 0.5.
//// \item @|double = obj.GetShrinkFactor ()| -  Get/Set the fraction of shrink for each cell. The default is 0.5.
////\end{itemize}
//!
