#include "VTKWrap.hpp"

// FreeMat wrapper for vtkShrinkPolyData object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkShrinkPolyData.h"

//@@Signature
//sfunction @vtkShrinkPolyData:vtkShrinkPolyData vtkShrinkPolyDataConstructorFunction
//input a
//output p
//@@Parents vtkShrinkPolyData vtkPolyDataAlgorithm 
ArrayVector vtkShrinkPolyDataConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkShrinkPolyData::New(),"vtkShrinkPolyData",eval);
  } else if (arg[0].className() == "vtkShrinkPolyData") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkShrinkPolyData"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkShrinkPolyData");
    vtkShrinkPolyData*q = reinterpret_cast<vtkShrinkPolyData*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkShrinkPolyData");
    return ret;
  }
}
//@@Signature
//sfunction @vtkShrinkPolyData:GetClassName vtkShrinkPolyDataGetClassNameFunction
//input a0 
//output y
ArrayVector vtkShrinkPolyDataGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkShrinkPolyData requires 1 argument(s)");
  vtkShrinkPolyData* vtk_pointer = GetVTKPointer<vtkShrinkPolyData>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShrinkPolyData:IsA vtkShrinkPolyDataIsAFunction
//input a0 a1 
//output y
ArrayVector vtkShrinkPolyDataIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkShrinkPolyData requires 2 argument(s)");
  vtkShrinkPolyData* vtk_pointer = GetVTKPointer<vtkShrinkPolyData>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShrinkPolyData:NewInstance vtkShrinkPolyDataNewInstanceFunction
//input a0 
//output y
ArrayVector vtkShrinkPolyDataNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkShrinkPolyData *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkShrinkPolyData requires 1 argument(s)");
  vtkShrinkPolyData* vtk_pointer = GetVTKPointer<vtkShrinkPolyData>(arg[0]);
  Array retval;
  vtkShrinkPolyData  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkShrinkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkShrinkPolyData:SafeDownCast vtkShrinkPolyDataSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkShrinkPolyDataSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkShrinkPolyData *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkShrinkPolyData requires 2 argument(s)");
  vtkShrinkPolyData* vtk_pointer = GetVTKPointer<vtkShrinkPolyData>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkShrinkPolyData  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkShrinkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkShrinkPolyData:SetShrinkFactor vtkShrinkPolyDataSetShrinkFactorFunction
//input a0 a1 
//output none
ArrayVector vtkShrinkPolyDataSetShrinkFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShrinkFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetShrinkFactor for class vtkShrinkPolyData requires 2 argument(s)");
  vtkShrinkPolyData* vtk_pointer = GetVTKPointer<vtkShrinkPolyData>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetShrinkFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkShrinkPolyData:GetShrinkFactorMinValue vtkShrinkPolyDataGetShrinkFactorMinValueFunction
//input a0 
//output y
ArrayVector vtkShrinkPolyDataGetShrinkFactorMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetShrinkFactorMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShrinkFactorMinValue for class vtkShrinkPolyData requires 1 argument(s)");
  vtkShrinkPolyData* vtk_pointer = GetVTKPointer<vtkShrinkPolyData>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetShrinkFactorMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShrinkPolyData:GetShrinkFactorMaxValue vtkShrinkPolyDataGetShrinkFactorMaxValueFunction
//input a0 
//output y
ArrayVector vtkShrinkPolyDataGetShrinkFactorMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetShrinkFactorMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShrinkFactorMaxValue for class vtkShrinkPolyData requires 1 argument(s)");
  vtkShrinkPolyData* vtk_pointer = GetVTKPointer<vtkShrinkPolyData>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetShrinkFactorMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShrinkPolyData:GetShrinkFactor vtkShrinkPolyDataGetShrinkFactorFunction
//input a0 
//output y
ArrayVector vtkShrinkPolyDataGetShrinkFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetShrinkFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShrinkFactor for class vtkShrinkPolyData requires 1 argument(s)");
  vtkShrinkPolyData* vtk_pointer = GetVTKPointer<vtkShrinkPolyData>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetShrinkFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShrinkPolyData:display vtkShrinkPolyDataDisplayFunction
//input varargin
//output varargout
ArrayVector vtkShrinkPolyDataDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkShrinkPolyData* vtk_pointer = GetVTKPointer<vtkShrinkPolyData>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkShrinkPolyData:delete vtkShrinkPolyDataDeleteFunction
//input varargin
//output none
ArrayVector vtkShrinkPolyDataDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkShrinkPolyData
//@@Section VTKGraphics
//@@Usage
// vtkShrinkPolyData shrinks cells composing a polygonal dataset (e.g., 
// vertices, lines, polygons, and triangle strips) towards their centroid. 
// The centroid of a cell is computed as the average position of the
// cell points. Shrinking results in disconnecting the cells from
// one another. The output dataset type of this filter is polygonal data.
//
// During execution the filter passes its input cell data to its
// output. Point data attributes are copied to the points created during the
// shrinking process.
//
//To create an instance of class vtkShrinkPolyData, simply
//invoke its constructor as follows
//@[
//  obj = vtkShrinkPolyData
//@]
//@@Methods
//The class vtkShrinkPolyData has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkShrinkPolyData class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkShrinkPolyData = obj.NewInstance ()|
// \item @|vtkShrinkPolyData = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetShrinkFactor (double )| -  Set the fraction of shrink for each cell.
//// \item @|double = obj.GetShrinkFactorMinValue ()| -  Set the fraction of shrink for each cell.
//// \item @|double = obj.GetShrinkFactorMaxValue ()| -  Set the fraction of shrink for each cell.
//// \item @|double = obj.GetShrinkFactor ()| -  Get the fraction of shrink for each cell.
////\end{itemize}
//!
