#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSimpleElevationFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSimpleElevationFilter.h"

//@@Signature
//sfunction @vtkSimpleElevationFilter:vtkSimpleElevationFilter vtkSimpleElevationFilterConstructorFunction
//input a
//output p
//@@Parents vtkSimpleElevationFilter vtkDataSetAlgorithm 
ArrayVector vtkSimpleElevationFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSimpleElevationFilter::New(),"vtkSimpleElevationFilter",eval);
  } else if (arg[0].className() == "vtkSimpleElevationFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSimpleElevationFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSimpleElevationFilter");
    vtkSimpleElevationFilter*q = reinterpret_cast<vtkSimpleElevationFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSimpleElevationFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSimpleElevationFilter:GetClassName vtkSimpleElevationFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSimpleElevationFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSimpleElevationFilter requires 1 argument(s)");
  vtkSimpleElevationFilter* vtk_pointer = GetVTKPointer<vtkSimpleElevationFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimpleElevationFilter:IsA vtkSimpleElevationFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSimpleElevationFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSimpleElevationFilter requires 2 argument(s)");
  vtkSimpleElevationFilter* vtk_pointer = GetVTKPointer<vtkSimpleElevationFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimpleElevationFilter:NewInstance vtkSimpleElevationFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSimpleElevationFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSimpleElevationFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSimpleElevationFilter requires 1 argument(s)");
  vtkSimpleElevationFilter* vtk_pointer = GetVTKPointer<vtkSimpleElevationFilter>(arg[0]);
  Array retval;
  vtkSimpleElevationFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSimpleElevationFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSimpleElevationFilter:SafeDownCast vtkSimpleElevationFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSimpleElevationFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSimpleElevationFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSimpleElevationFilter requires 2 argument(s)");
  vtkSimpleElevationFilter* vtk_pointer = GetVTKPointer<vtkSimpleElevationFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSimpleElevationFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSimpleElevationFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSimpleElevationFilter:SetVector__1 vtkSimpleElevationFilterSetVector__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkSimpleElevationFilterSetVector__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVector (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetVector__1 for class vtkSimpleElevationFilter requires 4 argument(s)");
  vtkSimpleElevationFilter* vtk_pointer = GetVTKPointer<vtkSimpleElevationFilter>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetVector(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkSimpleElevationFilter:SetVector__2 vtkSimpleElevationFilterSetVector__2Function
//input a0 a1 
//output none
ArrayVector vtkSimpleElevationFilterSetVector__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVector (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetVector__2 for class vtkSimpleElevationFilter requires 2 argument(s)");
  vtkSimpleElevationFilter* vtk_pointer = GetVTKPointer<vtkSimpleElevationFilter>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetVector(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSimpleElevationFilter:GetVector vtkSimpleElevationFilterGetVectorFunction
//input a0 
//output y
ArrayVector vtkSimpleElevationFilterGetVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetVector (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVector for class vtkSimpleElevationFilter requires 1 argument(s)");
  vtkSimpleElevationFilter* vtk_pointer = GetVTKPointer<vtkSimpleElevationFilter>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetVector();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkSimpleElevationFilter:SetVector vtkSimpleElevationFilterSetVectorFunction
//input varargin
//output varargout
ArrayVector vtkSimpleElevationFilterSetVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkSimpleElevationFilterSetVector__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkSimpleElevationFilterSetVector__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSimpleElevationFilterSetVector");
}

//@@Signature
//sfunction @vtkSimpleElevationFilter:display vtkSimpleElevationFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSimpleElevationFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSimpleElevationFilter* vtk_pointer = GetVTKPointer<vtkSimpleElevationFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSimpleElevationFilter:delete vtkSimpleElevationFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkSimpleElevationFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSimpleElevationFilter
//@@Section VTKGraphics
//@@Usage
// vtkSimpleElevationFilter is a filter to generate scalar values from a
// dataset.  The scalar values are generated by dotting a user-specified
// vector against a vector defined from the input dataset points to the
// origin. 
//
//To create an instance of class vtkSimpleElevationFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkSimpleElevationFilter
//@]
//@@Methods
//The class vtkSimpleElevationFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSimpleElevationFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSimpleElevationFilter = obj.NewInstance ()|
// \item @|vtkSimpleElevationFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetVector (double , double , double )| -  Define one end of the line (small scalar values).
//// \item @|obj.SetVector (double  a[3])| -  Define one end of the line (small scalar values).
//// \item @|double = obj. GetVector ()| -  Define one end of the line (small scalar values).
////\end{itemize}
//!
