#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSliceCubes object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSliceCubes.h"

//@@Signature
//sfunction @vtkSliceCubes:vtkSliceCubes vtkSliceCubesConstructorFunction
//input a
//output p
//@@Parents vtkSliceCubes vtkObject 
ArrayVector vtkSliceCubesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSliceCubes::New(),"vtkSliceCubes",eval);
  } else if (arg[0].className() == "vtkSliceCubes") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSliceCubes"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSliceCubes");
    vtkSliceCubes*q = reinterpret_cast<vtkSliceCubes*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSliceCubes");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSliceCubes:GetClassName vtkSliceCubesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSliceCubesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSliceCubes requires 1 argument(s)");
  vtkSliceCubes* vtk_pointer = GetVTKPointer<vtkSliceCubes>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliceCubes:IsA vtkSliceCubesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSliceCubesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSliceCubes requires 2 argument(s)");
  vtkSliceCubes* vtk_pointer = GetVTKPointer<vtkSliceCubes>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliceCubes:NewInstance vtkSliceCubesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSliceCubesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSliceCubes *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSliceCubes requires 1 argument(s)");
  vtkSliceCubes* vtk_pointer = GetVTKPointer<vtkSliceCubes>(arg[0]);
  Array retval;
  vtkSliceCubes  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSliceCubes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSliceCubes:SafeDownCast vtkSliceCubesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSliceCubesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSliceCubes *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSliceCubes requires 2 argument(s)");
  vtkSliceCubes* vtk_pointer = GetVTKPointer<vtkSliceCubes>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSliceCubes  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSliceCubes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSliceCubes:Write vtkSliceCubesWriteFunction
//input a0 
//output none
ArrayVector vtkSliceCubesWriteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Write ();this Update  */
  if (arg.size() < 1) 
    throw Exception("Function Write for class vtkSliceCubes requires 1 argument(s)");
  vtkSliceCubes* vtk_pointer = GetVTKPointer<vtkSliceCubes>(arg[0]);
  Array retval;
  vtk_pointer->Write();
  return retval;
}

//@@Signature
//sfunction @vtkSliceCubes:Update vtkSliceCubesUpdateFunction
//input a0 
//output none
ArrayVector vtkSliceCubesUpdateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Update (); */
  if (arg.size() < 1) 
    throw Exception("Function Update for class vtkSliceCubes requires 1 argument(s)");
  vtkSliceCubes* vtk_pointer = GetVTKPointer<vtkSliceCubes>(arg[0]);
  Array retval;
  vtk_pointer->Update();
  return retval;
}

//@@Signature
//sfunction @vtkSliceCubes:SetReader vtkSliceCubesSetReaderFunction
//input a0 a1 
//output none
ArrayVector vtkSliceCubesSetReaderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetReader (vtkVolumeReader *); */
  if (arg.size() < 2) 
    throw Exception("Function SetReader for class vtkSliceCubes requires 2 argument(s)");
  vtkSliceCubes* vtk_pointer = GetVTKPointer<vtkSliceCubes>(arg[0]);
  Array retval;
  vtkVolumeReader  *temp0;
  temp0 = GetVTKPointer<vtkVolumeReader>(arg[1]);
  vtk_pointer->SetReader(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSliceCubes:GetReader vtkSliceCubesGetReaderFunction
//input a0 
//output y
ArrayVector vtkSliceCubesGetReaderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeReader *GetReader (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReader for class vtkSliceCubes requires 1 argument(s)");
  vtkSliceCubes* vtk_pointer = GetVTKPointer<vtkSliceCubes>(arg[0]);
  Array retval;
  vtkVolumeReader  *temp20;
  temp20 = (vtk_pointer)->GetReader();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSliceCubes:SetFileName vtkSliceCubesSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkSliceCubesSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkSliceCubes requires 2 argument(s)");
  vtkSliceCubes* vtk_pointer = GetVTKPointer<vtkSliceCubes>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSliceCubes:GetFileName vtkSliceCubesGetFileNameFunction
//input a0 
//output y
ArrayVector vtkSliceCubesGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkSliceCubes requires 1 argument(s)");
  vtkSliceCubes* vtk_pointer = GetVTKPointer<vtkSliceCubes>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliceCubes:SetValue vtkSliceCubesSetValueFunction
//input a0 a1 
//output none
ArrayVector vtkSliceCubesSetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetValue for class vtkSliceCubes requires 2 argument(s)");
  vtkSliceCubes* vtk_pointer = GetVTKPointer<vtkSliceCubes>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSliceCubes:GetValue vtkSliceCubesGetValueFunction
//input a0 
//output y
ArrayVector vtkSliceCubesGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetValue for class vtkSliceCubes requires 1 argument(s)");
  vtkSliceCubes* vtk_pointer = GetVTKPointer<vtkSliceCubes>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliceCubes:SetLimitsFileName vtkSliceCubesSetLimitsFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkSliceCubesSetLimitsFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLimitsFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLimitsFileName for class vtkSliceCubes requires 2 argument(s)");
  vtkSliceCubes* vtk_pointer = GetVTKPointer<vtkSliceCubes>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetLimitsFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSliceCubes:GetLimitsFileName vtkSliceCubesGetLimitsFileNameFunction
//input a0 
//output y
ArrayVector vtkSliceCubesGetLimitsFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetLimitsFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLimitsFileName for class vtkSliceCubes requires 1 argument(s)");
  vtkSliceCubes* vtk_pointer = GetVTKPointer<vtkSliceCubes>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetLimitsFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliceCubes:display vtkSliceCubesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSliceCubesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSliceCubes* vtk_pointer = GetVTKPointer<vtkSliceCubes>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSliceCubes:delete vtkSliceCubesDeleteFunction
//input varargin
//output none
ArrayVector vtkSliceCubesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSliceCubes
//@@Section VTKGraphics
//@@Usage
// vtkSliceCubes is a special version of the marching cubes filter. Instead
// of ingesting an entire volume at once it processes only four slices at
// a time. This way, it can generate isosurfaces from huge volumes. Also, the 
// output of this object is written to a marching cubes triangle file. That
// way, output triangles do not need to be held in memory.
// 
// To use vtkSliceCubes you must specify an instance of vtkVolumeReader to
// read the data. Set this object up with the proper file prefix, image range,
// data origin, data dimensions, header size, data mask, and swap bytes flag. 
// The vtkSliceCubes object will then take over and read slices as necessary. 
// You also will need to specify the name of an output marching cubes triangle 
// file.
//
//
//To create an instance of class vtkSliceCubes, simply
//invoke its constructor as follows
//@[
//  obj = vtkSliceCubes
//@]
//@@Methods
//The class vtkSliceCubes has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSliceCubes class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSliceCubes = obj.NewInstance ()|
// \item @|vtkSliceCubes = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Write ()|
// \item @|obj.Update ()|
// \item @|obj.SetReader (vtkVolumeReader )| -  Set/get object to read slices.
//// \item @|vtkVolumeReader = obj.GetReader ()| -  Set/get object to read slices.
//// \item @|obj.SetFileName (string )| -  Specify file name of marching cubes output file.
//// \item @|string = obj.GetFileName ()| -  Specify file name of marching cubes output file.
//// \item @|obj.SetValue (double )| -  Set/get isosurface contour value.
//// \item @|double = obj.GetValue ()| -  Set/get isosurface contour value.
//// \item @|obj.SetLimitsFileName (string )| -  Specify file name of marching cubes limits file. The limits file
// speeds up subsequent reading of output triangle file.
//// \item @|string = obj.GetLimitsFileName ()| -  Specify file name of marching cubes limits file. The limits file
// speeds up subsequent reading of output triangle file.
////\end{itemize}
//!
