#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSmoothPolyDataFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSmoothPolyDataFilter.h"

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:vtkSmoothPolyDataFilter vtkSmoothPolyDataFilterConstructorFunction
//input a
//output p
//@@Parents vtkSmoothPolyDataFilter vtkPolyDataAlgorithm 
ArrayVector vtkSmoothPolyDataFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSmoothPolyDataFilter::New(),"vtkSmoothPolyDataFilter",eval);
  } else if (arg[0].className() == "vtkSmoothPolyDataFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSmoothPolyDataFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSmoothPolyDataFilter");
    vtkSmoothPolyDataFilter*q = reinterpret_cast<vtkSmoothPolyDataFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSmoothPolyDataFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSmoothPolyDataFilter:GetClassName vtkSmoothPolyDataFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSmoothPolyDataFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSmoothPolyDataFilter requires 1 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:IsA vtkSmoothPolyDataFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSmoothPolyDataFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSmoothPolyDataFilter requires 2 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:NewInstance vtkSmoothPolyDataFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSmoothPolyDataFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSmoothPolyDataFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSmoothPolyDataFilter requires 1 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  vtkSmoothPolyDataFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSmoothPolyDataFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:SafeDownCast vtkSmoothPolyDataFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSmoothPolyDataFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSmoothPolyDataFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSmoothPolyDataFilter requires 2 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSmoothPolyDataFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSmoothPolyDataFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:SetConvergence vtkSmoothPolyDataFilterSetConvergenceFunction
//input a0 a1 
//output none
ArrayVector vtkSmoothPolyDataFilterSetConvergenceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetConvergence (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetConvergence for class vtkSmoothPolyDataFilter requires 2 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetConvergence(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:GetConvergenceMinValue vtkSmoothPolyDataFilterGetConvergenceMinValueFunction
//input a0 
//output y
ArrayVector vtkSmoothPolyDataFilterGetConvergenceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetConvergenceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetConvergenceMinValue for class vtkSmoothPolyDataFilter requires 1 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetConvergenceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:GetConvergenceMaxValue vtkSmoothPolyDataFilterGetConvergenceMaxValueFunction
//input a0 
//output y
ArrayVector vtkSmoothPolyDataFilterGetConvergenceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetConvergenceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetConvergenceMaxValue for class vtkSmoothPolyDataFilter requires 1 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetConvergenceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:GetConvergence vtkSmoothPolyDataFilterGetConvergenceFunction
//input a0 
//output y
ArrayVector vtkSmoothPolyDataFilterGetConvergenceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetConvergence (); */
  if (arg.size() < 1) 
    throw Exception("Function GetConvergence for class vtkSmoothPolyDataFilter requires 1 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetConvergence();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:SetNumberOfIterations vtkSmoothPolyDataFilterSetNumberOfIterationsFunction
//input a0 a1 
//output none
ArrayVector vtkSmoothPolyDataFilterSetNumberOfIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfIterations (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfIterations for class vtkSmoothPolyDataFilter requires 2 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfIterations(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:GetNumberOfIterationsMinValue vtkSmoothPolyDataFilterGetNumberOfIterationsMinValueFunction
//input a0 
//output y
ArrayVector vtkSmoothPolyDataFilterGetNumberOfIterationsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfIterationsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfIterationsMinValue for class vtkSmoothPolyDataFilter requires 1 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfIterationsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:GetNumberOfIterationsMaxValue vtkSmoothPolyDataFilterGetNumberOfIterationsMaxValueFunction
//input a0 
//output y
ArrayVector vtkSmoothPolyDataFilterGetNumberOfIterationsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfIterationsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfIterationsMaxValue for class vtkSmoothPolyDataFilter requires 1 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfIterationsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:GetNumberOfIterations vtkSmoothPolyDataFilterGetNumberOfIterationsFunction
//input a0 
//output y
ArrayVector vtkSmoothPolyDataFilterGetNumberOfIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfIterations (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfIterations for class vtkSmoothPolyDataFilter requires 1 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfIterations();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:SetRelaxationFactor vtkSmoothPolyDataFilterSetRelaxationFactorFunction
//input a0 a1 
//output none
ArrayVector vtkSmoothPolyDataFilterSetRelaxationFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRelaxationFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRelaxationFactor for class vtkSmoothPolyDataFilter requires 2 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRelaxationFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:GetRelaxationFactor vtkSmoothPolyDataFilterGetRelaxationFactorFunction
//input a0 
//output y
ArrayVector vtkSmoothPolyDataFilterGetRelaxationFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRelaxationFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRelaxationFactor for class vtkSmoothPolyDataFilter requires 1 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRelaxationFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:SetFeatureEdgeSmoothing vtkSmoothPolyDataFilterSetFeatureEdgeSmoothingFunction
//input a0 a1 
//output none
ArrayVector vtkSmoothPolyDataFilterSetFeatureEdgeSmoothingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFeatureEdgeSmoothing (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFeatureEdgeSmoothing for class vtkSmoothPolyDataFilter requires 2 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFeatureEdgeSmoothing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:GetFeatureEdgeSmoothing vtkSmoothPolyDataFilterGetFeatureEdgeSmoothingFunction
//input a0 
//output y
ArrayVector vtkSmoothPolyDataFilterGetFeatureEdgeSmoothingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFeatureEdgeSmoothing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFeatureEdgeSmoothing for class vtkSmoothPolyDataFilter requires 1 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFeatureEdgeSmoothing();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:FeatureEdgeSmoothingOn vtkSmoothPolyDataFilterFeatureEdgeSmoothingOnFunction
//input a0 
//output none
ArrayVector vtkSmoothPolyDataFilterFeatureEdgeSmoothingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FeatureEdgeSmoothingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function FeatureEdgeSmoothingOn for class vtkSmoothPolyDataFilter requires 1 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->FeatureEdgeSmoothingOn();
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:FeatureEdgeSmoothingOff vtkSmoothPolyDataFilterFeatureEdgeSmoothingOffFunction
//input a0 
//output none
ArrayVector vtkSmoothPolyDataFilterFeatureEdgeSmoothingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FeatureEdgeSmoothingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function FeatureEdgeSmoothingOff for class vtkSmoothPolyDataFilter requires 1 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->FeatureEdgeSmoothingOff();
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:SetFeatureAngle vtkSmoothPolyDataFilterSetFeatureAngleFunction
//input a0 a1 
//output none
ArrayVector vtkSmoothPolyDataFilterSetFeatureAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFeatureAngle (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFeatureAngle for class vtkSmoothPolyDataFilter requires 2 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetFeatureAngle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:GetFeatureAngleMinValue vtkSmoothPolyDataFilterGetFeatureAngleMinValueFunction
//input a0 
//output y
ArrayVector vtkSmoothPolyDataFilterGetFeatureAngleMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFeatureAngleMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFeatureAngleMinValue for class vtkSmoothPolyDataFilter requires 1 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFeatureAngleMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:GetFeatureAngleMaxValue vtkSmoothPolyDataFilterGetFeatureAngleMaxValueFunction
//input a0 
//output y
ArrayVector vtkSmoothPolyDataFilterGetFeatureAngleMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFeatureAngleMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFeatureAngleMaxValue for class vtkSmoothPolyDataFilter requires 1 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFeatureAngleMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:GetFeatureAngle vtkSmoothPolyDataFilterGetFeatureAngleFunction
//input a0 
//output y
ArrayVector vtkSmoothPolyDataFilterGetFeatureAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFeatureAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFeatureAngle for class vtkSmoothPolyDataFilter requires 1 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFeatureAngle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:SetEdgeAngle vtkSmoothPolyDataFilterSetEdgeAngleFunction
//input a0 a1 
//output none
ArrayVector vtkSmoothPolyDataFilterSetEdgeAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeAngle (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeAngle for class vtkSmoothPolyDataFilter requires 2 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetEdgeAngle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:GetEdgeAngleMinValue vtkSmoothPolyDataFilterGetEdgeAngleMinValueFunction
//input a0 
//output y
ArrayVector vtkSmoothPolyDataFilterGetEdgeAngleMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEdgeAngleMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeAngleMinValue for class vtkSmoothPolyDataFilter requires 1 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEdgeAngleMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:GetEdgeAngleMaxValue vtkSmoothPolyDataFilterGetEdgeAngleMaxValueFunction
//input a0 
//output y
ArrayVector vtkSmoothPolyDataFilterGetEdgeAngleMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEdgeAngleMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeAngleMaxValue for class vtkSmoothPolyDataFilter requires 1 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEdgeAngleMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:GetEdgeAngle vtkSmoothPolyDataFilterGetEdgeAngleFunction
//input a0 
//output y
ArrayVector vtkSmoothPolyDataFilterGetEdgeAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEdgeAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeAngle for class vtkSmoothPolyDataFilter requires 1 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEdgeAngle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:SetBoundarySmoothing vtkSmoothPolyDataFilterSetBoundarySmoothingFunction
//input a0 a1 
//output none
ArrayVector vtkSmoothPolyDataFilterSetBoundarySmoothingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBoundarySmoothing (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBoundarySmoothing for class vtkSmoothPolyDataFilter requires 2 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBoundarySmoothing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:GetBoundarySmoothing vtkSmoothPolyDataFilterGetBoundarySmoothingFunction
//input a0 
//output y
ArrayVector vtkSmoothPolyDataFilterGetBoundarySmoothingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBoundarySmoothing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBoundarySmoothing for class vtkSmoothPolyDataFilter requires 1 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBoundarySmoothing();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:BoundarySmoothingOn vtkSmoothPolyDataFilterBoundarySmoothingOnFunction
//input a0 
//output none
ArrayVector vtkSmoothPolyDataFilterBoundarySmoothingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BoundarySmoothingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function BoundarySmoothingOn for class vtkSmoothPolyDataFilter requires 1 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->BoundarySmoothingOn();
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:BoundarySmoothingOff vtkSmoothPolyDataFilterBoundarySmoothingOffFunction
//input a0 
//output none
ArrayVector vtkSmoothPolyDataFilterBoundarySmoothingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BoundarySmoothingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function BoundarySmoothingOff for class vtkSmoothPolyDataFilter requires 1 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->BoundarySmoothingOff();
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:SetGenerateErrorScalars vtkSmoothPolyDataFilterSetGenerateErrorScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkSmoothPolyDataFilterSetGenerateErrorScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateErrorScalars (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateErrorScalars for class vtkSmoothPolyDataFilter requires 2 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateErrorScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:GetGenerateErrorScalars vtkSmoothPolyDataFilterGetGenerateErrorScalarsFunction
//input a0 
//output y
ArrayVector vtkSmoothPolyDataFilterGetGenerateErrorScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateErrorScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateErrorScalars for class vtkSmoothPolyDataFilter requires 1 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateErrorScalars();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:GenerateErrorScalarsOn vtkSmoothPolyDataFilterGenerateErrorScalarsOnFunction
//input a0 
//output none
ArrayVector vtkSmoothPolyDataFilterGenerateErrorScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateErrorScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateErrorScalarsOn for class vtkSmoothPolyDataFilter requires 1 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->GenerateErrorScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:GenerateErrorScalarsOff vtkSmoothPolyDataFilterGenerateErrorScalarsOffFunction
//input a0 
//output none
ArrayVector vtkSmoothPolyDataFilterGenerateErrorScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateErrorScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateErrorScalarsOff for class vtkSmoothPolyDataFilter requires 1 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->GenerateErrorScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:SetGenerateErrorVectors vtkSmoothPolyDataFilterSetGenerateErrorVectorsFunction
//input a0 a1 
//output none
ArrayVector vtkSmoothPolyDataFilterSetGenerateErrorVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateErrorVectors (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateErrorVectors for class vtkSmoothPolyDataFilter requires 2 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateErrorVectors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:GetGenerateErrorVectors vtkSmoothPolyDataFilterGetGenerateErrorVectorsFunction
//input a0 
//output y
ArrayVector vtkSmoothPolyDataFilterGetGenerateErrorVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateErrorVectors (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateErrorVectors for class vtkSmoothPolyDataFilter requires 1 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateErrorVectors();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:GenerateErrorVectorsOn vtkSmoothPolyDataFilterGenerateErrorVectorsOnFunction
//input a0 
//output none
ArrayVector vtkSmoothPolyDataFilterGenerateErrorVectorsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateErrorVectorsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateErrorVectorsOn for class vtkSmoothPolyDataFilter requires 1 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->GenerateErrorVectorsOn();
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:GenerateErrorVectorsOff vtkSmoothPolyDataFilterGenerateErrorVectorsOffFunction
//input a0 
//output none
ArrayVector vtkSmoothPolyDataFilterGenerateErrorVectorsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateErrorVectorsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateErrorVectorsOff for class vtkSmoothPolyDataFilter requires 1 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->GenerateErrorVectorsOff();
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:SetSource vtkSmoothPolyDataFilterSetSourceFunction
//input a0 a1 
//output none
ArrayVector vtkSmoothPolyDataFilterSetSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSource (vtkPolyData *source); */
  if (arg.size() < 2) 
    throw Exception("Function SetSource for class vtkSmoothPolyDataFilter requires 2 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->SetSource(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:GetSource vtkSmoothPolyDataFilterGetSourceFunction
//input a0 
//output y
ArrayVector vtkSmoothPolyDataFilterGetSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetSource (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSource for class vtkSmoothPolyDataFilter requires 1 argument(s)");
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetSource();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSmoothPolyDataFilter:display vtkSmoothPolyDataFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSmoothPolyDataFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSmoothPolyDataFilter* vtk_pointer = GetVTKPointer<vtkSmoothPolyDataFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSmoothPolyDataFilter:delete vtkSmoothPolyDataFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkSmoothPolyDataFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSmoothPolyDataFilter
//@@Section VTKGraphics
//@@Usage
// vtkSmoothPolyDataFilter is a filter that adjusts point coordinates using 
// Laplacian smoothing. The effect is to "relax" the mesh, making the cells 
// better shaped and the vertices more evenly distributed. Note that this
// filter operates on the lines, polygons, and triangle strips composing an
// instance of vtkPolyData. Vertex or poly-vertex cells are never modified.
// 
// The algorithm proceeds as follows. For each vertex v, a topological and
// geometric analysis is performed to determine which vertices are connected
// to v, and which cells are connected to v. Then, a connectivity array is
// constructed for each vertex. (The connectivity array is a list of lists
// of vertices that directly attach to each vertex.) Next, an iteration
// phase begins over all vertices. For each vertex v, the coordinates of v
// are modified according to an average of the connected vertices.  (A
// relaxation factor is available to control the amount of displacement of
// v).  The process repeats for each vertex. This pass over the list of
// vertices is a single iteration. Many iterations (generally around 20 or
// so) are repeated until the desired result is obtained.
// 
// There are some special instance variables used to control the execution
// of this filter. (These ivars basically control what vertices can be
// smoothed, and the creation of the connectivity array.) The
// BoundarySmoothing ivar enables/disables the smoothing operation on
// vertices that are on the "boundary" of the mesh. A boundary vertex is one
// that is surrounded by a semi-cycle of polygons (or used by a single
// line).
// 
// Another important ivar is FeatureEdgeSmoothing. If this ivar is
// enabled, then interior vertices are classified as either "simple",
// "interior edge", or "fixed", and smoothed differently. (Interior
// vertices are manifold vertices surrounded by a cycle of polygons; or used
// by two line cells.) The classification is based on the number of feature 
// edges attached to v. A feature edge occurs when the angle between the two
// surface normals of a polygon sharing an edge is greater than the
// FeatureAngle ivar. Then, vertices used by no feature edges are classified
// "simple", vertices used by exactly two feature edges are classified
// "interior edge", and all others are "fixed" vertices.
//
// Once the classification is known, the vertices are smoothed
// differently. Corner (i.e., fixed) vertices are not smoothed at all. 
// Simple vertices are smoothed as before (i.e., average of connected 
// vertex coordinates). Interior edge vertices are smoothed only along 
// their two connected edges, and only if the angle between the edges 
// is less than the EdgeAngle ivar.
//
// The total smoothing can be controlled by using two ivars. The 
// NumberOfIterations is a cap on the maximum number of smoothing passes.
// The Convergence ivar is a limit on the maximum point motion. If the 
// maximum motion during an iteration is less than Convergence, then the 
// smoothing process terminates. (Convergence is expressed as a fraction of 
// the diagonal of the bounding box.)
//
// There are two instance variables that control the generation of error
// data. If the ivar GenerateErrorScalars is on, then a scalar value indicating
// the distance of each vertex from its original position is computed. If the
// ivar GenerateErrorVectors is on, then a vector representing change in 
// position is computed.
//
// Optionally you can further control the smoothing process by defining a
// second input: the Source. If defined, the input mesh is constrained to
// lie on the surface defined by the Source ivar.
//
//
//To create an instance of class vtkSmoothPolyDataFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkSmoothPolyDataFilter
//@]
//@@Methods
//The class vtkSmoothPolyDataFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSmoothPolyDataFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSmoothPolyDataFilter = obj.NewInstance ()|
// \item @|vtkSmoothPolyDataFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetConvergence (double )| -  Specify a convergence criterion for the iteration
// process. Smaller numbers result in more smoothing iterations.
//// \item @|double = obj.GetConvergenceMinValue ()| -  Specify a convergence criterion for the iteration
// process. Smaller numbers result in more smoothing iterations.
//// \item @|double = obj.GetConvergenceMaxValue ()| -  Specify a convergence criterion for the iteration
// process. Smaller numbers result in more smoothing iterations.
//// \item @|double = obj.GetConvergence ()| -  Specify a convergence criterion for the iteration
// process. Smaller numbers result in more smoothing iterations.
//// \item @|obj.SetNumberOfIterations (int )| -  Specify the number of iterations for Laplacian smoothing,
//// \item @|int = obj.GetNumberOfIterationsMinValue ()| -  Specify the number of iterations for Laplacian smoothing,
//// \item @|int = obj.GetNumberOfIterationsMaxValue ()| -  Specify the number of iterations for Laplacian smoothing,
//// \item @|int = obj.GetNumberOfIterations ()| -  Specify the number of iterations for Laplacian smoothing,
//// \item @|obj.SetRelaxationFactor (double )| -  Specify the relaxation factor for Laplacian smoothing. As in all
// iterative methods, the stability of the process is sensitive to
// this parameter. In general, small relaxation factors and large
// numbers of iterations are more stable than larger relaxation
// factors and smaller numbers of iterations.
//// \item @|double = obj.GetRelaxationFactor ()| -  Specify the relaxation factor for Laplacian smoothing. As in all
// iterative methods, the stability of the process is sensitive to
// this parameter. In general, small relaxation factors and large
// numbers of iterations are more stable than larger relaxation
// factors and smaller numbers of iterations.
//// \item @|obj.SetFeatureEdgeSmoothing (int )| -  Turn on/off smoothing along sharp interior edges.
//// \item @|int = obj.GetFeatureEdgeSmoothing ()| -  Turn on/off smoothing along sharp interior edges.
//// \item @|obj.FeatureEdgeSmoothingOn ()| -  Turn on/off smoothing along sharp interior edges.
//// \item @|obj.FeatureEdgeSmoothingOff ()| -  Turn on/off smoothing along sharp interior edges.
//// \item @|obj.SetFeatureAngle (double )| -  Specify the feature angle for sharp edge identification.
//// \item @|double = obj.GetFeatureAngleMinValue ()| -  Specify the feature angle for sharp edge identification.
//// \item @|double = obj.GetFeatureAngleMaxValue ()| -  Specify the feature angle for sharp edge identification.
//// \item @|double = obj.GetFeatureAngle ()| -  Specify the feature angle for sharp edge identification.
//// \item @|obj.SetEdgeAngle (double )| -  Specify the edge angle to control smoothing along edges (either interior
// or boundary).
//// \item @|double = obj.GetEdgeAngleMinValue ()| -  Specify the edge angle to control smoothing along edges (either interior
// or boundary).
//// \item @|double = obj.GetEdgeAngleMaxValue ()| -  Specify the edge angle to control smoothing along edges (either interior
// or boundary).
//// \item @|double = obj.GetEdgeAngle ()| -  Specify the edge angle to control smoothing along edges (either interior
// or boundary).
//// \item @|obj.SetBoundarySmoothing (int )| -  Turn on/off the smoothing of vertices on the boundary of the mesh.
//// \item @|int = obj.GetBoundarySmoothing ()| -  Turn on/off the smoothing of vertices on the boundary of the mesh.
//// \item @|obj.BoundarySmoothingOn ()| -  Turn on/off the smoothing of vertices on the boundary of the mesh.
//// \item @|obj.BoundarySmoothingOff ()| -  Turn on/off the smoothing of vertices on the boundary of the mesh.
//// \item @|obj.SetGenerateErrorScalars (int )| -  Turn on/off the generation of scalar distance values.
//// \item @|int = obj.GetGenerateErrorScalars ()| -  Turn on/off the generation of scalar distance values.
//// \item @|obj.GenerateErrorScalarsOn ()| -  Turn on/off the generation of scalar distance values.
//// \item @|obj.GenerateErrorScalarsOff ()| -  Turn on/off the generation of scalar distance values.
//// \item @|obj.SetGenerateErrorVectors (int )| -  Turn on/off the generation of error vectors.
//// \item @|int = obj.GetGenerateErrorVectors ()| -  Turn on/off the generation of error vectors.
//// \item @|obj.GenerateErrorVectorsOn ()| -  Turn on/off the generation of error vectors.
//// \item @|obj.GenerateErrorVectorsOff ()| -  Turn on/off the generation of error vectors.
//// \item @|obj.SetSource (vtkPolyData source)| -  Specify the source object which is used to constrain smoothing. The 
// source defines a surface that the input (as it is smoothed) is 
// constrained to lie upon.
//// \item @|vtkPolyData = obj.GetSource ()| -  Specify the source object which is used to constrain smoothing. The 
// source defines a surface that the input (as it is smoothed) is 
// constrained to lie upon.
////\end{itemize}
//!
