#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSpatialRepresentationFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSpatialRepresentationFilter.h"

//@@Signature
//sfunction @vtkSpatialRepresentationFilter:vtkSpatialRepresentationFilter vtkSpatialRepresentationFilterConstructorFunction
//input a
//output p
//@@Parents vtkSpatialRepresentationFilter vtkPolyDataSource 
ArrayVector vtkSpatialRepresentationFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSpatialRepresentationFilter::New(),"vtkSpatialRepresentationFilter",eval);
  } else if (arg[0].className() == "vtkSpatialRepresentationFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSpatialRepresentationFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSpatialRepresentationFilter");
    vtkSpatialRepresentationFilter*q = reinterpret_cast<vtkSpatialRepresentationFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSpatialRepresentationFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSpatialRepresentationFilter:GetClassName vtkSpatialRepresentationFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSpatialRepresentationFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSpatialRepresentationFilter requires 1 argument(s)");
  vtkSpatialRepresentationFilter* vtk_pointer = GetVTKPointer<vtkSpatialRepresentationFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpatialRepresentationFilter:IsA vtkSpatialRepresentationFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSpatialRepresentationFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSpatialRepresentationFilter requires 2 argument(s)");
  vtkSpatialRepresentationFilter* vtk_pointer = GetVTKPointer<vtkSpatialRepresentationFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpatialRepresentationFilter:NewInstance vtkSpatialRepresentationFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSpatialRepresentationFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSpatialRepresentationFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSpatialRepresentationFilter requires 1 argument(s)");
  vtkSpatialRepresentationFilter* vtk_pointer = GetVTKPointer<vtkSpatialRepresentationFilter>(arg[0]);
  Array retval;
  vtkSpatialRepresentationFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSpatialRepresentationFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSpatialRepresentationFilter:SafeDownCast vtkSpatialRepresentationFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSpatialRepresentationFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSpatialRepresentationFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSpatialRepresentationFilter requires 2 argument(s)");
  vtkSpatialRepresentationFilter* vtk_pointer = GetVTKPointer<vtkSpatialRepresentationFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSpatialRepresentationFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSpatialRepresentationFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSpatialRepresentationFilter:SetSpatialRepresentation vtkSpatialRepresentationFilterSetSpatialRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkSpatialRepresentationFilterSetSpatialRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSpatialRepresentation (vtkLocator *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSpatialRepresentation for class vtkSpatialRepresentationFilter requires 2 argument(s)");
  vtkSpatialRepresentationFilter* vtk_pointer = GetVTKPointer<vtkSpatialRepresentationFilter>(arg[0]);
  Array retval;
  vtkLocator  *temp0;
  temp0 = GetVTKPointer<vtkLocator>(arg[1]);
  vtk_pointer->SetSpatialRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSpatialRepresentationFilter:GetSpatialRepresentation vtkSpatialRepresentationFilterGetSpatialRepresentationFunction
//input a0 
//output y
ArrayVector vtkSpatialRepresentationFilterGetSpatialRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLocator *GetSpatialRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSpatialRepresentation for class vtkSpatialRepresentationFilter requires 1 argument(s)");
  vtkSpatialRepresentationFilter* vtk_pointer = GetVTKPointer<vtkSpatialRepresentationFilter>(arg[0]);
  Array retval;
  vtkLocator  *temp20;
  temp20 = (vtk_pointer)->GetSpatialRepresentation();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSpatialRepresentationFilter:GetLevel vtkSpatialRepresentationFilterGetLevelFunction
//input a0 
//output y
ArrayVector vtkSpatialRepresentationFilterGetLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLevel for class vtkSpatialRepresentationFilter requires 1 argument(s)");
  vtkSpatialRepresentationFilter* vtk_pointer = GetVTKPointer<vtkSpatialRepresentationFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpatialRepresentationFilter:GetOutput__1 vtkSpatialRepresentationFilterGetOutput__1Function
//input a0 a1 
//output y
ArrayVector vtkSpatialRepresentationFilterGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetOutput (int level); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__1 for class vtkSpatialRepresentationFilter requires 2 argument(s)");
  vtkSpatialRepresentationFilter* vtk_pointer = GetVTKPointer<vtkSpatialRepresentationFilter>(arg[0]);
  Array retval;
  int      temp0;
  vtkPolyData  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSpatialRepresentationFilter:GetOutput__2 vtkSpatialRepresentationFilterGetOutput__2Function
//input a0 
//output y
ArrayVector vtkSpatialRepresentationFilterGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__2 for class vtkSpatialRepresentationFilter requires 1 argument(s)");
  vtkSpatialRepresentationFilter* vtk_pointer = GetVTKPointer<vtkSpatialRepresentationFilter>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSpatialRepresentationFilter:ResetOutput vtkSpatialRepresentationFilterResetOutputFunction
//input a0 
//output none
ArrayVector vtkSpatialRepresentationFilterResetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ResetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function ResetOutput for class vtkSpatialRepresentationFilter requires 1 argument(s)");
  vtkSpatialRepresentationFilter* vtk_pointer = GetVTKPointer<vtkSpatialRepresentationFilter>(arg[0]);
  Array retval;
  vtk_pointer->ResetOutput();
  return retval;
}

//@@Signature
//sfunction @vtkSpatialRepresentationFilter:SetInput vtkSpatialRepresentationFilterSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkSpatialRepresentationFilterSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkDataSet *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkSpatialRepresentationFilter requires 2 argument(s)");
  vtkSpatialRepresentationFilter* vtk_pointer = GetVTKPointer<vtkSpatialRepresentationFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSpatialRepresentationFilter:GetInput vtkSpatialRepresentationFilterGetInputFunction
//input a0 
//output y
ArrayVector vtkSpatialRepresentationFilterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkSpatialRepresentationFilter requires 1 argument(s)");
  vtkSpatialRepresentationFilter* vtk_pointer = GetVTKPointer<vtkSpatialRepresentationFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSpatialRepresentationFilter:GetOutput vtkSpatialRepresentationFilterGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkSpatialRepresentationFilterGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkSpatialRepresentationFilterGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkSpatialRepresentationFilterGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSpatialRepresentationFilterGetOutput");
}

//@@Signature
//sfunction @vtkSpatialRepresentationFilter:display vtkSpatialRepresentationFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSpatialRepresentationFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSpatialRepresentationFilter* vtk_pointer = GetVTKPointer<vtkSpatialRepresentationFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSpatialRepresentationFilter:delete vtkSpatialRepresentationFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkSpatialRepresentationFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSpatialRepresentationFilter
//@@Section VTKGraphics
//@@Usage
// vtkSpatialRepresentationFilter generates an polygonal representation of a
// spatial search (vtkLocator) object. The representation varies depending
// upon the nature of the spatial search object. For example, the
// representation for vtkOBBTree is a collection of oriented bounding
// boxes. Ths input to this filter is a dataset of any type, and the output
// is polygonal data. You must also specify the spatial search object to
// use.
//
// Generally spatial search objects are used for collision detection and
// other geometric operations, but in this filter one or more levels of
// spatial searchers can be generated to form a geometric approximation to
// the input data. This is a form of data simplification, generally used to
// accelerate the rendering process. Or, this filter can be used as a
// debugging/ visualization aid for spatial search objects.
// 
// This filter can generate one or more output vtkPolyData corresponding to
// different levels in the spatial search tree. The output data is retrieved 
// using the GetOutput(id) method, where id ranges from 0 (root level) 
// to Level. Note that the output for level "id" is not computed unless a 
// GetOutput(id) method is issued. Thus, if you desire three levels of output 
// (say 2,4,7), you would have to invoke GetOutput(2), GetOutput(4), and 
// GetOutput(7). (Also note that the Level ivar is computed automatically 
// depending on the size and nature of the input data.) There is also 
// another GetOutput() method that takes no parameters. This method returns 
// the leafs of the spatial search tree, which may be at different levels.
//
//To create an instance of class vtkSpatialRepresentationFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkSpatialRepresentationFilter
//@]
//@@Methods
//The class vtkSpatialRepresentationFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSpatialRepresentationFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSpatialRepresentationFilter = obj.NewInstance ()|
// \item @|vtkSpatialRepresentationFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetSpatialRepresentation (vtkLocator )| -  Set/Get the locator that will be used to generate the representation.
//// \item @|vtkLocator = obj.GetSpatialRepresentation ()| -  Set/Get the locator that will be used to generate the representation.
//// \item @|int = obj.GetLevel ()| -  Get the maximum number of outputs actually available.
//// \item @|vtkPolyData = obj.GetOutput (int level)| -  A special form of the GetOutput() method that returns multiple outputs.
//// \item @|vtkPolyData = obj.GetOutput ()| -  Output of terminal nodes/leaves.
//// \item @|obj.ResetOutput ()| -  Reset requested output levels
//// \item @|obj.SetInput (vtkDataSet input)| -  Set / get the input data or filter.
//// \item @|vtkDataSet = obj.GetInput ()| -  Set / get the input data or filter.
////\end{itemize}
//!
