#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSpherePuzzle object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSpherePuzzle.h"

//@@Signature
//sfunction @vtkSpherePuzzle:vtkSpherePuzzle vtkSpherePuzzleConstructorFunction
//input a
//output p
//@@Parents vtkSpherePuzzle vtkPolyDataAlgorithm 
ArrayVector vtkSpherePuzzleConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSpherePuzzle::New(),"vtkSpherePuzzle",eval);
  } else if (arg[0].className() == "vtkSpherePuzzle") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSpherePuzzle"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSpherePuzzle");
    vtkSpherePuzzle*q = reinterpret_cast<vtkSpherePuzzle*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSpherePuzzle");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSpherePuzzle:GetClassName vtkSpherePuzzleGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSpherePuzzleGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSpherePuzzle requires 1 argument(s)");
  vtkSpherePuzzle* vtk_pointer = GetVTKPointer<vtkSpherePuzzle>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpherePuzzle:IsA vtkSpherePuzzleIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSpherePuzzleIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSpherePuzzle requires 2 argument(s)");
  vtkSpherePuzzle* vtk_pointer = GetVTKPointer<vtkSpherePuzzle>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpherePuzzle:NewInstance vtkSpherePuzzleNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSpherePuzzleNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSpherePuzzle *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSpherePuzzle requires 1 argument(s)");
  vtkSpherePuzzle* vtk_pointer = GetVTKPointer<vtkSpherePuzzle>(arg[0]);
  Array retval;
  vtkSpherePuzzle  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSpherePuzzle",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSpherePuzzle:SafeDownCast vtkSpherePuzzleSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSpherePuzzleSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSpherePuzzle *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSpherePuzzle requires 2 argument(s)");
  vtkSpherePuzzle* vtk_pointer = GetVTKPointer<vtkSpherePuzzle>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSpherePuzzle  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSpherePuzzle",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSpherePuzzle:Reset vtkSpherePuzzleResetFunction
//input a0 
//output none
ArrayVector vtkSpherePuzzleResetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Reset (); */
  if (arg.size() < 1) 
    throw Exception("Function Reset for class vtkSpherePuzzle requires 1 argument(s)");
  vtkSpherePuzzle* vtk_pointer = GetVTKPointer<vtkSpherePuzzle>(arg[0]);
  Array retval;
  vtk_pointer->Reset();
  return retval;
}

//@@Signature
//sfunction @vtkSpherePuzzle:MoveHorizontal vtkSpherePuzzleMoveHorizontalFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkSpherePuzzleMoveHorizontalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MoveHorizontal (int section, int percentage, int rightFlag); */
  if (arg.size() < 4) 
    throw Exception("Function MoveHorizontal for class vtkSpherePuzzle requires 4 argument(s)");
  vtkSpherePuzzle* vtk_pointer = GetVTKPointer<vtkSpherePuzzle>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->MoveHorizontal(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkSpherePuzzle:MoveVertical vtkSpherePuzzleMoveVerticalFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkSpherePuzzleMoveVerticalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MoveVertical (int section, int percentage, int rightFlag); */
  if (arg.size() < 4) 
    throw Exception("Function MoveVertical for class vtkSpherePuzzle requires 4 argument(s)");
  vtkSpherePuzzle* vtk_pointer = GetVTKPointer<vtkSpherePuzzle>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->MoveVertical(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkSpherePuzzle:SetPoint vtkSpherePuzzleSetPointFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkSpherePuzzleSetPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SetPoint (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetPoint for class vtkSpherePuzzle requires 4 argument(s)");
  vtkSpherePuzzle* vtk_pointer = GetVTKPointer<vtkSpherePuzzle>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  temp20 = (vtk_pointer)->SetPoint(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpherePuzzle:MovePoint vtkSpherePuzzleMovePointFunction
//input a0 a1 
//output none
ArrayVector vtkSpherePuzzleMovePointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MovePoint (int percentage); */
  if (arg.size() < 2) 
    throw Exception("Function MovePoint for class vtkSpherePuzzle requires 2 argument(s)");
  vtkSpherePuzzle* vtk_pointer = GetVTKPointer<vtkSpherePuzzle>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->MovePoint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSpherePuzzle:display vtkSpherePuzzleDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSpherePuzzleDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSpherePuzzle* vtk_pointer = GetVTKPointer<vtkSpherePuzzle>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSpherePuzzle:delete vtkSpherePuzzleDeleteFunction
//input varargin
//output none
ArrayVector vtkSpherePuzzleDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSpherePuzzle
//@@Section VTKGraphics
//@@Usage
// vtkSpherePuzzle creates 
//
//To create an instance of class vtkSpherePuzzle, simply
//invoke its constructor as follows
//@[
//  obj = vtkSpherePuzzle
//@]
//@@Methods
//The class vtkSpherePuzzle has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSpherePuzzle class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSpherePuzzle = obj.NewInstance ()|
// \item @|vtkSpherePuzzle = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Reset ()| -  Reset the state of this puzzle back to its original state.
//// \item @|obj.MoveHorizontal (int section, int percentage, int rightFlag)| -  Move the top/bottom half one segment either direction.
//// \item @|obj.MoveVertical (int section, int percentage, int rightFlag)| -  Rotate vertical half of sphere along one of the longitude lines.
//// \item @|int = obj.SetPoint (double x, double y, double z)| -  SetPoint will be called as the mouse moves over the screen.
// The output will change to indicate the pending move.
// SetPoint returns zero if move is not activated by point.
// Otherwise it encodes the move into a unique integer so that
// the caller can determine if the move state has changed.
// This will answer the question, "Should I render."
//// \item @|obj.MovePoint (int percentage)| -  Move actually implements the pending move. When percentage
// is 100, the pending move becomes inactive, and SetPoint
// will have to be called again to setup another move.
////\end{itemize}
//!
