#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSpherePuzzleArrows object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSpherePuzzleArrows.h"

//@@Signature
//sfunction @vtkSpherePuzzleArrows:vtkSpherePuzzleArrows vtkSpherePuzzleArrowsConstructorFunction
//input a
//output p
//@@Parents vtkSpherePuzzleArrows vtkPolyDataAlgorithm 
ArrayVector vtkSpherePuzzleArrowsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSpherePuzzleArrows::New(),"vtkSpherePuzzleArrows",eval);
  } else if (arg[0].className() == "vtkSpherePuzzleArrows") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSpherePuzzleArrows"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSpherePuzzleArrows");
    vtkSpherePuzzleArrows*q = reinterpret_cast<vtkSpherePuzzleArrows*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSpherePuzzleArrows");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSpherePuzzleArrows:GetClassName vtkSpherePuzzleArrowsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSpherePuzzleArrowsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSpherePuzzleArrows requires 1 argument(s)");
  vtkSpherePuzzleArrows* vtk_pointer = GetVTKPointer<vtkSpherePuzzleArrows>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpherePuzzleArrows:IsA vtkSpherePuzzleArrowsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSpherePuzzleArrowsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSpherePuzzleArrows requires 2 argument(s)");
  vtkSpherePuzzleArrows* vtk_pointer = GetVTKPointer<vtkSpherePuzzleArrows>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpherePuzzleArrows:NewInstance vtkSpherePuzzleArrowsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSpherePuzzleArrowsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSpherePuzzleArrows *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSpherePuzzleArrows requires 1 argument(s)");
  vtkSpherePuzzleArrows* vtk_pointer = GetVTKPointer<vtkSpherePuzzleArrows>(arg[0]);
  Array retval;
  vtkSpherePuzzleArrows  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSpherePuzzleArrows",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSpherePuzzleArrows:SafeDownCast vtkSpherePuzzleArrowsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSpherePuzzleArrowsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSpherePuzzleArrows *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSpherePuzzleArrows requires 2 argument(s)");
  vtkSpherePuzzleArrows* vtk_pointer = GetVTKPointer<vtkSpherePuzzleArrows>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSpherePuzzleArrows  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSpherePuzzleArrows",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSpherePuzzleArrows:SetPermutation__1 vtkSpherePuzzleArrowsSetPermutation__1Function
//input a0 a1 
//output none
ArrayVector vtkSpherePuzzleArrowsSetPermutation__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPermutation (int  [32]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPermutation__1 for class vtkSpherePuzzleArrows requires 2 argument(s)");
  vtkSpherePuzzleArrows* vtk_pointer = GetVTKPointer<vtkSpherePuzzleArrows>(arg[0]);
  Array retval;
  int    temp0[32];
  if ( !(arg[1].isVector() && arg[1].length() == 32) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetPermutation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSpherePuzzleArrows:GetPermutation vtkSpherePuzzleArrowsGetPermutationFunction
//input a0 
//output y
ArrayVector vtkSpherePuzzleArrowsGetPermutationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetPermutation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPermutation for class vtkSpherePuzzleArrows requires 1 argument(s)");
  vtkSpherePuzzleArrows* vtk_pointer = GetVTKPointer<vtkSpherePuzzleArrows>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetPermutation();
  BasicArray<double> tempResult(NTuple(32,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  tempResult[7] = (double)temp20[6];
  tempResult[8] = (double)temp20[7];
  tempResult[9] = (double)temp20[8];
  tempResult[10] = (double)temp20[9];
  tempResult[11] = (double)temp20[10];
  tempResult[12] = (double)temp20[11];
  tempResult[13] = (double)temp20[12];
  tempResult[14] = (double)temp20[13];
  tempResult[15] = (double)temp20[14];
  tempResult[16] = (double)temp20[15];
  tempResult[17] = (double)temp20[16];
  tempResult[18] = (double)temp20[17];
  tempResult[19] = (double)temp20[18];
  tempResult[20] = (double)temp20[19];
  tempResult[21] = (double)temp20[20];
  tempResult[22] = (double)temp20[21];
  tempResult[23] = (double)temp20[22];
  tempResult[24] = (double)temp20[23];
  tempResult[25] = (double)temp20[24];
  tempResult[26] = (double)temp20[25];
  tempResult[27] = (double)temp20[26];
  tempResult[28] = (double)temp20[27];
  tempResult[29] = (double)temp20[28];
  tempResult[30] = (double)temp20[29];
  tempResult[31] = (double)temp20[30];
  tempResult[32] = (double)temp20[31];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkSpherePuzzleArrows:SetPermutationComponent vtkSpherePuzzleArrowsSetPermutationComponentFunction
//input a0 a1 a2 
//output none
ArrayVector vtkSpherePuzzleArrowsSetPermutationComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPermutationComponent (int comp, int val); */
  if (arg.size() < 3) 
    throw Exception("Function SetPermutationComponent for class vtkSpherePuzzleArrows requires 3 argument(s)");
  vtkSpherePuzzleArrows* vtk_pointer = GetVTKPointer<vtkSpherePuzzleArrows>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetPermutationComponent(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSpherePuzzleArrows:SetPermutation__2 vtkSpherePuzzleArrowsSetPermutation__2Function
//input a0 a1 
//output none
ArrayVector vtkSpherePuzzleArrowsSetPermutation__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPermutation (vtkSpherePuzzle *puz); */
  if (arg.size() < 2) 
    throw Exception("Function SetPermutation__2 for class vtkSpherePuzzleArrows requires 2 argument(s)");
  vtkSpherePuzzleArrows* vtk_pointer = GetVTKPointer<vtkSpherePuzzleArrows>(arg[0]);
  Array retval;
  vtkSpherePuzzle  *temp0;
  temp0 = GetVTKPointer<vtkSpherePuzzle>(arg[1]);
  vtk_pointer->SetPermutation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSpherePuzzleArrows:SetPermutation vtkSpherePuzzleArrowsSetPermutationFunction
//input varargin
//output varargout
ArrayVector vtkSpherePuzzleArrowsSetPermutationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkSpherePuzzleArrowsSetPermutation__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkSpherePuzzle"))
    return vtkSpherePuzzleArrowsSetPermutation__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSpherePuzzleArrowsSetPermutation");
}

//@@Signature
//sfunction @vtkSpherePuzzleArrows:display vtkSpherePuzzleArrowsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSpherePuzzleArrowsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSpherePuzzleArrows* vtk_pointer = GetVTKPointer<vtkSpherePuzzleArrows>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSpherePuzzleArrows:delete vtkSpherePuzzleArrowsDeleteFunction
//input varargin
//output none
ArrayVector vtkSpherePuzzleArrowsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSpherePuzzleArrows
//@@Section VTKGraphics
//@@Usage
// vtkSpherePuzzleArrows creates 
//
//To create an instance of class vtkSpherePuzzleArrows, simply
//invoke its constructor as follows
//@[
//  obj = vtkSpherePuzzleArrows
//@]
//@@Methods
//The class vtkSpherePuzzleArrows has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSpherePuzzleArrows class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSpherePuzzleArrows = obj.NewInstance ()|
// \item @|vtkSpherePuzzleArrows = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPermutation (int  [32])| -  Permutation is an array of puzzle piece ids.
// Arrows will be generated for any id that does not contain itself.
// Permutation[3] = 3 will produce no arrow.
// Permutation[3] = 10 will draw an arrow from location 3 to 10.
//// \item @|int = obj. GetPermutation ()| -  Permutation is an array of puzzle piece ids.
// Arrows will be generated for any id that does not contain itself.
// Permutation[3] = 3 will produce no arrow.
// Permutation[3] = 10 will draw an arrow from location 3 to 10.
//// \item @|obj.SetPermutationComponent (int comp, int val)| -  Permutation is an array of puzzle piece ids.
// Arrows will be generated for any id that does not contain itself.
// Permutation[3] = 3 will produce no arrow.
// Permutation[3] = 10 will draw an arrow from location 3 to 10.
//// \item @|obj.SetPermutation (vtkSpherePuzzle puz)| -  Permutation is an array of puzzle piece ids.
// Arrows will be generated for any id that does not contain itself.
// Permutation[3] = 3 will produce no arrow.
// Permutation[3] = 10 will draw an arrow from location 3 to 10.
////\end{itemize}
//!
