#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSphereSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSphereSource.h"

//@@Signature
//sfunction @vtkSphereSource:vtkSphereSource vtkSphereSourceConstructorFunction
//input a
//output p
//@@Parents vtkSphereSource vtkPolyDataAlgorithm 
ArrayVector vtkSphereSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSphereSource::New(),"vtkSphereSource",eval);
  } else if (arg[0].className() == "vtkSphereSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSphereSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSphereSource");
    vtkSphereSource*q = reinterpret_cast<vtkSphereSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSphereSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSphereSource:GetClassName vtkSphereSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSphereSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSphereSource requires 1 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:IsA vtkSphereSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSphereSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSphereSource requires 2 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:NewInstance vtkSphereSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSphereSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSphereSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSphereSource requires 1 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  vtkSphereSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSphereSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:SafeDownCast vtkSphereSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSphereSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSphereSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSphereSource requires 2 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSphereSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSphereSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:SetRadius vtkSphereSourceSetRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkSphereSourceSetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRadius for class vtkSphereSource requires 2 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:GetRadiusMinValue vtkSphereSourceGetRadiusMinValueFunction
//input a0 
//output y
ArrayVector vtkSphereSourceGetRadiusMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadiusMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadiusMinValue for class vtkSphereSource requires 1 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadiusMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:GetRadiusMaxValue vtkSphereSourceGetRadiusMaxValueFunction
//input a0 
//output y
ArrayVector vtkSphereSourceGetRadiusMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadiusMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadiusMaxValue for class vtkSphereSource requires 1 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadiusMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:GetRadius vtkSphereSourceGetRadiusFunction
//input a0 
//output y
ArrayVector vtkSphereSourceGetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadius for class vtkSphereSource requires 1 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:SetCenter__1 vtkSphereSourceSetCenter__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkSphereSourceSetCenter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetCenter__1 for class vtkSphereSource requires 4 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCenter(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:SetCenter__2 vtkSphereSourceSetCenter__2Function
//input a0 a1 
//output none
ArrayVector vtkSphereSourceSetCenter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCenter__2 for class vtkSphereSource requires 2 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:GetCenter vtkSphereSourceGetCenterFunction
//input a0 
//output y
ArrayVector vtkSphereSourceGetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCenter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenter for class vtkSphereSource requires 1 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCenter();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:SetThetaResolution vtkSphereSourceSetThetaResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkSphereSourceSetThetaResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetThetaResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetThetaResolution for class vtkSphereSource requires 2 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetThetaResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:GetThetaResolutionMinValue vtkSphereSourceGetThetaResolutionMinValueFunction
//input a0 
//output y
ArrayVector vtkSphereSourceGetThetaResolutionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetThetaResolutionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetThetaResolutionMinValue for class vtkSphereSource requires 1 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetThetaResolutionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:GetThetaResolutionMaxValue vtkSphereSourceGetThetaResolutionMaxValueFunction
//input a0 
//output y
ArrayVector vtkSphereSourceGetThetaResolutionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetThetaResolutionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetThetaResolutionMaxValue for class vtkSphereSource requires 1 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetThetaResolutionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:GetThetaResolution vtkSphereSourceGetThetaResolutionFunction
//input a0 
//output y
ArrayVector vtkSphereSourceGetThetaResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetThetaResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetThetaResolution for class vtkSphereSource requires 1 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetThetaResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:SetPhiResolution vtkSphereSourceSetPhiResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkSphereSourceSetPhiResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPhiResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPhiResolution for class vtkSphereSource requires 2 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPhiResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:GetPhiResolutionMinValue vtkSphereSourceGetPhiResolutionMinValueFunction
//input a0 
//output y
ArrayVector vtkSphereSourceGetPhiResolutionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPhiResolutionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPhiResolutionMinValue for class vtkSphereSource requires 1 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPhiResolutionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:GetPhiResolutionMaxValue vtkSphereSourceGetPhiResolutionMaxValueFunction
//input a0 
//output y
ArrayVector vtkSphereSourceGetPhiResolutionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPhiResolutionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPhiResolutionMaxValue for class vtkSphereSource requires 1 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPhiResolutionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:GetPhiResolution vtkSphereSourceGetPhiResolutionFunction
//input a0 
//output y
ArrayVector vtkSphereSourceGetPhiResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPhiResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPhiResolution for class vtkSphereSource requires 1 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPhiResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:SetStartTheta vtkSphereSourceSetStartThetaFunction
//input a0 a1 
//output none
ArrayVector vtkSphereSourceSetStartThetaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStartTheta (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetStartTheta for class vtkSphereSource requires 2 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetStartTheta(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:GetStartThetaMinValue vtkSphereSourceGetStartThetaMinValueFunction
//input a0 
//output y
ArrayVector vtkSphereSourceGetStartThetaMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetStartThetaMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStartThetaMinValue for class vtkSphereSource requires 1 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetStartThetaMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:GetStartThetaMaxValue vtkSphereSourceGetStartThetaMaxValueFunction
//input a0 
//output y
ArrayVector vtkSphereSourceGetStartThetaMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetStartThetaMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStartThetaMaxValue for class vtkSphereSource requires 1 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetStartThetaMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:GetStartTheta vtkSphereSourceGetStartThetaFunction
//input a0 
//output y
ArrayVector vtkSphereSourceGetStartThetaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetStartTheta (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStartTheta for class vtkSphereSource requires 1 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetStartTheta();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:SetEndTheta vtkSphereSourceSetEndThetaFunction
//input a0 a1 
//output none
ArrayVector vtkSphereSourceSetEndThetaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEndTheta (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEndTheta for class vtkSphereSource requires 2 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetEndTheta(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:GetEndThetaMinValue vtkSphereSourceGetEndThetaMinValueFunction
//input a0 
//output y
ArrayVector vtkSphereSourceGetEndThetaMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEndThetaMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEndThetaMinValue for class vtkSphereSource requires 1 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEndThetaMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:GetEndThetaMaxValue vtkSphereSourceGetEndThetaMaxValueFunction
//input a0 
//output y
ArrayVector vtkSphereSourceGetEndThetaMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEndThetaMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEndThetaMaxValue for class vtkSphereSource requires 1 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEndThetaMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:GetEndTheta vtkSphereSourceGetEndThetaFunction
//input a0 
//output y
ArrayVector vtkSphereSourceGetEndThetaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEndTheta (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEndTheta for class vtkSphereSource requires 1 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEndTheta();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:SetStartPhi vtkSphereSourceSetStartPhiFunction
//input a0 a1 
//output none
ArrayVector vtkSphereSourceSetStartPhiFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStartPhi (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetStartPhi for class vtkSphereSource requires 2 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetStartPhi(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:GetStartPhiMinValue vtkSphereSourceGetStartPhiMinValueFunction
//input a0 
//output y
ArrayVector vtkSphereSourceGetStartPhiMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetStartPhiMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStartPhiMinValue for class vtkSphereSource requires 1 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetStartPhiMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:GetStartPhiMaxValue vtkSphereSourceGetStartPhiMaxValueFunction
//input a0 
//output y
ArrayVector vtkSphereSourceGetStartPhiMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetStartPhiMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStartPhiMaxValue for class vtkSphereSource requires 1 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetStartPhiMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:GetStartPhi vtkSphereSourceGetStartPhiFunction
//input a0 
//output y
ArrayVector vtkSphereSourceGetStartPhiFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetStartPhi (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStartPhi for class vtkSphereSource requires 1 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetStartPhi();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:SetEndPhi vtkSphereSourceSetEndPhiFunction
//input a0 a1 
//output none
ArrayVector vtkSphereSourceSetEndPhiFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEndPhi (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEndPhi for class vtkSphereSource requires 2 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetEndPhi(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:GetEndPhiMinValue vtkSphereSourceGetEndPhiMinValueFunction
//input a0 
//output y
ArrayVector vtkSphereSourceGetEndPhiMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEndPhiMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEndPhiMinValue for class vtkSphereSource requires 1 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEndPhiMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:GetEndPhiMaxValue vtkSphereSourceGetEndPhiMaxValueFunction
//input a0 
//output y
ArrayVector vtkSphereSourceGetEndPhiMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEndPhiMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEndPhiMaxValue for class vtkSphereSource requires 1 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEndPhiMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:GetEndPhi vtkSphereSourceGetEndPhiFunction
//input a0 
//output y
ArrayVector vtkSphereSourceGetEndPhiFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEndPhi (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEndPhi for class vtkSphereSource requires 1 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEndPhi();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:SetLatLongTessellation vtkSphereSourceSetLatLongTessellationFunction
//input a0 a1 
//output none
ArrayVector vtkSphereSourceSetLatLongTessellationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLatLongTessellation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLatLongTessellation for class vtkSphereSource requires 2 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLatLongTessellation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:GetLatLongTessellation vtkSphereSourceGetLatLongTessellationFunction
//input a0 
//output y
ArrayVector vtkSphereSourceGetLatLongTessellationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLatLongTessellation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLatLongTessellation for class vtkSphereSource requires 1 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLatLongTessellation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:LatLongTessellationOn vtkSphereSourceLatLongTessellationOnFunction
//input a0 
//output none
ArrayVector vtkSphereSourceLatLongTessellationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LatLongTessellationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function LatLongTessellationOn for class vtkSphereSource requires 1 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  vtk_pointer->LatLongTessellationOn();
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:LatLongTessellationOff vtkSphereSourceLatLongTessellationOffFunction
//input a0 
//output none
ArrayVector vtkSphereSourceLatLongTessellationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LatLongTessellationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function LatLongTessellationOff for class vtkSphereSource requires 1 argument(s)");
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  Array retval;
  vtk_pointer->LatLongTessellationOff();
  return retval;
}

//@@Signature
//sfunction @vtkSphereSource:SetCenter vtkSphereSourceSetCenterFunction
//input varargin
//output varargout
ArrayVector vtkSphereSourceSetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkSphereSourceSetCenter__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkSphereSourceSetCenter__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSphereSourceSetCenter");
}

//@@Signature
//sfunction @vtkSphereSource:display vtkSphereSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSphereSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSphereSource* vtk_pointer = GetVTKPointer<vtkSphereSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSphereSource:delete vtkSphereSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkSphereSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSphereSource
//@@Section VTKGraphics
//@@Usage
// vtkSphereSource creates a sphere (represented by polygons) of specified
// radius centered at the origin. The resolution (polygonal discretization)
// in both the latitude (phi) and longitude (theta) directions can be
// specified. It also is possible to create partial spheres by specifying
// maximum phi and theta angles. By default, the surface tessellation of
// the sphere uses triangles; however you can set LatLongTessellation to
// produce a tessellation using quadrilaterals.
//
//To create an instance of class vtkSphereSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkSphereSource
//@]
//@@Methods
//The class vtkSphereSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSphereSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSphereSource = obj.NewInstance ()|
// \item @|vtkSphereSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetRadius (double )| -  Set radius of sphere. Default is .5.
//// \item @|double = obj.GetRadiusMinValue ()| -  Set radius of sphere. Default is .5.
//// \item @|double = obj.GetRadiusMaxValue ()| -  Set radius of sphere. Default is .5.
//// \item @|double = obj.GetRadius ()| -  Set radius of sphere. Default is .5.
//// \item @|obj.SetCenter (double , double , double )| -  Set the center of the sphere. Default is 0,0,0.
//// \item @|obj.SetCenter (double  a[3])| -  Set the center of the sphere. Default is 0,0,0.
//// \item @|double = obj. GetCenter ()| -  Set the center of the sphere. Default is 0,0,0.
//// \item @|obj.SetThetaResolution (int )| -  Set the number of points in the longitude direction (ranging from
// StartTheta to EndTheta).
//// \item @|int = obj.GetThetaResolutionMinValue ()| -  Set the number of points in the longitude direction (ranging from
// StartTheta to EndTheta).
//// \item @|int = obj.GetThetaResolutionMaxValue ()| -  Set the number of points in the longitude direction (ranging from
// StartTheta to EndTheta).
//// \item @|int = obj.GetThetaResolution ()| -  Set the number of points in the longitude direction (ranging from
// StartTheta to EndTheta).
//// \item @|obj.SetPhiResolution (int )| -  Set the number of points in the latitude direction (ranging
// from StartPhi to EndPhi).
//// \item @|int = obj.GetPhiResolutionMinValue ()| -  Set the number of points in the latitude direction (ranging
// from StartPhi to EndPhi).
//// \item @|int = obj.GetPhiResolutionMaxValue ()| -  Set the number of points in the latitude direction (ranging
// from StartPhi to EndPhi).
//// \item @|int = obj.GetPhiResolution ()| -  Set the number of points in the latitude direction (ranging
// from StartPhi to EndPhi).
//// \item @|obj.SetStartTheta (double )| -  Set the starting longitude angle. By default StartTheta=0 degrees.
//// \item @|double = obj.GetStartThetaMinValue ()| -  Set the starting longitude angle. By default StartTheta=0 degrees.
//// \item @|double = obj.GetStartThetaMaxValue ()| -  Set the starting longitude angle. By default StartTheta=0 degrees.
//// \item @|double = obj.GetStartTheta ()| -  Set the starting longitude angle. By default StartTheta=0 degrees.
//// \item @|obj.SetEndTheta (double )| -  Set the ending longitude angle. By default EndTheta=360 degrees.
//// \item @|double = obj.GetEndThetaMinValue ()| -  Set the ending longitude angle. By default EndTheta=360 degrees.
//// \item @|double = obj.GetEndThetaMaxValue ()| -  Set the ending longitude angle. By default EndTheta=360 degrees.
//// \item @|double = obj.GetEndTheta ()| -  Set the ending longitude angle. By default EndTheta=360 degrees.
//// \item @|obj.SetStartPhi (double )| -  Set the starting latitude angle (0 is at north pole). By default
// StartPhi=0 degrees.
//// \item @|double = obj.GetStartPhiMinValue ()| -  Set the starting latitude angle (0 is at north pole). By default
// StartPhi=0 degrees.
//// \item @|double = obj.GetStartPhiMaxValue ()| -  Set the starting latitude angle (0 is at north pole). By default
// StartPhi=0 degrees.
//// \item @|double = obj.GetStartPhi ()| -  Set the starting latitude angle (0 is at north pole). By default
// StartPhi=0 degrees.
//// \item @|obj.SetEndPhi (double )| -  Set the ending latitude angle. By default EndPhi=180 degrees.
//// \item @|double = obj.GetEndPhiMinValue ()| -  Set the ending latitude angle. By default EndPhi=180 degrees.
//// \item @|double = obj.GetEndPhiMaxValue ()| -  Set the ending latitude angle. By default EndPhi=180 degrees.
//// \item @|double = obj.GetEndPhi ()| -  Set the ending latitude angle. By default EndPhi=180 degrees.
//// \item @|obj.SetLatLongTessellation (int )| -  Cause the sphere to be tessellated with edges along the latitude
// and longitude lines. If off, triangles are generated at non-polar
// regions, which results in edges that are not parallel to latitude and
// longitude lines. If on, quadrilaterals are generated everywhere
// except at the poles. This can be useful for generating a wireframe
// sphere with natural latitude and longitude lines.
//// \item @|int = obj.GetLatLongTessellation ()| -  Cause the sphere to be tessellated with edges along the latitude
// and longitude lines. If off, triangles are generated at non-polar
// regions, which results in edges that are not parallel to latitude and
// longitude lines. If on, quadrilaterals are generated everywhere
// except at the poles. This can be useful for generating a wireframe
// sphere with natural latitude and longitude lines.
//// \item @|obj.LatLongTessellationOn ()| -  Cause the sphere to be tessellated with edges along the latitude
// and longitude lines. If off, triangles are generated at non-polar
// regions, which results in edges that are not parallel to latitude and
// longitude lines. If on, quadrilaterals are generated everywhere
// except at the poles. This can be useful for generating a wireframe
// sphere with natural latitude and longitude lines.
//// \item @|obj.LatLongTessellationOff ()| -  Cause the sphere to be tessellated with edges along the latitude
// and longitude lines. If off, triangles are generated at non-polar
// regions, which results in edges that are not parallel to latitude and
// longitude lines. If on, quadrilaterals are generated everywhere
// except at the poles. This can be useful for generating a wireframe
// sphere with natural latitude and longitude lines.
////\end{itemize}
//!
