#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSplineFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSplineFilter.h"

//@@Signature
//sfunction @vtkSplineFilter:vtkSplineFilter vtkSplineFilterConstructorFunction
//input a
//output p
//@@Parents vtkSplineFilter vtkPolyDataAlgorithm 
ArrayVector vtkSplineFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSplineFilter::New(),"vtkSplineFilter",eval);
  } else if (arg[0].className() == "vtkSplineFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSplineFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSplineFilter");
    vtkSplineFilter*q = reinterpret_cast<vtkSplineFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSplineFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSplineFilter:GetClassName vtkSplineFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSplineFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSplineFilter requires 1 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:IsA vtkSplineFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSplineFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSplineFilter requires 2 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:NewInstance vtkSplineFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSplineFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSplineFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSplineFilter requires 1 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  vtkSplineFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSplineFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:SafeDownCast vtkSplineFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSplineFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSplineFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSplineFilter requires 2 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSplineFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSplineFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:SetMaximumNumberOfSubdivisions vtkSplineFilterSetMaximumNumberOfSubdivisionsFunction
//input a0 a1 
//output none
ArrayVector vtkSplineFilterSetMaximumNumberOfSubdivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumNumberOfSubdivisions (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumNumberOfSubdivisions for class vtkSplineFilter requires 2 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximumNumberOfSubdivisions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:GetMaximumNumberOfSubdivisionsMinValue vtkSplineFilterGetMaximumNumberOfSubdivisionsMinValueFunction
//input a0 
//output y
ArrayVector vtkSplineFilterGetMaximumNumberOfSubdivisionsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumNumberOfSubdivisionsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumNumberOfSubdivisionsMinValue for class vtkSplineFilter requires 1 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumNumberOfSubdivisionsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:GetMaximumNumberOfSubdivisionsMaxValue vtkSplineFilterGetMaximumNumberOfSubdivisionsMaxValueFunction
//input a0 
//output y
ArrayVector vtkSplineFilterGetMaximumNumberOfSubdivisionsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumNumberOfSubdivisionsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumNumberOfSubdivisionsMaxValue for class vtkSplineFilter requires 1 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumNumberOfSubdivisionsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:GetMaximumNumberOfSubdivisions vtkSplineFilterGetMaximumNumberOfSubdivisionsFunction
//input a0 
//output y
ArrayVector vtkSplineFilterGetMaximumNumberOfSubdivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumNumberOfSubdivisions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumNumberOfSubdivisions for class vtkSplineFilter requires 1 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumNumberOfSubdivisions();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:SetSubdivide vtkSplineFilterSetSubdivideFunction
//input a0 a1 
//output none
ArrayVector vtkSplineFilterSetSubdivideFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSubdivide (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSubdivide for class vtkSplineFilter requires 2 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSubdivide(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:GetSubdivideMinValue vtkSplineFilterGetSubdivideMinValueFunction
//input a0 
//output y
ArrayVector vtkSplineFilterGetSubdivideMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSubdivideMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSubdivideMinValue for class vtkSplineFilter requires 1 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSubdivideMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:GetSubdivideMaxValue vtkSplineFilterGetSubdivideMaxValueFunction
//input a0 
//output y
ArrayVector vtkSplineFilterGetSubdivideMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSubdivideMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSubdivideMaxValue for class vtkSplineFilter requires 1 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSubdivideMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:GetSubdivide vtkSplineFilterGetSubdivideFunction
//input a0 
//output y
ArrayVector vtkSplineFilterGetSubdivideFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSubdivide (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSubdivide for class vtkSplineFilter requires 1 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSubdivide();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:SetSubdivideToSpecified vtkSplineFilterSetSubdivideToSpecifiedFunction
//input a0 
//output none
ArrayVector vtkSplineFilterSetSubdivideToSpecifiedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSubdivideToSpecified ();this SetSubdivide VTK_SUBDIVIDE_SPECIFIED  */
  if (arg.size() < 1) 
    throw Exception("Function SetSubdivideToSpecified for class vtkSplineFilter requires 1 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetSubdivideToSpecified();
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:SetSubdivideToLength vtkSplineFilterSetSubdivideToLengthFunction
//input a0 
//output none
ArrayVector vtkSplineFilterSetSubdivideToLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSubdivideToLength ();this SetSubdivide VTK_SUBDIVIDE_LENGTH  */
  if (arg.size() < 1) 
    throw Exception("Function SetSubdivideToLength for class vtkSplineFilter requires 1 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetSubdivideToLength();
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:GetSubdivideAsString vtkSplineFilterGetSubdivideAsStringFunction
//input a0 
//output y
ArrayVector vtkSplineFilterGetSubdivideAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetSubdivideAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSubdivideAsString for class vtkSplineFilter requires 1 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetSubdivideAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:SetNumberOfSubdivisions vtkSplineFilterSetNumberOfSubdivisionsFunction
//input a0 a1 
//output none
ArrayVector vtkSplineFilterSetNumberOfSubdivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfSubdivisions (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfSubdivisions for class vtkSplineFilter requires 2 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfSubdivisions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:GetNumberOfSubdivisionsMinValue vtkSplineFilterGetNumberOfSubdivisionsMinValueFunction
//input a0 
//output y
ArrayVector vtkSplineFilterGetNumberOfSubdivisionsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSubdivisionsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSubdivisionsMinValue for class vtkSplineFilter requires 1 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSubdivisionsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:GetNumberOfSubdivisionsMaxValue vtkSplineFilterGetNumberOfSubdivisionsMaxValueFunction
//input a0 
//output y
ArrayVector vtkSplineFilterGetNumberOfSubdivisionsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSubdivisionsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSubdivisionsMaxValue for class vtkSplineFilter requires 1 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSubdivisionsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:GetNumberOfSubdivisions vtkSplineFilterGetNumberOfSubdivisionsFunction
//input a0 
//output y
ArrayVector vtkSplineFilterGetNumberOfSubdivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSubdivisions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSubdivisions for class vtkSplineFilter requires 1 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSubdivisions();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:SetLength vtkSplineFilterSetLengthFunction
//input a0 a1 
//output none
ArrayVector vtkSplineFilterSetLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLength (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLength for class vtkSplineFilter requires 2 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:GetLengthMinValue vtkSplineFilterGetLengthMinValueFunction
//input a0 
//output y
ArrayVector vtkSplineFilterGetLengthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLengthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLengthMinValue for class vtkSplineFilter requires 1 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLengthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:GetLengthMaxValue vtkSplineFilterGetLengthMaxValueFunction
//input a0 
//output y
ArrayVector vtkSplineFilterGetLengthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLengthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLengthMaxValue for class vtkSplineFilter requires 1 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLengthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:GetLength vtkSplineFilterGetLengthFunction
//input a0 
//output y
ArrayVector vtkSplineFilterGetLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLength for class vtkSplineFilter requires 1 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:SetSpline vtkSplineFilterSetSplineFunction
//input a0 a1 
//output none
ArrayVector vtkSplineFilterSetSplineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSpline (vtkSpline *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSpline for class vtkSplineFilter requires 2 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  vtkSpline  *temp0;
  temp0 = GetVTKPointer<vtkSpline>(arg[1]);
  vtk_pointer->SetSpline(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:GetSpline vtkSplineFilterGetSplineFunction
//input a0 
//output y
ArrayVector vtkSplineFilterGetSplineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSpline *GetSpline (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSpline for class vtkSplineFilter requires 1 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  vtkSpline  *temp20;
  temp20 = (vtk_pointer)->GetSpline();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSpline",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:SetGenerateTCoords vtkSplineFilterSetGenerateTCoordsFunction
//input a0 a1 
//output none
ArrayVector vtkSplineFilterSetGenerateTCoordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateTCoords (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateTCoords for class vtkSplineFilter requires 2 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateTCoords(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:GetGenerateTCoordsMinValue vtkSplineFilterGetGenerateTCoordsMinValueFunction
//input a0 
//output y
ArrayVector vtkSplineFilterGetGenerateTCoordsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateTCoordsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateTCoordsMinValue for class vtkSplineFilter requires 1 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateTCoordsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:GetGenerateTCoordsMaxValue vtkSplineFilterGetGenerateTCoordsMaxValueFunction
//input a0 
//output y
ArrayVector vtkSplineFilterGetGenerateTCoordsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateTCoordsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateTCoordsMaxValue for class vtkSplineFilter requires 1 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateTCoordsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:GetGenerateTCoords vtkSplineFilterGetGenerateTCoordsFunction
//input a0 
//output y
ArrayVector vtkSplineFilterGetGenerateTCoordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateTCoords (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateTCoords for class vtkSplineFilter requires 1 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateTCoords();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:SetGenerateTCoordsToOff vtkSplineFilterSetGenerateTCoordsToOffFunction
//input a0 
//output none
ArrayVector vtkSplineFilterSetGenerateTCoordsToOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateTCoordsToOff ();this SetGenerateTCoords VTK_TCOORDS_OFF  */
  if (arg.size() < 1) 
    throw Exception("Function SetGenerateTCoordsToOff for class vtkSplineFilter requires 1 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetGenerateTCoordsToOff();
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:SetGenerateTCoordsToNormalizedLength vtkSplineFilterSetGenerateTCoordsToNormalizedLengthFunction
//input a0 
//output none
ArrayVector vtkSplineFilterSetGenerateTCoordsToNormalizedLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateTCoordsToNormalizedLength ();this SetGenerateTCoords VTK_TCOORDS_FROM_NORMALIZED_LENGTH  */
  if (arg.size() < 1) 
    throw Exception("Function SetGenerateTCoordsToNormalizedLength for class vtkSplineFilter requires 1 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetGenerateTCoordsToNormalizedLength();
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:SetGenerateTCoordsToUseLength vtkSplineFilterSetGenerateTCoordsToUseLengthFunction
//input a0 
//output none
ArrayVector vtkSplineFilterSetGenerateTCoordsToUseLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateTCoordsToUseLength ();this SetGenerateTCoords VTK_TCOORDS_FROM_LENGTH  */
  if (arg.size() < 1) 
    throw Exception("Function SetGenerateTCoordsToUseLength for class vtkSplineFilter requires 1 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetGenerateTCoordsToUseLength();
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:SetGenerateTCoordsToUseScalars vtkSplineFilterSetGenerateTCoordsToUseScalarsFunction
//input a0 
//output none
ArrayVector vtkSplineFilterSetGenerateTCoordsToUseScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateTCoordsToUseScalars ();this SetGenerateTCoords VTK_TCOORDS_FROM_SCALARS  */
  if (arg.size() < 1) 
    throw Exception("Function SetGenerateTCoordsToUseScalars for class vtkSplineFilter requires 1 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetGenerateTCoordsToUseScalars();
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:GetGenerateTCoordsAsString vtkSplineFilterGetGenerateTCoordsAsStringFunction
//input a0 
//output y
ArrayVector vtkSplineFilterGetGenerateTCoordsAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetGenerateTCoordsAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateTCoordsAsString for class vtkSplineFilter requires 1 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetGenerateTCoordsAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:SetTextureLength vtkSplineFilterSetTextureLengthFunction
//input a0 a1 
//output none
ArrayVector vtkSplineFilterSetTextureLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTextureLength (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextureLength for class vtkSplineFilter requires 2 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTextureLength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:GetTextureLengthMinValue vtkSplineFilterGetTextureLengthMinValueFunction
//input a0 
//output y
ArrayVector vtkSplineFilterGetTextureLengthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTextureLengthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureLengthMinValue for class vtkSplineFilter requires 1 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTextureLengthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:GetTextureLengthMaxValue vtkSplineFilterGetTextureLengthMaxValueFunction
//input a0 
//output y
ArrayVector vtkSplineFilterGetTextureLengthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTextureLengthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureLengthMaxValue for class vtkSplineFilter requires 1 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTextureLengthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:GetTextureLength vtkSplineFilterGetTextureLengthFunction
//input a0 
//output y
ArrayVector vtkSplineFilterGetTextureLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTextureLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureLength for class vtkSplineFilter requires 1 argument(s)");
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTextureLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineFilter:display vtkSplineFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSplineFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSplineFilter* vtk_pointer = GetVTKPointer<vtkSplineFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSplineFilter:delete vtkSplineFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkSplineFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSplineFilter
//@@Section VTKGraphics
//@@Usage
// vtkSplineFilter is a filter that generates an output polylines from an
// input set of polylines. The polylines are uniformly subdivided and produced
// with the help of a vtkSpline class that the user can specify (by default a
// vtkCardinalSpline is used). The number of subdivisions of the line can be
// controlled in several ways. The user can either specify the number of
// subdivisions or a length of each subdivision can be provided (and the
// class will figure out how many subdivisions is required over the whole
// polyline). The maximum number of subdivisions can also be set.
//
// The output of this filter is a polyline per input polyline (or line). New
// points and texture coordinates are created. Point data is interpolated and
// cell data passed on. Any polylines with less than two points, or who have
// coincident points, are ignored.
//
//To create an instance of class vtkSplineFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkSplineFilter
//@]
//@@Methods
//The class vtkSplineFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSplineFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSplineFilter = obj.NewInstance ()|
// \item @|vtkSplineFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetMaximumNumberOfSubdivisions (int )| -  Set the maximum number of subdivisions that are created for each
// polyline.
//// \item @|int = obj.GetMaximumNumberOfSubdivisionsMinValue ()| -  Set the maximum number of subdivisions that are created for each
// polyline.
//// \item @|int = obj.GetMaximumNumberOfSubdivisionsMaxValue ()| -  Set the maximum number of subdivisions that are created for each
// polyline.
//// \item @|int = obj.GetMaximumNumberOfSubdivisions ()| -  Set the maximum number of subdivisions that are created for each
// polyline.
//// \item @|obj.SetSubdivide (int )| -  Specify how the number of subdivisions is determined.
//// \item @|int = obj.GetSubdivideMinValue ()| -  Specify how the number of subdivisions is determined.
//// \item @|int = obj.GetSubdivideMaxValue ()| -  Specify how the number of subdivisions is determined.
//// \item @|int = obj.GetSubdivide ()| -  Specify how the number of subdivisions is determined.
//// \item @|obj.SetSubdivideToSpecified ()| -  Specify how the number of subdivisions is determined.
//// \item @|obj.SetSubdivideToLength ()| -  Specify how the number of subdivisions is determined.
//// \item @|string = obj.GetSubdivideAsString ()| -  Specify how the number of subdivisions is determined.
//// \item @|obj.SetNumberOfSubdivisions (int )| -  Set the number of subdivisions that are created for the
// polyline. This method only has effect if Subdivisions is set
// to SetSubdivisionsToSpecify().
//// \item @|int = obj.GetNumberOfSubdivisionsMinValue ()| -  Set the number of subdivisions that are created for the
// polyline. This method only has effect if Subdivisions is set
// to SetSubdivisionsToSpecify().
//// \item @|int = obj.GetNumberOfSubdivisionsMaxValue ()| -  Set the number of subdivisions that are created for the
// polyline. This method only has effect if Subdivisions is set
// to SetSubdivisionsToSpecify().
//// \item @|int = obj.GetNumberOfSubdivisions ()| -  Set the number of subdivisions that are created for the
// polyline. This method only has effect if Subdivisions is set
// to SetSubdivisionsToSpecify().
//// \item @|obj.SetLength (double )| -  Control the number of subdivisions that are created for the
// polyline based on an absolute length. The length of the spline
// is divided by this length to determine the number of subdivisions.
//// \item @|double = obj.GetLengthMinValue ()| -  Control the number of subdivisions that are created for the
// polyline based on an absolute length. The length of the spline
// is divided by this length to determine the number of subdivisions.
//// \item @|double = obj.GetLengthMaxValue ()| -  Control the number of subdivisions that are created for the
// polyline based on an absolute length. The length of the spline
// is divided by this length to determine the number of subdivisions.
//// \item @|double = obj.GetLength ()| -  Control the number of subdivisions that are created for the
// polyline based on an absolute length. The length of the spline
// is divided by this length to determine the number of subdivisions.
//// \item @|obj.SetSpline (vtkSpline )| -  Specify an instance of vtkSpline to use to perform the interpolation.
//// \item @|vtkSpline = obj.GetSpline ()| -  Specify an instance of vtkSpline to use to perform the interpolation.
//// \item @|obj.SetGenerateTCoords (int )| -  Control whether and how texture coordinates are produced. This is
// useful for striping the output polyline. The texture coordinates
// can be generated in three ways: a normalized (0,1) generation;
// based on the length (divided by the texture length); and by using
// the input scalar values.
//// \item @|int = obj.GetGenerateTCoordsMinValue ()| -  Control whether and how texture coordinates are produced. This is
// useful for striping the output polyline. The texture coordinates
// can be generated in three ways: a normalized (0,1) generation;
// based on the length (divided by the texture length); and by using
// the input scalar values.
//// \item @|int = obj.GetGenerateTCoordsMaxValue ()| -  Control whether and how texture coordinates are produced. This is
// useful for striping the output polyline. The texture coordinates
// can be generated in three ways: a normalized (0,1) generation;
// based on the length (divided by the texture length); and by using
// the input scalar values.
//// \item @|int = obj.GetGenerateTCoords ()| -  Control whether and how texture coordinates are produced. This is
// useful for striping the output polyline. The texture coordinates
// can be generated in three ways: a normalized (0,1) generation;
// based on the length (divided by the texture length); and by using
// the input scalar values.
//// \item @|obj.SetGenerateTCoordsToOff ()| -  Control whether and how texture coordinates are produced. This is
// useful for striping the output polyline. The texture coordinates
// can be generated in three ways: a normalized (0,1) generation;
// based on the length (divided by the texture length); and by using
// the input scalar values.
//// \item @|obj.SetGenerateTCoordsToNormalizedLength ()| -  Control whether and how texture coordinates are produced. This is
// useful for striping the output polyline. The texture coordinates
// can be generated in three ways: a normalized (0,1) generation;
// based on the length (divided by the texture length); and by using
// the input scalar values.
//// \item @|obj.SetGenerateTCoordsToUseLength ()| -  Control whether and how texture coordinates are produced. This is
// useful for striping the output polyline. The texture coordinates
// can be generated in three ways: a normalized (0,1) generation;
// based on the length (divided by the texture length); and by using
// the input scalar values.
//// \item @|obj.SetGenerateTCoordsToUseScalars ()| -  Control whether and how texture coordinates are produced. This is
// useful for striping the output polyline. The texture coordinates
// can be generated in three ways: a normalized (0,1) generation;
// based on the length (divided by the texture length); and by using
// the input scalar values.
//// \item @|string = obj.GetGenerateTCoordsAsString ()| -  Control whether and how texture coordinates are produced. This is
// useful for striping the output polyline. The texture coordinates
// can be generated in three ways: a normalized (0,1) generation;
// based on the length (divided by the texture length); and by using
// the input scalar values.
//// \item @|obj.SetTextureLength (double )| -  Control the conversion of units during the texture coordinates
// calculation. The TextureLength indicates what length (whether 
// calculated from scalars or length) is mapped to the [0,1)
// texture space.
//// \item @|double = obj.GetTextureLengthMinValue ()| -  Control the conversion of units during the texture coordinates
// calculation. The TextureLength indicates what length (whether 
// calculated from scalars or length) is mapped to the [0,1)
// texture space.
//// \item @|double = obj.GetTextureLengthMaxValue ()| -  Control the conversion of units during the texture coordinates
// calculation. The TextureLength indicates what length (whether 
// calculated from scalars or length) is mapped to the [0,1)
// texture space.
//// \item @|double = obj.GetTextureLength ()| -  Control the conversion of units during the texture coordinates
// calculation. The TextureLength indicates what length (whether 
// calculated from scalars or length) is mapped to the [0,1)
// texture space.
////\end{itemize}
//!
