#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSplitField object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSplitField.h"

//@@Signature
//sfunction @vtkSplitField:vtkSplitField vtkSplitFieldConstructorFunction
//input a
//output p
//@@Parents vtkSplitField vtkDataSetAlgorithm 
ArrayVector vtkSplitFieldConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSplitField::New(),"vtkSplitField",eval);
  } else if (arg[0].className() == "vtkSplitField") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSplitField"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSplitField");
    vtkSplitField*q = reinterpret_cast<vtkSplitField*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSplitField");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSplitField:GetClassName vtkSplitFieldGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSplitFieldGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSplitField requires 1 argument(s)");
  vtkSplitField* vtk_pointer = GetVTKPointer<vtkSplitField>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplitField:IsA vtkSplitFieldIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSplitFieldIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSplitField requires 2 argument(s)");
  vtkSplitField* vtk_pointer = GetVTKPointer<vtkSplitField>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplitField:NewInstance vtkSplitFieldNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSplitFieldNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSplitField *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSplitField requires 1 argument(s)");
  vtkSplitField* vtk_pointer = GetVTKPointer<vtkSplitField>(arg[0]);
  Array retval;
  vtkSplitField  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSplitField",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSplitField:SafeDownCast vtkSplitFieldSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSplitFieldSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSplitField *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSplitField requires 2 argument(s)");
  vtkSplitField* vtk_pointer = GetVTKPointer<vtkSplitField>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSplitField  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSplitField",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSplitField:SetInputField__1 vtkSplitFieldSetInputField__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkSplitFieldSetInputField__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputField (int attributeType, int fieldLoc); */
  if (arg.size() < 3) 
    throw Exception("Function SetInputField__1 for class vtkSplitField requires 3 argument(s)");
  vtkSplitField* vtk_pointer = GetVTKPointer<vtkSplitField>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetInputField(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSplitField:SetInputField__2 vtkSplitFieldSetInputField__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkSplitFieldSetInputField__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputField (const char *name, int fieldLoc); */
  if (arg.size() < 3) 
    throw Exception("Function SetInputField__2 for class vtkSplitField requires 3 argument(s)");
  vtkSplitField* vtk_pointer = GetVTKPointer<vtkSplitField>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetInputField(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSplitField:SetInputField__3 vtkSplitFieldSetInputField__3Function
//input a0 a1 a2 
//output none
ArrayVector vtkSplitFieldSetInputField__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputField (const char *name, const char *fieldLoc); */
  if (arg.size() < 3) 
    throw Exception("Function SetInputField__3 for class vtkSplitField requires 3 argument(s)");
  vtkSplitField* vtk_pointer = GetVTKPointer<vtkSplitField>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->SetInputField(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSplitField:Split vtkSplitFieldSplitFunction
//input a0 a1 a2 
//output none
ArrayVector vtkSplitFieldSplitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Split (int component, const char *arrayName); */
  if (arg.size() < 3) 
    throw Exception("Function Split for class vtkSplitField requires 3 argument(s)");
  vtkSplitField* vtk_pointer = GetVTKPointer<vtkSplitField>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->Split(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSplitField:SetInputField vtkSplitFieldSetInputFieldFunction
//input varargin
//output varargout
ArrayVector vtkSplitFieldSetInputFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkSplitFieldSetInputField__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkSplitFieldSetInputField__2Function(nargout,arg,eval);
  if ((arg.size() == 3))
    return vtkSplitFieldSetInputField__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSplitFieldSetInputField");
}

//@@Signature
//sfunction @vtkSplitField:display vtkSplitFieldDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSplitFieldDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSplitField* vtk_pointer = GetVTKPointer<vtkSplitField>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSplitField:delete vtkSplitFieldDeleteFunction
//input varargin
//output none
ArrayVector vtkSplitFieldDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSplitField
//@@Section VTKGraphics
//@@Usage
// vtkSplitField is used to split a multi-component field (vtkDataArray)
// into multiple single component fields. The new fields are put in
// the same field data as the original field. The output arrays
// are of the same type as the input array. Example:
// @verbatim
// sf->SetInputField("gradient", vtkSplitField::POINT_DATA);
// sf->Split(0, "firstcomponent");
// @endverbatim
// tells vtkSplitField to extract the first component of the field
// called gradient and create an array called firstcomponent (the
// new field will be in the output's point data).
// The same can be done from Tcl:
// @verbatim
// sf SetInputField gradient POINT_DATA
// sf Split 0 firstcomponent
//
// AttributeTypes: SCALARS, VECTORS, NORMALS, TCOORDS, TENSORS
// Field locations: DATA_OBJECT, POINT_DATA, CELL_DATA
// @endverbatim
// Note that, by default, the original array is also passed through.
//
//To create an instance of class vtkSplitField, simply
//invoke its constructor as follows
//@[
//  obj = vtkSplitField
//@]
//@@Methods
//The class vtkSplitField has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSplitField class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSplitField = obj.NewInstance ()|
// \item @|vtkSplitField = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInputField (int attributeType, int fieldLoc)| -  Use the  given attribute in the field data given
// by fieldLoc as input.
//// \item @|obj.SetInputField (string name, int fieldLoc)| -  Use the array with given name in the field data given
// by fieldLoc as input.
//// \item @|obj.SetInputField (string name, string fieldLoc)| -  Helper method used by other language bindings. Allows the caller to
// specify arguments as strings instead of enums.
//// \item @|obj.Split (int component, string arrayName)| -  Create a new array with the given component.
////\end{itemize}
//!
