#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStreamLine object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStreamLine.h"

//@@Signature
//sfunction @vtkStreamLine:vtkStreamLine vtkStreamLineConstructorFunction
//input a
//output p
//@@Parents vtkStreamLine vtkStreamer 
ArrayVector vtkStreamLineConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStreamLine::New(),"vtkStreamLine",eval);
  } else if (arg[0].className() == "vtkStreamLine") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStreamLine"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStreamLine");
    vtkStreamLine*q = reinterpret_cast<vtkStreamLine*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStreamLine");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStreamLine:GetClassName vtkStreamLineGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStreamLineGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStreamLine requires 1 argument(s)");
  vtkStreamLine* vtk_pointer = GetVTKPointer<vtkStreamLine>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamLine:IsA vtkStreamLineIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStreamLineIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStreamLine requires 2 argument(s)");
  vtkStreamLine* vtk_pointer = GetVTKPointer<vtkStreamLine>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamLine:NewInstance vtkStreamLineNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStreamLineNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStreamLine *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStreamLine requires 1 argument(s)");
  vtkStreamLine* vtk_pointer = GetVTKPointer<vtkStreamLine>(arg[0]);
  Array retval;
  vtkStreamLine  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStreamLine",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStreamLine:SafeDownCast vtkStreamLineSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStreamLineSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStreamLine *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStreamLine requires 2 argument(s)");
  vtkStreamLine* vtk_pointer = GetVTKPointer<vtkStreamLine>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStreamLine  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStreamLine",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStreamLine:SetStepLength vtkStreamLineSetStepLengthFunction
//input a0 a1 
//output none
ArrayVector vtkStreamLineSetStepLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStepLength (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetStepLength for class vtkStreamLine requires 2 argument(s)");
  vtkStreamLine* vtk_pointer = GetVTKPointer<vtkStreamLine>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetStepLength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamLine:GetStepLengthMinValue vtkStreamLineGetStepLengthMinValueFunction
//input a0 
//output y
ArrayVector vtkStreamLineGetStepLengthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetStepLengthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStepLengthMinValue for class vtkStreamLine requires 1 argument(s)");
  vtkStreamLine* vtk_pointer = GetVTKPointer<vtkStreamLine>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetStepLengthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamLine:GetStepLengthMaxValue vtkStreamLineGetStepLengthMaxValueFunction
//input a0 
//output y
ArrayVector vtkStreamLineGetStepLengthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetStepLengthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStepLengthMaxValue for class vtkStreamLine requires 1 argument(s)");
  vtkStreamLine* vtk_pointer = GetVTKPointer<vtkStreamLine>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetStepLengthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamLine:GetStepLength vtkStreamLineGetStepLengthFunction
//input a0 
//output y
ArrayVector vtkStreamLineGetStepLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetStepLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStepLength for class vtkStreamLine requires 1 argument(s)");
  vtkStreamLine* vtk_pointer = GetVTKPointer<vtkStreamLine>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetStepLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamLine:display vtkStreamLineDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStreamLineDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStreamLine* vtk_pointer = GetVTKPointer<vtkStreamLine>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStreamLine:delete vtkStreamLineDeleteFunction
//input varargin
//output none
ArrayVector vtkStreamLineDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStreamLine
//@@Section VTKGraphics
//@@Usage
// vtkStreamLine is a filter that generates a streamline for an arbitrary 
// dataset. A streamline is a line that is everywhere tangent to the vector
// field. Scalar values also are calculated along the streamline and can be 
// used to color the line. Streamlines are calculated by integrating from
// a starting point through the vector field. Integration can be performed
// forward in time (see where the line goes), backward in time (see where the
// line came from), or in both directions. It also is possible to compute
// vorticity along the streamline. Vorticity is the projection (i.e., dot
// product) of the flow rotation on the velocity vector, i.e., the rotation
// of flow around the streamline.
//
// vtkStreamLine defines the instance variable StepLength. This parameter 
// controls the time increment used to generate individual points along
// the streamline(s). Smaller values result in more line 
// primitives but smoother streamlines. The StepLength instance variable is 
// defined in terms of time (i.e., the distance that the particle travels in
// the specified time period). Thus, the line segments will be smaller in areas
// of low velocity and larger in regions of high velocity. (NOTE: This is
// different than the IntegrationStepLength defined by the superclass
// vtkStreamer. IntegrationStepLength is used to control integration step 
// size and is expressed as a fraction of the cell length.) The StepLength
// instance variable is important because subclasses of vtkStreamLine (e.g.,
// vtkDashedStreamLine) depend on this value to build their representation.
//
//To create an instance of class vtkStreamLine, simply
//invoke its constructor as follows
//@[
//  obj = vtkStreamLine
//@]
//@@Methods
//The class vtkStreamLine has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStreamLine class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStreamLine = obj.NewInstance ()|
// \item @|vtkStreamLine = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetStepLength (double )| -  Specify the length of a line segment. The length is expressed in terms of
// elapsed time. Smaller values result in smoother appearing streamlines, but
// greater numbers of line primitives.
//// \item @|double = obj.GetStepLengthMinValue ()| -  Specify the length of a line segment. The length is expressed in terms of
// elapsed time. Smaller values result in smoother appearing streamlines, but
// greater numbers of line primitives.
//// \item @|double = obj.GetStepLengthMaxValue ()| -  Specify the length of a line segment. The length is expressed in terms of
// elapsed time. Smaller values result in smoother appearing streamlines, but
// greater numbers of line primitives.
//// \item @|double = obj.GetStepLength ()| -  Specify the length of a line segment. The length is expressed in terms of
// elapsed time. Smaller values result in smoother appearing streamlines, but
// greater numbers of line primitives.
////\end{itemize}
//!
