#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStreamPoints object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStreamPoints.h"

//@@Signature
//sfunction @vtkStreamPoints:vtkStreamPoints vtkStreamPointsConstructorFunction
//input a
//output p
//@@Parents vtkStreamPoints vtkStreamer 
ArrayVector vtkStreamPointsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStreamPoints::New(),"vtkStreamPoints",eval);
  } else if (arg[0].className() == "vtkStreamPoints") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStreamPoints"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStreamPoints");
    vtkStreamPoints*q = reinterpret_cast<vtkStreamPoints*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStreamPoints");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStreamPoints:GetClassName vtkStreamPointsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStreamPointsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStreamPoints requires 1 argument(s)");
  vtkStreamPoints* vtk_pointer = GetVTKPointer<vtkStreamPoints>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamPoints:IsA vtkStreamPointsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStreamPointsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStreamPoints requires 2 argument(s)");
  vtkStreamPoints* vtk_pointer = GetVTKPointer<vtkStreamPoints>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamPoints:NewInstance vtkStreamPointsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStreamPointsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStreamPoints *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStreamPoints requires 1 argument(s)");
  vtkStreamPoints* vtk_pointer = GetVTKPointer<vtkStreamPoints>(arg[0]);
  Array retval;
  vtkStreamPoints  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStreamPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStreamPoints:SafeDownCast vtkStreamPointsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStreamPointsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStreamPoints *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStreamPoints requires 2 argument(s)");
  vtkStreamPoints* vtk_pointer = GetVTKPointer<vtkStreamPoints>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStreamPoints  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStreamPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStreamPoints:SetTimeIncrement vtkStreamPointsSetTimeIncrementFunction
//input a0 a1 
//output none
ArrayVector vtkStreamPointsSetTimeIncrementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimeIncrement (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimeIncrement for class vtkStreamPoints requires 2 argument(s)");
  vtkStreamPoints* vtk_pointer = GetVTKPointer<vtkStreamPoints>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTimeIncrement(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamPoints:GetTimeIncrementMinValue vtkStreamPointsGetTimeIncrementMinValueFunction
//input a0 
//output y
ArrayVector vtkStreamPointsGetTimeIncrementMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTimeIncrementMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimeIncrementMinValue for class vtkStreamPoints requires 1 argument(s)");
  vtkStreamPoints* vtk_pointer = GetVTKPointer<vtkStreamPoints>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTimeIncrementMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamPoints:GetTimeIncrementMaxValue vtkStreamPointsGetTimeIncrementMaxValueFunction
//input a0 
//output y
ArrayVector vtkStreamPointsGetTimeIncrementMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTimeIncrementMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimeIncrementMaxValue for class vtkStreamPoints requires 1 argument(s)");
  vtkStreamPoints* vtk_pointer = GetVTKPointer<vtkStreamPoints>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTimeIncrementMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamPoints:GetTimeIncrement vtkStreamPointsGetTimeIncrementFunction
//input a0 
//output y
ArrayVector vtkStreamPointsGetTimeIncrementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTimeIncrement (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimeIncrement for class vtkStreamPoints requires 1 argument(s)");
  vtkStreamPoints* vtk_pointer = GetVTKPointer<vtkStreamPoints>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTimeIncrement();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamPoints:display vtkStreamPointsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStreamPointsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStreamPoints* vtk_pointer = GetVTKPointer<vtkStreamPoints>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStreamPoints:delete vtkStreamPointsDeleteFunction
//input varargin
//output none
ArrayVector vtkStreamPointsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStreamPoints
//@@Section VTKGraphics
//@@Usage
// vtkStreamPoints is a filter that generates points along a streamer.
// The points are separated by a constant time increment. The resulting visual
// effect (especially when coupled with vtkGlyph3D) is an indication of 
// particle speed.
//
//To create an instance of class vtkStreamPoints, simply
//invoke its constructor as follows
//@[
//  obj = vtkStreamPoints
//@]
//@@Methods
//The class vtkStreamPoints has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStreamPoints class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStreamPoints = obj.NewInstance ()|
// \item @|vtkStreamPoints = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetTimeIncrement (double )| -  Specify the separation of points in terms of absolute time.
//// \item @|double = obj.GetTimeIncrementMinValue ()| -  Specify the separation of points in terms of absolute time.
//// \item @|double = obj.GetTimeIncrementMaxValue ()| -  Specify the separation of points in terms of absolute time.
//// \item @|double = obj.GetTimeIncrement ()| -  Specify the separation of points in terms of absolute time.
////\end{itemize}
//!
