#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStreamTracer object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStreamTracer.h"

//@@Signature
//sfunction @vtkStreamTracer:vtkStreamTracer vtkStreamTracerConstructorFunction
//input a
//output p
//@@Parents vtkStreamTracer vtkPolyDataAlgorithm 
ArrayVector vtkStreamTracerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStreamTracer::New(),"vtkStreamTracer",eval);
  } else if (arg[0].className() == "vtkStreamTracer") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStreamTracer"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStreamTracer");
    vtkStreamTracer*q = reinterpret_cast<vtkStreamTracer*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStreamTracer");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStreamTracer:GetClassName vtkStreamTracerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStreamTracerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStreamTracer requires 1 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:IsA vtkStreamTracerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStreamTracerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStreamTracer requires 2 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:NewInstance vtkStreamTracerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStreamTracerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStreamTracer *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStreamTracer requires 1 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  vtkStreamTracer  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStreamTracer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:SafeDownCast vtkStreamTracerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStreamTracerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStreamTracer *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStreamTracer requires 2 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStreamTracer  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStreamTracer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:SetStartPosition__1 vtkStreamTracerSetStartPosition__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkStreamTracerSetStartPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStartPosition (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetStartPosition__1 for class vtkStreamTracer requires 4 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetStartPosition(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:SetStartPosition__2 vtkStreamTracerSetStartPosition__2Function
//input a0 a1 
//output none
ArrayVector vtkStreamTracerSetStartPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStartPosition (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetStartPosition__2 for class vtkStreamTracer requires 2 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetStartPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:GetStartPosition vtkStreamTracerGetStartPositionFunction
//input a0 
//output y
ArrayVector vtkStreamTracerGetStartPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetStartPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStartPosition for class vtkStreamTracer requires 1 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetStartPosition();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:SetSource vtkStreamTracerSetSourceFunction
//input a0 a1 
//output none
ArrayVector vtkStreamTracerSetSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSource (vtkDataSet *source); */
  if (arg.size() < 2) 
    throw Exception("Function SetSource for class vtkStreamTracer requires 2 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetSource(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:GetSource vtkStreamTracerGetSourceFunction
//input a0 
//output y
ArrayVector vtkStreamTracerGetSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetSource (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSource for class vtkStreamTracer requires 1 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetSource();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:SetSourceConnection vtkStreamTracerSetSourceConnectionFunction
//input a0 a1 
//output none
ArrayVector vtkStreamTracerSetSourceConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSourceConnection (vtkAlgorithmOutput *algOutput); */
  if (arg.size() < 2) 
    throw Exception("Function SetSourceConnection for class vtkStreamTracer requires 2 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->SetSourceConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:SetIntegrator vtkStreamTracerSetIntegratorFunction
//input a0 a1 
//output none
ArrayVector vtkStreamTracerSetIntegratorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntegrator (vtkInitialValueProblemSolver *); */
  if (arg.size() < 2) 
    throw Exception("Function SetIntegrator for class vtkStreamTracer requires 2 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  vtkInitialValueProblemSolver  *temp0;
  temp0 = GetVTKPointer<vtkInitialValueProblemSolver>(arg[1]);
  vtk_pointer->SetIntegrator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:GetIntegrator vtkStreamTracerGetIntegratorFunction
//input a0 
//output y
ArrayVector vtkStreamTracerGetIntegratorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInitialValueProblemSolver *GetIntegrator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntegrator for class vtkStreamTracer requires 1 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  vtkInitialValueProblemSolver  *temp20;
  temp20 = (vtk_pointer)->GetIntegrator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInitialValueProblemSolver",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:SetIntegratorType vtkStreamTracerSetIntegratorTypeFunction
//input a0 a1 
//output none
ArrayVector vtkStreamTracerSetIntegratorTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntegratorType (int type); */
  if (arg.size() < 2) 
    throw Exception("Function SetIntegratorType for class vtkStreamTracer requires 2 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIntegratorType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:GetIntegratorType vtkStreamTracerGetIntegratorTypeFunction
//input a0 
//output y
ArrayVector vtkStreamTracerGetIntegratorTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIntegratorType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntegratorType for class vtkStreamTracer requires 1 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIntegratorType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:SetIntegratorTypeToRungeKutta2 vtkStreamTracerSetIntegratorTypeToRungeKutta2Function
//input a0 
//output none
ArrayVector vtkStreamTracerSetIntegratorTypeToRungeKutta2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntegratorTypeToRungeKutta2 ();this SetIntegratorType RUNGE_KUTTA2  */
  if (arg.size() < 1) 
    throw Exception("Function SetIntegratorTypeToRungeKutta2 for class vtkStreamTracer requires 1 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  vtk_pointer->SetIntegratorTypeToRungeKutta2();
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:SetIntegratorTypeToRungeKutta4 vtkStreamTracerSetIntegratorTypeToRungeKutta4Function
//input a0 
//output none
ArrayVector vtkStreamTracerSetIntegratorTypeToRungeKutta4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntegratorTypeToRungeKutta4 ();this SetIntegratorType RUNGE_KUTTA4  */
  if (arg.size() < 1) 
    throw Exception("Function SetIntegratorTypeToRungeKutta4 for class vtkStreamTracer requires 1 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  vtk_pointer->SetIntegratorTypeToRungeKutta4();
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:SetIntegratorTypeToRungeKutta45 vtkStreamTracerSetIntegratorTypeToRungeKutta45Function
//input a0 
//output none
ArrayVector vtkStreamTracerSetIntegratorTypeToRungeKutta45Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntegratorTypeToRungeKutta45 ();this SetIntegratorType RUNGE_KUTTA45  */
  if (arg.size() < 1) 
    throw Exception("Function SetIntegratorTypeToRungeKutta45 for class vtkStreamTracer requires 1 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  vtk_pointer->SetIntegratorTypeToRungeKutta45();
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:SetInterpolatorTypeToDataSetPointLocator vtkStreamTracerSetInterpolatorTypeToDataSetPointLocatorFunction
//input a0 
//output none
ArrayVector vtkStreamTracerSetInterpolatorTypeToDataSetPointLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolatorTypeToDataSetPointLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function SetInterpolatorTypeToDataSetPointLocator for class vtkStreamTracer requires 1 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  vtk_pointer->SetInterpolatorTypeToDataSetPointLocator();
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:SetInterpolatorTypeToCellLocator vtkStreamTracerSetInterpolatorTypeToCellLocatorFunction
//input a0 
//output none
ArrayVector vtkStreamTracerSetInterpolatorTypeToCellLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolatorTypeToCellLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function SetInterpolatorTypeToCellLocator for class vtkStreamTracer requires 1 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  vtk_pointer->SetInterpolatorTypeToCellLocator();
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:SetMaximumPropagation vtkStreamTracerSetMaximumPropagationFunction
//input a0 a1 
//output none
ArrayVector vtkStreamTracerSetMaximumPropagationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumPropagation (double max); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumPropagation for class vtkStreamTracer requires 2 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximumPropagation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:GetMaximumPropagation vtkStreamTracerGetMaximumPropagationFunction
//input a0 
//output y
ArrayVector vtkStreamTracerGetMaximumPropagationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumPropagation ();return this MaximumPropagation  */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumPropagation for class vtkStreamTracer requires 1 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumPropagation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:SetIntegrationStepUnit vtkStreamTracerSetIntegrationStepUnitFunction
//input a0 a1 
//output none
ArrayVector vtkStreamTracerSetIntegrationStepUnitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntegrationStepUnit (int unit); */
  if (arg.size() < 2) 
    throw Exception("Function SetIntegrationStepUnit for class vtkStreamTracer requires 2 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIntegrationStepUnit(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:GetIntegrationStepUnit vtkStreamTracerGetIntegrationStepUnitFunction
//input a0 
//output y
ArrayVector vtkStreamTracerGetIntegrationStepUnitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIntegrationStepUnit ();return this IntegrationStepUnit  */
  if (arg.size() < 1) 
    throw Exception("Function GetIntegrationStepUnit for class vtkStreamTracer requires 1 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIntegrationStepUnit();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:SetInitialIntegrationStep vtkStreamTracerSetInitialIntegrationStepFunction
//input a0 a1 
//output none
ArrayVector vtkStreamTracerSetInitialIntegrationStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInitialIntegrationStep (double step); */
  if (arg.size() < 2) 
    throw Exception("Function SetInitialIntegrationStep for class vtkStreamTracer requires 2 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetInitialIntegrationStep(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:GetInitialIntegrationStep vtkStreamTracerGetInitialIntegrationStepFunction
//input a0 
//output y
ArrayVector vtkStreamTracerGetInitialIntegrationStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetInitialIntegrationStep ();return this InitialIntegrationStep  */
  if (arg.size() < 1) 
    throw Exception("Function GetInitialIntegrationStep for class vtkStreamTracer requires 1 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetInitialIntegrationStep();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:SetMinimumIntegrationStep vtkStreamTracerSetMinimumIntegrationStepFunction
//input a0 a1 
//output none
ArrayVector vtkStreamTracerSetMinimumIntegrationStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimumIntegrationStep (double step); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinimumIntegrationStep for class vtkStreamTracer requires 2 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMinimumIntegrationStep(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:GetMinimumIntegrationStep vtkStreamTracerGetMinimumIntegrationStepFunction
//input a0 
//output y
ArrayVector vtkStreamTracerGetMinimumIntegrationStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinimumIntegrationStep ();return this MinimumIntegrationStep  */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumIntegrationStep for class vtkStreamTracer requires 1 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinimumIntegrationStep();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:SetMaximumIntegrationStep vtkStreamTracerSetMaximumIntegrationStepFunction
//input a0 a1 
//output none
ArrayVector vtkStreamTracerSetMaximumIntegrationStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumIntegrationStep (double step); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumIntegrationStep for class vtkStreamTracer requires 2 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximumIntegrationStep(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:GetMaximumIntegrationStep vtkStreamTracerGetMaximumIntegrationStepFunction
//input a0 
//output y
ArrayVector vtkStreamTracerGetMaximumIntegrationStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumIntegrationStep ();return this MaximumIntegrationStep  */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumIntegrationStep for class vtkStreamTracer requires 1 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumIntegrationStep();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:SetMaximumError vtkStreamTracerSetMaximumErrorFunction
//input a0 a1 
//output none
ArrayVector vtkStreamTracerSetMaximumErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumError (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumError for class vtkStreamTracer requires 2 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximumError(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:GetMaximumError vtkStreamTracerGetMaximumErrorFunction
//input a0 
//output y
ArrayVector vtkStreamTracerGetMaximumErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumError (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumError for class vtkStreamTracer requires 1 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumError();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:SetMaximumNumberOfSteps vtkStreamTracerSetMaximumNumberOfStepsFunction
//input a0 a1 
//output none
ArrayVector vtkStreamTracerSetMaximumNumberOfStepsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumNumberOfSteps (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumNumberOfSteps for class vtkStreamTracer requires 2 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximumNumberOfSteps(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:GetMaximumNumberOfSteps vtkStreamTracerGetMaximumNumberOfStepsFunction
//input a0 
//output y
ArrayVector vtkStreamTracerGetMaximumNumberOfStepsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetMaximumNumberOfSteps (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumNumberOfSteps for class vtkStreamTracer requires 1 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetMaximumNumberOfSteps();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:SetTerminalSpeed vtkStreamTracerSetTerminalSpeedFunction
//input a0 a1 
//output none
ArrayVector vtkStreamTracerSetTerminalSpeedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTerminalSpeed (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTerminalSpeed for class vtkStreamTracer requires 2 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTerminalSpeed(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:GetTerminalSpeed vtkStreamTracerGetTerminalSpeedFunction
//input a0 
//output y
ArrayVector vtkStreamTracerGetTerminalSpeedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTerminalSpeed (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTerminalSpeed for class vtkStreamTracer requires 1 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTerminalSpeed();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:SetIntegrationDirection vtkStreamTracerSetIntegrationDirectionFunction
//input a0 a1 
//output none
ArrayVector vtkStreamTracerSetIntegrationDirectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntegrationDirection (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIntegrationDirection for class vtkStreamTracer requires 2 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIntegrationDirection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:GetIntegrationDirectionMinValue vtkStreamTracerGetIntegrationDirectionMinValueFunction
//input a0 
//output y
ArrayVector vtkStreamTracerGetIntegrationDirectionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIntegrationDirectionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntegrationDirectionMinValue for class vtkStreamTracer requires 1 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIntegrationDirectionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:GetIntegrationDirectionMaxValue vtkStreamTracerGetIntegrationDirectionMaxValueFunction
//input a0 
//output y
ArrayVector vtkStreamTracerGetIntegrationDirectionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIntegrationDirectionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntegrationDirectionMaxValue for class vtkStreamTracer requires 1 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIntegrationDirectionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:GetIntegrationDirection vtkStreamTracerGetIntegrationDirectionFunction
//input a0 
//output y
ArrayVector vtkStreamTracerGetIntegrationDirectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIntegrationDirection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntegrationDirection for class vtkStreamTracer requires 1 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIntegrationDirection();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:SetIntegrationDirectionToForward vtkStreamTracerSetIntegrationDirectionToForwardFunction
//input a0 
//output none
ArrayVector vtkStreamTracerSetIntegrationDirectionToForwardFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntegrationDirectionToForward ();this SetIntegrationDirection FORWARD  */
  if (arg.size() < 1) 
    throw Exception("Function SetIntegrationDirectionToForward for class vtkStreamTracer requires 1 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  vtk_pointer->SetIntegrationDirectionToForward();
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:SetIntegrationDirectionToBackward vtkStreamTracerSetIntegrationDirectionToBackwardFunction
//input a0 
//output none
ArrayVector vtkStreamTracerSetIntegrationDirectionToBackwardFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntegrationDirectionToBackward ();this SetIntegrationDirection BACKWARD  */
  if (arg.size() < 1) 
    throw Exception("Function SetIntegrationDirectionToBackward for class vtkStreamTracer requires 1 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  vtk_pointer->SetIntegrationDirectionToBackward();
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:SetIntegrationDirectionToBoth vtkStreamTracerSetIntegrationDirectionToBothFunction
//input a0 
//output none
ArrayVector vtkStreamTracerSetIntegrationDirectionToBothFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntegrationDirectionToBoth ();this SetIntegrationDirection BOTH  */
  if (arg.size() < 1) 
    throw Exception("Function SetIntegrationDirectionToBoth for class vtkStreamTracer requires 1 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  vtk_pointer->SetIntegrationDirectionToBoth();
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:SetComputeVorticity vtkStreamTracerSetComputeVorticityFunction
//input a0 a1 
//output none
ArrayVector vtkStreamTracerSetComputeVorticityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeVorticity (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeVorticity for class vtkStreamTracer requires 2 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetComputeVorticity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:GetComputeVorticity vtkStreamTracerGetComputeVorticityFunction
//input a0 
//output y
ArrayVector vtkStreamTracerGetComputeVorticityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetComputeVorticity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeVorticity for class vtkStreamTracer requires 1 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetComputeVorticity();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:SetRotationScale vtkStreamTracerSetRotationScaleFunction
//input a0 a1 
//output none
ArrayVector vtkStreamTracerSetRotationScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRotationScale (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRotationScale for class vtkStreamTracer requires 2 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRotationScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:GetRotationScale vtkStreamTracerGetRotationScaleFunction
//input a0 
//output y
ArrayVector vtkStreamTracerGetRotationScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRotationScale (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRotationScale for class vtkStreamTracer requires 1 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRotationScale();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:SetInterpolatorPrototype vtkStreamTracerSetInterpolatorPrototypeFunction
//input a0 a1 
//output none
ArrayVector vtkStreamTracerSetInterpolatorPrototypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolatorPrototype (vtkAbstractInterpolatedVelocityField *ivf); */
  if (arg.size() < 2) 
    throw Exception("Function SetInterpolatorPrototype for class vtkStreamTracer requires 2 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  vtkAbstractInterpolatedVelocityField  *temp0;
  temp0 = GetVTKPointer<vtkAbstractInterpolatedVelocityField>(arg[1]);
  vtk_pointer->SetInterpolatorPrototype(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:SetInterpolatorType vtkStreamTracerSetInterpolatorTypeFunction
//input a0 a1 
//output none
ArrayVector vtkStreamTracerSetInterpolatorTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolatorType (int interpType); */
  if (arg.size() < 2) 
    throw Exception("Function SetInterpolatorType for class vtkStreamTracer requires 2 argument(s)");
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInterpolatorType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamTracer:SetStartPosition vtkStreamTracerSetStartPositionFunction
//input varargin
//output varargout
ArrayVector vtkStreamTracerSetStartPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkStreamTracerSetStartPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkStreamTracerSetStartPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkStreamTracerSetStartPosition");
}

//@@Signature
//sfunction @vtkStreamTracer:display vtkStreamTracerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStreamTracerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStreamTracer* vtk_pointer = GetVTKPointer<vtkStreamTracer>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStreamTracer:delete vtkStreamTracerDeleteFunction
//input varargin
//output none
ArrayVector vtkStreamTracerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStreamTracer
//@@Section VTKGraphics
//@@Usage
// vtkStreamTracer is a filter that integrates a vector field to generate
// streamlines. The integration is performed using a specified integrator,
// by default Runge-Kutta2. 
// 
// vtkStreamTracer produces polylines as the output, with each cell (i.e.,
// polyline) representing a streamline. The attribute values associated
// with each streamline are stored in the cell data, whereas those
// associated with streamline-points are stored in the point data.
//
// vtkStreamTracer supports forward (the default), backward, and combined
// (i.e., BOTH) integration. The length of a streamline is governed by 
// specifying a maximum value either in physical arc length or in (local)
// cell length. Otherwise, the integration terminates upon exiting the
// flow field domain, or if the particle speed is reduced to a value less
// than a specified terminal speed, or when a maximum number of steps is 
// completed. The specific reason for the termination is stored in a cell 
// array named ReasonForTermination.
//
// Note that normalized vectors are adopted in streamline integration,
// which achieves high numerical accuracy/smoothness of flow lines that is
// particularly guranteed for Runge-Kutta45 with adaptive step size and
// error control). In support of this feature, the underlying step size is
// ALWAYS in arc length unit (LENGTH_UNIT) while the 'real' time interval 
// (virtual for steady flows) that a particle actually takes to trave in a 
// single step is obtained by dividing the arc length by the LOCAL speed. 
// The overall elapsed time (i.e., the life span) of the particle is the 
// sum of those individual step-wise time intervals.
//
// The quality of streamline integration can be controlled by setting the
// initial integration step (InitialIntegrationStep), particularly for 
// Runge-Kutta2 and Runge-Kutta4 (with a fixed step size), and in the case
// of Runge-Kutta45 (with an adaptive step size and error control) the
// minimum integration step, the maximum integration step, and the maximum
// error. These steps are in either LENGTH_UNIT or CELL_LENGTH_UNIT while
// the error is in physical arc length. For the former two integrators,
// there is a trade-off between integration speed and streamline quality.
//
// The integration time, vorticity, rotation and angular velocity are stored
// in point data arrays named "IntegrationTime", "Vorticity", "Rotation" and
// "AngularVelocity", respectively (vorticity, rotation and angular velocity
// are computed only when ComputeVorticity is on). All point data attributes
// in the source dataset are interpolated on the new streamline points.
//
// vtkStreamTracer supports integration through any type of dataset. Thus if
// the dataset contains 2D cells like polygons or triangles, the integration
// is constrained to lie on the surface defined by 2D cells.
//
// The starting point, or the so-called 'seed', of a streamline may be set
// in two different ways. Starting from global x-y-z "position" allows you
// to start a single trace at a specified x-y-z coordinate. If you specify
// a source object, traces will be generated from each point in the source
// that is inside the dataset.
//
//
//To create an instance of class vtkStreamTracer, simply
//invoke its constructor as follows
//@[
//  obj = vtkStreamTracer
//@]
//@@Methods
//The class vtkStreamTracer has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStreamTracer class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStreamTracer = obj.NewInstance ()|
// \item @|vtkStreamTracer = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetStartPosition (double , double , double )| -  Specify the starting point (seed) of a streamline in the global
// coordinate system. Search must be performed to find the initial cell
// from which to start integration.
//// \item @|obj.SetStartPosition (double  a[3])| -  Specify the starting point (seed) of a streamline in the global
// coordinate system. Search must be performed to find the initial cell
// from which to start integration.
//// \item @|double = obj. GetStartPosition ()| -  Specify the starting point (seed) of a streamline in the global
// coordinate system. Search must be performed to find the initial cell
// from which to start integration.
//// \item @|obj.SetSource (vtkDataSet source)| -  Specify the source object used to generate starting points (seeds).
// Old style. Do not use.
//// \item @|vtkDataSet = obj.GetSource ()| -  Specify the source object used to generate starting points (seeds).
// Old style. Do not use.
//// \item @|obj.SetSourceConnection (vtkAlgorithmOutput algOutput)| -  Specify the source object used to generate starting points (seeds).
// New style.
//// \item @|obj.SetIntegrator (vtkInitialValueProblemSolver )| -  Set/get the integrator type to be used for streamline generation. 
// The object passed is not actually used but is cloned with 
// NewInstance in the process of integration  (prototype pattern). 
// The default is Runge-Kutta2. The integrator can also be changed
// using SetIntegratorType. The recognized solvers are:
// RUNGE_KUTTA2  = 0
// RUNGE_KUTTA4  = 1
// RUNGE_KUTTA45 = 2
//// \item @|vtkInitialValueProblemSolver = obj.GetIntegrator ()| -  Set/get the integrator type to be used for streamline generation. 
// The object passed is not actually used but is cloned with 
// NewInstance in the process of integration  (prototype pattern). 
// The default is Runge-Kutta2. The integrator can also be changed
// using SetIntegratorType. The recognized solvers are:
// RUNGE_KUTTA2  = 0
// RUNGE_KUTTA4  = 1
// RUNGE_KUTTA45 = 2
//// \item @|obj.SetIntegratorType (int type)| -  Set/get the integrator type to be used for streamline generation. 
// The object passed is not actually used but is cloned with 
// NewInstance in the process of integration  (prototype pattern). 
// The default is Runge-Kutta2. The integrator can also be changed
// using SetIntegratorType. The recognized solvers are:
// RUNGE_KUTTA2  = 0
// RUNGE_KUTTA4  = 1
// RUNGE_KUTTA45 = 2
//// \item @|int = obj.GetIntegratorType ()| -  Set/get the integrator type to be used for streamline generation. 
// The object passed is not actually used but is cloned with 
// NewInstance in the process of integration  (prototype pattern). 
// The default is Runge-Kutta2. The integrator can also be changed
// using SetIntegratorType. The recognized solvers are:
// RUNGE_KUTTA2  = 0
// RUNGE_KUTTA4  = 1
// RUNGE_KUTTA45 = 2
//// \item @|obj.SetIntegratorTypeToRungeKutta2 ()| -  Set/get the integrator type to be used for streamline generation. 
// The object passed is not actually used but is cloned with 
// NewInstance in the process of integration  (prototype pattern). 
// The default is Runge-Kutta2. The integrator can also be changed
// using SetIntegratorType. The recognized solvers are:
// RUNGE_KUTTA2  = 0
// RUNGE_KUTTA4  = 1
// RUNGE_KUTTA45 = 2
//// \item @|obj.SetIntegratorTypeToRungeKutta4 ()| -  Set/get the integrator type to be used for streamline generation. 
// The object passed is not actually used but is cloned with 
// NewInstance in the process of integration  (prototype pattern). 
// The default is Runge-Kutta2. The integrator can also be changed
// using SetIntegratorType. The recognized solvers are:
// RUNGE_KUTTA2  = 0
// RUNGE_KUTTA4  = 1
// RUNGE_KUTTA45 = 2
//// \item @|obj.SetIntegratorTypeToRungeKutta45 ()| -  Set/get the integrator type to be used for streamline generation. 
// The object passed is not actually used but is cloned with 
// NewInstance in the process of integration  (prototype pattern). 
// The default is Runge-Kutta2. The integrator can also be changed
// using SetIntegratorType. The recognized solvers are:
// RUNGE_KUTTA2  = 0
// RUNGE_KUTTA4  = 1
// RUNGE_KUTTA45 = 2
//// \item @|obj.SetInterpolatorTypeToDataSetPointLocator ()| -  Set the velocity field interpolator type to the one involving
// a dataset point locator.
//// \item @|obj.SetInterpolatorTypeToCellLocator ()| -  Set the velocity field interpolator type to the one involving
// a cell locator.
//// \item @|obj.SetMaximumPropagation (double max)| -  Specify the maximum length of a streamline expressed in LENGTH_UNIT.
//// \item @|double = obj.GetMaximumPropagation ()| -  Specify a uniform integration step unit for MinimumIntegrationStep, 
// InitialIntegrationStep, and MaximumIntegrationStep. NOTE: The valid
// unit is now limited to only LENGTH_UNIT (1) and CELL_LENGTH_UNIT (2),
// EXCLUDING the previously-supported TIME_UNIT.  
//// \item @|obj.SetIntegrationStepUnit (int unit)| -  Specify a uniform integration step unit for MinimumIntegrationStep, 
// InitialIntegrationStep, and MaximumIntegrationStep. NOTE: The valid
// unit is now limited to only LENGTH_UNIT (1) and CELL_LENGTH_UNIT (2),
// EXCLUDING the previously-supported TIME_UNIT.  
//// \item @|int = obj.GetIntegrationStepUnit ()| -  Specify the Initial step size used for line integration, expressed in:
// LENGTH_UNIT      = 1
// CELL_LENGTH_UNIT = 2
// (either the starting size for an adaptive integrator, e.g., RK45,
// or the constant / fixed size for non-adaptive ones, i.e., RK2 and RK4)
//// \item @|obj.SetInitialIntegrationStep (double step)| -  Specify the Initial step size used for line integration, expressed in:
// LENGTH_UNIT      = 1
// CELL_LENGTH_UNIT = 2
// (either the starting size for an adaptive integrator, e.g., RK45,
// or the constant / fixed size for non-adaptive ones, i.e., RK2 and RK4)
//// \item @|double = obj.GetInitialIntegrationStep ()| -  Specify the Minimum step size used for line integration, expressed in:
// LENGTH_UNIT      = 1
// CELL_LENGTH_UNIT = 2
// (Only valid for an adaptive integrator, e.g., RK45)
//// \item @|obj.SetMinimumIntegrationStep (double step)| -  Specify the Minimum step size used for line integration, expressed in:
// LENGTH_UNIT      = 1
// CELL_LENGTH_UNIT = 2
// (Only valid for an adaptive integrator, e.g., RK45)
//// \item @|double = obj.GetMinimumIntegrationStep ()| -  Specify the Maximum step size used for line integration, expressed in:
// LENGTH_UNIT      = 1
// CELL_LENGTH_UNIT = 2
// (Only valid for an adaptive integrator, e.g., RK45)
//// \item @|obj.SetMaximumIntegrationStep (double step)| -  Specify the Maximum step size used for line integration, expressed in:
// LENGTH_UNIT      = 1
// CELL_LENGTH_UNIT = 2
// (Only valid for an adaptive integrator, e.g., RK45)
//// \item @|double = obj.GetMaximumIntegrationStep ()|
// \item @|obj.SetMaximumError (double )|
// \item @|double = obj.GetMaximumError ()|
// \item @|obj.SetMaximumNumberOfSteps (vtkIdType )|
// \item @|vtkIdType = obj.GetMaximumNumberOfSteps ()|
// \item @|obj.SetTerminalSpeed (double )|
// \item @|double = obj.GetTerminalSpeed ()|
// \item @|obj.SetIntegrationDirection (int )| -  Specify whether the streamline is integrated in the upstream or
// downstream direction.
//// \item @|int = obj.GetIntegrationDirectionMinValue ()| -  Specify whether the streamline is integrated in the upstream or
// downstream direction.
//// \item @|int = obj.GetIntegrationDirectionMaxValue ()| -  Specify whether the streamline is integrated in the upstream or
// downstream direction.
//// \item @|int = obj.GetIntegrationDirection ()| -  Specify whether the streamline is integrated in the upstream or
// downstream direction.
//// \item @|obj.SetIntegrationDirectionToForward ()| -  Specify whether the streamline is integrated in the upstream or
// downstream direction.
//// \item @|obj.SetIntegrationDirectionToBackward ()| -  Specify whether the streamline is integrated in the upstream or
// downstream direction.
//// \item @|obj.SetIntegrationDirectionToBoth ()| -  Specify whether the streamline is integrated in the upstream or
// downstream direction.
//// \item @|obj.SetComputeVorticity (bool )|
// \item @|bool = obj.GetComputeVorticity ()|
// \item @|obj.SetRotationScale (double )|
// \item @|double = obj.GetRotationScale ()|
// \item @|obj.SetInterpolatorPrototype (vtkAbstractInterpolatedVelocityField ivf)| -  The object used to interpolate the velocity field during
// integration is of the same class as this prototype.
//// \item @|obj.SetInterpolatorType (int interpType)| -  Set the type of the velocity field interpolator to determine whether
// vtkInterpolatedVelocityField (INTERPOLATOR_WITH_DATASET_POINT_LOCATOR) or
// vtkCellLocatorInterpolatedVelocityField (INTERPOLATOR_WITH_CELL_LOCATOR)
// is employed for locating cells during streamline integration. The latter
// (adopting vtkAbstractCellLocator sub-classes such as vtkCellLocator and
// vtkModifiedBSPTree) is more robust then the former (through vtkDataSet /
// vtkPointSet::FindCell() coupled with vtkPointLocator).
////\end{itemize}
//!
