#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStreamer object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStreamer.h"

//@@Signature
//sfunction @vtkStreamer:vtkStreamer vtkStreamerConstructorFunction
//input a
//output p
//@@Parents vtkStreamer vtkPolyDataAlgorithm 
ArrayVector vtkStreamerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStreamer::New(),"vtkStreamer",eval);
  } else if (arg[0].className() == "vtkStreamer") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStreamer"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStreamer");
    vtkStreamer*q = reinterpret_cast<vtkStreamer*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStreamer");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStreamer:GetClassName vtkStreamerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStreamerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:IsA vtkStreamerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStreamerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStreamer requires 2 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:NewInstance vtkStreamerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStreamerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStreamer *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  vtkStreamer  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStreamer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:SafeDownCast vtkStreamerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStreamerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStreamer *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStreamer requires 2 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStreamer  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStreamer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:SetStartLocation__1 vtkStreamerSetStartLocation__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkStreamerSetStartLocation__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStartLocation (vtkIdType cellId, int subId, double pcoords[3]); */
  if (arg.size() < 4) 
    throw Exception("Function SetStartLocation__1 for class vtkStreamer requires 4 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp1;
  double temp2[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !(arg[3].isVector() && arg[3].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  vtk_pointer->SetStartLocation(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:SetStartLocation__2 vtkStreamerSetStartLocation__2Function
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkStreamerSetStartLocation__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStartLocation (vtkIdType cellId, int subId, double r, double s, double t); */
  if (arg.size() < 6) 
    throw Exception("Function SetStartLocation__2 for class vtkStreamer requires 6 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  vtk_pointer->SetStartLocation(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:SetStartPosition__1 vtkStreamerSetStartPosition__1Function
//input a0 a1 
//output none
ArrayVector vtkStreamerSetStartPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStartPosition (double x[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetStartPosition__1 for class vtkStreamer requires 2 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetStartPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:SetStartPosition__2 vtkStreamerSetStartPosition__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkStreamerSetStartPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStartPosition (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetStartPosition__2 for class vtkStreamer requires 4 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetStartPosition(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:GetStartPosition vtkStreamerGetStartPositionFunction
//input a0 
//output y
ArrayVector vtkStreamerGetStartPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetStartPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStartPosition for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetStartPosition();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:SetSource vtkStreamerSetSourceFunction
//input a0 a1 
//output none
ArrayVector vtkStreamerSetSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSource (vtkDataSet *source); */
  if (arg.size() < 2) 
    throw Exception("Function SetSource for class vtkStreamer requires 2 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetSource(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:GetSource vtkStreamerGetSourceFunction
//input a0 
//output y
ArrayVector vtkStreamerGetSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetSource (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSource for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetSource();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:SetMaximumPropagationTime vtkStreamerSetMaximumPropagationTimeFunction
//input a0 a1 
//output none
ArrayVector vtkStreamerSetMaximumPropagationTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumPropagationTime (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumPropagationTime for class vtkStreamer requires 2 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximumPropagationTime(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:GetMaximumPropagationTimeMinValue vtkStreamerGetMaximumPropagationTimeMinValueFunction
//input a0 
//output y
ArrayVector vtkStreamerGetMaximumPropagationTimeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumPropagationTimeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumPropagationTimeMinValue for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumPropagationTimeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:GetMaximumPropagationTimeMaxValue vtkStreamerGetMaximumPropagationTimeMaxValueFunction
//input a0 
//output y
ArrayVector vtkStreamerGetMaximumPropagationTimeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumPropagationTimeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumPropagationTimeMaxValue for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumPropagationTimeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:GetMaximumPropagationTime vtkStreamerGetMaximumPropagationTimeFunction
//input a0 
//output y
ArrayVector vtkStreamerGetMaximumPropagationTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumPropagationTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumPropagationTime for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumPropagationTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:SetIntegrationDirection vtkStreamerSetIntegrationDirectionFunction
//input a0 a1 
//output none
ArrayVector vtkStreamerSetIntegrationDirectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntegrationDirection (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIntegrationDirection for class vtkStreamer requires 2 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIntegrationDirection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:GetIntegrationDirectionMinValue vtkStreamerGetIntegrationDirectionMinValueFunction
//input a0 
//output y
ArrayVector vtkStreamerGetIntegrationDirectionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIntegrationDirectionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntegrationDirectionMinValue for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIntegrationDirectionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:GetIntegrationDirectionMaxValue vtkStreamerGetIntegrationDirectionMaxValueFunction
//input a0 
//output y
ArrayVector vtkStreamerGetIntegrationDirectionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIntegrationDirectionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntegrationDirectionMaxValue for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIntegrationDirectionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:GetIntegrationDirection vtkStreamerGetIntegrationDirectionFunction
//input a0 
//output y
ArrayVector vtkStreamerGetIntegrationDirectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIntegrationDirection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntegrationDirection for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIntegrationDirection();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:SetIntegrationDirectionToForward vtkStreamerSetIntegrationDirectionToForwardFunction
//input a0 
//output none
ArrayVector vtkStreamerSetIntegrationDirectionToForwardFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntegrationDirectionToForward ();this SetIntegrationDirection VTK_INTEGRATE_FORWARD  */
  if (arg.size() < 1) 
    throw Exception("Function SetIntegrationDirectionToForward for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  vtk_pointer->SetIntegrationDirectionToForward();
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:SetIntegrationDirectionToBackward vtkStreamerSetIntegrationDirectionToBackwardFunction
//input a0 
//output none
ArrayVector vtkStreamerSetIntegrationDirectionToBackwardFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntegrationDirectionToBackward ();this SetIntegrationDirection VTK_INTEGRATE_BACKWARD  */
  if (arg.size() < 1) 
    throw Exception("Function SetIntegrationDirectionToBackward for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  vtk_pointer->SetIntegrationDirectionToBackward();
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:SetIntegrationDirectionToIntegrateBothDirections vtkStreamerSetIntegrationDirectionToIntegrateBothDirectionsFunction
//input a0 
//output none
ArrayVector vtkStreamerSetIntegrationDirectionToIntegrateBothDirectionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntegrationDirectionToIntegrateBothDirections ();this SetIntegrationDirection VTK_INTEGRATE_BOTH_DIRECTIONS  */
  if (arg.size() < 1) 
    throw Exception("Function SetIntegrationDirectionToIntegrateBothDirections for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  vtk_pointer->SetIntegrationDirectionToIntegrateBothDirections();
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:GetIntegrationDirectionAsString vtkStreamerGetIntegrationDirectionAsStringFunction
//input a0 
//output y
ArrayVector vtkStreamerGetIntegrationDirectionAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetIntegrationDirectionAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntegrationDirectionAsString for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetIntegrationDirectionAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:SetIntegrationStepLength vtkStreamerSetIntegrationStepLengthFunction
//input a0 a1 
//output none
ArrayVector vtkStreamerSetIntegrationStepLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntegrationStepLength (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIntegrationStepLength for class vtkStreamer requires 2 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetIntegrationStepLength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:GetIntegrationStepLengthMinValue vtkStreamerGetIntegrationStepLengthMinValueFunction
//input a0 
//output y
ArrayVector vtkStreamerGetIntegrationStepLengthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetIntegrationStepLengthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntegrationStepLengthMinValue for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetIntegrationStepLengthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:GetIntegrationStepLengthMaxValue vtkStreamerGetIntegrationStepLengthMaxValueFunction
//input a0 
//output y
ArrayVector vtkStreamerGetIntegrationStepLengthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetIntegrationStepLengthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntegrationStepLengthMaxValue for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetIntegrationStepLengthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:GetIntegrationStepLength vtkStreamerGetIntegrationStepLengthFunction
//input a0 
//output y
ArrayVector vtkStreamerGetIntegrationStepLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetIntegrationStepLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntegrationStepLength for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetIntegrationStepLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:SetSpeedScalars vtkStreamerSetSpeedScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkStreamerSetSpeedScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpeedScalars (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSpeedScalars for class vtkStreamer requires 2 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSpeedScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:GetSpeedScalars vtkStreamerGetSpeedScalarsFunction
//input a0 
//output y
ArrayVector vtkStreamerGetSpeedScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSpeedScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSpeedScalars for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSpeedScalars();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:SpeedScalarsOn vtkStreamerSpeedScalarsOnFunction
//input a0 
//output none
ArrayVector vtkStreamerSpeedScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SpeedScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SpeedScalarsOn for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  vtk_pointer->SpeedScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:SpeedScalarsOff vtkStreamerSpeedScalarsOffFunction
//input a0 
//output none
ArrayVector vtkStreamerSpeedScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SpeedScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SpeedScalarsOff for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  vtk_pointer->SpeedScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:SetOrientationScalars vtkStreamerSetOrientationScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkStreamerSetOrientationScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrientationScalars (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrientationScalars for class vtkStreamer requires 2 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOrientationScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:GetOrientationScalars vtkStreamerGetOrientationScalarsFunction
//input a0 
//output y
ArrayVector vtkStreamerGetOrientationScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOrientationScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrientationScalars for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOrientationScalars();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:OrientationScalarsOn vtkStreamerOrientationScalarsOnFunction
//input a0 
//output none
ArrayVector vtkStreamerOrientationScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OrientationScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function OrientationScalarsOn for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  vtk_pointer->OrientationScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:OrientationScalarsOff vtkStreamerOrientationScalarsOffFunction
//input a0 
//output none
ArrayVector vtkStreamerOrientationScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OrientationScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function OrientationScalarsOff for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  vtk_pointer->OrientationScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:SetTerminalSpeed vtkStreamerSetTerminalSpeedFunction
//input a0 a1 
//output none
ArrayVector vtkStreamerSetTerminalSpeedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTerminalSpeed (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTerminalSpeed for class vtkStreamer requires 2 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTerminalSpeed(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:GetTerminalSpeedMinValue vtkStreamerGetTerminalSpeedMinValueFunction
//input a0 
//output y
ArrayVector vtkStreamerGetTerminalSpeedMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTerminalSpeedMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTerminalSpeedMinValue for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTerminalSpeedMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:GetTerminalSpeedMaxValue vtkStreamerGetTerminalSpeedMaxValueFunction
//input a0 
//output y
ArrayVector vtkStreamerGetTerminalSpeedMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTerminalSpeedMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTerminalSpeedMaxValue for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTerminalSpeedMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:GetTerminalSpeed vtkStreamerGetTerminalSpeedFunction
//input a0 
//output y
ArrayVector vtkStreamerGetTerminalSpeedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTerminalSpeed (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTerminalSpeed for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTerminalSpeed();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:SetVorticity vtkStreamerSetVorticityFunction
//input a0 a1 
//output none
ArrayVector vtkStreamerSetVorticityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVorticity (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetVorticity for class vtkStreamer requires 2 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetVorticity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:GetVorticity vtkStreamerGetVorticityFunction
//input a0 
//output y
ArrayVector vtkStreamerGetVorticityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVorticity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVorticity for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVorticity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:VorticityOn vtkStreamerVorticityOnFunction
//input a0 
//output none
ArrayVector vtkStreamerVorticityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void VorticityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function VorticityOn for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  vtk_pointer->VorticityOn();
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:VorticityOff vtkStreamerVorticityOffFunction
//input a0 
//output none
ArrayVector vtkStreamerVorticityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void VorticityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function VorticityOff for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  vtk_pointer->VorticityOff();
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:SetNumberOfThreads vtkStreamerSetNumberOfThreadsFunction
//input a0 a1 
//output none
ArrayVector vtkStreamerSetNumberOfThreadsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfThreads (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfThreads for class vtkStreamer requires 2 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfThreads(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:GetNumberOfThreads vtkStreamerGetNumberOfThreadsFunction
//input a0 
//output y
ArrayVector vtkStreamerGetNumberOfThreadsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfThreads (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfThreads for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfThreads();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:SetSavePointInterval vtkStreamerSetSavePointIntervalFunction
//input a0 a1 
//output none
ArrayVector vtkStreamerSetSavePointIntervalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSavePointInterval (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSavePointInterval for class vtkStreamer requires 2 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetSavePointInterval(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:GetSavePointInterval vtkStreamerGetSavePointIntervalFunction
//input a0 
//output y
ArrayVector vtkStreamerGetSavePointIntervalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSavePointInterval (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSavePointInterval for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSavePointInterval();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:SetIntegrator vtkStreamerSetIntegratorFunction
//input a0 a1 
//output none
ArrayVector vtkStreamerSetIntegratorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIntegrator (vtkInitialValueProblemSolver *); */
  if (arg.size() < 2) 
    throw Exception("Function SetIntegrator for class vtkStreamer requires 2 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  vtkInitialValueProblemSolver  *temp0;
  temp0 = GetVTKPointer<vtkInitialValueProblemSolver>(arg[1]);
  vtk_pointer->SetIntegrator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:GetIntegrator vtkStreamerGetIntegratorFunction
//input a0 
//output y
ArrayVector vtkStreamerGetIntegratorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInitialValueProblemSolver *GetIntegrator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIntegrator for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  vtkInitialValueProblemSolver  *temp20;
  temp20 = (vtk_pointer)->GetIntegrator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInitialValueProblemSolver",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:SetEpsilon vtkStreamerSetEpsilonFunction
//input a0 a1 
//output none
ArrayVector vtkStreamerSetEpsilonFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEpsilon (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEpsilon for class vtkStreamer requires 2 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetEpsilon(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:GetEpsilon vtkStreamerGetEpsilonFunction
//input a0 
//output y
ArrayVector vtkStreamerGetEpsilonFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEpsilon (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEpsilon for class vtkStreamer requires 1 argument(s)");
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEpsilon();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamer:SetStartLocation vtkStreamerSetStartLocationFunction
//input varargin
//output varargout
ArrayVector vtkStreamerSetStartLocationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkStreamerSetStartLocation__1Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]))
    return vtkStreamerSetStartLocation__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkStreamerSetStartLocation");
}

//@@Signature
//sfunction @vtkStreamer:SetStartPosition vtkStreamerSetStartPositionFunction
//input varargin
//output varargout
ArrayVector vtkStreamerSetStartPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkStreamerSetStartPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkStreamerSetStartPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkStreamerSetStartPosition");
}

//@@Signature
//sfunction @vtkStreamer:display vtkStreamerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStreamerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStreamer* vtk_pointer = GetVTKPointer<vtkStreamer>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStreamer:delete vtkStreamerDeleteFunction
//input varargin
//output none
ArrayVector vtkStreamerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStreamer
//@@Section VTKGraphics
//@@Usage
// vtkStreamer is a filter that integrates a massless particle through a vector
// field. The integration is performed using second order Runge-Kutta method. 
// vtkStreamer often serves as a base class for other classes that perform 
// numerical integration through a vector field (e.g., vtkStreamLine).
//
// Note that vtkStreamer can integrate both forward and backward in time,
// or in both directions. The length of the streamer is controlled by 
// specifying an elapsed time. (The elapsed time is the time each particle 
// travels.) Otherwise, the integration terminates after exiting the dataset or
// if the particle speed is reduced to a value less than the terminal speed.
//
// vtkStreamer integrates through any type of dataset. As a result, if the 
// dataset contains 2D cells such as polygons or triangles, the integration is
// constrained to lie on the surface defined by the 2D cells.
//
// The starting point of streamers may be defined in three different ways.
// Starting from global x-y-z "position" allows you to start a single streamer
// at a specified x-y-z coordinate. Starting from "location" allows you to 
// start at a specified cell, subId, and parametric coordinate. Finally, you 
// may specify a source object to start multiple streamers. If you start 
// streamers using a source object, for each point in the source that is 
// inside the dataset a streamer is created.
//
// vtkStreamer implements the integration process in the Integrate() method.
// Because vtkStreamer does not implement the Execute() method that its 
// superclass (i.e., Filter) requires, it is an abstract class. Its subclasses
// implement the execute method and use the Integrate() method, and then build
// their own representation of the integration path (i.e., lines, dashed 
// lines, points, etc.).
//
//To create an instance of class vtkStreamer, simply
//invoke its constructor as follows
//@[
//  obj = vtkStreamer
//@]
//@@Methods
//The class vtkStreamer has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStreamer class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStreamer = obj.NewInstance ()|
// \item @|vtkStreamer = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetStartLocation (vtkIdType cellId, int subId, double pcoords[3])| -  Specify the start of the streamline in the cell coordinate system. That
// is, cellId and subId (if composite cell), and parametric coordinates.
//// \item @|obj.SetStartLocation (vtkIdType cellId, int subId, double r, double s, double t)| -  Specify the start of the streamline in the cell coordinate system. That
// is, cellId and subId (if composite cell), and parametric coordinates.
//// \item @|obj.SetStartPosition (double x[3])| -  Specify the start of the streamline in the global coordinate
// system. Search must be performed to find initial cell to start
// integration from.
//// \item @|obj.SetStartPosition (double x, double y, double z)| -  Specify the start of the streamline in the global coordinate
// system. Search must be performed to find initial cell to start
// integration from.
//// \item @|double = obj.GetStartPosition ()| -  Get the start position in global x-y-z coordinates.
//// \item @|obj.SetSource (vtkDataSet source)| -  Specify the source object used to generate starting points.
//// \item @|vtkDataSet = obj.GetSource ()| -  Specify the source object used to generate starting points.
//// \item @|obj.SetMaximumPropagationTime (double )| -  Specify the maximum length of the Streamer expressed in elapsed time.
//// \item @|double = obj.GetMaximumPropagationTimeMinValue ()| -  Specify the maximum length of the Streamer expressed in elapsed time.
//// \item @|double = obj.GetMaximumPropagationTimeMaxValue ()| -  Specify the maximum length of the Streamer expressed in elapsed time.
//// \item @|double = obj.GetMaximumPropagationTime ()| -  Specify the maximum length of the Streamer expressed in elapsed time.
//// \item @|obj.SetIntegrationDirection (int )| -  Specify the direction in which to integrate the Streamer.
//// \item @|int = obj.GetIntegrationDirectionMinValue ()| -  Specify the direction in which to integrate the Streamer.
//// \item @|int = obj.GetIntegrationDirectionMaxValue ()| -  Specify the direction in which to integrate the Streamer.
//// \item @|int = obj.GetIntegrationDirection ()| -  Specify the direction in which to integrate the Streamer.
//// \item @|obj.SetIntegrationDirectionToForward ()| -  Specify the direction in which to integrate the Streamer.
//// \item @|obj.SetIntegrationDirectionToBackward ()| -  Specify the direction in which to integrate the Streamer.
//// \item @|obj.SetIntegrationDirectionToIntegrateBothDirections ()| -  Specify the direction in which to integrate the Streamer.
//// \item @|string = obj.GetIntegrationDirectionAsString ()| -  Specify the direction in which to integrate the Streamer.
//// \item @|obj.SetIntegrationStepLength (double )| -  Specify a nominal integration step size (expressed as a fraction of
// the size of each cell). This value can be larger than 1.
//// \item @|double = obj.GetIntegrationStepLengthMinValue ()| -  Specify a nominal integration step size (expressed as a fraction of
// the size of each cell). This value can be larger than 1.
//// \item @|double = obj.GetIntegrationStepLengthMaxValue ()| -  Specify a nominal integration step size (expressed as a fraction of
// the size of each cell). This value can be larger than 1.
//// \item @|double = obj.GetIntegrationStepLength ()| -  Specify a nominal integration step size (expressed as a fraction of
// the size of each cell). This value can be larger than 1.
//// \item @|obj.SetSpeedScalars (int )| -  Turn on/off the creation of scalar data from velocity magnitude. If off,
// and input dataset has scalars, input dataset scalars are used.
//// \item @|int = obj.GetSpeedScalars ()| -  Turn on/off the creation of scalar data from velocity magnitude. If off,
// and input dataset has scalars, input dataset scalars are used.
//// \item @|obj.SpeedScalarsOn ()| -  Turn on/off the creation of scalar data from velocity magnitude. If off,
// and input dataset has scalars, input dataset scalars are used.
//// \item @|obj.SpeedScalarsOff ()| -  Turn on/off the creation of scalar data from velocity magnitude. If off,
// and input dataset has scalars, input dataset scalars are used.
//// \item @|obj.SetOrientationScalars (int )| -  Turn on/off the creation of scalar data from vorticity information. 
// The scalar information is currently the orientation value "theta"
// used in rotating stream tubes. If off, and input dataset has scalars,
// then input dataset scalars are used, unless SpeedScalars is also on.
// SpeedScalars takes precedence over OrientationScalars.
//// \item @|int = obj.GetOrientationScalars ()| -  Turn on/off the creation of scalar data from vorticity information. 
// The scalar information is currently the orientation value "theta"
// used in rotating stream tubes. If off, and input dataset has scalars,
// then input dataset scalars are used, unless SpeedScalars is also on.
// SpeedScalars takes precedence over OrientationScalars.
//// \item @|obj.OrientationScalarsOn ()| -  Turn on/off the creation of scalar data from vorticity information. 
// The scalar information is currently the orientation value "theta"
// used in rotating stream tubes. If off, and input dataset has scalars,
// then input dataset scalars are used, unless SpeedScalars is also on.
// SpeedScalars takes precedence over OrientationScalars.
//// \item @|obj.OrientationScalarsOff ()| -  Turn on/off the creation of scalar data from vorticity information. 
// The scalar information is currently the orientation value "theta"
// used in rotating stream tubes. If off, and input dataset has scalars,
// then input dataset scalars are used, unless SpeedScalars is also on.
// SpeedScalars takes precedence over OrientationScalars.
//// \item @|obj.SetTerminalSpeed (double )| -  Set/get terminal speed (i.e., speed is velocity magnitude).  Terminal 
// speed is speed at which streamer will terminate propagation.
//// \item @|double = obj.GetTerminalSpeedMinValue ()| -  Set/get terminal speed (i.e., speed is velocity magnitude).  Terminal 
// speed is speed at which streamer will terminate propagation.
//// \item @|double = obj.GetTerminalSpeedMaxValue ()| -  Set/get terminal speed (i.e., speed is velocity magnitude).  Terminal 
// speed is speed at which streamer will terminate propagation.
//// \item @|double = obj.GetTerminalSpeed ()| -  Set/get terminal speed (i.e., speed is velocity magnitude).  Terminal 
// speed is speed at which streamer will terminate propagation.
//// \item @|obj.SetVorticity (int )| -  Turn on/off the computation of vorticity. Vorticity is an indication of
// the rotation of the flow. In combination with vtkStreamLine and 
// vtkTubeFilter can be used to create rotated tubes. 
// If vorticity is turned on, in the output, the velocity vectors 
// are replaced by vorticity vectors.
//// \item @|int = obj.GetVorticity ()| -  Turn on/off the computation of vorticity. Vorticity is an indication of
// the rotation of the flow. In combination with vtkStreamLine and 
// vtkTubeFilter can be used to create rotated tubes. 
// If vorticity is turned on, in the output, the velocity vectors 
// are replaced by vorticity vectors.
//// \item @|obj.VorticityOn ()| -  Turn on/off the computation of vorticity. Vorticity is an indication of
// the rotation of the flow. In combination with vtkStreamLine and 
// vtkTubeFilter can be used to create rotated tubes. 
// If vorticity is turned on, in the output, the velocity vectors 
// are replaced by vorticity vectors.
//// \item @|obj.VorticityOff ()| -  Turn on/off the computation of vorticity. Vorticity is an indication of
// the rotation of the flow. In combination with vtkStreamLine and 
// vtkTubeFilter can be used to create rotated tubes. 
// If vorticity is turned on, in the output, the velocity vectors 
// are replaced by vorticity vectors.
//// \item @|obj.SetNumberOfThreads (int )|
// \item @|int = obj.GetNumberOfThreads ()|
// \item @|obj.SetSavePointInterval (double )|
// \item @|double = obj.GetSavePointInterval ()|
// \item @|obj.SetIntegrator (vtkInitialValueProblemSolver )| -  Set/get the integrator type to be used in the stream line
// calculation. The object passed is not actually used but
// is cloned with NewInstance by each thread/process in the
// process of integration (prototype pattern). The default is 
// 2nd order Runge Kutta.
//// \item @|vtkInitialValueProblemSolver = obj.GetIntegrator ()| -  Set/get the integrator type to be used in the stream line
// calculation. The object passed is not actually used but
// is cloned with NewInstance by each thread/process in the
// process of integration (prototype pattern). The default is 
// 2nd order Runge Kutta.
//// \item @|obj.SetEpsilon (double )| -  A positive value, as small as possible for numerical comparison.
// The initial value is 1E-12.
//// \item @|double = obj.GetEpsilon ()| -  A positive value, as small as possible for numerical comparison.
// The initial value is 1E-12.
////\end{itemize}
//!
