#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStreamingTessellator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStreamingTessellator.h"

//@@Signature
//sfunction @vtkStreamingTessellator:vtkStreamingTessellator vtkStreamingTessellatorConstructorFunction
//input a
//output p
//@@Parents vtkStreamingTessellator vtkObject 
ArrayVector vtkStreamingTessellatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStreamingTessellator::New(),"vtkStreamingTessellator",eval);
  } else if (arg[0].className() == "vtkStreamingTessellator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStreamingTessellator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStreamingTessellator");
    vtkStreamingTessellator*q = reinterpret_cast<vtkStreamingTessellator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStreamingTessellator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStreamingTessellator:GetClassName vtkStreamingTessellatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStreamingTessellatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStreamingTessellator requires 1 argument(s)");
  vtkStreamingTessellator* vtk_pointer = GetVTKPointer<vtkStreamingTessellator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamingTessellator:IsA vtkStreamingTessellatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStreamingTessellatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStreamingTessellator requires 2 argument(s)");
  vtkStreamingTessellator* vtk_pointer = GetVTKPointer<vtkStreamingTessellator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamingTessellator:NewInstance vtkStreamingTessellatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStreamingTessellatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStreamingTessellator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStreamingTessellator requires 1 argument(s)");
  vtkStreamingTessellator* vtk_pointer = GetVTKPointer<vtkStreamingTessellator>(arg[0]);
  Array retval;
  vtkStreamingTessellator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStreamingTessellator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStreamingTessellator:SafeDownCast vtkStreamingTessellatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStreamingTessellatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStreamingTessellator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStreamingTessellator requires 2 argument(s)");
  vtkStreamingTessellator* vtk_pointer = GetVTKPointer<vtkStreamingTessellator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStreamingTessellator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStreamingTessellator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStreamingTessellator:SetSubdivisionAlgorithm vtkStreamingTessellatorSetSubdivisionAlgorithmFunction
//input a0 a1 
//output none
ArrayVector vtkStreamingTessellatorSetSubdivisionAlgorithmFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSubdivisionAlgorithm (vtkEdgeSubdivisionCriterion *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSubdivisionAlgorithm for class vtkStreamingTessellator requires 2 argument(s)");
  vtkStreamingTessellator* vtk_pointer = GetVTKPointer<vtkStreamingTessellator>(arg[0]);
  Array retval;
  vtkEdgeSubdivisionCriterion  *temp0;
  temp0 = GetVTKPointer<vtkEdgeSubdivisionCriterion>(arg[1]);
  vtk_pointer->SetSubdivisionAlgorithm(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamingTessellator:GetSubdivisionAlgorithm vtkStreamingTessellatorGetSubdivisionAlgorithmFunction
//input a0 
//output y
ArrayVector vtkStreamingTessellatorGetSubdivisionAlgorithmFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkEdgeSubdivisionCriterion *GetSubdivisionAlgorithm (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSubdivisionAlgorithm for class vtkStreamingTessellator requires 1 argument(s)");
  vtkStreamingTessellator* vtk_pointer = GetVTKPointer<vtkStreamingTessellator>(arg[0]);
  Array retval;
  vtkEdgeSubdivisionCriterion  *temp20;
  temp20 = (vtk_pointer)->GetSubdivisionAlgorithm();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEdgeSubdivisionCriterion",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStreamingTessellator:SetEmbeddingDimension vtkStreamingTessellatorSetEmbeddingDimensionFunction
//input a0 a1 a2 
//output none
ArrayVector vtkStreamingTessellatorSetEmbeddingDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEmbeddingDimension (int k, int d); */
  if (arg.size() < 3) 
    throw Exception("Function SetEmbeddingDimension for class vtkStreamingTessellator requires 3 argument(s)");
  vtkStreamingTessellator* vtk_pointer = GetVTKPointer<vtkStreamingTessellator>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetEmbeddingDimension(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkStreamingTessellator:GetEmbeddingDimension vtkStreamingTessellatorGetEmbeddingDimensionFunction
//input a0 a1 
//output y
ArrayVector vtkStreamingTessellatorGetEmbeddingDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEmbeddingDimension (int k) const; */
  if (arg.size() < 2) 
    throw Exception("Function GetEmbeddingDimension for class vtkStreamingTessellator requires 2 argument(s)");
  vtkStreamingTessellator* vtk_pointer = GetVTKPointer<vtkStreamingTessellator>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetEmbeddingDimension(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamingTessellator:SetFieldSize vtkStreamingTessellatorSetFieldSizeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkStreamingTessellatorSetFieldSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetFieldSize (int k, int s); */
  if (arg.size() < 3) 
    throw Exception("Function SetFieldSize for class vtkStreamingTessellator requires 3 argument(s)");
  vtkStreamingTessellator* vtk_pointer = GetVTKPointer<vtkStreamingTessellator>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetFieldSize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkStreamingTessellator:GetFieldSize vtkStreamingTessellatorGetFieldSizeFunction
//input a0 a1 
//output y
ArrayVector vtkStreamingTessellatorGetFieldSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFieldSize (int k) const; */
  if (arg.size() < 2) 
    throw Exception("Function GetFieldSize for class vtkStreamingTessellator requires 2 argument(s)");
  vtkStreamingTessellator* vtk_pointer = GetVTKPointer<vtkStreamingTessellator>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetFieldSize(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamingTessellator:SetMaximumNumberOfSubdivisions vtkStreamingTessellatorSetMaximumNumberOfSubdivisionsFunction
//input a0 a1 
//output none
ArrayVector vtkStreamingTessellatorSetMaximumNumberOfSubdivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetMaximumNumberOfSubdivisions (int num_subdiv_in); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumNumberOfSubdivisions for class vtkStreamingTessellator requires 2 argument(s)");
  vtkStreamingTessellator* vtk_pointer = GetVTKPointer<vtkStreamingTessellator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximumNumberOfSubdivisions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamingTessellator:GetMaximumNumberOfSubdivisions vtkStreamingTessellatorGetMaximumNumberOfSubdivisionsFunction
//input a0 
//output y
ArrayVector vtkStreamingTessellatorGetMaximumNumberOfSubdivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumNumberOfSubdivisions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumNumberOfSubdivisions for class vtkStreamingTessellator requires 1 argument(s)");
  vtkStreamingTessellator* vtk_pointer = GetVTKPointer<vtkStreamingTessellator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumNumberOfSubdivisions();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamingTessellator:AdaptivelySample3Facet__1 vtkStreamingTessellatorAdaptivelySample3Facet__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkStreamingTessellatorAdaptivelySample3Facet__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AdaptivelySample3Facet (double *v1, double *v2, double *v3, double *v4) const; */
  if (arg.size() < 5) 
    throw Exception("Function AdaptivelySample3Facet__1 for class vtkStreamingTessellator requires 5 argument(s)");
  vtkStreamingTessellator* vtk_pointer = GetVTKPointer<vtkStreamingTessellator>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  double  *temp2;
  double  *temp3;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new double[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
      }
  vtk_pointer->AdaptivelySample3Facet(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkStreamingTessellator:AdaptivelySample2Facet__1 vtkStreamingTessellatorAdaptivelySample2Facet__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkStreamingTessellatorAdaptivelySample2Facet__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AdaptivelySample2Facet (double *v1, double *v2, double *v3) const; */
  if (arg.size() < 4) 
    throw Exception("Function AdaptivelySample2Facet__1 for class vtkStreamingTessellator requires 4 argument(s)");
  vtkStreamingTessellator* vtk_pointer = GetVTKPointer<vtkStreamingTessellator>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  double  *temp2;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  vtk_pointer->AdaptivelySample2Facet(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkStreamingTessellator:AdaptivelySample1Facet__1 vtkStreamingTessellatorAdaptivelySample1Facet__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkStreamingTessellatorAdaptivelySample1Facet__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AdaptivelySample1Facet (double *v1, double *v2) const; */
  if (arg.size() < 3) 
    throw Exception("Function AdaptivelySample1Facet__1 for class vtkStreamingTessellator requires 3 argument(s)");
  vtkStreamingTessellator* vtk_pointer = GetVTKPointer<vtkStreamingTessellator>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->AdaptivelySample1Facet(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkStreamingTessellator:AdaptivelySample0Facet vtkStreamingTessellatorAdaptivelySample0FacetFunction
//input a0 a1 
//output none
ArrayVector vtkStreamingTessellatorAdaptivelySample0FacetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AdaptivelySample0Facet (double *v1) const; */
  if (arg.size() < 2) 
    throw Exception("Function AdaptivelySample0Facet for class vtkStreamingTessellator requires 2 argument(s)");
  vtkStreamingTessellator* vtk_pointer = GetVTKPointer<vtkStreamingTessellator>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->AdaptivelySample0Facet(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamingTessellator:ResetCounts vtkStreamingTessellatorResetCountsFunction
//input a0 
//output none
ArrayVector vtkStreamingTessellatorResetCountsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ResetCounts ();for int i i i this CaseCounts i for int j j j this SubcaseCounts i j  */
  if (arg.size() < 1) 
    throw Exception("Function ResetCounts for class vtkStreamingTessellator requires 1 argument(s)");
  vtkStreamingTessellator* vtk_pointer = GetVTKPointer<vtkStreamingTessellator>(arg[0]);
  Array retval;
  vtk_pointer->ResetCounts();
  return retval;
}

//@@Signature
//sfunction @vtkStreamingTessellator:GetCaseCount vtkStreamingTessellatorGetCaseCountFunction
//input a0 a1 
//output y
ArrayVector vtkStreamingTessellatorGetCaseCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetCaseCount (int c);return this CaseCounts c void c return  */
  if (arg.size() < 2) 
    throw Exception("Function GetCaseCount for class vtkStreamingTessellator requires 2 argument(s)");
  vtkStreamingTessellator* vtk_pointer = GetVTKPointer<vtkStreamingTessellator>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCaseCount(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamingTessellator:GetSubcaseCount vtkStreamingTessellatorGetSubcaseCountFunction
//input a0 a1 a2 
//output y
ArrayVector vtkStreamingTessellatorGetSubcaseCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetSubcaseCount (int casenum, int sub);return this SubcaseCounts casenum sub void casenum void sub return  */
  if (arg.size() < 3) 
    throw Exception("Function GetSubcaseCount for class vtkStreamingTessellator requires 3 argument(s)");
  vtkStreamingTessellator* vtk_pointer = GetVTKPointer<vtkStreamingTessellator>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetSubcaseCount(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamingTessellator:AdaptivelySample3Facet vtkStreamingTessellatorAdaptivelySample3FacetFunction
//input varargin
//output varargout
ArrayVector vtkStreamingTessellatorAdaptivelySample3FacetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]) && VTKIsVectorArg(arg[4]))
    return vtkStreamingTessellatorAdaptivelySample3Facet__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkStreamingTessellatorAdaptivelySample3Facet");
}

//@@Signature
//sfunction @vtkStreamingTessellator:AdaptivelySample2Facet vtkStreamingTessellatorAdaptivelySample2FacetFunction
//input varargin
//output varargout
ArrayVector vtkStreamingTessellatorAdaptivelySample2FacetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkStreamingTessellatorAdaptivelySample2Facet__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkStreamingTessellatorAdaptivelySample2Facet");
}

//@@Signature
//sfunction @vtkStreamingTessellator:AdaptivelySample1Facet vtkStreamingTessellatorAdaptivelySample1FacetFunction
//input varargin
//output varargout
ArrayVector vtkStreamingTessellatorAdaptivelySample1FacetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkStreamingTessellatorAdaptivelySample1Facet__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkStreamingTessellatorAdaptivelySample1Facet");
}

//@@Signature
//sfunction @vtkStreamingTessellator:display vtkStreamingTessellatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStreamingTessellatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStreamingTessellator* vtk_pointer = GetVTKPointer<vtkStreamingTessellator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStreamingTessellator:delete vtkStreamingTessellatorDeleteFunction
//input varargin
//output none
ArrayVector vtkStreamingTessellatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStreamingTessellator
//@@Section VTKGraphics
//@@Usage
// This class is a simple algorithm that takes a single starting simplex -- a
// tetrahedron, triangle, or line segment -- and calls a function you
// pass it with (possibly many times) tetrahedra, triangles, or lines
// adaptively sampled from the one you specified. It
// uses an algorithm you specify to control the level of adaptivity.
//
// This class does not create vtkUnstructuredGrid output because it is
// intended for use in mappers as well as filters. Instead, it
// calls the registered function with simplices as they are
// created.
//
// The subdivision algorithm should change the vertex
// coordinates (it must change both geometric and, if desired, parametric
// coordinates) of the midpoint. These coordinates need not be
// changed unless the EvaluateEdge() member returns true.
// The vtkStreamingTessellator itself has no way of creating
// a more accurate midpoint vertex.
//
// Here's how to use this class:
// - Call AdaptivelySample1Facet, AdaptivelySample2Facet, or
//   AdaptivelySample3Facet, with an edge, triangle, or
//   tetrahedron you want tessellated.
// - The adaptive tessellator classifies each edge by passing
//   the midpoint values to the vtkEdgeSubdivisionCriterion.
// - After each edge is classified, the tessellator subdivides
//   edges as required until the subdivision criterion is
//   satisfied or the maximum subdivision depth has been
//   reached.
// - Edges, triangles, or tetrahedra connecting the vertices
//   generated by the subdivision algorithm are processed by
//   calling the user-defined callback functions (set with 
//   SetTetrahedronCallback(), SetTriangleCallback(),
//   or SetEdgeCallback() ).
//
// .SECTION Warning
// Note that the vertices passed to AdaptivelySample3Facet, AdaptivelySample2Facet,
// or AdaptivelySample1Facet must be at least 6, 5, or 4 entries long, respectively!
// This is because the &lt;r,s,t&gt;, &lt;r,s&gt;, or &lt;r&gt;
// parametric coordinates of the vertices are maintained as the
// facet is subdivided. This information is often
// required by the subdivision algorithm in order to compute
// an error metric. You may change the number of parametric coordinates
// associated with each vertex using vtkStreamingTessellator::SetEmbeddingDimension().
//
// .SECTION Interpolating Field Values
// If you wish, you may also use \p vtkStreamingTessellator to interpolate field
// values at newly created vertices. Interpolated field values are stored just beyond
// the parametric coordinates associated with a vertex. They will always be \p double
// values; it does not make sense to interpolate a boolean or string value and your
// output and subdivision subroutines may always cast to a \p float or use \p floor() to
// truncate an interpolated value to an integer.
//
//
//To create an instance of class vtkStreamingTessellator, simply
//invoke its constructor as follows
//@[
//  obj = vtkStreamingTessellator
//@]
//@@Methods
//The class vtkStreamingTessellator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStreamingTessellator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStreamingTessellator = obj.NewInstance ()|
// \item @|vtkStreamingTessellator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetSubdivisionAlgorithm (vtkEdgeSubdivisionCriterion )| -  Get/Set the algorithm used to determine whether an edge should be
// subdivided or left as-is. This is used once for each call to
// AdaptivelySample1Facet (which is recursive and will call itself
// resulting in additional edges to be checked) or three times for
// each call to AdaptivelySample2Facet (also recursive).
//// \item @|vtkEdgeSubdivisionCriterion = obj.GetSubdivisionAlgorithm ()| -  Get/Set the algorithm used to determine whether an edge should be
// subdivided or left as-is. This is used once for each call to
// AdaptivelySample1Facet (which is recursive and will call itself
// resulting in additional edges to be checked) or three times for
// each call to AdaptivelySample2Facet (also recursive).
//// \item @|obj.SetEmbeddingDimension (int k, int d)| -  Get/Set the number of parameter-space coordinates associated with each input and output point.
// The default is \a k for \a k -facets. You may
// specify a different dimension, \a d, for each type of \a k -facet to be processed.
// For example, \p SetEmbeddingDimension( \p 2, \p 3 ) would associate \a r, \a s, and
// \a t coordinates with each input and output point generated by \p AdaptivelySample2Facet
// but does not say anything about input or output points generated by
// \p AdaptivelySample1Facet. 
// Call \p SetEmbeddingDimension( \p -1, \a d ) to specify the same dimension for
// all possible \a k values.
// \a d may not exceed 8, as that would be plain silly.
//// \item @|int = obj.GetEmbeddingDimension (int k) const| -  Get/Set the number of parameter-space coordinates associated with each input and output point.
// The default is \a k for \a k -facets. You may
// specify a different dimension, \a d, for each type of \a k -facet to be processed.
// For example, \p SetEmbeddingDimension( \p 2, \p 3 ) would associate \a r, \a s, and
// \a t coordinates with each input and output point generated by \p AdaptivelySample2Facet
// but does not say anything about input or output points generated by
// \p AdaptivelySample1Facet. 
// Call \p SetEmbeddingDimension( \p -1, \a d ) to specify the same dimension for
// all possible \a k values.
// \a d may not exceed 8, as that would be plain silly.
//// \item @|obj.SetFieldSize (int k, int s)| -  Get/Set the number of field value coordinates associated with each input and output point.
// The default is 0; no field values are interpolated.
// You may specify a different size, \a s, for each type of \a k -facet to be processed.
// For example, \p SetFieldSize( \p 2, \p 3 ) would associate 3 field value coordinates
// with each input and output point of an \p AdaptivelySample2Facet call,
// but does not say anything about input or output points of \p AdaptivelySample1Facet. 
// Call \p SetFieldSize( \p -1, \a s ) to specify the same dimension for all possible \a k values.
// \a s may not exceed vtkStreamingTessellator::MaxFieldSize.
// This is a compile-time constant that defaults to 18, which is large enough for
// a scalar, vector, tensor, normal, and texture coordinate to be included at each point.
//
// Normally, you will not call \a SetFieldSize() directly; instead, subclasses of
// vtkEdgeSubdivisionCriterion, such as vtkShoeMeshSubdivisionAlgorithm, will call it
// for you.
//
// In any event, setting \a FieldSize to a non-zero value means you must pass field
// values to the \p AdaptivelySamplekFacet routines; For example,
// @verbatim
//    vtkStreamingTessellator* t = vtkStreamingTessellator::New();
//    t->SetFieldSize( 1, 3 );
//    t->SetEmbeddingDimension( 1, 1 ); // not really required, this is the default
//    double p0[3+1+3] = { x0, y0, z0, r0, fx0, fy0, fz0 };
//    double p1[3+1+3] = { x1, y1, z1, r1, fx1, fy1, fz1 };
//    t->AdaptivelySample1Facet( p0, p1 );
// @endverbatim
// This would adaptively sample an curve (1-facet) with geometry and
// a vector field at every output point on the curve.
//// \item @|int = obj.GetFieldSize (int k) const| -  Get/Set the number of field value coordinates associated with each input and output point.
// The default is 0; no field values are interpolated.
// You may specify a different size, \a s, for each type of \a k -facet to be processed.
// For example, \p SetFieldSize( \p 2, \p 3 ) would associate 3 field value coordinates
// with each input and output point of an \p AdaptivelySample2Facet call,
// but does not say anything about input or output points of \p AdaptivelySample1Facet. 
// Call \p SetFieldSize( \p -1, \a s ) to specify the same dimension for all possible \a k values.
// \a s may not exceed vtkStreamingTessellator::MaxFieldSize.
// This is a compile-time constant that defaults to 18, which is large enough for
// a scalar, vector, tensor, normal, and texture coordinate to be included at each point.
//
// Normally, you will not call \a SetFieldSize() directly; instead, subclasses of
// vtkEdgeSubdivisionCriterion, such as vtkShoeMeshSubdivisionAlgorithm, will call it
// for you.
//
// In any event, setting \a FieldSize to a non-zero value means you must pass field
// values to the \p AdaptivelySamplekFacet routines; For example,
// @verbatim
//    vtkStreamingTessellator* t = vtkStreamingTessellator::New();
//    t->SetFieldSize( 1, 3 );
//    t->SetEmbeddingDimension( 1, 1 ); // not really required, this is the default
//    double p0[3+1+3] = { x0, y0, z0, r0, fx0, fy0, fz0 };
//    double p1[3+1+3] = { x1, y1, z1, r1, fx1, fy1, fz1 };
//    t->AdaptivelySample1Facet( p0, p1 );
// @endverbatim
// This would adaptively sample an curve (1-facet) with geometry and
// a vector field at every output point on the curve.
//// \item @|obj.SetMaximumNumberOfSubdivisions (int num_subdiv_in)| -  Get/Set the maximum number of subdivisions that may occur.
//// \item @|int = obj.GetMaximumNumberOfSubdivisions ()| -  Get/Set the maximum number of subdivisions that may occur.
//// \item @|obj.AdaptivelySample3Facet (double v1, double v2, double v3, double v4) const| -  This will adaptively subdivide the tetrahedron (3-facet),
// triangle (2-facet), or edge (1-facet) until the subdivision
// algorithm returns false for every edge or the maximum recursion
// depth is reached.
//
// Use \p SetMaximumNumberOfSubdivisions to change the maximum
// recursion depth.
//
// The AdaptivelySample0Facet method is provided as a convenience.
// Obviously, there is no way to adaptively subdivide a vertex.
// Instead the input vertex is passed unchanged to the output
// via a call to the registered VertexProcessorFunction callback.
//
// .SECTION Warning
// This assumes that you have called SetSubdivisionAlgorithm(),
// SetEdgeCallback(), SetTriangleCallback(), and SetTetrahedronCallback()
// with valid values!
//// \item @|obj.AdaptivelySample2Facet (double v1, double v2, double v3) const| -  This will adaptively subdivide the tetrahedron (3-facet),
// triangle (2-facet), or edge (1-facet) until the subdivision
// algorithm returns false for every edge or the maximum recursion
// depth is reached.
//
// Use \p SetMaximumNumberOfSubdivisions to change the maximum
// recursion depth.
//
// The AdaptivelySample0Facet method is provided as a convenience.
// Obviously, there is no way to adaptively subdivide a vertex.
// Instead the input vertex is passed unchanged to the output
// via a call to the registered VertexProcessorFunction callback.
//
// .SECTION Warning
// This assumes that you have called SetSubdivisionAlgorithm(),
// SetEdgeCallback(), SetTriangleCallback(), and SetTetrahedronCallback()
// with valid values!
//// \item @|obj.AdaptivelySample1Facet (double v1, double v2) const| -  This will adaptively subdivide the tetrahedron (3-facet),
// triangle (2-facet), or edge (1-facet) until the subdivision
// algorithm returns false for every edge or the maximum recursion
// depth is reached.
//
// Use \p SetMaximumNumberOfSubdivisions to change the maximum
// recursion depth.
//
// The AdaptivelySample0Facet method is provided as a convenience.
// Obviously, there is no way to adaptively subdivide a vertex.
// Instead the input vertex is passed unchanged to the output
// via a call to the registered VertexProcessorFunction callback.
//
// .SECTION Warning
// This assumes that you have called SetSubdivisionAlgorithm(),
// SetEdgeCallback(), SetTriangleCallback(), and SetTetrahedronCallback()
// with valid values!
//// \item @|obj.AdaptivelySample0Facet (double v1) const| -  This will adaptively subdivide the tetrahedron (3-facet),
// triangle (2-facet), or edge (1-facet) until the subdivision
// algorithm returns false for every edge or the maximum recursion
// depth is reached.
//
// Use \p SetMaximumNumberOfSubdivisions to change the maximum
// recursion depth.
//
// The AdaptivelySample0Facet method is provided as a convenience.
// Obviously, there is no way to adaptively subdivide a vertex.
// Instead the input vertex is passed unchanged to the output
// via a call to the registered VertexProcessorFunction callback.
//
// .SECTION Warning
// This assumes that you have called SetSubdivisionAlgorithm(),
// SetEdgeCallback(), SetTriangleCallback(), and SetTetrahedronCallback()
// with valid values!
//// \item @|obj.ResetCounts ()| -  Reset/access the histogram of subdivision cases encountered.
// The histogram may be used to examine coverage during testing as well as characterizing the
// tessellation algorithm's performance.
// You should call ResetCounts() once, at the beginning of a stream of tetrahedra.
// It must be called before AdaptivelySample3Facet() to prevent uninitialized memory reads.
//
// These functions have no effect (and return 0) when PARAVIEW_DEBUG_TESSELLATOR has not been defined.
// By default, PARAVIEW_DEBUG_TESSELLATOR is not defined, and your code will be fast and efficient. Really!
//// \item @|vtkIdType = obj.GetCaseCount (int c)| -  Reset/access the histogram of subdivision cases encountered.
// The histogram may be used to examine coverage during testing as well as characterizing the
// tessellation algorithm's performance.
// You should call ResetCounts() once, at the beginning of a stream of tetrahedra.
// It must be called before AdaptivelySample3Facet() to prevent uninitialized memory reads.
//
// These functions have no effect (and return 0) when PARAVIEW_DEBUG_TESSELLATOR has not been defined.
// By default, PARAVIEW_DEBUG_TESSELLATOR is not defined, and your code will be fast and efficient. Really!
//// \item @|vtkIdType = obj.GetSubcaseCount (int casenum, int sub)|
//\end{itemize}
//!
