#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStripper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStripper.h"

//@@Signature
//sfunction @vtkStripper:vtkStripper vtkStripperConstructorFunction
//input a
//output p
//@@Parents vtkStripper vtkPolyDataAlgorithm 
ArrayVector vtkStripperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStripper::New(),"vtkStripper",eval);
  } else if (arg[0].className() == "vtkStripper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStripper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStripper");
    vtkStripper*q = reinterpret_cast<vtkStripper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStripper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStripper:GetClassName vtkStripperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStripperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStripper requires 1 argument(s)");
  vtkStripper* vtk_pointer = GetVTKPointer<vtkStripper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStripper:IsA vtkStripperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStripperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStripper requires 2 argument(s)");
  vtkStripper* vtk_pointer = GetVTKPointer<vtkStripper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStripper:NewInstance vtkStripperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStripperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStripper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStripper requires 1 argument(s)");
  vtkStripper* vtk_pointer = GetVTKPointer<vtkStripper>(arg[0]);
  Array retval;
  vtkStripper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStripper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStripper:SafeDownCast vtkStripperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStripperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStripper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStripper requires 2 argument(s)");
  vtkStripper* vtk_pointer = GetVTKPointer<vtkStripper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStripper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStripper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStripper:SetMaximumLength vtkStripperSetMaximumLengthFunction
//input a0 a1 
//output none
ArrayVector vtkStripperSetMaximumLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumLength (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumLength for class vtkStripper requires 2 argument(s)");
  vtkStripper* vtk_pointer = GetVTKPointer<vtkStripper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximumLength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStripper:GetMaximumLengthMinValue vtkStripperGetMaximumLengthMinValueFunction
//input a0 
//output y
ArrayVector vtkStripperGetMaximumLengthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumLengthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumLengthMinValue for class vtkStripper requires 1 argument(s)");
  vtkStripper* vtk_pointer = GetVTKPointer<vtkStripper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumLengthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStripper:GetMaximumLengthMaxValue vtkStripperGetMaximumLengthMaxValueFunction
//input a0 
//output y
ArrayVector vtkStripperGetMaximumLengthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumLengthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumLengthMaxValue for class vtkStripper requires 1 argument(s)");
  vtkStripper* vtk_pointer = GetVTKPointer<vtkStripper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumLengthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStripper:GetMaximumLength vtkStripperGetMaximumLengthFunction
//input a0 
//output y
ArrayVector vtkStripperGetMaximumLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumLength for class vtkStripper requires 1 argument(s)");
  vtkStripper* vtk_pointer = GetVTKPointer<vtkStripper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStripper:PassCellDataAsFieldDataOn vtkStripperPassCellDataAsFieldDataOnFunction
//input a0 
//output none
ArrayVector vtkStripperPassCellDataAsFieldDataOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassCellDataAsFieldDataOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PassCellDataAsFieldDataOn for class vtkStripper requires 1 argument(s)");
  vtkStripper* vtk_pointer = GetVTKPointer<vtkStripper>(arg[0]);
  Array retval;
  vtk_pointer->PassCellDataAsFieldDataOn();
  return retval;
}

//@@Signature
//sfunction @vtkStripper:PassCellDataAsFieldDataOff vtkStripperPassCellDataAsFieldDataOffFunction
//input a0 
//output none
ArrayVector vtkStripperPassCellDataAsFieldDataOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassCellDataAsFieldDataOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PassCellDataAsFieldDataOff for class vtkStripper requires 1 argument(s)");
  vtkStripper* vtk_pointer = GetVTKPointer<vtkStripper>(arg[0]);
  Array retval;
  vtk_pointer->PassCellDataAsFieldDataOff();
  return retval;
}

//@@Signature
//sfunction @vtkStripper:SetPassCellDataAsFieldData vtkStripperSetPassCellDataAsFieldDataFunction
//input a0 a1 
//output none
ArrayVector vtkStripperSetPassCellDataAsFieldDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPassCellDataAsFieldData (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPassCellDataAsFieldData for class vtkStripper requires 2 argument(s)");
  vtkStripper* vtk_pointer = GetVTKPointer<vtkStripper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPassCellDataAsFieldData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStripper:GetPassCellDataAsFieldData vtkStripperGetPassCellDataAsFieldDataFunction
//input a0 
//output y
ArrayVector vtkStripperGetPassCellDataAsFieldDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPassCellDataAsFieldData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPassCellDataAsFieldData for class vtkStripper requires 1 argument(s)");
  vtkStripper* vtk_pointer = GetVTKPointer<vtkStripper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPassCellDataAsFieldData();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStripper:SetPassThroughCellIds vtkStripperSetPassThroughCellIdsFunction
//input a0 a1 
//output none
ArrayVector vtkStripperSetPassThroughCellIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPassThroughCellIds (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPassThroughCellIds for class vtkStripper requires 2 argument(s)");
  vtkStripper* vtk_pointer = GetVTKPointer<vtkStripper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPassThroughCellIds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStripper:GetPassThroughCellIds vtkStripperGetPassThroughCellIdsFunction
//input a0 
//output y
ArrayVector vtkStripperGetPassThroughCellIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPassThroughCellIds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPassThroughCellIds for class vtkStripper requires 1 argument(s)");
  vtkStripper* vtk_pointer = GetVTKPointer<vtkStripper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPassThroughCellIds();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStripper:PassThroughCellIdsOn vtkStripperPassThroughCellIdsOnFunction
//input a0 
//output none
ArrayVector vtkStripperPassThroughCellIdsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassThroughCellIdsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PassThroughCellIdsOn for class vtkStripper requires 1 argument(s)");
  vtkStripper* vtk_pointer = GetVTKPointer<vtkStripper>(arg[0]);
  Array retval;
  vtk_pointer->PassThroughCellIdsOn();
  return retval;
}

//@@Signature
//sfunction @vtkStripper:PassThroughCellIdsOff vtkStripperPassThroughCellIdsOffFunction
//input a0 
//output none
ArrayVector vtkStripperPassThroughCellIdsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassThroughCellIdsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PassThroughCellIdsOff for class vtkStripper requires 1 argument(s)");
  vtkStripper* vtk_pointer = GetVTKPointer<vtkStripper>(arg[0]);
  Array retval;
  vtk_pointer->PassThroughCellIdsOff();
  return retval;
}

//@@Signature
//sfunction @vtkStripper:SetPassThroughPointIds vtkStripperSetPassThroughPointIdsFunction
//input a0 a1 
//output none
ArrayVector vtkStripperSetPassThroughPointIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPassThroughPointIds (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPassThroughPointIds for class vtkStripper requires 2 argument(s)");
  vtkStripper* vtk_pointer = GetVTKPointer<vtkStripper>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPassThroughPointIds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStripper:GetPassThroughPointIds vtkStripperGetPassThroughPointIdsFunction
//input a0 
//output y
ArrayVector vtkStripperGetPassThroughPointIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPassThroughPointIds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPassThroughPointIds for class vtkStripper requires 1 argument(s)");
  vtkStripper* vtk_pointer = GetVTKPointer<vtkStripper>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPassThroughPointIds();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStripper:PassThroughPointIdsOn vtkStripperPassThroughPointIdsOnFunction
//input a0 
//output none
ArrayVector vtkStripperPassThroughPointIdsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassThroughPointIdsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PassThroughPointIdsOn for class vtkStripper requires 1 argument(s)");
  vtkStripper* vtk_pointer = GetVTKPointer<vtkStripper>(arg[0]);
  Array retval;
  vtk_pointer->PassThroughPointIdsOn();
  return retval;
}

//@@Signature
//sfunction @vtkStripper:PassThroughPointIdsOff vtkStripperPassThroughPointIdsOffFunction
//input a0 
//output none
ArrayVector vtkStripperPassThroughPointIdsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassThroughPointIdsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PassThroughPointIdsOff for class vtkStripper requires 1 argument(s)");
  vtkStripper* vtk_pointer = GetVTKPointer<vtkStripper>(arg[0]);
  Array retval;
  vtk_pointer->PassThroughPointIdsOff();
  return retval;
}

//@@Signature
//sfunction @vtkStripper:display vtkStripperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStripperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStripper* vtk_pointer = GetVTKPointer<vtkStripper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStripper:delete vtkStripperDeleteFunction
//input varargin
//output none
ArrayVector vtkStripperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStripper
//@@Section VTKGraphics
//@@Usage
//
//To create an instance of class vtkStripper, simply
//invoke its constructor as follows
//@[
//  obj = vtkStripper
//@]
//@@Methods
//The class vtkStripper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStripper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStripper = obj.NewInstance ()|
// \item @|vtkStripper = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetMaximumLength (int )| -  Specify the maximum number of triangles in a triangle strip,
// and/or the maximum number of lines in a poly-line.
//// \item @|int = obj.GetMaximumLengthMinValue ()| -  Specify the maximum number of triangles in a triangle strip,
// and/or the maximum number of lines in a poly-line.
//// \item @|int = obj.GetMaximumLengthMaxValue ()| -  Specify the maximum number of triangles in a triangle strip,
// and/or the maximum number of lines in a poly-line.
//// \item @|int = obj.GetMaximumLength ()| -  Specify the maximum number of triangles in a triangle strip,
// and/or the maximum number of lines in a poly-line.
//// \item @|obj.PassCellDataAsFieldDataOn ()| -  Enable/Disable passing of the CellData in the input to
// the output as FieldData. Note the field data is tranformed.
//// \item @|obj.PassCellDataAsFieldDataOff ()| -  Enable/Disable passing of the CellData in the input to
// the output as FieldData. Note the field data is tranformed.
//// \item @|obj.SetPassCellDataAsFieldData (int )| -  Enable/Disable passing of the CellData in the input to
// the output as FieldData. Note the field data is tranformed.
//// \item @|int = obj.GetPassCellDataAsFieldData ()| -  Enable/Disable passing of the CellData in the input to
// the output as FieldData. Note the field data is tranformed.
//// \item @|obj.SetPassThroughCellIds (int )| -  If on, the output polygonal dataset will have a celldata array that 
// holds the cell index of the original 3D cell that produced each output
// cell. This is useful for picking. The default is off to conserve 
// memory.
//// \item @|int = obj.GetPassThroughCellIds ()| -  If on, the output polygonal dataset will have a celldata array that 
// holds the cell index of the original 3D cell that produced each output
// cell. This is useful for picking. The default is off to conserve 
// memory.
//// \item @|obj.PassThroughCellIdsOn ()| -  If on, the output polygonal dataset will have a celldata array that 
// holds the cell index of the original 3D cell that produced each output
// cell. This is useful for picking. The default is off to conserve 
// memory.
//// \item @|obj.PassThroughCellIdsOff ()| -  If on, the output polygonal dataset will have a celldata array that 
// holds the cell index of the original 3D cell that produced each output
// cell. This is useful for picking. The default is off to conserve 
// memory.
//// \item @|obj.SetPassThroughPointIds (int )| -  If on, the output polygonal dataset will have a pointdata array that 
// holds the point index of the original vertex that produced each output
// vertex. This is useful for picking. The default is off to conserve 
// memory.
//// \item @|int = obj.GetPassThroughPointIds ()| -  If on, the output polygonal dataset will have a pointdata array that 
// holds the point index of the original vertex that produced each output
// vertex. This is useful for picking. The default is off to conserve 
// memory.
//// \item @|obj.PassThroughPointIdsOn ()| -  If on, the output polygonal dataset will have a pointdata array that 
// holds the point index of the original vertex that produced each output
// vertex. This is useful for picking. The default is off to conserve 
// memory.
//// \item @|obj.PassThroughPointIdsOff ()| -  If on, the output polygonal dataset will have a pointdata array that 
// holds the point index of the original vertex that produced each output
// vertex. This is useful for picking. The default is off to conserve 
// memory.
////\end{itemize}
//!
