#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStructuredGridOutlineFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStructuredGridOutlineFilter.h"

//@@Signature
//sfunction @vtkStructuredGridOutlineFilter:vtkStructuredGridOutlineFilter vtkStructuredGridOutlineFilterConstructorFunction
//input a
//output p
//@@Parents vtkStructuredGridOutlineFilter vtkPolyDataAlgorithm 
ArrayVector vtkStructuredGridOutlineFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStructuredGridOutlineFilter::New(),"vtkStructuredGridOutlineFilter",eval);
  } else if (arg[0].className() == "vtkStructuredGridOutlineFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStructuredGridOutlineFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStructuredGridOutlineFilter");
    vtkStructuredGridOutlineFilter*q = reinterpret_cast<vtkStructuredGridOutlineFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStructuredGridOutlineFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStructuredGridOutlineFilter:GetClassName vtkStructuredGridOutlineFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStructuredGridOutlineFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStructuredGridOutlineFilter requires 1 argument(s)");
  vtkStructuredGridOutlineFilter* vtk_pointer = GetVTKPointer<vtkStructuredGridOutlineFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridOutlineFilter:IsA vtkStructuredGridOutlineFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredGridOutlineFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStructuredGridOutlineFilter requires 2 argument(s)");
  vtkStructuredGridOutlineFilter* vtk_pointer = GetVTKPointer<vtkStructuredGridOutlineFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridOutlineFilter:NewInstance vtkStructuredGridOutlineFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStructuredGridOutlineFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGridOutlineFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStructuredGridOutlineFilter requires 1 argument(s)");
  vtkStructuredGridOutlineFilter* vtk_pointer = GetVTKPointer<vtkStructuredGridOutlineFilter>(arg[0]);
  Array retval;
  vtkStructuredGridOutlineFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGridOutlineFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridOutlineFilter:SafeDownCast vtkStructuredGridOutlineFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredGridOutlineFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGridOutlineFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStructuredGridOutlineFilter requires 2 argument(s)");
  vtkStructuredGridOutlineFilter* vtk_pointer = GetVTKPointer<vtkStructuredGridOutlineFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStructuredGridOutlineFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGridOutlineFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridOutlineFilter:display vtkStructuredGridOutlineFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStructuredGridOutlineFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStructuredGridOutlineFilter* vtk_pointer = GetVTKPointer<vtkStructuredGridOutlineFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStructuredGridOutlineFilter:delete vtkStructuredGridOutlineFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkStructuredGridOutlineFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStructuredGridOutlineFilter
//@@Section VTKGraphics
//@@Usage
// vtkStructuredGridOutlineFilter is a filter that generates a wireframe 
// outline of a structured grid (vtkStructuredGrid). Structured data is 
// topologically a cube, so the outline will have 12 "edges".
//
//To create an instance of class vtkStructuredGridOutlineFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkStructuredGridOutlineFilter
//@]
//@@Methods
//The class vtkStructuredGridOutlineFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStructuredGridOutlineFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStructuredGridOutlineFilter = obj.NewInstance ()|
// \item @|vtkStructuredGridOutlineFilter = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
