#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStructuredPointsGeometryFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStructuredPointsGeometryFilter.h"

//@@Signature
//sfunction @vtkStructuredPointsGeometryFilter:vtkStructuredPointsGeometryFilter vtkStructuredPointsGeometryFilterConstructorFunction
//input a
//output p
//@@Parents vtkStructuredPointsGeometryFilter vtkImageDataGeometryFilter 
ArrayVector vtkStructuredPointsGeometryFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStructuredPointsGeometryFilter::New(),"vtkStructuredPointsGeometryFilter",eval);
  } else if (arg[0].className() == "vtkStructuredPointsGeometryFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStructuredPointsGeometryFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStructuredPointsGeometryFilter");
    vtkStructuredPointsGeometryFilter*q = reinterpret_cast<vtkStructuredPointsGeometryFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStructuredPointsGeometryFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStructuredPointsGeometryFilter:GetClassName vtkStructuredPointsGeometryFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStructuredPointsGeometryFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStructuredPointsGeometryFilter requires 1 argument(s)");
  vtkStructuredPointsGeometryFilter* vtk_pointer = GetVTKPointer<vtkStructuredPointsGeometryFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsGeometryFilter:IsA vtkStructuredPointsGeometryFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredPointsGeometryFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStructuredPointsGeometryFilter requires 2 argument(s)");
  vtkStructuredPointsGeometryFilter* vtk_pointer = GetVTKPointer<vtkStructuredPointsGeometryFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsGeometryFilter:NewInstance vtkStructuredPointsGeometryFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStructuredPointsGeometryFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredPointsGeometryFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStructuredPointsGeometryFilter requires 1 argument(s)");
  vtkStructuredPointsGeometryFilter* vtk_pointer = GetVTKPointer<vtkStructuredPointsGeometryFilter>(arg[0]);
  Array retval;
  vtkStructuredPointsGeometryFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredPointsGeometryFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsGeometryFilter:SafeDownCast vtkStructuredPointsGeometryFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredPointsGeometryFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredPointsGeometryFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStructuredPointsGeometryFilter requires 2 argument(s)");
  vtkStructuredPointsGeometryFilter* vtk_pointer = GetVTKPointer<vtkStructuredPointsGeometryFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStructuredPointsGeometryFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredPointsGeometryFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsGeometryFilter:display vtkStructuredPointsGeometryFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStructuredPointsGeometryFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStructuredPointsGeometryFilter* vtk_pointer = GetVTKPointer<vtkStructuredPointsGeometryFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStructuredPointsGeometryFilter:delete vtkStructuredPointsGeometryFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkStructuredPointsGeometryFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStructuredPointsGeometryFilter
//@@Section VTKGraphics
//@@Usage
// vtkStructuredPointsGeometryFilter has been renamed to
// vtkImageDataGeometryFilter
//
//To create an instance of class vtkStructuredPointsGeometryFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkStructuredPointsGeometryFilter
//@]
//@@Methods
//The class vtkStructuredPointsGeometryFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStructuredPointsGeometryFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStructuredPointsGeometryFilter = obj.NewInstance ()|
// \item @|vtkStructuredPointsGeometryFilter = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
