#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSubdivideTetra object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSubdivideTetra.h"

//@@Signature
//sfunction @vtkSubdivideTetra:vtkSubdivideTetra vtkSubdivideTetraConstructorFunction
//input a
//output p
//@@Parents vtkSubdivideTetra vtkUnstructuredGridAlgorithm 
ArrayVector vtkSubdivideTetraConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSubdivideTetra::New(),"vtkSubdivideTetra",eval);
  } else if (arg[0].className() == "vtkSubdivideTetra") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSubdivideTetra"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSubdivideTetra");
    vtkSubdivideTetra*q = reinterpret_cast<vtkSubdivideTetra*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSubdivideTetra");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSubdivideTetra:GetClassName vtkSubdivideTetraGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSubdivideTetraGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSubdivideTetra requires 1 argument(s)");
  vtkSubdivideTetra* vtk_pointer = GetVTKPointer<vtkSubdivideTetra>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSubdivideTetra:IsA vtkSubdivideTetraIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSubdivideTetraIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSubdivideTetra requires 2 argument(s)");
  vtkSubdivideTetra* vtk_pointer = GetVTKPointer<vtkSubdivideTetra>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSubdivideTetra:NewInstance vtkSubdivideTetraNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSubdivideTetraNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSubdivideTetra *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSubdivideTetra requires 1 argument(s)");
  vtkSubdivideTetra* vtk_pointer = GetVTKPointer<vtkSubdivideTetra>(arg[0]);
  Array retval;
  vtkSubdivideTetra  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSubdivideTetra",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSubdivideTetra:SafeDownCast vtkSubdivideTetraSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSubdivideTetraSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSubdivideTetra *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSubdivideTetra requires 2 argument(s)");
  vtkSubdivideTetra* vtk_pointer = GetVTKPointer<vtkSubdivideTetra>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSubdivideTetra  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSubdivideTetra",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSubdivideTetra:display vtkSubdivideTetraDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSubdivideTetraDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSubdivideTetra* vtk_pointer = GetVTKPointer<vtkSubdivideTetra>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSubdivideTetra:delete vtkSubdivideTetraDeleteFunction
//input varargin
//output none
ArrayVector vtkSubdivideTetraDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSubdivideTetra
//@@Section VTKGraphics
//@@Usage
// This filter subdivides tetrahedra in an unstructured grid into twelve tetrahedra.
//
//To create an instance of class vtkSubdivideTetra, simply
//invoke its constructor as follows
//@[
//  obj = vtkSubdivideTetra
//@]
//@@Methods
//The class vtkSubdivideTetra has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSubdivideTetra class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSubdivideTetra = obj.NewInstance ()|
// \item @|vtkSubdivideTetra = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
