#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSuperquadricSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSuperquadricSource.h"

//@@Signature
//sfunction @vtkSuperquadricSource:vtkSuperquadricSource vtkSuperquadricSourceConstructorFunction
//input a
//output p
//@@Parents vtkSuperquadricSource vtkPolyDataAlgorithm 
ArrayVector vtkSuperquadricSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSuperquadricSource::New(),"vtkSuperquadricSource",eval);
  } else if (arg[0].className() == "vtkSuperquadricSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSuperquadricSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSuperquadricSource");
    vtkSuperquadricSource*q = reinterpret_cast<vtkSuperquadricSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSuperquadricSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSuperquadricSource:GetClassName vtkSuperquadricSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSuperquadricSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSuperquadricSource requires 1 argument(s)");
  vtkSuperquadricSource* vtk_pointer = GetVTKPointer<vtkSuperquadricSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadricSource:IsA vtkSuperquadricSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSuperquadricSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSuperquadricSource requires 2 argument(s)");
  vtkSuperquadricSource* vtk_pointer = GetVTKPointer<vtkSuperquadricSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadricSource:NewInstance vtkSuperquadricSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSuperquadricSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSuperquadricSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSuperquadricSource requires 1 argument(s)");
  vtkSuperquadricSource* vtk_pointer = GetVTKPointer<vtkSuperquadricSource>(arg[0]);
  Array retval;
  vtkSuperquadricSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSuperquadricSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadricSource:SafeDownCast vtkSuperquadricSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSuperquadricSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSuperquadricSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSuperquadricSource requires 2 argument(s)");
  vtkSuperquadricSource* vtk_pointer = GetVTKPointer<vtkSuperquadricSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSuperquadricSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSuperquadricSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadricSource:SetCenter__1 vtkSuperquadricSourceSetCenter__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkSuperquadricSourceSetCenter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetCenter__1 for class vtkSuperquadricSource requires 4 argument(s)");
  vtkSuperquadricSource* vtk_pointer = GetVTKPointer<vtkSuperquadricSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCenter(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadricSource:SetCenter__2 vtkSuperquadricSourceSetCenter__2Function
//input a0 a1 
//output none
ArrayVector vtkSuperquadricSourceSetCenter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCenter__2 for class vtkSuperquadricSource requires 2 argument(s)");
  vtkSuperquadricSource* vtk_pointer = GetVTKPointer<vtkSuperquadricSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadricSource:GetCenter vtkSuperquadricSourceGetCenterFunction
//input a0 
//output y
ArrayVector vtkSuperquadricSourceGetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCenter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenter for class vtkSuperquadricSource requires 1 argument(s)");
  vtkSuperquadricSource* vtk_pointer = GetVTKPointer<vtkSuperquadricSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCenter();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadricSource:SetScale__1 vtkSuperquadricSourceSetScale__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkSuperquadricSourceSetScale__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScale (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetScale__1 for class vtkSuperquadricSource requires 4 argument(s)");
  vtkSuperquadricSource* vtk_pointer = GetVTKPointer<vtkSuperquadricSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetScale(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadricSource:SetScale__2 vtkSuperquadricSourceSetScale__2Function
//input a0 a1 
//output none
ArrayVector vtkSuperquadricSourceSetScale__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScale (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetScale__2 for class vtkSuperquadricSource requires 2 argument(s)");
  vtkSuperquadricSource* vtk_pointer = GetVTKPointer<vtkSuperquadricSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadricSource:GetScale vtkSuperquadricSourceGetScaleFunction
//input a0 
//output y
ArrayVector vtkSuperquadricSourceGetScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetScale (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScale for class vtkSuperquadricSource requires 1 argument(s)");
  vtkSuperquadricSource* vtk_pointer = GetVTKPointer<vtkSuperquadricSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetScale();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadricSource:GetThetaResolution vtkSuperquadricSourceGetThetaResolutionFunction
//input a0 
//output y
ArrayVector vtkSuperquadricSourceGetThetaResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetThetaResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetThetaResolution for class vtkSuperquadricSource requires 1 argument(s)");
  vtkSuperquadricSource* vtk_pointer = GetVTKPointer<vtkSuperquadricSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetThetaResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadricSource:SetThetaResolution vtkSuperquadricSourceSetThetaResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkSuperquadricSourceSetThetaResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetThetaResolution (int i); */
  if (arg.size() < 2) 
    throw Exception("Function SetThetaResolution for class vtkSuperquadricSource requires 2 argument(s)");
  vtkSuperquadricSource* vtk_pointer = GetVTKPointer<vtkSuperquadricSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetThetaResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadricSource:GetPhiResolution vtkSuperquadricSourceGetPhiResolutionFunction
//input a0 
//output y
ArrayVector vtkSuperquadricSourceGetPhiResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPhiResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPhiResolution for class vtkSuperquadricSource requires 1 argument(s)");
  vtkSuperquadricSource* vtk_pointer = GetVTKPointer<vtkSuperquadricSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPhiResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadricSource:SetPhiResolution vtkSuperquadricSourceSetPhiResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkSuperquadricSourceSetPhiResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPhiResolution (int i); */
  if (arg.size() < 2) 
    throw Exception("Function SetPhiResolution for class vtkSuperquadricSource requires 2 argument(s)");
  vtkSuperquadricSource* vtk_pointer = GetVTKPointer<vtkSuperquadricSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPhiResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadricSource:GetThickness vtkSuperquadricSourceGetThicknessFunction
//input a0 
//output y
ArrayVector vtkSuperquadricSourceGetThicknessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetThickness (); */
  if (arg.size() < 1) 
    throw Exception("Function GetThickness for class vtkSuperquadricSource requires 1 argument(s)");
  vtkSuperquadricSource* vtk_pointer = GetVTKPointer<vtkSuperquadricSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetThickness();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadricSource:SetThickness vtkSuperquadricSourceSetThicknessFunction
//input a0 a1 
//output none
ArrayVector vtkSuperquadricSourceSetThicknessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetThickness (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetThickness for class vtkSuperquadricSource requires 2 argument(s)");
  vtkSuperquadricSource* vtk_pointer = GetVTKPointer<vtkSuperquadricSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetThickness(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadricSource:GetThicknessMinValue vtkSuperquadricSourceGetThicknessMinValueFunction
//input a0 
//output y
ArrayVector vtkSuperquadricSourceGetThicknessMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetThicknessMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetThicknessMinValue for class vtkSuperquadricSource requires 1 argument(s)");
  vtkSuperquadricSource* vtk_pointer = GetVTKPointer<vtkSuperquadricSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetThicknessMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadricSource:GetThicknessMaxValue vtkSuperquadricSourceGetThicknessMaxValueFunction
//input a0 
//output y
ArrayVector vtkSuperquadricSourceGetThicknessMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetThicknessMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetThicknessMaxValue for class vtkSuperquadricSource requires 1 argument(s)");
  vtkSuperquadricSource* vtk_pointer = GetVTKPointer<vtkSuperquadricSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetThicknessMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadricSource:GetPhiRoundness vtkSuperquadricSourceGetPhiRoundnessFunction
//input a0 
//output y
ArrayVector vtkSuperquadricSourceGetPhiRoundnessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPhiRoundness (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPhiRoundness for class vtkSuperquadricSource requires 1 argument(s)");
  vtkSuperquadricSource* vtk_pointer = GetVTKPointer<vtkSuperquadricSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPhiRoundness();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadricSource:SetPhiRoundness vtkSuperquadricSourceSetPhiRoundnessFunction
//input a0 a1 
//output none
ArrayVector vtkSuperquadricSourceSetPhiRoundnessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPhiRoundness (double e); */
  if (arg.size() < 2) 
    throw Exception("Function SetPhiRoundness for class vtkSuperquadricSource requires 2 argument(s)");
  vtkSuperquadricSource* vtk_pointer = GetVTKPointer<vtkSuperquadricSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetPhiRoundness(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadricSource:GetThetaRoundness vtkSuperquadricSourceGetThetaRoundnessFunction
//input a0 
//output y
ArrayVector vtkSuperquadricSourceGetThetaRoundnessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetThetaRoundness (); */
  if (arg.size() < 1) 
    throw Exception("Function GetThetaRoundness for class vtkSuperquadricSource requires 1 argument(s)");
  vtkSuperquadricSource* vtk_pointer = GetVTKPointer<vtkSuperquadricSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetThetaRoundness();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadricSource:SetThetaRoundness vtkSuperquadricSourceSetThetaRoundnessFunction
//input a0 a1 
//output none
ArrayVector vtkSuperquadricSourceSetThetaRoundnessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetThetaRoundness (double e); */
  if (arg.size() < 2) 
    throw Exception("Function SetThetaRoundness for class vtkSuperquadricSource requires 2 argument(s)");
  vtkSuperquadricSource* vtk_pointer = GetVTKPointer<vtkSuperquadricSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetThetaRoundness(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadricSource:SetSize vtkSuperquadricSourceSetSizeFunction
//input a0 a1 
//output none
ArrayVector vtkSuperquadricSourceSetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSize (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSize for class vtkSuperquadricSource requires 2 argument(s)");
  vtkSuperquadricSource* vtk_pointer = GetVTKPointer<vtkSuperquadricSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadricSource:GetSize vtkSuperquadricSourceGetSizeFunction
//input a0 
//output y
ArrayVector vtkSuperquadricSourceGetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSize for class vtkSuperquadricSource requires 1 argument(s)");
  vtkSuperquadricSource* vtk_pointer = GetVTKPointer<vtkSuperquadricSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadricSource:ToroidalOn vtkSuperquadricSourceToroidalOnFunction
//input a0 
//output none
ArrayVector vtkSuperquadricSourceToroidalOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ToroidalOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ToroidalOn for class vtkSuperquadricSource requires 1 argument(s)");
  vtkSuperquadricSource* vtk_pointer = GetVTKPointer<vtkSuperquadricSource>(arg[0]);
  Array retval;
  vtk_pointer->ToroidalOn();
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadricSource:ToroidalOff vtkSuperquadricSourceToroidalOffFunction
//input a0 
//output none
ArrayVector vtkSuperquadricSourceToroidalOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ToroidalOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ToroidalOff for class vtkSuperquadricSource requires 1 argument(s)");
  vtkSuperquadricSource* vtk_pointer = GetVTKPointer<vtkSuperquadricSource>(arg[0]);
  Array retval;
  vtk_pointer->ToroidalOff();
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadricSource:GetToroidal vtkSuperquadricSourceGetToroidalFunction
//input a0 
//output y
ArrayVector vtkSuperquadricSourceGetToroidalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetToroidal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToroidal for class vtkSuperquadricSource requires 1 argument(s)");
  vtkSuperquadricSource* vtk_pointer = GetVTKPointer<vtkSuperquadricSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetToroidal();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadricSource:SetToroidal vtkSuperquadricSourceSetToroidalFunction
//input a0 a1 
//output none
ArrayVector vtkSuperquadricSourceSetToroidalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetToroidal (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetToroidal for class vtkSuperquadricSource requires 2 argument(s)");
  vtkSuperquadricSource* vtk_pointer = GetVTKPointer<vtkSuperquadricSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetToroidal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSuperquadricSource:SetCenter vtkSuperquadricSourceSetCenterFunction
//input varargin
//output varargout
ArrayVector vtkSuperquadricSourceSetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkSuperquadricSourceSetCenter__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkSuperquadricSourceSetCenter__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSuperquadricSourceSetCenter");
}

//@@Signature
//sfunction @vtkSuperquadricSource:SetScale vtkSuperquadricSourceSetScaleFunction
//input varargin
//output varargout
ArrayVector vtkSuperquadricSourceSetScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkSuperquadricSourceSetScale__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkSuperquadricSourceSetScale__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSuperquadricSourceSetScale");
}

//@@Signature
//sfunction @vtkSuperquadricSource:display vtkSuperquadricSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSuperquadricSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSuperquadricSource* vtk_pointer = GetVTKPointer<vtkSuperquadricSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSuperquadricSource:delete vtkSuperquadricSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkSuperquadricSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSuperquadricSource
//@@Section VTKGraphics
//@@Usage
// vtkSuperquadricSource creates a superquadric (represented by polygons) 
// of specified
// size centered at the origin. The resolution (polygonal discretization)
// in both the latitude (phi) and longitude (theta) directions can be
// specified. Roundness parameters (PhiRoundness and ThetaRoundness) control
// the shape of the superquadric.  The Toroidal boolean controls whether
// a toroidal superquadric is produced.  If so, the Thickness parameter
// controls the thickness of the toroid:  0 is the thinnest allowable
// toroid, and 1 has a minimum sized hole.  The Scale parameters allow 
// the superquadric to be scaled in x, y, and z (normal vectors are correctly
// generated in any case).  The Size parameter controls size of the 
// superquadric.
//
// This code is based on "Rigid physically based superquadrics", A. H. Barr,
// in "Graphics Gems III", David Kirk, ed., Academic Press, 1992.
//
//
//To create an instance of class vtkSuperquadricSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkSuperquadricSource
//@]
//@@Methods
//The class vtkSuperquadricSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSuperquadricSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSuperquadricSource = obj.NewInstance ()|
// \item @|vtkSuperquadricSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCenter (double , double , double )| -  Set the center of the superquadric. Default is 0,0,0.
//// \item @|obj.SetCenter (double  a[3])| -  Set the center of the superquadric. Default is 0,0,0.
//// \item @|double = obj. GetCenter ()| -  Set the center of the superquadric. Default is 0,0,0.
//// \item @|obj.SetScale (double , double , double )| -  Set the scale factors of the superquadric. Default is 1,1,1.
//// \item @|obj.SetScale (double  a[3])| -  Set the scale factors of the superquadric. Default is 1,1,1.
//// \item @|double = obj. GetScale ()| -  Set the scale factors of the superquadric. Default is 1,1,1.
//// \item @|int = obj.GetThetaResolution ()| -  Set the number of points in the longitude direction. Initial value is 16.
//// \item @|obj.SetThetaResolution (int i)| -  Set the number of points in the longitude direction. Initial value is 16.
//// \item @|int = obj.GetPhiResolution ()| -  Set the number of points in the latitude direction. Initial value is 16.
//// \item @|obj.SetPhiResolution (int i)| -  Set the number of points in the latitude direction. Initial value is 16.
//// \item @|double = obj.GetThickness ()| -  Set/Get Superquadric ring thickness (toroids only).
// Changing thickness maintains the outside diameter of the toroid.
// Initial value is 0.3333.
//// \item @|obj.SetThickness (double )| -  Set/Get Superquadric ring thickness (toroids only).
// Changing thickness maintains the outside diameter of the toroid.
// Initial value is 0.3333.
//// \item @|double = obj.GetThicknessMinValue ()| -  Set/Get Superquadric ring thickness (toroids only).
// Changing thickness maintains the outside diameter of the toroid.
// Initial value is 0.3333.
//// \item @|double = obj.GetThicknessMaxValue ()| -  Set/Get Superquadric ring thickness (toroids only).
// Changing thickness maintains the outside diameter of the toroid.
// Initial value is 0.3333.
//// \item @|double = obj.GetPhiRoundness ()| -  Set/Get Superquadric north/south roundness. 
// Values range from 0 (rectangular) to 1 (circular) to higher orders.
// Initial value is 1.0.
//// \item @|obj.SetPhiRoundness (double e)| -  Set/Get Superquadric north/south roundness. 
// Values range from 0 (rectangular) to 1 (circular) to higher orders.
// Initial value is 1.0.
//// \item @|double = obj.GetThetaRoundness ()| -  Set/Get Superquadric east/west roundness.
// Values range from 0 (rectangular) to 1 (circular) to higher orders.
// Initial value is 1.0.
//// \item @|obj.SetThetaRoundness (double e)| -  Set/Get Superquadric east/west roundness.
// Values range from 0 (rectangular) to 1 (circular) to higher orders.
// Initial value is 1.0.
//// \item @|obj.SetSize (double )| -  Set/Get Superquadric isotropic size. Initial value is 0.5;
//// \item @|double = obj.GetSize ()| -  Set/Get Superquadric isotropic size. Initial value is 0.5;
//// \item @|obj.ToroidalOn ()| -  Set/Get whether or not the superquadric is toroidal (1) or ellipsoidal (0).
// Initial value is 0.
//// \item @|obj.ToroidalOff ()| -  Set/Get whether or not the superquadric is toroidal (1) or ellipsoidal (0).
// Initial value is 0.
//// \item @|int = obj.GetToroidal ()| -  Set/Get whether or not the superquadric is toroidal (1) or ellipsoidal (0).
// Initial value is 0.
//// \item @|obj.SetToroidal (int )| -  Set/Get whether or not the superquadric is toroidal (1) or ellipsoidal (0).
// Initial value is 0.
////\end{itemize}
//!
