#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSynchronizedTemplates2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSynchronizedTemplates2D.h"

//@@Signature
//sfunction @vtkSynchronizedTemplates2D:vtkSynchronizedTemplates2D vtkSynchronizedTemplates2DConstructorFunction
//input a
//output p
//@@Parents vtkSynchronizedTemplates2D vtkPolyDataAlgorithm 
ArrayVector vtkSynchronizedTemplates2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSynchronizedTemplates2D::New(),"vtkSynchronizedTemplates2D",eval);
  } else if (arg[0].className() == "vtkSynchronizedTemplates2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSynchronizedTemplates2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSynchronizedTemplates2D");
    vtkSynchronizedTemplates2D*q = reinterpret_cast<vtkSynchronizedTemplates2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSynchronizedTemplates2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSynchronizedTemplates2D:GetClassName vtkSynchronizedTemplates2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSynchronizedTemplates2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSynchronizedTemplates2D requires 1 argument(s)");
  vtkSynchronizedTemplates2D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates2D:IsA vtkSynchronizedTemplates2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSynchronizedTemplates2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSynchronizedTemplates2D requires 2 argument(s)");
  vtkSynchronizedTemplates2D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates2D:NewInstance vtkSynchronizedTemplates2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSynchronizedTemplates2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSynchronizedTemplates2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSynchronizedTemplates2D requires 1 argument(s)");
  vtkSynchronizedTemplates2D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates2D>(arg[0]);
  Array retval;
  vtkSynchronizedTemplates2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSynchronizedTemplates2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates2D:SafeDownCast vtkSynchronizedTemplates2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSynchronizedTemplates2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSynchronizedTemplates2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSynchronizedTemplates2D requires 2 argument(s)");
  vtkSynchronizedTemplates2D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSynchronizedTemplates2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSynchronizedTemplates2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates2D:GetMTime vtkSynchronizedTemplates2DGetMTimeFunction
//input a0 
//output y
ArrayVector vtkSynchronizedTemplates2DGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkSynchronizedTemplates2D requires 1 argument(s)");
  vtkSynchronizedTemplates2D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates2D>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates2D:SetValue vtkSynchronizedTemplates2DSetValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkSynchronizedTemplates2DSetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (int i, double value);this ContourValues SetValue i value  */
  if (arg.size() < 3) 
    throw Exception("Function SetValue for class vtkSynchronizedTemplates2D requires 3 argument(s)");
  vtkSynchronizedTemplates2D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates2D>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates2D:GetValue vtkSynchronizedTemplates2DGetValueFunction
//input a0 a1 
//output y
ArrayVector vtkSynchronizedTemplates2DGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetValue (int i);return this ContourValues GetValue i  */
  if (arg.size() < 2) 
    throw Exception("Function GetValue for class vtkSynchronizedTemplates2D requires 2 argument(s)");
  vtkSynchronizedTemplates2D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates2D>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates2D:GetValues__2 vtkSynchronizedTemplates2DGetValues__2Function
//input a0 a1 
//output none
ArrayVector vtkSynchronizedTemplates2DGetValues__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetValues (double *contourValues);this ContourValues GetValues contourValues  */
  if (arg.size() < 2) 
    throw Exception("Function GetValues__2 for class vtkSynchronizedTemplates2D requires 2 argument(s)");
  vtkSynchronizedTemplates2D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates2D>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->GetValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates2D:SetNumberOfContours vtkSynchronizedTemplates2DSetNumberOfContoursFunction
//input a0 a1 
//output none
ArrayVector vtkSynchronizedTemplates2DSetNumberOfContoursFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfContours (int number);this ContourValues SetNumberOfContours number  */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfContours for class vtkSynchronizedTemplates2D requires 2 argument(s)");
  vtkSynchronizedTemplates2D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfContours(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates2D:GetNumberOfContours vtkSynchronizedTemplates2DGetNumberOfContoursFunction
//input a0 
//output y
ArrayVector vtkSynchronizedTemplates2DGetNumberOfContoursFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfContours ();return this ContourValues GetNumberOfContours  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfContours for class vtkSynchronizedTemplates2D requires 1 argument(s)");
  vtkSynchronizedTemplates2D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfContours();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates2D:GenerateValues__1 vtkSynchronizedTemplates2DGenerateValues__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkSynchronizedTemplates2DGenerateValues__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateValues (int numContours, double range[2]);this ContourValues GenerateValues numContours range  */
  if (arg.size() < 3) 
    throw Exception("Function GenerateValues__1 for class vtkSynchronizedTemplates2D requires 3 argument(s)");
  vtkSynchronizedTemplates2D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates2D>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[2];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GenerateValues(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates2D:GenerateValues__2 vtkSynchronizedTemplates2DGenerateValues__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkSynchronizedTemplates2DGenerateValues__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateValues (int numContours, double rangeStart, double rangeEnd);this ContourValues GenerateValues numContours rangeStart rangeEnd  */
  if (arg.size() < 4) 
    throw Exception("Function GenerateValues__2 for class vtkSynchronizedTemplates2D requires 4 argument(s)");
  vtkSynchronizedTemplates2D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates2D>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->GenerateValues(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates2D:SetComputeScalars vtkSynchronizedTemplates2DSetComputeScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkSynchronizedTemplates2DSetComputeScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeScalars (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeScalars for class vtkSynchronizedTemplates2D requires 2 argument(s)");
  vtkSynchronizedTemplates2D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates2D:GetComputeScalars vtkSynchronizedTemplates2DGetComputeScalarsFunction
//input a0 
//output y
ArrayVector vtkSynchronizedTemplates2DGetComputeScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeScalars for class vtkSynchronizedTemplates2D requires 1 argument(s)");
  vtkSynchronizedTemplates2D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeScalars();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates2D:ComputeScalarsOn vtkSynchronizedTemplates2DComputeScalarsOnFunction
//input a0 
//output none
ArrayVector vtkSynchronizedTemplates2DComputeScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeScalarsOn for class vtkSynchronizedTemplates2D requires 1 argument(s)");
  vtkSynchronizedTemplates2D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates2D>(arg[0]);
  Array retval;
  vtk_pointer->ComputeScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates2D:ComputeScalarsOff vtkSynchronizedTemplates2DComputeScalarsOffFunction
//input a0 
//output none
ArrayVector vtkSynchronizedTemplates2DComputeScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeScalarsOff for class vtkSynchronizedTemplates2D requires 1 argument(s)");
  vtkSynchronizedTemplates2D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates2D>(arg[0]);
  Array retval;
  vtk_pointer->ComputeScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates2D:SetArrayComponent vtkSynchronizedTemplates2DSetArrayComponentFunction
//input a0 a1 
//output none
ArrayVector vtkSynchronizedTemplates2DSetArrayComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArrayComponent (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetArrayComponent for class vtkSynchronizedTemplates2D requires 2 argument(s)");
  vtkSynchronizedTemplates2D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetArrayComponent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates2D:GetArrayComponent vtkSynchronizedTemplates2DGetArrayComponentFunction
//input a0 
//output y
ArrayVector vtkSynchronizedTemplates2DGetArrayComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetArrayComponent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetArrayComponent for class vtkSynchronizedTemplates2D requires 1 argument(s)");
  vtkSynchronizedTemplates2D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetArrayComponent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates2D:GetValues vtkSynchronizedTemplates2DGetValuesFunction
//input varargin
//output varargout
ArrayVector vtkSynchronizedTemplates2DGetValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkSynchronizedTemplates2DGetValues__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSynchronizedTemplates2DGetValues");
}

//@@Signature
//sfunction @vtkSynchronizedTemplates2D:GenerateValues vtkSynchronizedTemplates2DGenerateValuesFunction
//input varargin
//output varargout
ArrayVector vtkSynchronizedTemplates2DGenerateValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkSynchronizedTemplates2DGenerateValues__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkSynchronizedTemplates2DGenerateValues__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSynchronizedTemplates2DGenerateValues");
}

//@@Signature
//sfunction @vtkSynchronizedTemplates2D:display vtkSynchronizedTemplates2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSynchronizedTemplates2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSynchronizedTemplates2D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSynchronizedTemplates2D:delete vtkSynchronizedTemplates2DDeleteFunction
//input varargin
//output none
ArrayVector vtkSynchronizedTemplates2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSynchronizedTemplates2D
//@@Section VTKGraphics
//@@Usage
// vtkSynchronizedTemplates2D is a 2D implementation of the synchronized 
// template algorithm. Note that vtkContourFilter will automatically
// use this class when appropriate.
//
//To create an instance of class vtkSynchronizedTemplates2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkSynchronizedTemplates2D
//@]
//@@Methods
//The class vtkSynchronizedTemplates2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSynchronizedTemplates2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSynchronizedTemplates2D = obj.NewInstance ()|
// \item @|vtkSynchronizedTemplates2D = obj.SafeDownCast (vtkObject o)|
// \item @|long = obj.GetMTime ()| -  Because we delegate to vtkContourValues
//// \item @|obj.SetValue (int i, double value)| -  Get the ith contour value.
//// \item @|double = obj.GetValue (int i)| -  Get a pointer to an array of contour values. There will be
// GetNumberOfContours() values in the list.
//// \item @|obj.GetValues (double contourValues)| -  Set the number of contours to place into the list. You only really
// need to use this method to reduce list size. The method SetValue()
// will automatically increase list size as needed.
//// \item @|obj.SetNumberOfContours (int number)| -  Get the number of contours in the list of contour values.
//// \item @|int = obj.GetNumberOfContours ()| -  Generate numContours equally spaced contour values between specified
// range. Contour values will include min/max range values.
//// \item @|obj.GenerateValues (int numContours, double range[2])| -  Generate numContours equally spaced contour values between specified
// range. Contour values will include min/max range values.
//// \item @|obj.GenerateValues (int numContours, double rangeStart, double rangeEnd)| -  Option to set the point scalars of the output.  The scalars will be the 
// iso value of course.  By default this flag is on.
//// \item @|obj.SetComputeScalars (int )| -  Option to set the point scalars of the output.  The scalars will be the 
// iso value of course.  By default this flag is on.
//// \item @|int = obj.GetComputeScalars ()| -  Option to set the point scalars of the output.  The scalars will be the 
// iso value of course.  By default this flag is on.
//// \item @|obj.ComputeScalarsOn ()| -  Option to set the point scalars of the output.  The scalars will be the 
// iso value of course.  By default this flag is on.
//// \item @|obj.ComputeScalarsOff ()| -  Option to set the point scalars of the output.  The scalars will be the 
// iso value of course.  By default this flag is on.
//// \item @|obj.SetArrayComponent (int )| -  Set/get which component of the scalar array to contour on; defaults to 0.
//// \item @|int = obj.GetArrayComponent ()| -  Set/get which component of the scalar array to contour on; defaults to 0.
////\end{itemize}
//!
