#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSynchronizedTemplates3D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSynchronizedTemplates3D.h"

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:vtkSynchronizedTemplates3D vtkSynchronizedTemplates3DConstructorFunction
//input a
//output p
//@@Parents vtkSynchronizedTemplates3D vtkPolyDataAlgorithm 
ArrayVector vtkSynchronizedTemplates3DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSynchronizedTemplates3D::New(),"vtkSynchronizedTemplates3D",eval);
  } else if (arg[0].className() == "vtkSynchronizedTemplates3D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSynchronizedTemplates3D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSynchronizedTemplates3D");
    vtkSynchronizedTemplates3D*q = reinterpret_cast<vtkSynchronizedTemplates3D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSynchronizedTemplates3D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSynchronizedTemplates3D:GetClassName vtkSynchronizedTemplates3DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSynchronizedTemplates3DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSynchronizedTemplates3D requires 1 argument(s)");
  vtkSynchronizedTemplates3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates3D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:IsA vtkSynchronizedTemplates3DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSynchronizedTemplates3DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSynchronizedTemplates3D requires 2 argument(s)");
  vtkSynchronizedTemplates3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates3D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:NewInstance vtkSynchronizedTemplates3DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSynchronizedTemplates3DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSynchronizedTemplates3D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSynchronizedTemplates3D requires 1 argument(s)");
  vtkSynchronizedTemplates3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates3D>(arg[0]);
  Array retval;
  vtkSynchronizedTemplates3D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSynchronizedTemplates3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:SafeDownCast vtkSynchronizedTemplates3DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSynchronizedTemplates3DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSynchronizedTemplates3D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSynchronizedTemplates3D requires 2 argument(s)");
  vtkSynchronizedTemplates3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates3D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSynchronizedTemplates3D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSynchronizedTemplates3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:GetMTime vtkSynchronizedTemplates3DGetMTimeFunction
//input a0 
//output y
ArrayVector vtkSynchronizedTemplates3DGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkSynchronizedTemplates3D requires 1 argument(s)");
  vtkSynchronizedTemplates3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates3D>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:SetComputeNormals vtkSynchronizedTemplates3DSetComputeNormalsFunction
//input a0 a1 
//output none
ArrayVector vtkSynchronizedTemplates3DSetComputeNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeNormals (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeNormals for class vtkSynchronizedTemplates3D requires 2 argument(s)");
  vtkSynchronizedTemplates3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeNormals(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:GetComputeNormals vtkSynchronizedTemplates3DGetComputeNormalsFunction
//input a0 
//output y
ArrayVector vtkSynchronizedTemplates3DGetComputeNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeNormals (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeNormals for class vtkSynchronizedTemplates3D requires 1 argument(s)");
  vtkSynchronizedTemplates3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeNormals();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:ComputeNormalsOn vtkSynchronizedTemplates3DComputeNormalsOnFunction
//input a0 
//output none
ArrayVector vtkSynchronizedTemplates3DComputeNormalsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeNormalsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeNormalsOn for class vtkSynchronizedTemplates3D requires 1 argument(s)");
  vtkSynchronizedTemplates3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates3D>(arg[0]);
  Array retval;
  vtk_pointer->ComputeNormalsOn();
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:ComputeNormalsOff vtkSynchronizedTemplates3DComputeNormalsOffFunction
//input a0 
//output none
ArrayVector vtkSynchronizedTemplates3DComputeNormalsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeNormalsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeNormalsOff for class vtkSynchronizedTemplates3D requires 1 argument(s)");
  vtkSynchronizedTemplates3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates3D>(arg[0]);
  Array retval;
  vtk_pointer->ComputeNormalsOff();
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:SetComputeGradients vtkSynchronizedTemplates3DSetComputeGradientsFunction
//input a0 a1 
//output none
ArrayVector vtkSynchronizedTemplates3DSetComputeGradientsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeGradients (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeGradients for class vtkSynchronizedTemplates3D requires 2 argument(s)");
  vtkSynchronizedTemplates3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeGradients(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:GetComputeGradients vtkSynchronizedTemplates3DGetComputeGradientsFunction
//input a0 
//output y
ArrayVector vtkSynchronizedTemplates3DGetComputeGradientsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeGradients (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeGradients for class vtkSynchronizedTemplates3D requires 1 argument(s)");
  vtkSynchronizedTemplates3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeGradients();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:ComputeGradientsOn vtkSynchronizedTemplates3DComputeGradientsOnFunction
//input a0 
//output none
ArrayVector vtkSynchronizedTemplates3DComputeGradientsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeGradientsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeGradientsOn for class vtkSynchronizedTemplates3D requires 1 argument(s)");
  vtkSynchronizedTemplates3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates3D>(arg[0]);
  Array retval;
  vtk_pointer->ComputeGradientsOn();
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:ComputeGradientsOff vtkSynchronizedTemplates3DComputeGradientsOffFunction
//input a0 
//output none
ArrayVector vtkSynchronizedTemplates3DComputeGradientsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeGradientsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeGradientsOff for class vtkSynchronizedTemplates3D requires 1 argument(s)");
  vtkSynchronizedTemplates3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates3D>(arg[0]);
  Array retval;
  vtk_pointer->ComputeGradientsOff();
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:SetComputeScalars vtkSynchronizedTemplates3DSetComputeScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkSynchronizedTemplates3DSetComputeScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeScalars (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeScalars for class vtkSynchronizedTemplates3D requires 2 argument(s)");
  vtkSynchronizedTemplates3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:GetComputeScalars vtkSynchronizedTemplates3DGetComputeScalarsFunction
//input a0 
//output y
ArrayVector vtkSynchronizedTemplates3DGetComputeScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeScalars for class vtkSynchronizedTemplates3D requires 1 argument(s)");
  vtkSynchronizedTemplates3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeScalars();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:ComputeScalarsOn vtkSynchronizedTemplates3DComputeScalarsOnFunction
//input a0 
//output none
ArrayVector vtkSynchronizedTemplates3DComputeScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeScalarsOn for class vtkSynchronizedTemplates3D requires 1 argument(s)");
  vtkSynchronizedTemplates3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates3D>(arg[0]);
  Array retval;
  vtk_pointer->ComputeScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:ComputeScalarsOff vtkSynchronizedTemplates3DComputeScalarsOffFunction
//input a0 
//output none
ArrayVector vtkSynchronizedTemplates3DComputeScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeScalarsOff for class vtkSynchronizedTemplates3D requires 1 argument(s)");
  vtkSynchronizedTemplates3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates3D>(arg[0]);
  Array retval;
  vtk_pointer->ComputeScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:SetValue vtkSynchronizedTemplates3DSetValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkSynchronizedTemplates3DSetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (int i, double value);this ContourValues SetValue i value  */
  if (arg.size() < 3) 
    throw Exception("Function SetValue for class vtkSynchronizedTemplates3D requires 3 argument(s)");
  vtkSynchronizedTemplates3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates3D>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:GetValue vtkSynchronizedTemplates3DGetValueFunction
//input a0 a1 
//output y
ArrayVector vtkSynchronizedTemplates3DGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetValue (int i);return this ContourValues GetValue i  */
  if (arg.size() < 2) 
    throw Exception("Function GetValue for class vtkSynchronizedTemplates3D requires 2 argument(s)");
  vtkSynchronizedTemplates3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates3D>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:GetValues__2 vtkSynchronizedTemplates3DGetValues__2Function
//input a0 a1 
//output none
ArrayVector vtkSynchronizedTemplates3DGetValues__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetValues (double *contourValues);this ContourValues GetValues contourValues  */
  if (arg.size() < 2) 
    throw Exception("Function GetValues__2 for class vtkSynchronizedTemplates3D requires 2 argument(s)");
  vtkSynchronizedTemplates3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates3D>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->GetValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:SetNumberOfContours vtkSynchronizedTemplates3DSetNumberOfContoursFunction
//input a0 a1 
//output none
ArrayVector vtkSynchronizedTemplates3DSetNumberOfContoursFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfContours (int number);this ContourValues SetNumberOfContours number  */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfContours for class vtkSynchronizedTemplates3D requires 2 argument(s)");
  vtkSynchronizedTemplates3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfContours(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:GetNumberOfContours vtkSynchronizedTemplates3DGetNumberOfContoursFunction
//input a0 
//output y
ArrayVector vtkSynchronizedTemplates3DGetNumberOfContoursFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfContours ();return this ContourValues GetNumberOfContours  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfContours for class vtkSynchronizedTemplates3D requires 1 argument(s)");
  vtkSynchronizedTemplates3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfContours();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:GenerateValues__1 vtkSynchronizedTemplates3DGenerateValues__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkSynchronizedTemplates3DGenerateValues__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateValues (int numContours, double range[2]);this ContourValues GenerateValues numContours range  */
  if (arg.size() < 3) 
    throw Exception("Function GenerateValues__1 for class vtkSynchronizedTemplates3D requires 3 argument(s)");
  vtkSynchronizedTemplates3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates3D>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[2];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GenerateValues(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:GenerateValues__2 vtkSynchronizedTemplates3DGenerateValues__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkSynchronizedTemplates3DGenerateValues__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateValues (int numContours, double rangeStart, double rangeEnd);this ContourValues GenerateValues numContours rangeStart rangeEnd  */
  if (arg.size() < 4) 
    throw Exception("Function GenerateValues__2 for class vtkSynchronizedTemplates3D requires 4 argument(s)");
  vtkSynchronizedTemplates3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates3D>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->GenerateValues(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:GetExecuteExtent vtkSynchronizedTemplates3DGetExecuteExtentFunction
//input a0 
//output y
ArrayVector vtkSynchronizedTemplates3DGetExecuteExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int *GetExecuteExtent ();return this ExecuteExtent  */
  if (arg.size() < 1) 
    throw Exception("Function GetExecuteExtent for class vtkSynchronizedTemplates3D requires 1 argument(s)");
  vtkSynchronizedTemplates3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates3D>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetExecuteExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:ThreadedExecute vtkSynchronizedTemplates3DThreadedExecuteFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkSynchronizedTemplates3DThreadedExecuteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThreadedExecute (vtkImageData *data, vtkInformation *inInfo, vtkInformation *outInfo, int *exExt, vtkDataArray *inScalars); */
  if (arg.size() < 6) 
    throw Exception("Function ThreadedExecute for class vtkSynchronizedTemplates3D requires 6 argument(s)");
  vtkSynchronizedTemplates3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates3D>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  vtkInformation  *temp1;
  vtkInformation  *temp2;
  int     *temp3;
  vtkDataArray  *temp4;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  temp2 = GetVTKPointer<vtkInformation>(arg[3]);
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new int[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (int)data[k+1];
      }
  temp4 = GetVTKPointer<vtkDataArray>(arg[5]);
  vtk_pointer->ThreadedExecute(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:SetInputMemoryLimit vtkSynchronizedTemplates3DSetInputMemoryLimitFunction
//input a0 a1 
//output none
ArrayVector vtkSynchronizedTemplates3DSetInputMemoryLimitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputMemoryLimit (unsigned long limit); */
  if (arg.size() < 2) 
    throw Exception("Function SetInputMemoryLimit for class vtkSynchronizedTemplates3D requires 2 argument(s)");
  vtkSynchronizedTemplates3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates3D>(arg[0]);
  Array retval;
  unsigned long     temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned long) arg[1].asDouble();
  vtk_pointer->SetInputMemoryLimit(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:GetInputMemoryLimit vtkSynchronizedTemplates3DGetInputMemoryLimitFunction
//input a0 
//output y
ArrayVector vtkSynchronizedTemplates3DGetInputMemoryLimitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetInputMemoryLimit (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInputMemoryLimit for class vtkSynchronizedTemplates3D requires 1 argument(s)");
  vtkSynchronizedTemplates3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates3D>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetInputMemoryLimit();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:SetArrayComponent vtkSynchronizedTemplates3DSetArrayComponentFunction
//input a0 a1 
//output none
ArrayVector vtkSynchronizedTemplates3DSetArrayComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArrayComponent (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetArrayComponent for class vtkSynchronizedTemplates3D requires 2 argument(s)");
  vtkSynchronizedTemplates3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetArrayComponent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:GetArrayComponent vtkSynchronizedTemplates3DGetArrayComponentFunction
//input a0 
//output y
ArrayVector vtkSynchronizedTemplates3DGetArrayComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetArrayComponent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetArrayComponent for class vtkSynchronizedTemplates3D requires 1 argument(s)");
  vtkSynchronizedTemplates3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetArrayComponent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:GetValues vtkSynchronizedTemplates3DGetValuesFunction
//input varargin
//output varargout
ArrayVector vtkSynchronizedTemplates3DGetValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkSynchronizedTemplates3DGetValues__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSynchronizedTemplates3DGetValues");
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:GenerateValues vtkSynchronizedTemplates3DGenerateValuesFunction
//input varargin
//output varargout
ArrayVector vtkSynchronizedTemplates3DGenerateValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkSynchronizedTemplates3DGenerateValues__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkSynchronizedTemplates3DGenerateValues__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSynchronizedTemplates3DGenerateValues");
}

//@@Signature
//sfunction @vtkSynchronizedTemplates3D:display vtkSynchronizedTemplates3DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSynchronizedTemplates3DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSynchronizedTemplates3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplates3D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSynchronizedTemplates3D:delete vtkSynchronizedTemplates3DDeleteFunction
//input varargin
//output none
ArrayVector vtkSynchronizedTemplates3DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSynchronizedTemplates3D
//@@Section VTKGraphics
//@@Usage
// vtkSynchronizedTemplates3D is a 3D implementation of the synchronized 
// template algorithm. Note that vtkContourFilter will automatically
// use this class when appropriate.
//
//To create an instance of class vtkSynchronizedTemplates3D, simply
//invoke its constructor as follows
//@[
//  obj = vtkSynchronizedTemplates3D
//@]
//@@Methods
//The class vtkSynchronizedTemplates3D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSynchronizedTemplates3D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSynchronizedTemplates3D = obj.NewInstance ()|
// \item @|vtkSynchronizedTemplates3D = obj.SafeDownCast (vtkObject o)|
// \item @|long = obj.GetMTime ()| -  Because we delegate to vtkContourValues
//// \item @|obj.SetComputeNormals (int )| -  Set/Get the computation of normals. Normal computation is fairly
// expensive in both time and storage. If the output data will be
// processed by filters that modify topology or geometry, it may be
// wise to turn Normals and Gradients off.
//// \item @|int = obj.GetComputeNormals ()| -  Set/Get the computation of normals. Normal computation is fairly
// expensive in both time and storage. If the output data will be
// processed by filters that modify topology or geometry, it may be
// wise to turn Normals and Gradients off.
//// \item @|obj.ComputeNormalsOn ()| -  Set/Get the computation of normals. Normal computation is fairly
// expensive in both time and storage. If the output data will be
// processed by filters that modify topology or geometry, it may be
// wise to turn Normals and Gradients off.
//// \item @|obj.ComputeNormalsOff ()| -  Set/Get the computation of normals. Normal computation is fairly
// expensive in both time and storage. If the output data will be
// processed by filters that modify topology or geometry, it may be
// wise to turn Normals and Gradients off.
//// \item @|obj.SetComputeGradients (int )| -  Set/Get the computation of gradients. Gradient computation is
// fairly expensive in both time and storage. Note that if
// ComputeNormals is on, gradients will have to be calculated, but
// will not be stored in the output dataset.  If the output data
// will be processed by filters that modify topology or geometry, it
// may be wise to turn Normals and Gradients off.
//// \item @|int = obj.GetComputeGradients ()| -  Set/Get the computation of gradients. Gradient computation is
// fairly expensive in both time and storage. Note that if
// ComputeNormals is on, gradients will have to be calculated, but
// will not be stored in the output dataset.  If the output data
// will be processed by filters that modify topology or geometry, it
// may be wise to turn Normals and Gradients off.
//// \item @|obj.ComputeGradientsOn ()| -  Set/Get the computation of gradients. Gradient computation is
// fairly expensive in both time and storage. Note that if
// ComputeNormals is on, gradients will have to be calculated, but
// will not be stored in the output dataset.  If the output data
// will be processed by filters that modify topology or geometry, it
// may be wise to turn Normals and Gradients off.
//// \item @|obj.ComputeGradientsOff ()| -  Set/Get the computation of gradients. Gradient computation is
// fairly expensive in both time and storage. Note that if
// ComputeNormals is on, gradients will have to be calculated, but
// will not be stored in the output dataset.  If the output data
// will be processed by filters that modify topology or geometry, it
// may be wise to turn Normals and Gradients off.
//// \item @|obj.SetComputeScalars (int )| -  Set/Get the computation of scalars.
//// \item @|int = obj.GetComputeScalars ()| -  Set/Get the computation of scalars.
//// \item @|obj.ComputeScalarsOn ()| -  Set/Get the computation of scalars.
//// \item @|obj.ComputeScalarsOff ()| -  Set/Get the computation of scalars.
//// \item @|obj.SetValue (int i, double value)| -  Get the ith contour value.
//// \item @|double = obj.GetValue (int i)| -  Get a pointer to an array of contour values. There will be
// GetNumberOfContours() values in the list.
//// \item @|obj.GetValues (double contourValues)| -  Set the number of contours to place into the list. You only really
// need to use this method to reduce list size. The method SetValue()
// will automatically increase list size as needed.
//// \item @|obj.SetNumberOfContours (int number)| -  Get the number of contours in the list of contour values.
//// \item @|int = obj.GetNumberOfContours ()| -  Generate numContours equally spaced contour values between specified
// range. Contour values will include min/max range values.
//// \item @|obj.GenerateValues (int numContours, double range[2])| -  Generate numContours equally spaced contour values between specified
// range. Contour values will include min/max range values.
//// \item @|obj.GenerateValues (int numContours, double rangeStart, double rangeEnd)| -  Needed by templated functions.
//// \item @|int = obj.GetExecuteExtent ()| -  Needed by templated functions.
//// \item @|obj.ThreadedExecute (vtkImageData data, vtkInformation inInfo, vtkInformation outInfo, int exExt, vtkDataArray inScalars)| -  Needed by templated functions.
//// \item @|obj.SetInputMemoryLimit (long limit)| -  Determines the chunk size fro streaming.  This filter will act like a
// collector: ask for many input pieces, but generate one output.  Limit is
// in KBytes
//// \item @|long = obj.GetInputMemoryLimit ()| -  Determines the chunk size fro streaming.  This filter will act like a
// collector: ask for many input pieces, but generate one output.  Limit is
// in KBytes
//// \item @|obj.SetArrayComponent (int )| -  Set/get which component of the scalar array to contour on; defaults to 0.
//// \item @|int = obj.GetArrayComponent ()| -  Set/get which component of the scalar array to contour on; defaults to 0.
////\end{itemize}
//!
