#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSynchronizedTemplatesCutter3D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSynchronizedTemplatesCutter3D.h"

//@@Signature
//sfunction @vtkSynchronizedTemplatesCutter3D:vtkSynchronizedTemplatesCutter3D vtkSynchronizedTemplatesCutter3DConstructorFunction
//input a
//output p
//@@Parents vtkSynchronizedTemplatesCutter3D vtkSynchronizedTemplates3D 
ArrayVector vtkSynchronizedTemplatesCutter3DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSynchronizedTemplatesCutter3D::New(),"vtkSynchronizedTemplatesCutter3D",eval);
  } else if (arg[0].className() == "vtkSynchronizedTemplatesCutter3D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSynchronizedTemplatesCutter3D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSynchronizedTemplatesCutter3D");
    vtkSynchronizedTemplatesCutter3D*q = reinterpret_cast<vtkSynchronizedTemplatesCutter3D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSynchronizedTemplatesCutter3D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSynchronizedTemplatesCutter3D:GetClassName vtkSynchronizedTemplatesCutter3DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSynchronizedTemplatesCutter3DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSynchronizedTemplatesCutter3D requires 1 argument(s)");
  vtkSynchronizedTemplatesCutter3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplatesCutter3D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplatesCutter3D:IsA vtkSynchronizedTemplatesCutter3DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSynchronizedTemplatesCutter3DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSynchronizedTemplatesCutter3D requires 2 argument(s)");
  vtkSynchronizedTemplatesCutter3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplatesCutter3D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplatesCutter3D:NewInstance vtkSynchronizedTemplatesCutter3DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSynchronizedTemplatesCutter3DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSynchronizedTemplatesCutter3D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSynchronizedTemplatesCutter3D requires 1 argument(s)");
  vtkSynchronizedTemplatesCutter3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplatesCutter3D>(arg[0]);
  Array retval;
  vtkSynchronizedTemplatesCutter3D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSynchronizedTemplatesCutter3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplatesCutter3D:SafeDownCast vtkSynchronizedTemplatesCutter3DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSynchronizedTemplatesCutter3DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSynchronizedTemplatesCutter3D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSynchronizedTemplatesCutter3D requires 2 argument(s)");
  vtkSynchronizedTemplatesCutter3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplatesCutter3D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSynchronizedTemplatesCutter3D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSynchronizedTemplatesCutter3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplatesCutter3D:ThreadedExecute vtkSynchronizedTemplatesCutter3DThreadedExecuteFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkSynchronizedTemplatesCutter3DThreadedExecuteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThreadedExecute (vtkImageData *data, vtkInformation *outInfo, int *exExt, int ); */
  if (arg.size() < 5) 
    throw Exception("Function ThreadedExecute for class vtkSynchronizedTemplatesCutter3D requires 5 argument(s)");
  vtkSynchronizedTemplatesCutter3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplatesCutter3D>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  vtkInformation  *temp1;
  int     *temp2;
  int      temp3;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new int[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (int)data[k+1];
      }
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->ThreadedExecute(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplatesCutter3D:SetCutFunction vtkSynchronizedTemplatesCutter3DSetCutFunctionFunction
//input a0 a1 
//output none
ArrayVector vtkSynchronizedTemplatesCutter3DSetCutFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCutFunction (vtkImplicitFunction *); */
  if (arg.size() < 2) 
    throw Exception("Function SetCutFunction for class vtkSynchronizedTemplatesCutter3D requires 2 argument(s)");
  vtkSynchronizedTemplatesCutter3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplatesCutter3D>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp0;
  temp0 = GetVTKPointer<vtkImplicitFunction>(arg[1]);
  vtk_pointer->SetCutFunction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplatesCutter3D:GetCutFunction vtkSynchronizedTemplatesCutter3DGetCutFunctionFunction
//input a0 
//output y
ArrayVector vtkSynchronizedTemplatesCutter3DGetCutFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitFunction *GetCutFunction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCutFunction for class vtkSynchronizedTemplatesCutter3D requires 1 argument(s)");
  vtkSynchronizedTemplatesCutter3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplatesCutter3D>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp20;
  temp20 = (vtk_pointer)->GetCutFunction();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSynchronizedTemplatesCutter3D:display vtkSynchronizedTemplatesCutter3DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSynchronizedTemplatesCutter3DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSynchronizedTemplatesCutter3D* vtk_pointer = GetVTKPointer<vtkSynchronizedTemplatesCutter3D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSynchronizedTemplatesCutter3D:delete vtkSynchronizedTemplatesCutter3DDeleteFunction
//input varargin
//output none
ArrayVector vtkSynchronizedTemplatesCutter3DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSynchronizedTemplatesCutter3D
//@@Section VTKGraphics
//@@Usage
// vtkSynchronizedTemplatesCutter3D is an implementation of the synchronized 
// template algorithm. Note that vtkCutFilter will automatically
// use this class when appropriate.
//
//To create an instance of class vtkSynchronizedTemplatesCutter3D, simply
//invoke its constructor as follows
//@[
//  obj = vtkSynchronizedTemplatesCutter3D
//@]
//@@Methods
//The class vtkSynchronizedTemplatesCutter3D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSynchronizedTemplatesCutter3D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSynchronizedTemplatesCutter3D = obj.NewInstance ()|
// \item @|vtkSynchronizedTemplatesCutter3D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.ThreadedExecute (vtkImageData data, vtkInformation outInfo, int exExt, int )| -  Needed by templated functions.
//// \item @|obj.SetCutFunction (vtkImplicitFunction )|
// \item @|vtkImplicitFunction = obj.GetCutFunction ()|
//\end{itemize}
//!
