#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTableBasedClipDataSet object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTableBasedClipDataSet.h"

//@@Signature
//sfunction @vtkTableBasedClipDataSet:vtkTableBasedClipDataSet vtkTableBasedClipDataSetConstructorFunction
//input a
//output p
//@@Parents vtkTableBasedClipDataSet vtkUnstructuredGridAlgorithm 
ArrayVector vtkTableBasedClipDataSetConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTableBasedClipDataSet::New(),"vtkTableBasedClipDataSet",eval);
  } else if (arg[0].className() == "vtkTableBasedClipDataSet") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTableBasedClipDataSet"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTableBasedClipDataSet");
    vtkTableBasedClipDataSet*q = reinterpret_cast<vtkTableBasedClipDataSet*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTableBasedClipDataSet");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTableBasedClipDataSet:GetClassName vtkTableBasedClipDataSetGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTableBasedClipDataSetGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTableBasedClipDataSet requires 1 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:IsA vtkTableBasedClipDataSetIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTableBasedClipDataSetIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTableBasedClipDataSet requires 2 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:NewInstance vtkTableBasedClipDataSetNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTableBasedClipDataSetNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTableBasedClipDataSet *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTableBasedClipDataSet requires 1 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  vtkTableBasedClipDataSet  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTableBasedClipDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:SafeDownCast vtkTableBasedClipDataSetSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTableBasedClipDataSetSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTableBasedClipDataSet *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTableBasedClipDataSet requires 2 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTableBasedClipDataSet  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTableBasedClipDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:GetMTime vtkTableBasedClipDataSetGetMTimeFunction
//input a0 
//output y
ArrayVector vtkTableBasedClipDataSetGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkTableBasedClipDataSet requires 1 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:SetInsideOut vtkTableBasedClipDataSetSetInsideOutFunction
//input a0 a1 
//output none
ArrayVector vtkTableBasedClipDataSetSetInsideOutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInsideOut (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInsideOut for class vtkTableBasedClipDataSet requires 2 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInsideOut(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:GetInsideOut vtkTableBasedClipDataSetGetInsideOutFunction
//input a0 
//output y
ArrayVector vtkTableBasedClipDataSetGetInsideOutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInsideOut (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInsideOut for class vtkTableBasedClipDataSet requires 1 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInsideOut();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:InsideOutOn vtkTableBasedClipDataSetInsideOutOnFunction
//input a0 
//output none
ArrayVector vtkTableBasedClipDataSetInsideOutOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsideOutOn (); */
  if (arg.size() < 1) 
    throw Exception("Function InsideOutOn for class vtkTableBasedClipDataSet requires 1 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  vtk_pointer->InsideOutOn();
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:InsideOutOff vtkTableBasedClipDataSetInsideOutOffFunction
//input a0 
//output none
ArrayVector vtkTableBasedClipDataSetInsideOutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsideOutOff (); */
  if (arg.size() < 1) 
    throw Exception("Function InsideOutOff for class vtkTableBasedClipDataSet requires 1 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  vtk_pointer->InsideOutOff();
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:SetValue vtkTableBasedClipDataSetSetValueFunction
//input a0 a1 
//output none
ArrayVector vtkTableBasedClipDataSetSetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetValue for class vtkTableBasedClipDataSet requires 2 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:GetValue vtkTableBasedClipDataSetGetValueFunction
//input a0 
//output y
ArrayVector vtkTableBasedClipDataSetGetValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetValue for class vtkTableBasedClipDataSet requires 1 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:SetUseValueAsOffset vtkTableBasedClipDataSetSetUseValueAsOffsetFunction
//input a0 a1 
//output none
ArrayVector vtkTableBasedClipDataSetSetUseValueAsOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseValueAsOffset (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseValueAsOffset for class vtkTableBasedClipDataSet requires 2 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetUseValueAsOffset(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:GetUseValueAsOffset vtkTableBasedClipDataSetGetUseValueAsOffsetFunction
//input a0 
//output y
ArrayVector vtkTableBasedClipDataSetGetUseValueAsOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetUseValueAsOffset (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseValueAsOffset for class vtkTableBasedClipDataSet requires 1 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetUseValueAsOffset();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:UseValueAsOffsetOn vtkTableBasedClipDataSetUseValueAsOffsetOnFunction
//input a0 
//output none
ArrayVector vtkTableBasedClipDataSetUseValueAsOffsetOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseValueAsOffsetOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseValueAsOffsetOn for class vtkTableBasedClipDataSet requires 1 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  vtk_pointer->UseValueAsOffsetOn();
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:UseValueAsOffsetOff vtkTableBasedClipDataSetUseValueAsOffsetOffFunction
//input a0 
//output none
ArrayVector vtkTableBasedClipDataSetUseValueAsOffsetOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseValueAsOffsetOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseValueAsOffsetOff for class vtkTableBasedClipDataSet requires 1 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  vtk_pointer->UseValueAsOffsetOff();
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:SetClipFunction vtkTableBasedClipDataSetSetClipFunctionFunction
//input a0 a1 
//output none
ArrayVector vtkTableBasedClipDataSetSetClipFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetClipFunction (vtkImplicitFunction *); */
  if (arg.size() < 2) 
    throw Exception("Function SetClipFunction for class vtkTableBasedClipDataSet requires 2 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp0;
  temp0 = GetVTKPointer<vtkImplicitFunction>(arg[1]);
  vtk_pointer->SetClipFunction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:GetClipFunction vtkTableBasedClipDataSetGetClipFunctionFunction
//input a0 
//output y
ArrayVector vtkTableBasedClipDataSetGetClipFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitFunction *GetClipFunction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClipFunction for class vtkTableBasedClipDataSet requires 1 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp20;
  temp20 = (vtk_pointer)->GetClipFunction();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:SetGenerateClipScalars vtkTableBasedClipDataSetSetGenerateClipScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkTableBasedClipDataSetSetGenerateClipScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateClipScalars (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateClipScalars for class vtkTableBasedClipDataSet requires 2 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateClipScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:GetGenerateClipScalars vtkTableBasedClipDataSetGetGenerateClipScalarsFunction
//input a0 
//output y
ArrayVector vtkTableBasedClipDataSetGetGenerateClipScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateClipScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateClipScalars for class vtkTableBasedClipDataSet requires 1 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateClipScalars();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:GenerateClipScalarsOn vtkTableBasedClipDataSetGenerateClipScalarsOnFunction
//input a0 
//output none
ArrayVector vtkTableBasedClipDataSetGenerateClipScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateClipScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateClipScalarsOn for class vtkTableBasedClipDataSet requires 1 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  vtk_pointer->GenerateClipScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:GenerateClipScalarsOff vtkTableBasedClipDataSetGenerateClipScalarsOffFunction
//input a0 
//output none
ArrayVector vtkTableBasedClipDataSetGenerateClipScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateClipScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateClipScalarsOff for class vtkTableBasedClipDataSet requires 1 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  vtk_pointer->GenerateClipScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:SetLocator vtkTableBasedClipDataSetSetLocatorFunction
//input a0 a1 
//output none
ArrayVector vtkTableBasedClipDataSetSetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLocator (vtkIncrementalPointLocator *locator); */
  if (arg.size() < 2) 
    throw Exception("Function SetLocator for class vtkTableBasedClipDataSet requires 2 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp0;
  temp0 = GetVTKPointer<vtkIncrementalPointLocator>(arg[1]);
  vtk_pointer->SetLocator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:GetLocator vtkTableBasedClipDataSetGetLocatorFunction
//input a0 
//output y
ArrayVector vtkTableBasedClipDataSetGetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalPointLocator *GetLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocator for class vtkTableBasedClipDataSet requires 1 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp20;
  temp20 = (vtk_pointer)->GetLocator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:SetMergeTolerance vtkTableBasedClipDataSetSetMergeToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkTableBasedClipDataSetSetMergeToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMergeTolerance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMergeTolerance for class vtkTableBasedClipDataSet requires 2 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMergeTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:GetMergeToleranceMinValue vtkTableBasedClipDataSetGetMergeToleranceMinValueFunction
//input a0 
//output y
ArrayVector vtkTableBasedClipDataSetGetMergeToleranceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMergeToleranceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMergeToleranceMinValue for class vtkTableBasedClipDataSet requires 1 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMergeToleranceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:GetMergeToleranceMaxValue vtkTableBasedClipDataSetGetMergeToleranceMaxValueFunction
//input a0 
//output y
ArrayVector vtkTableBasedClipDataSetGetMergeToleranceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMergeToleranceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMergeToleranceMaxValue for class vtkTableBasedClipDataSet requires 1 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMergeToleranceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:GetMergeTolerance vtkTableBasedClipDataSetGetMergeToleranceFunction
//input a0 
//output y
ArrayVector vtkTableBasedClipDataSetGetMergeToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMergeTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMergeTolerance for class vtkTableBasedClipDataSet requires 1 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMergeTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:CreateDefaultLocator vtkTableBasedClipDataSetCreateDefaultLocatorFunction
//input a0 
//output none
ArrayVector vtkTableBasedClipDataSetCreateDefaultLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultLocator for class vtkTableBasedClipDataSet requires 1 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultLocator();
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:SetGenerateClippedOutput vtkTableBasedClipDataSetSetGenerateClippedOutputFunction
//input a0 a1 
//output none
ArrayVector vtkTableBasedClipDataSetSetGenerateClippedOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateClippedOutput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateClippedOutput for class vtkTableBasedClipDataSet requires 2 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateClippedOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:GetGenerateClippedOutput vtkTableBasedClipDataSetGetGenerateClippedOutputFunction
//input a0 
//output y
ArrayVector vtkTableBasedClipDataSetGetGenerateClippedOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateClippedOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateClippedOutput for class vtkTableBasedClipDataSet requires 1 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateClippedOutput();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:GenerateClippedOutputOn vtkTableBasedClipDataSetGenerateClippedOutputOnFunction
//input a0 
//output none
ArrayVector vtkTableBasedClipDataSetGenerateClippedOutputOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateClippedOutputOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateClippedOutputOn for class vtkTableBasedClipDataSet requires 1 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  vtk_pointer->GenerateClippedOutputOn();
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:GenerateClippedOutputOff vtkTableBasedClipDataSetGenerateClippedOutputOffFunction
//input a0 
//output none
ArrayVector vtkTableBasedClipDataSetGenerateClippedOutputOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateClippedOutputOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateClippedOutputOff for class vtkTableBasedClipDataSet requires 1 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  vtk_pointer->GenerateClippedOutputOff();
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:GetClippedOutput vtkTableBasedClipDataSetGetClippedOutputFunction
//input a0 
//output y
ArrayVector vtkTableBasedClipDataSetGetClippedOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetClippedOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClippedOutput for class vtkTableBasedClipDataSet requires 1 argument(s)");
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetClippedOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableBasedClipDataSet:display vtkTableBasedClipDataSetDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTableBasedClipDataSetDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTableBasedClipDataSet* vtk_pointer = GetVTKPointer<vtkTableBasedClipDataSet>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTableBasedClipDataSet:delete vtkTableBasedClipDataSetDeleteFunction
//input varargin
//output none
ArrayVector vtkTableBasedClipDataSetDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTableBasedClipDataSet
//@@Section VTKGraphics
//@@Usage
//  vtkTableBasedClipDataSet is a filter that clips any type of dataset using 
//  either any subclass of vtkImplicitFunction or an input scalar point data 
//  array. Clipping means that it actually "cuts" through the cells of the 
//  dataset, returning everything outside the specified implicit function (or 
//  greater than the scalar value) including "pieces" of a cell (Note to compare 
//  this with vtkExtractGeometry, which pulls out entire, uncut cells). The 
//  output of this filter is a vtkUnstructuredGrid data.
//
//  To use this filter, you need to decide whether an implicit function or an 
//  input scalar point data array is used for clipping. For the former case, 
//  1) define an implicit function
//  2) provide it to this filter via SetClipFunction()
//  If a clipping function is not specified, or GenerateClipScalars is off( the 
//  default), the input scalar point data array is then employed for clipping.
//
//  You can also specify a scalar (iso-)value, which is used to decide what is
//  inside and outside the implicit function. You can also reverse the sense of 
//  what inside/outside is by setting IVAR InsideOut. The clipping algorithm 
//  proceeds by computing an implicit function value or using the input scalar 
//  point data value for each point in the dataset. This is compared against the 
//  scalar (iso-)value to determine the inside/outside status.
//
//  Although this filter sometimes (but rarely) may resort to the sibling class
//  vtkClipDataSet for handling some special grids (such as cylinders or cones 
//  with capping faces in the form of a vtkPolyData), it itself is able to deal
//  with most grids. It is worth mentioning that vtkTableBasedClipDataSet is 
//  capable of addressing the artifacts that may occur with vtkClipDataSet due 
//  to the possibly inconsistent triagulation modes between neighboring cells. 
//  In addition, the former is much faster than the latter. Furthermore, the 
//  former produces less cells (with ratio usually being 5~6) than by the latter 
//  in the output. In other words, this filter retains the original cells (i.e., 
//  without triangulation / tetrahedralization) wherever possible. All these 
//  advantages are gained by adopting the unique clipping and triangulation tables
//  proposed by VisIt.
//
//
//To create an instance of class vtkTableBasedClipDataSet, simply
//invoke its constructor as follows
//@[
//  obj = vtkTableBasedClipDataSet
//@]
//@@Methods
//The class vtkTableBasedClipDataSet has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTableBasedClipDataSet class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTableBasedClipDataSet = obj.NewInstance ()|
// \item @|vtkTableBasedClipDataSet = obj.SafeDownCast (vtkObject o)|
// \item @|long = obj.GetMTime ()| -  Get the MTime for which the point locator and clip function are consdiered.
//// \item @|obj.SetInsideOut (int )| -  Set/Get the InsideOut flag. With this flag off, a vertex is considered
// inside (the implicit function or the isosurface) if the (function or scalar)
// value is greater than IVAR Value. With this flag on, a vertex is considered
// inside (the implicit function or the isosurface) if the (function or scalar)
// value is less than or equal to IVAR Value. This flag is off by default.
//// \item @|int = obj.GetInsideOut ()| -  Set/Get the InsideOut flag. With this flag off, a vertex is considered
// inside (the implicit function or the isosurface) if the (function or scalar)
// value is greater than IVAR Value. With this flag on, a vertex is considered
// inside (the implicit function or the isosurface) if the (function or scalar)
// value is less than or equal to IVAR Value. This flag is off by default.
//// \item @|obj.InsideOutOn ()| -  Set/Get the InsideOut flag. With this flag off, a vertex is considered
// inside (the implicit function or the isosurface) if the (function or scalar)
// value is greater than IVAR Value. With this flag on, a vertex is considered
// inside (the implicit function or the isosurface) if the (function or scalar)
// value is less than or equal to IVAR Value. This flag is off by default.
//// \item @|obj.InsideOutOff ()| -  Set/Get the InsideOut flag. With this flag off, a vertex is considered
// inside (the implicit function or the isosurface) if the (function or scalar)
// value is greater than IVAR Value. With this flag on, a vertex is considered
// inside (the implicit function or the isosurface) if the (function or scalar)
// value is less than or equal to IVAR Value. This flag is off by default.
//// \item @|obj.SetValue (double )| -  Set/Get the clipping value of the implicit function (if an implicit function
// is applied) or scalar data array (if a scalar data array is used), with 0.0
// as the default value. This value is ignored if flag UseValueAsOffset is true
// AND a clip function is defined.
//// \item @|double = obj.GetValue ()| -  Set/Get the clipping value of the implicit function (if an implicit function
// is applied) or scalar data array (if a scalar data array is used), with 0.0
// as the default value. This value is ignored if flag UseValueAsOffset is true
// AND a clip function is defined.
//// \item @|obj.SetUseValueAsOffset (bool )| -  Set/Get flag UseValueAsOffset, with true as the default value. With this flag
// on, IVAR Value is used as an offset parameter to the implicit function. Value 
// is used only when clipping using a scalar array.
//// \item @|bool = obj.GetUseValueAsOffset ()| -  Set/Get flag UseValueAsOffset, with true as the default value. With this flag
// on, IVAR Value is used as an offset parameter to the implicit function. Value 
// is used only when clipping using a scalar array.
//// \item @|obj.UseValueAsOffsetOn ()| -  Set/Get flag UseValueAsOffset, with true as the default value. With this flag
// on, IVAR Value is used as an offset parameter to the implicit function. Value 
// is used only when clipping using a scalar array.
//// \item @|obj.UseValueAsOffsetOff ()| -  Set/Get flag UseValueAsOffset, with true as the default value. With this flag
// on, IVAR Value is used as an offset parameter to the implicit function. Value 
// is used only when clipping using a scalar array.
//// \item @|obj.SetClipFunction (vtkImplicitFunction )|
// \item @|vtkImplicitFunction = obj.GetClipFunction ()|
// \item @|obj.SetGenerateClipScalars (int )| -  Set/Get flag GenerateClipScalars, with 0 as the default value. With this
// flag on, the scalar point data values obtained by evaluating the implicit
// function will be exported to the output. Note that this flag requries that
// an implicit function be provided.
//// \item @|int = obj.GetGenerateClipScalars ()| -  Set/Get flag GenerateClipScalars, with 0 as the default value. With this
// flag on, the scalar point data values obtained by evaluating the implicit
// function will be exported to the output. Note that this flag requries that
// an implicit function be provided.
//// \item @|obj.GenerateClipScalarsOn ()| -  Set/Get flag GenerateClipScalars, with 0 as the default value. With this
// flag on, the scalar point data values obtained by evaluating the implicit
// function will be exported to the output. Note that this flag requries that
// an implicit function be provided.
//// \item @|obj.GenerateClipScalarsOff ()| -  Set/Get flag GenerateClipScalars, with 0 as the default value. With this
// flag on, the scalar point data values obtained by evaluating the implicit
// function will be exported to the output. Note that this flag requries that
// an implicit function be provided.
//// \item @|obj.SetLocator (vtkIncrementalPointLocator locator)| -  Set/Get a point locator locator for merging duplicate points. By default, 
// an instance of vtkMergePoints is used. Note that this IVAR is provided
// in this class only because this filter may resort to its sibling class
// vtkClipDataSet when processing some special grids (such as cylinders or
// cones with capping faces in the form of a vtkPolyData) while the latter
// requires a point locator. This filter itself does not need a locator.
//// \item @|vtkIncrementalPointLocator = obj.GetLocator ()| -  Set/Get a point locator locator for merging duplicate points. By default, 
// an instance of vtkMergePoints is used. Note that this IVAR is provided
// in this class only because this filter may resort to its sibling class
// vtkClipDataSet when processing some special grids (such as cylinders or
// cones with capping faces in the form of a vtkPolyData) while the latter
// requires a point locator. This filter itself does not need a locator.
//// \item @|obj.SetMergeTolerance (double )| -  Set/Get the tolerance used for merging duplicate points near the clipping 
// intersection cells. This tolerance may prevent the generation of degenerate
// primitives. Note that only 3D cells actually use this IVAR.
//// \item @|double = obj.GetMergeToleranceMinValue ()| -  Set/Get the tolerance used for merging duplicate points near the clipping 
// intersection cells. This tolerance may prevent the generation of degenerate
// primitives. Note that only 3D cells actually use this IVAR.
//// \item @|double = obj.GetMergeToleranceMaxValue ()| -  Set/Get the tolerance used for merging duplicate points near the clipping 
// intersection cells. This tolerance may prevent the generation of degenerate
// primitives. Note that only 3D cells actually use this IVAR.
//// \item @|double = obj.GetMergeTolerance ()| -  Set/Get the tolerance used for merging duplicate points near the clipping 
// intersection cells. This tolerance may prevent the generation of degenerate
// primitives. Note that only 3D cells actually use this IVAR.
//// \item @|obj.CreateDefaultLocator ()| -  Create a default point locator when none is specified. The point locator is
// used to merge coincident points.
//// \item @|obj.SetGenerateClippedOutput (int )| -  Set/Get whether a second output is generated. The second output contains the
// polygonal data that is clipped away by the iso-surface.
//// \item @|int = obj.GetGenerateClippedOutput ()| -  Set/Get whether a second output is generated. The second output contains the
// polygonal data that is clipped away by the iso-surface.
//// \item @|obj.GenerateClippedOutputOn ()| -  Set/Get whether a second output is generated. The second output contains the
// polygonal data that is clipped away by the iso-surface.
//// \item @|obj.GenerateClippedOutputOff ()| -  Set/Get whether a second output is generated. The second output contains the
// polygonal data that is clipped away by the iso-surface.
//// \item @|vtkUnstructuredGrid = obj.GetClippedOutput ()| -  Return the clipped output.
////\end{itemize}
//!
