#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTableToPolyData object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTableToPolyData.h"

//@@Signature
//sfunction @vtkTableToPolyData:vtkTableToPolyData vtkTableToPolyDataConstructorFunction
//input a
//output p
//@@Parents vtkTableToPolyData vtkPolyDataAlgorithm 
ArrayVector vtkTableToPolyDataConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTableToPolyData::New(),"vtkTableToPolyData",eval);
  } else if (arg[0].className() == "vtkTableToPolyData") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTableToPolyData"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTableToPolyData");
    vtkTableToPolyData*q = reinterpret_cast<vtkTableToPolyData*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTableToPolyData");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTableToPolyData:GetClassName vtkTableToPolyDataGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTableToPolyDataGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTableToPolyData requires 1 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:IsA vtkTableToPolyDataIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTableToPolyDataIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTableToPolyData requires 2 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:NewInstance vtkTableToPolyDataNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTableToPolyDataNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTableToPolyData *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTableToPolyData requires 1 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  vtkTableToPolyData  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTableToPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:SafeDownCast vtkTableToPolyDataSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTableToPolyDataSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTableToPolyData *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTableToPolyData requires 2 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTableToPolyData  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTableToPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:SetXColumn vtkTableToPolyDataSetXColumnFunction
//input a0 a1 
//output none
ArrayVector vtkTableToPolyDataSetXColumnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXColumn (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetXColumn for class vtkTableToPolyData requires 2 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetXColumn(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:GetXColumn vtkTableToPolyDataGetXColumnFunction
//input a0 
//output y
ArrayVector vtkTableToPolyDataGetXColumnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetXColumn (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXColumn for class vtkTableToPolyData requires 1 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetXColumn();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:SetXColumnIndex vtkTableToPolyDataSetXColumnIndexFunction
//input a0 a1 
//output none
ArrayVector vtkTableToPolyDataSetXColumnIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXColumnIndex (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetXColumnIndex for class vtkTableToPolyData requires 2 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetXColumnIndex(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:GetXColumnIndexMinValue vtkTableToPolyDataGetXColumnIndexMinValueFunction
//input a0 
//output y
ArrayVector vtkTableToPolyDataGetXColumnIndexMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetXColumnIndexMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXColumnIndexMinValue for class vtkTableToPolyData requires 1 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetXColumnIndexMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:GetXColumnIndexMaxValue vtkTableToPolyDataGetXColumnIndexMaxValueFunction
//input a0 
//output y
ArrayVector vtkTableToPolyDataGetXColumnIndexMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetXColumnIndexMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXColumnIndexMaxValue for class vtkTableToPolyData requires 1 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetXColumnIndexMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:GetXColumnIndex vtkTableToPolyDataGetXColumnIndexFunction
//input a0 
//output y
ArrayVector vtkTableToPolyDataGetXColumnIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetXColumnIndex (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXColumnIndex for class vtkTableToPolyData requires 1 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetXColumnIndex();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:SetXComponent vtkTableToPolyDataSetXComponentFunction
//input a0 a1 
//output none
ArrayVector vtkTableToPolyDataSetXComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXComponent (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetXComponent for class vtkTableToPolyData requires 2 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetXComponent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:GetXComponentMinValue vtkTableToPolyDataGetXComponentMinValueFunction
//input a0 
//output y
ArrayVector vtkTableToPolyDataGetXComponentMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetXComponentMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXComponentMinValue for class vtkTableToPolyData requires 1 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetXComponentMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:GetXComponentMaxValue vtkTableToPolyDataGetXComponentMaxValueFunction
//input a0 
//output y
ArrayVector vtkTableToPolyDataGetXComponentMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetXComponentMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXComponentMaxValue for class vtkTableToPolyData requires 1 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetXComponentMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:GetXComponent vtkTableToPolyDataGetXComponentFunction
//input a0 
//output y
ArrayVector vtkTableToPolyDataGetXComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetXComponent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXComponent for class vtkTableToPolyData requires 1 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetXComponent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:SetYColumn vtkTableToPolyDataSetYColumnFunction
//input a0 a1 
//output none
ArrayVector vtkTableToPolyDataSetYColumnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYColumn (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetYColumn for class vtkTableToPolyData requires 2 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetYColumn(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:GetYColumn vtkTableToPolyDataGetYColumnFunction
//input a0 
//output y
ArrayVector vtkTableToPolyDataGetYColumnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetYColumn (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYColumn for class vtkTableToPolyData requires 1 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetYColumn();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:SetYColumnIndex vtkTableToPolyDataSetYColumnIndexFunction
//input a0 a1 
//output none
ArrayVector vtkTableToPolyDataSetYColumnIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYColumnIndex (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetYColumnIndex for class vtkTableToPolyData requires 2 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetYColumnIndex(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:GetYColumnIndexMinValue vtkTableToPolyDataGetYColumnIndexMinValueFunction
//input a0 
//output y
ArrayVector vtkTableToPolyDataGetYColumnIndexMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetYColumnIndexMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYColumnIndexMinValue for class vtkTableToPolyData requires 1 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetYColumnIndexMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:GetYColumnIndexMaxValue vtkTableToPolyDataGetYColumnIndexMaxValueFunction
//input a0 
//output y
ArrayVector vtkTableToPolyDataGetYColumnIndexMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetYColumnIndexMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYColumnIndexMaxValue for class vtkTableToPolyData requires 1 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetYColumnIndexMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:GetYColumnIndex vtkTableToPolyDataGetYColumnIndexFunction
//input a0 
//output y
ArrayVector vtkTableToPolyDataGetYColumnIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetYColumnIndex (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYColumnIndex for class vtkTableToPolyData requires 1 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetYColumnIndex();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:SetYComponent vtkTableToPolyDataSetYComponentFunction
//input a0 a1 
//output none
ArrayVector vtkTableToPolyDataSetYComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYComponent (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetYComponent for class vtkTableToPolyData requires 2 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetYComponent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:GetYComponentMinValue vtkTableToPolyDataGetYComponentMinValueFunction
//input a0 
//output y
ArrayVector vtkTableToPolyDataGetYComponentMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetYComponentMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYComponentMinValue for class vtkTableToPolyData requires 1 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetYComponentMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:GetYComponentMaxValue vtkTableToPolyDataGetYComponentMaxValueFunction
//input a0 
//output y
ArrayVector vtkTableToPolyDataGetYComponentMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetYComponentMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYComponentMaxValue for class vtkTableToPolyData requires 1 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetYComponentMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:GetYComponent vtkTableToPolyDataGetYComponentFunction
//input a0 
//output y
ArrayVector vtkTableToPolyDataGetYComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetYComponent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYComponent for class vtkTableToPolyData requires 1 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetYComponent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:SetZColumn vtkTableToPolyDataSetZColumnFunction
//input a0 a1 
//output none
ArrayVector vtkTableToPolyDataSetZColumnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZColumn (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetZColumn for class vtkTableToPolyData requires 2 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetZColumn(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:GetZColumn vtkTableToPolyDataGetZColumnFunction
//input a0 
//output y
ArrayVector vtkTableToPolyDataGetZColumnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetZColumn (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZColumn for class vtkTableToPolyData requires 1 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetZColumn();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:SetZColumnIndex vtkTableToPolyDataSetZColumnIndexFunction
//input a0 a1 
//output none
ArrayVector vtkTableToPolyDataSetZColumnIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZColumnIndex (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetZColumnIndex for class vtkTableToPolyData requires 2 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetZColumnIndex(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:GetZColumnIndexMinValue vtkTableToPolyDataGetZColumnIndexMinValueFunction
//input a0 
//output y
ArrayVector vtkTableToPolyDataGetZColumnIndexMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetZColumnIndexMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZColumnIndexMinValue for class vtkTableToPolyData requires 1 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetZColumnIndexMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:GetZColumnIndexMaxValue vtkTableToPolyDataGetZColumnIndexMaxValueFunction
//input a0 
//output y
ArrayVector vtkTableToPolyDataGetZColumnIndexMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetZColumnIndexMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZColumnIndexMaxValue for class vtkTableToPolyData requires 1 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetZColumnIndexMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:GetZColumnIndex vtkTableToPolyDataGetZColumnIndexFunction
//input a0 
//output y
ArrayVector vtkTableToPolyDataGetZColumnIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetZColumnIndex (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZColumnIndex for class vtkTableToPolyData requires 1 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetZColumnIndex();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:SetZComponent vtkTableToPolyDataSetZComponentFunction
//input a0 a1 
//output none
ArrayVector vtkTableToPolyDataSetZComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZComponent (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetZComponent for class vtkTableToPolyData requires 2 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetZComponent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:GetZComponentMinValue vtkTableToPolyDataGetZComponentMinValueFunction
//input a0 
//output y
ArrayVector vtkTableToPolyDataGetZComponentMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetZComponentMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZComponentMinValue for class vtkTableToPolyData requires 1 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetZComponentMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:GetZComponentMaxValue vtkTableToPolyDataGetZComponentMaxValueFunction
//input a0 
//output y
ArrayVector vtkTableToPolyDataGetZComponentMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetZComponentMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZComponentMaxValue for class vtkTableToPolyData requires 1 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetZComponentMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:GetZComponent vtkTableToPolyDataGetZComponentFunction
//input a0 
//output y
ArrayVector vtkTableToPolyDataGetZComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetZComponent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZComponent for class vtkTableToPolyData requires 1 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetZComponent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:SetCreate2DPoints vtkTableToPolyDataSetCreate2DPointsFunction
//input a0 a1 
//output none
ArrayVector vtkTableToPolyDataSetCreate2DPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCreate2DPoints (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCreate2DPoints for class vtkTableToPolyData requires 2 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetCreate2DPoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:GetCreate2DPoints vtkTableToPolyDataGetCreate2DPointsFunction
//input a0 
//output y
ArrayVector vtkTableToPolyDataGetCreate2DPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetCreate2DPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCreate2DPoints for class vtkTableToPolyData requires 1 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetCreate2DPoints();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:Create2DPointsOn vtkTableToPolyDataCreate2DPointsOnFunction
//input a0 
//output none
ArrayVector vtkTableToPolyDataCreate2DPointsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Create2DPointsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function Create2DPointsOn for class vtkTableToPolyData requires 1 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  vtk_pointer->Create2DPointsOn();
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:Create2DPointsOff vtkTableToPolyDataCreate2DPointsOffFunction
//input a0 
//output none
ArrayVector vtkTableToPolyDataCreate2DPointsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Create2DPointsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function Create2DPointsOff for class vtkTableToPolyData requires 1 argument(s)");
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  Array retval;
  vtk_pointer->Create2DPointsOff();
  return retval;
}

//@@Signature
//sfunction @vtkTableToPolyData:display vtkTableToPolyDataDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTableToPolyDataDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTableToPolyData* vtk_pointer = GetVTKPointer<vtkTableToPolyData>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTableToPolyData:delete vtkTableToPolyDataDeleteFunction
//input varargin
//output none
ArrayVector vtkTableToPolyDataDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTableToPolyData
//@@Section VTKGraphics
//@@Usage
// vtkTableToPolyData is a filter used to convert a vtkTable  to a vtkPolyData
// consisting of vertices.
//
//To create an instance of class vtkTableToPolyData, simply
//invoke its constructor as follows
//@[
//  obj = vtkTableToPolyData
//@]
//@@Methods
//The class vtkTableToPolyData has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTableToPolyData class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTableToPolyData = obj.NewInstance ()|
// \item @|vtkTableToPolyData = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetXColumn (string )| -  Set the name of the column to use as the X coordinate for the points. 
//// \item @|string = obj.GetXColumn ()| -  Set the name of the column to use as the X coordinate for the points. 
//// \item @|obj.SetXColumnIndex (int )| -  Set the index of the column to use as the X coordinate for the points. 
//// \item @|int = obj.GetXColumnIndexMinValue ()| -  Set the index of the column to use as the X coordinate for the points. 
//// \item @|int = obj.GetXColumnIndexMaxValue ()| -  Set the index of the column to use as the X coordinate for the points. 
//// \item @|int = obj.GetXColumnIndex ()| -  Set the index of the column to use as the X coordinate for the points. 
//// \item @|obj.SetXComponent (int )| -  Specify the component for the column specified using SetXColumn() to
// use as the xcoordinate in case the column is a multi-component array.
// Default is 0.
//// \item @|int = obj.GetXComponentMinValue ()| -  Specify the component for the column specified using SetXColumn() to
// use as the xcoordinate in case the column is a multi-component array.
// Default is 0.
//// \item @|int = obj.GetXComponentMaxValue ()| -  Specify the component for the column specified using SetXColumn() to
// use as the xcoordinate in case the column is a multi-component array.
// Default is 0.
//// \item @|int = obj.GetXComponent ()| -  Specify the component for the column specified using SetXColumn() to
// use as the xcoordinate in case the column is a multi-component array.
// Default is 0.
//// \item @|obj.SetYColumn (string )| -  Set the name of the column to use as the Y coordinate for the points. 
// Default is 0.
//// \item @|string = obj.GetYColumn ()| -  Set the name of the column to use as the Y coordinate for the points. 
// Default is 0.
//// \item @|obj.SetYColumnIndex (int )| -  Set the index of the column to use as the Y coordinate for the points. 
//// \item @|int = obj.GetYColumnIndexMinValue ()| -  Set the index of the column to use as the Y coordinate for the points. 
//// \item @|int = obj.GetYColumnIndexMaxValue ()| -  Set the index of the column to use as the Y coordinate for the points. 
//// \item @|int = obj.GetYColumnIndex ()| -  Set the index of the column to use as the Y coordinate for the points. 
//// \item @|obj.SetYComponent (int )| -  Specify the component for the column specified using SetYColumn() to
// use as the Ycoordinate in case the column is a multi-component array.
//// \item @|int = obj.GetYComponentMinValue ()| -  Specify the component for the column specified using SetYColumn() to
// use as the Ycoordinate in case the column is a multi-component array.
//// \item @|int = obj.GetYComponentMaxValue ()| -  Specify the component for the column specified using SetYColumn() to
// use as the Ycoordinate in case the column is a multi-component array.
//// \item @|int = obj.GetYComponent ()| -  Specify the component for the column specified using SetYColumn() to
// use as the Ycoordinate in case the column is a multi-component array.
//// \item @|obj.SetZColumn (string )| -  Set the name of the column to use as the Z coordinate for the points.
// Default is 0.
//// \item @|string = obj.GetZColumn ()| -  Set the name of the column to use as the Z coordinate for the points.
// Default is 0.
//// \item @|obj.SetZColumnIndex (int )| -  Set the index of the column to use as the Z coordinate for the points. 
//// \item @|int = obj.GetZColumnIndexMinValue ()| -  Set the index of the column to use as the Z coordinate for the points. 
//// \item @|int = obj.GetZColumnIndexMaxValue ()| -  Set the index of the column to use as the Z coordinate for the points. 
//// \item @|int = obj.GetZColumnIndex ()| -  Set the index of the column to use as the Z coordinate for the points. 
//// \item @|obj.SetZComponent (int )| -  Specify the component for the column specified using SetZColumn() to
// use as the Zcoordinate in case the column is a multi-component array.
//// \item @|int = obj.GetZComponentMinValue ()| -  Specify the component for the column specified using SetZColumn() to
// use as the Zcoordinate in case the column is a multi-component array.
//// \item @|int = obj.GetZComponentMaxValue ()| -  Specify the component for the column specified using SetZColumn() to
// use as the Zcoordinate in case the column is a multi-component array.
//// \item @|int = obj.GetZComponent ()| -  Specify the component for the column specified using SetZColumn() to
// use as the Zcoordinate in case the column is a multi-component array.
//// \item @|obj.SetCreate2DPoints (bool )| -  Specify whether the points of the polydata are 3D or 2D. If this is set to
// true then the Z Column will be ignored and the z value of each point on the 
// polydata will be set to 0. By default this will be off.
//// \item @|bool = obj.GetCreate2DPoints ()| -  Specify whether the points of the polydata are 3D or 2D. If this is set to
// true then the Z Column will be ignored and the z value of each point on the 
// polydata will be set to 0. By default this will be off.
//// \item @|obj.Create2DPointsOn ()| -  Specify whether the points of the polydata are 3D or 2D. If this is set to
// true then the Z Column will be ignored and the z value of each point on the 
// polydata will be set to 0. By default this will be off.
//// \item @|obj.Create2DPointsOff ()| -  Specify whether the points of the polydata are 3D or 2D. If this is set to
// true then the Z Column will be ignored and the z value of each point on the 
// polydata will be set to 0. By default this will be off.
////\end{itemize}
//!
