#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTableToStructuredGrid object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTableToStructuredGrid.h"

//@@Signature
//sfunction @vtkTableToStructuredGrid:vtkTableToStructuredGrid vtkTableToStructuredGridConstructorFunction
//input a
//output p
//@@Parents vtkTableToStructuredGrid vtkStructuredGridAlgorithm 
ArrayVector vtkTableToStructuredGridConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTableToStructuredGrid::New(),"vtkTableToStructuredGrid",eval);
  } else if (arg[0].className() == "vtkTableToStructuredGrid") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTableToStructuredGrid"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTableToStructuredGrid");
    vtkTableToStructuredGrid*q = reinterpret_cast<vtkTableToStructuredGrid*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTableToStructuredGrid");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTableToStructuredGrid:GetClassName vtkTableToStructuredGridGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTableToStructuredGridGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTableToStructuredGrid requires 1 argument(s)");
  vtkTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkTableToStructuredGrid>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToStructuredGrid:IsA vtkTableToStructuredGridIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTableToStructuredGridIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTableToStructuredGrid requires 2 argument(s)");
  vtkTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkTableToStructuredGrid>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToStructuredGrid:NewInstance vtkTableToStructuredGridNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTableToStructuredGridNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTableToStructuredGrid *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTableToStructuredGrid requires 1 argument(s)");
  vtkTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkTableToStructuredGrid>(arg[0]);
  Array retval;
  vtkTableToStructuredGrid  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTableToStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableToStructuredGrid:SafeDownCast vtkTableToStructuredGridSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTableToStructuredGridSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTableToStructuredGrid *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTableToStructuredGrid requires 2 argument(s)");
  vtkTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkTableToStructuredGrid>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTableToStructuredGrid  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTableToStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableToStructuredGrid:SetWholeExtent__1 vtkTableToStructuredGridSetWholeExtent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkTableToStructuredGridSetWholeExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWholeExtent (int , int , int , int , int , int ); */
  if (arg.size() < 7) 
    throw Exception("Function SetWholeExtent__1 for class vtkTableToStructuredGrid requires 7 argument(s)");
  vtkTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkTableToStructuredGrid>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkTableToStructuredGrid:SetWholeExtent__2 vtkTableToStructuredGridSetWholeExtent__2Function
//input a0 a1 
//output none
ArrayVector vtkTableToStructuredGridSetWholeExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWholeExtent (int  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetWholeExtent__2 for class vtkTableToStructuredGrid requires 2 argument(s)");
  vtkTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkTableToStructuredGrid>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetWholeExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableToStructuredGrid:GetWholeExtent vtkTableToStructuredGridGetWholeExtentFunction
//input a0 
//output y
ArrayVector vtkTableToStructuredGridGetWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetWholeExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWholeExtent for class vtkTableToStructuredGrid requires 1 argument(s)");
  vtkTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkTableToStructuredGrid>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetWholeExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTableToStructuredGrid:SetXColumn vtkTableToStructuredGridSetXColumnFunction
//input a0 a1 
//output none
ArrayVector vtkTableToStructuredGridSetXColumnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXColumn (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetXColumn for class vtkTableToStructuredGrid requires 2 argument(s)");
  vtkTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkTableToStructuredGrid>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetXColumn(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableToStructuredGrid:GetXColumn vtkTableToStructuredGridGetXColumnFunction
//input a0 
//output y
ArrayVector vtkTableToStructuredGridGetXColumnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetXColumn (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXColumn for class vtkTableToStructuredGrid requires 1 argument(s)");
  vtkTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkTableToStructuredGrid>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetXColumn();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToStructuredGrid:SetXComponent vtkTableToStructuredGridSetXComponentFunction
//input a0 a1 
//output none
ArrayVector vtkTableToStructuredGridSetXComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXComponent (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetXComponent for class vtkTableToStructuredGrid requires 2 argument(s)");
  vtkTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkTableToStructuredGrid>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetXComponent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableToStructuredGrid:GetXComponentMinValue vtkTableToStructuredGridGetXComponentMinValueFunction
//input a0 
//output y
ArrayVector vtkTableToStructuredGridGetXComponentMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetXComponentMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXComponentMinValue for class vtkTableToStructuredGrid requires 1 argument(s)");
  vtkTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkTableToStructuredGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetXComponentMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToStructuredGrid:GetXComponentMaxValue vtkTableToStructuredGridGetXComponentMaxValueFunction
//input a0 
//output y
ArrayVector vtkTableToStructuredGridGetXComponentMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetXComponentMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXComponentMaxValue for class vtkTableToStructuredGrid requires 1 argument(s)");
  vtkTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkTableToStructuredGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetXComponentMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToStructuredGrid:GetXComponent vtkTableToStructuredGridGetXComponentFunction
//input a0 
//output y
ArrayVector vtkTableToStructuredGridGetXComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetXComponent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXComponent for class vtkTableToStructuredGrid requires 1 argument(s)");
  vtkTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkTableToStructuredGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetXComponent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToStructuredGrid:SetYColumn vtkTableToStructuredGridSetYColumnFunction
//input a0 a1 
//output none
ArrayVector vtkTableToStructuredGridSetYColumnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYColumn (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetYColumn for class vtkTableToStructuredGrid requires 2 argument(s)");
  vtkTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkTableToStructuredGrid>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetYColumn(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableToStructuredGrid:GetYColumn vtkTableToStructuredGridGetYColumnFunction
//input a0 
//output y
ArrayVector vtkTableToStructuredGridGetYColumnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetYColumn (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYColumn for class vtkTableToStructuredGrid requires 1 argument(s)");
  vtkTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkTableToStructuredGrid>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetYColumn();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToStructuredGrid:SetYComponent vtkTableToStructuredGridSetYComponentFunction
//input a0 a1 
//output none
ArrayVector vtkTableToStructuredGridSetYComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYComponent (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetYComponent for class vtkTableToStructuredGrid requires 2 argument(s)");
  vtkTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkTableToStructuredGrid>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetYComponent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableToStructuredGrid:GetYComponentMinValue vtkTableToStructuredGridGetYComponentMinValueFunction
//input a0 
//output y
ArrayVector vtkTableToStructuredGridGetYComponentMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetYComponentMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYComponentMinValue for class vtkTableToStructuredGrid requires 1 argument(s)");
  vtkTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkTableToStructuredGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetYComponentMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToStructuredGrid:GetYComponentMaxValue vtkTableToStructuredGridGetYComponentMaxValueFunction
//input a0 
//output y
ArrayVector vtkTableToStructuredGridGetYComponentMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetYComponentMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYComponentMaxValue for class vtkTableToStructuredGrid requires 1 argument(s)");
  vtkTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkTableToStructuredGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetYComponentMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToStructuredGrid:GetYComponent vtkTableToStructuredGridGetYComponentFunction
//input a0 
//output y
ArrayVector vtkTableToStructuredGridGetYComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetYComponent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYComponent for class vtkTableToStructuredGrid requires 1 argument(s)");
  vtkTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkTableToStructuredGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetYComponent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToStructuredGrid:SetZColumn vtkTableToStructuredGridSetZColumnFunction
//input a0 a1 
//output none
ArrayVector vtkTableToStructuredGridSetZColumnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZColumn (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetZColumn for class vtkTableToStructuredGrid requires 2 argument(s)");
  vtkTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkTableToStructuredGrid>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetZColumn(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableToStructuredGrid:GetZColumn vtkTableToStructuredGridGetZColumnFunction
//input a0 
//output y
ArrayVector vtkTableToStructuredGridGetZColumnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetZColumn (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZColumn for class vtkTableToStructuredGrid requires 1 argument(s)");
  vtkTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkTableToStructuredGrid>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetZColumn();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToStructuredGrid:SetZComponent vtkTableToStructuredGridSetZComponentFunction
//input a0 a1 
//output none
ArrayVector vtkTableToStructuredGridSetZComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZComponent (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetZComponent for class vtkTableToStructuredGrid requires 2 argument(s)");
  vtkTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkTableToStructuredGrid>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetZComponent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableToStructuredGrid:GetZComponentMinValue vtkTableToStructuredGridGetZComponentMinValueFunction
//input a0 
//output y
ArrayVector vtkTableToStructuredGridGetZComponentMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetZComponentMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZComponentMinValue for class vtkTableToStructuredGrid requires 1 argument(s)");
  vtkTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkTableToStructuredGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetZComponentMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToStructuredGrid:GetZComponentMaxValue vtkTableToStructuredGridGetZComponentMaxValueFunction
//input a0 
//output y
ArrayVector vtkTableToStructuredGridGetZComponentMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetZComponentMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZComponentMaxValue for class vtkTableToStructuredGrid requires 1 argument(s)");
  vtkTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkTableToStructuredGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetZComponentMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToStructuredGrid:GetZComponent vtkTableToStructuredGridGetZComponentFunction
//input a0 
//output y
ArrayVector vtkTableToStructuredGridGetZComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetZComponent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZComponent for class vtkTableToStructuredGrid requires 1 argument(s)");
  vtkTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkTableToStructuredGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetZComponent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToStructuredGrid:SetWholeExtent vtkTableToStructuredGridSetWholeExtentFunction
//input varargin
//output varargout
ArrayVector vtkTableToStructuredGridSetWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkTableToStructuredGridSetWholeExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTableToStructuredGridSetWholeExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTableToStructuredGridSetWholeExtent");
}

//@@Signature
//sfunction @vtkTableToStructuredGrid:display vtkTableToStructuredGridDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTableToStructuredGridDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTableToStructuredGrid* vtk_pointer = GetVTKPointer<vtkTableToStructuredGrid>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTableToStructuredGrid:delete vtkTableToStructuredGridDeleteFunction
//input varargin
//output none
ArrayVector vtkTableToStructuredGridDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTableToStructuredGrid
//@@Section VTKGraphics
//@@Usage
// vtkTableToStructuredGrid is a filter that converts an input
// vtkTable to a vtkStructuredGrid. It provides API to select columns to use as
// points in the output structured grid. The specified dimensions of the output
// (specified using SetWholeExtent()) must match the number of rows in the input
// table.
//
//To create an instance of class vtkTableToStructuredGrid, simply
//invoke its constructor as follows
//@[
//  obj = vtkTableToStructuredGrid
//@]
//@@Methods
//The class vtkTableToStructuredGrid has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTableToStructuredGrid class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTableToStructuredGrid = obj.NewInstance ()|
// \item @|vtkTableToStructuredGrid = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetWholeExtent (int , int , int , int , int , int )| -  Get/Set the whole extents for the image to produce. The size of the image
// must match the number of rows in the input table.
//// \item @|obj.SetWholeExtent (int  a[6])| -  Get/Set the whole extents for the image to produce. The size of the image
// must match the number of rows in the input table.
//// \item @|int = obj. GetWholeExtent ()| -  Get/Set the whole extents for the image to produce. The size of the image
// must match the number of rows in the input table.
//// \item @|obj.SetXColumn (string )| -  Set the name of the column to use as the X coordinate for the points. 
//// \item @|string = obj.GetXColumn ()| -  Set the name of the column to use as the X coordinate for the points. 
//// \item @|obj.SetXComponent (int )| -  Specify the component for the column specified using SetXColumn() to
// use as the xcoordinate in case the column is a multi-component array.
// Default is 0.
//// \item @|int = obj.GetXComponentMinValue ()| -  Specify the component for the column specified using SetXColumn() to
// use as the xcoordinate in case the column is a multi-component array.
// Default is 0.
//// \item @|int = obj.GetXComponentMaxValue ()| -  Specify the component for the column specified using SetXColumn() to
// use as the xcoordinate in case the column is a multi-component array.
// Default is 0.
//// \item @|int = obj.GetXComponent ()| -  Specify the component for the column specified using SetXColumn() to
// use as the xcoordinate in case the column is a multi-component array.
// Default is 0.
//// \item @|obj.SetYColumn (string )| -  Set the name of the column to use as the Y coordinate for the points. 
// Default is 0.
//// \item @|string = obj.GetYColumn ()| -  Set the name of the column to use as the Y coordinate for the points. 
// Default is 0.
//// \item @|obj.SetYComponent (int )| -  Specify the component for the column specified using SetYColumn() to
// use as the Ycoordinate in case the column is a multi-component array.
//// \item @|int = obj.GetYComponentMinValue ()| -  Specify the component for the column specified using SetYColumn() to
// use as the Ycoordinate in case the column is a multi-component array.
//// \item @|int = obj.GetYComponentMaxValue ()| -  Specify the component for the column specified using SetYColumn() to
// use as the Ycoordinate in case the column is a multi-component array.
//// \item @|int = obj.GetYComponent ()| -  Specify the component for the column specified using SetYColumn() to
// use as the Ycoordinate in case the column is a multi-component array.
//// \item @|obj.SetZColumn (string )| -  Set the name of the column to use as the Z coordinate for the points.
// Default is 0.
//// \item @|string = obj.GetZColumn ()| -  Set the name of the column to use as the Z coordinate for the points.
// Default is 0.
//// \item @|obj.SetZComponent (int )| -  Specify the component for the column specified using SetZColumn() to
// use as the Zcoordinate in case the column is a multi-component array.
//// \item @|int = obj.GetZComponentMinValue ()| -  Specify the component for the column specified using SetZColumn() to
// use as the Zcoordinate in case the column is a multi-component array.
//// \item @|int = obj.GetZComponentMaxValue ()| -  Specify the component for the column specified using SetZColumn() to
// use as the Zcoordinate in case the column is a multi-component array.
//// \item @|int = obj.GetZComponent ()| -  Specify the component for the column specified using SetZColumn() to
// use as the Zcoordinate in case the column is a multi-component array.
////\end{itemize}
//!
