#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTemporalPathLineFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTemporalPathLineFilter.h"

//@@Signature
//sfunction @vtkTemporalPathLineFilter:vtkTemporalPathLineFilter vtkTemporalPathLineFilterConstructorFunction
//input a
//output p
//@@Parents vtkTemporalPathLineFilter vtkPolyDataAlgorithm 
ArrayVector vtkTemporalPathLineFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTemporalPathLineFilter::New(),"vtkTemporalPathLineFilter",eval);
  } else if (arg[0].className() == "vtkTemporalPathLineFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTemporalPathLineFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTemporalPathLineFilter");
    vtkTemporalPathLineFilter*q = reinterpret_cast<vtkTemporalPathLineFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTemporalPathLineFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTemporalPathLineFilter:GetClassName vtkTemporalPathLineFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTemporalPathLineFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTemporalPathLineFilter requires 1 argument(s)");
  vtkTemporalPathLineFilter* vtk_pointer = GetVTKPointer<vtkTemporalPathLineFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalPathLineFilter:IsA vtkTemporalPathLineFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTemporalPathLineFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTemporalPathLineFilter requires 2 argument(s)");
  vtkTemporalPathLineFilter* vtk_pointer = GetVTKPointer<vtkTemporalPathLineFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalPathLineFilter:NewInstance vtkTemporalPathLineFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTemporalPathLineFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTemporalPathLineFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTemporalPathLineFilter requires 1 argument(s)");
  vtkTemporalPathLineFilter* vtk_pointer = GetVTKPointer<vtkTemporalPathLineFilter>(arg[0]);
  Array retval;
  vtkTemporalPathLineFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTemporalPathLineFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalPathLineFilter:SafeDownCast vtkTemporalPathLineFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTemporalPathLineFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTemporalPathLineFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTemporalPathLineFilter requires 2 argument(s)");
  vtkTemporalPathLineFilter* vtk_pointer = GetVTKPointer<vtkTemporalPathLineFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTemporalPathLineFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTemporalPathLineFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalPathLineFilter:SetMaskPoints vtkTemporalPathLineFilterSetMaskPointsFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalPathLineFilterSetMaskPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaskPoints (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaskPoints for class vtkTemporalPathLineFilter requires 2 argument(s)");
  vtkTemporalPathLineFilter* vtk_pointer = GetVTKPointer<vtkTemporalPathLineFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaskPoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalPathLineFilter:GetMaskPoints vtkTemporalPathLineFilterGetMaskPointsFunction
//input a0 
//output y
ArrayVector vtkTemporalPathLineFilterGetMaskPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaskPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaskPoints for class vtkTemporalPathLineFilter requires 1 argument(s)");
  vtkTemporalPathLineFilter* vtk_pointer = GetVTKPointer<vtkTemporalPathLineFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaskPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalPathLineFilter:SetMaxTrackLength vtkTemporalPathLineFilterSetMaxTrackLengthFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalPathLineFilterSetMaxTrackLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxTrackLength (unsigned int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxTrackLength for class vtkTemporalPathLineFilter requires 2 argument(s)");
  vtkTemporalPathLineFilter* vtk_pointer = GetVTKPointer<vtkTemporalPathLineFilter>(arg[0]);
  Array retval;
  unsigned int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  vtk_pointer->SetMaxTrackLength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalPathLineFilter:GetMaxTrackLength vtkTemporalPathLineFilterGetMaxTrackLengthFunction
//input a0 
//output y
ArrayVector vtkTemporalPathLineFilterGetMaxTrackLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int unsigned GetMaxTrackLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxTrackLength for class vtkTemporalPathLineFilter requires 1 argument(s)");
  vtkTemporalPathLineFilter* vtk_pointer = GetVTKPointer<vtkTemporalPathLineFilter>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetMaxTrackLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalPathLineFilter:SetIdChannelArray vtkTemporalPathLineFilterSetIdChannelArrayFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalPathLineFilterSetIdChannelArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIdChannelArray (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetIdChannelArray for class vtkTemporalPathLineFilter requires 2 argument(s)");
  vtkTemporalPathLineFilter* vtk_pointer = GetVTKPointer<vtkTemporalPathLineFilter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetIdChannelArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalPathLineFilter:GetIdChannelArray vtkTemporalPathLineFilterGetIdChannelArrayFunction
//input a0 
//output y
ArrayVector vtkTemporalPathLineFilterGetIdChannelArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetIdChannelArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIdChannelArray for class vtkTemporalPathLineFilter requires 1 argument(s)");
  vtkTemporalPathLineFilter* vtk_pointer = GetVTKPointer<vtkTemporalPathLineFilter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetIdChannelArray();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalPathLineFilter:SetScalarArray vtkTemporalPathLineFilterSetScalarArrayFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalPathLineFilterSetScalarArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarArray (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarArray for class vtkTemporalPathLineFilter requires 2 argument(s)");
  vtkTemporalPathLineFilter* vtk_pointer = GetVTKPointer<vtkTemporalPathLineFilter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetScalarArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalPathLineFilter:GetScalarArray vtkTemporalPathLineFilterGetScalarArrayFunction
//input a0 
//output y
ArrayVector vtkTemporalPathLineFilterGetScalarArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetScalarArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarArray for class vtkTemporalPathLineFilter requires 1 argument(s)");
  vtkTemporalPathLineFilter* vtk_pointer = GetVTKPointer<vtkTemporalPathLineFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetScalarArray();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalPathLineFilter:SetMaxStepDistance__1 vtkTemporalPathLineFilterSetMaxStepDistance__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTemporalPathLineFilterSetMaxStepDistance__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxStepDistance (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetMaxStepDistance__1 for class vtkTemporalPathLineFilter requires 4 argument(s)");
  vtkTemporalPathLineFilter* vtk_pointer = GetVTKPointer<vtkTemporalPathLineFilter>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetMaxStepDistance(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalPathLineFilter:SetMaxStepDistance__2 vtkTemporalPathLineFilterSetMaxStepDistance__2Function
//input a0 a1 
//output none
ArrayVector vtkTemporalPathLineFilterSetMaxStepDistance__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxStepDistance (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxStepDistance__2 for class vtkTemporalPathLineFilter requires 2 argument(s)");
  vtkTemporalPathLineFilter* vtk_pointer = GetVTKPointer<vtkTemporalPathLineFilter>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetMaxStepDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalPathLineFilter:GetMaxStepDistance vtkTemporalPathLineFilterGetMaxStepDistanceFunction
//input a0 
//output y
ArrayVector vtkTemporalPathLineFilterGetMaxStepDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetMaxStepDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxStepDistance for class vtkTemporalPathLineFilter requires 1 argument(s)");
  vtkTemporalPathLineFilter* vtk_pointer = GetVTKPointer<vtkTemporalPathLineFilter>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetMaxStepDistance();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalPathLineFilter:SetKeepDeadTrails vtkTemporalPathLineFilterSetKeepDeadTrailsFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalPathLineFilterSetKeepDeadTrailsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKeepDeadTrails (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetKeepDeadTrails for class vtkTemporalPathLineFilter requires 2 argument(s)");
  vtkTemporalPathLineFilter* vtk_pointer = GetVTKPointer<vtkTemporalPathLineFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetKeepDeadTrails(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalPathLineFilter:GetKeepDeadTrails vtkTemporalPathLineFilterGetKeepDeadTrailsFunction
//input a0 
//output y
ArrayVector vtkTemporalPathLineFilterGetKeepDeadTrailsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetKeepDeadTrails (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKeepDeadTrails for class vtkTemporalPathLineFilter requires 1 argument(s)");
  vtkTemporalPathLineFilter* vtk_pointer = GetVTKPointer<vtkTemporalPathLineFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetKeepDeadTrails();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalPathLineFilter:Flush vtkTemporalPathLineFilterFlushFunction
//input a0 
//output none
ArrayVector vtkTemporalPathLineFilterFlushFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Flush (); */
  if (arg.size() < 1) 
    throw Exception("Function Flush for class vtkTemporalPathLineFilter requires 1 argument(s)");
  vtkTemporalPathLineFilter* vtk_pointer = GetVTKPointer<vtkTemporalPathLineFilter>(arg[0]);
  Array retval;
  vtk_pointer->Flush();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalPathLineFilter:SetSelectionConnection vtkTemporalPathLineFilterSetSelectionConnectionFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalPathLineFilterSetSelectionConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectionConnection (vtkAlgorithmOutput *algOutput); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectionConnection for class vtkTemporalPathLineFilter requires 2 argument(s)");
  vtkTemporalPathLineFilter* vtk_pointer = GetVTKPointer<vtkTemporalPathLineFilter>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->SetSelectionConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalPathLineFilter:SetSelection vtkTemporalPathLineFilterSetSelectionFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalPathLineFilterSetSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelection (vtkDataSet *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelection for class vtkTemporalPathLineFilter requires 2 argument(s)");
  vtkTemporalPathLineFilter* vtk_pointer = GetVTKPointer<vtkTemporalPathLineFilter>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetSelection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalPathLineFilter:SetMaxStepDistance vtkTemporalPathLineFilterSetMaxStepDistanceFunction
//input varargin
//output varargout
ArrayVector vtkTemporalPathLineFilterSetMaxStepDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkTemporalPathLineFilterSetMaxStepDistance__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTemporalPathLineFilterSetMaxStepDistance__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTemporalPathLineFilterSetMaxStepDistance");
}

//@@Signature
//sfunction @vtkTemporalPathLineFilter:display vtkTemporalPathLineFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTemporalPathLineFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTemporalPathLineFilter* vtk_pointer = GetVTKPointer<vtkTemporalPathLineFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTemporalPathLineFilter:delete vtkTemporalPathLineFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkTemporalPathLineFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTemporalPathLineFilter
//@@Section VTKGraphics
//@@Usage
// vtkTemporalPathLineFilter takes any dataset as input, it extracts the point
// locations of all cells over time to build up a polyline trail.
// The point number (index) is used as the 'key' if the points are randomly 
// changing their respective order in the points list, then you should specify
// a scalar that represents the unique ID. This is intended to handle the output
// of a filter such as the TemporalStreamTracer.
// 
//
//To create an instance of class vtkTemporalPathLineFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkTemporalPathLineFilter
//@]
//@@Methods
//The class vtkTemporalPathLineFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTemporalPathLineFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard Type-Macro
//// \item @|int = obj.IsA (string name)| -  Standard Type-Macro
//// \item @|vtkTemporalPathLineFilter = obj.NewInstance ()| -  Standard Type-Macro
//// \item @|vtkTemporalPathLineFilter = obj.SafeDownCast (vtkObject o)| -  Standard Type-Macro
//// \item @|obj.SetMaskPoints (int )| -  Set the number of particles to track as a ratio of the input
// example: setting MaskPoints to 10 will track every 10th point
//// \item @|int = obj.GetMaskPoints ()| -  Set the number of particles to track as a ratio of the input
// example: setting MaskPoints to 10 will track every 10th point
//// \item @|obj.SetMaxTrackLength (int )| -  If the Particles being traced animate for a long time, the
// trails or traces will become long and stringy. Setting
// the MaxTraceTimeLength will limit how much of the trace
// is displayed. Tracks longer then the Max will disappear
// and the trace will apppear like a snake of fixed length
// which progresses as the particle moves
//// \item @|int = obj.GetMaxTrackLength ()| -  If the Particles being traced animate for a long time, the
// trails or traces will become long and stringy. Setting
// the MaxTraceTimeLength will limit how much of the trace
// is displayed. Tracks longer then the Max will disappear
// and the trace will apppear like a snake of fixed length
// which progresses as the particle moves
//// \item @|obj.SetIdChannelArray (string )| -  Specify the name of a scalar array which will be used to fetch
// the index of each point. This is necessary only if the particles
// change position (Id order) on each time step. The Id can be used
// to identify particles at each step and hence track them properly.
// If this array is NULL, the global point ids are used.  If an Id
// array cannot otherwise be found, the point index is used as the ID.
//// \item @|string = obj.GetIdChannelArray ()| -  Specify the name of a scalar array which will be used to fetch
// the index of each point. This is necessary only if the particles
// change position (Id order) on each time step. The Id can be used
// to identify particles at each step and hence track them properly.
// If this array is NULL, the global point ids are used.  If an Id
// array cannot otherwise be found, the point index is used as the ID.
//// \item @|obj.SetScalarArray (string )|
// \item @|string = obj.GetScalarArray ()|
// \item @|obj.SetMaxStepDistance (double , double , double )| -  If a particle disappears from one end of a simulation and reappears
// on the other side, the track left will be unrepresentative.
// Set a MaxStepDistance{x,y,z} which acts as a threshold above which
// if a step occurs larger than the value (for the dimension), the track will
// be dropped and restarted after the step. (ie the part before the wrap 
// around will be dropped and the newer part kept).
//// \item @|obj.SetMaxStepDistance (double  a[3])| -  If a particle disappears from one end of a simulation and reappears
// on the other side, the track left will be unrepresentative.
// Set a MaxStepDistance{x,y,z} which acts as a threshold above which
// if a step occurs larger than the value (for the dimension), the track will
// be dropped and restarted after the step. (ie the part before the wrap 
// around will be dropped and the newer part kept).
//// \item @|double = obj. GetMaxStepDistance ()| -  If a particle disappears from one end of a simulation and reappears
// on the other side, the track left will be unrepresentative.
// Set a MaxStepDistance{x,y,z} which acts as a threshold above which
// if a step occurs larger than the value (for the dimension), the track will
// be dropped and restarted after the step. (ie the part before the wrap 
// around will be dropped and the newer part kept).
//// \item @|obj.SetKeepDeadTrails (int )| -  When a particle 'disappears', the trail belonging to it is removed from
// the list. When this flag is enabled, dead trails will persist
// until the next time the list is cleared. Use carefully as it may cause
// excessive memory consumption if left on by mistake.
//// \item @|int = obj.GetKeepDeadTrails ()| -  When a particle 'disappears', the trail belonging to it is removed from
// the list. When this flag is enabled, dead trails will persist
// until the next time the list is cleared. Use carefully as it may cause
// excessive memory consumption if left on by mistake.
//// \item @|obj.Flush ()| -  Flush will wipe any existing data so that traces can be restarted from
// whatever time step is next supplied.
//// \item @|obj.SetSelectionConnection (vtkAlgorithmOutput algOutput)| -  Set a second input which is a selection. Particles with the same
// Id in the selection as the primary input will be chosen for pathlines
// Note that you must have the same IdChannelArray in the selection as the input
//// \item @|obj.SetSelection (vtkDataSet input)| -  Set a second input which is a selection. Particles with the same
// Id in the selection as the primary input will be chosen for pathlines
// Note that you must have the same IdChannelArray in the selection as the input
////\end{itemize}
//!
