#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTemporalStatistics object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTemporalStatistics.h"

//@@Signature
//sfunction @vtkTemporalStatistics:vtkTemporalStatistics vtkTemporalStatisticsConstructorFunction
//input a
//output p
//@@Parents vtkTemporalStatistics vtkPassInputTypeAlgorithm 
ArrayVector vtkTemporalStatisticsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTemporalStatistics::New(),"vtkTemporalStatistics",eval);
  } else if (arg[0].className() == "vtkTemporalStatistics") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTemporalStatistics"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTemporalStatistics");
    vtkTemporalStatistics*q = reinterpret_cast<vtkTemporalStatistics*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTemporalStatistics");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTemporalStatistics:GetClassName vtkTemporalStatisticsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTemporalStatisticsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTemporalStatistics requires 1 argument(s)");
  vtkTemporalStatistics* vtk_pointer = GetVTKPointer<vtkTemporalStatistics>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStatistics:IsA vtkTemporalStatisticsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTemporalStatisticsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTemporalStatistics requires 2 argument(s)");
  vtkTemporalStatistics* vtk_pointer = GetVTKPointer<vtkTemporalStatistics>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStatistics:NewInstance vtkTemporalStatisticsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTemporalStatisticsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTemporalStatistics *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTemporalStatistics requires 1 argument(s)");
  vtkTemporalStatistics* vtk_pointer = GetVTKPointer<vtkTemporalStatistics>(arg[0]);
  Array retval;
  vtkTemporalStatistics  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTemporalStatistics",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStatistics:SafeDownCast vtkTemporalStatisticsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTemporalStatisticsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTemporalStatistics *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTemporalStatistics requires 2 argument(s)");
  vtkTemporalStatistics* vtk_pointer = GetVTKPointer<vtkTemporalStatistics>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTemporalStatistics  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTemporalStatistics",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStatistics:GetComputeAverage vtkTemporalStatisticsGetComputeAverageFunction
//input a0 
//output y
ArrayVector vtkTemporalStatisticsGetComputeAverageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeAverage (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeAverage for class vtkTemporalStatistics requires 1 argument(s)");
  vtkTemporalStatistics* vtk_pointer = GetVTKPointer<vtkTemporalStatistics>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeAverage();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStatistics:SetComputeAverage vtkTemporalStatisticsSetComputeAverageFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalStatisticsSetComputeAverageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeAverage (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeAverage for class vtkTemporalStatistics requires 2 argument(s)");
  vtkTemporalStatistics* vtk_pointer = GetVTKPointer<vtkTemporalStatistics>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeAverage(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStatistics:ComputeAverageOn vtkTemporalStatisticsComputeAverageOnFunction
//input a0 
//output none
ArrayVector vtkTemporalStatisticsComputeAverageOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeAverageOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeAverageOn for class vtkTemporalStatistics requires 1 argument(s)");
  vtkTemporalStatistics* vtk_pointer = GetVTKPointer<vtkTemporalStatistics>(arg[0]);
  Array retval;
  vtk_pointer->ComputeAverageOn();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStatistics:ComputeAverageOff vtkTemporalStatisticsComputeAverageOffFunction
//input a0 
//output none
ArrayVector vtkTemporalStatisticsComputeAverageOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeAverageOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeAverageOff for class vtkTemporalStatistics requires 1 argument(s)");
  vtkTemporalStatistics* vtk_pointer = GetVTKPointer<vtkTemporalStatistics>(arg[0]);
  Array retval;
  vtk_pointer->ComputeAverageOff();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStatistics:GetComputeMinimum vtkTemporalStatisticsGetComputeMinimumFunction
//input a0 
//output y
ArrayVector vtkTemporalStatisticsGetComputeMinimumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeMinimum (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeMinimum for class vtkTemporalStatistics requires 1 argument(s)");
  vtkTemporalStatistics* vtk_pointer = GetVTKPointer<vtkTemporalStatistics>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeMinimum();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStatistics:SetComputeMinimum vtkTemporalStatisticsSetComputeMinimumFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalStatisticsSetComputeMinimumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeMinimum (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeMinimum for class vtkTemporalStatistics requires 2 argument(s)");
  vtkTemporalStatistics* vtk_pointer = GetVTKPointer<vtkTemporalStatistics>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeMinimum(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStatistics:ComputeMinimumOn vtkTemporalStatisticsComputeMinimumOnFunction
//input a0 
//output none
ArrayVector vtkTemporalStatisticsComputeMinimumOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeMinimumOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeMinimumOn for class vtkTemporalStatistics requires 1 argument(s)");
  vtkTemporalStatistics* vtk_pointer = GetVTKPointer<vtkTemporalStatistics>(arg[0]);
  Array retval;
  vtk_pointer->ComputeMinimumOn();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStatistics:ComputeMinimumOff vtkTemporalStatisticsComputeMinimumOffFunction
//input a0 
//output none
ArrayVector vtkTemporalStatisticsComputeMinimumOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeMinimumOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeMinimumOff for class vtkTemporalStatistics requires 1 argument(s)");
  vtkTemporalStatistics* vtk_pointer = GetVTKPointer<vtkTemporalStatistics>(arg[0]);
  Array retval;
  vtk_pointer->ComputeMinimumOff();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStatistics:GetComputeMaximum vtkTemporalStatisticsGetComputeMaximumFunction
//input a0 
//output y
ArrayVector vtkTemporalStatisticsGetComputeMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeMaximum (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeMaximum for class vtkTemporalStatistics requires 1 argument(s)");
  vtkTemporalStatistics* vtk_pointer = GetVTKPointer<vtkTemporalStatistics>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeMaximum();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStatistics:SetComputeMaximum vtkTemporalStatisticsSetComputeMaximumFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalStatisticsSetComputeMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeMaximum (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeMaximum for class vtkTemporalStatistics requires 2 argument(s)");
  vtkTemporalStatistics* vtk_pointer = GetVTKPointer<vtkTemporalStatistics>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeMaximum(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStatistics:ComputeMaximumOn vtkTemporalStatisticsComputeMaximumOnFunction
//input a0 
//output none
ArrayVector vtkTemporalStatisticsComputeMaximumOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeMaximumOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeMaximumOn for class vtkTemporalStatistics requires 1 argument(s)");
  vtkTemporalStatistics* vtk_pointer = GetVTKPointer<vtkTemporalStatistics>(arg[0]);
  Array retval;
  vtk_pointer->ComputeMaximumOn();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStatistics:ComputeMaximumOff vtkTemporalStatisticsComputeMaximumOffFunction
//input a0 
//output none
ArrayVector vtkTemporalStatisticsComputeMaximumOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeMaximumOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeMaximumOff for class vtkTemporalStatistics requires 1 argument(s)");
  vtkTemporalStatistics* vtk_pointer = GetVTKPointer<vtkTemporalStatistics>(arg[0]);
  Array retval;
  vtk_pointer->ComputeMaximumOff();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStatistics:GetComputeStandardDeviation vtkTemporalStatisticsGetComputeStandardDeviationFunction
//input a0 
//output y
ArrayVector vtkTemporalStatisticsGetComputeStandardDeviationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeStandardDeviation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeStandardDeviation for class vtkTemporalStatistics requires 1 argument(s)");
  vtkTemporalStatistics* vtk_pointer = GetVTKPointer<vtkTemporalStatistics>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeStandardDeviation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStatistics:SetComputeStandardDeviation vtkTemporalStatisticsSetComputeStandardDeviationFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalStatisticsSetComputeStandardDeviationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeStandardDeviation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeStandardDeviation for class vtkTemporalStatistics requires 2 argument(s)");
  vtkTemporalStatistics* vtk_pointer = GetVTKPointer<vtkTemporalStatistics>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeStandardDeviation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStatistics:ComputeStandardDeviationOn vtkTemporalStatisticsComputeStandardDeviationOnFunction
//input a0 
//output none
ArrayVector vtkTemporalStatisticsComputeStandardDeviationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeStandardDeviationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeStandardDeviationOn for class vtkTemporalStatistics requires 1 argument(s)");
  vtkTemporalStatistics* vtk_pointer = GetVTKPointer<vtkTemporalStatistics>(arg[0]);
  Array retval;
  vtk_pointer->ComputeStandardDeviationOn();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStatistics:ComputeStandardDeviationOff vtkTemporalStatisticsComputeStandardDeviationOffFunction
//input a0 
//output none
ArrayVector vtkTemporalStatisticsComputeStandardDeviationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeStandardDeviationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeStandardDeviationOff for class vtkTemporalStatistics requires 1 argument(s)");
  vtkTemporalStatistics* vtk_pointer = GetVTKPointer<vtkTemporalStatistics>(arg[0]);
  Array retval;
  vtk_pointer->ComputeStandardDeviationOff();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalStatistics:InitializeStatistics vtkTemporalStatisticsInitializeStatisticsFunction
//input varargin
//output varargout
ArrayVector vtkTemporalStatisticsInitializeStatisticsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkTemporalStatisticsInitializeStatistics");
}

//@@Signature
//sfunction @vtkTemporalStatistics:AccumulateStatistics vtkTemporalStatisticsAccumulateStatisticsFunction
//input varargin
//output varargout
ArrayVector vtkTemporalStatisticsAccumulateStatisticsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkTemporalStatisticsAccumulateStatistics");
}

//@@Signature
//sfunction @vtkTemporalStatistics:PostExecute vtkTemporalStatisticsPostExecuteFunction
//input varargin
//output varargout
ArrayVector vtkTemporalStatisticsPostExecuteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkTemporalStatisticsPostExecute");
}

//@@Signature
//sfunction @vtkTemporalStatistics:display vtkTemporalStatisticsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTemporalStatisticsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTemporalStatistics* vtk_pointer = GetVTKPointer<vtkTemporalStatistics>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTemporalStatistics:delete vtkTemporalStatisticsDeleteFunction
//input varargin
//output none
ArrayVector vtkTemporalStatisticsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTemporalStatistics
//@@Section VTKGraphics
//@@Usage
//
// Given an input that changes over time, vtkTemporalStatistics looks at the
// data for each time step and computes some statistical information of how a
// point or cell variable changes over time.  For example, vtkTemporalStatistics
// can compute the average value of "pressure" over time of each point.
//
// Note that this filter will require the upstream filter to be run on every
// time step that it reports that it can compute.  This may be a time consuming
// operation.
//
// vtkTemporalStatistics ignores the temporal spacing.  Each timestep will be
// weighted the same regardless of how long of an interval it is to the next
// timestep.  Thus, the average statistic may be quite different from an
// integration of the variable if the time spacing varies.
//
// .SECTION Thanks
// This class was originally written by Kenneth Moreland (kmorel@sandia.gov)
// from Sandia National Laboratories.
//
//
//To create an instance of class vtkTemporalStatistics, simply
//invoke its constructor as follows
//@[
//  obj = vtkTemporalStatistics
//@]
//@@Methods
//The class vtkTemporalStatistics has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTemporalStatistics class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTemporalStatistics = obj.NewInstance ()|
// \item @|vtkTemporalStatistics = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetComputeAverage ()| -  Turn on/off the computation of the average values over time.  On by
// default.  The resulting array names have "_average" appended to them.
//// \item @|obj.SetComputeAverage (int )| -  Turn on/off the computation of the average values over time.  On by
// default.  The resulting array names have "_average" appended to them.
//// \item @|obj.ComputeAverageOn ()| -  Turn on/off the computation of the average values over time.  On by
// default.  The resulting array names have "_average" appended to them.
//// \item @|obj.ComputeAverageOff ()| -  Turn on/off the computation of the average values over time.  On by
// default.  The resulting array names have "_average" appended to them.
//// \item @|int = obj.GetComputeMinimum ()| -  Turn on/off the computation of the minimum values over time.  On by
// default.  The resulting array names have "_minimum" appended to them.
//// \item @|obj.SetComputeMinimum (int )| -  Turn on/off the computation of the minimum values over time.  On by
// default.  The resulting array names have "_minimum" appended to them.
//// \item @|obj.ComputeMinimumOn ()| -  Turn on/off the computation of the minimum values over time.  On by
// default.  The resulting array names have "_minimum" appended to them.
//// \item @|obj.ComputeMinimumOff ()| -  Turn on/off the computation of the minimum values over time.  On by
// default.  The resulting array names have "_minimum" appended to them.
//// \item @|int = obj.GetComputeMaximum ()| -  Turn on/off the computation of the maximum values over time.  On by
// default.  The resulting array names have "_maximum" appended to them.
//// \item @|obj.SetComputeMaximum (int )| -  Turn on/off the computation of the maximum values over time.  On by
// default.  The resulting array names have "_maximum" appended to them.
//// \item @|obj.ComputeMaximumOn ()| -  Turn on/off the computation of the maximum values over time.  On by
// default.  The resulting array names have "_maximum" appended to them.
//// \item @|obj.ComputeMaximumOff ()| -  Turn on/off the computation of the maximum values over time.  On by
// default.  The resulting array names have "_maximum" appended to them.
//// \item @|int = obj.GetComputeStandardDeviation ()|
// \item @|obj.SetComputeStandardDeviation (int )|
// \item @|obj.ComputeStandardDeviationOn ()|
// \item @|obj.ComputeStandardDeviationOff ()|
//\end{itemize}
//!
