#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTensorGlyph object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTensorGlyph.h"

//@@Signature
//sfunction @vtkTensorGlyph:vtkTensorGlyph vtkTensorGlyphConstructorFunction
//input a
//output p
//@@Parents vtkTensorGlyph vtkPolyDataAlgorithm 
ArrayVector vtkTensorGlyphConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTensorGlyph::New(),"vtkTensorGlyph",eval);
  } else if (arg[0].className() == "vtkTensorGlyph") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTensorGlyph"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTensorGlyph");
    vtkTensorGlyph*q = reinterpret_cast<vtkTensorGlyph*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTensorGlyph");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTensorGlyph:GetClassName vtkTensorGlyphGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTensorGlyphGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTensorGlyph requires 1 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:IsA vtkTensorGlyphIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTensorGlyphIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTensorGlyph requires 2 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:NewInstance vtkTensorGlyphNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTensorGlyphNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTensorGlyph *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTensorGlyph requires 1 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  vtkTensorGlyph  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTensorGlyph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:SafeDownCast vtkTensorGlyphSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTensorGlyphSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTensorGlyph *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTensorGlyph requires 2 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTensorGlyph  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTensorGlyph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:SetSource vtkTensorGlyphSetSourceFunction
//input a0 a1 
//output none
ArrayVector vtkTensorGlyphSetSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSource (vtkPolyData *source); */
  if (arg.size() < 2) 
    throw Exception("Function SetSource for class vtkTensorGlyph requires 2 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->SetSource(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:GetSource vtkTensorGlyphGetSourceFunction
//input a0 
//output y
ArrayVector vtkTensorGlyphGetSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetSource (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSource for class vtkTensorGlyph requires 1 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetSource();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:SetSourceConnection__1 vtkTensorGlyphSetSourceConnection__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkTensorGlyphSetSourceConnection__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSourceConnection (int id, vtkAlgorithmOutput *algOutput); */
  if (arg.size() < 3) 
    throw Exception("Function SetSourceConnection__1 for class vtkTensorGlyph requires 3 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  int      temp0;
  vtkAlgorithmOutput  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkAlgorithmOutput>(arg[2]);
  vtk_pointer->SetSourceConnection(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:SetSourceConnection__2 vtkTensorGlyphSetSourceConnection__2Function
//input a0 a1 
//output none
ArrayVector vtkTensorGlyphSetSourceConnection__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSourceConnection (vtkAlgorithmOutput *algOutput);this SetSourceConnection algOutput  */
  if (arg.size() < 2) 
    throw Exception("Function SetSourceConnection__2 for class vtkTensorGlyph requires 2 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->SetSourceConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:SetScaling vtkTensorGlyphSetScalingFunction
//input a0 a1 
//output none
ArrayVector vtkTensorGlyphSetScalingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScaling (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScaling for class vtkTensorGlyph requires 2 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScaling(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:GetScaling vtkTensorGlyphGetScalingFunction
//input a0 
//output y
ArrayVector vtkTensorGlyphGetScalingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScaling (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScaling for class vtkTensorGlyph requires 1 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScaling();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:ScalingOn vtkTensorGlyphScalingOnFunction
//input a0 
//output none
ArrayVector vtkTensorGlyphScalingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScalingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ScalingOn for class vtkTensorGlyph requires 1 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  vtk_pointer->ScalingOn();
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:ScalingOff vtkTensorGlyphScalingOffFunction
//input a0 
//output none
ArrayVector vtkTensorGlyphScalingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScalingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ScalingOff for class vtkTensorGlyph requires 1 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  vtk_pointer->ScalingOff();
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:SetScaleFactor vtkTensorGlyphSetScaleFactorFunction
//input a0 a1 
//output none
ArrayVector vtkTensorGlyphSetScaleFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScaleFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScaleFactor for class vtkTensorGlyph requires 2 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetScaleFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:GetScaleFactor vtkTensorGlyphGetScaleFactorFunction
//input a0 
//output y
ArrayVector vtkTensorGlyphGetScaleFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetScaleFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScaleFactor for class vtkTensorGlyph requires 1 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetScaleFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:SetThreeGlyphs vtkTensorGlyphSetThreeGlyphsFunction
//input a0 a1 
//output none
ArrayVector vtkTensorGlyphSetThreeGlyphsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetThreeGlyphs (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetThreeGlyphs for class vtkTensorGlyph requires 2 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetThreeGlyphs(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:GetThreeGlyphs vtkTensorGlyphGetThreeGlyphsFunction
//input a0 
//output y
ArrayVector vtkTensorGlyphGetThreeGlyphsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetThreeGlyphs (); */
  if (arg.size() < 1) 
    throw Exception("Function GetThreeGlyphs for class vtkTensorGlyph requires 1 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetThreeGlyphs();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:ThreeGlyphsOn vtkTensorGlyphThreeGlyphsOnFunction
//input a0 
//output none
ArrayVector vtkTensorGlyphThreeGlyphsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThreeGlyphsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ThreeGlyphsOn for class vtkTensorGlyph requires 1 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  vtk_pointer->ThreeGlyphsOn();
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:ThreeGlyphsOff vtkTensorGlyphThreeGlyphsOffFunction
//input a0 
//output none
ArrayVector vtkTensorGlyphThreeGlyphsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThreeGlyphsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ThreeGlyphsOff for class vtkTensorGlyph requires 1 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  vtk_pointer->ThreeGlyphsOff();
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:SetSymmetric vtkTensorGlyphSetSymmetricFunction
//input a0 a1 
//output none
ArrayVector vtkTensorGlyphSetSymmetricFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSymmetric (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSymmetric for class vtkTensorGlyph requires 2 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSymmetric(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:GetSymmetric vtkTensorGlyphGetSymmetricFunction
//input a0 
//output y
ArrayVector vtkTensorGlyphGetSymmetricFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSymmetric (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSymmetric for class vtkTensorGlyph requires 1 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSymmetric();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:SymmetricOn vtkTensorGlyphSymmetricOnFunction
//input a0 
//output none
ArrayVector vtkTensorGlyphSymmetricOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SymmetricOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SymmetricOn for class vtkTensorGlyph requires 1 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  vtk_pointer->SymmetricOn();
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:SymmetricOff vtkTensorGlyphSymmetricOffFunction
//input a0 
//output none
ArrayVector vtkTensorGlyphSymmetricOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SymmetricOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SymmetricOff for class vtkTensorGlyph requires 1 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  vtk_pointer->SymmetricOff();
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:SetLength vtkTensorGlyphSetLengthFunction
//input a0 a1 
//output none
ArrayVector vtkTensorGlyphSetLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLength (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLength for class vtkTensorGlyph requires 2 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:GetLength vtkTensorGlyphGetLengthFunction
//input a0 
//output y
ArrayVector vtkTensorGlyphGetLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLength for class vtkTensorGlyph requires 1 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:SetExtractEigenvalues vtkTensorGlyphSetExtractEigenvaluesFunction
//input a0 a1 
//output none
ArrayVector vtkTensorGlyphSetExtractEigenvaluesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtractEigenvalues (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtractEigenvalues for class vtkTensorGlyph requires 2 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetExtractEigenvalues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:ExtractEigenvaluesOn vtkTensorGlyphExtractEigenvaluesOnFunction
//input a0 
//output none
ArrayVector vtkTensorGlyphExtractEigenvaluesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExtractEigenvaluesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ExtractEigenvaluesOn for class vtkTensorGlyph requires 1 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  vtk_pointer->ExtractEigenvaluesOn();
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:ExtractEigenvaluesOff vtkTensorGlyphExtractEigenvaluesOffFunction
//input a0 
//output none
ArrayVector vtkTensorGlyphExtractEigenvaluesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExtractEigenvaluesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ExtractEigenvaluesOff for class vtkTensorGlyph requires 1 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  vtk_pointer->ExtractEigenvaluesOff();
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:GetExtractEigenvalues vtkTensorGlyphGetExtractEigenvaluesFunction
//input a0 
//output y
ArrayVector vtkTensorGlyphGetExtractEigenvaluesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExtractEigenvalues (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtractEigenvalues for class vtkTensorGlyph requires 1 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExtractEigenvalues();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:SetColorGlyphs vtkTensorGlyphSetColorGlyphsFunction
//input a0 a1 
//output none
ArrayVector vtkTensorGlyphSetColorGlyphsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorGlyphs (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetColorGlyphs for class vtkTensorGlyph requires 2 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetColorGlyphs(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:GetColorGlyphs vtkTensorGlyphGetColorGlyphsFunction
//input a0 
//output y
ArrayVector vtkTensorGlyphGetColorGlyphsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetColorGlyphs (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorGlyphs for class vtkTensorGlyph requires 1 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetColorGlyphs();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:ColorGlyphsOn vtkTensorGlyphColorGlyphsOnFunction
//input a0 
//output none
ArrayVector vtkTensorGlyphColorGlyphsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorGlyphsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorGlyphsOn for class vtkTensorGlyph requires 1 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  vtk_pointer->ColorGlyphsOn();
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:ColorGlyphsOff vtkTensorGlyphColorGlyphsOffFunction
//input a0 
//output none
ArrayVector vtkTensorGlyphColorGlyphsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ColorGlyphsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ColorGlyphsOff for class vtkTensorGlyph requires 1 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  vtk_pointer->ColorGlyphsOff();
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:SetColorMode vtkTensorGlyphSetColorModeFunction
//input a0 a1 
//output none
ArrayVector vtkTensorGlyphSetColorModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetColorMode for class vtkTensorGlyph requires 2 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetColorMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:GetColorModeMinValue vtkTensorGlyphGetColorModeMinValueFunction
//input a0 
//output y
ArrayVector vtkTensorGlyphGetColorModeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetColorModeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorModeMinValue for class vtkTensorGlyph requires 1 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetColorModeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:GetColorModeMaxValue vtkTensorGlyphGetColorModeMaxValueFunction
//input a0 
//output y
ArrayVector vtkTensorGlyphGetColorModeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetColorModeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorModeMaxValue for class vtkTensorGlyph requires 1 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetColorModeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:GetColorMode vtkTensorGlyphGetColorModeFunction
//input a0 
//output y
ArrayVector vtkTensorGlyphGetColorModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetColorMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorMode for class vtkTensorGlyph requires 1 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetColorMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:SetColorModeToScalars vtkTensorGlyphSetColorModeToScalarsFunction
//input a0 
//output none
ArrayVector vtkTensorGlyphSetColorModeToScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorModeToScalars ();this SetColorMode COLOR_BY_SCALARS  */
  if (arg.size() < 1) 
    throw Exception("Function SetColorModeToScalars for class vtkTensorGlyph requires 1 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  vtk_pointer->SetColorModeToScalars();
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:SetColorModeToEigenvalues vtkTensorGlyphSetColorModeToEigenvaluesFunction
//input a0 
//output none
ArrayVector vtkTensorGlyphSetColorModeToEigenvaluesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorModeToEigenvalues ();this SetColorMode COLOR_BY_EIGENVALUES  */
  if (arg.size() < 1) 
    throw Exception("Function SetColorModeToEigenvalues for class vtkTensorGlyph requires 1 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  vtk_pointer->SetColorModeToEigenvalues();
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:SetClampScaling vtkTensorGlyphSetClampScalingFunction
//input a0 a1 
//output none
ArrayVector vtkTensorGlyphSetClampScalingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClampScaling (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetClampScaling for class vtkTensorGlyph requires 2 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetClampScaling(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:GetClampScaling vtkTensorGlyphGetClampScalingFunction
//input a0 
//output y
ArrayVector vtkTensorGlyphGetClampScalingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetClampScaling (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClampScaling for class vtkTensorGlyph requires 1 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetClampScaling();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:ClampScalingOn vtkTensorGlyphClampScalingOnFunction
//input a0 
//output none
ArrayVector vtkTensorGlyphClampScalingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClampScalingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ClampScalingOn for class vtkTensorGlyph requires 1 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  vtk_pointer->ClampScalingOn();
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:ClampScalingOff vtkTensorGlyphClampScalingOffFunction
//input a0 
//output none
ArrayVector vtkTensorGlyphClampScalingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClampScalingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ClampScalingOff for class vtkTensorGlyph requires 1 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  vtk_pointer->ClampScalingOff();
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:SetMaxScaleFactor vtkTensorGlyphSetMaxScaleFactorFunction
//input a0 a1 
//output none
ArrayVector vtkTensorGlyphSetMaxScaleFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxScaleFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxScaleFactor for class vtkTensorGlyph requires 2 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaxScaleFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:GetMaxScaleFactor vtkTensorGlyphGetMaxScaleFactorFunction
//input a0 
//output y
ArrayVector vtkTensorGlyphGetMaxScaleFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaxScaleFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxScaleFactor for class vtkTensorGlyph requires 1 argument(s)");
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaxScaleFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTensorGlyph:SetSourceConnection vtkTensorGlyphSetSourceConnectionFunction
//input varargin
//output varargout
ArrayVector vtkTensorGlyphSetSourceConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkAlgorithmOutput"))
    return vtkTensorGlyphSetSourceConnection__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkAlgorithmOutput"))
    return vtkTensorGlyphSetSourceConnection__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTensorGlyphSetSourceConnection");
}

//@@Signature
//sfunction @vtkTensorGlyph:display vtkTensorGlyphDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTensorGlyphDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTensorGlyph* vtk_pointer = GetVTKPointer<vtkTensorGlyph>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTensorGlyph:delete vtkTensorGlyphDeleteFunction
//input varargin
//output none
ArrayVector vtkTensorGlyphDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTensorGlyph
//@@Section VTKGraphics
//@@Usage
// vtkTensorGlyph is a filter that copies a geometric representation
// (specified as polygonal data) to every input point. The geometric
// representation, or glyph, can be scaled and/or rotated according to
// the tensor at the input point. Scaling and rotation is controlled
// by the eigenvalues/eigenvectors of the tensor as follows. For each
// tensor, the eigenvalues (and associated eigenvectors) are sorted to
// determine the major, medium, and minor eigenvalues/eigenvectors.
//
// If the boolean variable ThreeGlyphs is not set the major eigenvalue 
// scales the glyph in the x-direction, the medium in the y-direction, 
// and the minor in the  z-direction. Then, the glyph is rotated so 
// that the glyph's local x-axis lies along the major eigenvector, 
// y-axis along the medium eigenvector, and z-axis along the minor. 
//
// If the boolean variable ThreeGlyphs is set three glyphs are produced, 
// each of them oriented along an eigenvector and scaled according to the 
// corresponding eigenvector.
//
// If the boolean variable Symmetric is set each glyph is mirrored (2 or 6 
// glyphs will be produced)
//
// The x-axis of the source glyph will correspond to the eigenvector 
// on output. Point (0,0,0) in the source will be placed in the data point.
// Variable Length will normally correspond to the distance from the 
// origin to the tip of the source glyph along the x-axis, 
// but can be changed to produce other results when Symmetric is on,
// e.g. glyphs that do not touch or that overlap.
//
// Please note that when Symmetric is false it will generally be better 
// to place the source glyph from (-0.5,0,0) to (0.5,0,0), i.e. centred
// at the origin. When symmetric is true the placement from (0,0,0) to
// (1,0,0) will generally be more convenient.
//
// A scale factor is provided to control the amount of scaling. Also, you 
// can turn off scaling completely if desired. The boolean variable 
// ClampScaling controls the maximum scaling (in conjunction with
// MaxScaleFactor.) This is useful in certain applications where 
// singularities or large order of magnitude differences exist in 
// the eigenvalues.
//
// If the boolean variable ColorGlyphs is set to true the glyphs are
// colored.  The glyphs can be colored using the input scalars
// (SetColorModeToScalars), which is the default, or colored using the
// eigenvalues (SetColorModeToEigenvalues).
//
// Another instance variable, ExtractEigenvalues, has been provided to
// control extraction of eigenvalues/eigenvectors. If this boolean is
// false, then eigenvalues/eigenvectors are not extracted, and the
// columns of the tensor are taken as the eigenvectors (the norm of
// column, always positive, is the eigenvalue).  This allows
// additional capability over the vtkGlyph3D object. That is, the
// glyph can be oriented in three directions instead of one.
//
//To create an instance of class vtkTensorGlyph, simply
//invoke its constructor as follows
//@[
//  obj = vtkTensorGlyph
//@]
//@@Methods
//The class vtkTensorGlyph has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTensorGlyph class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTensorGlyph = obj.NewInstance ()|
// \item @|vtkTensorGlyph = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetSource (vtkPolyData source)| -  Specify the geometry to copy to each point. Old style. See
// SetSourceConnection.
//// \item @|vtkPolyData = obj.GetSource ()| -  Specify the geometry to copy to each point. Old style. See
// SetSourceConnection.
//// \item @|obj.SetSourceConnection (int id, vtkAlgorithmOutput algOutput)| -  Specify a source object at a specified table location. New style.
// Source connection is stored in port 1. This method is equivalent
// to SetInputConnection(1, id, outputPort).
//// \item @|obj.SetSourceConnection (vtkAlgorithmOutput algOutput)| -  Turn on/off scaling of glyph with eigenvalues.
//// \item @|obj.SetScaling (int )| -  Turn on/off scaling of glyph with eigenvalues.
//// \item @|int = obj.GetScaling ()| -  Turn on/off scaling of glyph with eigenvalues.
//// \item @|obj.ScalingOn ()| -  Turn on/off scaling of glyph with eigenvalues.
//// \item @|obj.ScalingOff ()| -  Turn on/off scaling of glyph with eigenvalues.
//// \item @|obj.SetScaleFactor (double )| -  Specify scale factor to scale object by. (Scale factor always affects
// output even if scaling is off.)
//// \item @|double = obj.GetScaleFactor ()| -  Specify scale factor to scale object by. (Scale factor always affects
// output even if scaling is off.)
//// \item @|obj.SetThreeGlyphs (int )| -  Turn on/off drawing three glyphs
//// \item @|int = obj.GetThreeGlyphs ()| -  Turn on/off drawing three glyphs
//// \item @|obj.ThreeGlyphsOn ()| -  Turn on/off drawing three glyphs
//// \item @|obj.ThreeGlyphsOff ()| -  Turn on/off drawing three glyphs
//// \item @|obj.SetSymmetric (int )| -  Turn on/off drawing a mirror of each glyph
//// \item @|int = obj.GetSymmetric ()| -  Turn on/off drawing a mirror of each glyph
//// \item @|obj.SymmetricOn ()| -  Turn on/off drawing a mirror of each glyph
//// \item @|obj.SymmetricOff ()| -  Turn on/off drawing a mirror of each glyph
//// \item @|obj.SetLength (double )| -  Set/Get the distance, along x, from the origin to the end of the 
// source glyph. It is used to draw the symmetric glyphs.
//// \item @|double = obj.GetLength ()| -  Set/Get the distance, along x, from the origin to the end of the 
// source glyph. It is used to draw the symmetric glyphs.
//// \item @|obj.SetExtractEigenvalues (int )| -  Turn on/off extraction of eigenvalues from tensor.
//// \item @|obj.ExtractEigenvaluesOn ()| -  Turn on/off extraction of eigenvalues from tensor.
//// \item @|obj.ExtractEigenvaluesOff ()| -  Turn on/off extraction of eigenvalues from tensor.
//// \item @|int = obj.GetExtractEigenvalues ()| -  Turn on/off extraction of eigenvalues from tensor.
//// \item @|obj.SetColorGlyphs (int )| -  Turn on/off coloring of glyph with input scalar data or
// eigenvalues. If false, or input scalar data not present, then the
// scalars from the source object are passed through the filter.
//// \item @|int = obj.GetColorGlyphs ()| -  Turn on/off coloring of glyph with input scalar data or
// eigenvalues. If false, or input scalar data not present, then the
// scalars from the source object are passed through the filter.
//// \item @|obj.ColorGlyphsOn ()| -  Turn on/off coloring of glyph with input scalar data or
// eigenvalues. If false, or input scalar data not present, then the
// scalars from the source object are passed through the filter.
//// \item @|obj.ColorGlyphsOff ()| -  Turn on/off coloring of glyph with input scalar data or
// eigenvalues. If false, or input scalar data not present, then the
// scalars from the source object are passed through the filter.
//// \item @|obj.SetColorMode (int )| -  Set the color mode to be used for the glyphs.  This can be set to
// use the input scalars (default) or to use the eigenvalues at the
// point.  If ThreeGlyphs is set and the eigenvalues are chosen for
// coloring then each glyph is colored by the corresponding
// eigenvalue and if not set the color corresponding to the largest
// eigenvalue is chosen.  The recognized values are:
// COLOR_BY_SCALARS = 0 (default)
// COLOR_BY_EIGENVALUES = 1
//// \item @|int = obj.GetColorModeMinValue ()| -  Set the color mode to be used for the glyphs.  This can be set to
// use the input scalars (default) or to use the eigenvalues at the
// point.  If ThreeGlyphs is set and the eigenvalues are chosen for
// coloring then each glyph is colored by the corresponding
// eigenvalue and if not set the color corresponding to the largest
// eigenvalue is chosen.  The recognized values are:
// COLOR_BY_SCALARS = 0 (default)
// COLOR_BY_EIGENVALUES = 1
//// \item @|int = obj.GetColorModeMaxValue ()| -  Set the color mode to be used for the glyphs.  This can be set to
// use the input scalars (default) or to use the eigenvalues at the
// point.  If ThreeGlyphs is set and the eigenvalues are chosen for
// coloring then each glyph is colored by the corresponding
// eigenvalue and if not set the color corresponding to the largest
// eigenvalue is chosen.  The recognized values are:
// COLOR_BY_SCALARS = 0 (default)
// COLOR_BY_EIGENVALUES = 1
//// \item @|int = obj.GetColorMode ()| -  Set the color mode to be used for the glyphs.  This can be set to
// use the input scalars (default) or to use the eigenvalues at the
// point.  If ThreeGlyphs is set and the eigenvalues are chosen for
// coloring then each glyph is colored by the corresponding
// eigenvalue and if not set the color corresponding to the largest
// eigenvalue is chosen.  The recognized values are:
// COLOR_BY_SCALARS = 0 (default)
// COLOR_BY_EIGENVALUES = 1
//// \item @|obj.SetColorModeToScalars ()| -  Set the color mode to be used for the glyphs.  This can be set to
// use the input scalars (default) or to use the eigenvalues at the
// point.  If ThreeGlyphs is set and the eigenvalues are chosen for
// coloring then each glyph is colored by the corresponding
// eigenvalue and if not set the color corresponding to the largest
// eigenvalue is chosen.  The recognized values are:
// COLOR_BY_SCALARS = 0 (default)
// COLOR_BY_EIGENVALUES = 1
//// \item @|obj.SetColorModeToEigenvalues ()| -  Set the color mode to be used for the glyphs.  This can be set to
// use the input scalars (default) or to use the eigenvalues at the
// point.  If ThreeGlyphs is set and the eigenvalues are chosen for
// coloring then each glyph is colored by the corresponding
// eigenvalue and if not set the color corresponding to the largest
// eigenvalue is chosen.  The recognized values are:
// COLOR_BY_SCALARS = 0 (default)
// COLOR_BY_EIGENVALUES = 1
//// \item @|obj.SetClampScaling (int )| -  Turn on/off scalar clamping. If scalar clamping is on, the ivar
// MaxScaleFactor is used to control the maximum scale factor. (This is
// useful to prevent uncontrolled scaling near singularities.)
//// \item @|int = obj.GetClampScaling ()| -  Turn on/off scalar clamping. If scalar clamping is on, the ivar
// MaxScaleFactor is used to control the maximum scale factor. (This is
// useful to prevent uncontrolled scaling near singularities.)
//// \item @|obj.ClampScalingOn ()| -  Turn on/off scalar clamping. If scalar clamping is on, the ivar
// MaxScaleFactor is used to control the maximum scale factor. (This is
// useful to prevent uncontrolled scaling near singularities.)
//// \item @|obj.ClampScalingOff ()| -  Turn on/off scalar clamping. If scalar clamping is on, the ivar
// MaxScaleFactor is used to control the maximum scale factor. (This is
// useful to prevent uncontrolled scaling near singularities.)
//// \item @|obj.SetMaxScaleFactor (double )| -  Set/Get the maximum allowable scale factor. This value is compared to the
// combination of the scale factor times the eigenvalue. If less, the scale
// factor is reset to the MaxScaleFactor. The boolean ClampScaling has to 
// be "on" for this to work.
//// \item @|double = obj.GetMaxScaleFactor ()| -  Set/Get the maximum allowable scale factor. This value is compared to the
// combination of the scale factor times the eigenvalue. If less, the scale
// factor is reset to the MaxScaleFactor. The boolean ClampScaling has to 
// be "on" for this to work.
////\end{itemize}
//!
