#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTessellatedBoxSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTessellatedBoxSource.h"

//@@Signature
//sfunction @vtkTessellatedBoxSource:vtkTessellatedBoxSource vtkTessellatedBoxSourceConstructorFunction
//input a
//output p
//@@Parents vtkTessellatedBoxSource vtkPolyDataAlgorithm 
ArrayVector vtkTessellatedBoxSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTessellatedBoxSource::New(),"vtkTessellatedBoxSource",eval);
  } else if (arg[0].className() == "vtkTessellatedBoxSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTessellatedBoxSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTessellatedBoxSource");
    vtkTessellatedBoxSource*q = reinterpret_cast<vtkTessellatedBoxSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTessellatedBoxSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTessellatedBoxSource:GetClassName vtkTessellatedBoxSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTessellatedBoxSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTessellatedBoxSource requires 1 argument(s)");
  vtkTessellatedBoxSource* vtk_pointer = GetVTKPointer<vtkTessellatedBoxSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTessellatedBoxSource:IsA vtkTessellatedBoxSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTessellatedBoxSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTessellatedBoxSource requires 2 argument(s)");
  vtkTessellatedBoxSource* vtk_pointer = GetVTKPointer<vtkTessellatedBoxSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTessellatedBoxSource:NewInstance vtkTessellatedBoxSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTessellatedBoxSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTessellatedBoxSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTessellatedBoxSource requires 1 argument(s)");
  vtkTessellatedBoxSource* vtk_pointer = GetVTKPointer<vtkTessellatedBoxSource>(arg[0]);
  Array retval;
  vtkTessellatedBoxSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTessellatedBoxSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTessellatedBoxSource:SafeDownCast vtkTessellatedBoxSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTessellatedBoxSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTessellatedBoxSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTessellatedBoxSource requires 2 argument(s)");
  vtkTessellatedBoxSource* vtk_pointer = GetVTKPointer<vtkTessellatedBoxSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTessellatedBoxSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTessellatedBoxSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTessellatedBoxSource:SetBounds__1 vtkTessellatedBoxSourceSetBounds__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkTessellatedBoxSourceSetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBounds (double , double , double , double , double , double ); */
  if (arg.size() < 7) 
    throw Exception("Function SetBounds__1 for class vtkTessellatedBoxSource requires 7 argument(s)");
  vtkTessellatedBoxSource* vtk_pointer = GetVTKPointer<vtkTessellatedBoxSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkTessellatedBoxSource:SetBounds__2 vtkTessellatedBoxSourceSetBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkTessellatedBoxSourceSetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBounds (double  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetBounds__2 for class vtkTessellatedBoxSource requires 2 argument(s)");
  vtkTessellatedBoxSource* vtk_pointer = GetVTKPointer<vtkTessellatedBoxSource>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTessellatedBoxSource:GetBounds vtkTessellatedBoxSourceGetBoundsFunction
//input a0 
//output y
ArrayVector vtkTessellatedBoxSourceGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds for class vtkTessellatedBoxSource requires 1 argument(s)");
  vtkTessellatedBoxSource* vtk_pointer = GetVTKPointer<vtkTessellatedBoxSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTessellatedBoxSource:SetLevel vtkTessellatedBoxSourceSetLevelFunction
//input a0 a1 
//output none
ArrayVector vtkTessellatedBoxSourceSetLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLevel (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLevel for class vtkTessellatedBoxSource requires 2 argument(s)");
  vtkTessellatedBoxSource* vtk_pointer = GetVTKPointer<vtkTessellatedBoxSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTessellatedBoxSource:GetLevel vtkTessellatedBoxSourceGetLevelFunction
//input a0 
//output y
ArrayVector vtkTessellatedBoxSourceGetLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLevel for class vtkTessellatedBoxSource requires 1 argument(s)");
  vtkTessellatedBoxSource* vtk_pointer = GetVTKPointer<vtkTessellatedBoxSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTessellatedBoxSource:SetDuplicateSharedPoints vtkTessellatedBoxSourceSetDuplicateSharedPointsFunction
//input a0 a1 
//output none
ArrayVector vtkTessellatedBoxSourceSetDuplicateSharedPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDuplicateSharedPoints (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDuplicateSharedPoints for class vtkTessellatedBoxSource requires 2 argument(s)");
  vtkTessellatedBoxSource* vtk_pointer = GetVTKPointer<vtkTessellatedBoxSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDuplicateSharedPoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTessellatedBoxSource:GetDuplicateSharedPoints vtkTessellatedBoxSourceGetDuplicateSharedPointsFunction
//input a0 
//output y
ArrayVector vtkTessellatedBoxSourceGetDuplicateSharedPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDuplicateSharedPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDuplicateSharedPoints for class vtkTessellatedBoxSource requires 1 argument(s)");
  vtkTessellatedBoxSource* vtk_pointer = GetVTKPointer<vtkTessellatedBoxSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDuplicateSharedPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTessellatedBoxSource:DuplicateSharedPointsOn vtkTessellatedBoxSourceDuplicateSharedPointsOnFunction
//input a0 
//output none
ArrayVector vtkTessellatedBoxSourceDuplicateSharedPointsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DuplicateSharedPointsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DuplicateSharedPointsOn for class vtkTessellatedBoxSource requires 1 argument(s)");
  vtkTessellatedBoxSource* vtk_pointer = GetVTKPointer<vtkTessellatedBoxSource>(arg[0]);
  Array retval;
  vtk_pointer->DuplicateSharedPointsOn();
  return retval;
}

//@@Signature
//sfunction @vtkTessellatedBoxSource:DuplicateSharedPointsOff vtkTessellatedBoxSourceDuplicateSharedPointsOffFunction
//input a0 
//output none
ArrayVector vtkTessellatedBoxSourceDuplicateSharedPointsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DuplicateSharedPointsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DuplicateSharedPointsOff for class vtkTessellatedBoxSource requires 1 argument(s)");
  vtkTessellatedBoxSource* vtk_pointer = GetVTKPointer<vtkTessellatedBoxSource>(arg[0]);
  Array retval;
  vtk_pointer->DuplicateSharedPointsOff();
  return retval;
}

//@@Signature
//sfunction @vtkTessellatedBoxSource:SetQuads vtkTessellatedBoxSourceSetQuadsFunction
//input a0 a1 
//output none
ArrayVector vtkTessellatedBoxSourceSetQuadsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQuads (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetQuads for class vtkTessellatedBoxSource requires 2 argument(s)");
  vtkTessellatedBoxSource* vtk_pointer = GetVTKPointer<vtkTessellatedBoxSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetQuads(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTessellatedBoxSource:GetQuads vtkTessellatedBoxSourceGetQuadsFunction
//input a0 
//output y
ArrayVector vtkTessellatedBoxSourceGetQuadsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetQuads (); */
  if (arg.size() < 1) 
    throw Exception("Function GetQuads for class vtkTessellatedBoxSource requires 1 argument(s)");
  vtkTessellatedBoxSource* vtk_pointer = GetVTKPointer<vtkTessellatedBoxSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetQuads();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTessellatedBoxSource:QuadsOn vtkTessellatedBoxSourceQuadsOnFunction
//input a0 
//output none
ArrayVector vtkTessellatedBoxSourceQuadsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void QuadsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function QuadsOn for class vtkTessellatedBoxSource requires 1 argument(s)");
  vtkTessellatedBoxSource* vtk_pointer = GetVTKPointer<vtkTessellatedBoxSource>(arg[0]);
  Array retval;
  vtk_pointer->QuadsOn();
  return retval;
}

//@@Signature
//sfunction @vtkTessellatedBoxSource:QuadsOff vtkTessellatedBoxSourceQuadsOffFunction
//input a0 
//output none
ArrayVector vtkTessellatedBoxSourceQuadsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void QuadsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function QuadsOff for class vtkTessellatedBoxSource requires 1 argument(s)");
  vtkTessellatedBoxSource* vtk_pointer = GetVTKPointer<vtkTessellatedBoxSource>(arg[0]);
  Array retval;
  vtk_pointer->QuadsOff();
  return retval;
}

//@@Signature
//sfunction @vtkTessellatedBoxSource:SetBounds vtkTessellatedBoxSourceSetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkTessellatedBoxSourceSetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkTessellatedBoxSourceSetBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTessellatedBoxSourceSetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTessellatedBoxSourceSetBounds");
}

//@@Signature
//sfunction @vtkTessellatedBoxSource:display vtkTessellatedBoxSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTessellatedBoxSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTessellatedBoxSource* vtk_pointer = GetVTKPointer<vtkTessellatedBoxSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTessellatedBoxSource:delete vtkTessellatedBoxSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkTessellatedBoxSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTessellatedBoxSource
//@@Section VTKGraphics
//@@Usage
// vtkTessellatedBoxSource creates a axis-aligned box defined by its bounds
// and a level of subdivision. Connectivity is strong: points of the vertices
// and inside the edges are shared between faces. In other words, faces are
// connected. Each face looks like a grid of quads, each quad is composed of
// 2 triangles.
// Given a level of subdivision `l', each edge has `l'+2 points, `l' of them
// are internal edge points, the 2 other ones are the vertices.
// Each face has a total of (`l'+2)*(`l'+2) points, 4 of them are vertices,
// 4*`l' are internal edge points, it remains `l'^2 internal face points.
//
// This source only generate geometry, no DataArrays like normals or texture
// coordinates.
//
//To create an instance of class vtkTessellatedBoxSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkTessellatedBoxSource
//@]
//@@Methods
//The class vtkTessellatedBoxSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTessellatedBoxSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTessellatedBoxSource = obj.NewInstance ()|
// \item @|vtkTessellatedBoxSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetBounds (double , double , double , double , double , double )| -  Set the bounds of the box. See GetBounds() for a detail description.
// \pre xmin<=xmax && ymin<=ymax && zmin<zmax
//// \item @|obj.SetBounds (double  a[6])| -  Set the bounds of the box. See GetBounds() for a detail description.
// \pre xmin<=xmax && ymin<=ymax && zmin<zmax
//// \item @|double = obj. GetBounds ()| -  Bounds of the box in world coordinates. This a 6-uple of xmin,xmax,ymin,
// ymax,zmin and zmax. Initial value is (-0.5,0.5,-0.5,0.5,-0.5,0.5), bounds
// of a cube of length 1 centered at (0,0,0). Bounds are defined such that
// xmin<=xmax, ymin<=ymax and zmin<zmax.
// \post xmin<=xmax && ymin<=ymax && zmin<zmax
//// \item @|obj.SetLevel (int )| -  Set the level of subdivision of the faces.
// \pre positive_level: level>=0
//// \item @|int = obj.GetLevel ()| -  Level of subdivision of the faces. Initial value is 0.
// \post positive_level: level>=0
//// \item @|obj.SetDuplicateSharedPoints (int )| -  Flag to tell the source to duplicate points shared between faces
// (vertices of the box and internal edge points). Initial value is false.
// Implementation note: duplicating points is an easier method to implement
// than a minimal number of points.
//// \item @|int = obj.GetDuplicateSharedPoints ()| -  Flag to tell the source to duplicate points shared between faces
// (vertices of the box and internal edge points). Initial value is false.
// Implementation note: duplicating points is an easier method to implement
// than a minimal number of points.
//// \item @|obj.DuplicateSharedPointsOn ()| -  Flag to tell the source to duplicate points shared between faces
// (vertices of the box and internal edge points). Initial value is false.
// Implementation note: duplicating points is an easier method to implement
// than a minimal number of points.
//// \item @|obj.DuplicateSharedPointsOff ()| -  Flag to tell the source to duplicate points shared between faces
// (vertices of the box and internal edge points). Initial value is false.
// Implementation note: duplicating points is an easier method to implement
// than a minimal number of points.
//// \item @|obj.SetQuads (int )| -  Flag to tell the source to generate either a quad or two triangle for a
// set of four points. Initial value is false (generate triangles).
//// \item @|int = obj.GetQuads ()| -  Flag to tell the source to generate either a quad or two triangle for a
// set of four points. Initial value is false (generate triangles).
//// \item @|obj.QuadsOn ()| -  Flag to tell the source to generate either a quad or two triangle for a
// set of four points. Initial value is false (generate triangles).
//// \item @|obj.QuadsOff ()| -  Flag to tell the source to generate either a quad or two triangle for a
// set of four points. Initial value is false (generate triangles).
////\end{itemize}
//!
