#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTessellatorFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTessellatorFilter.h"

//@@Signature
//sfunction @vtkTessellatorFilter:vtkTessellatorFilter vtkTessellatorFilterConstructorFunction
//input a
//output p
//@@Parents vtkTessellatorFilter vtkUnstructuredGridAlgorithm 
ArrayVector vtkTessellatorFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTessellatorFilter::New(),"vtkTessellatorFilter",eval);
  } else if (arg[0].className() == "vtkTessellatorFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTessellatorFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTessellatorFilter");
    vtkTessellatorFilter*q = reinterpret_cast<vtkTessellatorFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTessellatorFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTessellatorFilter:GetClassName vtkTessellatorFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTessellatorFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTessellatorFilter requires 1 argument(s)");
  vtkTessellatorFilter* vtk_pointer = GetVTKPointer<vtkTessellatorFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTessellatorFilter:IsA vtkTessellatorFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTessellatorFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTessellatorFilter requires 2 argument(s)");
  vtkTessellatorFilter* vtk_pointer = GetVTKPointer<vtkTessellatorFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTessellatorFilter:NewInstance vtkTessellatorFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTessellatorFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTessellatorFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTessellatorFilter requires 1 argument(s)");
  vtkTessellatorFilter* vtk_pointer = GetVTKPointer<vtkTessellatorFilter>(arg[0]);
  Array retval;
  vtkTessellatorFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTessellatorFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTessellatorFilter:SafeDownCast vtkTessellatorFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTessellatorFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTessellatorFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTessellatorFilter requires 2 argument(s)");
  vtkTessellatorFilter* vtk_pointer = GetVTKPointer<vtkTessellatorFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTessellatorFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTessellatorFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTessellatorFilter:SetTessellator vtkTessellatorFilterSetTessellatorFunction
//input a0 a1 
//output none
ArrayVector vtkTessellatorFilterSetTessellatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTessellator (vtkStreamingTessellator *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTessellator for class vtkTessellatorFilter requires 2 argument(s)");
  vtkTessellatorFilter* vtk_pointer = GetVTKPointer<vtkTessellatorFilter>(arg[0]);
  Array retval;
  vtkStreamingTessellator  *temp0;
  temp0 = GetVTKPointer<vtkStreamingTessellator>(arg[1]);
  vtk_pointer->SetTessellator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTessellatorFilter:GetTessellator vtkTessellatorFilterGetTessellatorFunction
//input a0 
//output y
ArrayVector vtkTessellatorFilterGetTessellatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStreamingTessellator *GetTessellator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTessellator for class vtkTessellatorFilter requires 1 argument(s)");
  vtkTessellatorFilter* vtk_pointer = GetVTKPointer<vtkTessellatorFilter>(arg[0]);
  Array retval;
  vtkStreamingTessellator  *temp20;
  temp20 = (vtk_pointer)->GetTessellator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStreamingTessellator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTessellatorFilter:SetSubdivider vtkTessellatorFilterSetSubdividerFunction
//input a0 a1 
//output none
ArrayVector vtkTessellatorFilterSetSubdividerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSubdivider (vtkDataSetEdgeSubdivisionCriterion *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSubdivider for class vtkTessellatorFilter requires 2 argument(s)");
  vtkTessellatorFilter* vtk_pointer = GetVTKPointer<vtkTessellatorFilter>(arg[0]);
  Array retval;
  vtkDataSetEdgeSubdivisionCriterion  *temp0;
  temp0 = GetVTKPointer<vtkDataSetEdgeSubdivisionCriterion>(arg[1]);
  vtk_pointer->SetSubdivider(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTessellatorFilter:GetSubdivider vtkTessellatorFilterGetSubdividerFunction
//input a0 
//output y
ArrayVector vtkTessellatorFilterGetSubdividerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetEdgeSubdivisionCriterion *GetSubdivider (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSubdivider for class vtkTessellatorFilter requires 1 argument(s)");
  vtkTessellatorFilter* vtk_pointer = GetVTKPointer<vtkTessellatorFilter>(arg[0]);
  Array retval;
  vtkDataSetEdgeSubdivisionCriterion  *temp20;
  temp20 = (vtk_pointer)->GetSubdivider();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetEdgeSubdivisionCriterion",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTessellatorFilter:GetMTime vtkTessellatorFilterGetMTimeFunction
//input a0 
//output y
ArrayVector vtkTessellatorFilterGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkTessellatorFilter requires 1 argument(s)");
  vtkTessellatorFilter* vtk_pointer = GetVTKPointer<vtkTessellatorFilter>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTessellatorFilter:SetOutputDimension vtkTessellatorFilterSetOutputDimensionFunction
//input a0 a1 
//output none
ArrayVector vtkTessellatorFilterSetOutputDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputDimension (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputDimension for class vtkTessellatorFilter requires 2 argument(s)");
  vtkTessellatorFilter* vtk_pointer = GetVTKPointer<vtkTessellatorFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutputDimension(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTessellatorFilter:GetOutputDimensionMinValue vtkTessellatorFilterGetOutputDimensionMinValueFunction
//input a0 
//output y
ArrayVector vtkTessellatorFilterGetOutputDimensionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputDimensionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputDimensionMinValue for class vtkTessellatorFilter requires 1 argument(s)");
  vtkTessellatorFilter* vtk_pointer = GetVTKPointer<vtkTessellatorFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutputDimensionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTessellatorFilter:GetOutputDimensionMaxValue vtkTessellatorFilterGetOutputDimensionMaxValueFunction
//input a0 
//output y
ArrayVector vtkTessellatorFilterGetOutputDimensionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputDimensionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputDimensionMaxValue for class vtkTessellatorFilter requires 1 argument(s)");
  vtkTessellatorFilter* vtk_pointer = GetVTKPointer<vtkTessellatorFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutputDimensionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTessellatorFilter:GetOutputDimension vtkTessellatorFilterGetOutputDimensionFunction
//input a0 
//output y
ArrayVector vtkTessellatorFilterGetOutputDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputDimension (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputDimension for class vtkTessellatorFilter requires 1 argument(s)");
  vtkTessellatorFilter* vtk_pointer = GetVTKPointer<vtkTessellatorFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutputDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTessellatorFilter:SetMaximumNumberOfSubdivisions vtkTessellatorFilterSetMaximumNumberOfSubdivisionsFunction
//input a0 a1 
//output none
ArrayVector vtkTessellatorFilterSetMaximumNumberOfSubdivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetMaximumNumberOfSubdivisions (int num_subdiv_in); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumNumberOfSubdivisions for class vtkTessellatorFilter requires 2 argument(s)");
  vtkTessellatorFilter* vtk_pointer = GetVTKPointer<vtkTessellatorFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximumNumberOfSubdivisions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTessellatorFilter:GetMaximumNumberOfSubdivisions vtkTessellatorFilterGetMaximumNumberOfSubdivisionsFunction
//input a0 
//output y
ArrayVector vtkTessellatorFilterGetMaximumNumberOfSubdivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumNumberOfSubdivisions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumNumberOfSubdivisions for class vtkTessellatorFilter requires 1 argument(s)");
  vtkTessellatorFilter* vtk_pointer = GetVTKPointer<vtkTessellatorFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumNumberOfSubdivisions();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTessellatorFilter:SetChordError vtkTessellatorFilterSetChordErrorFunction
//input a0 a1 
//output none
ArrayVector vtkTessellatorFilterSetChordErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetChordError (double ce); */
  if (arg.size() < 2) 
    throw Exception("Function SetChordError for class vtkTessellatorFilter requires 2 argument(s)");
  vtkTessellatorFilter* vtk_pointer = GetVTKPointer<vtkTessellatorFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetChordError(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTessellatorFilter:GetChordError vtkTessellatorFilterGetChordErrorFunction
//input a0 
//output y
ArrayVector vtkTessellatorFilterGetChordErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetChordError (); */
  if (arg.size() < 1) 
    throw Exception("Function GetChordError for class vtkTessellatorFilter requires 1 argument(s)");
  vtkTessellatorFilter* vtk_pointer = GetVTKPointer<vtkTessellatorFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetChordError();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTessellatorFilter:ResetFieldCriteria vtkTessellatorFilterResetFieldCriteriaFunction
//input a0 
//output none
ArrayVector vtkTessellatorFilterResetFieldCriteriaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ResetFieldCriteria (); */
  if (arg.size() < 1) 
    throw Exception("Function ResetFieldCriteria for class vtkTessellatorFilter requires 1 argument(s)");
  vtkTessellatorFilter* vtk_pointer = GetVTKPointer<vtkTessellatorFilter>(arg[0]);
  Array retval;
  vtk_pointer->ResetFieldCriteria();
  return retval;
}

//@@Signature
//sfunction @vtkTessellatorFilter:SetFieldCriterion vtkTessellatorFilterSetFieldCriterionFunction
//input a0 a1 a2 
//output none
ArrayVector vtkTessellatorFilterSetFieldCriterionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetFieldCriterion (int field, double chord); */
  if (arg.size() < 3) 
    throw Exception("Function SetFieldCriterion for class vtkTessellatorFilter requires 3 argument(s)");
  vtkTessellatorFilter* vtk_pointer = GetVTKPointer<vtkTessellatorFilter>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetFieldCriterion(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTessellatorFilter:GetMergePoints vtkTessellatorFilterGetMergePointsFunction
//input a0 
//output y
ArrayVector vtkTessellatorFilterGetMergePointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMergePoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMergePoints for class vtkTessellatorFilter requires 1 argument(s)");
  vtkTessellatorFilter* vtk_pointer = GetVTKPointer<vtkTessellatorFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMergePoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTessellatorFilter:SetMergePoints vtkTessellatorFilterSetMergePointsFunction
//input a0 a1 
//output none
ArrayVector vtkTessellatorFilterSetMergePointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMergePoints (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMergePoints for class vtkTessellatorFilter requires 2 argument(s)");
  vtkTessellatorFilter* vtk_pointer = GetVTKPointer<vtkTessellatorFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMergePoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTessellatorFilter:MergePointsOn vtkTessellatorFilterMergePointsOnFunction
//input a0 
//output none
ArrayVector vtkTessellatorFilterMergePointsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MergePointsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function MergePointsOn for class vtkTessellatorFilter requires 1 argument(s)");
  vtkTessellatorFilter* vtk_pointer = GetVTKPointer<vtkTessellatorFilter>(arg[0]);
  Array retval;
  vtk_pointer->MergePointsOn();
  return retval;
}

//@@Signature
//sfunction @vtkTessellatorFilter:MergePointsOff vtkTessellatorFilterMergePointsOffFunction
//input a0 
//output none
ArrayVector vtkTessellatorFilterMergePointsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MergePointsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function MergePointsOff for class vtkTessellatorFilter requires 1 argument(s)");
  vtkTessellatorFilter* vtk_pointer = GetVTKPointer<vtkTessellatorFilter>(arg[0]);
  Array retval;
  vtk_pointer->MergePointsOff();
  return retval;
}

//@@Signature
//sfunction @vtkTessellatorFilter:display vtkTessellatorFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTessellatorFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTessellatorFilter* vtk_pointer = GetVTKPointer<vtkTessellatorFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTessellatorFilter:delete vtkTessellatorFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkTessellatorFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTessellatorFilter
//@@Section VTKGraphics
//@@Usage
// This class approximates nonlinear FEM elements with linear simplices.
//
// <b>Warning</b>: This class is temporary and will go away at some point
// after ParaView 1.4.0.
//
// This filter rifles through all the cells in an input vtkDataSet. It
// tesselates each cell and uses the vtkStreamingTessellator and
// vtkDataSetEdgeSubdivisionCriterion classes to generate simplices that
// approximate the nonlinear mesh using some approximation metric (encoded
// in the particular vtkDataSetEdgeSubdivisionCriterion::EvaluateEdge
// implementation). The simplices are placed into the filter's output
// vtkDataSet object by the callback routines AddATetrahedron,
// AddATriangle, and AddALine, which are registered with the triangulator.
//
// The output mesh will have geometry and any fields specified as
// attributes in the input mesh's point data.  The attribute's copy flags
// are honored, except for normals.
//
// .SECTION Internals
//
// The filter's main member function is RequestData(). This function first
// calls SetupOutput() which allocates arrays and some temporary variables
// for the primitive callbacks (OutputTriangle and OutputLine which are
// called by AddATriangle and AddALine, respectively).  Each cell is given
// an initial tesselation, which results in one or more calls to
// OutputTetrahedron, OutputTriangle or OutputLine to add elements to the
// OutputMesh. Finally, Teardown() is called to free the filter's working
// space.
//
//
//To create an instance of class vtkTessellatorFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkTessellatorFilter
//@]
//@@Methods
//The class vtkTessellatorFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTessellatorFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTessellatorFilter = obj.NewInstance ()|
// \item @|vtkTessellatorFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetTessellator (vtkStreamingTessellator )|
// \item @|vtkStreamingTessellator = obj.GetTessellator ()|
// \item @|obj.SetSubdivider (vtkDataSetEdgeSubdivisionCriterion )|
// \item @|vtkDataSetEdgeSubdivisionCriterion = obj.GetSubdivider ()|
// \item @|long = obj.GetMTime ()|
// \item @|obj.SetOutputDimension (int )| -  Set the dimension of the output tessellation.
// Cells in dimensions higher than the given value will have
// their boundaries of dimension \a OutputDimension tessellated.
// For example, if \a OutputDimension is 2, a hexahedron's
// quadrilateral faces would be tessellated rather than its
// interior.
//// \item @|int = obj.GetOutputDimensionMinValue ()| -  Set the dimension of the output tessellation.
// Cells in dimensions higher than the given value will have
// their boundaries of dimension \a OutputDimension tessellated.
// For example, if \a OutputDimension is 2, a hexahedron's
// quadrilateral faces would be tessellated rather than its
// interior.
//// \item @|int = obj.GetOutputDimensionMaxValue ()| -  Set the dimension of the output tessellation.
// Cells in dimensions higher than the given value will have
// their boundaries of dimension \a OutputDimension tessellated.
// For example, if \a OutputDimension is 2, a hexahedron's
// quadrilateral faces would be tessellated rather than its
// interior.
//// \item @|int = obj.GetOutputDimension ()| -  Set the dimension of the output tessellation.
// Cells in dimensions higher than the given value will have
// their boundaries of dimension \a OutputDimension tessellated.
// For example, if \a OutputDimension is 2, a hexahedron's
// quadrilateral faces would be tessellated rather than its
// interior.
//// \item @|obj.SetMaximumNumberOfSubdivisions (int num_subdiv_in)| -  These are convenience routines for setting properties maintained by the
// tessellator and subdivider. They are implemented here for ParaView's
// sake.
//// \item @|int = obj.GetMaximumNumberOfSubdivisions ()| -  These are convenience routines for setting properties maintained by the
// tessellator and subdivider. They are implemented here for ParaView's
// sake.
//// \item @|obj.SetChordError (double ce)| -  These are convenience routines for setting properties maintained by the
// tessellator and subdivider. They are implemented here for ParaView's
// sake.
//// \item @|double = obj.GetChordError ()| -  These are convenience routines for setting properties maintained by the
// tessellator and subdivider. They are implemented here for ParaView's
// sake.
//// \item @|obj.ResetFieldCriteria ()| -  These methods are for the ParaView client.
//// \item @|obj.SetFieldCriterion (int field, double chord)| -  These methods are for the ParaView client.
//// \item @|int = obj.GetMergePoints ()| -  The adaptive tessellation will output vertices that are not shared
// among cells, even where they should be. This can be corrected to
// some extents with a vtkMergeFilter.
// By default, the filter is off and vertices will not be shared.
//// \item @|obj.SetMergePoints (int )| -  The adaptive tessellation will output vertices that are not shared
// among cells, even where they should be. This can be corrected to
// some extents with a vtkMergeFilter.
// By default, the filter is off and vertices will not be shared.
//// \item @|obj.MergePointsOn ()| -  The adaptive tessellation will output vertices that are not shared
// among cells, even where they should be. This can be corrected to
// some extents with a vtkMergeFilter.
// By default, the filter is off and vertices will not be shared.
//// \item @|obj.MergePointsOff ()| -  The adaptive tessellation will output vertices that are not shared
// among cells, even where they should be. This can be corrected to
// some extents with a vtkMergeFilter.
// By default, the filter is off and vertices will not be shared.
////\end{itemize}
//!
