#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTextSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTextSource.h"

//@@Signature
//sfunction @vtkTextSource:vtkTextSource vtkTextSourceConstructorFunction
//input a
//output p
//@@Parents vtkTextSource vtkPolyDataAlgorithm 
ArrayVector vtkTextSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTextSource::New(),"vtkTextSource",eval);
  } else if (arg[0].className() == "vtkTextSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTextSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTextSource");
    vtkTextSource*q = reinterpret_cast<vtkTextSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTextSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTextSource:GetClassName vtkTextSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTextSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTextSource requires 1 argument(s)");
  vtkTextSource* vtk_pointer = GetVTKPointer<vtkTextSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextSource:IsA vtkTextSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTextSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTextSource requires 2 argument(s)");
  vtkTextSource* vtk_pointer = GetVTKPointer<vtkTextSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextSource:NewInstance vtkTextSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTextSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTextSource requires 1 argument(s)");
  vtkTextSource* vtk_pointer = GetVTKPointer<vtkTextSource>(arg[0]);
  Array retval;
  vtkTextSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTextSource:SafeDownCast vtkTextSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTextSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTextSource requires 2 argument(s)");
  vtkTextSource* vtk_pointer = GetVTKPointer<vtkTextSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTextSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTextSource:SetText vtkTextSourceSetTextFunction
//input a0 a1 
//output none
ArrayVector vtkTextSourceSetTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetText (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetText for class vtkTextSource requires 2 argument(s)");
  vtkTextSource* vtk_pointer = GetVTKPointer<vtkTextSource>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextSource:GetText vtkTextSourceGetTextFunction
//input a0 
//output y
ArrayVector vtkTextSourceGetTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetText (); */
  if (arg.size() < 1) 
    throw Exception("Function GetText for class vtkTextSource requires 1 argument(s)");
  vtkTextSource* vtk_pointer = GetVTKPointer<vtkTextSource>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetText();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextSource:SetBacking vtkTextSourceSetBackingFunction
//input a0 a1 
//output none
ArrayVector vtkTextSourceSetBackingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBacking (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBacking for class vtkTextSource requires 2 argument(s)");
  vtkTextSource* vtk_pointer = GetVTKPointer<vtkTextSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBacking(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextSource:GetBacking vtkTextSourceGetBackingFunction
//input a0 
//output y
ArrayVector vtkTextSourceGetBackingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBacking (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBacking for class vtkTextSource requires 1 argument(s)");
  vtkTextSource* vtk_pointer = GetVTKPointer<vtkTextSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBacking();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextSource:BackingOn vtkTextSourceBackingOnFunction
//input a0 
//output none
ArrayVector vtkTextSourceBackingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BackingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function BackingOn for class vtkTextSource requires 1 argument(s)");
  vtkTextSource* vtk_pointer = GetVTKPointer<vtkTextSource>(arg[0]);
  Array retval;
  vtk_pointer->BackingOn();
  return retval;
}

//@@Signature
//sfunction @vtkTextSource:BackingOff vtkTextSourceBackingOffFunction
//input a0 
//output none
ArrayVector vtkTextSourceBackingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BackingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function BackingOff for class vtkTextSource requires 1 argument(s)");
  vtkTextSource* vtk_pointer = GetVTKPointer<vtkTextSource>(arg[0]);
  Array retval;
  vtk_pointer->BackingOff();
  return retval;
}

//@@Signature
//sfunction @vtkTextSource:SetForegroundColor__1 vtkTextSourceSetForegroundColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTextSourceSetForegroundColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetForegroundColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetForegroundColor__1 for class vtkTextSource requires 4 argument(s)");
  vtkTextSource* vtk_pointer = GetVTKPointer<vtkTextSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetForegroundColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTextSource:SetForegroundColor__2 vtkTextSourceSetForegroundColor__2Function
//input a0 a1 
//output none
ArrayVector vtkTextSourceSetForegroundColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetForegroundColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetForegroundColor__2 for class vtkTextSource requires 2 argument(s)");
  vtkTextSource* vtk_pointer = GetVTKPointer<vtkTextSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetForegroundColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextSource:GetForegroundColor vtkTextSourceGetForegroundColorFunction
//input a0 
//output y
ArrayVector vtkTextSourceGetForegroundColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetForegroundColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetForegroundColor for class vtkTextSource requires 1 argument(s)");
  vtkTextSource* vtk_pointer = GetVTKPointer<vtkTextSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetForegroundColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTextSource:SetBackgroundColor__1 vtkTextSourceSetBackgroundColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTextSourceSetBackgroundColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBackgroundColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetBackgroundColor__1 for class vtkTextSource requires 4 argument(s)");
  vtkTextSource* vtk_pointer = GetVTKPointer<vtkTextSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetBackgroundColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTextSource:SetBackgroundColor__2 vtkTextSourceSetBackgroundColor__2Function
//input a0 a1 
//output none
ArrayVector vtkTextSourceSetBackgroundColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBackgroundColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetBackgroundColor__2 for class vtkTextSource requires 2 argument(s)");
  vtkTextSource* vtk_pointer = GetVTKPointer<vtkTextSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetBackgroundColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextSource:GetBackgroundColor vtkTextSourceGetBackgroundColorFunction
//input a0 
//output y
ArrayVector vtkTextSourceGetBackgroundColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetBackgroundColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBackgroundColor for class vtkTextSource requires 1 argument(s)");
  vtkTextSource* vtk_pointer = GetVTKPointer<vtkTextSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBackgroundColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTextSource:SetForegroundColor vtkTextSourceSetForegroundColorFunction
//input varargin
//output varargout
ArrayVector vtkTextSourceSetForegroundColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkTextSourceSetForegroundColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTextSourceSetForegroundColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTextSourceSetForegroundColor");
}

//@@Signature
//sfunction @vtkTextSource:SetBackgroundColor vtkTextSourceSetBackgroundColorFunction
//input varargin
//output varargout
ArrayVector vtkTextSourceSetBackgroundColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkTextSourceSetBackgroundColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTextSourceSetBackgroundColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTextSourceSetBackgroundColor");
}

//@@Signature
//sfunction @vtkTextSource:display vtkTextSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTextSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTextSource* vtk_pointer = GetVTKPointer<vtkTextSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTextSource:delete vtkTextSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkTextSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTextSource
//@@Section VTKGraphics
//@@Usage
// vtkTextSource converts a text string into polygons.  This way you can 
// insert text into your renderings. It uses the 9x15 font from X Windows.
// You can specify if you want the background to be drawn or not. The
// characters are formed by scan converting the raster font into
// quadrilaterals. Colors are assigned to the letters using scalar data.
// To set the color of the characters with the source's actor property, set
// BackingOff on the text source and ScalarVisibilityOff on the associated
// vtkPolyDataMapper. Then, the color can be set using the associated actor's
// property.
//
// vtkVectorText generates higher quality polygonal representations of
// characters.
//
//To create an instance of class vtkTextSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkTextSource
//@]
//@@Methods
//The class vtkTextSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTextSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTextSource = obj.NewInstance ()|
// \item @|vtkTextSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetText (string )| -  Set/Get the text to be drawn.
//// \item @|string = obj.GetText ()| -  Set/Get the text to be drawn.
//// \item @|obj.SetBacking (int )| -  Controls whether or not a background is drawn with the text.
//// \item @|int = obj.GetBacking ()| -  Controls whether or not a background is drawn with the text.
//// \item @|obj.BackingOn ()| -  Controls whether or not a background is drawn with the text.
//// \item @|obj.BackingOff ()| -  Controls whether or not a background is drawn with the text.
//// \item @|obj.SetForegroundColor (double , double , double )| -  Set/Get the foreground color. Default is white (1,1,1). ALpha is always 1.
//// \item @|obj.SetForegroundColor (double  a[3])| -  Set/Get the foreground color. Default is white (1,1,1). ALpha is always 1.
//// \item @|double = obj. GetForegroundColor ()| -  Set/Get the foreground color. Default is white (1,1,1). ALpha is always 1.
//// \item @|obj.SetBackgroundColor (double , double , double )| -  Set/Get the background color. Default is black (0,0,0). Alpha is always 1.
//// \item @|obj.SetBackgroundColor (double  a[3])| -  Set/Get the background color. Default is black (0,0,0). Alpha is always 1.
//// \item @|double = obj. GetBackgroundColor ()| -  Set/Get the background color. Default is black (0,0,0). Alpha is always 1.
////\end{itemize}
//!
