#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTextureMapToCylinder object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTextureMapToCylinder.h"

//@@Signature
//sfunction @vtkTextureMapToCylinder:vtkTextureMapToCylinder vtkTextureMapToCylinderConstructorFunction
//input a
//output p
//@@Parents vtkTextureMapToCylinder vtkDataSetAlgorithm 
ArrayVector vtkTextureMapToCylinderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTextureMapToCylinder::New(),"vtkTextureMapToCylinder",eval);
  } else if (arg[0].className() == "vtkTextureMapToCylinder") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTextureMapToCylinder"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTextureMapToCylinder");
    vtkTextureMapToCylinder*q = reinterpret_cast<vtkTextureMapToCylinder*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTextureMapToCylinder");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTextureMapToCylinder:GetClassName vtkTextureMapToCylinderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTextureMapToCylinderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTextureMapToCylinder requires 1 argument(s)");
  vtkTextureMapToCylinder* vtk_pointer = GetVTKPointer<vtkTextureMapToCylinder>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToCylinder:IsA vtkTextureMapToCylinderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTextureMapToCylinderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTextureMapToCylinder requires 2 argument(s)");
  vtkTextureMapToCylinder* vtk_pointer = GetVTKPointer<vtkTextureMapToCylinder>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToCylinder:NewInstance vtkTextureMapToCylinderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTextureMapToCylinderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextureMapToCylinder *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTextureMapToCylinder requires 1 argument(s)");
  vtkTextureMapToCylinder* vtk_pointer = GetVTKPointer<vtkTextureMapToCylinder>(arg[0]);
  Array retval;
  vtkTextureMapToCylinder  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextureMapToCylinder",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToCylinder:SafeDownCast vtkTextureMapToCylinderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTextureMapToCylinderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextureMapToCylinder *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTextureMapToCylinder requires 2 argument(s)");
  vtkTextureMapToCylinder* vtk_pointer = GetVTKPointer<vtkTextureMapToCylinder>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTextureMapToCylinder  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextureMapToCylinder",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToCylinder:SetPoint1__1 vtkTextureMapToCylinderSetPoint1__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTextureMapToCylinderSetPoint1__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint1 (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetPoint1__1 for class vtkTextureMapToCylinder requires 4 argument(s)");
  vtkTextureMapToCylinder* vtk_pointer = GetVTKPointer<vtkTextureMapToCylinder>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPoint1(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToCylinder:SetPoint1__2 vtkTextureMapToCylinderSetPoint1__2Function
//input a0 a1 
//output none
ArrayVector vtkTextureMapToCylinderSetPoint1__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint1 (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint1__2 for class vtkTextureMapToCylinder requires 2 argument(s)");
  vtkTextureMapToCylinder* vtk_pointer = GetVTKPointer<vtkTextureMapToCylinder>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint1(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToCylinder:GetPoint1 vtkTextureMapToCylinderGetPoint1Function
//input a0 
//output y
ArrayVector vtkTextureMapToCylinderGetPoint1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetPoint1 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint1 for class vtkTextureMapToCylinder requires 1 argument(s)");
  vtkTextureMapToCylinder* vtk_pointer = GetVTKPointer<vtkTextureMapToCylinder>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPoint1();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToCylinder:SetPoint2__1 vtkTextureMapToCylinderSetPoint2__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTextureMapToCylinderSetPoint2__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint2 (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetPoint2__1 for class vtkTextureMapToCylinder requires 4 argument(s)");
  vtkTextureMapToCylinder* vtk_pointer = GetVTKPointer<vtkTextureMapToCylinder>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPoint2(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToCylinder:SetPoint2__2 vtkTextureMapToCylinderSetPoint2__2Function
//input a0 a1 
//output none
ArrayVector vtkTextureMapToCylinderSetPoint2__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint2 (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint2__2 for class vtkTextureMapToCylinder requires 2 argument(s)");
  vtkTextureMapToCylinder* vtk_pointer = GetVTKPointer<vtkTextureMapToCylinder>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint2(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToCylinder:GetPoint2 vtkTextureMapToCylinderGetPoint2Function
//input a0 
//output y
ArrayVector vtkTextureMapToCylinderGetPoint2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetPoint2 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint2 for class vtkTextureMapToCylinder requires 1 argument(s)");
  vtkTextureMapToCylinder* vtk_pointer = GetVTKPointer<vtkTextureMapToCylinder>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPoint2();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToCylinder:SetAutomaticCylinderGeneration vtkTextureMapToCylinderSetAutomaticCylinderGenerationFunction
//input a0 a1 
//output none
ArrayVector vtkTextureMapToCylinderSetAutomaticCylinderGenerationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAutomaticCylinderGeneration (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAutomaticCylinderGeneration for class vtkTextureMapToCylinder requires 2 argument(s)");
  vtkTextureMapToCylinder* vtk_pointer = GetVTKPointer<vtkTextureMapToCylinder>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAutomaticCylinderGeneration(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToCylinder:GetAutomaticCylinderGeneration vtkTextureMapToCylinderGetAutomaticCylinderGenerationFunction
//input a0 
//output y
ArrayVector vtkTextureMapToCylinderGetAutomaticCylinderGenerationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutomaticCylinderGeneration (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutomaticCylinderGeneration for class vtkTextureMapToCylinder requires 1 argument(s)");
  vtkTextureMapToCylinder* vtk_pointer = GetVTKPointer<vtkTextureMapToCylinder>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutomaticCylinderGeneration();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToCylinder:AutomaticCylinderGenerationOn vtkTextureMapToCylinderAutomaticCylinderGenerationOnFunction
//input a0 
//output none
ArrayVector vtkTextureMapToCylinderAutomaticCylinderGenerationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutomaticCylinderGenerationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AutomaticCylinderGenerationOn for class vtkTextureMapToCylinder requires 1 argument(s)");
  vtkTextureMapToCylinder* vtk_pointer = GetVTKPointer<vtkTextureMapToCylinder>(arg[0]);
  Array retval;
  vtk_pointer->AutomaticCylinderGenerationOn();
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToCylinder:AutomaticCylinderGenerationOff vtkTextureMapToCylinderAutomaticCylinderGenerationOffFunction
//input a0 
//output none
ArrayVector vtkTextureMapToCylinderAutomaticCylinderGenerationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutomaticCylinderGenerationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AutomaticCylinderGenerationOff for class vtkTextureMapToCylinder requires 1 argument(s)");
  vtkTextureMapToCylinder* vtk_pointer = GetVTKPointer<vtkTextureMapToCylinder>(arg[0]);
  Array retval;
  vtk_pointer->AutomaticCylinderGenerationOff();
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToCylinder:SetPreventSeam vtkTextureMapToCylinderSetPreventSeamFunction
//input a0 a1 
//output none
ArrayVector vtkTextureMapToCylinderSetPreventSeamFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPreventSeam (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPreventSeam for class vtkTextureMapToCylinder requires 2 argument(s)");
  vtkTextureMapToCylinder* vtk_pointer = GetVTKPointer<vtkTextureMapToCylinder>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPreventSeam(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToCylinder:GetPreventSeam vtkTextureMapToCylinderGetPreventSeamFunction
//input a0 
//output y
ArrayVector vtkTextureMapToCylinderGetPreventSeamFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPreventSeam (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPreventSeam for class vtkTextureMapToCylinder requires 1 argument(s)");
  vtkTextureMapToCylinder* vtk_pointer = GetVTKPointer<vtkTextureMapToCylinder>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPreventSeam();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToCylinder:PreventSeamOn vtkTextureMapToCylinderPreventSeamOnFunction
//input a0 
//output none
ArrayVector vtkTextureMapToCylinderPreventSeamOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PreventSeamOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PreventSeamOn for class vtkTextureMapToCylinder requires 1 argument(s)");
  vtkTextureMapToCylinder* vtk_pointer = GetVTKPointer<vtkTextureMapToCylinder>(arg[0]);
  Array retval;
  vtk_pointer->PreventSeamOn();
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToCylinder:PreventSeamOff vtkTextureMapToCylinderPreventSeamOffFunction
//input a0 
//output none
ArrayVector vtkTextureMapToCylinderPreventSeamOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PreventSeamOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PreventSeamOff for class vtkTextureMapToCylinder requires 1 argument(s)");
  vtkTextureMapToCylinder* vtk_pointer = GetVTKPointer<vtkTextureMapToCylinder>(arg[0]);
  Array retval;
  vtk_pointer->PreventSeamOff();
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToCylinder:SetPoint1 vtkTextureMapToCylinderSetPoint1Function
//input varargin
//output varargout
ArrayVector vtkTextureMapToCylinderSetPoint1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkTextureMapToCylinderSetPoint1__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTextureMapToCylinderSetPoint1__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTextureMapToCylinderSetPoint1");
}

//@@Signature
//sfunction @vtkTextureMapToCylinder:SetPoint2 vtkTextureMapToCylinderSetPoint2Function
//input varargin
//output varargout
ArrayVector vtkTextureMapToCylinderSetPoint2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkTextureMapToCylinderSetPoint2__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTextureMapToCylinderSetPoint2__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTextureMapToCylinderSetPoint2");
}

//@@Signature
//sfunction @vtkTextureMapToCylinder:display vtkTextureMapToCylinderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTextureMapToCylinderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTextureMapToCylinder* vtk_pointer = GetVTKPointer<vtkTextureMapToCylinder>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTextureMapToCylinder:delete vtkTextureMapToCylinderDeleteFunction
//input varargin
//output none
ArrayVector vtkTextureMapToCylinderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTextureMapToCylinder
//@@Section VTKGraphics
//@@Usage
// vtkTextureMapToCylinder is a filter that generates 2D texture coordinates
// by mapping input dataset points onto a cylinder. The cylinder can either be
// user specified or generated automatically. (The cylinder is generated 
// automatically by computing the axis of the cylinder.)  Note that the
// generated texture coordinates for the s-coordinate ranges from (0-1) 
// (corresponding to angle of 0->360 around axis), while the mapping of 
// the t-coordinate is controlled by the projection of points along the axis.
//
// To specify a cylinder manually, you must provide two points that
// define the axis of the cylinder. The length of the axis will affect the
// t-coordinates.
// 
// A special ivar controls how the s-coordinate is generated. If PreventSeam
// is set to true, the s-texture varies from 0->1 and then 1->0 (corresponding
// to angles of 0->180 and 180->360).
//
//To create an instance of class vtkTextureMapToCylinder, simply
//invoke its constructor as follows
//@[
//  obj = vtkTextureMapToCylinder
//@]
//@@Methods
//The class vtkTextureMapToCylinder has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTextureMapToCylinder class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTextureMapToCylinder = obj.NewInstance ()|
// \item @|vtkTextureMapToCylinder = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPoint1 (double , double , double )| -  Specify the first point defining the cylinder axis,
//// \item @|obj.SetPoint1 (double  a[3])| -  Specify the first point defining the cylinder axis,
//// \item @|double = obj. GetPoint1 ()| -  Specify the first point defining the cylinder axis,
//// \item @|obj.SetPoint2 (double , double , double )| -  Specify the second point defining the cylinder axis,
//// \item @|obj.SetPoint2 (double  a[3])| -  Specify the second point defining the cylinder axis,
//// \item @|double = obj. GetPoint2 ()| -  Specify the second point defining the cylinder axis,
//// \item @|obj.SetAutomaticCylinderGeneration (int )| -  Turn on/off automatic cylinder generation. This means it automatically
// finds the cylinder center and axis.
//// \item @|int = obj.GetAutomaticCylinderGeneration ()| -  Turn on/off automatic cylinder generation. This means it automatically
// finds the cylinder center and axis.
//// \item @|obj.AutomaticCylinderGenerationOn ()| -  Turn on/off automatic cylinder generation. This means it automatically
// finds the cylinder center and axis.
//// \item @|obj.AutomaticCylinderGenerationOff ()| -  Turn on/off automatic cylinder generation. This means it automatically
// finds the cylinder center and axis.
//// \item @|obj.SetPreventSeam (int )| -  Control how the texture coordinates are generated. If PreventSeam is
// set, the s-coordinate ranges from 0->1 and 1->0 corresponding to the
// angle variation from 0->180 and 180->0. Otherwise, the s-coordinate
// ranges from 0->1 from 0->360 degrees.
//// \item @|int = obj.GetPreventSeam ()| -  Control how the texture coordinates are generated. If PreventSeam is
// set, the s-coordinate ranges from 0->1 and 1->0 corresponding to the
// angle variation from 0->180 and 180->0. Otherwise, the s-coordinate
// ranges from 0->1 from 0->360 degrees.
//// \item @|obj.PreventSeamOn ()| -  Control how the texture coordinates are generated. If PreventSeam is
// set, the s-coordinate ranges from 0->1 and 1->0 corresponding to the
// angle variation from 0->180 and 180->0. Otherwise, the s-coordinate
// ranges from 0->1 from 0->360 degrees.
//// \item @|obj.PreventSeamOff ()| -  Control how the texture coordinates are generated. If PreventSeam is
// set, the s-coordinate ranges from 0->1 and 1->0 corresponding to the
// angle variation from 0->180 and 180->0. Otherwise, the s-coordinate
// ranges from 0->1 from 0->360 degrees.
////\end{itemize}
//!
