#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTextureMapToPlane object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTextureMapToPlane.h"

//@@Signature
//sfunction @vtkTextureMapToPlane:vtkTextureMapToPlane vtkTextureMapToPlaneConstructorFunction
//input a
//output p
//@@Parents vtkTextureMapToPlane vtkDataSetAlgorithm 
ArrayVector vtkTextureMapToPlaneConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTextureMapToPlane::New(),"vtkTextureMapToPlane",eval);
  } else if (arg[0].className() == "vtkTextureMapToPlane") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTextureMapToPlane"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTextureMapToPlane");
    vtkTextureMapToPlane*q = reinterpret_cast<vtkTextureMapToPlane*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTextureMapToPlane");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTextureMapToPlane:GetClassName vtkTextureMapToPlaneGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTextureMapToPlaneGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTextureMapToPlane requires 1 argument(s)");
  vtkTextureMapToPlane* vtk_pointer = GetVTKPointer<vtkTextureMapToPlane>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToPlane:IsA vtkTextureMapToPlaneIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTextureMapToPlaneIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTextureMapToPlane requires 2 argument(s)");
  vtkTextureMapToPlane* vtk_pointer = GetVTKPointer<vtkTextureMapToPlane>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToPlane:NewInstance vtkTextureMapToPlaneNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTextureMapToPlaneNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextureMapToPlane *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTextureMapToPlane requires 1 argument(s)");
  vtkTextureMapToPlane* vtk_pointer = GetVTKPointer<vtkTextureMapToPlane>(arg[0]);
  Array retval;
  vtkTextureMapToPlane  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextureMapToPlane",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToPlane:SafeDownCast vtkTextureMapToPlaneSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTextureMapToPlaneSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextureMapToPlane *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTextureMapToPlane requires 2 argument(s)");
  vtkTextureMapToPlane* vtk_pointer = GetVTKPointer<vtkTextureMapToPlane>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTextureMapToPlane  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextureMapToPlane",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToPlane:SetOrigin__1 vtkTextureMapToPlaneSetOrigin__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTextureMapToPlaneSetOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetOrigin__1 for class vtkTextureMapToPlane requires 4 argument(s)");
  vtkTextureMapToPlane* vtk_pointer = GetVTKPointer<vtkTextureMapToPlane>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToPlane:SetOrigin__2 vtkTextureMapToPlaneSetOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkTextureMapToPlaneSetOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrigin__2 for class vtkTextureMapToPlane requires 2 argument(s)");
  vtkTextureMapToPlane* vtk_pointer = GetVTKPointer<vtkTextureMapToPlane>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToPlane:GetOrigin vtkTextureMapToPlaneGetOriginFunction
//input a0 
//output y
ArrayVector vtkTextureMapToPlaneGetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrigin for class vtkTextureMapToPlane requires 1 argument(s)");
  vtkTextureMapToPlane* vtk_pointer = GetVTKPointer<vtkTextureMapToPlane>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToPlane:SetPoint1__1 vtkTextureMapToPlaneSetPoint1__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTextureMapToPlaneSetPoint1__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint1 (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetPoint1__1 for class vtkTextureMapToPlane requires 4 argument(s)");
  vtkTextureMapToPlane* vtk_pointer = GetVTKPointer<vtkTextureMapToPlane>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPoint1(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToPlane:SetPoint1__2 vtkTextureMapToPlaneSetPoint1__2Function
//input a0 a1 
//output none
ArrayVector vtkTextureMapToPlaneSetPoint1__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint1 (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint1__2 for class vtkTextureMapToPlane requires 2 argument(s)");
  vtkTextureMapToPlane* vtk_pointer = GetVTKPointer<vtkTextureMapToPlane>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint1(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToPlane:GetPoint1 vtkTextureMapToPlaneGetPoint1Function
//input a0 
//output y
ArrayVector vtkTextureMapToPlaneGetPoint1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetPoint1 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint1 for class vtkTextureMapToPlane requires 1 argument(s)");
  vtkTextureMapToPlane* vtk_pointer = GetVTKPointer<vtkTextureMapToPlane>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPoint1();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToPlane:SetPoint2__1 vtkTextureMapToPlaneSetPoint2__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTextureMapToPlaneSetPoint2__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint2 (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetPoint2__1 for class vtkTextureMapToPlane requires 4 argument(s)");
  vtkTextureMapToPlane* vtk_pointer = GetVTKPointer<vtkTextureMapToPlane>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPoint2(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToPlane:SetPoint2__2 vtkTextureMapToPlaneSetPoint2__2Function
//input a0 a1 
//output none
ArrayVector vtkTextureMapToPlaneSetPoint2__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoint2 (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint2__2 for class vtkTextureMapToPlane requires 2 argument(s)");
  vtkTextureMapToPlane* vtk_pointer = GetVTKPointer<vtkTextureMapToPlane>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint2(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToPlane:GetPoint2 vtkTextureMapToPlaneGetPoint2Function
//input a0 
//output y
ArrayVector vtkTextureMapToPlaneGetPoint2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetPoint2 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint2 for class vtkTextureMapToPlane requires 1 argument(s)");
  vtkTextureMapToPlane* vtk_pointer = GetVTKPointer<vtkTextureMapToPlane>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPoint2();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToPlane:SetNormal__1 vtkTextureMapToPlaneSetNormal__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTextureMapToPlaneSetNormal__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormal (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetNormal__1 for class vtkTextureMapToPlane requires 4 argument(s)");
  vtkTextureMapToPlane* vtk_pointer = GetVTKPointer<vtkTextureMapToPlane>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetNormal(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToPlane:SetNormal__2 vtkTextureMapToPlaneSetNormal__2Function
//input a0 a1 
//output none
ArrayVector vtkTextureMapToPlaneSetNormal__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormal (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormal__2 for class vtkTextureMapToPlane requires 2 argument(s)");
  vtkTextureMapToPlane* vtk_pointer = GetVTKPointer<vtkTextureMapToPlane>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetNormal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToPlane:GetNormal vtkTextureMapToPlaneGetNormalFunction
//input a0 
//output y
ArrayVector vtkTextureMapToPlaneGetNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetNormal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormal for class vtkTextureMapToPlane requires 1 argument(s)");
  vtkTextureMapToPlane* vtk_pointer = GetVTKPointer<vtkTextureMapToPlane>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetNormal();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToPlane:SetSRange__1 vtkTextureMapToPlaneSetSRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkTextureMapToPlaneSetSRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSRange (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetSRange__1 for class vtkTextureMapToPlane requires 3 argument(s)");
  vtkTextureMapToPlane* vtk_pointer = GetVTKPointer<vtkTextureMapToPlane>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetSRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToPlane:SetSRange__2 vtkTextureMapToPlaneSetSRange__2Function
//input a0 a1 
//output none
ArrayVector vtkTextureMapToPlaneSetSRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSRange (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSRange__2 for class vtkTextureMapToPlane requires 2 argument(s)");
  vtkTextureMapToPlane* vtk_pointer = GetVTKPointer<vtkTextureMapToPlane>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetSRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToPlane:GetSRange vtkTextureMapToPlaneGetSRangeFunction
//input a0 
//output y
ArrayVector vtkTextureMapToPlaneGetSRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetSRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSRange for class vtkTextureMapToPlane requires 1 argument(s)");
  vtkTextureMapToPlane* vtk_pointer = GetVTKPointer<vtkTextureMapToPlane>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetSRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToPlane:SetTRange__1 vtkTextureMapToPlaneSetTRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkTextureMapToPlaneSetTRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTRange (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetTRange__1 for class vtkTextureMapToPlane requires 3 argument(s)");
  vtkTextureMapToPlane* vtk_pointer = GetVTKPointer<vtkTextureMapToPlane>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetTRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToPlane:SetTRange__2 vtkTextureMapToPlaneSetTRange__2Function
//input a0 a1 
//output none
ArrayVector vtkTextureMapToPlaneSetTRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTRange (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetTRange__2 for class vtkTextureMapToPlane requires 2 argument(s)");
  vtkTextureMapToPlane* vtk_pointer = GetVTKPointer<vtkTextureMapToPlane>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetTRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToPlane:GetTRange vtkTextureMapToPlaneGetTRangeFunction
//input a0 
//output y
ArrayVector vtkTextureMapToPlaneGetTRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetTRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTRange for class vtkTextureMapToPlane requires 1 argument(s)");
  vtkTextureMapToPlane* vtk_pointer = GetVTKPointer<vtkTextureMapToPlane>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetTRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToPlane:SetAutomaticPlaneGeneration vtkTextureMapToPlaneSetAutomaticPlaneGenerationFunction
//input a0 a1 
//output none
ArrayVector vtkTextureMapToPlaneSetAutomaticPlaneGenerationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAutomaticPlaneGeneration (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAutomaticPlaneGeneration for class vtkTextureMapToPlane requires 2 argument(s)");
  vtkTextureMapToPlane* vtk_pointer = GetVTKPointer<vtkTextureMapToPlane>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAutomaticPlaneGeneration(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToPlane:GetAutomaticPlaneGeneration vtkTextureMapToPlaneGetAutomaticPlaneGenerationFunction
//input a0 
//output y
ArrayVector vtkTextureMapToPlaneGetAutomaticPlaneGenerationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutomaticPlaneGeneration (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutomaticPlaneGeneration for class vtkTextureMapToPlane requires 1 argument(s)");
  vtkTextureMapToPlane* vtk_pointer = GetVTKPointer<vtkTextureMapToPlane>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutomaticPlaneGeneration();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToPlane:AutomaticPlaneGenerationOn vtkTextureMapToPlaneAutomaticPlaneGenerationOnFunction
//input a0 
//output none
ArrayVector vtkTextureMapToPlaneAutomaticPlaneGenerationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutomaticPlaneGenerationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AutomaticPlaneGenerationOn for class vtkTextureMapToPlane requires 1 argument(s)");
  vtkTextureMapToPlane* vtk_pointer = GetVTKPointer<vtkTextureMapToPlane>(arg[0]);
  Array retval;
  vtk_pointer->AutomaticPlaneGenerationOn();
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToPlane:AutomaticPlaneGenerationOff vtkTextureMapToPlaneAutomaticPlaneGenerationOffFunction
//input a0 
//output none
ArrayVector vtkTextureMapToPlaneAutomaticPlaneGenerationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutomaticPlaneGenerationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AutomaticPlaneGenerationOff for class vtkTextureMapToPlane requires 1 argument(s)");
  vtkTextureMapToPlane* vtk_pointer = GetVTKPointer<vtkTextureMapToPlane>(arg[0]);
  Array retval;
  vtk_pointer->AutomaticPlaneGenerationOff();
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToPlane:SetOrigin vtkTextureMapToPlaneSetOriginFunction
//input varargin
//output varargout
ArrayVector vtkTextureMapToPlaneSetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkTextureMapToPlaneSetOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTextureMapToPlaneSetOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTextureMapToPlaneSetOrigin");
}

//@@Signature
//sfunction @vtkTextureMapToPlane:SetPoint1 vtkTextureMapToPlaneSetPoint1Function
//input varargin
//output varargout
ArrayVector vtkTextureMapToPlaneSetPoint1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkTextureMapToPlaneSetPoint1__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTextureMapToPlaneSetPoint1__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTextureMapToPlaneSetPoint1");
}

//@@Signature
//sfunction @vtkTextureMapToPlane:SetPoint2 vtkTextureMapToPlaneSetPoint2Function
//input varargin
//output varargout
ArrayVector vtkTextureMapToPlaneSetPoint2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkTextureMapToPlaneSetPoint2__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTextureMapToPlaneSetPoint2__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTextureMapToPlaneSetPoint2");
}

//@@Signature
//sfunction @vtkTextureMapToPlane:SetNormal vtkTextureMapToPlaneSetNormalFunction
//input varargin
//output varargout
ArrayVector vtkTextureMapToPlaneSetNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkTextureMapToPlaneSetNormal__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTextureMapToPlaneSetNormal__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTextureMapToPlaneSetNormal");
}

//@@Signature
//sfunction @vtkTextureMapToPlane:SetSRange vtkTextureMapToPlaneSetSRangeFunction
//input varargin
//output varargout
ArrayVector vtkTextureMapToPlaneSetSRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkTextureMapToPlaneSetSRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTextureMapToPlaneSetSRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTextureMapToPlaneSetSRange");
}

//@@Signature
//sfunction @vtkTextureMapToPlane:SetTRange vtkTextureMapToPlaneSetTRangeFunction
//input varargin
//output varargout
ArrayVector vtkTextureMapToPlaneSetTRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkTextureMapToPlaneSetTRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTextureMapToPlaneSetTRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTextureMapToPlaneSetTRange");
}

//@@Signature
//sfunction @vtkTextureMapToPlane:display vtkTextureMapToPlaneDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTextureMapToPlaneDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTextureMapToPlane* vtk_pointer = GetVTKPointer<vtkTextureMapToPlane>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTextureMapToPlane:delete vtkTextureMapToPlaneDeleteFunction
//input varargin
//output none
ArrayVector vtkTextureMapToPlaneDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTextureMapToPlane
//@@Section VTKGraphics
//@@Usage
// vtkTextureMapToPlane is a filter that generates 2D texture coordinates
// by mapping input dataset points onto a plane. The plane can either be
// user specified or generated automatically. (A least squares method is
// used to generate the plane automatically.)
//
// There are two ways you can specify the plane. The first is to provide a
// plane normal. In this case the points are projected to a plane, and the
// points are then mapped into the user specified s-t coordinate range. For
// more control, you can specify a plane with three points: an origin and two
// points defining the two axes of the plane. (This is compatible with the
// vtkPlaneSource.) Using the second method, the SRange and TRange vectors
// are ignored, since the presumption is that the user does not want to scale
// the texture coordinates; and you can adjust the origin and axes points to
// achieve the texture coordinate scaling you need. Note also that using the
// three point method the axes do not have to be orthogonal.
//
//To create an instance of class vtkTextureMapToPlane, simply
//invoke its constructor as follows
//@[
//  obj = vtkTextureMapToPlane
//@]
//@@Methods
//The class vtkTextureMapToPlane has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTextureMapToPlane class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTextureMapToPlane = obj.NewInstance ()|
// \item @|vtkTextureMapToPlane = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetOrigin (double , double , double )| -  Specify a point defining the origin of the plane. Used in conjunction with
// the Point1 and Point2 ivars to specify a map plane.
//// \item @|obj.SetOrigin (double  a[3])| -  Specify a point defining the origin of the plane. Used in conjunction with
// the Point1 and Point2 ivars to specify a map plane.
//// \item @|double = obj. GetOrigin ()| -  Specify a point defining the origin of the plane. Used in conjunction with
// the Point1 and Point2 ivars to specify a map plane.
//// \item @|obj.SetPoint1 (double , double , double )| -  Specify a point defining the first axis of the plane.
//// \item @|obj.SetPoint1 (double  a[3])| -  Specify a point defining the first axis of the plane.
//// \item @|double = obj. GetPoint1 ()| -  Specify a point defining the first axis of the plane.
//// \item @|obj.SetPoint2 (double , double , double )| -  Specify a point defining the second axis of the plane.
//// \item @|obj.SetPoint2 (double  a[3])| -  Specify a point defining the second axis of the plane.
//// \item @|double = obj. GetPoint2 ()| -  Specify a point defining the second axis of the plane.
//// \item @|obj.SetNormal (double , double , double )| -  Specify plane normal. An alternative way to specify a map plane. Using
// this method, the object will scale the resulting texture coordinate
// between the SRange and TRange specified.
//// \item @|obj.SetNormal (double  a[3])| -  Specify plane normal. An alternative way to specify a map plane. Using
// this method, the object will scale the resulting texture coordinate
// between the SRange and TRange specified.
//// \item @|double = obj. GetNormal ()| -  Specify plane normal. An alternative way to specify a map plane. Using
// this method, the object will scale the resulting texture coordinate
// between the SRange and TRange specified.
//// \item @|obj.SetSRange (double , double )| -  Specify s-coordinate range for texture s-t coordinate pair.
//// \item @|obj.SetSRange (double  a[2])| -  Specify s-coordinate range for texture s-t coordinate pair.
//// \item @|double = obj. GetSRange ()| -  Specify s-coordinate range for texture s-t coordinate pair.
//// \item @|obj.SetTRange (double , double )| -  Specify t-coordinate range for texture s-t coordinate pair.
//// \item @|obj.SetTRange (double  a[2])| -  Specify t-coordinate range for texture s-t coordinate pair.
//// \item @|double = obj. GetTRange ()| -  Specify t-coordinate range for texture s-t coordinate pair.
//// \item @|obj.SetAutomaticPlaneGeneration (int )| -  Turn on/off automatic plane generation.
//// \item @|int = obj.GetAutomaticPlaneGeneration ()| -  Turn on/off automatic plane generation.
//// \item @|obj.AutomaticPlaneGenerationOn ()| -  Turn on/off automatic plane generation.
//// \item @|obj.AutomaticPlaneGenerationOff ()| -  Turn on/off automatic plane generation.
////\end{itemize}
//!
