#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTextureMapToSphere object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTextureMapToSphere.h"

//@@Signature
//sfunction @vtkTextureMapToSphere:vtkTextureMapToSphere vtkTextureMapToSphereConstructorFunction
//input a
//output p
//@@Parents vtkTextureMapToSphere vtkDataSetAlgorithm 
ArrayVector vtkTextureMapToSphereConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTextureMapToSphere::New(),"vtkTextureMapToSphere",eval);
  } else if (arg[0].className() == "vtkTextureMapToSphere") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTextureMapToSphere"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTextureMapToSphere");
    vtkTextureMapToSphere*q = reinterpret_cast<vtkTextureMapToSphere*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTextureMapToSphere");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTextureMapToSphere:GetClassName vtkTextureMapToSphereGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTextureMapToSphereGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTextureMapToSphere requires 1 argument(s)");
  vtkTextureMapToSphere* vtk_pointer = GetVTKPointer<vtkTextureMapToSphere>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToSphere:IsA vtkTextureMapToSphereIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTextureMapToSphereIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTextureMapToSphere requires 2 argument(s)");
  vtkTextureMapToSphere* vtk_pointer = GetVTKPointer<vtkTextureMapToSphere>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToSphere:NewInstance vtkTextureMapToSphereNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTextureMapToSphereNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextureMapToSphere *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTextureMapToSphere requires 1 argument(s)");
  vtkTextureMapToSphere* vtk_pointer = GetVTKPointer<vtkTextureMapToSphere>(arg[0]);
  Array retval;
  vtkTextureMapToSphere  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextureMapToSphere",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToSphere:SafeDownCast vtkTextureMapToSphereSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTextureMapToSphereSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextureMapToSphere *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTextureMapToSphere requires 2 argument(s)");
  vtkTextureMapToSphere* vtk_pointer = GetVTKPointer<vtkTextureMapToSphere>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTextureMapToSphere  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextureMapToSphere",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToSphere:SetCenter__1 vtkTextureMapToSphereSetCenter__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTextureMapToSphereSetCenter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetCenter__1 for class vtkTextureMapToSphere requires 4 argument(s)");
  vtkTextureMapToSphere* vtk_pointer = GetVTKPointer<vtkTextureMapToSphere>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCenter(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToSphere:SetCenter__2 vtkTextureMapToSphereSetCenter__2Function
//input a0 a1 
//output none
ArrayVector vtkTextureMapToSphereSetCenter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCenter__2 for class vtkTextureMapToSphere requires 2 argument(s)");
  vtkTextureMapToSphere* vtk_pointer = GetVTKPointer<vtkTextureMapToSphere>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToSphere:GetCenter vtkTextureMapToSphereGetCenterFunction
//input a0 
//output y
ArrayVector vtkTextureMapToSphereGetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCenter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenter for class vtkTextureMapToSphere requires 1 argument(s)");
  vtkTextureMapToSphere* vtk_pointer = GetVTKPointer<vtkTextureMapToSphere>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCenter();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToSphere:SetAutomaticSphereGeneration vtkTextureMapToSphereSetAutomaticSphereGenerationFunction
//input a0 a1 
//output none
ArrayVector vtkTextureMapToSphereSetAutomaticSphereGenerationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAutomaticSphereGeneration (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAutomaticSphereGeneration for class vtkTextureMapToSphere requires 2 argument(s)");
  vtkTextureMapToSphere* vtk_pointer = GetVTKPointer<vtkTextureMapToSphere>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAutomaticSphereGeneration(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToSphere:GetAutomaticSphereGeneration vtkTextureMapToSphereGetAutomaticSphereGenerationFunction
//input a0 
//output y
ArrayVector vtkTextureMapToSphereGetAutomaticSphereGenerationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutomaticSphereGeneration (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutomaticSphereGeneration for class vtkTextureMapToSphere requires 1 argument(s)");
  vtkTextureMapToSphere* vtk_pointer = GetVTKPointer<vtkTextureMapToSphere>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutomaticSphereGeneration();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToSphere:AutomaticSphereGenerationOn vtkTextureMapToSphereAutomaticSphereGenerationOnFunction
//input a0 
//output none
ArrayVector vtkTextureMapToSphereAutomaticSphereGenerationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutomaticSphereGenerationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AutomaticSphereGenerationOn for class vtkTextureMapToSphere requires 1 argument(s)");
  vtkTextureMapToSphere* vtk_pointer = GetVTKPointer<vtkTextureMapToSphere>(arg[0]);
  Array retval;
  vtk_pointer->AutomaticSphereGenerationOn();
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToSphere:AutomaticSphereGenerationOff vtkTextureMapToSphereAutomaticSphereGenerationOffFunction
//input a0 
//output none
ArrayVector vtkTextureMapToSphereAutomaticSphereGenerationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutomaticSphereGenerationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AutomaticSphereGenerationOff for class vtkTextureMapToSphere requires 1 argument(s)");
  vtkTextureMapToSphere* vtk_pointer = GetVTKPointer<vtkTextureMapToSphere>(arg[0]);
  Array retval;
  vtk_pointer->AutomaticSphereGenerationOff();
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToSphere:SetPreventSeam vtkTextureMapToSphereSetPreventSeamFunction
//input a0 a1 
//output none
ArrayVector vtkTextureMapToSphereSetPreventSeamFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPreventSeam (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPreventSeam for class vtkTextureMapToSphere requires 2 argument(s)");
  vtkTextureMapToSphere* vtk_pointer = GetVTKPointer<vtkTextureMapToSphere>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPreventSeam(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToSphere:GetPreventSeam vtkTextureMapToSphereGetPreventSeamFunction
//input a0 
//output y
ArrayVector vtkTextureMapToSphereGetPreventSeamFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPreventSeam (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPreventSeam for class vtkTextureMapToSphere requires 1 argument(s)");
  vtkTextureMapToSphere* vtk_pointer = GetVTKPointer<vtkTextureMapToSphere>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPreventSeam();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToSphere:PreventSeamOn vtkTextureMapToSpherePreventSeamOnFunction
//input a0 
//output none
ArrayVector vtkTextureMapToSpherePreventSeamOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PreventSeamOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PreventSeamOn for class vtkTextureMapToSphere requires 1 argument(s)");
  vtkTextureMapToSphere* vtk_pointer = GetVTKPointer<vtkTextureMapToSphere>(arg[0]);
  Array retval;
  vtk_pointer->PreventSeamOn();
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToSphere:PreventSeamOff vtkTextureMapToSpherePreventSeamOffFunction
//input a0 
//output none
ArrayVector vtkTextureMapToSpherePreventSeamOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PreventSeamOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PreventSeamOff for class vtkTextureMapToSphere requires 1 argument(s)");
  vtkTextureMapToSphere* vtk_pointer = GetVTKPointer<vtkTextureMapToSphere>(arg[0]);
  Array retval;
  vtk_pointer->PreventSeamOff();
  return retval;
}

//@@Signature
//sfunction @vtkTextureMapToSphere:SetCenter vtkTextureMapToSphereSetCenterFunction
//input varargin
//output varargout
ArrayVector vtkTextureMapToSphereSetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkTextureMapToSphereSetCenter__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTextureMapToSphereSetCenter__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTextureMapToSphereSetCenter");
}

//@@Signature
//sfunction @vtkTextureMapToSphere:display vtkTextureMapToSphereDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTextureMapToSphereDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTextureMapToSphere* vtk_pointer = GetVTKPointer<vtkTextureMapToSphere>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTextureMapToSphere:delete vtkTextureMapToSphereDeleteFunction
//input varargin
//output none
ArrayVector vtkTextureMapToSphereDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTextureMapToSphere
//@@Section VTKGraphics
//@@Usage
// vtkTextureMapToSphere is a filter that generates 2D texture coordinates by
// mapping input dataset points onto a sphere. The sphere can either be user
// specified or generated automatically. (The sphere is generated
// automatically by computing the center (i.e., averaged coordinates) of the
// sphere.)  Note that the generated texture coordinates range between
// (0,1). The s-coordinate lies in the angular direction around the z-axis,
// measured counter-clockwise from the x-axis. The t-coordinate lies in the
// angular direction measured down from the north pole towards the south
// pole.
//
// A special ivar controls how the s-coordinate is generated. If PreventSeam
// is set to true, the s-texture varies from 0->1 and then 1->0 (corresponding
// to angles of 0->180 and 180->360).
//
//To create an instance of class vtkTextureMapToSphere, simply
//invoke its constructor as follows
//@[
//  obj = vtkTextureMapToSphere
//@]
//@@Methods
//The class vtkTextureMapToSphere has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTextureMapToSphere class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTextureMapToSphere = obj.NewInstance ()|
// \item @|vtkTextureMapToSphere = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCenter (double , double , double )| -  Specify a point defining the center of the sphere.
//// \item @|obj.SetCenter (double  a[3])| -  Specify a point defining the center of the sphere.
//// \item @|double = obj. GetCenter ()| -  Specify a point defining the center of the sphere.
//// \item @|obj.SetAutomaticSphereGeneration (int )| -  Turn on/off automatic sphere generation. This means it automatically
// finds the sphere center.
//// \item @|int = obj.GetAutomaticSphereGeneration ()| -  Turn on/off automatic sphere generation. This means it automatically
// finds the sphere center.
//// \item @|obj.AutomaticSphereGenerationOn ()| -  Turn on/off automatic sphere generation. This means it automatically
// finds the sphere center.
//// \item @|obj.AutomaticSphereGenerationOff ()| -  Turn on/off automatic sphere generation. This means it automatically
// finds the sphere center.
//// \item @|obj.SetPreventSeam (int )| -  Control how the texture coordinates are generated. If PreventSeam is
// set, the s-coordinate ranges from 0->1 and 1->0 corresponding to the
// theta angle variation between 0->180 and 180->0 degrees. Otherwise, the
// s-coordinate ranges from 0->1 between 0->360 degrees.
//// \item @|int = obj.GetPreventSeam ()| -  Control how the texture coordinates are generated. If PreventSeam is
// set, the s-coordinate ranges from 0->1 and 1->0 corresponding to the
// theta angle variation between 0->180 and 180->0 degrees. Otherwise, the
// s-coordinate ranges from 0->1 between 0->360 degrees.
//// \item @|obj.PreventSeamOn ()| -  Control how the texture coordinates are generated. If PreventSeam is
// set, the s-coordinate ranges from 0->1 and 1->0 corresponding to the
// theta angle variation between 0->180 and 180->0 degrees. Otherwise, the
// s-coordinate ranges from 0->1 between 0->360 degrees.
//// \item @|obj.PreventSeamOff ()| -  Control how the texture coordinates are generated. If PreventSeam is
// set, the s-coordinate ranges from 0->1 and 1->0 corresponding to the
// theta angle variation between 0->180 and 180->0 degrees. Otherwise, the
// s-coordinate ranges from 0->1 between 0->360 degrees.
////\end{itemize}
//!
