#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTexturedSphereSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTexturedSphereSource.h"

//@@Signature
//sfunction @vtkTexturedSphereSource:vtkTexturedSphereSource vtkTexturedSphereSourceConstructorFunction
//input a
//output p
//@@Parents vtkTexturedSphereSource vtkPolyDataAlgorithm 
ArrayVector vtkTexturedSphereSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTexturedSphereSource::New(),"vtkTexturedSphereSource",eval);
  } else if (arg[0].className() == "vtkTexturedSphereSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTexturedSphereSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTexturedSphereSource");
    vtkTexturedSphereSource*q = reinterpret_cast<vtkTexturedSphereSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTexturedSphereSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTexturedSphereSource:GetClassName vtkTexturedSphereSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTexturedSphereSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTexturedSphereSource requires 1 argument(s)");
  vtkTexturedSphereSource* vtk_pointer = GetVTKPointer<vtkTexturedSphereSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexturedSphereSource:IsA vtkTexturedSphereSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTexturedSphereSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTexturedSphereSource requires 2 argument(s)");
  vtkTexturedSphereSource* vtk_pointer = GetVTKPointer<vtkTexturedSphereSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexturedSphereSource:NewInstance vtkTexturedSphereSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTexturedSphereSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTexturedSphereSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTexturedSphereSource requires 1 argument(s)");
  vtkTexturedSphereSource* vtk_pointer = GetVTKPointer<vtkTexturedSphereSource>(arg[0]);
  Array retval;
  vtkTexturedSphereSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTexturedSphereSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTexturedSphereSource:SafeDownCast vtkTexturedSphereSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTexturedSphereSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTexturedSphereSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTexturedSphereSource requires 2 argument(s)");
  vtkTexturedSphereSource* vtk_pointer = GetVTKPointer<vtkTexturedSphereSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTexturedSphereSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTexturedSphereSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTexturedSphereSource:SetRadius vtkTexturedSphereSourceSetRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkTexturedSphereSourceSetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRadius for class vtkTexturedSphereSource requires 2 argument(s)");
  vtkTexturedSphereSource* vtk_pointer = GetVTKPointer<vtkTexturedSphereSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTexturedSphereSource:GetRadiusMinValue vtkTexturedSphereSourceGetRadiusMinValueFunction
//input a0 
//output y
ArrayVector vtkTexturedSphereSourceGetRadiusMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadiusMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadiusMinValue for class vtkTexturedSphereSource requires 1 argument(s)");
  vtkTexturedSphereSource* vtk_pointer = GetVTKPointer<vtkTexturedSphereSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadiusMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexturedSphereSource:GetRadiusMaxValue vtkTexturedSphereSourceGetRadiusMaxValueFunction
//input a0 
//output y
ArrayVector vtkTexturedSphereSourceGetRadiusMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadiusMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadiusMaxValue for class vtkTexturedSphereSource requires 1 argument(s)");
  vtkTexturedSphereSource* vtk_pointer = GetVTKPointer<vtkTexturedSphereSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadiusMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexturedSphereSource:GetRadius vtkTexturedSphereSourceGetRadiusFunction
//input a0 
//output y
ArrayVector vtkTexturedSphereSourceGetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadius for class vtkTexturedSphereSource requires 1 argument(s)");
  vtkTexturedSphereSource* vtk_pointer = GetVTKPointer<vtkTexturedSphereSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexturedSphereSource:SetThetaResolution vtkTexturedSphereSourceSetThetaResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkTexturedSphereSourceSetThetaResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetThetaResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetThetaResolution for class vtkTexturedSphereSource requires 2 argument(s)");
  vtkTexturedSphereSource* vtk_pointer = GetVTKPointer<vtkTexturedSphereSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetThetaResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTexturedSphereSource:GetThetaResolutionMinValue vtkTexturedSphereSourceGetThetaResolutionMinValueFunction
//input a0 
//output y
ArrayVector vtkTexturedSphereSourceGetThetaResolutionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetThetaResolutionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetThetaResolutionMinValue for class vtkTexturedSphereSource requires 1 argument(s)");
  vtkTexturedSphereSource* vtk_pointer = GetVTKPointer<vtkTexturedSphereSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetThetaResolutionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexturedSphereSource:GetThetaResolutionMaxValue vtkTexturedSphereSourceGetThetaResolutionMaxValueFunction
//input a0 
//output y
ArrayVector vtkTexturedSphereSourceGetThetaResolutionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetThetaResolutionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetThetaResolutionMaxValue for class vtkTexturedSphereSource requires 1 argument(s)");
  vtkTexturedSphereSource* vtk_pointer = GetVTKPointer<vtkTexturedSphereSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetThetaResolutionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexturedSphereSource:GetThetaResolution vtkTexturedSphereSourceGetThetaResolutionFunction
//input a0 
//output y
ArrayVector vtkTexturedSphereSourceGetThetaResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetThetaResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetThetaResolution for class vtkTexturedSphereSource requires 1 argument(s)");
  vtkTexturedSphereSource* vtk_pointer = GetVTKPointer<vtkTexturedSphereSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetThetaResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexturedSphereSource:SetPhiResolution vtkTexturedSphereSourceSetPhiResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkTexturedSphereSourceSetPhiResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPhiResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPhiResolution for class vtkTexturedSphereSource requires 2 argument(s)");
  vtkTexturedSphereSource* vtk_pointer = GetVTKPointer<vtkTexturedSphereSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPhiResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTexturedSphereSource:GetPhiResolutionMinValue vtkTexturedSphereSourceGetPhiResolutionMinValueFunction
//input a0 
//output y
ArrayVector vtkTexturedSphereSourceGetPhiResolutionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPhiResolutionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPhiResolutionMinValue for class vtkTexturedSphereSource requires 1 argument(s)");
  vtkTexturedSphereSource* vtk_pointer = GetVTKPointer<vtkTexturedSphereSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPhiResolutionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexturedSphereSource:GetPhiResolutionMaxValue vtkTexturedSphereSourceGetPhiResolutionMaxValueFunction
//input a0 
//output y
ArrayVector vtkTexturedSphereSourceGetPhiResolutionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPhiResolutionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPhiResolutionMaxValue for class vtkTexturedSphereSource requires 1 argument(s)");
  vtkTexturedSphereSource* vtk_pointer = GetVTKPointer<vtkTexturedSphereSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPhiResolutionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexturedSphereSource:GetPhiResolution vtkTexturedSphereSourceGetPhiResolutionFunction
//input a0 
//output y
ArrayVector vtkTexturedSphereSourceGetPhiResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPhiResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPhiResolution for class vtkTexturedSphereSource requires 1 argument(s)");
  vtkTexturedSphereSource* vtk_pointer = GetVTKPointer<vtkTexturedSphereSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPhiResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexturedSphereSource:SetTheta vtkTexturedSphereSourceSetThetaFunction
//input a0 a1 
//output none
ArrayVector vtkTexturedSphereSourceSetThetaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTheta (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTheta for class vtkTexturedSphereSource requires 2 argument(s)");
  vtkTexturedSphereSource* vtk_pointer = GetVTKPointer<vtkTexturedSphereSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTheta(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTexturedSphereSource:GetThetaMinValue vtkTexturedSphereSourceGetThetaMinValueFunction
//input a0 
//output y
ArrayVector vtkTexturedSphereSourceGetThetaMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetThetaMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetThetaMinValue for class vtkTexturedSphereSource requires 1 argument(s)");
  vtkTexturedSphereSource* vtk_pointer = GetVTKPointer<vtkTexturedSphereSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetThetaMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexturedSphereSource:GetThetaMaxValue vtkTexturedSphereSourceGetThetaMaxValueFunction
//input a0 
//output y
ArrayVector vtkTexturedSphereSourceGetThetaMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetThetaMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetThetaMaxValue for class vtkTexturedSphereSource requires 1 argument(s)");
  vtkTexturedSphereSource* vtk_pointer = GetVTKPointer<vtkTexturedSphereSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetThetaMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexturedSphereSource:GetTheta vtkTexturedSphereSourceGetThetaFunction
//input a0 
//output y
ArrayVector vtkTexturedSphereSourceGetThetaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTheta (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTheta for class vtkTexturedSphereSource requires 1 argument(s)");
  vtkTexturedSphereSource* vtk_pointer = GetVTKPointer<vtkTexturedSphereSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTheta();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexturedSphereSource:SetPhi vtkTexturedSphereSourceSetPhiFunction
//input a0 a1 
//output none
ArrayVector vtkTexturedSphereSourceSetPhiFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPhi (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPhi for class vtkTexturedSphereSource requires 2 argument(s)");
  vtkTexturedSphereSource* vtk_pointer = GetVTKPointer<vtkTexturedSphereSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetPhi(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTexturedSphereSource:GetPhiMinValue vtkTexturedSphereSourceGetPhiMinValueFunction
//input a0 
//output y
ArrayVector vtkTexturedSphereSourceGetPhiMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPhiMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPhiMinValue for class vtkTexturedSphereSource requires 1 argument(s)");
  vtkTexturedSphereSource* vtk_pointer = GetVTKPointer<vtkTexturedSphereSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPhiMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexturedSphereSource:GetPhiMaxValue vtkTexturedSphereSourceGetPhiMaxValueFunction
//input a0 
//output y
ArrayVector vtkTexturedSphereSourceGetPhiMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPhiMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPhiMaxValue for class vtkTexturedSphereSource requires 1 argument(s)");
  vtkTexturedSphereSource* vtk_pointer = GetVTKPointer<vtkTexturedSphereSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPhiMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexturedSphereSource:GetPhi vtkTexturedSphereSourceGetPhiFunction
//input a0 
//output y
ArrayVector vtkTexturedSphereSourceGetPhiFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPhi (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPhi for class vtkTexturedSphereSource requires 1 argument(s)");
  vtkTexturedSphereSource* vtk_pointer = GetVTKPointer<vtkTexturedSphereSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPhi();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTexturedSphereSource:display vtkTexturedSphereSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTexturedSphereSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTexturedSphereSource* vtk_pointer = GetVTKPointer<vtkTexturedSphereSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTexturedSphereSource:delete vtkTexturedSphereSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkTexturedSphereSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTexturedSphereSource
//@@Section VTKGraphics
//@@Usage
// vtkTexturedSphereSource creates a polygonal sphere of specified radius 
// centered at the origin. The resolution (polygonal discretization) in both 
// the latitude (phi) and longitude (theta) directions can be specified. 
// It also is possible to create partial sphere by specifying maximum phi and 
// theta angles.
//
//To create an instance of class vtkTexturedSphereSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkTexturedSphereSource
//@]
//@@Methods
//The class vtkTexturedSphereSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTexturedSphereSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTexturedSphereSource = obj.NewInstance ()|
// \item @|vtkTexturedSphereSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetRadius (double )| -  Set radius of sphere.
//// \item @|double = obj.GetRadiusMinValue ()| -  Set radius of sphere.
//// \item @|double = obj.GetRadiusMaxValue ()| -  Set radius of sphere.
//// \item @|double = obj.GetRadius ()| -  Set radius of sphere.
//// \item @|obj.SetThetaResolution (int )| -  Set the number of points in the longitude direction.
//// \item @|int = obj.GetThetaResolutionMinValue ()| -  Set the number of points in the longitude direction.
//// \item @|int = obj.GetThetaResolutionMaxValue ()| -  Set the number of points in the longitude direction.
//// \item @|int = obj.GetThetaResolution ()| -  Set the number of points in the longitude direction.
//// \item @|obj.SetPhiResolution (int )| -  Set the number of points in the latitude direction.
//// \item @|int = obj.GetPhiResolutionMinValue ()| -  Set the number of points in the latitude direction.
//// \item @|int = obj.GetPhiResolutionMaxValue ()| -  Set the number of points in the latitude direction.
//// \item @|int = obj.GetPhiResolution ()| -  Set the number of points in the latitude direction.
//// \item @|obj.SetTheta (double )| -  Set the maximum longitude angle.
//// \item @|double = obj.GetThetaMinValue ()| -  Set the maximum longitude angle.
//// \item @|double = obj.GetThetaMaxValue ()| -  Set the maximum longitude angle.
//// \item @|double = obj.GetTheta ()| -  Set the maximum longitude angle.
//// \item @|obj.SetPhi (double )| -  Set the maximum latitude angle (0 is at north pole).
//// \item @|double = obj.GetPhiMinValue ()| -  Set the maximum latitude angle (0 is at north pole).
//// \item @|double = obj.GetPhiMaxValue ()| -  Set the maximum latitude angle (0 is at north pole).
//// \item @|double = obj.GetPhi ()| -  Set the maximum latitude angle (0 is at north pole).
////\end{itemize}
//!
