#include "VTKWrap.hpp"

// FreeMat wrapper for vtkThreshold object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkThreshold.h"

//@@Signature
//sfunction @vtkThreshold:vtkThreshold vtkThresholdConstructorFunction
//input a
//output p
//@@Parents vtkThreshold vtkUnstructuredGridAlgorithm 
ArrayVector vtkThresholdConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkThreshold::New(),"vtkThreshold",eval);
  } else if (arg[0].className() == "vtkThreshold") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkThreshold"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkThreshold");
    vtkThreshold*q = reinterpret_cast<vtkThreshold*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkThreshold");
    return ret;
  }
}
//@@Signature
//sfunction @vtkThreshold:GetClassName vtkThresholdGetClassNameFunction
//input a0 
//output y
ArrayVector vtkThresholdGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkThreshold requires 1 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:IsA vtkThresholdIsAFunction
//input a0 a1 
//output y
ArrayVector vtkThresholdIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkThreshold requires 2 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:NewInstance vtkThresholdNewInstanceFunction
//input a0 
//output y
ArrayVector vtkThresholdNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkThreshold *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkThreshold requires 1 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  vtkThreshold  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkThreshold",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:SafeDownCast vtkThresholdSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkThresholdSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkThreshold *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkThreshold requires 2 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkThreshold  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkThreshold",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:ThresholdByLower vtkThresholdThresholdByLowerFunction
//input a0 a1 
//output none
ArrayVector vtkThresholdThresholdByLowerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThresholdByLower (double lower); */
  if (arg.size() < 2) 
    throw Exception("Function ThresholdByLower for class vtkThreshold requires 2 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->ThresholdByLower(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:ThresholdByUpper vtkThresholdThresholdByUpperFunction
//input a0 a1 
//output none
ArrayVector vtkThresholdThresholdByUpperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThresholdByUpper (double upper); */
  if (arg.size() < 2) 
    throw Exception("Function ThresholdByUpper for class vtkThreshold requires 2 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->ThresholdByUpper(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:ThresholdBetween vtkThresholdThresholdBetweenFunction
//input a0 a1 a2 
//output none
ArrayVector vtkThresholdThresholdBetweenFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThresholdBetween (double lower, double upper); */
  if (arg.size() < 3) 
    throw Exception("Function ThresholdBetween for class vtkThreshold requires 3 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->ThresholdBetween(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:GetUpperThreshold vtkThresholdGetUpperThresholdFunction
//input a0 
//output y
ArrayVector vtkThresholdGetUpperThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetUpperThreshold (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUpperThreshold for class vtkThreshold requires 1 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetUpperThreshold();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:GetLowerThreshold vtkThresholdGetLowerThresholdFunction
//input a0 
//output y
ArrayVector vtkThresholdGetLowerThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLowerThreshold (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLowerThreshold for class vtkThreshold requires 1 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLowerThreshold();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:SetAttributeMode vtkThresholdSetAttributeModeFunction
//input a0 a1 
//output none
ArrayVector vtkThresholdSetAttributeModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAttributeMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAttributeMode for class vtkThreshold requires 2 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAttributeMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:GetAttributeMode vtkThresholdGetAttributeModeFunction
//input a0 
//output y
ArrayVector vtkThresholdGetAttributeModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAttributeMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAttributeMode for class vtkThreshold requires 1 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAttributeMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:SetAttributeModeToDefault vtkThresholdSetAttributeModeToDefaultFunction
//input a0 
//output none
ArrayVector vtkThresholdSetAttributeModeToDefaultFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAttributeModeToDefault ();this SetAttributeMode VTK_ATTRIBUTE_MODE_DEFAULT  */
  if (arg.size() < 1) 
    throw Exception("Function SetAttributeModeToDefault for class vtkThreshold requires 1 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  vtk_pointer->SetAttributeModeToDefault();
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:SetAttributeModeToUsePointData vtkThresholdSetAttributeModeToUsePointDataFunction
//input a0 
//output none
ArrayVector vtkThresholdSetAttributeModeToUsePointDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAttributeModeToUsePointData ();this SetAttributeMode VTK_ATTRIBUTE_MODE_USE_POINT_DATA  */
  if (arg.size() < 1) 
    throw Exception("Function SetAttributeModeToUsePointData for class vtkThreshold requires 1 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  vtk_pointer->SetAttributeModeToUsePointData();
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:SetAttributeModeToUseCellData vtkThresholdSetAttributeModeToUseCellDataFunction
//input a0 
//output none
ArrayVector vtkThresholdSetAttributeModeToUseCellDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAttributeModeToUseCellData ();this SetAttributeMode VTK_ATTRIBUTE_MODE_USE_CELL_DATA  */
  if (arg.size() < 1) 
    throw Exception("Function SetAttributeModeToUseCellData for class vtkThreshold requires 1 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  vtk_pointer->SetAttributeModeToUseCellData();
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:GetAttributeModeAsString vtkThresholdGetAttributeModeAsStringFunction
//input a0 
//output y
ArrayVector vtkThresholdGetAttributeModeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetAttributeModeAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAttributeModeAsString for class vtkThreshold requires 1 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetAttributeModeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:SetComponentMode vtkThresholdSetComponentModeFunction
//input a0 a1 
//output none
ArrayVector vtkThresholdSetComponentModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComponentMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComponentMode for class vtkThreshold requires 2 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComponentMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:GetComponentModeMinValue vtkThresholdGetComponentModeMinValueFunction
//input a0 
//output y
ArrayVector vtkThresholdGetComponentModeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComponentModeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComponentModeMinValue for class vtkThreshold requires 1 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComponentModeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:GetComponentModeMaxValue vtkThresholdGetComponentModeMaxValueFunction
//input a0 
//output y
ArrayVector vtkThresholdGetComponentModeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComponentModeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComponentModeMaxValue for class vtkThreshold requires 1 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComponentModeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:GetComponentMode vtkThresholdGetComponentModeFunction
//input a0 
//output y
ArrayVector vtkThresholdGetComponentModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComponentMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComponentMode for class vtkThreshold requires 1 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComponentMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:SetComponentModeToUseSelected vtkThresholdSetComponentModeToUseSelectedFunction
//input a0 
//output none
ArrayVector vtkThresholdSetComponentModeToUseSelectedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComponentModeToUseSelected ();this SetComponentMode VTK_COMPONENT_MODE_USE_SELECTED  */
  if (arg.size() < 1) 
    throw Exception("Function SetComponentModeToUseSelected for class vtkThreshold requires 1 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  vtk_pointer->SetComponentModeToUseSelected();
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:SetComponentModeToUseAll vtkThresholdSetComponentModeToUseAllFunction
//input a0 
//output none
ArrayVector vtkThresholdSetComponentModeToUseAllFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComponentModeToUseAll ();this SetComponentMode VTK_COMPONENT_MODE_USE_ALL  */
  if (arg.size() < 1) 
    throw Exception("Function SetComponentModeToUseAll for class vtkThreshold requires 1 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  vtk_pointer->SetComponentModeToUseAll();
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:SetComponentModeToUseAny vtkThresholdSetComponentModeToUseAnyFunction
//input a0 
//output none
ArrayVector vtkThresholdSetComponentModeToUseAnyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComponentModeToUseAny ();this SetComponentMode VTK_COMPONENT_MODE_USE_ANY  */
  if (arg.size() < 1) 
    throw Exception("Function SetComponentModeToUseAny for class vtkThreshold requires 1 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  vtk_pointer->SetComponentModeToUseAny();
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:GetComponentModeAsString vtkThresholdGetComponentModeAsStringFunction
//input a0 
//output y
ArrayVector vtkThresholdGetComponentModeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetComponentModeAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComponentModeAsString for class vtkThreshold requires 1 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetComponentModeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:SetSelectedComponent vtkThresholdSetSelectedComponentFunction
//input a0 a1 
//output none
ArrayVector vtkThresholdSetSelectedComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectedComponent (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectedComponent for class vtkThreshold requires 2 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSelectedComponent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:GetSelectedComponentMinValue vtkThresholdGetSelectedComponentMinValueFunction
//input a0 
//output y
ArrayVector vtkThresholdGetSelectedComponentMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSelectedComponentMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedComponentMinValue for class vtkThreshold requires 1 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSelectedComponentMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:GetSelectedComponentMaxValue vtkThresholdGetSelectedComponentMaxValueFunction
//input a0 
//output y
ArrayVector vtkThresholdGetSelectedComponentMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSelectedComponentMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedComponentMaxValue for class vtkThreshold requires 1 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSelectedComponentMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:GetSelectedComponent vtkThresholdGetSelectedComponentFunction
//input a0 
//output y
ArrayVector vtkThresholdGetSelectedComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSelectedComponent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedComponent for class vtkThreshold requires 1 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSelectedComponent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:SetAllScalars vtkThresholdSetAllScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkThresholdSetAllScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAllScalars (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAllScalars for class vtkThreshold requires 2 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAllScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:GetAllScalars vtkThresholdGetAllScalarsFunction
//input a0 
//output y
ArrayVector vtkThresholdGetAllScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAllScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAllScalars for class vtkThreshold requires 1 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAllScalars();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:AllScalarsOn vtkThresholdAllScalarsOnFunction
//input a0 
//output none
ArrayVector vtkThresholdAllScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AllScalarsOn for class vtkThreshold requires 1 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  vtk_pointer->AllScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:AllScalarsOff vtkThresholdAllScalarsOffFunction
//input a0 
//output none
ArrayVector vtkThresholdAllScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AllScalarsOff for class vtkThreshold requires 1 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  vtk_pointer->AllScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:SetPointsDataTypeToDouble vtkThresholdSetPointsDataTypeToDoubleFunction
//input a0 
//output none
ArrayVector vtkThresholdSetPointsDataTypeToDoubleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointsDataTypeToDouble ();this SetPointsDataType VTK_DOUBLE  */
  if (arg.size() < 1) 
    throw Exception("Function SetPointsDataTypeToDouble for class vtkThreshold requires 1 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  vtk_pointer->SetPointsDataTypeToDouble();
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:SetPointsDataTypeToFloat vtkThresholdSetPointsDataTypeToFloatFunction
//input a0 
//output none
ArrayVector vtkThresholdSetPointsDataTypeToFloatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointsDataTypeToFloat ();this SetPointsDataType VTK_FLOAT  */
  if (arg.size() < 1) 
    throw Exception("Function SetPointsDataTypeToFloat for class vtkThreshold requires 1 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  vtk_pointer->SetPointsDataTypeToFloat();
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:SetPointsDataType vtkThresholdSetPointsDataTypeFunction
//input a0 a1 
//output none
ArrayVector vtkThresholdSetPointsDataTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointsDataType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointsDataType for class vtkThreshold requires 2 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPointsDataType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:GetPointsDataType vtkThresholdGetPointsDataTypeFunction
//input a0 
//output y
ArrayVector vtkThresholdGetPointsDataTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointsDataType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointsDataType for class vtkThreshold requires 1 argument(s)");
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPointsDataType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThreshold:display vtkThresholdDisplayFunction
//input varargin
//output varargout
ArrayVector vtkThresholdDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkThreshold* vtk_pointer = GetVTKPointer<vtkThreshold>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkThreshold:delete vtkThresholdDeleteFunction
//input varargin
//output none
ArrayVector vtkThresholdDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkThreshold
//@@Section VTKGraphics
//@@Usage
// vtkThreshold is a filter that extracts cells from any dataset type that
// satisfy a threshold criterion. A cell satisfies the criterion if the
// scalar value of (every or any) point satisfies the criterion. The
// criterion can take three forms: 1) greater than a particular value; 2)
// less than a particular value; or 3) between two values. The output of this
// filter is an unstructured grid.
//
// Note that scalar values are available from the point and cell attribute
// data.  By default, point data is used to obtain scalars, but you can
// control this behavior. See the AttributeMode ivar below.
//
// By default only the first scalar value is used in the decision. Use the ComponentMode
// and SelectedComponent ivars to control this behavior.
//
//To create an instance of class vtkThreshold, simply
//invoke its constructor as follows
//@[
//  obj = vtkThreshold
//@]
//@@Methods
//The class vtkThreshold has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkThreshold class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkThreshold = obj.NewInstance ()|
// \item @|vtkThreshold = obj.SafeDownCast (vtkObject o)|
// \item @|obj.ThresholdByLower (double lower)| -  Criterion is cells whose scalars are less or equal to lower threshold.
//// \item @|obj.ThresholdByUpper (double upper)| -  Criterion is cells whose scalars are greater or equal to upper threshold.
//// \item @|obj.ThresholdBetween (double lower, double upper)| -  Criterion is cells whose scalars are between lower and upper thresholds
// (inclusive of the end values).
//// \item @|double = obj.GetUpperThreshold ()| -  Get the Upper and Lower thresholds.
//// \item @|double = obj.GetLowerThreshold ()| -  Get the Upper and Lower thresholds.
//// \item @|obj.SetAttributeMode (int )| -  Control how the filter works with scalar point data and cell attribute
// data.  By default (AttributeModeToDefault), the filter will use point
// data, and if no point data is available, then cell data is
// used. Alternatively you can explicitly set the filter to use point data
// (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).
//// \item @|int = obj.GetAttributeMode ()| -  Control how the filter works with scalar point data and cell attribute
// data.  By default (AttributeModeToDefault), the filter will use point
// data, and if no point data is available, then cell data is
// used. Alternatively you can explicitly set the filter to use point data
// (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).
//// \item @|obj.SetAttributeModeToDefault ()| -  Control how the filter works with scalar point data and cell attribute
// data.  By default (AttributeModeToDefault), the filter will use point
// data, and if no point data is available, then cell data is
// used. Alternatively you can explicitly set the filter to use point data
// (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).
//// \item @|obj.SetAttributeModeToUsePointData ()| -  Control how the filter works with scalar point data and cell attribute
// data.  By default (AttributeModeToDefault), the filter will use point
// data, and if no point data is available, then cell data is
// used. Alternatively you can explicitly set the filter to use point data
// (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).
//// \item @|obj.SetAttributeModeToUseCellData ()| -  Control how the filter works with scalar point data and cell attribute
// data.  By default (AttributeModeToDefault), the filter will use point
// data, and if no point data is available, then cell data is
// used. Alternatively you can explicitly set the filter to use point data
// (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).
//// \item @|string = obj.GetAttributeModeAsString ()| -  Control how the filter works with scalar point data and cell attribute
// data.  By default (AttributeModeToDefault), the filter will use point
// data, and if no point data is available, then cell data is
// used. Alternatively you can explicitly set the filter to use point data
// (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).
//// \item @|obj.SetComponentMode (int )| -  Control how the decision of in / out is made with multi-component data.
// The choices are to use the selected component (specified in the
// SelectedComponent ivar), or to look at all components. When looking at
// all components, the evaluation can pass if all the components satisfy
// the rule (UseAll) or if any satisfy is (UseAny). The default value is
// UseSelected.
//// \item @|int = obj.GetComponentModeMinValue ()| -  Control how the decision of in / out is made with multi-component data.
// The choices are to use the selected component (specified in the
// SelectedComponent ivar), or to look at all components. When looking at
// all components, the evaluation can pass if all the components satisfy
// the rule (UseAll) or if any satisfy is (UseAny). The default value is
// UseSelected.
//// \item @|int = obj.GetComponentModeMaxValue ()| -  Control how the decision of in / out is made with multi-component data.
// The choices are to use the selected component (specified in the
// SelectedComponent ivar), or to look at all components. When looking at
// all components, the evaluation can pass if all the components satisfy
// the rule (UseAll) or if any satisfy is (UseAny). The default value is
// UseSelected.
//// \item @|int = obj.GetComponentMode ()| -  Control how the decision of in / out is made with multi-component data.
// The choices are to use the selected component (specified in the
// SelectedComponent ivar), or to look at all components. When looking at
// all components, the evaluation can pass if all the components satisfy
// the rule (UseAll) or if any satisfy is (UseAny). The default value is
// UseSelected.
//// \item @|obj.SetComponentModeToUseSelected ()| -  Control how the decision of in / out is made with multi-component data.
// The choices are to use the selected component (specified in the
// SelectedComponent ivar), or to look at all components. When looking at
// all components, the evaluation can pass if all the components satisfy
// the rule (UseAll) or if any satisfy is (UseAny). The default value is
// UseSelected.
//// \item @|obj.SetComponentModeToUseAll ()| -  Control how the decision of in / out is made with multi-component data.
// The choices are to use the selected component (specified in the
// SelectedComponent ivar), or to look at all components. When looking at
// all components, the evaluation can pass if all the components satisfy
// the rule (UseAll) or if any satisfy is (UseAny). The default value is
// UseSelected.
//// \item @|obj.SetComponentModeToUseAny ()| -  Control how the decision of in / out is made with multi-component data.
// The choices are to use the selected component (specified in the
// SelectedComponent ivar), or to look at all components. When looking at
// all components, the evaluation can pass if all the components satisfy
// the rule (UseAll) or if any satisfy is (UseAny). The default value is
// UseSelected.
//// \item @|string = obj.GetComponentModeAsString ()| -  Control how the decision of in / out is made with multi-component data.
// The choices are to use the selected component (specified in the
// SelectedComponent ivar), or to look at all components. When looking at
// all components, the evaluation can pass if all the components satisfy
// the rule (UseAll) or if any satisfy is (UseAny). The default value is
// UseSelected.
//// \item @|obj.SetSelectedComponent (int )| -  When the component mode is UseSelected, this ivar indicated the selected
// component. The default value is 0.
//// \item @|int = obj.GetSelectedComponentMinValue ()| -  When the component mode is UseSelected, this ivar indicated the selected
// component. The default value is 0.
//// \item @|int = obj.GetSelectedComponentMaxValue ()| -  When the component mode is UseSelected, this ivar indicated the selected
// component. The default value is 0.
//// \item @|int = obj.GetSelectedComponent ()| -  When the component mode is UseSelected, this ivar indicated the selected
// component. The default value is 0.
//// \item @|obj.SetAllScalars (int )| -  If using scalars from point data, all scalars for all points in a cell 
// must satisfy the threshold criterion if AllScalars is set. Otherwise, 
// just a single scalar value satisfying the threshold criterion enables
// will extract the cell.
//// \item @|int = obj.GetAllScalars ()| -  If using scalars from point data, all scalars for all points in a cell 
// must satisfy the threshold criterion if AllScalars is set. Otherwise, 
// just a single scalar value satisfying the threshold criterion enables
// will extract the cell.
//// \item @|obj.AllScalarsOn ()| -  If using scalars from point data, all scalars for all points in a cell 
// must satisfy the threshold criterion if AllScalars is set. Otherwise, 
// just a single scalar value satisfying the threshold criterion enables
// will extract the cell.
//// \item @|obj.AllScalarsOff ()| -  If using scalars from point data, all scalars for all points in a cell 
// must satisfy the threshold criterion if AllScalars is set. Otherwise, 
// just a single scalar value satisfying the threshold criterion enables
// will extract the cell.
//// \item @|obj.SetPointsDataTypeToDouble ()| -  Set the data type of the output points (See the data types defined in 
// vtkType.h). The default data type is float.
//// \item @|obj.SetPointsDataTypeToFloat ()| -  Set the data type of the output points (See the data types defined in 
// vtkType.h). The default data type is float.
//// \item @|obj.SetPointsDataType (int )| -  Set the data type of the output points (See the data types defined in 
// vtkType.h). The default data type is float.
//// \item @|int = obj.GetPointsDataType ()| -  Set the data type of the output points (See the data types defined in 
// vtkType.h). The default data type is float.
////\end{itemize}
//!
