#include "VTKWrap.hpp"

// FreeMat wrapper for vtkThresholdPoints object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkThresholdPoints.h"

//@@Signature
//sfunction @vtkThresholdPoints:vtkThresholdPoints vtkThresholdPointsConstructorFunction
//input a
//output p
//@@Parents vtkThresholdPoints vtkPolyDataAlgorithm 
ArrayVector vtkThresholdPointsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkThresholdPoints::New(),"vtkThresholdPoints",eval);
  } else if (arg[0].className() == "vtkThresholdPoints") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkThresholdPoints"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkThresholdPoints");
    vtkThresholdPoints*q = reinterpret_cast<vtkThresholdPoints*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkThresholdPoints");
    return ret;
  }
}
//@@Signature
//sfunction @vtkThresholdPoints:GetClassName vtkThresholdPointsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkThresholdPointsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkThresholdPoints requires 1 argument(s)");
  vtkThresholdPoints* vtk_pointer = GetVTKPointer<vtkThresholdPoints>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThresholdPoints:IsA vtkThresholdPointsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkThresholdPointsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkThresholdPoints requires 2 argument(s)");
  vtkThresholdPoints* vtk_pointer = GetVTKPointer<vtkThresholdPoints>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThresholdPoints:NewInstance vtkThresholdPointsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkThresholdPointsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkThresholdPoints *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkThresholdPoints requires 1 argument(s)");
  vtkThresholdPoints* vtk_pointer = GetVTKPointer<vtkThresholdPoints>(arg[0]);
  Array retval;
  vtkThresholdPoints  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkThresholdPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkThresholdPoints:SafeDownCast vtkThresholdPointsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkThresholdPointsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkThresholdPoints *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkThresholdPoints requires 2 argument(s)");
  vtkThresholdPoints* vtk_pointer = GetVTKPointer<vtkThresholdPoints>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkThresholdPoints  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkThresholdPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkThresholdPoints:ThresholdByLower vtkThresholdPointsThresholdByLowerFunction
//input a0 a1 
//output none
ArrayVector vtkThresholdPointsThresholdByLowerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThresholdByLower (double lower); */
  if (arg.size() < 2) 
    throw Exception("Function ThresholdByLower for class vtkThresholdPoints requires 2 argument(s)");
  vtkThresholdPoints* vtk_pointer = GetVTKPointer<vtkThresholdPoints>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->ThresholdByLower(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkThresholdPoints:ThresholdByUpper vtkThresholdPointsThresholdByUpperFunction
//input a0 a1 
//output none
ArrayVector vtkThresholdPointsThresholdByUpperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThresholdByUpper (double upper); */
  if (arg.size() < 2) 
    throw Exception("Function ThresholdByUpper for class vtkThresholdPoints requires 2 argument(s)");
  vtkThresholdPoints* vtk_pointer = GetVTKPointer<vtkThresholdPoints>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->ThresholdByUpper(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkThresholdPoints:ThresholdBetween vtkThresholdPointsThresholdBetweenFunction
//input a0 a1 a2 
//output none
ArrayVector vtkThresholdPointsThresholdBetweenFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThresholdBetween (double lower, double upper); */
  if (arg.size() < 3) 
    throw Exception("Function ThresholdBetween for class vtkThresholdPoints requires 3 argument(s)");
  vtkThresholdPoints* vtk_pointer = GetVTKPointer<vtkThresholdPoints>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->ThresholdBetween(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkThresholdPoints:SetUpperThreshold vtkThresholdPointsSetUpperThresholdFunction
//input a0 a1 
//output none
ArrayVector vtkThresholdPointsSetUpperThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUpperThreshold (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUpperThreshold for class vtkThresholdPoints requires 2 argument(s)");
  vtkThresholdPoints* vtk_pointer = GetVTKPointer<vtkThresholdPoints>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetUpperThreshold(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkThresholdPoints:GetUpperThreshold vtkThresholdPointsGetUpperThresholdFunction
//input a0 
//output y
ArrayVector vtkThresholdPointsGetUpperThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetUpperThreshold (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUpperThreshold for class vtkThresholdPoints requires 1 argument(s)");
  vtkThresholdPoints* vtk_pointer = GetVTKPointer<vtkThresholdPoints>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetUpperThreshold();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThresholdPoints:SetLowerThreshold vtkThresholdPointsSetLowerThresholdFunction
//input a0 a1 
//output none
ArrayVector vtkThresholdPointsSetLowerThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLowerThreshold (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLowerThreshold for class vtkThresholdPoints requires 2 argument(s)");
  vtkThresholdPoints* vtk_pointer = GetVTKPointer<vtkThresholdPoints>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLowerThreshold(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkThresholdPoints:GetLowerThreshold vtkThresholdPointsGetLowerThresholdFunction
//input a0 
//output y
ArrayVector vtkThresholdPointsGetLowerThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLowerThreshold (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLowerThreshold for class vtkThresholdPoints requires 1 argument(s)");
  vtkThresholdPoints* vtk_pointer = GetVTKPointer<vtkThresholdPoints>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLowerThreshold();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThresholdPoints:display vtkThresholdPointsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkThresholdPointsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkThresholdPoints* vtk_pointer = GetVTKPointer<vtkThresholdPoints>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkThresholdPoints:delete vtkThresholdPointsDeleteFunction
//input varargin
//output none
ArrayVector vtkThresholdPointsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkThresholdPoints
//@@Section VTKGraphics
//@@Usage
// vtkThresholdPoints is a filter that extracts points from a dataset that 
// satisfy a threshold criterion. The criterion can take three forms:
// 1) greater than a particular value; 2) less than a particular value; or
// 3) between a particular value. The output of the filter is polygonal data.
//
//To create an instance of class vtkThresholdPoints, simply
//invoke its constructor as follows
//@[
//  obj = vtkThresholdPoints
//@]
//@@Methods
//The class vtkThresholdPoints has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkThresholdPoints class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkThresholdPoints = obj.NewInstance ()|
// \item @|vtkThresholdPoints = obj.SafeDownCast (vtkObject o)|
// \item @|obj.ThresholdByLower (double lower)| -  Criterion is cells whose scalars are less or equal to lower threshold.
//// \item @|obj.ThresholdByUpper (double upper)| -  Criterion is cells whose scalars are greater or equal to upper threshold.
//// \item @|obj.ThresholdBetween (double lower, double upper)| -  Criterion is cells whose scalars are between lower and upper thresholds
// (inclusive of the end values).
//// \item @|obj.SetUpperThreshold (double )| -  Set/Get the upper threshold.
//// \item @|double = obj.GetUpperThreshold ()| -  Set/Get the upper threshold.
//// \item @|obj.SetLowerThreshold (double )| -  Set/Get the lower threshold.
//// \item @|double = obj.GetLowerThreshold ()| -  Set/Get the lower threshold.
////\end{itemize}
//!
