#include "VTKWrap.hpp"

// FreeMat wrapper for vtkThresholdTextureCoords object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkThresholdTextureCoords.h"

//@@Signature
//sfunction @vtkThresholdTextureCoords:vtkThresholdTextureCoords vtkThresholdTextureCoordsConstructorFunction
//input a
//output p
//@@Parents vtkThresholdTextureCoords vtkDataSetAlgorithm 
ArrayVector vtkThresholdTextureCoordsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkThresholdTextureCoords::New(),"vtkThresholdTextureCoords",eval);
  } else if (arg[0].className() == "vtkThresholdTextureCoords") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkThresholdTextureCoords"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkThresholdTextureCoords");
    vtkThresholdTextureCoords*q = reinterpret_cast<vtkThresholdTextureCoords*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkThresholdTextureCoords");
    return ret;
  }
}
//@@Signature
//sfunction @vtkThresholdTextureCoords:GetClassName vtkThresholdTextureCoordsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkThresholdTextureCoordsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkThresholdTextureCoords requires 1 argument(s)");
  vtkThresholdTextureCoords* vtk_pointer = GetVTKPointer<vtkThresholdTextureCoords>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThresholdTextureCoords:IsA vtkThresholdTextureCoordsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkThresholdTextureCoordsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkThresholdTextureCoords requires 2 argument(s)");
  vtkThresholdTextureCoords* vtk_pointer = GetVTKPointer<vtkThresholdTextureCoords>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThresholdTextureCoords:NewInstance vtkThresholdTextureCoordsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkThresholdTextureCoordsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkThresholdTextureCoords *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkThresholdTextureCoords requires 1 argument(s)");
  vtkThresholdTextureCoords* vtk_pointer = GetVTKPointer<vtkThresholdTextureCoords>(arg[0]);
  Array retval;
  vtkThresholdTextureCoords  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkThresholdTextureCoords",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkThresholdTextureCoords:SafeDownCast vtkThresholdTextureCoordsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkThresholdTextureCoordsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkThresholdTextureCoords *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkThresholdTextureCoords requires 2 argument(s)");
  vtkThresholdTextureCoords* vtk_pointer = GetVTKPointer<vtkThresholdTextureCoords>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkThresholdTextureCoords  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkThresholdTextureCoords",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkThresholdTextureCoords:ThresholdByLower vtkThresholdTextureCoordsThresholdByLowerFunction
//input a0 a1 
//output none
ArrayVector vtkThresholdTextureCoordsThresholdByLowerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThresholdByLower (double lower); */
  if (arg.size() < 2) 
    throw Exception("Function ThresholdByLower for class vtkThresholdTextureCoords requires 2 argument(s)");
  vtkThresholdTextureCoords* vtk_pointer = GetVTKPointer<vtkThresholdTextureCoords>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->ThresholdByLower(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkThresholdTextureCoords:ThresholdByUpper vtkThresholdTextureCoordsThresholdByUpperFunction
//input a0 a1 
//output none
ArrayVector vtkThresholdTextureCoordsThresholdByUpperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThresholdByUpper (double upper); */
  if (arg.size() < 2) 
    throw Exception("Function ThresholdByUpper for class vtkThresholdTextureCoords requires 2 argument(s)");
  vtkThresholdTextureCoords* vtk_pointer = GetVTKPointer<vtkThresholdTextureCoords>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->ThresholdByUpper(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkThresholdTextureCoords:ThresholdBetween vtkThresholdTextureCoordsThresholdBetweenFunction
//input a0 a1 a2 
//output none
ArrayVector vtkThresholdTextureCoordsThresholdBetweenFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThresholdBetween (double lower, double upper); */
  if (arg.size() < 3) 
    throw Exception("Function ThresholdBetween for class vtkThresholdTextureCoords requires 3 argument(s)");
  vtkThresholdTextureCoords* vtk_pointer = GetVTKPointer<vtkThresholdTextureCoords>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->ThresholdBetween(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkThresholdTextureCoords:GetUpperThreshold vtkThresholdTextureCoordsGetUpperThresholdFunction
//input a0 
//output y
ArrayVector vtkThresholdTextureCoordsGetUpperThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetUpperThreshold (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUpperThreshold for class vtkThresholdTextureCoords requires 1 argument(s)");
  vtkThresholdTextureCoords* vtk_pointer = GetVTKPointer<vtkThresholdTextureCoords>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetUpperThreshold();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThresholdTextureCoords:GetLowerThreshold vtkThresholdTextureCoordsGetLowerThresholdFunction
//input a0 
//output y
ArrayVector vtkThresholdTextureCoordsGetLowerThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLowerThreshold (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLowerThreshold for class vtkThresholdTextureCoords requires 1 argument(s)");
  vtkThresholdTextureCoords* vtk_pointer = GetVTKPointer<vtkThresholdTextureCoords>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLowerThreshold();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThresholdTextureCoords:SetTextureDimension vtkThresholdTextureCoordsSetTextureDimensionFunction
//input a0 a1 
//output none
ArrayVector vtkThresholdTextureCoordsSetTextureDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTextureDimension (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextureDimension for class vtkThresholdTextureCoords requires 2 argument(s)");
  vtkThresholdTextureCoords* vtk_pointer = GetVTKPointer<vtkThresholdTextureCoords>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTextureDimension(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkThresholdTextureCoords:GetTextureDimensionMinValue vtkThresholdTextureCoordsGetTextureDimensionMinValueFunction
//input a0 
//output y
ArrayVector vtkThresholdTextureCoordsGetTextureDimensionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTextureDimensionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureDimensionMinValue for class vtkThresholdTextureCoords requires 1 argument(s)");
  vtkThresholdTextureCoords* vtk_pointer = GetVTKPointer<vtkThresholdTextureCoords>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTextureDimensionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThresholdTextureCoords:GetTextureDimensionMaxValue vtkThresholdTextureCoordsGetTextureDimensionMaxValueFunction
//input a0 
//output y
ArrayVector vtkThresholdTextureCoordsGetTextureDimensionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTextureDimensionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureDimensionMaxValue for class vtkThresholdTextureCoords requires 1 argument(s)");
  vtkThresholdTextureCoords* vtk_pointer = GetVTKPointer<vtkThresholdTextureCoords>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTextureDimensionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThresholdTextureCoords:GetTextureDimension vtkThresholdTextureCoordsGetTextureDimensionFunction
//input a0 
//output y
ArrayVector vtkThresholdTextureCoordsGetTextureDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTextureDimension (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureDimension for class vtkThresholdTextureCoords requires 1 argument(s)");
  vtkThresholdTextureCoords* vtk_pointer = GetVTKPointer<vtkThresholdTextureCoords>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTextureDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThresholdTextureCoords:SetInTextureCoord__1 vtkThresholdTextureCoordsSetInTextureCoord__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkThresholdTextureCoordsSetInTextureCoord__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInTextureCoord (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetInTextureCoord__1 for class vtkThresholdTextureCoords requires 4 argument(s)");
  vtkThresholdTextureCoords* vtk_pointer = GetVTKPointer<vtkThresholdTextureCoords>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetInTextureCoord(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkThresholdTextureCoords:SetInTextureCoord__2 vtkThresholdTextureCoordsSetInTextureCoord__2Function
//input a0 a1 
//output none
ArrayVector vtkThresholdTextureCoordsSetInTextureCoord__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInTextureCoord (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetInTextureCoord__2 for class vtkThresholdTextureCoords requires 2 argument(s)");
  vtkThresholdTextureCoords* vtk_pointer = GetVTKPointer<vtkThresholdTextureCoords>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetInTextureCoord(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkThresholdTextureCoords:GetInTextureCoord vtkThresholdTextureCoordsGetInTextureCoordFunction
//input a0 
//output y
ArrayVector vtkThresholdTextureCoordsGetInTextureCoordFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetInTextureCoord (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInTextureCoord for class vtkThresholdTextureCoords requires 1 argument(s)");
  vtkThresholdTextureCoords* vtk_pointer = GetVTKPointer<vtkThresholdTextureCoords>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetInTextureCoord();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkThresholdTextureCoords:SetOutTextureCoord__1 vtkThresholdTextureCoordsSetOutTextureCoord__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkThresholdTextureCoordsSetOutTextureCoord__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutTextureCoord (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetOutTextureCoord__1 for class vtkThresholdTextureCoords requires 4 argument(s)");
  vtkThresholdTextureCoords* vtk_pointer = GetVTKPointer<vtkThresholdTextureCoords>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOutTextureCoord(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkThresholdTextureCoords:SetOutTextureCoord__2 vtkThresholdTextureCoordsSetOutTextureCoord__2Function
//input a0 a1 
//output none
ArrayVector vtkThresholdTextureCoordsSetOutTextureCoord__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutTextureCoord (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutTextureCoord__2 for class vtkThresholdTextureCoords requires 2 argument(s)");
  vtkThresholdTextureCoords* vtk_pointer = GetVTKPointer<vtkThresholdTextureCoords>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOutTextureCoord(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkThresholdTextureCoords:GetOutTextureCoord vtkThresholdTextureCoordsGetOutTextureCoordFunction
//input a0 
//output y
ArrayVector vtkThresholdTextureCoordsGetOutTextureCoordFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetOutTextureCoord (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutTextureCoord for class vtkThresholdTextureCoords requires 1 argument(s)");
  vtkThresholdTextureCoords* vtk_pointer = GetVTKPointer<vtkThresholdTextureCoords>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOutTextureCoord();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkThresholdTextureCoords:SetInTextureCoord vtkThresholdTextureCoordsSetInTextureCoordFunction
//input varargin
//output varargout
ArrayVector vtkThresholdTextureCoordsSetInTextureCoordFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkThresholdTextureCoordsSetInTextureCoord__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkThresholdTextureCoordsSetInTextureCoord__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkThresholdTextureCoordsSetInTextureCoord");
}

//@@Signature
//sfunction @vtkThresholdTextureCoords:SetOutTextureCoord vtkThresholdTextureCoordsSetOutTextureCoordFunction
//input varargin
//output varargout
ArrayVector vtkThresholdTextureCoordsSetOutTextureCoordFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkThresholdTextureCoordsSetOutTextureCoord__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkThresholdTextureCoordsSetOutTextureCoord__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkThresholdTextureCoordsSetOutTextureCoord");
}

//@@Signature
//sfunction @vtkThresholdTextureCoords:display vtkThresholdTextureCoordsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkThresholdTextureCoordsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkThresholdTextureCoords* vtk_pointer = GetVTKPointer<vtkThresholdTextureCoords>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkThresholdTextureCoords:delete vtkThresholdTextureCoordsDeleteFunction
//input varargin
//output none
ArrayVector vtkThresholdTextureCoordsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkThresholdTextureCoords
//@@Section VTKGraphics
//@@Usage
// vtkThresholdTextureCoords is a filter that generates texture coordinates for
// any input dataset type given a threshold criterion. The criterion can take 
// three forms: 1) greater than a particular value (ThresholdByUpper()); 
// 2) less than a particular value (ThresholdByLower(); or 3) between two 
// values (ThresholdBetween(). If the threshold criterion is satisfied, 
// the "in" texture coordinate will be set (this can be specified by the
// user). If the threshold criterion is not satisfied the "out" is set.
//
//To create an instance of class vtkThresholdTextureCoords, simply
//invoke its constructor as follows
//@[
//  obj = vtkThresholdTextureCoords
//@]
//@@Methods
//The class vtkThresholdTextureCoords has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkThresholdTextureCoords class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkThresholdTextureCoords = obj.NewInstance ()|
// \item @|vtkThresholdTextureCoords = obj.SafeDownCast (vtkObject o)|
// \item @|obj.ThresholdByLower (double lower)| -  Criterion is cells whose scalars are less than lower threshold.
//// \item @|obj.ThresholdByUpper (double upper)| -  Criterion is cells whose scalars are less than upper threshold.
//// \item @|obj.ThresholdBetween (double lower, double upper)| -  Criterion is cells whose scalars are between lower and upper thresholds.
//// \item @|double = obj.GetUpperThreshold ()| -  Return the upper and lower thresholds.
//// \item @|double = obj.GetLowerThreshold ()| -  Return the upper and lower thresholds.
//// \item @|obj.SetTextureDimension (int )| -  Set the desired dimension of the texture map.
//// \item @|int = obj.GetTextureDimensionMinValue ()| -  Set the desired dimension of the texture map.
//// \item @|int = obj.GetTextureDimensionMaxValue ()| -  Set the desired dimension of the texture map.
//// \item @|int = obj.GetTextureDimension ()| -  Set the desired dimension of the texture map.
//// \item @|obj.SetInTextureCoord (double , double , double )| -  Set the texture coordinate value for point satisfying threshold criterion.
//// \item @|obj.SetInTextureCoord (double  a[3])| -  Set the texture coordinate value for point satisfying threshold criterion.
//// \item @|double = obj. GetInTextureCoord ()| -  Set the texture coordinate value for point satisfying threshold criterion.
//// \item @|obj.SetOutTextureCoord (double , double , double )| -  Set the texture coordinate value for point NOT satisfying threshold
//  criterion.
//// \item @|obj.SetOutTextureCoord (double  a[3])| -  Set the texture coordinate value for point NOT satisfying threshold
//  criterion.
//// \item @|double = obj. GetOutTextureCoord ()| -  Set the texture coordinate value for point NOT satisfying threshold
//  criterion.
////\end{itemize}
//!
