#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTimeSourceExample object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTimeSourceExample.h"

//@@Signature
//sfunction @vtkTimeSourceExample:vtkTimeSourceExample vtkTimeSourceExampleConstructorFunction
//input a
//output p
//@@Parents vtkTimeSourceExample vtkUnstructuredGridAlgorithm 
ArrayVector vtkTimeSourceExampleConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTimeSourceExample::New(),"vtkTimeSourceExample",eval);
  } else if (arg[0].className() == "vtkTimeSourceExample") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTimeSourceExample"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTimeSourceExample");
    vtkTimeSourceExample*q = reinterpret_cast<vtkTimeSourceExample*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTimeSourceExample");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTimeSourceExample:GetClassName vtkTimeSourceExampleGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTimeSourceExampleGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTimeSourceExample requires 1 argument(s)");
  vtkTimeSourceExample* vtk_pointer = GetVTKPointer<vtkTimeSourceExample>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimeSourceExample:IsA vtkTimeSourceExampleIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTimeSourceExampleIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTimeSourceExample requires 2 argument(s)");
  vtkTimeSourceExample* vtk_pointer = GetVTKPointer<vtkTimeSourceExample>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimeSourceExample:NewInstance vtkTimeSourceExampleNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTimeSourceExampleNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTimeSourceExample *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTimeSourceExample requires 1 argument(s)");
  vtkTimeSourceExample* vtk_pointer = GetVTKPointer<vtkTimeSourceExample>(arg[0]);
  Array retval;
  vtkTimeSourceExample  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTimeSourceExample",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTimeSourceExample:SafeDownCast vtkTimeSourceExampleSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTimeSourceExampleSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTimeSourceExample *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTimeSourceExample requires 2 argument(s)");
  vtkTimeSourceExample* vtk_pointer = GetVTKPointer<vtkTimeSourceExample>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTimeSourceExample  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTimeSourceExample",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTimeSourceExample:SetAnalytic vtkTimeSourceExampleSetAnalyticFunction
//input a0 a1 
//output none
ArrayVector vtkTimeSourceExampleSetAnalyticFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAnalytic (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAnalytic for class vtkTimeSourceExample requires 2 argument(s)");
  vtkTimeSourceExample* vtk_pointer = GetVTKPointer<vtkTimeSourceExample>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAnalytic(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTimeSourceExample:GetAnalyticMinValue vtkTimeSourceExampleGetAnalyticMinValueFunction
//input a0 
//output y
ArrayVector vtkTimeSourceExampleGetAnalyticMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAnalyticMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAnalyticMinValue for class vtkTimeSourceExample requires 1 argument(s)");
  vtkTimeSourceExample* vtk_pointer = GetVTKPointer<vtkTimeSourceExample>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAnalyticMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimeSourceExample:GetAnalyticMaxValue vtkTimeSourceExampleGetAnalyticMaxValueFunction
//input a0 
//output y
ArrayVector vtkTimeSourceExampleGetAnalyticMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAnalyticMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAnalyticMaxValue for class vtkTimeSourceExample requires 1 argument(s)");
  vtkTimeSourceExample* vtk_pointer = GetVTKPointer<vtkTimeSourceExample>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAnalyticMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimeSourceExample:GetAnalytic vtkTimeSourceExampleGetAnalyticFunction
//input a0 
//output y
ArrayVector vtkTimeSourceExampleGetAnalyticFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAnalytic (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAnalytic for class vtkTimeSourceExample requires 1 argument(s)");
  vtkTimeSourceExample* vtk_pointer = GetVTKPointer<vtkTimeSourceExample>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAnalytic();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimeSourceExample:AnalyticOn vtkTimeSourceExampleAnalyticOnFunction
//input a0 
//output none
ArrayVector vtkTimeSourceExampleAnalyticOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AnalyticOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AnalyticOn for class vtkTimeSourceExample requires 1 argument(s)");
  vtkTimeSourceExample* vtk_pointer = GetVTKPointer<vtkTimeSourceExample>(arg[0]);
  Array retval;
  vtk_pointer->AnalyticOn();
  return retval;
}

//@@Signature
//sfunction @vtkTimeSourceExample:AnalyticOff vtkTimeSourceExampleAnalyticOffFunction
//input a0 
//output none
ArrayVector vtkTimeSourceExampleAnalyticOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AnalyticOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AnalyticOff for class vtkTimeSourceExample requires 1 argument(s)");
  vtkTimeSourceExample* vtk_pointer = GetVTKPointer<vtkTimeSourceExample>(arg[0]);
  Array retval;
  vtk_pointer->AnalyticOff();
  return retval;
}

//@@Signature
//sfunction @vtkTimeSourceExample:SetXAmplitude vtkTimeSourceExampleSetXAmplitudeFunction
//input a0 a1 
//output none
ArrayVector vtkTimeSourceExampleSetXAmplitudeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXAmplitude (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetXAmplitude for class vtkTimeSourceExample requires 2 argument(s)");
  vtkTimeSourceExample* vtk_pointer = GetVTKPointer<vtkTimeSourceExample>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetXAmplitude(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTimeSourceExample:GetXAmplitude vtkTimeSourceExampleGetXAmplitudeFunction
//input a0 
//output y
ArrayVector vtkTimeSourceExampleGetXAmplitudeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetXAmplitude (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXAmplitude for class vtkTimeSourceExample requires 1 argument(s)");
  vtkTimeSourceExample* vtk_pointer = GetVTKPointer<vtkTimeSourceExample>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetXAmplitude();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimeSourceExample:SetYAmplitude vtkTimeSourceExampleSetYAmplitudeFunction
//input a0 a1 
//output none
ArrayVector vtkTimeSourceExampleSetYAmplitudeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYAmplitude (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetYAmplitude for class vtkTimeSourceExample requires 2 argument(s)");
  vtkTimeSourceExample* vtk_pointer = GetVTKPointer<vtkTimeSourceExample>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetYAmplitude(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTimeSourceExample:GetYAmplitude vtkTimeSourceExampleGetYAmplitudeFunction
//input a0 
//output y
ArrayVector vtkTimeSourceExampleGetYAmplitudeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetYAmplitude (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYAmplitude for class vtkTimeSourceExample requires 1 argument(s)");
  vtkTimeSourceExample* vtk_pointer = GetVTKPointer<vtkTimeSourceExample>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetYAmplitude();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimeSourceExample:SetGrowing vtkTimeSourceExampleSetGrowingFunction
//input a0 a1 
//output none
ArrayVector vtkTimeSourceExampleSetGrowingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGrowing (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGrowing for class vtkTimeSourceExample requires 2 argument(s)");
  vtkTimeSourceExample* vtk_pointer = GetVTKPointer<vtkTimeSourceExample>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGrowing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTimeSourceExample:GetGrowingMinValue vtkTimeSourceExampleGetGrowingMinValueFunction
//input a0 
//output y
ArrayVector vtkTimeSourceExampleGetGrowingMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGrowingMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGrowingMinValue for class vtkTimeSourceExample requires 1 argument(s)");
  vtkTimeSourceExample* vtk_pointer = GetVTKPointer<vtkTimeSourceExample>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGrowingMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimeSourceExample:GetGrowingMaxValue vtkTimeSourceExampleGetGrowingMaxValueFunction
//input a0 
//output y
ArrayVector vtkTimeSourceExampleGetGrowingMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGrowingMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGrowingMaxValue for class vtkTimeSourceExample requires 1 argument(s)");
  vtkTimeSourceExample* vtk_pointer = GetVTKPointer<vtkTimeSourceExample>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGrowingMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimeSourceExample:GetGrowing vtkTimeSourceExampleGetGrowingFunction
//input a0 
//output y
ArrayVector vtkTimeSourceExampleGetGrowingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGrowing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGrowing for class vtkTimeSourceExample requires 1 argument(s)");
  vtkTimeSourceExample* vtk_pointer = GetVTKPointer<vtkTimeSourceExample>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGrowing();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimeSourceExample:GrowingOn vtkTimeSourceExampleGrowingOnFunction
//input a0 
//output none
ArrayVector vtkTimeSourceExampleGrowingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GrowingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GrowingOn for class vtkTimeSourceExample requires 1 argument(s)");
  vtkTimeSourceExample* vtk_pointer = GetVTKPointer<vtkTimeSourceExample>(arg[0]);
  Array retval;
  vtk_pointer->GrowingOn();
  return retval;
}

//@@Signature
//sfunction @vtkTimeSourceExample:GrowingOff vtkTimeSourceExampleGrowingOffFunction
//input a0 
//output none
ArrayVector vtkTimeSourceExampleGrowingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GrowingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GrowingOff for class vtkTimeSourceExample requires 1 argument(s)");
  vtkTimeSourceExample* vtk_pointer = GetVTKPointer<vtkTimeSourceExample>(arg[0]);
  Array retval;
  vtk_pointer->GrowingOff();
  return retval;
}

//@@Signature
//sfunction @vtkTimeSourceExample:display vtkTimeSourceExampleDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTimeSourceExampleDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTimeSourceExample* vtk_pointer = GetVTKPointer<vtkTimeSourceExample>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTimeSourceExample:delete vtkTimeSourceExampleDeleteFunction
//input varargin
//output none
ArrayVector vtkTimeSourceExampleDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTimeSourceExample
//@@Section VTKGraphics
//@@Usage
// Creates a small easily understood time varying data set for testing.
// The output is a vtkUntructuredGrid in which the point and cell values vary
// over time in a sin wave. The analytic ivar controls whether the output 
// corresponds to a step function over time or is continuous.
// The X and Y Amplitude ivars make the output move in the X and Y directions 
// over time. The Growing ivar makes the number of cells in the output grow 
// and then shrink over time.
//
//To create an instance of class vtkTimeSourceExample, simply
//invoke its constructor as follows
//@[
//  obj = vtkTimeSourceExample
//@]
//@@Methods
//The class vtkTimeSourceExample has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTimeSourceExample class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTimeSourceExample = obj.NewInstance ()|
// \item @|vtkTimeSourceExample = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetAnalytic (int )|
// \item @|int = obj.GetAnalyticMinValue ()|
// \item @|int = obj.GetAnalyticMaxValue ()|
// \item @|int = obj.GetAnalytic ()|
// \item @|obj.AnalyticOn ()|
// \item @|obj.AnalyticOff ()|
// \item @|obj.SetXAmplitude (double )|
// \item @|double = obj.GetXAmplitude ()|
// \item @|obj.SetYAmplitude (double )|
// \item @|double = obj.GetYAmplitude ()|
// \item @|obj.SetGrowing (int )|
// \item @|int = obj.GetGrowingMinValue ()|
// \item @|int = obj.GetGrowingMaxValue ()|
// \item @|int = obj.GetGrowing ()|
// \item @|obj.GrowingOn ()|
// \item @|obj.GrowingOff ()|
//\end{itemize}
//!
