#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTransformCoordinateSystems object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTransformCoordinateSystems.h"

//@@Signature
//sfunction @vtkTransformCoordinateSystems:vtkTransformCoordinateSystems vtkTransformCoordinateSystemsConstructorFunction
//input a
//output p
//@@Parents vtkTransformCoordinateSystems vtkPointSetAlgorithm 
ArrayVector vtkTransformCoordinateSystemsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTransformCoordinateSystems::New(),"vtkTransformCoordinateSystems",eval);
  } else if (arg[0].className() == "vtkTransformCoordinateSystems") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTransformCoordinateSystems"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTransformCoordinateSystems");
    vtkTransformCoordinateSystems*q = reinterpret_cast<vtkTransformCoordinateSystems*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTransformCoordinateSystems");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTransformCoordinateSystems:GetClassName vtkTransformCoordinateSystemsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTransformCoordinateSystemsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTransformCoordinateSystems requires 1 argument(s)");
  vtkTransformCoordinateSystems* vtk_pointer = GetVTKPointer<vtkTransformCoordinateSystems>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformCoordinateSystems:IsA vtkTransformCoordinateSystemsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTransformCoordinateSystemsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTransformCoordinateSystems requires 2 argument(s)");
  vtkTransformCoordinateSystems* vtk_pointer = GetVTKPointer<vtkTransformCoordinateSystems>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformCoordinateSystems:NewInstance vtkTransformCoordinateSystemsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTransformCoordinateSystemsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransformCoordinateSystems *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTransformCoordinateSystems requires 1 argument(s)");
  vtkTransformCoordinateSystems* vtk_pointer = GetVTKPointer<vtkTransformCoordinateSystems>(arg[0]);
  Array retval;
  vtkTransformCoordinateSystems  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransformCoordinateSystems",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransformCoordinateSystems:SafeDownCast vtkTransformCoordinateSystemsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTransformCoordinateSystemsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransformCoordinateSystems *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTransformCoordinateSystems requires 2 argument(s)");
  vtkTransformCoordinateSystems* vtk_pointer = GetVTKPointer<vtkTransformCoordinateSystems>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTransformCoordinateSystems  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransformCoordinateSystems",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransformCoordinateSystems:SetInputCoordinateSystem vtkTransformCoordinateSystemsSetInputCoordinateSystemFunction
//input a0 a1 
//output none
ArrayVector vtkTransformCoordinateSystemsSetInputCoordinateSystemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputCoordinateSystem (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInputCoordinateSystem for class vtkTransformCoordinateSystems requires 2 argument(s)");
  vtkTransformCoordinateSystems* vtk_pointer = GetVTKPointer<vtkTransformCoordinateSystems>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInputCoordinateSystem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransformCoordinateSystems:GetInputCoordinateSystem vtkTransformCoordinateSystemsGetInputCoordinateSystemFunction
//input a0 
//output y
ArrayVector vtkTransformCoordinateSystemsGetInputCoordinateSystemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInputCoordinateSystem (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInputCoordinateSystem for class vtkTransformCoordinateSystems requires 1 argument(s)");
  vtkTransformCoordinateSystems* vtk_pointer = GetVTKPointer<vtkTransformCoordinateSystems>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInputCoordinateSystem();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformCoordinateSystems:SetInputCoordinateSystemToDisplay vtkTransformCoordinateSystemsSetInputCoordinateSystemToDisplayFunction
//input a0 
//output none
ArrayVector vtkTransformCoordinateSystemsSetInputCoordinateSystemToDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputCoordinateSystemToDisplay ();this SetInputCoordinateSystem VTK_DISPLAY  */
  if (arg.size() < 1) 
    throw Exception("Function SetInputCoordinateSystemToDisplay for class vtkTransformCoordinateSystems requires 1 argument(s)");
  vtkTransformCoordinateSystems* vtk_pointer = GetVTKPointer<vtkTransformCoordinateSystems>(arg[0]);
  Array retval;
  vtk_pointer->SetInputCoordinateSystemToDisplay();
  return retval;
}

//@@Signature
//sfunction @vtkTransformCoordinateSystems:SetInputCoordinateSystemToViewport vtkTransformCoordinateSystemsSetInputCoordinateSystemToViewportFunction
//input a0 
//output none
ArrayVector vtkTransformCoordinateSystemsSetInputCoordinateSystemToViewportFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputCoordinateSystemToViewport ();this SetInputCoordinateSystem VTK_VIEWPORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetInputCoordinateSystemToViewport for class vtkTransformCoordinateSystems requires 1 argument(s)");
  vtkTransformCoordinateSystems* vtk_pointer = GetVTKPointer<vtkTransformCoordinateSystems>(arg[0]);
  Array retval;
  vtk_pointer->SetInputCoordinateSystemToViewport();
  return retval;
}

//@@Signature
//sfunction @vtkTransformCoordinateSystems:SetInputCoordinateSystemToWorld vtkTransformCoordinateSystemsSetInputCoordinateSystemToWorldFunction
//input a0 
//output none
ArrayVector vtkTransformCoordinateSystemsSetInputCoordinateSystemToWorldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputCoordinateSystemToWorld ();this SetInputCoordinateSystem VTK_WORLD  */
  if (arg.size() < 1) 
    throw Exception("Function SetInputCoordinateSystemToWorld for class vtkTransformCoordinateSystems requires 1 argument(s)");
  vtkTransformCoordinateSystems* vtk_pointer = GetVTKPointer<vtkTransformCoordinateSystems>(arg[0]);
  Array retval;
  vtk_pointer->SetInputCoordinateSystemToWorld();
  return retval;
}

//@@Signature
//sfunction @vtkTransformCoordinateSystems:SetOutputCoordinateSystem vtkTransformCoordinateSystemsSetOutputCoordinateSystemFunction
//input a0 a1 
//output none
ArrayVector vtkTransformCoordinateSystemsSetOutputCoordinateSystemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputCoordinateSystem (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputCoordinateSystem for class vtkTransformCoordinateSystems requires 2 argument(s)");
  vtkTransformCoordinateSystems* vtk_pointer = GetVTKPointer<vtkTransformCoordinateSystems>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutputCoordinateSystem(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransformCoordinateSystems:GetOutputCoordinateSystem vtkTransformCoordinateSystemsGetOutputCoordinateSystemFunction
//input a0 
//output y
ArrayVector vtkTransformCoordinateSystemsGetOutputCoordinateSystemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputCoordinateSystem (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputCoordinateSystem for class vtkTransformCoordinateSystems requires 1 argument(s)");
  vtkTransformCoordinateSystems* vtk_pointer = GetVTKPointer<vtkTransformCoordinateSystems>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutputCoordinateSystem();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformCoordinateSystems:SetOutputCoordinateSystemToDisplay vtkTransformCoordinateSystemsSetOutputCoordinateSystemToDisplayFunction
//input a0 
//output none
ArrayVector vtkTransformCoordinateSystemsSetOutputCoordinateSystemToDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputCoordinateSystemToDisplay ();this SetOutputCoordinateSystem VTK_DISPLAY  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputCoordinateSystemToDisplay for class vtkTransformCoordinateSystems requires 1 argument(s)");
  vtkTransformCoordinateSystems* vtk_pointer = GetVTKPointer<vtkTransformCoordinateSystems>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputCoordinateSystemToDisplay();
  return retval;
}

//@@Signature
//sfunction @vtkTransformCoordinateSystems:SetOutputCoordinateSystemToViewport vtkTransformCoordinateSystemsSetOutputCoordinateSystemToViewportFunction
//input a0 
//output none
ArrayVector vtkTransformCoordinateSystemsSetOutputCoordinateSystemToViewportFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputCoordinateSystemToViewport ();this SetOutputCoordinateSystem VTK_VIEWPORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputCoordinateSystemToViewport for class vtkTransformCoordinateSystems requires 1 argument(s)");
  vtkTransformCoordinateSystems* vtk_pointer = GetVTKPointer<vtkTransformCoordinateSystems>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputCoordinateSystemToViewport();
  return retval;
}

//@@Signature
//sfunction @vtkTransformCoordinateSystems:SetOutputCoordinateSystemToWorld vtkTransformCoordinateSystemsSetOutputCoordinateSystemToWorldFunction
//input a0 
//output none
ArrayVector vtkTransformCoordinateSystemsSetOutputCoordinateSystemToWorldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputCoordinateSystemToWorld ();this SetOutputCoordinateSystem VTK_WORLD  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputCoordinateSystemToWorld for class vtkTransformCoordinateSystems requires 1 argument(s)");
  vtkTransformCoordinateSystems* vtk_pointer = GetVTKPointer<vtkTransformCoordinateSystems>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputCoordinateSystemToWorld();
  return retval;
}

//@@Signature
//sfunction @vtkTransformCoordinateSystems:GetMTime vtkTransformCoordinateSystemsGetMTimeFunction
//input a0 
//output y
ArrayVector vtkTransformCoordinateSystemsGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkTransformCoordinateSystems requires 1 argument(s)");
  vtkTransformCoordinateSystems* vtk_pointer = GetVTKPointer<vtkTransformCoordinateSystems>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformCoordinateSystems:SetViewport vtkTransformCoordinateSystemsSetViewportFunction
//input a0 a1 
//output none
ArrayVector vtkTransformCoordinateSystemsSetViewportFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetViewport (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function SetViewport for class vtkTransformCoordinateSystems requires 2 argument(s)");
  vtkTransformCoordinateSystems* vtk_pointer = GetVTKPointer<vtkTransformCoordinateSystems>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  vtk_pointer->SetViewport(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransformCoordinateSystems:GetViewport vtkTransformCoordinateSystemsGetViewportFunction
//input a0 
//output y
ArrayVector vtkTransformCoordinateSystemsGetViewportFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkViewport *GetViewport (); */
  if (arg.size() < 1) 
    throw Exception("Function GetViewport for class vtkTransformCoordinateSystems requires 1 argument(s)");
  vtkTransformCoordinateSystems* vtk_pointer = GetVTKPointer<vtkTransformCoordinateSystems>(arg[0]);
  Array retval;
  vtkViewport  *temp20;
  temp20 = (vtk_pointer)->GetViewport();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkViewport",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransformCoordinateSystems:display vtkTransformCoordinateSystemsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTransformCoordinateSystemsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTransformCoordinateSystems* vtk_pointer = GetVTKPointer<vtkTransformCoordinateSystems>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTransformCoordinateSystems:delete vtkTransformCoordinateSystemsDeleteFunction
//input varargin
//output none
ArrayVector vtkTransformCoordinateSystemsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTransformCoordinateSystems
//@@Section VTKGraphics
//@@Usage
// This filter transforms points from one coordinate system to another. The user
// must specify the coordinate systems in which the input and output are
// specified. The user must also specify the VTK viewport (i.e., renderer) in
// which the transformation occurs.
//
//
//To create an instance of class vtkTransformCoordinateSystems, simply
//invoke its constructor as follows
//@[
//  obj = vtkTransformCoordinateSystems
//@]
//@@Methods
//The class vtkTransformCoordinateSystems has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTransformCoordinateSystems class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for type information and printing.
//// \item @|int = obj.IsA (string name)| -  Standard methods for type information and printing.
//// \item @|vtkTransformCoordinateSystems = obj.NewInstance ()| -  Standard methods for type information and printing.
//// \item @|vtkTransformCoordinateSystems = obj.SafeDownCast (vtkObject o)| -  Standard methods for type information and printing.
//// \item @|obj.SetInputCoordinateSystem (int )| -  Set/get the coordinate system in which the input is specified.
// The current options are World, Viewport, and Display. By default the
// input coordinate system is World.
//// \item @|int = obj.GetInputCoordinateSystem ()| -  Set/get the coordinate system in which the input is specified.
// The current options are World, Viewport, and Display. By default the
// input coordinate system is World.
//// \item @|obj.SetInputCoordinateSystemToDisplay ()| -  Set/get the coordinate system in which the input is specified.
// The current options are World, Viewport, and Display. By default the
// input coordinate system is World.
//// \item @|obj.SetInputCoordinateSystemToViewport ()| -  Set/get the coordinate system in which the input is specified.
// The current options are World, Viewport, and Display. By default the
// input coordinate system is World.
//// \item @|obj.SetInputCoordinateSystemToWorld ()| -  Set/get the coordinate system to which to transform the output.
// The current options are World, Viewport, and Display. By default the
// output coordinate system is Display.
//// \item @|obj.SetOutputCoordinateSystem (int )| -  Set/get the coordinate system to which to transform the output.
// The current options are World, Viewport, and Display. By default the
// output coordinate system is Display.
//// \item @|int = obj.GetOutputCoordinateSystem ()| -  Set/get the coordinate system to which to transform the output.
// The current options are World, Viewport, and Display. By default the
// output coordinate system is Display.
//// \item @|obj.SetOutputCoordinateSystemToDisplay ()| -  Set/get the coordinate system to which to transform the output.
// The current options are World, Viewport, and Display. By default the
// output coordinate system is Display.
//// \item @|obj.SetOutputCoordinateSystemToViewport ()| -  Set/get the coordinate system to which to transform the output.
// The current options are World, Viewport, and Display. By default the
// output coordinate system is Display.
//// \item @|obj.SetOutputCoordinateSystemToWorld ()| -  Return the MTime also considering the instance of vtkCoordinate.
//// \item @|long = obj.GetMTime ()| -  Return the MTime also considering the instance of vtkCoordinate.
//// \item @|obj.SetViewport (vtkViewport viewport)| -  In order for successful coordinate transformation to occur, an
// instance of vtkViewport (e.g., a VTK renderer) must be specified.
// NOTE: this is a raw pointer, not a weak pointer not a reference counted
// object to avoid reference cycle loop between rendering classes and filter
// classes.
//// \item @|vtkViewport = obj.GetViewport ()| -  In order for successful coordinate transformation to occur, an
// instance of vtkViewport (e.g., a VTK renderer) must be specified.
// NOTE: this is a raw pointer, not a weak pointer not a reference counted
// object to avoid reference cycle loop between rendering classes and filter
// classes.
////\end{itemize}
//!
