#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTransformFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTransformFilter.h"

//@@Signature
//sfunction @vtkTransformFilter:vtkTransformFilter vtkTransformFilterConstructorFunction
//input a
//output p
//@@Parents vtkTransformFilter vtkPointSetAlgorithm 
ArrayVector vtkTransformFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTransformFilter::New(),"vtkTransformFilter",eval);
  } else if (arg[0].className() == "vtkTransformFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTransformFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTransformFilter");
    vtkTransformFilter*q = reinterpret_cast<vtkTransformFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTransformFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTransformFilter:GetClassName vtkTransformFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTransformFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTransformFilter requires 1 argument(s)");
  vtkTransformFilter* vtk_pointer = GetVTKPointer<vtkTransformFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformFilter:IsA vtkTransformFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTransformFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTransformFilter requires 2 argument(s)");
  vtkTransformFilter* vtk_pointer = GetVTKPointer<vtkTransformFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformFilter:NewInstance vtkTransformFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTransformFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransformFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTransformFilter requires 1 argument(s)");
  vtkTransformFilter* vtk_pointer = GetVTKPointer<vtkTransformFilter>(arg[0]);
  Array retval;
  vtkTransformFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransformFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransformFilter:SafeDownCast vtkTransformFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTransformFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransformFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTransformFilter requires 2 argument(s)");
  vtkTransformFilter* vtk_pointer = GetVTKPointer<vtkTransformFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTransformFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransformFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransformFilter:GetMTime vtkTransformFilterGetMTimeFunction
//input a0 
//output y
ArrayVector vtkTransformFilterGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkTransformFilter requires 1 argument(s)");
  vtkTransformFilter* vtk_pointer = GetVTKPointer<vtkTransformFilter>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformFilter:SetTransform vtkTransformFilterSetTransformFunction
//input a0 a1 
//output none
ArrayVector vtkTransformFilterSetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTransform (vtkAbstractTransform *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTransform for class vtkTransformFilter requires 2 argument(s)");
  vtkTransformFilter* vtk_pointer = GetVTKPointer<vtkTransformFilter>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp0;
  temp0 = GetVTKPointer<vtkAbstractTransform>(arg[1]);
  vtk_pointer->SetTransform(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransformFilter:GetTransform vtkTransformFilterGetTransformFunction
//input a0 
//output y
ArrayVector vtkTransformFilterGetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractTransform *GetTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTransform for class vtkTransformFilter requires 1 argument(s)");
  vtkTransformFilter* vtk_pointer = GetVTKPointer<vtkTransformFilter>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->GetTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransformFilter:display vtkTransformFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTransformFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTransformFilter* vtk_pointer = GetVTKPointer<vtkTransformFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTransformFilter:delete vtkTransformFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkTransformFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTransformFilter
//@@Section VTKGraphics
//@@Usage
// vtkTransformFilter is a filter to transform point coordinates, and 
// associated point normals and vectors. Other point data is passed
// through the filter.
//
// An alternative method of transformation is to use vtkActor's methods
// to scale, rotate, and translate objects. The difference between the
// two methods is that vtkActor's transformation simply effects where
// objects are rendered (via the graphics pipeline), whereas
// vtkTransformFilter actually modifies point coordinates in the 
// visualization pipeline. This is necessary for some objects 
// (e.g., vtkProbeFilter) that require point coordinates as input.
//
//To create an instance of class vtkTransformFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkTransformFilter
//@]
//@@Methods
//The class vtkTransformFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTransformFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTransformFilter = obj.NewInstance ()|
// \item @|vtkTransformFilter = obj.SafeDownCast (vtkObject o)|
// \item @|long = obj.GetMTime ()| -  Return the MTime also considering the transform.
//// \item @|obj.SetTransform (vtkAbstractTransform )| -  Specify the transform object used to transform points.
//// \item @|vtkAbstractTransform = obj.GetTransform ()| -  Specify the transform object used to transform points.
////\end{itemize}
//!
