#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTransformPolyDataFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTransformPolyDataFilter.h"

//@@Signature
//sfunction @vtkTransformPolyDataFilter:vtkTransformPolyDataFilter vtkTransformPolyDataFilterConstructorFunction
//input a
//output p
//@@Parents vtkTransformPolyDataFilter vtkPolyDataAlgorithm 
ArrayVector vtkTransformPolyDataFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTransformPolyDataFilter::New(),"vtkTransformPolyDataFilter",eval);
  } else if (arg[0].className() == "vtkTransformPolyDataFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTransformPolyDataFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTransformPolyDataFilter");
    vtkTransformPolyDataFilter*q = reinterpret_cast<vtkTransformPolyDataFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTransformPolyDataFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTransformPolyDataFilter:GetClassName vtkTransformPolyDataFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTransformPolyDataFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTransformPolyDataFilter requires 1 argument(s)");
  vtkTransformPolyDataFilter* vtk_pointer = GetVTKPointer<vtkTransformPolyDataFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformPolyDataFilter:IsA vtkTransformPolyDataFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTransformPolyDataFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTransformPolyDataFilter requires 2 argument(s)");
  vtkTransformPolyDataFilter* vtk_pointer = GetVTKPointer<vtkTransformPolyDataFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformPolyDataFilter:NewInstance vtkTransformPolyDataFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTransformPolyDataFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransformPolyDataFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTransformPolyDataFilter requires 1 argument(s)");
  vtkTransformPolyDataFilter* vtk_pointer = GetVTKPointer<vtkTransformPolyDataFilter>(arg[0]);
  Array retval;
  vtkTransformPolyDataFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransformPolyDataFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransformPolyDataFilter:SafeDownCast vtkTransformPolyDataFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTransformPolyDataFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransformPolyDataFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTransformPolyDataFilter requires 2 argument(s)");
  vtkTransformPolyDataFilter* vtk_pointer = GetVTKPointer<vtkTransformPolyDataFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTransformPolyDataFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransformPolyDataFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransformPolyDataFilter:GetMTime vtkTransformPolyDataFilterGetMTimeFunction
//input a0 
//output y
ArrayVector vtkTransformPolyDataFilterGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkTransformPolyDataFilter requires 1 argument(s)");
  vtkTransformPolyDataFilter* vtk_pointer = GetVTKPointer<vtkTransformPolyDataFilter>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformPolyDataFilter:SetTransform vtkTransformPolyDataFilterSetTransformFunction
//input a0 a1 
//output none
ArrayVector vtkTransformPolyDataFilterSetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTransform (vtkAbstractTransform *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTransform for class vtkTransformPolyDataFilter requires 2 argument(s)");
  vtkTransformPolyDataFilter* vtk_pointer = GetVTKPointer<vtkTransformPolyDataFilter>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp0;
  temp0 = GetVTKPointer<vtkAbstractTransform>(arg[1]);
  vtk_pointer->SetTransform(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransformPolyDataFilter:GetTransform vtkTransformPolyDataFilterGetTransformFunction
//input a0 
//output y
ArrayVector vtkTransformPolyDataFilterGetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractTransform *GetTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTransform for class vtkTransformPolyDataFilter requires 1 argument(s)");
  vtkTransformPolyDataFilter* vtk_pointer = GetVTKPointer<vtkTransformPolyDataFilter>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->GetTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransformPolyDataFilter:display vtkTransformPolyDataFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTransformPolyDataFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTransformPolyDataFilter* vtk_pointer = GetVTKPointer<vtkTransformPolyDataFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTransformPolyDataFilter:delete vtkTransformPolyDataFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkTransformPolyDataFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTransformPolyDataFilter
//@@Section VTKGraphics
//@@Usage
// vtkTransformPolyDataFilter is a filter to transform point
// coordinates and associated point and cell normals and
// vectors. Other point and cell data is passed through the filter
// unchanged. This filter is specialized for polygonal data. See
// vtkTransformFilter for more general data.
//
// An alternative method of transformation is to use vtkActor's methods
// to scale, rotate, and translate objects. The difference between the
// two methods is that vtkActor's transformation simply effects where
// objects are rendered (via the graphics pipeline), whereas
// vtkTransformPolyDataFilter actually modifies point coordinates in the 
// visualization pipeline. This is necessary for some objects 
// (e.g., vtkProbeFilter) that require point coordinates as input.
//
//To create an instance of class vtkTransformPolyDataFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkTransformPolyDataFilter
//@]
//@@Methods
//The class vtkTransformPolyDataFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTransformPolyDataFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTransformPolyDataFilter = obj.NewInstance ()|
// \item @|vtkTransformPolyDataFilter = obj.SafeDownCast (vtkObject o)|
// \item @|long = obj.GetMTime ()| -  Return the MTime also considering the transform.
//// \item @|obj.SetTransform (vtkAbstractTransform )| -  Specify the transform object used to transform points.
//// \item @|vtkAbstractTransform = obj.GetTransform ()| -  Specify the transform object used to transform points.
////\end{itemize}
//!
