#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTransformTextureCoords object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTransformTextureCoords.h"

//@@Signature
//sfunction @vtkTransformTextureCoords:vtkTransformTextureCoords vtkTransformTextureCoordsConstructorFunction
//input a
//output p
//@@Parents vtkTransformTextureCoords vtkDataSetAlgorithm 
ArrayVector vtkTransformTextureCoordsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTransformTextureCoords::New(),"vtkTransformTextureCoords",eval);
  } else if (arg[0].className() == "vtkTransformTextureCoords") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTransformTextureCoords"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTransformTextureCoords");
    vtkTransformTextureCoords*q = reinterpret_cast<vtkTransformTextureCoords*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTransformTextureCoords");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTransformTextureCoords:GetClassName vtkTransformTextureCoordsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTransformTextureCoordsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTransformTextureCoords requires 1 argument(s)");
  vtkTransformTextureCoords* vtk_pointer = GetVTKPointer<vtkTransformTextureCoords>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformTextureCoords:IsA vtkTransformTextureCoordsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTransformTextureCoordsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTransformTextureCoords requires 2 argument(s)");
  vtkTransformTextureCoords* vtk_pointer = GetVTKPointer<vtkTransformTextureCoords>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformTextureCoords:NewInstance vtkTransformTextureCoordsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTransformTextureCoordsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransformTextureCoords *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTransformTextureCoords requires 1 argument(s)");
  vtkTransformTextureCoords* vtk_pointer = GetVTKPointer<vtkTransformTextureCoords>(arg[0]);
  Array retval;
  vtkTransformTextureCoords  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransformTextureCoords",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransformTextureCoords:SafeDownCast vtkTransformTextureCoordsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTransformTextureCoordsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransformTextureCoords *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTransformTextureCoords requires 2 argument(s)");
  vtkTransformTextureCoords* vtk_pointer = GetVTKPointer<vtkTransformTextureCoords>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTransformTextureCoords  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransformTextureCoords",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransformTextureCoords:SetPosition__1 vtkTransformTextureCoordsSetPosition__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTransformTextureCoordsSetPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPosition (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetPosition__1 for class vtkTransformTextureCoords requires 4 argument(s)");
  vtkTransformTextureCoords* vtk_pointer = GetVTKPointer<vtkTransformTextureCoords>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPosition(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTransformTextureCoords:SetPosition__2 vtkTransformTextureCoordsSetPosition__2Function
//input a0 a1 
//output none
ArrayVector vtkTransformTextureCoordsSetPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPosition (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPosition__2 for class vtkTransformTextureCoords requires 2 argument(s)");
  vtkTransformTextureCoords* vtk_pointer = GetVTKPointer<vtkTransformTextureCoords>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransformTextureCoords:GetPosition vtkTransformTextureCoordsGetPositionFunction
//input a0 
//output y
ArrayVector vtkTransformTextureCoordsGetPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPosition for class vtkTransformTextureCoords requires 1 argument(s)");
  vtkTransformTextureCoords* vtk_pointer = GetVTKPointer<vtkTransformTextureCoords>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPosition();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTransformTextureCoords:AddPosition__1 vtkTransformTextureCoordsAddPosition__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTransformTextureCoordsAddPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddPosition (double deltaR, double deltaS, double deltaT); */
  if (arg.size() < 4) 
    throw Exception("Function AddPosition__1 for class vtkTransformTextureCoords requires 4 argument(s)");
  vtkTransformTextureCoords* vtk_pointer = GetVTKPointer<vtkTransformTextureCoords>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->AddPosition(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTransformTextureCoords:AddPosition__2 vtkTransformTextureCoordsAddPosition__2Function
//input a0 a1 
//output none
ArrayVector vtkTransformTextureCoordsAddPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddPosition (double deltaPosition[3]); */
  if (arg.size() < 2) 
    throw Exception("Function AddPosition__2 for class vtkTransformTextureCoords requires 2 argument(s)");
  vtkTransformTextureCoords* vtk_pointer = GetVTKPointer<vtkTransformTextureCoords>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->AddPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransformTextureCoords:SetScale__1 vtkTransformTextureCoordsSetScale__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTransformTextureCoordsSetScale__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScale (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetScale__1 for class vtkTransformTextureCoords requires 4 argument(s)");
  vtkTransformTextureCoords* vtk_pointer = GetVTKPointer<vtkTransformTextureCoords>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetScale(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTransformTextureCoords:SetScale__2 vtkTransformTextureCoordsSetScale__2Function
//input a0 a1 
//output none
ArrayVector vtkTransformTextureCoordsSetScale__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScale (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetScale__2 for class vtkTransformTextureCoords requires 2 argument(s)");
  vtkTransformTextureCoords* vtk_pointer = GetVTKPointer<vtkTransformTextureCoords>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransformTextureCoords:GetScale vtkTransformTextureCoordsGetScaleFunction
//input a0 
//output y
ArrayVector vtkTransformTextureCoordsGetScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetScale (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScale for class vtkTransformTextureCoords requires 1 argument(s)");
  vtkTransformTextureCoords* vtk_pointer = GetVTKPointer<vtkTransformTextureCoords>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetScale();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTransformTextureCoords:SetOrigin__1 vtkTransformTextureCoordsSetOrigin__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTransformTextureCoordsSetOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetOrigin__1 for class vtkTransformTextureCoords requires 4 argument(s)");
  vtkTransformTextureCoords* vtk_pointer = GetVTKPointer<vtkTransformTextureCoords>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTransformTextureCoords:SetOrigin__2 vtkTransformTextureCoordsSetOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkTransformTextureCoordsSetOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrigin__2 for class vtkTransformTextureCoords requires 2 argument(s)");
  vtkTransformTextureCoords* vtk_pointer = GetVTKPointer<vtkTransformTextureCoords>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransformTextureCoords:GetOrigin vtkTransformTextureCoordsGetOriginFunction
//input a0 
//output y
ArrayVector vtkTransformTextureCoordsGetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrigin for class vtkTransformTextureCoords requires 1 argument(s)");
  vtkTransformTextureCoords* vtk_pointer = GetVTKPointer<vtkTransformTextureCoords>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTransformTextureCoords:SetFlipR vtkTransformTextureCoordsSetFlipRFunction
//input a0 a1 
//output none
ArrayVector vtkTransformTextureCoordsSetFlipRFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFlipR (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFlipR for class vtkTransformTextureCoords requires 2 argument(s)");
  vtkTransformTextureCoords* vtk_pointer = GetVTKPointer<vtkTransformTextureCoords>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFlipR(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransformTextureCoords:GetFlipR vtkTransformTextureCoordsGetFlipRFunction
//input a0 
//output y
ArrayVector vtkTransformTextureCoordsGetFlipRFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFlipR (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFlipR for class vtkTransformTextureCoords requires 1 argument(s)");
  vtkTransformTextureCoords* vtk_pointer = GetVTKPointer<vtkTransformTextureCoords>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFlipR();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformTextureCoords:FlipROn vtkTransformTextureCoordsFlipROnFunction
//input a0 
//output none
ArrayVector vtkTransformTextureCoordsFlipROnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FlipROn (); */
  if (arg.size() < 1) 
    throw Exception("Function FlipROn for class vtkTransformTextureCoords requires 1 argument(s)");
  vtkTransformTextureCoords* vtk_pointer = GetVTKPointer<vtkTransformTextureCoords>(arg[0]);
  Array retval;
  vtk_pointer->FlipROn();
  return retval;
}

//@@Signature
//sfunction @vtkTransformTextureCoords:FlipROff vtkTransformTextureCoordsFlipROffFunction
//input a0 
//output none
ArrayVector vtkTransformTextureCoordsFlipROffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FlipROff (); */
  if (arg.size() < 1) 
    throw Exception("Function FlipROff for class vtkTransformTextureCoords requires 1 argument(s)");
  vtkTransformTextureCoords* vtk_pointer = GetVTKPointer<vtkTransformTextureCoords>(arg[0]);
  Array retval;
  vtk_pointer->FlipROff();
  return retval;
}

//@@Signature
//sfunction @vtkTransformTextureCoords:SetFlipS vtkTransformTextureCoordsSetFlipSFunction
//input a0 a1 
//output none
ArrayVector vtkTransformTextureCoordsSetFlipSFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFlipS (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFlipS for class vtkTransformTextureCoords requires 2 argument(s)");
  vtkTransformTextureCoords* vtk_pointer = GetVTKPointer<vtkTransformTextureCoords>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFlipS(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransformTextureCoords:GetFlipS vtkTransformTextureCoordsGetFlipSFunction
//input a0 
//output y
ArrayVector vtkTransformTextureCoordsGetFlipSFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFlipS (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFlipS for class vtkTransformTextureCoords requires 1 argument(s)");
  vtkTransformTextureCoords* vtk_pointer = GetVTKPointer<vtkTransformTextureCoords>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFlipS();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformTextureCoords:FlipSOn vtkTransformTextureCoordsFlipSOnFunction
//input a0 
//output none
ArrayVector vtkTransformTextureCoordsFlipSOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FlipSOn (); */
  if (arg.size() < 1) 
    throw Exception("Function FlipSOn for class vtkTransformTextureCoords requires 1 argument(s)");
  vtkTransformTextureCoords* vtk_pointer = GetVTKPointer<vtkTransformTextureCoords>(arg[0]);
  Array retval;
  vtk_pointer->FlipSOn();
  return retval;
}

//@@Signature
//sfunction @vtkTransformTextureCoords:FlipSOff vtkTransformTextureCoordsFlipSOffFunction
//input a0 
//output none
ArrayVector vtkTransformTextureCoordsFlipSOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FlipSOff (); */
  if (arg.size() < 1) 
    throw Exception("Function FlipSOff for class vtkTransformTextureCoords requires 1 argument(s)");
  vtkTransformTextureCoords* vtk_pointer = GetVTKPointer<vtkTransformTextureCoords>(arg[0]);
  Array retval;
  vtk_pointer->FlipSOff();
  return retval;
}

//@@Signature
//sfunction @vtkTransformTextureCoords:SetFlipT vtkTransformTextureCoordsSetFlipTFunction
//input a0 a1 
//output none
ArrayVector vtkTransformTextureCoordsSetFlipTFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFlipT (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFlipT for class vtkTransformTextureCoords requires 2 argument(s)");
  vtkTransformTextureCoords* vtk_pointer = GetVTKPointer<vtkTransformTextureCoords>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFlipT(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransformTextureCoords:GetFlipT vtkTransformTextureCoordsGetFlipTFunction
//input a0 
//output y
ArrayVector vtkTransformTextureCoordsGetFlipTFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFlipT (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFlipT for class vtkTransformTextureCoords requires 1 argument(s)");
  vtkTransformTextureCoords* vtk_pointer = GetVTKPointer<vtkTransformTextureCoords>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFlipT();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformTextureCoords:FlipTOn vtkTransformTextureCoordsFlipTOnFunction
//input a0 
//output none
ArrayVector vtkTransformTextureCoordsFlipTOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FlipTOn (); */
  if (arg.size() < 1) 
    throw Exception("Function FlipTOn for class vtkTransformTextureCoords requires 1 argument(s)");
  vtkTransformTextureCoords* vtk_pointer = GetVTKPointer<vtkTransformTextureCoords>(arg[0]);
  Array retval;
  vtk_pointer->FlipTOn();
  return retval;
}

//@@Signature
//sfunction @vtkTransformTextureCoords:FlipTOff vtkTransformTextureCoordsFlipTOffFunction
//input a0 
//output none
ArrayVector vtkTransformTextureCoordsFlipTOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FlipTOff (); */
  if (arg.size() < 1) 
    throw Exception("Function FlipTOff for class vtkTransformTextureCoords requires 1 argument(s)");
  vtkTransformTextureCoords* vtk_pointer = GetVTKPointer<vtkTransformTextureCoords>(arg[0]);
  Array retval;
  vtk_pointer->FlipTOff();
  return retval;
}

//@@Signature
//sfunction @vtkTransformTextureCoords:SetPosition vtkTransformTextureCoordsSetPositionFunction
//input varargin
//output varargout
ArrayVector vtkTransformTextureCoordsSetPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkTransformTextureCoordsSetPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTransformTextureCoordsSetPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTransformTextureCoordsSetPosition");
}

//@@Signature
//sfunction @vtkTransformTextureCoords:AddPosition vtkTransformTextureCoordsAddPositionFunction
//input varargin
//output varargout
ArrayVector vtkTransformTextureCoordsAddPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkTransformTextureCoordsAddPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTransformTextureCoordsAddPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTransformTextureCoordsAddPosition");
}

//@@Signature
//sfunction @vtkTransformTextureCoords:SetScale vtkTransformTextureCoordsSetScaleFunction
//input varargin
//output varargout
ArrayVector vtkTransformTextureCoordsSetScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkTransformTextureCoordsSetScale__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTransformTextureCoordsSetScale__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTransformTextureCoordsSetScale");
}

//@@Signature
//sfunction @vtkTransformTextureCoords:SetOrigin vtkTransformTextureCoordsSetOriginFunction
//input varargin
//output varargout
ArrayVector vtkTransformTextureCoordsSetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkTransformTextureCoordsSetOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTransformTextureCoordsSetOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTransformTextureCoordsSetOrigin");
}

//@@Signature
//sfunction @vtkTransformTextureCoords:display vtkTransformTextureCoordsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTransformTextureCoordsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTransformTextureCoords* vtk_pointer = GetVTKPointer<vtkTransformTextureCoords>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTransformTextureCoords:delete vtkTransformTextureCoordsDeleteFunction
//input varargin
//output none
ArrayVector vtkTransformTextureCoordsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTransformTextureCoords
//@@Section VTKGraphics
//@@Usage
// vtkTransformTextureCoords is a filter that operates on texture
// coordinates. It ingests any type of dataset, and outputs a dataset of the
// same type. The filter lets you scale, translate, and rotate texture
// coordinates. For example, by using the the Scale ivar, you can shift
// texture coordinates that range from (0->1) to range from (0->10) (useful
// for repeated patterns).
// 
// The filter operates on texture coordinates of dimension 1->3. The texture 
// coordinates are referred to as r-s-t. If the texture map is two dimensional,
// the t-coordinate (and operations on the t-coordinate) are ignored.
//
//To create an instance of class vtkTransformTextureCoords, simply
//invoke its constructor as follows
//@[
//  obj = vtkTransformTextureCoords
//@]
//@@Methods
//The class vtkTransformTextureCoords has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTransformTextureCoords class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTransformTextureCoords = obj.NewInstance ()|
// \item @|vtkTransformTextureCoords = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPosition (double , double , double )| -  Set/Get the position of the texture map. Setting the position translates
// the texture map by the amount specified. 
//// \item @|obj.SetPosition (double  a[3])| -  Set/Get the position of the texture map. Setting the position translates
// the texture map by the amount specified. 
//// \item @|double = obj. GetPosition ()| -  Set/Get the position of the texture map. Setting the position translates
// the texture map by the amount specified. 
//// \item @|obj.AddPosition (double deltaR, double deltaS, double deltaT)| -  Incrementally change the position of the texture map (i.e., does a
// translate or shift of the texture coordinates).
//// \item @|obj.AddPosition (double deltaPosition[3])| -  Incrementally change the position of the texture map (i.e., does a
// translate or shift of the texture coordinates).
//// \item @|obj.SetScale (double , double , double )| -  Set/Get the scale of the texture map. Scaling in performed independently 
// on the r, s and t axes.
//// \item @|obj.SetScale (double  a[3])| -  Set/Get the scale of the texture map. Scaling in performed independently 
// on the r, s and t axes.
//// \item @|double = obj. GetScale ()| -  Set/Get the scale of the texture map. Scaling in performed independently 
// on the r, s and t axes.
//// \item @|obj.SetOrigin (double , double , double )| -  Set/Get the origin of the texture map. This is the point about which the
// texture map is flipped (e.g., rotated). Since a typical texture map ranges
// from (0,1) in the r-s-t coordinates, the default origin is set at 
// (0.5,0.5,0.5).
//// \item @|obj.SetOrigin (double  a[3])| -  Set/Get the origin of the texture map. This is the point about which the
// texture map is flipped (e.g., rotated). Since a typical texture map ranges
// from (0,1) in the r-s-t coordinates, the default origin is set at 
// (0.5,0.5,0.5).
//// \item @|double = obj. GetOrigin ()| -  Set/Get the origin of the texture map. This is the point about which the
// texture map is flipped (e.g., rotated). Since a typical texture map ranges
// from (0,1) in the r-s-t coordinates, the default origin is set at 
// (0.5,0.5,0.5).
//// \item @|obj.SetFlipR (int )| -  Boolean indicates whether the texture map should be flipped around the 
// s-axis. Note that the flips occur around the texture origin.
//// \item @|int = obj.GetFlipR ()| -  Boolean indicates whether the texture map should be flipped around the 
// s-axis. Note that the flips occur around the texture origin.
//// \item @|obj.FlipROn ()| -  Boolean indicates whether the texture map should be flipped around the 
// s-axis. Note that the flips occur around the texture origin.
//// \item @|obj.FlipROff ()| -  Boolean indicates whether the texture map should be flipped around the 
// s-axis. Note that the flips occur around the texture origin.
//// \item @|obj.SetFlipS (int )| -  Boolean indicates whether the texture map should be flipped around the 
// s-axis. Note that the flips occur around the texture origin.
//// \item @|int = obj.GetFlipS ()| -  Boolean indicates whether the texture map should be flipped around the 
// s-axis. Note that the flips occur around the texture origin.
//// \item @|obj.FlipSOn ()| -  Boolean indicates whether the texture map should be flipped around the 
// s-axis. Note that the flips occur around the texture origin.
//// \item @|obj.FlipSOff ()| -  Boolean indicates whether the texture map should be flipped around the 
// s-axis. Note that the flips occur around the texture origin.
//// \item @|obj.SetFlipT (int )| -  Boolean indicates whether the texture map should be flipped around the 
// t-axis. Note that the flips occur around the texture origin.
//// \item @|int = obj.GetFlipT ()| -  Boolean indicates whether the texture map should be flipped around the 
// t-axis. Note that the flips occur around the texture origin.
//// \item @|obj.FlipTOn ()| -  Boolean indicates whether the texture map should be flipped around the 
// t-axis. Note that the flips occur around the texture origin.
//// \item @|obj.FlipTOff ()| -  Boolean indicates whether the texture map should be flipped around the 
// t-axis. Note that the flips occur around the texture origin.
////\end{itemize}
//!
