#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTriangleFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTriangleFilter.h"

//@@Signature
//sfunction @vtkTriangleFilter:vtkTriangleFilter vtkTriangleFilterConstructorFunction
//input a
//output p
//@@Parents vtkTriangleFilter vtkPolyDataAlgorithm 
ArrayVector vtkTriangleFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTriangleFilter::New(),"vtkTriangleFilter",eval);
  } else if (arg[0].className() == "vtkTriangleFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTriangleFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTriangleFilter");
    vtkTriangleFilter*q = reinterpret_cast<vtkTriangleFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTriangleFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTriangleFilter:GetClassName vtkTriangleFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTriangleFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTriangleFilter requires 1 argument(s)");
  vtkTriangleFilter* vtk_pointer = GetVTKPointer<vtkTriangleFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangleFilter:IsA vtkTriangleFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTriangleFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTriangleFilter requires 2 argument(s)");
  vtkTriangleFilter* vtk_pointer = GetVTKPointer<vtkTriangleFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangleFilter:NewInstance vtkTriangleFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTriangleFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTriangleFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTriangleFilter requires 1 argument(s)");
  vtkTriangleFilter* vtk_pointer = GetVTKPointer<vtkTriangleFilter>(arg[0]);
  Array retval;
  vtkTriangleFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTriangleFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTriangleFilter:SafeDownCast vtkTriangleFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTriangleFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTriangleFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTriangleFilter requires 2 argument(s)");
  vtkTriangleFilter* vtk_pointer = GetVTKPointer<vtkTriangleFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTriangleFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTriangleFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTriangleFilter:PassVertsOn vtkTriangleFilterPassVertsOnFunction
//input a0 
//output none
ArrayVector vtkTriangleFilterPassVertsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassVertsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PassVertsOn for class vtkTriangleFilter requires 1 argument(s)");
  vtkTriangleFilter* vtk_pointer = GetVTKPointer<vtkTriangleFilter>(arg[0]);
  Array retval;
  vtk_pointer->PassVertsOn();
  return retval;
}

//@@Signature
//sfunction @vtkTriangleFilter:PassVertsOff vtkTriangleFilterPassVertsOffFunction
//input a0 
//output none
ArrayVector vtkTriangleFilterPassVertsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassVertsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PassVertsOff for class vtkTriangleFilter requires 1 argument(s)");
  vtkTriangleFilter* vtk_pointer = GetVTKPointer<vtkTriangleFilter>(arg[0]);
  Array retval;
  vtk_pointer->PassVertsOff();
  return retval;
}

//@@Signature
//sfunction @vtkTriangleFilter:SetPassVerts vtkTriangleFilterSetPassVertsFunction
//input a0 a1 
//output none
ArrayVector vtkTriangleFilterSetPassVertsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPassVerts (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPassVerts for class vtkTriangleFilter requires 2 argument(s)");
  vtkTriangleFilter* vtk_pointer = GetVTKPointer<vtkTriangleFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPassVerts(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTriangleFilter:GetPassVerts vtkTriangleFilterGetPassVertsFunction
//input a0 
//output y
ArrayVector vtkTriangleFilterGetPassVertsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPassVerts (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPassVerts for class vtkTriangleFilter requires 1 argument(s)");
  vtkTriangleFilter* vtk_pointer = GetVTKPointer<vtkTriangleFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPassVerts();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangleFilter:PassLinesOn vtkTriangleFilterPassLinesOnFunction
//input a0 
//output none
ArrayVector vtkTriangleFilterPassLinesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassLinesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PassLinesOn for class vtkTriangleFilter requires 1 argument(s)");
  vtkTriangleFilter* vtk_pointer = GetVTKPointer<vtkTriangleFilter>(arg[0]);
  Array retval;
  vtk_pointer->PassLinesOn();
  return retval;
}

//@@Signature
//sfunction @vtkTriangleFilter:PassLinesOff vtkTriangleFilterPassLinesOffFunction
//input a0 
//output none
ArrayVector vtkTriangleFilterPassLinesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassLinesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PassLinesOff for class vtkTriangleFilter requires 1 argument(s)");
  vtkTriangleFilter* vtk_pointer = GetVTKPointer<vtkTriangleFilter>(arg[0]);
  Array retval;
  vtk_pointer->PassLinesOff();
  return retval;
}

//@@Signature
//sfunction @vtkTriangleFilter:SetPassLines vtkTriangleFilterSetPassLinesFunction
//input a0 a1 
//output none
ArrayVector vtkTriangleFilterSetPassLinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPassLines (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPassLines for class vtkTriangleFilter requires 2 argument(s)");
  vtkTriangleFilter* vtk_pointer = GetVTKPointer<vtkTriangleFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPassLines(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTriangleFilter:GetPassLines vtkTriangleFilterGetPassLinesFunction
//input a0 
//output y
ArrayVector vtkTriangleFilterGetPassLinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPassLines (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPassLines for class vtkTriangleFilter requires 1 argument(s)");
  vtkTriangleFilter* vtk_pointer = GetVTKPointer<vtkTriangleFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPassLines();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangleFilter:display vtkTriangleFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTriangleFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTriangleFilter* vtk_pointer = GetVTKPointer<vtkTriangleFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTriangleFilter:delete vtkTriangleFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkTriangleFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTriangleFilter
//@@Section VTKGraphics
//@@Usage
// vtkTriangleFilter generates triangles from input polygons and triangle 
// strips. The filter also will pass through vertices and lines, if
// requested.
//
//To create an instance of class vtkTriangleFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkTriangleFilter
//@]
//@@Methods
//The class vtkTriangleFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTriangleFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTriangleFilter = obj.NewInstance ()|
// \item @|vtkTriangleFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.PassVertsOn ()| -  Turn on/off passing vertices through filter.
//// \item @|obj.PassVertsOff ()| -  Turn on/off passing vertices through filter.
//// \item @|obj.SetPassVerts (int )| -  Turn on/off passing vertices through filter.
//// \item @|int = obj.GetPassVerts ()| -  Turn on/off passing vertices through filter.
//// \item @|obj.PassLinesOn ()| -  Turn on/off passing lines through filter.
//// \item @|obj.PassLinesOff ()| -  Turn on/off passing lines through filter.
//// \item @|obj.SetPassLines (int )| -  Turn on/off passing lines through filter.
//// \item @|int = obj.GetPassLines ()| -  Turn on/off passing lines through filter.
////\end{itemize}
//!
