#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTriangularTCoords object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTriangularTCoords.h"

//@@Signature
//sfunction @vtkTriangularTCoords:vtkTriangularTCoords vtkTriangularTCoordsConstructorFunction
//input a
//output p
//@@Parents vtkTriangularTCoords vtkPolyDataAlgorithm 
ArrayVector vtkTriangularTCoordsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTriangularTCoords::New(),"vtkTriangularTCoords",eval);
  } else if (arg[0].className() == "vtkTriangularTCoords") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTriangularTCoords"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTriangularTCoords");
    vtkTriangularTCoords*q = reinterpret_cast<vtkTriangularTCoords*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTriangularTCoords");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTriangularTCoords:GetClassName vtkTriangularTCoordsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTriangularTCoordsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTriangularTCoords requires 1 argument(s)");
  vtkTriangularTCoords* vtk_pointer = GetVTKPointer<vtkTriangularTCoords>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangularTCoords:IsA vtkTriangularTCoordsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTriangularTCoordsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTriangularTCoords requires 2 argument(s)");
  vtkTriangularTCoords* vtk_pointer = GetVTKPointer<vtkTriangularTCoords>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangularTCoords:NewInstance vtkTriangularTCoordsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTriangularTCoordsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTriangularTCoords *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTriangularTCoords requires 1 argument(s)");
  vtkTriangularTCoords* vtk_pointer = GetVTKPointer<vtkTriangularTCoords>(arg[0]);
  Array retval;
  vtkTriangularTCoords  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTriangularTCoords",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTriangularTCoords:SafeDownCast vtkTriangularTCoordsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTriangularTCoordsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTriangularTCoords *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTriangularTCoords requires 2 argument(s)");
  vtkTriangularTCoords* vtk_pointer = GetVTKPointer<vtkTriangularTCoords>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTriangularTCoords  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTriangularTCoords",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTriangularTCoords:display vtkTriangularTCoordsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTriangularTCoordsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTriangularTCoords* vtk_pointer = GetVTKPointer<vtkTriangularTCoords>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTriangularTCoords:delete vtkTriangularTCoordsDeleteFunction
//input varargin
//output none
ArrayVector vtkTriangularTCoordsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTriangularTCoords
//@@Section VTKGraphics
//@@Usage
// vtkTriangularTCoords is a filter that generates texture coordinates
// for triangles. Texture coordinates for each triangle are:
// (0,0), (1,0) and (.5,sqrt(3)/2). This filter assumes that the triangle
// texture map is symmetric about the center of the triangle. Thus the order
// Of the texture coordinates is not important. The procedural texture
// in vtkTriangularTexture is designed with this symmetry. For more information
// see the paper "Opacity-modulating Triangular Textures for Irregular 
// Surfaces,"  by Penny Rheingans, IEEE Visualization '96, pp. 219-225.
//
//To create an instance of class vtkTriangularTCoords, simply
//invoke its constructor as follows
//@[
//  obj = vtkTriangularTCoords
//@]
//@@Methods
//The class vtkTriangularTCoords has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTriangularTCoords class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTriangularTCoords = obj.NewInstance ()|
// \item @|vtkTriangularTCoords = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
