#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTubeFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTubeFilter.h"

//@@Signature
//sfunction @vtkTubeFilter:vtkTubeFilter vtkTubeFilterConstructorFunction
//input a
//output p
//@@Parents vtkTubeFilter vtkPolyDataAlgorithm 
ArrayVector vtkTubeFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTubeFilter::New(),"vtkTubeFilter",eval);
  } else if (arg[0].className() == "vtkTubeFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTubeFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTubeFilter");
    vtkTubeFilter*q = reinterpret_cast<vtkTubeFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTubeFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTubeFilter:GetClassName vtkTubeFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTubeFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:IsA vtkTubeFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTubeFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTubeFilter requires 2 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:NewInstance vtkTubeFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTubeFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTubeFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  vtkTubeFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTubeFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:SafeDownCast vtkTubeFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTubeFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTubeFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTubeFilter requires 2 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTubeFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTubeFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:SetRadius vtkTubeFilterSetRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkTubeFilterSetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRadius for class vtkTubeFilter requires 2 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:GetRadiusMinValue vtkTubeFilterGetRadiusMinValueFunction
//input a0 
//output y
ArrayVector vtkTubeFilterGetRadiusMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadiusMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadiusMinValue for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadiusMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:GetRadiusMaxValue vtkTubeFilterGetRadiusMaxValueFunction
//input a0 
//output y
ArrayVector vtkTubeFilterGetRadiusMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadiusMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadiusMaxValue for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadiusMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:GetRadius vtkTubeFilterGetRadiusFunction
//input a0 
//output y
ArrayVector vtkTubeFilterGetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadius for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:SetVaryRadius vtkTubeFilterSetVaryRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkTubeFilterSetVaryRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVaryRadius (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetVaryRadius for class vtkTubeFilter requires 2 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetVaryRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:GetVaryRadiusMinValue vtkTubeFilterGetVaryRadiusMinValueFunction
//input a0 
//output y
ArrayVector vtkTubeFilterGetVaryRadiusMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVaryRadiusMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVaryRadiusMinValue for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVaryRadiusMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:GetVaryRadiusMaxValue vtkTubeFilterGetVaryRadiusMaxValueFunction
//input a0 
//output y
ArrayVector vtkTubeFilterGetVaryRadiusMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVaryRadiusMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVaryRadiusMaxValue for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVaryRadiusMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:GetVaryRadius vtkTubeFilterGetVaryRadiusFunction
//input a0 
//output y
ArrayVector vtkTubeFilterGetVaryRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVaryRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVaryRadius for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVaryRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:SetVaryRadiusToVaryRadiusOff vtkTubeFilterSetVaryRadiusToVaryRadiusOffFunction
//input a0 
//output none
ArrayVector vtkTubeFilterSetVaryRadiusToVaryRadiusOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVaryRadiusToVaryRadiusOff ();this SetVaryRadius VTK_VARY_RADIUS_OFF  */
  if (arg.size() < 1) 
    throw Exception("Function SetVaryRadiusToVaryRadiusOff for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetVaryRadiusToVaryRadiusOff();
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:SetVaryRadiusToVaryRadiusByScalar vtkTubeFilterSetVaryRadiusToVaryRadiusByScalarFunction
//input a0 
//output none
ArrayVector vtkTubeFilterSetVaryRadiusToVaryRadiusByScalarFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVaryRadiusToVaryRadiusByScalar ();this SetVaryRadius VTK_VARY_RADIUS_BY_SCALAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetVaryRadiusToVaryRadiusByScalar for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetVaryRadiusToVaryRadiusByScalar();
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:SetVaryRadiusToVaryRadiusByVector vtkTubeFilterSetVaryRadiusToVaryRadiusByVectorFunction
//input a0 
//output none
ArrayVector vtkTubeFilterSetVaryRadiusToVaryRadiusByVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVaryRadiusToVaryRadiusByVector ();this SetVaryRadius VTK_VARY_RADIUS_BY_VECTOR  */
  if (arg.size() < 1) 
    throw Exception("Function SetVaryRadiusToVaryRadiusByVector for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetVaryRadiusToVaryRadiusByVector();
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:SetVaryRadiusToVaryRadiusByAbsoluteScalar vtkTubeFilterSetVaryRadiusToVaryRadiusByAbsoluteScalarFunction
//input a0 
//output none
ArrayVector vtkTubeFilterSetVaryRadiusToVaryRadiusByAbsoluteScalarFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVaryRadiusToVaryRadiusByAbsoluteScalar ();this SetVaryRadius VTK_VARY_RADIUS_BY_ABSOLUTE_SCALAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetVaryRadiusToVaryRadiusByAbsoluteScalar for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetVaryRadiusToVaryRadiusByAbsoluteScalar();
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:GetVaryRadiusAsString vtkTubeFilterGetVaryRadiusAsStringFunction
//input a0 
//output y
ArrayVector vtkTubeFilterGetVaryRadiusAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetVaryRadiusAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVaryRadiusAsString for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetVaryRadiusAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:SetNumberOfSides vtkTubeFilterSetNumberOfSidesFunction
//input a0 a1 
//output none
ArrayVector vtkTubeFilterSetNumberOfSidesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfSides (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfSides for class vtkTubeFilter requires 2 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfSides(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:GetNumberOfSidesMinValue vtkTubeFilterGetNumberOfSidesMinValueFunction
//input a0 
//output y
ArrayVector vtkTubeFilterGetNumberOfSidesMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSidesMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSidesMinValue for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSidesMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:GetNumberOfSidesMaxValue vtkTubeFilterGetNumberOfSidesMaxValueFunction
//input a0 
//output y
ArrayVector vtkTubeFilterGetNumberOfSidesMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSidesMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSidesMaxValue for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSidesMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:GetNumberOfSides vtkTubeFilterGetNumberOfSidesFunction
//input a0 
//output y
ArrayVector vtkTubeFilterGetNumberOfSidesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSides (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSides for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSides();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:SetRadiusFactor vtkTubeFilterSetRadiusFactorFunction
//input a0 a1 
//output none
ArrayVector vtkTubeFilterSetRadiusFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadiusFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRadiusFactor for class vtkTubeFilter requires 2 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRadiusFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:GetRadiusFactor vtkTubeFilterGetRadiusFactorFunction
//input a0 
//output y
ArrayVector vtkTubeFilterGetRadiusFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadiusFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadiusFactor for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadiusFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:SetDefaultNormal__1 vtkTubeFilterSetDefaultNormal__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTubeFilterSetDefaultNormal__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDefaultNormal (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetDefaultNormal__1 for class vtkTubeFilter requires 4 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetDefaultNormal(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:SetDefaultNormal__2 vtkTubeFilterSetDefaultNormal__2Function
//input a0 a1 
//output none
ArrayVector vtkTubeFilterSetDefaultNormal__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDefaultNormal (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDefaultNormal__2 for class vtkTubeFilter requires 2 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetDefaultNormal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:GetDefaultNormal vtkTubeFilterGetDefaultNormalFunction
//input a0 
//output y
ArrayVector vtkTubeFilterGetDefaultNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetDefaultNormal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultNormal for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetDefaultNormal();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:SetUseDefaultNormal vtkTubeFilterSetUseDefaultNormalFunction
//input a0 a1 
//output none
ArrayVector vtkTubeFilterSetUseDefaultNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseDefaultNormal (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseDefaultNormal for class vtkTubeFilter requires 2 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseDefaultNormal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:GetUseDefaultNormal vtkTubeFilterGetUseDefaultNormalFunction
//input a0 
//output y
ArrayVector vtkTubeFilterGetUseDefaultNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseDefaultNormal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseDefaultNormal for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseDefaultNormal();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:UseDefaultNormalOn vtkTubeFilterUseDefaultNormalOnFunction
//input a0 
//output none
ArrayVector vtkTubeFilterUseDefaultNormalOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseDefaultNormalOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseDefaultNormalOn for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  vtk_pointer->UseDefaultNormalOn();
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:UseDefaultNormalOff vtkTubeFilterUseDefaultNormalOffFunction
//input a0 
//output none
ArrayVector vtkTubeFilterUseDefaultNormalOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseDefaultNormalOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseDefaultNormalOff for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  vtk_pointer->UseDefaultNormalOff();
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:SetSidesShareVertices vtkTubeFilterSetSidesShareVerticesFunction
//input a0 a1 
//output none
ArrayVector vtkTubeFilterSetSidesShareVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSidesShareVertices (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSidesShareVertices for class vtkTubeFilter requires 2 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSidesShareVertices(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:GetSidesShareVertices vtkTubeFilterGetSidesShareVerticesFunction
//input a0 
//output y
ArrayVector vtkTubeFilterGetSidesShareVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSidesShareVertices (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSidesShareVertices for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSidesShareVertices();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:SidesShareVerticesOn vtkTubeFilterSidesShareVerticesOnFunction
//input a0 
//output none
ArrayVector vtkTubeFilterSidesShareVerticesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SidesShareVerticesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SidesShareVerticesOn for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  vtk_pointer->SidesShareVerticesOn();
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:SidesShareVerticesOff vtkTubeFilterSidesShareVerticesOffFunction
//input a0 
//output none
ArrayVector vtkTubeFilterSidesShareVerticesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SidesShareVerticesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SidesShareVerticesOff for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  vtk_pointer->SidesShareVerticesOff();
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:SetCapping vtkTubeFilterSetCappingFunction
//input a0 a1 
//output none
ArrayVector vtkTubeFilterSetCappingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCapping (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCapping for class vtkTubeFilter requires 2 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCapping(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:GetCapping vtkTubeFilterGetCappingFunction
//input a0 
//output y
ArrayVector vtkTubeFilterGetCappingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCapping (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCapping for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCapping();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:CappingOn vtkTubeFilterCappingOnFunction
//input a0 
//output none
ArrayVector vtkTubeFilterCappingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CappingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CappingOn for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  vtk_pointer->CappingOn();
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:CappingOff vtkTubeFilterCappingOffFunction
//input a0 
//output none
ArrayVector vtkTubeFilterCappingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CappingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CappingOff for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  vtk_pointer->CappingOff();
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:SetOnRatio vtkTubeFilterSetOnRatioFunction
//input a0 a1 
//output none
ArrayVector vtkTubeFilterSetOnRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOnRatio (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOnRatio for class vtkTubeFilter requires 2 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOnRatio(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:GetOnRatioMinValue vtkTubeFilterGetOnRatioMinValueFunction
//input a0 
//output y
ArrayVector vtkTubeFilterGetOnRatioMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOnRatioMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOnRatioMinValue for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOnRatioMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:GetOnRatioMaxValue vtkTubeFilterGetOnRatioMaxValueFunction
//input a0 
//output y
ArrayVector vtkTubeFilterGetOnRatioMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOnRatioMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOnRatioMaxValue for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOnRatioMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:GetOnRatio vtkTubeFilterGetOnRatioFunction
//input a0 
//output y
ArrayVector vtkTubeFilterGetOnRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOnRatio (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOnRatio for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOnRatio();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:SetOffset vtkTubeFilterSetOffsetFunction
//input a0 a1 
//output none
ArrayVector vtkTubeFilterSetOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOffset (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOffset for class vtkTubeFilter requires 2 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOffset(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:GetOffsetMinValue vtkTubeFilterGetOffsetMinValueFunction
//input a0 
//output y
ArrayVector vtkTubeFilterGetOffsetMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOffsetMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOffsetMinValue for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOffsetMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:GetOffsetMaxValue vtkTubeFilterGetOffsetMaxValueFunction
//input a0 
//output y
ArrayVector vtkTubeFilterGetOffsetMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOffsetMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOffsetMaxValue for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOffsetMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:GetOffset vtkTubeFilterGetOffsetFunction
//input a0 
//output y
ArrayVector vtkTubeFilterGetOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOffset (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOffset for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOffset();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:SetGenerateTCoords vtkTubeFilterSetGenerateTCoordsFunction
//input a0 a1 
//output none
ArrayVector vtkTubeFilterSetGenerateTCoordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateTCoords (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateTCoords for class vtkTubeFilter requires 2 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateTCoords(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:GetGenerateTCoordsMinValue vtkTubeFilterGetGenerateTCoordsMinValueFunction
//input a0 
//output y
ArrayVector vtkTubeFilterGetGenerateTCoordsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateTCoordsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateTCoordsMinValue for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateTCoordsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:GetGenerateTCoordsMaxValue vtkTubeFilterGetGenerateTCoordsMaxValueFunction
//input a0 
//output y
ArrayVector vtkTubeFilterGetGenerateTCoordsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateTCoordsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateTCoordsMaxValue for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateTCoordsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:GetGenerateTCoords vtkTubeFilterGetGenerateTCoordsFunction
//input a0 
//output y
ArrayVector vtkTubeFilterGetGenerateTCoordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateTCoords (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateTCoords for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateTCoords();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:SetGenerateTCoordsToOff vtkTubeFilterSetGenerateTCoordsToOffFunction
//input a0 
//output none
ArrayVector vtkTubeFilterSetGenerateTCoordsToOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateTCoordsToOff ();this SetGenerateTCoords VTK_TCOORDS_OFF  */
  if (arg.size() < 1) 
    throw Exception("Function SetGenerateTCoordsToOff for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetGenerateTCoordsToOff();
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:SetGenerateTCoordsToNormalizedLength vtkTubeFilterSetGenerateTCoordsToNormalizedLengthFunction
//input a0 
//output none
ArrayVector vtkTubeFilterSetGenerateTCoordsToNormalizedLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateTCoordsToNormalizedLength ();this SetGenerateTCoords VTK_TCOORDS_FROM_NORMALIZED_LENGTH  */
  if (arg.size() < 1) 
    throw Exception("Function SetGenerateTCoordsToNormalizedLength for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetGenerateTCoordsToNormalizedLength();
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:SetGenerateTCoordsToUseLength vtkTubeFilterSetGenerateTCoordsToUseLengthFunction
//input a0 
//output none
ArrayVector vtkTubeFilterSetGenerateTCoordsToUseLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateTCoordsToUseLength ();this SetGenerateTCoords VTK_TCOORDS_FROM_LENGTH  */
  if (arg.size() < 1) 
    throw Exception("Function SetGenerateTCoordsToUseLength for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetGenerateTCoordsToUseLength();
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:SetGenerateTCoordsToUseScalars vtkTubeFilterSetGenerateTCoordsToUseScalarsFunction
//input a0 
//output none
ArrayVector vtkTubeFilterSetGenerateTCoordsToUseScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateTCoordsToUseScalars ();this SetGenerateTCoords VTK_TCOORDS_FROM_SCALARS  */
  if (arg.size() < 1) 
    throw Exception("Function SetGenerateTCoordsToUseScalars for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetGenerateTCoordsToUseScalars();
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:GetGenerateTCoordsAsString vtkTubeFilterGetGenerateTCoordsAsStringFunction
//input a0 
//output y
ArrayVector vtkTubeFilterGetGenerateTCoordsAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetGenerateTCoordsAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateTCoordsAsString for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetGenerateTCoordsAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:SetTextureLength vtkTubeFilterSetTextureLengthFunction
//input a0 a1 
//output none
ArrayVector vtkTubeFilterSetTextureLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTextureLength (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextureLength for class vtkTubeFilter requires 2 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTextureLength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:GetTextureLengthMinValue vtkTubeFilterGetTextureLengthMinValueFunction
//input a0 
//output y
ArrayVector vtkTubeFilterGetTextureLengthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTextureLengthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureLengthMinValue for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTextureLengthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:GetTextureLengthMaxValue vtkTubeFilterGetTextureLengthMaxValueFunction
//input a0 
//output y
ArrayVector vtkTubeFilterGetTextureLengthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTextureLengthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureLengthMaxValue for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTextureLengthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:GetTextureLength vtkTubeFilterGetTextureLengthFunction
//input a0 
//output y
ArrayVector vtkTubeFilterGetTextureLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTextureLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureLength for class vtkTubeFilter requires 1 argument(s)");
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTextureLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTubeFilter:SetDefaultNormal vtkTubeFilterSetDefaultNormalFunction
//input varargin
//output varargout
ArrayVector vtkTubeFilterSetDefaultNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkTubeFilterSetDefaultNormal__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTubeFilterSetDefaultNormal__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTubeFilterSetDefaultNormal");
}

//@@Signature
//sfunction @vtkTubeFilter:display vtkTubeFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTubeFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTubeFilter* vtk_pointer = GetVTKPointer<vtkTubeFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTubeFilter:delete vtkTubeFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkTubeFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTubeFilter
//@@Section VTKGraphics
//@@Usage
// vtkTubeFilter is a filter that generates a tube around each input line. 
// The tubes are made up of triangle strips and rotate around the tube with
// the rotation of the line normals. (If no normals are present, they are
// computed automatically.) The radius of the tube can be set to vary with 
// scalar or vector value. If the radius varies with scalar value the radius
// is linearly adjusted. If the radius varies with vector value, a mass
// flux preserving variation is used. The number of sides for the tube also 
// can be specified. You can also specify which of the sides are visible. This
// is useful for generating interesting striping effects. Other options
// include the ability to cap the tube and generate texture coordinates.
// Texture coordinates can be used with an associated texture map to create
// interesting effects such as marking the tube with stripes corresponding
// to length or time.
//
// This filter is typically used to create thick or dramatic lines. Another
// common use is to combine this filter with vtkStreamLine to generate
// streamtubes.
//
//To create an instance of class vtkTubeFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkTubeFilter
//@]
//@@Methods
//The class vtkTubeFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTubeFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTubeFilter = obj.NewInstance ()|
// \item @|vtkTubeFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetRadius (double )| -  Set the minimum tube radius (minimum because the tube radius may vary).
//// \item @|double = obj.GetRadiusMinValue ()| -  Set the minimum tube radius (minimum because the tube radius may vary).
//// \item @|double = obj.GetRadiusMaxValue ()| -  Set the minimum tube radius (minimum because the tube radius may vary).
//// \item @|double = obj.GetRadius ()| -  Set the minimum tube radius (minimum because the tube radius may vary).
//// \item @|obj.SetVaryRadius (int )| -  Turn on/off the variation of tube radius with scalar value.
//// \item @|int = obj.GetVaryRadiusMinValue ()| -  Turn on/off the variation of tube radius with scalar value.
//// \item @|int = obj.GetVaryRadiusMaxValue ()| -  Turn on/off the variation of tube radius with scalar value.
//// \item @|int = obj.GetVaryRadius ()| -  Turn on/off the variation of tube radius with scalar value.
//// \item @|obj.SetVaryRadiusToVaryRadiusOff ()| -  Turn on/off the variation of tube radius with scalar value.
//// \item @|obj.SetVaryRadiusToVaryRadiusByScalar ()| -  Turn on/off the variation of tube radius with scalar value.
//// \item @|obj.SetVaryRadiusToVaryRadiusByVector ()| -  Turn on/off the variation of tube radius with scalar value.
//// \item @|obj.SetVaryRadiusToVaryRadiusByAbsoluteScalar ()| -  Turn on/off the variation of tube radius with scalar value.
//// \item @|string = obj.GetVaryRadiusAsString ()| -  Turn on/off the variation of tube radius with scalar value.
//// \item @|obj.SetNumberOfSides (int )| -  Set the number of sides for the tube. At a minimum, number of sides is 3.
//// \item @|int = obj.GetNumberOfSidesMinValue ()| -  Set the number of sides for the tube. At a minimum, number of sides is 3.
//// \item @|int = obj.GetNumberOfSidesMaxValue ()| -  Set the number of sides for the tube. At a minimum, number of sides is 3.
//// \item @|int = obj.GetNumberOfSides ()| -  Set the number of sides for the tube. At a minimum, number of sides is 3.
//// \item @|obj.SetRadiusFactor (double )| -  Set the maximum tube radius in terms of a multiple of the minimum radius.
//// \item @|double = obj.GetRadiusFactor ()| -  Set the maximum tube radius in terms of a multiple of the minimum radius.
//// \item @|obj.SetDefaultNormal (double , double , double )| -  Set the default normal to use if no normals are supplied, and the
// DefaultNormalOn is set.
//// \item @|obj.SetDefaultNormal (double  a[3])| -  Set the default normal to use if no normals are supplied, and the
// DefaultNormalOn is set.
//// \item @|double = obj. GetDefaultNormal ()| -  Set the default normal to use if no normals are supplied, and the
// DefaultNormalOn is set.
//// \item @|obj.SetUseDefaultNormal (int )| -  Set a boolean to control whether to use default normals.
// DefaultNormalOn is set.
//// \item @|int = obj.GetUseDefaultNormal ()| -  Set a boolean to control whether to use default normals.
// DefaultNormalOn is set.
//// \item @|obj.UseDefaultNormalOn ()| -  Set a boolean to control whether to use default normals.
// DefaultNormalOn is set.
//// \item @|obj.UseDefaultNormalOff ()| -  Set a boolean to control whether to use default normals.
// DefaultNormalOn is set.
//// \item @|obj.SetSidesShareVertices (int )| -  Set a boolean to control whether tube sides should share vertices.
// This creates independent strips, with constant normals so the
// tube is always faceted in appearance.
//// \item @|int = obj.GetSidesShareVertices ()| -  Set a boolean to control whether tube sides should share vertices.
// This creates independent strips, with constant normals so the
// tube is always faceted in appearance.
//// \item @|obj.SidesShareVerticesOn ()| -  Set a boolean to control whether tube sides should share vertices.
// This creates independent strips, with constant normals so the
// tube is always faceted in appearance.
//// \item @|obj.SidesShareVerticesOff ()| -  Set a boolean to control whether tube sides should share vertices.
// This creates independent strips, with constant normals so the
// tube is always faceted in appearance.
//// \item @|obj.SetCapping (int )| -  Turn on/off whether to cap the ends with polygons.
//// \item @|int = obj.GetCapping ()| -  Turn on/off whether to cap the ends with polygons.
//// \item @|obj.CappingOn ()| -  Turn on/off whether to cap the ends with polygons.
//// \item @|obj.CappingOff ()| -  Turn on/off whether to cap the ends with polygons.
//// \item @|obj.SetOnRatio (int )| -  Control the striping of the tubes. If OnRatio is greater than 1,
// then every nth tube side is turned on, beginning with the Offset
// side.
//// \item @|int = obj.GetOnRatioMinValue ()| -  Control the striping of the tubes. If OnRatio is greater than 1,
// then every nth tube side is turned on, beginning with the Offset
// side.
//// \item @|int = obj.GetOnRatioMaxValue ()| -  Control the striping of the tubes. If OnRatio is greater than 1,
// then every nth tube side is turned on, beginning with the Offset
// side.
//// \item @|int = obj.GetOnRatio ()| -  Control the striping of the tubes. If OnRatio is greater than 1,
// then every nth tube side is turned on, beginning with the Offset
// side.
//// \item @|obj.SetOffset (int )| -  Control the striping of the tubes. The offset sets the
// first tube side that is visible. Offset is generally used with
// OnRatio to create nifty striping effects.
//// \item @|int = obj.GetOffsetMinValue ()| -  Control the striping of the tubes. The offset sets the
// first tube side that is visible. Offset is generally used with
// OnRatio to create nifty striping effects.
//// \item @|int = obj.GetOffsetMaxValue ()| -  Control the striping of the tubes. The offset sets the
// first tube side that is visible. Offset is generally used with
// OnRatio to create nifty striping effects.
//// \item @|int = obj.GetOffset ()| -  Control the striping of the tubes. The offset sets the
// first tube side that is visible. Offset is generally used with
// OnRatio to create nifty striping effects.
//// \item @|obj.SetGenerateTCoords (int )| -  Control whether and how texture coordinates are produced. This is
// useful for striping the tube with length textures, etc. If you
// use scalars to create the texture, the scalars are assumed to be
// monotonically increasing (or decreasing).
//// \item @|int = obj.GetGenerateTCoordsMinValue ()| -  Control whether and how texture coordinates are produced. This is
// useful for striping the tube with length textures, etc. If you
// use scalars to create the texture, the scalars are assumed to be
// monotonically increasing (or decreasing).
//// \item @|int = obj.GetGenerateTCoordsMaxValue ()| -  Control whether and how texture coordinates are produced. This is
// useful for striping the tube with length textures, etc. If you
// use scalars to create the texture, the scalars are assumed to be
// monotonically increasing (or decreasing).
//// \item @|int = obj.GetGenerateTCoords ()| -  Control whether and how texture coordinates are produced. This is
// useful for striping the tube with length textures, etc. If you
// use scalars to create the texture, the scalars are assumed to be
// monotonically increasing (or decreasing).
//// \item @|obj.SetGenerateTCoordsToOff ()| -  Control whether and how texture coordinates are produced. This is
// useful for striping the tube with length textures, etc. If you
// use scalars to create the texture, the scalars are assumed to be
// monotonically increasing (or decreasing).
//// \item @|obj.SetGenerateTCoordsToNormalizedLength ()| -  Control whether and how texture coordinates are produced. This is
// useful for striping the tube with length textures, etc. If you
// use scalars to create the texture, the scalars are assumed to be
// monotonically increasing (or decreasing).
//// \item @|obj.SetGenerateTCoordsToUseLength ()| -  Control whether and how texture coordinates are produced. This is
// useful for striping the tube with length textures, etc. If you
// use scalars to create the texture, the scalars are assumed to be
// monotonically increasing (or decreasing).
//// \item @|obj.SetGenerateTCoordsToUseScalars ()| -  Control whether and how texture coordinates are produced. This is
// useful for striping the tube with length textures, etc. If you
// use scalars to create the texture, the scalars are assumed to be
// monotonically increasing (or decreasing).
//// \item @|string = obj.GetGenerateTCoordsAsString ()| -  Control whether and how texture coordinates are produced. This is
// useful for striping the tube with length textures, etc. If you
// use scalars to create the texture, the scalars are assumed to be
// monotonically increasing (or decreasing).
//// \item @|obj.SetTextureLength (double )| -  Control the conversion of units during the texture coordinates
// calculation. The TextureLength indicates what length (whether 
// calculated from scalars or length) is mapped to the [0,1)
// texture space.
//// \item @|double = obj.GetTextureLengthMinValue ()| -  Control the conversion of units during the texture coordinates
// calculation. The TextureLength indicates what length (whether 
// calculated from scalars or length) is mapped to the [0,1)
// texture space.
//// \item @|double = obj.GetTextureLengthMaxValue ()| -  Control the conversion of units during the texture coordinates
// calculation. The TextureLength indicates what length (whether 
// calculated from scalars or length) is mapped to the [0,1)
// texture space.
//// \item @|double = obj.GetTextureLength ()| -  Control the conversion of units during the texture coordinates
// calculation. The TextureLength indicates what length (whether 
// calculated from scalars or length) is mapped to the [0,1)
// texture space.
////\end{itemize}
//!
