#include "VTKWrap.hpp"

// FreeMat wrapper for vtkUncertaintyTubeFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkUncertaintyTubeFilter.h"

//@@Signature
//sfunction @vtkUncertaintyTubeFilter:vtkUncertaintyTubeFilter vtkUncertaintyTubeFilterConstructorFunction
//input a
//output p
//@@Parents vtkUncertaintyTubeFilter vtkPolyDataAlgorithm 
ArrayVector vtkUncertaintyTubeFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkUncertaintyTubeFilter::New(),"vtkUncertaintyTubeFilter",eval);
  } else if (arg[0].className() == "vtkUncertaintyTubeFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkUncertaintyTubeFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkUncertaintyTubeFilter");
    vtkUncertaintyTubeFilter*q = reinterpret_cast<vtkUncertaintyTubeFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkUncertaintyTubeFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkUncertaintyTubeFilter:GetClassName vtkUncertaintyTubeFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkUncertaintyTubeFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkUncertaintyTubeFilter requires 1 argument(s)");
  vtkUncertaintyTubeFilter* vtk_pointer = GetVTKPointer<vtkUncertaintyTubeFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUncertaintyTubeFilter:IsA vtkUncertaintyTubeFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkUncertaintyTubeFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkUncertaintyTubeFilter requires 2 argument(s)");
  vtkUncertaintyTubeFilter* vtk_pointer = GetVTKPointer<vtkUncertaintyTubeFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUncertaintyTubeFilter:NewInstance vtkUncertaintyTubeFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkUncertaintyTubeFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUncertaintyTubeFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkUncertaintyTubeFilter requires 1 argument(s)");
  vtkUncertaintyTubeFilter* vtk_pointer = GetVTKPointer<vtkUncertaintyTubeFilter>(arg[0]);
  Array retval;
  vtkUncertaintyTubeFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUncertaintyTubeFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUncertaintyTubeFilter:SafeDownCast vtkUncertaintyTubeFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkUncertaintyTubeFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUncertaintyTubeFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkUncertaintyTubeFilter requires 2 argument(s)");
  vtkUncertaintyTubeFilter* vtk_pointer = GetVTKPointer<vtkUncertaintyTubeFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkUncertaintyTubeFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUncertaintyTubeFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUncertaintyTubeFilter:SetNumberOfSides vtkUncertaintyTubeFilterSetNumberOfSidesFunction
//input a0 a1 
//output none
ArrayVector vtkUncertaintyTubeFilterSetNumberOfSidesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfSides (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfSides for class vtkUncertaintyTubeFilter requires 2 argument(s)");
  vtkUncertaintyTubeFilter* vtk_pointer = GetVTKPointer<vtkUncertaintyTubeFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfSides(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUncertaintyTubeFilter:GetNumberOfSidesMinValue vtkUncertaintyTubeFilterGetNumberOfSidesMinValueFunction
//input a0 
//output y
ArrayVector vtkUncertaintyTubeFilterGetNumberOfSidesMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSidesMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSidesMinValue for class vtkUncertaintyTubeFilter requires 1 argument(s)");
  vtkUncertaintyTubeFilter* vtk_pointer = GetVTKPointer<vtkUncertaintyTubeFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSidesMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUncertaintyTubeFilter:GetNumberOfSidesMaxValue vtkUncertaintyTubeFilterGetNumberOfSidesMaxValueFunction
//input a0 
//output y
ArrayVector vtkUncertaintyTubeFilterGetNumberOfSidesMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSidesMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSidesMaxValue for class vtkUncertaintyTubeFilter requires 1 argument(s)");
  vtkUncertaintyTubeFilter* vtk_pointer = GetVTKPointer<vtkUncertaintyTubeFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSidesMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUncertaintyTubeFilter:GetNumberOfSides vtkUncertaintyTubeFilterGetNumberOfSidesFunction
//input a0 
//output y
ArrayVector vtkUncertaintyTubeFilterGetNumberOfSidesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSides (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSides for class vtkUncertaintyTubeFilter requires 1 argument(s)");
  vtkUncertaintyTubeFilter* vtk_pointer = GetVTKPointer<vtkUncertaintyTubeFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSides();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUncertaintyTubeFilter:display vtkUncertaintyTubeFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkUncertaintyTubeFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkUncertaintyTubeFilter* vtk_pointer = GetVTKPointer<vtkUncertaintyTubeFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkUncertaintyTubeFilter:delete vtkUncertaintyTubeFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkUncertaintyTubeFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkUncertaintyTubeFilter
//@@Section VTKGraphics
//@@Usage
// vtkUncertaintyTubeFilter is a filter that generates ellipsoidal (in cross
// section) tubes that follows a polyline. The input is a vtkPolyData with
// polylines that have associated vector point data. The vector data represents
// the uncertainty of the polyline in the x-y-z directions.
//
//
//To create an instance of class vtkUncertaintyTubeFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkUncertaintyTubeFilter
//@]
//@@Methods
//The class vtkUncertaintyTubeFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkUncertaintyTubeFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for printing and obtaining type information for instances of this class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for printing and obtaining type information for instances of this class.
//// \item @|vtkUncertaintyTubeFilter = obj.NewInstance ()| -  Standard methods for printing and obtaining type information for instances of this class.
//// \item @|vtkUncertaintyTubeFilter = obj.SafeDownCast (vtkObject o)| -  Standard methods for printing and obtaining type information for instances of this class.
//// \item @|obj.SetNumberOfSides (int )| -  Set / get the number of sides for the tube. At a minimum,
// the number of sides is 3.
//// \item @|int = obj.GetNumberOfSidesMinValue ()| -  Set / get the number of sides for the tube. At a minimum,
// the number of sides is 3.
//// \item @|int = obj.GetNumberOfSidesMaxValue ()| -  Set / get the number of sides for the tube. At a minimum,
// the number of sides is 3.
//// \item @|int = obj.GetNumberOfSides ()| -  Set / get the number of sides for the tube. At a minimum,
// the number of sides is 3.
////\end{itemize}
//!
