#include "VTKWrap.hpp"

// FreeMat wrapper for vtkUnstructuredGridGeometryFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkUnstructuredGridGeometryFilter.h"

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:vtkUnstructuredGridGeometryFilter vtkUnstructuredGridGeometryFilterConstructorFunction
//input a
//output p
//@@Parents vtkUnstructuredGridGeometryFilter vtkUnstructuredGridAlgorithm 
ArrayVector vtkUnstructuredGridGeometryFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkUnstructuredGridGeometryFilter::New(),"vtkUnstructuredGridGeometryFilter",eval);
  } else if (arg[0].className() == "vtkUnstructuredGridGeometryFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkUnstructuredGridGeometryFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkUnstructuredGridGeometryFilter");
    vtkUnstructuredGridGeometryFilter*q = reinterpret_cast<vtkUnstructuredGridGeometryFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkUnstructuredGridGeometryFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:GetClassName vtkUnstructuredGridGeometryFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGeometryFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkUnstructuredGridGeometryFilter requires 1 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:IsA vtkUnstructuredGridGeometryFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridGeometryFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkUnstructuredGridGeometryFilter requires 2 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:NewInstance vtkUnstructuredGridGeometryFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGeometryFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridGeometryFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkUnstructuredGridGeometryFilter requires 1 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  vtkUnstructuredGridGeometryFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridGeometryFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:SafeDownCast vtkUnstructuredGridGeometryFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridGeometryFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridGeometryFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkUnstructuredGridGeometryFilter requires 2 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkUnstructuredGridGeometryFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridGeometryFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:SetPointClipping vtkUnstructuredGridGeometryFilterSetPointClippingFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridGeometryFilterSetPointClippingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointClipping (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointClipping for class vtkUnstructuredGridGeometryFilter requires 2 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPointClipping(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:GetPointClipping vtkUnstructuredGridGeometryFilterGetPointClippingFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGeometryFilterGetPointClippingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointClipping (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointClipping for class vtkUnstructuredGridGeometryFilter requires 1 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPointClipping();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:PointClippingOn vtkUnstructuredGridGeometryFilterPointClippingOnFunction
//input a0 
//output none
ArrayVector vtkUnstructuredGridGeometryFilterPointClippingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PointClippingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PointClippingOn for class vtkUnstructuredGridGeometryFilter requires 1 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  vtk_pointer->PointClippingOn();
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:PointClippingOff vtkUnstructuredGridGeometryFilterPointClippingOffFunction
//input a0 
//output none
ArrayVector vtkUnstructuredGridGeometryFilterPointClippingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PointClippingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PointClippingOff for class vtkUnstructuredGridGeometryFilter requires 1 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  vtk_pointer->PointClippingOff();
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:SetCellClipping vtkUnstructuredGridGeometryFilterSetCellClippingFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridGeometryFilterSetCellClippingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellClipping (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCellClipping for class vtkUnstructuredGridGeometryFilter requires 2 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCellClipping(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:GetCellClipping vtkUnstructuredGridGeometryFilterGetCellClippingFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGeometryFilterGetCellClippingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellClipping (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellClipping for class vtkUnstructuredGridGeometryFilter requires 1 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellClipping();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:CellClippingOn vtkUnstructuredGridGeometryFilterCellClippingOnFunction
//input a0 
//output none
ArrayVector vtkUnstructuredGridGeometryFilterCellClippingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CellClippingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CellClippingOn for class vtkUnstructuredGridGeometryFilter requires 1 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  vtk_pointer->CellClippingOn();
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:CellClippingOff vtkUnstructuredGridGeometryFilterCellClippingOffFunction
//input a0 
//output none
ArrayVector vtkUnstructuredGridGeometryFilterCellClippingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CellClippingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CellClippingOff for class vtkUnstructuredGridGeometryFilter requires 1 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  vtk_pointer->CellClippingOff();
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:SetExtentClipping vtkUnstructuredGridGeometryFilterSetExtentClippingFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridGeometryFilterSetExtentClippingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtentClipping (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtentClipping for class vtkUnstructuredGridGeometryFilter requires 2 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetExtentClipping(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:GetExtentClipping vtkUnstructuredGridGeometryFilterGetExtentClippingFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGeometryFilterGetExtentClippingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExtentClipping (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtentClipping for class vtkUnstructuredGridGeometryFilter requires 1 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExtentClipping();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:ExtentClippingOn vtkUnstructuredGridGeometryFilterExtentClippingOnFunction
//input a0 
//output none
ArrayVector vtkUnstructuredGridGeometryFilterExtentClippingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExtentClippingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ExtentClippingOn for class vtkUnstructuredGridGeometryFilter requires 1 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  vtk_pointer->ExtentClippingOn();
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:ExtentClippingOff vtkUnstructuredGridGeometryFilterExtentClippingOffFunction
//input a0 
//output none
ArrayVector vtkUnstructuredGridGeometryFilterExtentClippingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExtentClippingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ExtentClippingOff for class vtkUnstructuredGridGeometryFilter requires 1 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  vtk_pointer->ExtentClippingOff();
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:SetPointMinimum vtkUnstructuredGridGeometryFilterSetPointMinimumFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridGeometryFilterSetPointMinimumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointMinimum (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointMinimum for class vtkUnstructuredGridGeometryFilter requires 2 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPointMinimum(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:GetPointMinimumMinValue vtkUnstructuredGridGeometryFilterGetPointMinimumMinValueFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGeometryFilterGetPointMinimumMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetPointMinimumMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointMinimumMinValue for class vtkUnstructuredGridGeometryFilter requires 1 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetPointMinimumMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:GetPointMinimumMaxValue vtkUnstructuredGridGeometryFilterGetPointMinimumMaxValueFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGeometryFilterGetPointMinimumMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetPointMinimumMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointMinimumMaxValue for class vtkUnstructuredGridGeometryFilter requires 1 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetPointMinimumMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:GetPointMinimum vtkUnstructuredGridGeometryFilterGetPointMinimumFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGeometryFilterGetPointMinimumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetPointMinimum (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointMinimum for class vtkUnstructuredGridGeometryFilter requires 1 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetPointMinimum();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:SetPointMaximum vtkUnstructuredGridGeometryFilterSetPointMaximumFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridGeometryFilterSetPointMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointMaximum (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointMaximum for class vtkUnstructuredGridGeometryFilter requires 2 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPointMaximum(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:GetPointMaximumMinValue vtkUnstructuredGridGeometryFilterGetPointMaximumMinValueFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGeometryFilterGetPointMaximumMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetPointMaximumMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointMaximumMinValue for class vtkUnstructuredGridGeometryFilter requires 1 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetPointMaximumMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:GetPointMaximumMaxValue vtkUnstructuredGridGeometryFilterGetPointMaximumMaxValueFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGeometryFilterGetPointMaximumMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetPointMaximumMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointMaximumMaxValue for class vtkUnstructuredGridGeometryFilter requires 1 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetPointMaximumMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:GetPointMaximum vtkUnstructuredGridGeometryFilterGetPointMaximumFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGeometryFilterGetPointMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetPointMaximum (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointMaximum for class vtkUnstructuredGridGeometryFilter requires 1 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetPointMaximum();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:SetCellMinimum vtkUnstructuredGridGeometryFilterSetCellMinimumFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridGeometryFilterSetCellMinimumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellMinimum (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCellMinimum for class vtkUnstructuredGridGeometryFilter requires 2 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCellMinimum(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:GetCellMinimumMinValue vtkUnstructuredGridGeometryFilterGetCellMinimumMinValueFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGeometryFilterGetCellMinimumMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetCellMinimumMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellMinimumMinValue for class vtkUnstructuredGridGeometryFilter requires 1 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetCellMinimumMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:GetCellMinimumMaxValue vtkUnstructuredGridGeometryFilterGetCellMinimumMaxValueFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGeometryFilterGetCellMinimumMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetCellMinimumMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellMinimumMaxValue for class vtkUnstructuredGridGeometryFilter requires 1 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetCellMinimumMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:GetCellMinimum vtkUnstructuredGridGeometryFilterGetCellMinimumFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGeometryFilterGetCellMinimumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetCellMinimum (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellMinimum for class vtkUnstructuredGridGeometryFilter requires 1 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetCellMinimum();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:SetCellMaximum vtkUnstructuredGridGeometryFilterSetCellMaximumFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridGeometryFilterSetCellMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellMaximum (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCellMaximum for class vtkUnstructuredGridGeometryFilter requires 2 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCellMaximum(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:GetCellMaximumMinValue vtkUnstructuredGridGeometryFilterGetCellMaximumMinValueFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGeometryFilterGetCellMaximumMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetCellMaximumMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellMaximumMinValue for class vtkUnstructuredGridGeometryFilter requires 1 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetCellMaximumMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:GetCellMaximumMaxValue vtkUnstructuredGridGeometryFilterGetCellMaximumMaxValueFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGeometryFilterGetCellMaximumMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetCellMaximumMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellMaximumMaxValue for class vtkUnstructuredGridGeometryFilter requires 1 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetCellMaximumMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:GetCellMaximum vtkUnstructuredGridGeometryFilterGetCellMaximumFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGeometryFilterGetCellMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetCellMaximum (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellMaximum for class vtkUnstructuredGridGeometryFilter requires 1 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetCellMaximum();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:SetExtent__1 vtkUnstructuredGridGeometryFilterSetExtent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkUnstructuredGridGeometryFilterSetExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtent (double xMin, double xMax, double yMin, double yMax, double zMin, double zMax); */
  if (arg.size() < 7) 
    throw Exception("Function SetExtent__1 for class vtkUnstructuredGridGeometryFilter requires 7 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:SetExtent__2 vtkUnstructuredGridGeometryFilterSetExtent__2Function
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridGeometryFilterSetExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtent (double extent[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtent__2 for class vtkUnstructuredGridGeometryFilter requires 2 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:SetMerging vtkUnstructuredGridGeometryFilterSetMergingFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridGeometryFilterSetMergingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMerging (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMerging for class vtkUnstructuredGridGeometryFilter requires 2 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMerging(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:GetMerging vtkUnstructuredGridGeometryFilterGetMergingFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGeometryFilterGetMergingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMerging (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMerging for class vtkUnstructuredGridGeometryFilter requires 1 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMerging();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:MergingOn vtkUnstructuredGridGeometryFilterMergingOnFunction
//input a0 
//output none
ArrayVector vtkUnstructuredGridGeometryFilterMergingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MergingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function MergingOn for class vtkUnstructuredGridGeometryFilter requires 1 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  vtk_pointer->MergingOn();
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:MergingOff vtkUnstructuredGridGeometryFilterMergingOffFunction
//input a0 
//output none
ArrayVector vtkUnstructuredGridGeometryFilterMergingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MergingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function MergingOff for class vtkUnstructuredGridGeometryFilter requires 1 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  vtk_pointer->MergingOff();
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:SetLocator vtkUnstructuredGridGeometryFilterSetLocatorFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridGeometryFilterSetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLocator (vtkIncrementalPointLocator *locator); */
  if (arg.size() < 2) 
    throw Exception("Function SetLocator for class vtkUnstructuredGridGeometryFilter requires 2 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp0;
  temp0 = GetVTKPointer<vtkIncrementalPointLocator>(arg[1]);
  vtk_pointer->SetLocator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:GetLocator vtkUnstructuredGridGeometryFilterGetLocatorFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGeometryFilterGetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalPointLocator *GetLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocator for class vtkUnstructuredGridGeometryFilter requires 1 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp20;
  temp20 = (vtk_pointer)->GetLocator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:CreateDefaultLocator vtkUnstructuredGridGeometryFilterCreateDefaultLocatorFunction
//input a0 
//output none
ArrayVector vtkUnstructuredGridGeometryFilterCreateDefaultLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultLocator for class vtkUnstructuredGridGeometryFilter requires 1 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultLocator();
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:GetMTime vtkUnstructuredGridGeometryFilterGetMTimeFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridGeometryFilterGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkUnstructuredGridGeometryFilter requires 1 argument(s)");
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:SetExtent vtkUnstructuredGridGeometryFilterSetExtentFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridGeometryFilterSetExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkUnstructuredGridGeometryFilterSetExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkUnstructuredGridGeometryFilterSetExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkUnstructuredGridGeometryFilterSetExtent");
}

//@@Signature
//sfunction @vtkUnstructuredGridGeometryFilter:display vtkUnstructuredGridGeometryFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridGeometryFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkUnstructuredGridGeometryFilter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridGeometryFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkUnstructuredGridGeometryFilter:delete vtkUnstructuredGridGeometryFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkUnstructuredGridGeometryFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkUnstructuredGridGeometryFilter
//@@Section VTKGraphics
//@@Usage
// vtkUnstructuredGridGeometryFilter is a filter that extracts
// geometry (and associated data) from an unstructured grid. It differs from
// vtkGeometryFilter by not tessellating higher order faces: 2D faces of
// quadratic 3D cells will be quadratic. A quadratic edge is extracted as a
// quadratic edge. For that purpose, the output of this filter is an
// unstructured grid, not a polydata.
// Also, the face of a voxel is a pixel, not a quad.
// Geometry is obtained as follows: all 0D, 1D, and 2D cells are extracted.
// All 2D faces that are used by only one 3D cell (i.e., boundary faces) are
// extracted. It also is possible to specify conditions on point ids, cell ids,
// and on bounding box (referred to as "Extent") to control the extraction
// process.
//
//
//To create an instance of class vtkUnstructuredGridGeometryFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkUnstructuredGridGeometryFilter
//@]
//@@Methods
//The class vtkUnstructuredGridGeometryFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkUnstructuredGridGeometryFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkUnstructuredGridGeometryFilter = obj.NewInstance ()|
// \item @|vtkUnstructuredGridGeometryFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPointClipping (int )| -  Turn on/off selection of geometry by point id.
//// \item @|int = obj.GetPointClipping ()| -  Turn on/off selection of geometry by point id.
//// \item @|obj.PointClippingOn ()| -  Turn on/off selection of geometry by point id.
//// \item @|obj.PointClippingOff ()| -  Turn on/off selection of geometry by point id.
//// \item @|obj.SetCellClipping (int )| -  Turn on/off selection of geometry by cell id.
//// \item @|int = obj.GetCellClipping ()| -  Turn on/off selection of geometry by cell id.
//// \item @|obj.CellClippingOn ()| -  Turn on/off selection of geometry by cell id.
//// \item @|obj.CellClippingOff ()| -  Turn on/off selection of geometry by cell id.
//// \item @|obj.SetExtentClipping (int )| -  Turn on/off selection of geometry via bounding box.
//// \item @|int = obj.GetExtentClipping ()| -  Turn on/off selection of geometry via bounding box.
//// \item @|obj.ExtentClippingOn ()| -  Turn on/off selection of geometry via bounding box.
//// \item @|obj.ExtentClippingOff ()| -  Turn on/off selection of geometry via bounding box.
//// \item @|obj.SetPointMinimum (vtkIdType )| -  Specify the minimum point id for point id selection.
//// \item @|vtkIdType = obj.GetPointMinimumMinValue ()| -  Specify the minimum point id for point id selection.
//// \item @|vtkIdType = obj.GetPointMinimumMaxValue ()| -  Specify the minimum point id for point id selection.
//// \item @|vtkIdType = obj.GetPointMinimum ()| -  Specify the minimum point id for point id selection.
//// \item @|obj.SetPointMaximum (vtkIdType )| -  Specify the maximum point id for point id selection.
//// \item @|vtkIdType = obj.GetPointMaximumMinValue ()| -  Specify the maximum point id for point id selection.
//// \item @|vtkIdType = obj.GetPointMaximumMaxValue ()| -  Specify the maximum point id for point id selection.
//// \item @|vtkIdType = obj.GetPointMaximum ()| -  Specify the maximum point id for point id selection.
//// \item @|obj.SetCellMinimum (vtkIdType )| -  Specify the minimum cell id for point id selection.
//// \item @|vtkIdType = obj.GetCellMinimumMinValue ()| -  Specify the minimum cell id for point id selection.
//// \item @|vtkIdType = obj.GetCellMinimumMaxValue ()| -  Specify the minimum cell id for point id selection.
//// \item @|vtkIdType = obj.GetCellMinimum ()| -  Specify the minimum cell id for point id selection.
//// \item @|obj.SetCellMaximum (vtkIdType )| -  Specify the maximum cell id for point id selection.
//// \item @|vtkIdType = obj.GetCellMaximumMinValue ()| -  Specify the maximum cell id for point id selection.
//// \item @|vtkIdType = obj.GetCellMaximumMaxValue ()| -  Specify the maximum cell id for point id selection.
//// \item @|vtkIdType = obj.GetCellMaximum ()| -  Specify the maximum cell id for point id selection.
//// \item @|obj.SetExtent (double xMin, double xMax, double yMin, double yMax, double zMin, double zMax)| -  Specify a (xmin,xmax, ymin,ymax, zmin,zmax) bounding box to clip data.
//// \item @|obj.SetExtent (double extent[6])| -  Set / get a (xmin,xmax, ymin,ymax, zmin,zmax) bounding box to clip data.
//// \item @|obj.SetMerging (int )| -  Turn on/off merging of coincident points. Note that is merging is
// on, points with different point attributes (e.g., normals) are merged,
// which may cause rendering artifacts.
//// \item @|int = obj.GetMerging ()| -  Turn on/off merging of coincident points. Note that is merging is
// on, points with different point attributes (e.g., normals) are merged,
// which may cause rendering artifacts.
//// \item @|obj.MergingOn ()| -  Turn on/off merging of coincident points. Note that is merging is
// on, points with different point attributes (e.g., normals) are merged,
// which may cause rendering artifacts.
//// \item @|obj.MergingOff ()| -  Turn on/off merging of coincident points. Note that is merging is
// on, points with different point attributes (e.g., normals) are merged,
// which may cause rendering artifacts.
//// \item @|obj.SetLocator (vtkIncrementalPointLocator locator)| -  Set / get a spatial locator for merging points. By
// default an instance of vtkMergePoints is used.
//// \item @|vtkIncrementalPointLocator = obj.GetLocator ()| -  Set / get a spatial locator for merging points. By
// default an instance of vtkMergePoints is used.
//// \item @|obj.CreateDefaultLocator ()| -  Create default locator. Used to create one when none is specified.
//// \item @|long = obj.GetMTime ()| -  Return the MTime also considering the locator.
////\end{itemize}
//!
