#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVectorDot object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVectorDot.h"

//@@Signature
//sfunction @vtkVectorDot:vtkVectorDot vtkVectorDotConstructorFunction
//input a
//output p
//@@Parents vtkVectorDot vtkDataSetAlgorithm 
ArrayVector vtkVectorDotConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVectorDot::New(),"vtkVectorDot",eval);
  } else if (arg[0].className() == "vtkVectorDot") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVectorDot"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVectorDot");
    vtkVectorDot*q = reinterpret_cast<vtkVectorDot*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVectorDot");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVectorDot:GetClassName vtkVectorDotGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVectorDotGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVectorDot requires 1 argument(s)");
  vtkVectorDot* vtk_pointer = GetVTKPointer<vtkVectorDot>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVectorDot:IsA vtkVectorDotIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVectorDotIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVectorDot requires 2 argument(s)");
  vtkVectorDot* vtk_pointer = GetVTKPointer<vtkVectorDot>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVectorDot:NewInstance vtkVectorDotNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVectorDotNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVectorDot *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVectorDot requires 1 argument(s)");
  vtkVectorDot* vtk_pointer = GetVTKPointer<vtkVectorDot>(arg[0]);
  Array retval;
  vtkVectorDot  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVectorDot",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVectorDot:SafeDownCast vtkVectorDotSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVectorDotSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVectorDot *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVectorDot requires 2 argument(s)");
  vtkVectorDot* vtk_pointer = GetVTKPointer<vtkVectorDot>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVectorDot  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVectorDot",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVectorDot:SetScalarRange__1 vtkVectorDotSetScalarRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkVectorDotSetScalarRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarRange (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetScalarRange__1 for class vtkVectorDot requires 3 argument(s)");
  vtkVectorDot* vtk_pointer = GetVTKPointer<vtkVectorDot>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetScalarRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkVectorDot:SetScalarRange__2 vtkVectorDotSetScalarRange__2Function
//input a0 a1 
//output none
ArrayVector vtkVectorDotSetScalarRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarRange (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarRange__2 for class vtkVectorDot requires 2 argument(s)");
  vtkVectorDot* vtk_pointer = GetVTKPointer<vtkVectorDot>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetScalarRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVectorDot:GetScalarRange vtkVectorDotGetScalarRangeFunction
//input a0 
//output y
ArrayVector vtkVectorDotGetScalarRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetScalarRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarRange for class vtkVectorDot requires 1 argument(s)");
  vtkVectorDot* vtk_pointer = GetVTKPointer<vtkVectorDot>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetScalarRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkVectorDot:SetScalarRange vtkVectorDotSetScalarRangeFunction
//input varargin
//output varargout
ArrayVector vtkVectorDotSetScalarRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkVectorDotSetScalarRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkVectorDotSetScalarRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVectorDotSetScalarRange");
}

//@@Signature
//sfunction @vtkVectorDot:display vtkVectorDotDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVectorDotDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVectorDot* vtk_pointer = GetVTKPointer<vtkVectorDot>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVectorDot:delete vtkVectorDotDeleteFunction
//input varargin
//output none
ArrayVector vtkVectorDotDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVectorDot
//@@Section VTKGraphics
//@@Usage
// vtkVectorDot is a filter to generate scalar values from a dataset.
// The scalar value at a point is created by computing the dot product 
// between the normal and vector at that point. Combined with the appropriate
// color map, this can show nodal lines/mode shapes of vibration, or a 
// displacement plot.
//
//To create an instance of class vtkVectorDot, simply
//invoke its constructor as follows
//@[
//  obj = vtkVectorDot
//@]
//@@Methods
//The class vtkVectorDot has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVectorDot class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVectorDot = obj.NewInstance ()|
// \item @|vtkVectorDot = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetScalarRange (double , double )| -  Specify range to map scalars into.
//// \item @|obj.SetScalarRange (double  a[2])| -  Specify range to map scalars into.
//// \item @|double = obj. GetScalarRange ()| -  Get the range that scalars map into.
////\end{itemize}
//!
