#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVectorNorm object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVectorNorm.h"

//@@Signature
//sfunction @vtkVectorNorm:vtkVectorNorm vtkVectorNormConstructorFunction
//input a
//output p
//@@Parents vtkVectorNorm vtkDataSetAlgorithm 
ArrayVector vtkVectorNormConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVectorNorm::New(),"vtkVectorNorm",eval);
  } else if (arg[0].className() == "vtkVectorNorm") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVectorNorm"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVectorNorm");
    vtkVectorNorm*q = reinterpret_cast<vtkVectorNorm*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVectorNorm");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVectorNorm:GetClassName vtkVectorNormGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVectorNormGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVectorNorm requires 1 argument(s)");
  vtkVectorNorm* vtk_pointer = GetVTKPointer<vtkVectorNorm>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVectorNorm:IsA vtkVectorNormIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVectorNormIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVectorNorm requires 2 argument(s)");
  vtkVectorNorm* vtk_pointer = GetVTKPointer<vtkVectorNorm>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVectorNorm:NewInstance vtkVectorNormNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVectorNormNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVectorNorm *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVectorNorm requires 1 argument(s)");
  vtkVectorNorm* vtk_pointer = GetVTKPointer<vtkVectorNorm>(arg[0]);
  Array retval;
  vtkVectorNorm  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVectorNorm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVectorNorm:SafeDownCast vtkVectorNormSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVectorNormSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVectorNorm *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVectorNorm requires 2 argument(s)");
  vtkVectorNorm* vtk_pointer = GetVTKPointer<vtkVectorNorm>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVectorNorm  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVectorNorm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVectorNorm:SetNormalize vtkVectorNormSetNormalizeFunction
//input a0 a1 
//output none
ArrayVector vtkVectorNormSetNormalizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalize (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormalize for class vtkVectorNorm requires 2 argument(s)");
  vtkVectorNorm* vtk_pointer = GetVTKPointer<vtkVectorNorm>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNormalize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVectorNorm:GetNormalize vtkVectorNormGetNormalizeFunction
//input a0 
//output y
ArrayVector vtkVectorNormGetNormalizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNormalize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalize for class vtkVectorNorm requires 1 argument(s)");
  vtkVectorNorm* vtk_pointer = GetVTKPointer<vtkVectorNorm>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNormalize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVectorNorm:NormalizeOn vtkVectorNormNormalizeOnFunction
//input a0 
//output none
ArrayVector vtkVectorNormNormalizeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalizeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalizeOn for class vtkVectorNorm requires 1 argument(s)");
  vtkVectorNorm* vtk_pointer = GetVTKPointer<vtkVectorNorm>(arg[0]);
  Array retval;
  vtk_pointer->NormalizeOn();
  return retval;
}

//@@Signature
//sfunction @vtkVectorNorm:NormalizeOff vtkVectorNormNormalizeOffFunction
//input a0 
//output none
ArrayVector vtkVectorNormNormalizeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalizeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalizeOff for class vtkVectorNorm requires 1 argument(s)");
  vtkVectorNorm* vtk_pointer = GetVTKPointer<vtkVectorNorm>(arg[0]);
  Array retval;
  vtk_pointer->NormalizeOff();
  return retval;
}

//@@Signature
//sfunction @vtkVectorNorm:SetAttributeMode vtkVectorNormSetAttributeModeFunction
//input a0 a1 
//output none
ArrayVector vtkVectorNormSetAttributeModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAttributeMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAttributeMode for class vtkVectorNorm requires 2 argument(s)");
  vtkVectorNorm* vtk_pointer = GetVTKPointer<vtkVectorNorm>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAttributeMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVectorNorm:GetAttributeMode vtkVectorNormGetAttributeModeFunction
//input a0 
//output y
ArrayVector vtkVectorNormGetAttributeModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAttributeMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAttributeMode for class vtkVectorNorm requires 1 argument(s)");
  vtkVectorNorm* vtk_pointer = GetVTKPointer<vtkVectorNorm>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAttributeMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVectorNorm:SetAttributeModeToDefault vtkVectorNormSetAttributeModeToDefaultFunction
//input a0 
//output none
ArrayVector vtkVectorNormSetAttributeModeToDefaultFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAttributeModeToDefault ();this SetAttributeMode VTK_ATTRIBUTE_MODE_DEFAULT  */
  if (arg.size() < 1) 
    throw Exception("Function SetAttributeModeToDefault for class vtkVectorNorm requires 1 argument(s)");
  vtkVectorNorm* vtk_pointer = GetVTKPointer<vtkVectorNorm>(arg[0]);
  Array retval;
  vtk_pointer->SetAttributeModeToDefault();
  return retval;
}

//@@Signature
//sfunction @vtkVectorNorm:SetAttributeModeToUsePointData vtkVectorNormSetAttributeModeToUsePointDataFunction
//input a0 
//output none
ArrayVector vtkVectorNormSetAttributeModeToUsePointDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAttributeModeToUsePointData ();this SetAttributeMode VTK_ATTRIBUTE_MODE_USE_POINT_DATA  */
  if (arg.size() < 1) 
    throw Exception("Function SetAttributeModeToUsePointData for class vtkVectorNorm requires 1 argument(s)");
  vtkVectorNorm* vtk_pointer = GetVTKPointer<vtkVectorNorm>(arg[0]);
  Array retval;
  vtk_pointer->SetAttributeModeToUsePointData();
  return retval;
}

//@@Signature
//sfunction @vtkVectorNorm:SetAttributeModeToUseCellData vtkVectorNormSetAttributeModeToUseCellDataFunction
//input a0 
//output none
ArrayVector vtkVectorNormSetAttributeModeToUseCellDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAttributeModeToUseCellData ();this SetAttributeMode VTK_ATTRIBUTE_MODE_USE_CELL_DATA  */
  if (arg.size() < 1) 
    throw Exception("Function SetAttributeModeToUseCellData for class vtkVectorNorm requires 1 argument(s)");
  vtkVectorNorm* vtk_pointer = GetVTKPointer<vtkVectorNorm>(arg[0]);
  Array retval;
  vtk_pointer->SetAttributeModeToUseCellData();
  return retval;
}

//@@Signature
//sfunction @vtkVectorNorm:GetAttributeModeAsString vtkVectorNormGetAttributeModeAsStringFunction
//input a0 
//output y
ArrayVector vtkVectorNormGetAttributeModeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetAttributeModeAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAttributeModeAsString for class vtkVectorNorm requires 1 argument(s)");
  vtkVectorNorm* vtk_pointer = GetVTKPointer<vtkVectorNorm>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetAttributeModeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVectorNorm:display vtkVectorNormDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVectorNormDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVectorNorm* vtk_pointer = GetVTKPointer<vtkVectorNorm>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVectorNorm:delete vtkVectorNormDeleteFunction
//input varargin
//output none
ArrayVector vtkVectorNormDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVectorNorm
//@@Section VTKGraphics
//@@Usage
// vtkVectorNorm is a filter that generates scalar values by computing
// Euclidean norm of vector triplets. Scalars can be normalized 
// 0<=s<=1 if desired.
//
// Note that this filter operates on point or cell attribute data, or
// both.  By default, the filter operates on both point and cell data
// if vector point and cell data, respectively, are available from the
// input. Alternatively, you can choose to generate scalar norm values
// for just cell or point data.
//
//To create an instance of class vtkVectorNorm, simply
//invoke its constructor as follows
//@[
//  obj = vtkVectorNorm
//@]
//@@Methods
//The class vtkVectorNorm has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVectorNorm class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVectorNorm = obj.NewInstance ()|
// \item @|vtkVectorNorm = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetNormalize (int )| -  Specify whether to normalize scalar values.
//// \item @|int = obj.GetNormalize ()| -  Specify whether to normalize scalar values.
//// \item @|obj.NormalizeOn ()| -  Specify whether to normalize scalar values.
//// \item @|obj.NormalizeOff ()| -  Specify whether to normalize scalar values.
//// \item @|obj.SetAttributeMode (int )| -  Control how the filter works to generate scalar data from the
// input vector data. By default, (AttributeModeToDefault) the
// filter will generate the scalar norm for point and cell data (if
// vector data present in the input). Alternatively, you can
// explicitly set the filter to generate point data
// (AttributeModeToUsePointData) or cell data
// (AttributeModeToUseCellData).
//// \item @|int = obj.GetAttributeMode ()| -  Control how the filter works to generate scalar data from the
// input vector data. By default, (AttributeModeToDefault) the
// filter will generate the scalar norm for point and cell data (if
// vector data present in the input). Alternatively, you can
// explicitly set the filter to generate point data
// (AttributeModeToUsePointData) or cell data
// (AttributeModeToUseCellData).
//// \item @|obj.SetAttributeModeToDefault ()| -  Control how the filter works to generate scalar data from the
// input vector data. By default, (AttributeModeToDefault) the
// filter will generate the scalar norm for point and cell data (if
// vector data present in the input). Alternatively, you can
// explicitly set the filter to generate point data
// (AttributeModeToUsePointData) or cell data
// (AttributeModeToUseCellData).
//// \item @|obj.SetAttributeModeToUsePointData ()| -  Control how the filter works to generate scalar data from the
// input vector data. By default, (AttributeModeToDefault) the
// filter will generate the scalar norm for point and cell data (if
// vector data present in the input). Alternatively, you can
// explicitly set the filter to generate point data
// (AttributeModeToUsePointData) or cell data
// (AttributeModeToUseCellData).
//// \item @|obj.SetAttributeModeToUseCellData ()| -  Control how the filter works to generate scalar data from the
// input vector data. By default, (AttributeModeToDefault) the
// filter will generate the scalar norm for point and cell data (if
// vector data present in the input). Alternatively, you can
// explicitly set the filter to generate point data
// (AttributeModeToUsePointData) or cell data
// (AttributeModeToUseCellData).
//// \item @|string = obj.GetAttributeModeAsString ()| -  Control how the filter works to generate scalar data from the
// input vector data. By default, (AttributeModeToDefault) the
// filter will generate the scalar norm for point and cell data (if
// vector data present in the input). Alternatively, you can
// explicitly set the filter to generate point data
// (AttributeModeToUsePointData) or cell data
// (AttributeModeToUseCellData).
////\end{itemize}
//!
