#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVertexGlyphFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVertexGlyphFilter.h"

//@@Signature
//sfunction @vtkVertexGlyphFilter:vtkVertexGlyphFilter vtkVertexGlyphFilterConstructorFunction
//input a
//output p
//@@Parents vtkVertexGlyphFilter vtkPolyDataAlgorithm 
ArrayVector vtkVertexGlyphFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVertexGlyphFilter::New(),"vtkVertexGlyphFilter",eval);
  } else if (arg[0].className() == "vtkVertexGlyphFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVertexGlyphFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVertexGlyphFilter");
    vtkVertexGlyphFilter*q = reinterpret_cast<vtkVertexGlyphFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVertexGlyphFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVertexGlyphFilter:GetClassName vtkVertexGlyphFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVertexGlyphFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVertexGlyphFilter requires 1 argument(s)");
  vtkVertexGlyphFilter* vtk_pointer = GetVTKPointer<vtkVertexGlyphFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVertexGlyphFilter:IsA vtkVertexGlyphFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVertexGlyphFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVertexGlyphFilter requires 2 argument(s)");
  vtkVertexGlyphFilter* vtk_pointer = GetVTKPointer<vtkVertexGlyphFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVertexGlyphFilter:NewInstance vtkVertexGlyphFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVertexGlyphFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVertexGlyphFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVertexGlyphFilter requires 1 argument(s)");
  vtkVertexGlyphFilter* vtk_pointer = GetVTKPointer<vtkVertexGlyphFilter>(arg[0]);
  Array retval;
  vtkVertexGlyphFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVertexGlyphFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVertexGlyphFilter:SafeDownCast vtkVertexGlyphFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVertexGlyphFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVertexGlyphFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVertexGlyphFilter requires 2 argument(s)");
  vtkVertexGlyphFilter* vtk_pointer = GetVTKPointer<vtkVertexGlyphFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVertexGlyphFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVertexGlyphFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVertexGlyphFilter:display vtkVertexGlyphFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVertexGlyphFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVertexGlyphFilter* vtk_pointer = GetVTKPointer<vtkVertexGlyphFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVertexGlyphFilter:delete vtkVertexGlyphFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkVertexGlyphFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVertexGlyphFilter
//@@Section VTKGraphics
//@@Usage
//
// This filter throws away all of the cells in the input and replaces them with
// a vertex on each point.  The intended use of this filter is roughly
// equivalent to the vtkGlyph3D filter, except this filter is specifically for
// data that has many vertices, making the rendered result faster and less
// cluttered than the glyph filter. This filter may take a graph or point set
// as input.
//
//
//To create an instance of class vtkVertexGlyphFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkVertexGlyphFilter
//@]
//@@Methods
//The class vtkVertexGlyphFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVertexGlyphFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVertexGlyphFilter = obj.NewInstance ()|
// \item @|vtkVertexGlyphFilter = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
