#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVoxelContoursToSurfaceFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVoxelContoursToSurfaceFilter.h"

//@@Signature
//sfunction @vtkVoxelContoursToSurfaceFilter:vtkVoxelContoursToSurfaceFilter vtkVoxelContoursToSurfaceFilterConstructorFunction
//input a
//output p
//@@Parents vtkVoxelContoursToSurfaceFilter vtkPolyDataAlgorithm 
ArrayVector vtkVoxelContoursToSurfaceFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVoxelContoursToSurfaceFilter::New(),"vtkVoxelContoursToSurfaceFilter",eval);
  } else if (arg[0].className() == "vtkVoxelContoursToSurfaceFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVoxelContoursToSurfaceFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVoxelContoursToSurfaceFilter");
    vtkVoxelContoursToSurfaceFilter*q = reinterpret_cast<vtkVoxelContoursToSurfaceFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVoxelContoursToSurfaceFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVoxelContoursToSurfaceFilter:GetClassName vtkVoxelContoursToSurfaceFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVoxelContoursToSurfaceFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVoxelContoursToSurfaceFilter requires 1 argument(s)");
  vtkVoxelContoursToSurfaceFilter* vtk_pointer = GetVTKPointer<vtkVoxelContoursToSurfaceFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVoxelContoursToSurfaceFilter:IsA vtkVoxelContoursToSurfaceFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVoxelContoursToSurfaceFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVoxelContoursToSurfaceFilter requires 2 argument(s)");
  vtkVoxelContoursToSurfaceFilter* vtk_pointer = GetVTKPointer<vtkVoxelContoursToSurfaceFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVoxelContoursToSurfaceFilter:NewInstance vtkVoxelContoursToSurfaceFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVoxelContoursToSurfaceFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVoxelContoursToSurfaceFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVoxelContoursToSurfaceFilter requires 1 argument(s)");
  vtkVoxelContoursToSurfaceFilter* vtk_pointer = GetVTKPointer<vtkVoxelContoursToSurfaceFilter>(arg[0]);
  Array retval;
  vtkVoxelContoursToSurfaceFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVoxelContoursToSurfaceFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVoxelContoursToSurfaceFilter:SafeDownCast vtkVoxelContoursToSurfaceFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVoxelContoursToSurfaceFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVoxelContoursToSurfaceFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVoxelContoursToSurfaceFilter requires 2 argument(s)");
  vtkVoxelContoursToSurfaceFilter* vtk_pointer = GetVTKPointer<vtkVoxelContoursToSurfaceFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVoxelContoursToSurfaceFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVoxelContoursToSurfaceFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVoxelContoursToSurfaceFilter:SetMemoryLimitInBytes vtkVoxelContoursToSurfaceFilterSetMemoryLimitInBytesFunction
//input a0 a1 
//output none
ArrayVector vtkVoxelContoursToSurfaceFilterSetMemoryLimitInBytesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMemoryLimitInBytes (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMemoryLimitInBytes for class vtkVoxelContoursToSurfaceFilter requires 2 argument(s)");
  vtkVoxelContoursToSurfaceFilter* vtk_pointer = GetVTKPointer<vtkVoxelContoursToSurfaceFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMemoryLimitInBytes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVoxelContoursToSurfaceFilter:GetMemoryLimitInBytes vtkVoxelContoursToSurfaceFilterGetMemoryLimitInBytesFunction
//input a0 
//output y
ArrayVector vtkVoxelContoursToSurfaceFilterGetMemoryLimitInBytesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMemoryLimitInBytes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMemoryLimitInBytes for class vtkVoxelContoursToSurfaceFilter requires 1 argument(s)");
  vtkVoxelContoursToSurfaceFilter* vtk_pointer = GetVTKPointer<vtkVoxelContoursToSurfaceFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMemoryLimitInBytes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVoxelContoursToSurfaceFilter:SetSpacing__1 vtkVoxelContoursToSurfaceFilterSetSpacing__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkVoxelContoursToSurfaceFilterSetSpacing__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpacing (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetSpacing__1 for class vtkVoxelContoursToSurfaceFilter requires 4 argument(s)");
  vtkVoxelContoursToSurfaceFilter* vtk_pointer = GetVTKPointer<vtkVoxelContoursToSurfaceFilter>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetSpacing(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkVoxelContoursToSurfaceFilter:SetSpacing__2 vtkVoxelContoursToSurfaceFilterSetSpacing__2Function
//input a0 a1 
//output none
ArrayVector vtkVoxelContoursToSurfaceFilterSetSpacing__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpacing (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSpacing__2 for class vtkVoxelContoursToSurfaceFilter requires 2 argument(s)");
  vtkVoxelContoursToSurfaceFilter* vtk_pointer = GetVTKPointer<vtkVoxelContoursToSurfaceFilter>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetSpacing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVoxelContoursToSurfaceFilter:GetSpacing vtkVoxelContoursToSurfaceFilterGetSpacingFunction
//input a0 
//output y
ArrayVector vtkVoxelContoursToSurfaceFilterGetSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetSpacing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSpacing for class vtkVoxelContoursToSurfaceFilter requires 1 argument(s)");
  vtkVoxelContoursToSurfaceFilter* vtk_pointer = GetVTKPointer<vtkVoxelContoursToSurfaceFilter>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetSpacing();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkVoxelContoursToSurfaceFilter:SetSpacing vtkVoxelContoursToSurfaceFilterSetSpacingFunction
//input varargin
//output varargout
ArrayVector vtkVoxelContoursToSurfaceFilterSetSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkVoxelContoursToSurfaceFilterSetSpacing__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkVoxelContoursToSurfaceFilterSetSpacing__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVoxelContoursToSurfaceFilterSetSpacing");
}

//@@Signature
//sfunction @vtkVoxelContoursToSurfaceFilter:display vtkVoxelContoursToSurfaceFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVoxelContoursToSurfaceFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVoxelContoursToSurfaceFilter* vtk_pointer = GetVTKPointer<vtkVoxelContoursToSurfaceFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVoxelContoursToSurfaceFilter:delete vtkVoxelContoursToSurfaceFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkVoxelContoursToSurfaceFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVoxelContoursToSurfaceFilter
//@@Section VTKGraphics
//@@Usage
// vtkVoxelContoursToSurfaceFilter is a filter that takes contours and
// produces surfaces. There are some restrictions for the contours:
//
//   - The contours are input as vtkPolyData, with the contours being
//     polys in the vtkPolyData.
//   - The contours lie on XY planes - each contour has a constant Z
//   - The contours are ordered in the polys of the vtkPolyData such 
//     that all contours on the first (lowest) XY plane are first, then
//     continuing in order of increasing Z value. 
//   - The X, Y and Z coordinates are all integer values.
//   - The desired sampling of the contour data is 1x1x1 - Aspect can
//     be used to control the aspect ratio in the output polygonal
//     dataset.
//
// This filter takes the contours and produces a structured points
// dataset of signed floating point number indicating distance from
// a contour. A contouring filter is then applied to generate 3D
// surfaces from a stack of 2D contour distance slices. This is 
// done in a streaming fashion so as not to use to much memory.
//
//To create an instance of class vtkVoxelContoursToSurfaceFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkVoxelContoursToSurfaceFilter
//@]
//@@Methods
//The class vtkVoxelContoursToSurfaceFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVoxelContoursToSurfaceFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVoxelContoursToSurfaceFilter = obj.NewInstance ()|
// \item @|vtkVoxelContoursToSurfaceFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetMemoryLimitInBytes (int )| -  Set / Get the memory limit in bytes for this filter. This is the limit
// of the size of the structured points data set that is created for
// intermediate processing. The data will be streamed through this volume
// in as many pieces as necessary.
//// \item @|int = obj.GetMemoryLimitInBytes ()| -  Set / Get the memory limit in bytes for this filter. This is the limit
// of the size of the structured points data set that is created for
// intermediate processing. The data will be streamed through this volume
// in as many pieces as necessary.
//// \item @|obj.SetSpacing (double , double , double )|
// \item @|obj.SetSpacing (double  a[3])|
// \item @|double = obj. GetSpacing ()|
//\end{itemize}
//!
