#include "VTKWrap.hpp"

// FreeMat wrapper for vtkWarpLens object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkWarpLens.h"

//@@Signature
//sfunction @vtkWarpLens:vtkWarpLens vtkWarpLensConstructorFunction
//input a
//output p
//@@Parents vtkWarpLens vtkPointSetAlgorithm 
ArrayVector vtkWarpLensConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkWarpLens::New(),"vtkWarpLens",eval);
  } else if (arg[0].className() == "vtkWarpLens") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkWarpLens"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkWarpLens");
    vtkWarpLens*q = reinterpret_cast<vtkWarpLens*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkWarpLens");
    return ret;
  }
}
//@@Signature
//sfunction @vtkWarpLens:GetClassName vtkWarpLensGetClassNameFunction
//input a0 
//output y
ArrayVector vtkWarpLensGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkWarpLens requires 1 argument(s)");
  vtkWarpLens* vtk_pointer = GetVTKPointer<vtkWarpLens>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWarpLens:IsA vtkWarpLensIsAFunction
//input a0 a1 
//output y
ArrayVector vtkWarpLensIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkWarpLens requires 2 argument(s)");
  vtkWarpLens* vtk_pointer = GetVTKPointer<vtkWarpLens>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWarpLens:NewInstance vtkWarpLensNewInstanceFunction
//input a0 
//output y
ArrayVector vtkWarpLensNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWarpLens *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkWarpLens requires 1 argument(s)");
  vtkWarpLens* vtk_pointer = GetVTKPointer<vtkWarpLens>(arg[0]);
  Array retval;
  vtkWarpLens  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWarpLens",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWarpLens:SafeDownCast vtkWarpLensSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkWarpLensSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWarpLens *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkWarpLens requires 2 argument(s)");
  vtkWarpLens* vtk_pointer = GetVTKPointer<vtkWarpLens>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkWarpLens  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWarpLens",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWarpLens:SetKappa vtkWarpLensSetKappaFunction
//input a0 a1 
//output none
ArrayVector vtkWarpLensSetKappaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKappa (double kappa); */
  if (arg.size() < 2) 
    throw Exception("Function SetKappa for class vtkWarpLens requires 2 argument(s)");
  vtkWarpLens* vtk_pointer = GetVTKPointer<vtkWarpLens>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetKappa(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWarpLens:GetKappa vtkWarpLensGetKappaFunction
//input a0 
//output y
ArrayVector vtkWarpLensGetKappaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetKappa (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKappa for class vtkWarpLens requires 1 argument(s)");
  vtkWarpLens* vtk_pointer = GetVTKPointer<vtkWarpLens>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetKappa();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWarpLens:SetCenter vtkWarpLensSetCenterFunction
//input a0 a1 a2 
//output none
ArrayVector vtkWarpLensSetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double centerX, double centerY); */
  if (arg.size() < 3) 
    throw Exception("Function SetCenter for class vtkWarpLens requires 3 argument(s)");
  vtkWarpLens* vtk_pointer = GetVTKPointer<vtkWarpLens>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetCenter(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkWarpLens:GetCenter vtkWarpLensGetCenterFunction
//input a0 
//output y
ArrayVector vtkWarpLensGetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetCenter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenter for class vtkWarpLens requires 1 argument(s)");
  vtkWarpLens* vtk_pointer = GetVTKPointer<vtkWarpLens>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCenter();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkWarpLens:SetPrincipalPoint__1 vtkWarpLensSetPrincipalPoint__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkWarpLensSetPrincipalPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPrincipalPoint (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetPrincipalPoint__1 for class vtkWarpLens requires 3 argument(s)");
  vtkWarpLens* vtk_pointer = GetVTKPointer<vtkWarpLens>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetPrincipalPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkWarpLens:SetPrincipalPoint__2 vtkWarpLensSetPrincipalPoint__2Function
//input a0 a1 
//output none
ArrayVector vtkWarpLensSetPrincipalPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPrincipalPoint (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPrincipalPoint__2 for class vtkWarpLens requires 2 argument(s)");
  vtkWarpLens* vtk_pointer = GetVTKPointer<vtkWarpLens>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPrincipalPoint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWarpLens:GetPrincipalPoint vtkWarpLensGetPrincipalPointFunction
//input a0 
//output y
ArrayVector vtkWarpLensGetPrincipalPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetPrincipalPoint (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPrincipalPoint for class vtkWarpLens requires 1 argument(s)");
  vtkWarpLens* vtk_pointer = GetVTKPointer<vtkWarpLens>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPrincipalPoint();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkWarpLens:SetK1 vtkWarpLensSetK1Function
//input a0 a1 
//output none
ArrayVector vtkWarpLensSetK1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetK1 (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetK1 for class vtkWarpLens requires 2 argument(s)");
  vtkWarpLens* vtk_pointer = GetVTKPointer<vtkWarpLens>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetK1(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWarpLens:GetK1 vtkWarpLensGetK1Function
//input a0 
//output y
ArrayVector vtkWarpLensGetK1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetK1 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetK1 for class vtkWarpLens requires 1 argument(s)");
  vtkWarpLens* vtk_pointer = GetVTKPointer<vtkWarpLens>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetK1();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWarpLens:SetK2 vtkWarpLensSetK2Function
//input a0 a1 
//output none
ArrayVector vtkWarpLensSetK2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetK2 (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetK2 for class vtkWarpLens requires 2 argument(s)");
  vtkWarpLens* vtk_pointer = GetVTKPointer<vtkWarpLens>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetK2(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWarpLens:GetK2 vtkWarpLensGetK2Function
//input a0 
//output y
ArrayVector vtkWarpLensGetK2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetK2 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetK2 for class vtkWarpLens requires 1 argument(s)");
  vtkWarpLens* vtk_pointer = GetVTKPointer<vtkWarpLens>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetK2();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWarpLens:SetP1 vtkWarpLensSetP1Function
//input a0 a1 
//output none
ArrayVector vtkWarpLensSetP1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetP1 (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetP1 for class vtkWarpLens requires 2 argument(s)");
  vtkWarpLens* vtk_pointer = GetVTKPointer<vtkWarpLens>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetP1(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWarpLens:GetP1 vtkWarpLensGetP1Function
//input a0 
//output y
ArrayVector vtkWarpLensGetP1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetP1 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetP1 for class vtkWarpLens requires 1 argument(s)");
  vtkWarpLens* vtk_pointer = GetVTKPointer<vtkWarpLens>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetP1();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWarpLens:SetP2 vtkWarpLensSetP2Function
//input a0 a1 
//output none
ArrayVector vtkWarpLensSetP2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetP2 (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetP2 for class vtkWarpLens requires 2 argument(s)");
  vtkWarpLens* vtk_pointer = GetVTKPointer<vtkWarpLens>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetP2(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWarpLens:GetP2 vtkWarpLensGetP2Function
//input a0 
//output y
ArrayVector vtkWarpLensGetP2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetP2 (); */
  if (arg.size() < 1) 
    throw Exception("Function GetP2 for class vtkWarpLens requires 1 argument(s)");
  vtkWarpLens* vtk_pointer = GetVTKPointer<vtkWarpLens>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetP2();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWarpLens:SetFormatWidth vtkWarpLensSetFormatWidthFunction
//input a0 a1 
//output none
ArrayVector vtkWarpLensSetFormatWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFormatWidth (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFormatWidth for class vtkWarpLens requires 2 argument(s)");
  vtkWarpLens* vtk_pointer = GetVTKPointer<vtkWarpLens>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetFormatWidth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWarpLens:GetFormatWidth vtkWarpLensGetFormatWidthFunction
//input a0 
//output y
ArrayVector vtkWarpLensGetFormatWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFormatWidth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFormatWidth for class vtkWarpLens requires 1 argument(s)");
  vtkWarpLens* vtk_pointer = GetVTKPointer<vtkWarpLens>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFormatWidth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWarpLens:SetFormatHeight vtkWarpLensSetFormatHeightFunction
//input a0 a1 
//output none
ArrayVector vtkWarpLensSetFormatHeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFormatHeight (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFormatHeight for class vtkWarpLens requires 2 argument(s)");
  vtkWarpLens* vtk_pointer = GetVTKPointer<vtkWarpLens>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetFormatHeight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWarpLens:GetFormatHeight vtkWarpLensGetFormatHeightFunction
//input a0 
//output y
ArrayVector vtkWarpLensGetFormatHeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFormatHeight (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFormatHeight for class vtkWarpLens requires 1 argument(s)");
  vtkWarpLens* vtk_pointer = GetVTKPointer<vtkWarpLens>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFormatHeight();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWarpLens:SetImageWidth vtkWarpLensSetImageWidthFunction
//input a0 a1 
//output none
ArrayVector vtkWarpLensSetImageWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImageWidth (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetImageWidth for class vtkWarpLens requires 2 argument(s)");
  vtkWarpLens* vtk_pointer = GetVTKPointer<vtkWarpLens>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetImageWidth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWarpLens:GetImageWidth vtkWarpLensGetImageWidthFunction
//input a0 
//output y
ArrayVector vtkWarpLensGetImageWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetImageWidth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageWidth for class vtkWarpLens requires 1 argument(s)");
  vtkWarpLens* vtk_pointer = GetVTKPointer<vtkWarpLens>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetImageWidth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWarpLens:SetImageHeight vtkWarpLensSetImageHeightFunction
//input a0 a1 
//output none
ArrayVector vtkWarpLensSetImageHeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImageHeight (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetImageHeight for class vtkWarpLens requires 2 argument(s)");
  vtkWarpLens* vtk_pointer = GetVTKPointer<vtkWarpLens>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetImageHeight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWarpLens:GetImageHeight vtkWarpLensGetImageHeightFunction
//input a0 
//output y
ArrayVector vtkWarpLensGetImageHeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetImageHeight (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageHeight for class vtkWarpLens requires 1 argument(s)");
  vtkWarpLens* vtk_pointer = GetVTKPointer<vtkWarpLens>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetImageHeight();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWarpLens:SetPrincipalPoint vtkWarpLensSetPrincipalPointFunction
//input varargin
//output varargout
ArrayVector vtkWarpLensSetPrincipalPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkWarpLensSetPrincipalPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkWarpLensSetPrincipalPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkWarpLensSetPrincipalPoint");
}

//@@Signature
//sfunction @vtkWarpLens:display vtkWarpLensDisplayFunction
//input varargin
//output varargout
ArrayVector vtkWarpLensDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkWarpLens* vtk_pointer = GetVTKPointer<vtkWarpLens>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkWarpLens:delete vtkWarpLensDeleteFunction
//input varargin
//output none
ArrayVector vtkWarpLensDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkWarpLens
//@@Section VTKGraphics
//@@Usage
// vtkWarpLens is a filter that modifies point coordinates by moving
// in accord with a lens distortion model.
//
//To create an instance of class vtkWarpLens, simply
//invoke its constructor as follows
//@[
//  obj = vtkWarpLens
//@]
//@@Methods
//The class vtkWarpLens has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkWarpLens class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkWarpLens = obj.NewInstance ()|
// \item @|vtkWarpLens = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetKappa (double kappa)| -  Specify second order symmetric radial lens distortion parameter.
// This is obsoleted by newer instance variables.
//// \item @|double = obj.GetKappa ()| -  Specify second order symmetric radial lens distortion parameter.
// This is obsoleted by newer instance variables.
//// \item @|obj.SetCenter (double centerX, double centerY)| -  Specify the center of radial distortion in pixels.
// This is obsoleted by newer instance variables.
//// \item @|double = obj.GetCenter ()| -  Specify the center of radial distortion in pixels.
// This is obsoleted by newer instance variables.
//// \item @|obj.SetPrincipalPoint (double , double )| -  Specify the calibrated principal point of the camera/lens
//// \item @|obj.SetPrincipalPoint (double  a[2])| -  Specify the calibrated principal point of the camera/lens
//// \item @|double = obj. GetPrincipalPoint ()| -  Specify the calibrated principal point of the camera/lens
//// \item @|obj.SetK1 (double )| -  Specify the symmetric radial distortion parameters for the lens
//// \item @|double = obj.GetK1 ()| -  Specify the symmetric radial distortion parameters for the lens
//// \item @|obj.SetK2 (double )| -  Specify the symmetric radial distortion parameters for the lens
//// \item @|double = obj.GetK2 ()| -  Specify the symmetric radial distortion parameters for the lens
//// \item @|obj.SetP1 (double )| -  Specify the decentering distortion parameters for the lens
//// \item @|double = obj.GetP1 ()| -  Specify the decentering distortion parameters for the lens
//// \item @|obj.SetP2 (double )| -  Specify the decentering distortion parameters for the lens
//// \item @|double = obj.GetP2 ()| -  Specify the decentering distortion parameters for the lens
//// \item @|obj.SetFormatWidth (double )| -  Specify the imager format width / height in mm
//// \item @|double = obj.GetFormatWidth ()| -  Specify the imager format width / height in mm
//// \item @|obj.SetFormatHeight (double )| -  Specify the imager format width / height in mm
//// \item @|double = obj.GetFormatHeight ()| -  Specify the imager format width / height in mm
//// \item @|obj.SetImageWidth (int )| -  Specify the image width / height in pixels
//// \item @|int = obj.GetImageWidth ()| -  Specify the image width / height in pixels
//// \item @|obj.SetImageHeight (int )| -  Specify the image width / height in pixels
//// \item @|int = obj.GetImageHeight ()| -  Specify the image width / height in pixels
////\end{itemize}
//!
