#include "VTKWrap.hpp"

// FreeMat wrapper for vtkWarpScalar object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkWarpScalar.h"

//@@Signature
//sfunction @vtkWarpScalar:vtkWarpScalar vtkWarpScalarConstructorFunction
//input a
//output p
//@@Parents vtkWarpScalar vtkPointSetAlgorithm 
ArrayVector vtkWarpScalarConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkWarpScalar::New(),"vtkWarpScalar",eval);
  } else if (arg[0].className() == "vtkWarpScalar") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkWarpScalar"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkWarpScalar");
    vtkWarpScalar*q = reinterpret_cast<vtkWarpScalar*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkWarpScalar");
    return ret;
  }
}
//@@Signature
//sfunction @vtkWarpScalar:GetClassName vtkWarpScalarGetClassNameFunction
//input a0 
//output y
ArrayVector vtkWarpScalarGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkWarpScalar requires 1 argument(s)");
  vtkWarpScalar* vtk_pointer = GetVTKPointer<vtkWarpScalar>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWarpScalar:IsA vtkWarpScalarIsAFunction
//input a0 a1 
//output y
ArrayVector vtkWarpScalarIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkWarpScalar requires 2 argument(s)");
  vtkWarpScalar* vtk_pointer = GetVTKPointer<vtkWarpScalar>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWarpScalar:NewInstance vtkWarpScalarNewInstanceFunction
//input a0 
//output y
ArrayVector vtkWarpScalarNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWarpScalar *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkWarpScalar requires 1 argument(s)");
  vtkWarpScalar* vtk_pointer = GetVTKPointer<vtkWarpScalar>(arg[0]);
  Array retval;
  vtkWarpScalar  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWarpScalar",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWarpScalar:SafeDownCast vtkWarpScalarSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkWarpScalarSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWarpScalar *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkWarpScalar requires 2 argument(s)");
  vtkWarpScalar* vtk_pointer = GetVTKPointer<vtkWarpScalar>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkWarpScalar  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWarpScalar",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWarpScalar:SetScaleFactor vtkWarpScalarSetScaleFactorFunction
//input a0 a1 
//output none
ArrayVector vtkWarpScalarSetScaleFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScaleFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScaleFactor for class vtkWarpScalar requires 2 argument(s)");
  vtkWarpScalar* vtk_pointer = GetVTKPointer<vtkWarpScalar>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetScaleFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWarpScalar:GetScaleFactor vtkWarpScalarGetScaleFactorFunction
//input a0 
//output y
ArrayVector vtkWarpScalarGetScaleFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetScaleFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScaleFactor for class vtkWarpScalar requires 1 argument(s)");
  vtkWarpScalar* vtk_pointer = GetVTKPointer<vtkWarpScalar>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetScaleFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWarpScalar:SetUseNormal vtkWarpScalarSetUseNormalFunction
//input a0 a1 
//output none
ArrayVector vtkWarpScalarSetUseNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseNormal (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseNormal for class vtkWarpScalar requires 2 argument(s)");
  vtkWarpScalar* vtk_pointer = GetVTKPointer<vtkWarpScalar>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseNormal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWarpScalar:GetUseNormal vtkWarpScalarGetUseNormalFunction
//input a0 
//output y
ArrayVector vtkWarpScalarGetUseNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseNormal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseNormal for class vtkWarpScalar requires 1 argument(s)");
  vtkWarpScalar* vtk_pointer = GetVTKPointer<vtkWarpScalar>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseNormal();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWarpScalar:UseNormalOn vtkWarpScalarUseNormalOnFunction
//input a0 
//output none
ArrayVector vtkWarpScalarUseNormalOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseNormalOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseNormalOn for class vtkWarpScalar requires 1 argument(s)");
  vtkWarpScalar* vtk_pointer = GetVTKPointer<vtkWarpScalar>(arg[0]);
  Array retval;
  vtk_pointer->UseNormalOn();
  return retval;
}

//@@Signature
//sfunction @vtkWarpScalar:UseNormalOff vtkWarpScalarUseNormalOffFunction
//input a0 
//output none
ArrayVector vtkWarpScalarUseNormalOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseNormalOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseNormalOff for class vtkWarpScalar requires 1 argument(s)");
  vtkWarpScalar* vtk_pointer = GetVTKPointer<vtkWarpScalar>(arg[0]);
  Array retval;
  vtk_pointer->UseNormalOff();
  return retval;
}

//@@Signature
//sfunction @vtkWarpScalar:SetNormal__1 vtkWarpScalarSetNormal__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkWarpScalarSetNormal__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormal (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetNormal__1 for class vtkWarpScalar requires 4 argument(s)");
  vtkWarpScalar* vtk_pointer = GetVTKPointer<vtkWarpScalar>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetNormal(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkWarpScalar:SetNormal__2 vtkWarpScalarSetNormal__2Function
//input a0 a1 
//output none
ArrayVector vtkWarpScalarSetNormal__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormal (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormal__2 for class vtkWarpScalar requires 2 argument(s)");
  vtkWarpScalar* vtk_pointer = GetVTKPointer<vtkWarpScalar>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetNormal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWarpScalar:GetNormal vtkWarpScalarGetNormalFunction
//input a0 
//output y
ArrayVector vtkWarpScalarGetNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetNormal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormal for class vtkWarpScalar requires 1 argument(s)");
  vtkWarpScalar* vtk_pointer = GetVTKPointer<vtkWarpScalar>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetNormal();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkWarpScalar:SetXYPlane vtkWarpScalarSetXYPlaneFunction
//input a0 a1 
//output none
ArrayVector vtkWarpScalarSetXYPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXYPlane (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetXYPlane for class vtkWarpScalar requires 2 argument(s)");
  vtkWarpScalar* vtk_pointer = GetVTKPointer<vtkWarpScalar>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetXYPlane(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWarpScalar:GetXYPlane vtkWarpScalarGetXYPlaneFunction
//input a0 
//output y
ArrayVector vtkWarpScalarGetXYPlaneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetXYPlane (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXYPlane for class vtkWarpScalar requires 1 argument(s)");
  vtkWarpScalar* vtk_pointer = GetVTKPointer<vtkWarpScalar>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetXYPlane();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWarpScalar:XYPlaneOn vtkWarpScalarXYPlaneOnFunction
//input a0 
//output none
ArrayVector vtkWarpScalarXYPlaneOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void XYPlaneOn (); */
  if (arg.size() < 1) 
    throw Exception("Function XYPlaneOn for class vtkWarpScalar requires 1 argument(s)");
  vtkWarpScalar* vtk_pointer = GetVTKPointer<vtkWarpScalar>(arg[0]);
  Array retval;
  vtk_pointer->XYPlaneOn();
  return retval;
}

//@@Signature
//sfunction @vtkWarpScalar:XYPlaneOff vtkWarpScalarXYPlaneOffFunction
//input a0 
//output none
ArrayVector vtkWarpScalarXYPlaneOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void XYPlaneOff (); */
  if (arg.size() < 1) 
    throw Exception("Function XYPlaneOff for class vtkWarpScalar requires 1 argument(s)");
  vtkWarpScalar* vtk_pointer = GetVTKPointer<vtkWarpScalar>(arg[0]);
  Array retval;
  vtk_pointer->XYPlaneOff();
  return retval;
}

//@@Signature
//sfunction @vtkWarpScalar:SetNormal vtkWarpScalarSetNormalFunction
//input varargin
//output varargout
ArrayVector vtkWarpScalarSetNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkWarpScalarSetNormal__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkWarpScalarSetNormal__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkWarpScalarSetNormal");
}

//@@Signature
//sfunction @vtkWarpScalar:display vtkWarpScalarDisplayFunction
//input varargin
//output varargout
ArrayVector vtkWarpScalarDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkWarpScalar* vtk_pointer = GetVTKPointer<vtkWarpScalar>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkWarpScalar:delete vtkWarpScalarDeleteFunction
//input varargin
//output none
ArrayVector vtkWarpScalarDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkWarpScalar
//@@Section VTKGraphics
//@@Usage
// vtkWarpScalar is a filter that modifies point coordinates by moving
// points along point normals by the scalar amount times the scale factor.
// Useful for creating carpet or x-y-z plots.
//
// If normals are not present in data, the Normal instance variable will
// be used as the direction along which to warp the geometry. If normals are
// present but you would like to use the Normal instance variable, set the 
// UseNormal boolean to true.
//
// If XYPlane boolean is set true, then the z-value is considered to be 
// a scalar value (still scaled by scale factor), and the displacement is
// along the z-axis. If scalars are also present, these are copied through
// and can be used to color the surface.
//
// Note that the filter passes both its point data and cell data to
// its output, except for normals, since these are distorted by the
// warping.
//
//To create an instance of class vtkWarpScalar, simply
//invoke its constructor as follows
//@[
//  obj = vtkWarpScalar
//@]
//@@Methods
//The class vtkWarpScalar has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkWarpScalar class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkWarpScalar = obj.NewInstance ()|
// \item @|vtkWarpScalar = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetScaleFactor (double )| -  Specify value to scale displacement.
//// \item @|double = obj.GetScaleFactor ()| -  Specify value to scale displacement.
//// \item @|obj.SetUseNormal (int )| -  Turn on/off use of user specified normal. If on, data normals
// will be ignored and instance variable Normal will be used instead.
//// \item @|int = obj.GetUseNormal ()| -  Turn on/off use of user specified normal. If on, data normals
// will be ignored and instance variable Normal will be used instead.
//// \item @|obj.UseNormalOn ()| -  Turn on/off use of user specified normal. If on, data normals
// will be ignored and instance variable Normal will be used instead.
//// \item @|obj.UseNormalOff ()| -  Turn on/off use of user specified normal. If on, data normals
// will be ignored and instance variable Normal will be used instead.
//// \item @|obj.SetNormal (double , double , double )| -  Normal (i.e., direction) along which to warp geometry. Only used
// if UseNormal boolean set to true or no normals available in data.
//// \item @|obj.SetNormal (double  a[3])| -  Normal (i.e., direction) along which to warp geometry. Only used
// if UseNormal boolean set to true or no normals available in data.
//// \item @|double = obj. GetNormal ()| -  Normal (i.e., direction) along which to warp geometry. Only used
// if UseNormal boolean set to true or no normals available in data.
//// \item @|obj.SetXYPlane (int )| -  Turn on/off flag specifying that input data is x-y plane. If x-y plane,
// then the z value is used to warp the surface in the z-axis direction 
// (times the scale factor) and scalars are used to color the surface.
//// \item @|int = obj.GetXYPlane ()| -  Turn on/off flag specifying that input data is x-y plane. If x-y plane,
// then the z value is used to warp the surface in the z-axis direction 
// (times the scale factor) and scalars are used to color the surface.
//// \item @|obj.XYPlaneOn ()| -  Turn on/off flag specifying that input data is x-y plane. If x-y plane,
// then the z value is used to warp the surface in the z-axis direction 
// (times the scale factor) and scalars are used to color the surface.
//// \item @|obj.XYPlaneOff ()| -  Turn on/off flag specifying that input data is x-y plane. If x-y plane,
// then the z value is used to warp the surface in the z-axis direction 
// (times the scale factor) and scalars are used to color the surface.
////\end{itemize}
//!
