#include "VTKWrap.hpp"

// FreeMat wrapper for vtkWarpTo object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkWarpTo.h"

//@@Signature
//sfunction @vtkWarpTo:vtkWarpTo vtkWarpToConstructorFunction
//input a
//output p
//@@Parents vtkWarpTo vtkPointSetAlgorithm 
ArrayVector vtkWarpToConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkWarpTo::New(),"vtkWarpTo",eval);
  } else if (arg[0].className() == "vtkWarpTo") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkWarpTo"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkWarpTo");
    vtkWarpTo*q = reinterpret_cast<vtkWarpTo*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkWarpTo");
    return ret;
  }
}
//@@Signature
//sfunction @vtkWarpTo:GetClassName vtkWarpToGetClassNameFunction
//input a0 
//output y
ArrayVector vtkWarpToGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkWarpTo requires 1 argument(s)");
  vtkWarpTo* vtk_pointer = GetVTKPointer<vtkWarpTo>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWarpTo:IsA vtkWarpToIsAFunction
//input a0 a1 
//output y
ArrayVector vtkWarpToIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkWarpTo requires 2 argument(s)");
  vtkWarpTo* vtk_pointer = GetVTKPointer<vtkWarpTo>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWarpTo:NewInstance vtkWarpToNewInstanceFunction
//input a0 
//output y
ArrayVector vtkWarpToNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWarpTo *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkWarpTo requires 1 argument(s)");
  vtkWarpTo* vtk_pointer = GetVTKPointer<vtkWarpTo>(arg[0]);
  Array retval;
  vtkWarpTo  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWarpTo",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWarpTo:SafeDownCast vtkWarpToSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkWarpToSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWarpTo *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkWarpTo requires 2 argument(s)");
  vtkWarpTo* vtk_pointer = GetVTKPointer<vtkWarpTo>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkWarpTo  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWarpTo",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWarpTo:SetScaleFactor vtkWarpToSetScaleFactorFunction
//input a0 a1 
//output none
ArrayVector vtkWarpToSetScaleFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScaleFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScaleFactor for class vtkWarpTo requires 2 argument(s)");
  vtkWarpTo* vtk_pointer = GetVTKPointer<vtkWarpTo>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetScaleFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWarpTo:GetScaleFactor vtkWarpToGetScaleFactorFunction
//input a0 
//output y
ArrayVector vtkWarpToGetScaleFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetScaleFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScaleFactor for class vtkWarpTo requires 1 argument(s)");
  vtkWarpTo* vtk_pointer = GetVTKPointer<vtkWarpTo>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetScaleFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWarpTo:GetPosition vtkWarpToGetPositionFunction
//input a0 
//output y
ArrayVector vtkWarpToGetPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPosition for class vtkWarpTo requires 1 argument(s)");
  vtkWarpTo* vtk_pointer = GetVTKPointer<vtkWarpTo>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPosition();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkWarpTo:SetPosition__1 vtkWarpToSetPosition__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkWarpToSetPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPosition (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetPosition__1 for class vtkWarpTo requires 4 argument(s)");
  vtkWarpTo* vtk_pointer = GetVTKPointer<vtkWarpTo>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPosition(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkWarpTo:SetPosition__2 vtkWarpToSetPosition__2Function
//input a0 a1 
//output none
ArrayVector vtkWarpToSetPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPosition (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPosition__2 for class vtkWarpTo requires 2 argument(s)");
  vtkWarpTo* vtk_pointer = GetVTKPointer<vtkWarpTo>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWarpTo:SetAbsolute vtkWarpToSetAbsoluteFunction
//input a0 a1 
//output none
ArrayVector vtkWarpToSetAbsoluteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAbsolute (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAbsolute for class vtkWarpTo requires 2 argument(s)");
  vtkWarpTo* vtk_pointer = GetVTKPointer<vtkWarpTo>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAbsolute(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWarpTo:GetAbsolute vtkWarpToGetAbsoluteFunction
//input a0 
//output y
ArrayVector vtkWarpToGetAbsoluteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAbsolute (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAbsolute for class vtkWarpTo requires 1 argument(s)");
  vtkWarpTo* vtk_pointer = GetVTKPointer<vtkWarpTo>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAbsolute();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWarpTo:AbsoluteOn vtkWarpToAbsoluteOnFunction
//input a0 
//output none
ArrayVector vtkWarpToAbsoluteOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AbsoluteOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AbsoluteOn for class vtkWarpTo requires 1 argument(s)");
  vtkWarpTo* vtk_pointer = GetVTKPointer<vtkWarpTo>(arg[0]);
  Array retval;
  vtk_pointer->AbsoluteOn();
  return retval;
}

//@@Signature
//sfunction @vtkWarpTo:AbsoluteOff vtkWarpToAbsoluteOffFunction
//input a0 
//output none
ArrayVector vtkWarpToAbsoluteOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AbsoluteOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AbsoluteOff for class vtkWarpTo requires 1 argument(s)");
  vtkWarpTo* vtk_pointer = GetVTKPointer<vtkWarpTo>(arg[0]);
  Array retval;
  vtk_pointer->AbsoluteOff();
  return retval;
}

//@@Signature
//sfunction @vtkWarpTo:SetPosition vtkWarpToSetPositionFunction
//input varargin
//output varargout
ArrayVector vtkWarpToSetPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkWarpToSetPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkWarpToSetPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkWarpToSetPosition");
}

//@@Signature
//sfunction @vtkWarpTo:display vtkWarpToDisplayFunction
//input varargin
//output varargout
ArrayVector vtkWarpToDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkWarpTo* vtk_pointer = GetVTKPointer<vtkWarpTo>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkWarpTo:delete vtkWarpToDeleteFunction
//input varargin
//output none
ArrayVector vtkWarpToDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkWarpTo
//@@Section VTKGraphics
//@@Usage
// vtkWarpTo is a filter that modifies point coordinates by moving the
// points towards a user specified position.
//
//To create an instance of class vtkWarpTo, simply
//invoke its constructor as follows
//@[
//  obj = vtkWarpTo
//@]
//@@Methods
//The class vtkWarpTo has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkWarpTo class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkWarpTo = obj.NewInstance ()|
// \item @|vtkWarpTo = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetScaleFactor (double )| -  Set/Get the value to scale displacement.
//// \item @|double = obj.GetScaleFactor ()| -  Set/Get the value to scale displacement.
//// \item @|double = obj. GetPosition ()| -  Set/Get the position to warp towards.
//// \item @|obj.SetPosition (double , double , double )| -  Set/Get the position to warp towards.
//// \item @|obj.SetPosition (double  a[3])| -  Set/Get the position to warp towards.
//// \item @|obj.SetAbsolute (int )| -  Set/Get the Absolute ivar. Turning Absolute on causes scale factor
// of the new position to be one unit away from Position.
//// \item @|int = obj.GetAbsolute ()| -  Set/Get the Absolute ivar. Turning Absolute on causes scale factor
// of the new position to be one unit away from Position.
//// \item @|obj.AbsoluteOn ()| -  Set/Get the Absolute ivar. Turning Absolute on causes scale factor
// of the new position to be one unit away from Position.
//// \item @|obj.AbsoluteOff ()| -  Set/Get the Absolute ivar. Turning Absolute on causes scale factor
// of the new position to be one unit away from Position.
////\end{itemize}
//!
