#include "VTKWrap.hpp"

// FreeMat wrapper for vtkWarpVector object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkWarpVector.h"

//@@Signature
//sfunction @vtkWarpVector:vtkWarpVector vtkWarpVectorConstructorFunction
//input a
//output p
//@@Parents vtkWarpVector vtkPointSetAlgorithm 
ArrayVector vtkWarpVectorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkWarpVector::New(),"vtkWarpVector",eval);
  } else if (arg[0].className() == "vtkWarpVector") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkWarpVector"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkWarpVector");
    vtkWarpVector*q = reinterpret_cast<vtkWarpVector*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkWarpVector");
    return ret;
  }
}
//@@Signature
//sfunction @vtkWarpVector:GetClassName vtkWarpVectorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkWarpVectorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkWarpVector requires 1 argument(s)");
  vtkWarpVector* vtk_pointer = GetVTKPointer<vtkWarpVector>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWarpVector:IsA vtkWarpVectorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkWarpVectorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkWarpVector requires 2 argument(s)");
  vtkWarpVector* vtk_pointer = GetVTKPointer<vtkWarpVector>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWarpVector:NewInstance vtkWarpVectorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkWarpVectorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWarpVector *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkWarpVector requires 1 argument(s)");
  vtkWarpVector* vtk_pointer = GetVTKPointer<vtkWarpVector>(arg[0]);
  Array retval;
  vtkWarpVector  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWarpVector",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWarpVector:SafeDownCast vtkWarpVectorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkWarpVectorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWarpVector *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkWarpVector requires 2 argument(s)");
  vtkWarpVector* vtk_pointer = GetVTKPointer<vtkWarpVector>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkWarpVector  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWarpVector",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWarpVector:SetScaleFactor vtkWarpVectorSetScaleFactorFunction
//input a0 a1 
//output none
ArrayVector vtkWarpVectorSetScaleFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScaleFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScaleFactor for class vtkWarpVector requires 2 argument(s)");
  vtkWarpVector* vtk_pointer = GetVTKPointer<vtkWarpVector>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetScaleFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWarpVector:GetScaleFactor vtkWarpVectorGetScaleFactorFunction
//input a0 
//output y
ArrayVector vtkWarpVectorGetScaleFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetScaleFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScaleFactor for class vtkWarpVector requires 1 argument(s)");
  vtkWarpVector* vtk_pointer = GetVTKPointer<vtkWarpVector>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetScaleFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWarpVector:display vtkWarpVectorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkWarpVectorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkWarpVector* vtk_pointer = GetVTKPointer<vtkWarpVector>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkWarpVector:delete vtkWarpVectorDeleteFunction
//input varargin
//output none
ArrayVector vtkWarpVectorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkWarpVector
//@@Section VTKGraphics
//@@Usage
// vtkWarpVector is a filter that modifies point coordinates by moving
// points along vector times the scale factor. Useful for showing flow
// profiles or mechanical deformation.
//
// The filter passes both its point data and cell data to its output.
//
//To create an instance of class vtkWarpVector, simply
//invoke its constructor as follows
//@[
//  obj = vtkWarpVector
//@]
//@@Methods
//The class vtkWarpVector has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkWarpVector class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkWarpVector = obj.NewInstance ()|
// \item @|vtkWarpVector = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetScaleFactor (double )| -  Specify value to scale displacement.
//// \item @|double = obj.GetScaleFactor ()| -  Specify value to scale displacement.
////\end{itemize}
//!
