#include "VTKWrap.hpp"

// FreeMat wrapper for vtkWindowedSincPolyDataFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkWindowedSincPolyDataFilter.h"

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:vtkWindowedSincPolyDataFilter vtkWindowedSincPolyDataFilterConstructorFunction
//input a
//output p
//@@Parents vtkWindowedSincPolyDataFilter vtkPolyDataAlgorithm 
ArrayVector vtkWindowedSincPolyDataFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkWindowedSincPolyDataFilter::New(),"vtkWindowedSincPolyDataFilter",eval);
  } else if (arg[0].className() == "vtkWindowedSincPolyDataFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkWindowedSincPolyDataFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkWindowedSincPolyDataFilter");
    vtkWindowedSincPolyDataFilter*q = reinterpret_cast<vtkWindowedSincPolyDataFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkWindowedSincPolyDataFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:GetClassName vtkWindowedSincPolyDataFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkWindowedSincPolyDataFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:IsA vtkWindowedSincPolyDataFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkWindowedSincPolyDataFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkWindowedSincPolyDataFilter requires 2 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:NewInstance vtkWindowedSincPolyDataFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkWindowedSincPolyDataFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWindowedSincPolyDataFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  vtkWindowedSincPolyDataFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWindowedSincPolyDataFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:SafeDownCast vtkWindowedSincPolyDataFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkWindowedSincPolyDataFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWindowedSincPolyDataFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkWindowedSincPolyDataFilter requires 2 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkWindowedSincPolyDataFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWindowedSincPolyDataFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:SetNumberOfIterations vtkWindowedSincPolyDataFilterSetNumberOfIterationsFunction
//input a0 a1 
//output none
ArrayVector vtkWindowedSincPolyDataFilterSetNumberOfIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfIterations (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfIterations for class vtkWindowedSincPolyDataFilter requires 2 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfIterations(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:GetNumberOfIterationsMinValue vtkWindowedSincPolyDataFilterGetNumberOfIterationsMinValueFunction
//input a0 
//output y
ArrayVector vtkWindowedSincPolyDataFilterGetNumberOfIterationsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfIterationsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfIterationsMinValue for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfIterationsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:GetNumberOfIterationsMaxValue vtkWindowedSincPolyDataFilterGetNumberOfIterationsMaxValueFunction
//input a0 
//output y
ArrayVector vtkWindowedSincPolyDataFilterGetNumberOfIterationsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfIterationsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfIterationsMaxValue for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfIterationsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:GetNumberOfIterations vtkWindowedSincPolyDataFilterGetNumberOfIterationsFunction
//input a0 
//output y
ArrayVector vtkWindowedSincPolyDataFilterGetNumberOfIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfIterations (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfIterations for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfIterations();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:SetPassBand vtkWindowedSincPolyDataFilterSetPassBandFunction
//input a0 a1 
//output none
ArrayVector vtkWindowedSincPolyDataFilterSetPassBandFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPassBand (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPassBand for class vtkWindowedSincPolyDataFilter requires 2 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetPassBand(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:GetPassBandMinValue vtkWindowedSincPolyDataFilterGetPassBandMinValueFunction
//input a0 
//output y
ArrayVector vtkWindowedSincPolyDataFilterGetPassBandMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPassBandMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPassBandMinValue for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPassBandMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:GetPassBandMaxValue vtkWindowedSincPolyDataFilterGetPassBandMaxValueFunction
//input a0 
//output y
ArrayVector vtkWindowedSincPolyDataFilterGetPassBandMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPassBandMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPassBandMaxValue for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPassBandMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:GetPassBand vtkWindowedSincPolyDataFilterGetPassBandFunction
//input a0 
//output y
ArrayVector vtkWindowedSincPolyDataFilterGetPassBandFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPassBand (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPassBand for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPassBand();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:SetNormalizeCoordinates vtkWindowedSincPolyDataFilterSetNormalizeCoordinatesFunction
//input a0 a1 
//output none
ArrayVector vtkWindowedSincPolyDataFilterSetNormalizeCoordinatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalizeCoordinates (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormalizeCoordinates for class vtkWindowedSincPolyDataFilter requires 2 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNormalizeCoordinates(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:GetNormalizeCoordinates vtkWindowedSincPolyDataFilterGetNormalizeCoordinatesFunction
//input a0 
//output y
ArrayVector vtkWindowedSincPolyDataFilterGetNormalizeCoordinatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNormalizeCoordinates (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalizeCoordinates for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNormalizeCoordinates();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:NormalizeCoordinatesOn vtkWindowedSincPolyDataFilterNormalizeCoordinatesOnFunction
//input a0 
//output none
ArrayVector vtkWindowedSincPolyDataFilterNormalizeCoordinatesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalizeCoordinatesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalizeCoordinatesOn for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->NormalizeCoordinatesOn();
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:NormalizeCoordinatesOff vtkWindowedSincPolyDataFilterNormalizeCoordinatesOffFunction
//input a0 
//output none
ArrayVector vtkWindowedSincPolyDataFilterNormalizeCoordinatesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalizeCoordinatesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalizeCoordinatesOff for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->NormalizeCoordinatesOff();
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:SetFeatureEdgeSmoothing vtkWindowedSincPolyDataFilterSetFeatureEdgeSmoothingFunction
//input a0 a1 
//output none
ArrayVector vtkWindowedSincPolyDataFilterSetFeatureEdgeSmoothingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFeatureEdgeSmoothing (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFeatureEdgeSmoothing for class vtkWindowedSincPolyDataFilter requires 2 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFeatureEdgeSmoothing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:GetFeatureEdgeSmoothing vtkWindowedSincPolyDataFilterGetFeatureEdgeSmoothingFunction
//input a0 
//output y
ArrayVector vtkWindowedSincPolyDataFilterGetFeatureEdgeSmoothingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFeatureEdgeSmoothing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFeatureEdgeSmoothing for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFeatureEdgeSmoothing();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:FeatureEdgeSmoothingOn vtkWindowedSincPolyDataFilterFeatureEdgeSmoothingOnFunction
//input a0 
//output none
ArrayVector vtkWindowedSincPolyDataFilterFeatureEdgeSmoothingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FeatureEdgeSmoothingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function FeatureEdgeSmoothingOn for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->FeatureEdgeSmoothingOn();
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:FeatureEdgeSmoothingOff vtkWindowedSincPolyDataFilterFeatureEdgeSmoothingOffFunction
//input a0 
//output none
ArrayVector vtkWindowedSincPolyDataFilterFeatureEdgeSmoothingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FeatureEdgeSmoothingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function FeatureEdgeSmoothingOff for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->FeatureEdgeSmoothingOff();
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:SetFeatureAngle vtkWindowedSincPolyDataFilterSetFeatureAngleFunction
//input a0 a1 
//output none
ArrayVector vtkWindowedSincPolyDataFilterSetFeatureAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFeatureAngle (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFeatureAngle for class vtkWindowedSincPolyDataFilter requires 2 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetFeatureAngle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:GetFeatureAngleMinValue vtkWindowedSincPolyDataFilterGetFeatureAngleMinValueFunction
//input a0 
//output y
ArrayVector vtkWindowedSincPolyDataFilterGetFeatureAngleMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFeatureAngleMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFeatureAngleMinValue for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFeatureAngleMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:GetFeatureAngleMaxValue vtkWindowedSincPolyDataFilterGetFeatureAngleMaxValueFunction
//input a0 
//output y
ArrayVector vtkWindowedSincPolyDataFilterGetFeatureAngleMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFeatureAngleMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFeatureAngleMaxValue for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFeatureAngleMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:GetFeatureAngle vtkWindowedSincPolyDataFilterGetFeatureAngleFunction
//input a0 
//output y
ArrayVector vtkWindowedSincPolyDataFilterGetFeatureAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFeatureAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFeatureAngle for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFeatureAngle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:SetEdgeAngle vtkWindowedSincPolyDataFilterSetEdgeAngleFunction
//input a0 a1 
//output none
ArrayVector vtkWindowedSincPolyDataFilterSetEdgeAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeAngle (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeAngle for class vtkWindowedSincPolyDataFilter requires 2 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetEdgeAngle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:GetEdgeAngleMinValue vtkWindowedSincPolyDataFilterGetEdgeAngleMinValueFunction
//input a0 
//output y
ArrayVector vtkWindowedSincPolyDataFilterGetEdgeAngleMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEdgeAngleMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeAngleMinValue for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEdgeAngleMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:GetEdgeAngleMaxValue vtkWindowedSincPolyDataFilterGetEdgeAngleMaxValueFunction
//input a0 
//output y
ArrayVector vtkWindowedSincPolyDataFilterGetEdgeAngleMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEdgeAngleMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeAngleMaxValue for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEdgeAngleMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:GetEdgeAngle vtkWindowedSincPolyDataFilterGetEdgeAngleFunction
//input a0 
//output y
ArrayVector vtkWindowedSincPolyDataFilterGetEdgeAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEdgeAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeAngle for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEdgeAngle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:SetBoundarySmoothing vtkWindowedSincPolyDataFilterSetBoundarySmoothingFunction
//input a0 a1 
//output none
ArrayVector vtkWindowedSincPolyDataFilterSetBoundarySmoothingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBoundarySmoothing (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBoundarySmoothing for class vtkWindowedSincPolyDataFilter requires 2 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBoundarySmoothing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:GetBoundarySmoothing vtkWindowedSincPolyDataFilterGetBoundarySmoothingFunction
//input a0 
//output y
ArrayVector vtkWindowedSincPolyDataFilterGetBoundarySmoothingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBoundarySmoothing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBoundarySmoothing for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBoundarySmoothing();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:BoundarySmoothingOn vtkWindowedSincPolyDataFilterBoundarySmoothingOnFunction
//input a0 
//output none
ArrayVector vtkWindowedSincPolyDataFilterBoundarySmoothingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BoundarySmoothingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function BoundarySmoothingOn for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->BoundarySmoothingOn();
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:BoundarySmoothingOff vtkWindowedSincPolyDataFilterBoundarySmoothingOffFunction
//input a0 
//output none
ArrayVector vtkWindowedSincPolyDataFilterBoundarySmoothingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BoundarySmoothingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function BoundarySmoothingOff for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->BoundarySmoothingOff();
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:SetNonManifoldSmoothing vtkWindowedSincPolyDataFilterSetNonManifoldSmoothingFunction
//input a0 a1 
//output none
ArrayVector vtkWindowedSincPolyDataFilterSetNonManifoldSmoothingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNonManifoldSmoothing (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNonManifoldSmoothing for class vtkWindowedSincPolyDataFilter requires 2 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNonManifoldSmoothing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:GetNonManifoldSmoothing vtkWindowedSincPolyDataFilterGetNonManifoldSmoothingFunction
//input a0 
//output y
ArrayVector vtkWindowedSincPolyDataFilterGetNonManifoldSmoothingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNonManifoldSmoothing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNonManifoldSmoothing for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNonManifoldSmoothing();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:NonManifoldSmoothingOn vtkWindowedSincPolyDataFilterNonManifoldSmoothingOnFunction
//input a0 
//output none
ArrayVector vtkWindowedSincPolyDataFilterNonManifoldSmoothingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NonManifoldSmoothingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function NonManifoldSmoothingOn for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->NonManifoldSmoothingOn();
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:NonManifoldSmoothingOff vtkWindowedSincPolyDataFilterNonManifoldSmoothingOffFunction
//input a0 
//output none
ArrayVector vtkWindowedSincPolyDataFilterNonManifoldSmoothingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NonManifoldSmoothingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function NonManifoldSmoothingOff for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->NonManifoldSmoothingOff();
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:SetGenerateErrorScalars vtkWindowedSincPolyDataFilterSetGenerateErrorScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkWindowedSincPolyDataFilterSetGenerateErrorScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateErrorScalars (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateErrorScalars for class vtkWindowedSincPolyDataFilter requires 2 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateErrorScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:GetGenerateErrorScalars vtkWindowedSincPolyDataFilterGetGenerateErrorScalarsFunction
//input a0 
//output y
ArrayVector vtkWindowedSincPolyDataFilterGetGenerateErrorScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateErrorScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateErrorScalars for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateErrorScalars();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:GenerateErrorScalarsOn vtkWindowedSincPolyDataFilterGenerateErrorScalarsOnFunction
//input a0 
//output none
ArrayVector vtkWindowedSincPolyDataFilterGenerateErrorScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateErrorScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateErrorScalarsOn for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->GenerateErrorScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:GenerateErrorScalarsOff vtkWindowedSincPolyDataFilterGenerateErrorScalarsOffFunction
//input a0 
//output none
ArrayVector vtkWindowedSincPolyDataFilterGenerateErrorScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateErrorScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateErrorScalarsOff for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->GenerateErrorScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:SetGenerateErrorVectors vtkWindowedSincPolyDataFilterSetGenerateErrorVectorsFunction
//input a0 a1 
//output none
ArrayVector vtkWindowedSincPolyDataFilterSetGenerateErrorVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateErrorVectors (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateErrorVectors for class vtkWindowedSincPolyDataFilter requires 2 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateErrorVectors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:GetGenerateErrorVectors vtkWindowedSincPolyDataFilterGetGenerateErrorVectorsFunction
//input a0 
//output y
ArrayVector vtkWindowedSincPolyDataFilterGetGenerateErrorVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateErrorVectors (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateErrorVectors for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateErrorVectors();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:GenerateErrorVectorsOn vtkWindowedSincPolyDataFilterGenerateErrorVectorsOnFunction
//input a0 
//output none
ArrayVector vtkWindowedSincPolyDataFilterGenerateErrorVectorsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateErrorVectorsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateErrorVectorsOn for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->GenerateErrorVectorsOn();
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:GenerateErrorVectorsOff vtkWindowedSincPolyDataFilterGenerateErrorVectorsOffFunction
//input a0 
//output none
ArrayVector vtkWindowedSincPolyDataFilterGenerateErrorVectorsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateErrorVectorsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateErrorVectorsOff for class vtkWindowedSincPolyDataFilter requires 1 argument(s)");
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->GenerateErrorVectorsOff();
  return retval;
}

//@@Signature
//sfunction @vtkWindowedSincPolyDataFilter:display vtkWindowedSincPolyDataFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkWindowedSincPolyDataFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkWindowedSincPolyDataFilter* vtk_pointer = GetVTKPointer<vtkWindowedSincPolyDataFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkWindowedSincPolyDataFilter:delete vtkWindowedSincPolyDataFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkWindowedSincPolyDataFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkWindowedSincPolyDataFilter
//@@Section VTKGraphics
//@@Usage
// vtkWindowedSincPolyDataFiler adjust point coordinate using a windowed
// sinc function interpolation kernel.  The effect is to "relax" the mesh,
// making the cells better shaped and the vertices more evenly distributed.
// Note that this filter operates the lines, polygons, and triangle strips
// composing an instance of vtkPolyData.  Vertex or poly-vertex cells are
// never modified.
//
// The algorithm proceeds as follows. For each vertex v, a topological and
// geometric analysis is performed to determine which vertices are connected
// to v, and which cells are connected to v. Then, a connectivity array is
// constructed for each vertex. (The connectivity array is a list of lists
// of vertices that directly attach to each vertex.) Next, an iteration
// phase begins over all vertices. For each vertex v, the coordinates of v
// are modified using a windowed sinc function interpolation kernel.
// Taubin describes this methodology is the IBM tech report RC-20404
// (#90237, dated 3/12/96) "Optimal Surface Smoothing as Filter Design"
// G. Taubin, T. Zhang and G. Golub. (Zhang and Golub are at Stanford
// University).
//
// This report discusses using standard signal processing low-pass filters
// (in particular windowed sinc functions) to smooth polyhedra. The
// transfer functions of the low-pass filters are approximated by
// Chebyshev polynomials. This facilitates applying the filters in an
// iterative diffusion process (as opposed to a kernel convolution).  The
// more smoothing iterations applied, the higher the degree of polynomial
// approximating the low-pass filter transfer function. Each smoothing
// iteration, therefore, applies the next higher term of the Chebyshev
// filter approximation to the polyhedron. This decoupling of the filter
// into an iteratively applied polynomial is possible since the Chebyshev
// polynomials are orthogonal, i.e. increasing the order of the
// approximation to the filter transfer function does not alter the
// previously calculated coefficients for the low order terms. 
//
// Note: Care must be taken to avoid smoothing with too few iterations.
// A Chebyshev approximation with too few terms is an poor approximation.
// The first few smoothing iterations represent a severe scaling and
// translation of the data.  Subsequent iterations cause the smoothed
// polyhedron to converge to the true location and scale of the object.
// We have attempted to protect against this by automatically adjusting
// the filter, effectively widening the pass band. This adjustment is only
// possible if the number of iterations is greater than 1.  Note that this
// sacrifices some degree of smoothing for model integrity. For those
// interested, the filter is adjusted by searching for a value sigma
// such that the actual pass band is k_pb + sigma and such that the
// filter transfer function evaluates to unity at k_pb, i.e. f(k_pb) = 1
//
// To improve the numerical stability of the solution and minimize the
// scaling the translation effects, the algorithm can translate and
// scale the position coordinates to within the unit cube [-1, 1],
// perform the smoothing, and translate and scale the position
// coordinates back to the original coordinate frame.  This mode is
// controlled with the NormalizeCoordinatesOn() /
// NormalizeCoordinatesOff() methods.  For legacy reasons, the default
// is NormalizeCoordinatesOff.
//
// This implementation is currently limited to using an interpolation
// kernel based on Hamming windows.  Other windows (such as Hann, Blackman,
// Kaiser, Lanczos, Gaussian, and exponential windows) could be used
// instead.
//
// There are some special instance variables used to control the execution
// of this filter. (These ivars basically control what vertices can be
// smoothed, and the creation of the connectivity array.) The
// BoundarySmoothing ivar enables/disables the smoothing operation on
// vertices that are on the "boundary" of the mesh. A boundary vertex is one
// that is surrounded by a semi-cycle of polygons (or used by a single
// line).
// 
// Another important ivar is FeatureEdgeSmoothing. If this ivar is
// enabled, then interior vertices are classified as either "simple",
// "interior edge", or "fixed", and smoothed differently. (Interior
// vertices are manifold vertices surrounded by a cycle of polygons; or used
// by two line cells.) The classification is based on the number of feature 
// edges attached to v. A feature edge occurs when the angle between the two
// surface normals of a polygon sharing an edge is greater than the
// FeatureAngle ivar. Then, vertices used by no feature edges are classified
// "simple", vertices used by exactly two feature edges are classified
// "interior edge", and all others are "fixed" vertices.
//
// Once the classification is known, the vertices are smoothed
// differently. Corner (i.e., fixed) vertices are not smoothed at all. 
// Simple vertices are smoothed as before . Interior edge vertices are
// smoothed only along their two connected edges, and only if the angle
// between the edges is less than the EdgeAngle ivar.
//
// The total smoothing can be controlled by using two ivars. The 
// NumberOfIterations determines the maximum number of smoothing passes.
// The NumberOfIterations corresponds to the degree of the polynomial that
// is used to approximate the windowed sinc function. Ten or twenty
// iterations is all the is usually necessary. Contrast this with
// vtkSmoothPolyDataFilter which usually requires 100 to 200 smoothing
// iterations. vtkSmoothPolyDataFilter is also not an approximation to
// an ideal low-pass filter, which can cause the geometry to shrink as the
// amount of smoothing increases.
//
// The second ivar is the specification of the PassBand for the windowed
// sinc filter.  By design, the PassBand is specified as a doubleing point
// number between 0 and 2.  Lower PassBand values produce more smoothing.
// A good default value for the PassBand is 0.1 (for those interested, the
// PassBand (and frequencies) for PolyData are based on the valence of the
// vertices, this limits all the frequency modes in a polyhedral mesh to
// between 0 and 2.)
//
// There are two instance variables that control the generation of error
// data. If the ivar GenerateErrorScalars is on, then a scalar value indicating
// the distance of each vertex from its original position is computed. If the
// ivar GenerateErrorVectors is on, then a vector representing change in 
// position is computed.
//
//
//To create an instance of class vtkWindowedSincPolyDataFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkWindowedSincPolyDataFilter
//@]
//@@Methods
//The class vtkWindowedSincPolyDataFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkWindowedSincPolyDataFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkWindowedSincPolyDataFilter = obj.NewInstance ()|
// \item @|vtkWindowedSincPolyDataFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetNumberOfIterations (int )| -  Specify the number of iterations (or degree of the polynomial
// approximating the windowed sinc function).
//// \item @|int = obj.GetNumberOfIterationsMinValue ()| -  Specify the number of iterations (or degree of the polynomial
// approximating the windowed sinc function).
//// \item @|int = obj.GetNumberOfIterationsMaxValue ()| -  Specify the number of iterations (or degree of the polynomial
// approximating the windowed sinc function).
//// \item @|int = obj.GetNumberOfIterations ()| -  Specify the number of iterations (or degree of the polynomial
// approximating the windowed sinc function).
//// \item @|obj.SetPassBand (double )| -  Set the passband value for the windowed sinc filter
//// \item @|double = obj.GetPassBandMinValue ()| -  Set the passband value for the windowed sinc filter
//// \item @|double = obj.GetPassBandMaxValue ()| -  Set the passband value for the windowed sinc filter
//// \item @|double = obj.GetPassBand ()| -  Set the passband value for the windowed sinc filter
//// \item @|obj.SetNormalizeCoordinates (int )| -  Turn on/off coordinate normalization.  The positions can be
// translated and scaled such that they fit within a [-1, 1] prior
// to the smoothing computation. The default is off.  The numerical
// stability of the solution can be improved by turning
// normalization on.  If normalization is on, the coordinates will
// be rescaled to the original coordinate system after smoothing has
// completed.
//// \item @|int = obj.GetNormalizeCoordinates ()| -  Turn on/off coordinate normalization.  The positions can be
// translated and scaled such that they fit within a [-1, 1] prior
// to the smoothing computation. The default is off.  The numerical
// stability of the solution can be improved by turning
// normalization on.  If normalization is on, the coordinates will
// be rescaled to the original coordinate system after smoothing has
// completed.
//// \item @|obj.NormalizeCoordinatesOn ()| -  Turn on/off coordinate normalization.  The positions can be
// translated and scaled such that they fit within a [-1, 1] prior
// to the smoothing computation. The default is off.  The numerical
// stability of the solution can be improved by turning
// normalization on.  If normalization is on, the coordinates will
// be rescaled to the original coordinate system after smoothing has
// completed.
//// \item @|obj.NormalizeCoordinatesOff ()| -  Turn on/off coordinate normalization.  The positions can be
// translated and scaled such that they fit within a [-1, 1] prior
// to the smoothing computation. The default is off.  The numerical
// stability of the solution can be improved by turning
// normalization on.  If normalization is on, the coordinates will
// be rescaled to the original coordinate system after smoothing has
// completed.
//// \item @|obj.SetFeatureEdgeSmoothing (int )| -  Turn on/off smoothing along sharp interior edges.
//// \item @|int = obj.GetFeatureEdgeSmoothing ()| -  Turn on/off smoothing along sharp interior edges.
//// \item @|obj.FeatureEdgeSmoothingOn ()| -  Turn on/off smoothing along sharp interior edges.
//// \item @|obj.FeatureEdgeSmoothingOff ()| -  Turn on/off smoothing along sharp interior edges.
//// \item @|obj.SetFeatureAngle (double )| -  Specify the feature angle for sharp edge identification.
//// \item @|double = obj.GetFeatureAngleMinValue ()| -  Specify the feature angle for sharp edge identification.
//// \item @|double = obj.GetFeatureAngleMaxValue ()| -  Specify the feature angle for sharp edge identification.
//// \item @|double = obj.GetFeatureAngle ()| -  Specify the feature angle for sharp edge identification.
//// \item @|obj.SetEdgeAngle (double )| -  Specify the edge angle to control smoothing along edges (either interior
// or boundary).
//// \item @|double = obj.GetEdgeAngleMinValue ()| -  Specify the edge angle to control smoothing along edges (either interior
// or boundary).
//// \item @|double = obj.GetEdgeAngleMaxValue ()| -  Specify the edge angle to control smoothing along edges (either interior
// or boundary).
//// \item @|double = obj.GetEdgeAngle ()| -  Specify the edge angle to control smoothing along edges (either interior
// or boundary).
//// \item @|obj.SetBoundarySmoothing (int )| -  Turn on/off the smoothing of vertices on the boundary of the mesh.
//// \item @|int = obj.GetBoundarySmoothing ()| -  Turn on/off the smoothing of vertices on the boundary of the mesh.
//// \item @|obj.BoundarySmoothingOn ()| -  Turn on/off the smoothing of vertices on the boundary of the mesh.
//// \item @|obj.BoundarySmoothingOff ()| -  Turn on/off the smoothing of vertices on the boundary of the mesh.
//// \item @|obj.SetNonManifoldSmoothing (int )| -  Smooth non-manifold vertices.
//// \item @|int = obj.GetNonManifoldSmoothing ()| -  Smooth non-manifold vertices.
//// \item @|obj.NonManifoldSmoothingOn ()| -  Smooth non-manifold vertices.
//// \item @|obj.NonManifoldSmoothingOff ()| -  Smooth non-manifold vertices.
//// \item @|obj.SetGenerateErrorScalars (int )| -  Turn on/off the generation of scalar distance values.
//// \item @|int = obj.GetGenerateErrorScalars ()| -  Turn on/off the generation of scalar distance values.
//// \item @|obj.GenerateErrorScalarsOn ()| -  Turn on/off the generation of scalar distance values.
//// \item @|obj.GenerateErrorScalarsOff ()| -  Turn on/off the generation of scalar distance values.
//// \item @|obj.SetGenerateErrorVectors (int )| -  Turn on/off the generation of error vectors.
//// \item @|int = obj.GetGenerateErrorVectors ()| -  Turn on/off the generation of error vectors.
//// \item @|obj.GenerateErrorVectorsOn ()| -  Turn on/off the generation of error vectors.
//// \item @|obj.GenerateErrorVectorsOff ()| -  Turn on/off the generation of error vectors.
////\end{itemize}
//!
