#include "VTKWrap.hpp"

// FreeMat wrapper for vtkYoungsMaterialInterface object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkYoungsMaterialInterface.h"

//@@Signature
//sfunction @vtkYoungsMaterialInterface:vtkYoungsMaterialInterface vtkYoungsMaterialInterfaceConstructorFunction
//input a
//output p
//@@Parents vtkYoungsMaterialInterface vtkMultiBlockDataSetAlgorithm 
ArrayVector vtkYoungsMaterialInterfaceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkYoungsMaterialInterface::New(),"vtkYoungsMaterialInterface",eval);
  } else if (arg[0].className() == "vtkYoungsMaterialInterface") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkYoungsMaterialInterface"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkYoungsMaterialInterface");
    vtkYoungsMaterialInterface*q = reinterpret_cast<vtkYoungsMaterialInterface*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkYoungsMaterialInterface");
    return ret;
  }
}
//@@Signature
//sfunction @vtkYoungsMaterialInterface:GetClassName vtkYoungsMaterialInterfaceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkYoungsMaterialInterfaceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkYoungsMaterialInterface requires 1 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:IsA vtkYoungsMaterialInterfaceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkYoungsMaterialInterfaceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkYoungsMaterialInterface requires 2 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:NewInstance vtkYoungsMaterialInterfaceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkYoungsMaterialInterfaceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkYoungsMaterialInterface *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkYoungsMaterialInterface requires 1 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  vtkYoungsMaterialInterface  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkYoungsMaterialInterface",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:SafeDownCast vtkYoungsMaterialInterfaceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkYoungsMaterialInterfaceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkYoungsMaterialInterface *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkYoungsMaterialInterface requires 2 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkYoungsMaterialInterface  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkYoungsMaterialInterface",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:SetInverseNormal vtkYoungsMaterialInterfaceSetInverseNormalFunction
//input a0 a1 
//output none
ArrayVector vtkYoungsMaterialInterfaceSetInverseNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInverseNormal (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInverseNormal for class vtkYoungsMaterialInterface requires 2 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInverseNormal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:GetInverseNormal vtkYoungsMaterialInterfaceGetInverseNormalFunction
//input a0 
//output y
ArrayVector vtkYoungsMaterialInterfaceGetInverseNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInverseNormal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInverseNormal for class vtkYoungsMaterialInterface requires 1 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInverseNormal();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:InverseNormalOn vtkYoungsMaterialInterfaceInverseNormalOnFunction
//input a0 
//output none
ArrayVector vtkYoungsMaterialInterfaceInverseNormalOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InverseNormalOn (); */
  if (arg.size() < 1) 
    throw Exception("Function InverseNormalOn for class vtkYoungsMaterialInterface requires 1 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  vtk_pointer->InverseNormalOn();
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:InverseNormalOff vtkYoungsMaterialInterfaceInverseNormalOffFunction
//input a0 
//output none
ArrayVector vtkYoungsMaterialInterfaceInverseNormalOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InverseNormalOff (); */
  if (arg.size() < 1) 
    throw Exception("Function InverseNormalOff for class vtkYoungsMaterialInterface requires 1 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  vtk_pointer->InverseNormalOff();
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:SetReverseMaterialOrder vtkYoungsMaterialInterfaceSetReverseMaterialOrderFunction
//input a0 a1 
//output none
ArrayVector vtkYoungsMaterialInterfaceSetReverseMaterialOrderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReverseMaterialOrder (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReverseMaterialOrder for class vtkYoungsMaterialInterface requires 2 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReverseMaterialOrder(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:GetReverseMaterialOrder vtkYoungsMaterialInterfaceGetReverseMaterialOrderFunction
//input a0 
//output y
ArrayVector vtkYoungsMaterialInterfaceGetReverseMaterialOrderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReverseMaterialOrder (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReverseMaterialOrder for class vtkYoungsMaterialInterface requires 1 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReverseMaterialOrder();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:ReverseMaterialOrderOn vtkYoungsMaterialInterfaceReverseMaterialOrderOnFunction
//input a0 
//output none
ArrayVector vtkYoungsMaterialInterfaceReverseMaterialOrderOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReverseMaterialOrderOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReverseMaterialOrderOn for class vtkYoungsMaterialInterface requires 1 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  vtk_pointer->ReverseMaterialOrderOn();
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:ReverseMaterialOrderOff vtkYoungsMaterialInterfaceReverseMaterialOrderOffFunction
//input a0 
//output none
ArrayVector vtkYoungsMaterialInterfaceReverseMaterialOrderOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReverseMaterialOrderOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReverseMaterialOrderOff for class vtkYoungsMaterialInterface requires 1 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  vtk_pointer->ReverseMaterialOrderOff();
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:SetOnionPeel vtkYoungsMaterialInterfaceSetOnionPeelFunction
//input a0 a1 
//output none
ArrayVector vtkYoungsMaterialInterfaceSetOnionPeelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOnionPeel (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOnionPeel for class vtkYoungsMaterialInterface requires 2 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOnionPeel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:GetOnionPeel vtkYoungsMaterialInterfaceGetOnionPeelFunction
//input a0 
//output y
ArrayVector vtkYoungsMaterialInterfaceGetOnionPeelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOnionPeel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOnionPeel for class vtkYoungsMaterialInterface requires 1 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOnionPeel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:OnionPeelOn vtkYoungsMaterialInterfaceOnionPeelOnFunction
//input a0 
//output none
ArrayVector vtkYoungsMaterialInterfaceOnionPeelOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OnionPeelOn (); */
  if (arg.size() < 1) 
    throw Exception("Function OnionPeelOn for class vtkYoungsMaterialInterface requires 1 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  vtk_pointer->OnionPeelOn();
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:OnionPeelOff vtkYoungsMaterialInterfaceOnionPeelOffFunction
//input a0 
//output none
ArrayVector vtkYoungsMaterialInterfaceOnionPeelOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OnionPeelOff (); */
  if (arg.size() < 1) 
    throw Exception("Function OnionPeelOff for class vtkYoungsMaterialInterface requires 1 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  vtk_pointer->OnionPeelOff();
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:SetAxisSymetric vtkYoungsMaterialInterfaceSetAxisSymetricFunction
//input a0 a1 
//output none
ArrayVector vtkYoungsMaterialInterfaceSetAxisSymetricFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAxisSymetric (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAxisSymetric for class vtkYoungsMaterialInterface requires 2 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAxisSymetric(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:GetAxisSymetric vtkYoungsMaterialInterfaceGetAxisSymetricFunction
//input a0 
//output y
ArrayVector vtkYoungsMaterialInterfaceGetAxisSymetricFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAxisSymetric (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAxisSymetric for class vtkYoungsMaterialInterface requires 1 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAxisSymetric();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:AxisSymetricOn vtkYoungsMaterialInterfaceAxisSymetricOnFunction
//input a0 
//output none
ArrayVector vtkYoungsMaterialInterfaceAxisSymetricOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AxisSymetricOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AxisSymetricOn for class vtkYoungsMaterialInterface requires 1 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  vtk_pointer->AxisSymetricOn();
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:AxisSymetricOff vtkYoungsMaterialInterfaceAxisSymetricOffFunction
//input a0 
//output none
ArrayVector vtkYoungsMaterialInterfaceAxisSymetricOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AxisSymetricOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AxisSymetricOff for class vtkYoungsMaterialInterface requires 1 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  vtk_pointer->AxisSymetricOff();
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:SetUseFractionAsDistance vtkYoungsMaterialInterfaceSetUseFractionAsDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkYoungsMaterialInterfaceSetUseFractionAsDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseFractionAsDistance (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseFractionAsDistance for class vtkYoungsMaterialInterface requires 2 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseFractionAsDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:GetUseFractionAsDistance vtkYoungsMaterialInterfaceGetUseFractionAsDistanceFunction
//input a0 
//output y
ArrayVector vtkYoungsMaterialInterfaceGetUseFractionAsDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseFractionAsDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseFractionAsDistance for class vtkYoungsMaterialInterface requires 1 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseFractionAsDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:UseFractionAsDistanceOn vtkYoungsMaterialInterfaceUseFractionAsDistanceOnFunction
//input a0 
//output none
ArrayVector vtkYoungsMaterialInterfaceUseFractionAsDistanceOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseFractionAsDistanceOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseFractionAsDistanceOn for class vtkYoungsMaterialInterface requires 1 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  vtk_pointer->UseFractionAsDistanceOn();
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:UseFractionAsDistanceOff vtkYoungsMaterialInterfaceUseFractionAsDistanceOffFunction
//input a0 
//output none
ArrayVector vtkYoungsMaterialInterfaceUseFractionAsDistanceOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseFractionAsDistanceOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseFractionAsDistanceOff for class vtkYoungsMaterialInterface requires 1 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  vtk_pointer->UseFractionAsDistanceOff();
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:SetFillMaterial vtkYoungsMaterialInterfaceSetFillMaterialFunction
//input a0 a1 
//output none
ArrayVector vtkYoungsMaterialInterfaceSetFillMaterialFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFillMaterial (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFillMaterial for class vtkYoungsMaterialInterface requires 2 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFillMaterial(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:GetFillMaterial vtkYoungsMaterialInterfaceGetFillMaterialFunction
//input a0 
//output y
ArrayVector vtkYoungsMaterialInterfaceGetFillMaterialFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFillMaterial (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFillMaterial for class vtkYoungsMaterialInterface requires 1 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFillMaterial();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:FillMaterialOn vtkYoungsMaterialInterfaceFillMaterialOnFunction
//input a0 
//output none
ArrayVector vtkYoungsMaterialInterfaceFillMaterialOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FillMaterialOn (); */
  if (arg.size() < 1) 
    throw Exception("Function FillMaterialOn for class vtkYoungsMaterialInterface requires 1 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  vtk_pointer->FillMaterialOn();
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:FillMaterialOff vtkYoungsMaterialInterfaceFillMaterialOffFunction
//input a0 
//output none
ArrayVector vtkYoungsMaterialInterfaceFillMaterialOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FillMaterialOff (); */
  if (arg.size() < 1) 
    throw Exception("Function FillMaterialOff for class vtkYoungsMaterialInterface requires 1 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  vtk_pointer->FillMaterialOff();
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:SetTwoMaterialsOptimization vtkYoungsMaterialInterfaceSetTwoMaterialsOptimizationFunction
//input a0 a1 
//output none
ArrayVector vtkYoungsMaterialInterfaceSetTwoMaterialsOptimizationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTwoMaterialsOptimization (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTwoMaterialsOptimization for class vtkYoungsMaterialInterface requires 2 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTwoMaterialsOptimization(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:GetTwoMaterialsOptimization vtkYoungsMaterialInterfaceGetTwoMaterialsOptimizationFunction
//input a0 
//output y
ArrayVector vtkYoungsMaterialInterfaceGetTwoMaterialsOptimizationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTwoMaterialsOptimization (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTwoMaterialsOptimization for class vtkYoungsMaterialInterface requires 1 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTwoMaterialsOptimization();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:TwoMaterialsOptimizationOn vtkYoungsMaterialInterfaceTwoMaterialsOptimizationOnFunction
//input a0 
//output none
ArrayVector vtkYoungsMaterialInterfaceTwoMaterialsOptimizationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TwoMaterialsOptimizationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TwoMaterialsOptimizationOn for class vtkYoungsMaterialInterface requires 1 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  vtk_pointer->TwoMaterialsOptimizationOn();
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:TwoMaterialsOptimizationOff vtkYoungsMaterialInterfaceTwoMaterialsOptimizationOffFunction
//input a0 
//output none
ArrayVector vtkYoungsMaterialInterfaceTwoMaterialsOptimizationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TwoMaterialsOptimizationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TwoMaterialsOptimizationOff for class vtkYoungsMaterialInterface requires 1 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  vtk_pointer->TwoMaterialsOptimizationOff();
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:SetVolumeFractionRange__1 vtkYoungsMaterialInterfaceSetVolumeFractionRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkYoungsMaterialInterfaceSetVolumeFractionRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVolumeFractionRange (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetVolumeFractionRange__1 for class vtkYoungsMaterialInterface requires 3 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetVolumeFractionRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:SetVolumeFractionRange__2 vtkYoungsMaterialInterfaceSetVolumeFractionRange__2Function
//input a0 a1 
//output none
ArrayVector vtkYoungsMaterialInterfaceSetVolumeFractionRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVolumeFractionRange (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetVolumeFractionRange__2 for class vtkYoungsMaterialInterface requires 2 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetVolumeFractionRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:GetVolumeFractionRange vtkYoungsMaterialInterfaceGetVolumeFractionRangeFunction
//input a0 
//output y
ArrayVector vtkYoungsMaterialInterfaceGetVolumeFractionRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetVolumeFractionRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVolumeFractionRange for class vtkYoungsMaterialInterface requires 1 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetVolumeFractionRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:SetNumberOfMaterials vtkYoungsMaterialInterfaceSetNumberOfMaterialsFunction
//input a0 a1 
//output none
ArrayVector vtkYoungsMaterialInterfaceSetNumberOfMaterialsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetNumberOfMaterials (int n); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfMaterials for class vtkYoungsMaterialInterface requires 2 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfMaterials(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:GetNumberOfMaterials vtkYoungsMaterialInterfaceGetNumberOfMaterialsFunction
//input a0 
//output y
ArrayVector vtkYoungsMaterialInterfaceGetNumberOfMaterialsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfMaterials (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfMaterials for class vtkYoungsMaterialInterface requires 1 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfMaterials();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:SetMaterialArrays vtkYoungsMaterialInterfaceSetMaterialArraysFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkYoungsMaterialInterfaceSetMaterialArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetMaterialArrays (int i, const char *volumeFraction, const char *interfaceNormal, const char *materialOrdering); */
  if (arg.size() < 5) 
    throw Exception("Function SetMaterialArrays for class vtkYoungsMaterialInterface requires 5 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  char    *temp2;
  char    *temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  char tmp_string2[1024];
  strcpy(tmp_string2,qPrintable(arg[3].asString())); 
  temp2 = tmp_string2;
  char tmp_string3[1024];
  strcpy(tmp_string3,qPrintable(arg[4].asString())); 
  temp3 = tmp_string3;
  vtk_pointer->SetMaterialArrays(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:SetMaterialVolumeFractionArray vtkYoungsMaterialInterfaceSetMaterialVolumeFractionArrayFunction
//input a0 a1 a2 
//output none
ArrayVector vtkYoungsMaterialInterfaceSetMaterialVolumeFractionArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetMaterialVolumeFractionArray (int i, const char *volume); */
  if (arg.size() < 3) 
    throw Exception("Function SetMaterialVolumeFractionArray for class vtkYoungsMaterialInterface requires 3 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->SetMaterialVolumeFractionArray(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:SetMaterialNormalArray vtkYoungsMaterialInterfaceSetMaterialNormalArrayFunction
//input a0 a1 a2 
//output none
ArrayVector vtkYoungsMaterialInterfaceSetMaterialNormalArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetMaterialNormalArray (int i, const char *normal); */
  if (arg.size() < 3) 
    throw Exception("Function SetMaterialNormalArray for class vtkYoungsMaterialInterface requires 3 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->SetMaterialNormalArray(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:SetMaterialOrderingArray vtkYoungsMaterialInterfaceSetMaterialOrderingArrayFunction
//input a0 a1 a2 
//output none
ArrayVector vtkYoungsMaterialInterfaceSetMaterialOrderingArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetMaterialOrderingArray (int i, const char *ordering); */
  if (arg.size() < 3) 
    throw Exception("Function SetMaterialOrderingArray for class vtkYoungsMaterialInterface requires 3 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->SetMaterialOrderingArray(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:RemoveAllMaterials vtkYoungsMaterialInterfaceRemoveAllMaterialsFunction
//input a0 
//output none
ArrayVector vtkYoungsMaterialInterfaceRemoveAllMaterialsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveAllMaterials (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllMaterials for class vtkYoungsMaterialInterface requires 1 argument(s)");
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllMaterials();
  return retval;
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:SetVolumeFractionRange vtkYoungsMaterialInterfaceSetVolumeFractionRangeFunction
//input varargin
//output varargout
ArrayVector vtkYoungsMaterialInterfaceSetVolumeFractionRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkYoungsMaterialInterfaceSetVolumeFractionRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkYoungsMaterialInterfaceSetVolumeFractionRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkYoungsMaterialInterfaceSetVolumeFractionRange");
}

//@@Signature
//sfunction @vtkYoungsMaterialInterface:display vtkYoungsMaterialInterfaceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkYoungsMaterialInterfaceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkYoungsMaterialInterface* vtk_pointer = GetVTKPointer<vtkYoungsMaterialInterface>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkYoungsMaterialInterface:delete vtkYoungsMaterialInterfaceDeleteFunction
//input varargin
//output none
ArrayVector vtkYoungsMaterialInterfaceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkYoungsMaterialInterface
//@@Section VTKGraphics
//@@Usage
// Reconstructs material interfaces from a mesh containing mixed cells (where several materials are mixed)
// this implementation is based on the youngs algorithm, generalized to arbitrary cell types and works
// on both 2D and 3D meshes. the main advantage of the youngs algorithm is it guarantees the material volume correctness.
// for 2D meshes, the AxisSymetric flag allows to switch between a pure 2D (plannar) algorithm and an axis symetric 2D algorithm
// handling volumes of revolution.
//
// .SECTION Thanks
// This file is part of the generalized Youngs material interface reconstruction algorithm contributed by <br>
// CEA/DIF - Commissariat a l'Energie Atomique, Centre DAM Ile-De-France <br>
// BP12, F-91297 Arpajon, France. <br>
// Implementation by Thierry Carrard (thierry.carrard@cea.fr)
//
//To create an instance of class vtkYoungsMaterialInterface, simply
//invoke its constructor as follows
//@[
//  obj = vtkYoungsMaterialInterface
//@]
//@@Methods
//The class vtkYoungsMaterialInterface has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkYoungsMaterialInterface class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkYoungsMaterialInterface = obj.NewInstance ()|
// \item @|vtkYoungsMaterialInterface = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInverseNormal (int )| -  Set/Get wether the normal vector has to be flipped.
//// \item @|int = obj.GetInverseNormal ()| -  Set/Get wether the normal vector has to be flipped.
//// \item @|obj.InverseNormalOn ()| -  Set/Get wether the normal vector has to be flipped.
//// \item @|obj.InverseNormalOff ()| -  Set/Get wether the normal vector has to be flipped.
//// \item @|obj.SetReverseMaterialOrder (int )| -  If this flag is on, material order in reversed. 
// Otherwise, materials are sorted in ascending order depending on the given ordering array.
//// \item @|int = obj.GetReverseMaterialOrder ()| -  If this flag is on, material order in reversed. 
// Otherwise, materials are sorted in ascending order depending on the given ordering array.
//// \item @|obj.ReverseMaterialOrderOn ()| -  If this flag is on, material order in reversed. 
// Otherwise, materials are sorted in ascending order depending on the given ordering array.
//// \item @|obj.ReverseMaterialOrderOff ()| -  If this flag is on, material order in reversed. 
// Otherwise, materials are sorted in ascending order depending on the given ordering array.
//// \item @|obj.SetOnionPeel (int )| -  Set/Get OnionPeel flag. if this flag is on, the normal vector of the first 
// material (which depends on material ordering) is used for all materials.
//// \item @|int = obj.GetOnionPeel ()| -  Set/Get OnionPeel flag. if this flag is on, the normal vector of the first 
// material (which depends on material ordering) is used for all materials.
//// \item @|obj.OnionPeelOn ()| -  Set/Get OnionPeel flag. if this flag is on, the normal vector of the first 
// material (which depends on material ordering) is used for all materials.
//// \item @|obj.OnionPeelOff ()| -  Set/Get OnionPeel flag. if this flag is on, the normal vector of the first 
// material (which depends on material ordering) is used for all materials.
//// \item @|obj.SetAxisSymetric (int )| -  Turns on/off AxisSymetric computation of 2D interfaces. 
// in axis symetric mode, 2D meshes are understood as volumes of revolution.
//// \item @|int = obj.GetAxisSymetric ()| -  Turns on/off AxisSymetric computation of 2D interfaces. 
// in axis symetric mode, 2D meshes are understood as volumes of revolution.
//// \item @|obj.AxisSymetricOn ()| -  Turns on/off AxisSymetric computation of 2D interfaces. 
// in axis symetric mode, 2D meshes are understood as volumes of revolution.
//// \item @|obj.AxisSymetricOff ()| -  Turns on/off AxisSymetric computation of 2D interfaces. 
// in axis symetric mode, 2D meshes are understood as volumes of revolution.
//// \item @|obj.SetUseFractionAsDistance (int )| -  when UseFractionAsDistance is true, the volume fraction is interpreted as the distance
// of the cutting plane from the origin.
// in axis symetric mode, 2D meshes are understood as volumes of revolution.
//// \item @|int = obj.GetUseFractionAsDistance ()| -  when UseFractionAsDistance is true, the volume fraction is interpreted as the distance
// of the cutting plane from the origin.
// in axis symetric mode, 2D meshes are understood as volumes of revolution.
//// \item @|obj.UseFractionAsDistanceOn ()| -  when UseFractionAsDistance is true, the volume fraction is interpreted as the distance
// of the cutting plane from the origin.
// in axis symetric mode, 2D meshes are understood as volumes of revolution.
//// \item @|obj.UseFractionAsDistanceOff ()| -  when UseFractionAsDistance is true, the volume fraction is interpreted as the distance
// of the cutting plane from the origin.
// in axis symetric mode, 2D meshes are understood as volumes of revolution.
//// \item @|obj.SetFillMaterial (int )| -  When FillMaterial is set to 1, the volume containing material is output and not only the interface surface.
//// \item @|int = obj.GetFillMaterial ()| -  When FillMaterial is set to 1, the volume containing material is output and not only the interface surface.
//// \item @|obj.FillMaterialOn ()| -  When FillMaterial is set to 1, the volume containing material is output and not only the interface surface.
//// \item @|obj.FillMaterialOff ()| -  When FillMaterial is set to 1, the volume containing material is output and not only the interface surface.
//// \item @|obj.SetTwoMaterialsOptimization (int )| -  Triggers some additional optimizations for cells containing only two materials. This option might produce different result than expected if the sum of volume fractions is not 1.
//// \item @|int = obj.GetTwoMaterialsOptimization ()| -  Triggers some additional optimizations for cells containing only two materials. This option might produce different result than expected if the sum of volume fractions is not 1.
//// \item @|obj.TwoMaterialsOptimizationOn ()| -  Triggers some additional optimizations for cells containing only two materials. This option might produce different result than expected if the sum of volume fractions is not 1.
//// \item @|obj.TwoMaterialsOptimizationOff ()| -  Triggers some additional optimizations for cells containing only two materials. This option might produce different result than expected if the sum of volume fractions is not 1.
//// \item @|obj.SetVolumeFractionRange (double , double )| -  Set/Get minimum and maximum volume fraction value. if a material fills a volume above the minimum value, the material is considered to be void. if a material fills a volume fraction beyond the maximum value it is considered as filling the whole volume.
//// \item @|obj.SetVolumeFractionRange (double  a[2])| -  Set/Get minimum and maximum volume fraction value. if a material fills a volume above the minimum value, the material is considered to be void. if a material fills a volume fraction beyond the maximum value it is considered as filling the whole volume.
//// \item @|double = obj. GetVolumeFractionRange ()| -  Set/Get minimum and maximum volume fraction value. if a material fills a volume above the minimum value, the material is considered to be void. if a material fills a volume fraction beyond the maximum value it is considered as filling the whole volume.
//// \item @|obj.SetNumberOfMaterials (int n)| -  Sets/Gets the number of materials.
//// \item @|int = obj.GetNumberOfMaterials ()| -  Sets/Gets the number of materials.
//// \item @|obj.SetMaterialArrays (int i, string volumeFraction, string interfaceNormal, string materialOrdering)| -  Set ith Material arrays to be used as volume fraction, interface normal and material ordering. Each parameter name a cell array.
//// \item @|obj.SetMaterialVolumeFractionArray (int i, string volume)| -  Set ith Material arrays to be used as volume fraction, interface normal and material ordering. Each parameter name a cell array.
//// \item @|obj.SetMaterialNormalArray (int i, string normal)| -  Set ith Material arrays to be used as volume fraction, interface normal and material ordering. Each parameter name a cell array.
//// \item @|obj.SetMaterialOrderingArray (int i, string ordering)| -  Set ith Material arrays to be used as volume fraction, interface normal and material ordering. Each parameter name a cell array.
//// \item @|obj.RemoveAllMaterials ()| -  Removes all meterials previously added.
////\end{itemize}
//!
