#include "VTKWrap.hpp"

// FreeMat wrapper for vtk3DSImporter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtk3DSImporter.h"

//@@Signature
//sfunction @vtk3DSImporter:vtk3DSImporter vtk3DSImporterConstructorFunction
//input a
//output p
//@@Parents vtk3DSImporter vtkImporter 
ArrayVector vtk3DSImporterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtk3DSImporter::New(),"vtk3DSImporter",eval);
  } else if (arg[0].className() == "vtk3DSImporter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtk3DSImporter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtk3DSImporter");
    vtk3DSImporter*q = reinterpret_cast<vtk3DSImporter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtk3DSImporter");
    return ret;
  }
}
//@@Signature
//sfunction @vtk3DSImporter:GetClassName vtk3DSImporterGetClassNameFunction
//input a0 
//output y
ArrayVector vtk3DSImporterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtk3DSImporter requires 1 argument(s)");
  vtk3DSImporter* vtk_pointer = GetVTKPointer<vtk3DSImporter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtk3DSImporter:IsA vtk3DSImporterIsAFunction
//input a0 a1 
//output y
ArrayVector vtk3DSImporterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtk3DSImporter requires 2 argument(s)");
  vtk3DSImporter* vtk_pointer = GetVTKPointer<vtk3DSImporter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtk3DSImporter:NewInstance vtk3DSImporterNewInstanceFunction
//input a0 
//output y
ArrayVector vtk3DSImporterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtk3DSImporter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtk3DSImporter requires 1 argument(s)");
  vtk3DSImporter* vtk_pointer = GetVTKPointer<vtk3DSImporter>(arg[0]);
  Array retval;
  vtk3DSImporter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtk3DSImporter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtk3DSImporter:SafeDownCast vtk3DSImporterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtk3DSImporterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtk3DSImporter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtk3DSImporter requires 2 argument(s)");
  vtk3DSImporter* vtk_pointer = GetVTKPointer<vtk3DSImporter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtk3DSImporter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtk3DSImporter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtk3DSImporter:SetFileName vtk3DSImporterSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtk3DSImporterSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtk3DSImporter requires 2 argument(s)");
  vtk3DSImporter* vtk_pointer = GetVTKPointer<vtk3DSImporter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtk3DSImporter:GetFileName vtk3DSImporterGetFileNameFunction
//input a0 
//output y
ArrayVector vtk3DSImporterGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtk3DSImporter requires 1 argument(s)");
  vtk3DSImporter* vtk_pointer = GetVTKPointer<vtk3DSImporter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtk3DSImporter:SetComputeNormals vtk3DSImporterSetComputeNormalsFunction
//input a0 a1 
//output none
ArrayVector vtk3DSImporterSetComputeNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeNormals (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeNormals for class vtk3DSImporter requires 2 argument(s)");
  vtk3DSImporter* vtk_pointer = GetVTKPointer<vtk3DSImporter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeNormals(temp0);
  return retval;
}

//@@Signature
//sfunction @vtk3DSImporter:GetComputeNormals vtk3DSImporterGetComputeNormalsFunction
//input a0 
//output y
ArrayVector vtk3DSImporterGetComputeNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeNormals (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeNormals for class vtk3DSImporter requires 1 argument(s)");
  vtk3DSImporter* vtk_pointer = GetVTKPointer<vtk3DSImporter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeNormals();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtk3DSImporter:ComputeNormalsOn vtk3DSImporterComputeNormalsOnFunction
//input a0 
//output none
ArrayVector vtk3DSImporterComputeNormalsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeNormalsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeNormalsOn for class vtk3DSImporter requires 1 argument(s)");
  vtk3DSImporter* vtk_pointer = GetVTKPointer<vtk3DSImporter>(arg[0]);
  Array retval;
  vtk_pointer->ComputeNormalsOn();
  return retval;
}

//@@Signature
//sfunction @vtk3DSImporter:ComputeNormalsOff vtk3DSImporterComputeNormalsOffFunction
//input a0 
//output none
ArrayVector vtk3DSImporterComputeNormalsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeNormalsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeNormalsOff for class vtk3DSImporter requires 1 argument(s)");
  vtk3DSImporter* vtk_pointer = GetVTKPointer<vtk3DSImporter>(arg[0]);
  Array retval;
  vtk_pointer->ComputeNormalsOff();
  return retval;
}

//@@Signature
//sfunction @vtk3DSImporter:display vtk3DSImporterDisplayFunction
//input varargin
//output varargout
ArrayVector vtk3DSImporterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtk3DSImporter* vtk_pointer = GetVTKPointer<vtk3DSImporter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtk3DSImporter:delete vtk3DSImporterDeleteFunction
//input varargin
//output none
ArrayVector vtk3DSImporterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtk3DSImporter
//@@Section VTKHybrid
//@@Usage
// vtk3DSImporter imports 3D Studio files into vtk.
//
//To create an instance of class vtk3DSImporter, simply
//invoke its constructor as follows
//@[
//  obj = vtk3DSImporter
//@]
//@@Methods
//The class vtk3DSImporter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtk3DSImporter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtk3DSImporter = obj.NewInstance ()|
// \item @|vtk3DSImporter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string )| -  Specify the name of the file to read.
//// \item @|string = obj.GetFileName ()| -  Specify the name of the file to read.
//// \item @|obj.SetComputeNormals (int )| -  Set/Get the computation of normals. If on, imported geometry will
// be run through vtkPolyDataNormals.
//// \item @|int = obj.GetComputeNormals ()| -  Set/Get the computation of normals. If on, imported geometry will
// be run through vtkPolyDataNormals.
//// \item @|obj.ComputeNormalsOn ()| -  Set/Get the computation of normals. If on, imported geometry will
// be run through vtkPolyDataNormals.
//// \item @|obj.ComputeNormalsOff ()| -  Set/Get the computation of normals. If on, imported geometry will
// be run through vtkPolyDataNormals.
////\end{itemize}
//!
