#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAnnotatedCubeActor object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAnnotatedCubeActor.h"

//@@Signature
//sfunction @vtkAnnotatedCubeActor:vtkAnnotatedCubeActor vtkAnnotatedCubeActorConstructorFunction
//input a
//output p
//@@Parents vtkAnnotatedCubeActor vtkProp3D 
ArrayVector vtkAnnotatedCubeActorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAnnotatedCubeActor::New(),"vtkAnnotatedCubeActor",eval);
  } else if (arg[0].className() == "vtkAnnotatedCubeActor") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAnnotatedCubeActor"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAnnotatedCubeActor");
    vtkAnnotatedCubeActor*q = reinterpret_cast<vtkAnnotatedCubeActor*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAnnotatedCubeActor");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAnnotatedCubeActor:GetClassName vtkAnnotatedCubeActorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAnnotatedCubeActorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAnnotatedCubeActor requires 1 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:IsA vtkAnnotatedCubeActorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAnnotatedCubeActorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAnnotatedCubeActor requires 2 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:NewInstance vtkAnnotatedCubeActorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAnnotatedCubeActorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAnnotatedCubeActor *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAnnotatedCubeActor requires 1 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  vtkAnnotatedCubeActor  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAnnotatedCubeActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:SafeDownCast vtkAnnotatedCubeActorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAnnotatedCubeActorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAnnotatedCubeActor *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAnnotatedCubeActor requires 2 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAnnotatedCubeActor  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAnnotatedCubeActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:GetActors vtkAnnotatedCubeActorGetActorsFunction
//input a0 a1 
//output none
ArrayVector vtkAnnotatedCubeActorGetActorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetActors (vtkPropCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors for class vtkAnnotatedCubeActor requires 2 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:RenderOpaqueGeometry vtkAnnotatedCubeActorRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkAnnotatedCubeActorRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkAnnotatedCubeActor requires 2 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:RenderTranslucentPolygonalGeometry vtkAnnotatedCubeActorRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkAnnotatedCubeActorRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkAnnotatedCubeActor requires 2 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:HasTranslucentPolygonalGeometry vtkAnnotatedCubeActorHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkAnnotatedCubeActorHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkAnnotatedCubeActor requires 1 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:ShallowCopy vtkAnnotatedCubeActorShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkAnnotatedCubeActorShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkAnnotatedCubeActor requires 2 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:ReleaseGraphicsResources vtkAnnotatedCubeActorReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkAnnotatedCubeActorReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkAnnotatedCubeActor requires 2 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:GetBounds__1 vtkAnnotatedCubeActorGetBounds__1Function
//input a0 a1 
//output none
ArrayVector vtkAnnotatedCubeActorGetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetBounds (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds__1 for class vtkAnnotatedCubeActor requires 2 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:GetBounds__2 vtkAnnotatedCubeActorGetBounds__2Function
//input a0 
//output y
ArrayVector vtkAnnotatedCubeActorGetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds__2 for class vtkAnnotatedCubeActor requires 1 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:GetMTime vtkAnnotatedCubeActorGetMTimeFunction
//input a0 
//output y
ArrayVector vtkAnnotatedCubeActorGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkAnnotatedCubeActor requires 1 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:SetFaceTextScale vtkAnnotatedCubeActorSetFaceTextScaleFunction
//input a0 a1 
//output none
ArrayVector vtkAnnotatedCubeActorSetFaceTextScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFaceTextScale (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFaceTextScale for class vtkAnnotatedCubeActor requires 2 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetFaceTextScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:GetFaceTextScale vtkAnnotatedCubeActorGetFaceTextScaleFunction
//input a0 
//output y
ArrayVector vtkAnnotatedCubeActorGetFaceTextScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFaceTextScale (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFaceTextScale for class vtkAnnotatedCubeActor requires 1 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFaceTextScale();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:GetXPlusFaceProperty vtkAnnotatedCubeActorGetXPlusFacePropertyFunction
//input a0 
//output y
ArrayVector vtkAnnotatedCubeActorGetXPlusFacePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetXPlusFaceProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXPlusFaceProperty for class vtkAnnotatedCubeActor requires 1 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetXPlusFaceProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:GetXMinusFaceProperty vtkAnnotatedCubeActorGetXMinusFacePropertyFunction
//input a0 
//output y
ArrayVector vtkAnnotatedCubeActorGetXMinusFacePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetXMinusFaceProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXMinusFaceProperty for class vtkAnnotatedCubeActor requires 1 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetXMinusFaceProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:GetYPlusFaceProperty vtkAnnotatedCubeActorGetYPlusFacePropertyFunction
//input a0 
//output y
ArrayVector vtkAnnotatedCubeActorGetYPlusFacePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetYPlusFaceProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYPlusFaceProperty for class vtkAnnotatedCubeActor requires 1 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetYPlusFaceProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:GetYMinusFaceProperty vtkAnnotatedCubeActorGetYMinusFacePropertyFunction
//input a0 
//output y
ArrayVector vtkAnnotatedCubeActorGetYMinusFacePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetYMinusFaceProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYMinusFaceProperty for class vtkAnnotatedCubeActor requires 1 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetYMinusFaceProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:GetZPlusFaceProperty vtkAnnotatedCubeActorGetZPlusFacePropertyFunction
//input a0 
//output y
ArrayVector vtkAnnotatedCubeActorGetZPlusFacePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetZPlusFaceProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZPlusFaceProperty for class vtkAnnotatedCubeActor requires 1 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetZPlusFaceProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:GetZMinusFaceProperty vtkAnnotatedCubeActorGetZMinusFacePropertyFunction
//input a0 
//output y
ArrayVector vtkAnnotatedCubeActorGetZMinusFacePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetZMinusFaceProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZMinusFaceProperty for class vtkAnnotatedCubeActor requires 1 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetZMinusFaceProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:GetCubeProperty vtkAnnotatedCubeActorGetCubePropertyFunction
//input a0 
//output y
ArrayVector vtkAnnotatedCubeActorGetCubePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetCubeProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCubeProperty for class vtkAnnotatedCubeActor requires 1 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetCubeProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:GetTextEdgesProperty vtkAnnotatedCubeActorGetTextEdgesPropertyFunction
//input a0 
//output y
ArrayVector vtkAnnotatedCubeActorGetTextEdgesPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetTextEdgesProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextEdgesProperty for class vtkAnnotatedCubeActor requires 1 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetTextEdgesProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:SetXPlusFaceText vtkAnnotatedCubeActorSetXPlusFaceTextFunction
//input a0 a1 
//output none
ArrayVector vtkAnnotatedCubeActorSetXPlusFaceTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXPlusFaceText (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetXPlusFaceText for class vtkAnnotatedCubeActor requires 2 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetXPlusFaceText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:GetXPlusFaceText vtkAnnotatedCubeActorGetXPlusFaceTextFunction
//input a0 
//output y
ArrayVector vtkAnnotatedCubeActorGetXPlusFaceTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetXPlusFaceText (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXPlusFaceText for class vtkAnnotatedCubeActor requires 1 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetXPlusFaceText();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:SetXMinusFaceText vtkAnnotatedCubeActorSetXMinusFaceTextFunction
//input a0 a1 
//output none
ArrayVector vtkAnnotatedCubeActorSetXMinusFaceTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXMinusFaceText (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetXMinusFaceText for class vtkAnnotatedCubeActor requires 2 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetXMinusFaceText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:GetXMinusFaceText vtkAnnotatedCubeActorGetXMinusFaceTextFunction
//input a0 
//output y
ArrayVector vtkAnnotatedCubeActorGetXMinusFaceTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetXMinusFaceText (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXMinusFaceText for class vtkAnnotatedCubeActor requires 1 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetXMinusFaceText();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:SetYPlusFaceText vtkAnnotatedCubeActorSetYPlusFaceTextFunction
//input a0 a1 
//output none
ArrayVector vtkAnnotatedCubeActorSetYPlusFaceTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYPlusFaceText (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetYPlusFaceText for class vtkAnnotatedCubeActor requires 2 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetYPlusFaceText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:GetYPlusFaceText vtkAnnotatedCubeActorGetYPlusFaceTextFunction
//input a0 
//output y
ArrayVector vtkAnnotatedCubeActorGetYPlusFaceTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetYPlusFaceText (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYPlusFaceText for class vtkAnnotatedCubeActor requires 1 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetYPlusFaceText();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:SetYMinusFaceText vtkAnnotatedCubeActorSetYMinusFaceTextFunction
//input a0 a1 
//output none
ArrayVector vtkAnnotatedCubeActorSetYMinusFaceTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYMinusFaceText (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetYMinusFaceText for class vtkAnnotatedCubeActor requires 2 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetYMinusFaceText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:GetYMinusFaceText vtkAnnotatedCubeActorGetYMinusFaceTextFunction
//input a0 
//output y
ArrayVector vtkAnnotatedCubeActorGetYMinusFaceTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetYMinusFaceText (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYMinusFaceText for class vtkAnnotatedCubeActor requires 1 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetYMinusFaceText();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:SetZPlusFaceText vtkAnnotatedCubeActorSetZPlusFaceTextFunction
//input a0 a1 
//output none
ArrayVector vtkAnnotatedCubeActorSetZPlusFaceTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZPlusFaceText (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetZPlusFaceText for class vtkAnnotatedCubeActor requires 2 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetZPlusFaceText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:GetZPlusFaceText vtkAnnotatedCubeActorGetZPlusFaceTextFunction
//input a0 
//output y
ArrayVector vtkAnnotatedCubeActorGetZPlusFaceTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetZPlusFaceText (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZPlusFaceText for class vtkAnnotatedCubeActor requires 1 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetZPlusFaceText();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:SetZMinusFaceText vtkAnnotatedCubeActorSetZMinusFaceTextFunction
//input a0 a1 
//output none
ArrayVector vtkAnnotatedCubeActorSetZMinusFaceTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZMinusFaceText (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetZMinusFaceText for class vtkAnnotatedCubeActor requires 2 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetZMinusFaceText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:GetZMinusFaceText vtkAnnotatedCubeActorGetZMinusFaceTextFunction
//input a0 
//output y
ArrayVector vtkAnnotatedCubeActorGetZMinusFaceTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetZMinusFaceText (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZMinusFaceText for class vtkAnnotatedCubeActor requires 1 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetZMinusFaceText();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:SetTextEdgesVisibility vtkAnnotatedCubeActorSetTextEdgesVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkAnnotatedCubeActorSetTextEdgesVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTextEdgesVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextEdgesVisibility for class vtkAnnotatedCubeActor requires 2 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTextEdgesVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:GetTextEdgesVisibility vtkAnnotatedCubeActorGetTextEdgesVisibilityFunction
//input a0 
//output y
ArrayVector vtkAnnotatedCubeActorGetTextEdgesVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTextEdgesVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextEdgesVisibility for class vtkAnnotatedCubeActor requires 1 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTextEdgesVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:SetCubeVisibility vtkAnnotatedCubeActorSetCubeVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkAnnotatedCubeActorSetCubeVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCubeVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCubeVisibility for class vtkAnnotatedCubeActor requires 2 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCubeVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:GetCubeVisibility vtkAnnotatedCubeActorGetCubeVisibilityFunction
//input a0 
//output y
ArrayVector vtkAnnotatedCubeActorGetCubeVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCubeVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCubeVisibility for class vtkAnnotatedCubeActor requires 1 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCubeVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:SetFaceTextVisibility vtkAnnotatedCubeActorSetFaceTextVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkAnnotatedCubeActorSetFaceTextVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFaceTextVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFaceTextVisibility for class vtkAnnotatedCubeActor requires 2 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFaceTextVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:GetFaceTextVisibility vtkAnnotatedCubeActorGetFaceTextVisibilityFunction
//input a0 
//output y
ArrayVector vtkAnnotatedCubeActorGetFaceTextVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFaceTextVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFaceTextVisibility for class vtkAnnotatedCubeActor requires 1 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFaceTextVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:SetXFaceTextRotation vtkAnnotatedCubeActorSetXFaceTextRotationFunction
//input a0 a1 
//output none
ArrayVector vtkAnnotatedCubeActorSetXFaceTextRotationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXFaceTextRotation (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetXFaceTextRotation for class vtkAnnotatedCubeActor requires 2 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetXFaceTextRotation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:GetXFaceTextRotation vtkAnnotatedCubeActorGetXFaceTextRotationFunction
//input a0 
//output y
ArrayVector vtkAnnotatedCubeActorGetXFaceTextRotationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetXFaceTextRotation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXFaceTextRotation for class vtkAnnotatedCubeActor requires 1 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetXFaceTextRotation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:SetYFaceTextRotation vtkAnnotatedCubeActorSetYFaceTextRotationFunction
//input a0 a1 
//output none
ArrayVector vtkAnnotatedCubeActorSetYFaceTextRotationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYFaceTextRotation (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetYFaceTextRotation for class vtkAnnotatedCubeActor requires 2 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetYFaceTextRotation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:GetYFaceTextRotation vtkAnnotatedCubeActorGetYFaceTextRotationFunction
//input a0 
//output y
ArrayVector vtkAnnotatedCubeActorGetYFaceTextRotationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetYFaceTextRotation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYFaceTextRotation for class vtkAnnotatedCubeActor requires 1 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetYFaceTextRotation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:SetZFaceTextRotation vtkAnnotatedCubeActorSetZFaceTextRotationFunction
//input a0 a1 
//output none
ArrayVector vtkAnnotatedCubeActorSetZFaceTextRotationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZFaceTextRotation (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetZFaceTextRotation for class vtkAnnotatedCubeActor requires 2 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetZFaceTextRotation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:GetZFaceTextRotation vtkAnnotatedCubeActorGetZFaceTextRotationFunction
//input a0 
//output y
ArrayVector vtkAnnotatedCubeActorGetZFaceTextRotationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetZFaceTextRotation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZFaceTextRotation for class vtkAnnotatedCubeActor requires 1 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetZFaceTextRotation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:GetAssembly vtkAnnotatedCubeActorGetAssemblyFunction
//input a0 
//output y
ArrayVector vtkAnnotatedCubeActorGetAssemblyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAssembly *GetAssembly ();return this Assembly  */
  if (arg.size() < 1) 
    throw Exception("Function GetAssembly for class vtkAnnotatedCubeActor requires 1 argument(s)");
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  Array retval;
  vtkAssembly  *temp20;
  temp20 = (vtk_pointer)->GetAssembly();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAssembly",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:GetBounds vtkAnnotatedCubeActorGetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkAnnotatedCubeActorGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkAnnotatedCubeActorGetBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkAnnotatedCubeActorGetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAnnotatedCubeActorGetBounds");
}

//@@Signature
//sfunction @vtkAnnotatedCubeActor:display vtkAnnotatedCubeActorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAnnotatedCubeActorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAnnotatedCubeActor* vtk_pointer = GetVTKPointer<vtkAnnotatedCubeActor>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAnnotatedCubeActor:delete vtkAnnotatedCubeActorDeleteFunction
//input varargin
//output none
ArrayVector vtkAnnotatedCubeActorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAnnotatedCubeActor
//@@Section VTKHybrid
//@@Usage
// vtkAnnotatedCubeActor is a hybrid 3D actor used to represent an anatomical
// orientation marker in a scene.  The class consists of a 3D unit cube centered
// on the origin with each face labelled in correspondance to a particular
// coordinate direction.  For example, with Cartesian directions, the user
// defined text labels could be: +X, -X, +Y, -Y, +Z, -Z, while for anatomical
// directions: A, P, L, R, S, I.  Text is automatically centered on each cube
// face and is not restriceted to single characters. In addition to or in
// replace of a solid text label representation, the outline edges of the labels
// can be displayed.  The individual properties of the cube, face labels
// and text outlines can be manipulated as can their visibility.
//
//To create an instance of class vtkAnnotatedCubeActor, simply
//invoke its constructor as follows
//@[
//  obj = vtkAnnotatedCubeActor
//@]
//@@Methods
//The class vtkAnnotatedCubeActor has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAnnotatedCubeActor class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAnnotatedCubeActor = obj.NewInstance ()|
// \item @|vtkAnnotatedCubeActor = obj.SafeDownCast (vtkObject o)|
// \item @|obj.GetActors (vtkPropCollection )| -  For some exporters and other other operations we must be
// able to collect all the actors or volumes. These methods
// are used in that process.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport viewport)| -  Support the standard render methods.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport viewport)| -  Support the standard render methods.
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  Does this prop have some translucent polygonal geometry?
//// \item @|obj.ShallowCopy (vtkProp prop)| -  Shallow copy of an axes actor. Overloads the virtual vtkProp method.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this actor.
// The parameter window could be used to determine which graphic
// resources to release.
//// \item @|obj.GetBounds (double bounds[6])| -  Get the bounds for this Actor as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax). (The
// method GetBounds(double bounds[6]) is available from the superclass.)
//// \item @|double = obj.GetBounds ()| -  Get the bounds for this Actor as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax). (The
// method GetBounds(double bounds[6]) is available from the superclass.)
//// \item @|long = obj.GetMTime ()| -  Get the actors mtime plus consider its properties and texture if set.
//// \item @|obj.SetFaceTextScale (double )| -  Set/Get the scale factor for the face text
//// \item @|double = obj.GetFaceTextScale ()| -  Set/Get the scale factor for the face text
//// \item @|vtkProperty = obj.GetXPlusFaceProperty ()| -  Get the individual face text properties.
//// \item @|vtkProperty = obj.GetXMinusFaceProperty ()| -  Get the individual face text properties.
//// \item @|vtkProperty = obj.GetYPlusFaceProperty ()| -  Get the individual face text properties.
//// \item @|vtkProperty = obj.GetYMinusFaceProperty ()| -  Get the individual face text properties.
//// \item @|vtkProperty = obj.GetZPlusFaceProperty ()| -  Get the individual face text properties.
//// \item @|vtkProperty = obj.GetZMinusFaceProperty ()| -  Get the individual face text properties.
//// \item @|vtkProperty = obj.GetCubeProperty ()| -  Get the cube properties.
//// \item @|vtkProperty = obj.GetTextEdgesProperty ()| -  Get the text edges properties.
//// \item @|obj.SetXPlusFaceText (string )| -  Set/get the face text.
//// \item @|string = obj.GetXPlusFaceText ()| -  Set/get the face text.
//// \item @|obj.SetXMinusFaceText (string )| -  Set/get the face text.
//// \item @|string = obj.GetXMinusFaceText ()| -  Set/get the face text.
//// \item @|obj.SetYPlusFaceText (string )| -  Set/get the face text.
//// \item @|string = obj.GetYPlusFaceText ()| -  Set/get the face text.
//// \item @|obj.SetYMinusFaceText (string )| -  Set/get the face text.
//// \item @|string = obj.GetYMinusFaceText ()| -  Set/get the face text.
//// \item @|obj.SetZPlusFaceText (string )| -  Set/get the face text.
//// \item @|string = obj.GetZPlusFaceText ()| -  Set/get the face text.
//// \item @|obj.SetZMinusFaceText (string )| -  Set/get the face text.
//// \item @|string = obj.GetZMinusFaceText ()| -  Set/get the face text.
//// \item @|obj.SetTextEdgesVisibility (int )| -  Enable/disable drawing the vector text edges.
//// \item @|int = obj.GetTextEdgesVisibility ()| -  Enable/disable drawing the vector text edges.
//// \item @|obj.SetCubeVisibility (int )| -  Enable/disable drawing the cube.
//// \item @|int = obj.GetCubeVisibility ()| -  Enable/disable drawing the cube.
//// \item @|obj.SetFaceTextVisibility (int )| -  Enable/disable drawing the vector text.
//// \item @|int = obj.GetFaceTextVisibility ()| -  Enable/disable drawing the vector text.
//// \item @|obj.SetXFaceTextRotation (double )| -  Augment individual face text orientations.
//// \item @|double = obj.GetXFaceTextRotation ()| -  Augment individual face text orientations.
//// \item @|obj.SetYFaceTextRotation (double )| -  Augment individual face text orientations.
//// \item @|double = obj.GetYFaceTextRotation ()| -  Augment individual face text orientations.
//// \item @|obj.SetZFaceTextRotation (double )| -  Augment individual face text orientations.
//// \item @|double = obj.GetZFaceTextRotation ()| -  Augment individual face text orientations.
//// \item @|vtkAssembly = obj.GetAssembly ()|
//\end{itemize}
//!
