#include "VTKWrap.hpp"

// FreeMat wrapper for vtkArcPlotter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkArcPlotter.h"

//@@Signature
//sfunction @vtkArcPlotter:vtkArcPlotter vtkArcPlotterConstructorFunction
//input a
//output p
//@@Parents vtkArcPlotter vtkPolyDataAlgorithm 
ArrayVector vtkArcPlotterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkArcPlotter::New(),"vtkArcPlotter",eval);
  } else if (arg[0].className() == "vtkArcPlotter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkArcPlotter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkArcPlotter");
    vtkArcPlotter*q = reinterpret_cast<vtkArcPlotter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkArcPlotter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkArcPlotter:GetClassName vtkArcPlotterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkArcPlotterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkArcPlotter requires 1 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:IsA vtkArcPlotterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkArcPlotterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkArcPlotter requires 2 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:NewInstance vtkArcPlotterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkArcPlotterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkArcPlotter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkArcPlotter requires 1 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  vtkArcPlotter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArcPlotter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:SafeDownCast vtkArcPlotterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkArcPlotterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkArcPlotter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkArcPlotter requires 2 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkArcPlotter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArcPlotter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:SetCamera vtkArcPlotterSetCameraFunction
//input a0 a1 
//output none
ArrayVector vtkArcPlotterSetCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCamera (vtkCamera *); */
  if (arg.size() < 2) 
    throw Exception("Function SetCamera for class vtkArcPlotter requires 2 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  vtkCamera  *temp0;
  temp0 = GetVTKPointer<vtkCamera>(arg[1]);
  vtk_pointer->SetCamera(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:GetCamera vtkArcPlotterGetCameraFunction
//input a0 
//output y
ArrayVector vtkArcPlotterGetCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCamera *GetCamera (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCamera for class vtkArcPlotter requires 1 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  vtkCamera  *temp20;
  temp20 = (vtk_pointer)->GetCamera();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCamera",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:SetPlotMode vtkArcPlotterSetPlotModeFunction
//input a0 a1 
//output none
ArrayVector vtkArcPlotterSetPlotModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlotMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPlotMode for class vtkArcPlotter requires 2 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPlotMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:GetPlotMode vtkArcPlotterGetPlotModeFunction
//input a0 
//output y
ArrayVector vtkArcPlotterGetPlotModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPlotMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPlotMode for class vtkArcPlotter requires 1 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPlotMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:SetPlotModeToPlotScalars vtkArcPlotterSetPlotModeToPlotScalarsFunction
//input a0 
//output none
ArrayVector vtkArcPlotterSetPlotModeToPlotScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlotModeToPlotScalars ();this SetPlotMode VTK_PLOT_SCALARS  */
  if (arg.size() < 1) 
    throw Exception("Function SetPlotModeToPlotScalars for class vtkArcPlotter requires 1 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  vtk_pointer->SetPlotModeToPlotScalars();
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:SetPlotModeToPlotVectors vtkArcPlotterSetPlotModeToPlotVectorsFunction
//input a0 
//output none
ArrayVector vtkArcPlotterSetPlotModeToPlotVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlotModeToPlotVectors ();this SetPlotMode VTK_PLOT_VECTORS  */
  if (arg.size() < 1) 
    throw Exception("Function SetPlotModeToPlotVectors for class vtkArcPlotter requires 1 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  vtk_pointer->SetPlotModeToPlotVectors();
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:SetPlotModeToPlotNormals vtkArcPlotterSetPlotModeToPlotNormalsFunction
//input a0 
//output none
ArrayVector vtkArcPlotterSetPlotModeToPlotNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlotModeToPlotNormals ();this SetPlotMode VTK_PLOT_NORMALS  */
  if (arg.size() < 1) 
    throw Exception("Function SetPlotModeToPlotNormals for class vtkArcPlotter requires 1 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  vtk_pointer->SetPlotModeToPlotNormals();
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:SetPlotModeToPlotTCoords vtkArcPlotterSetPlotModeToPlotTCoordsFunction
//input a0 
//output none
ArrayVector vtkArcPlotterSetPlotModeToPlotTCoordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlotModeToPlotTCoords ();this SetPlotMode VTK_PLOT_TCOORDS  */
  if (arg.size() < 1) 
    throw Exception("Function SetPlotModeToPlotTCoords for class vtkArcPlotter requires 1 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  vtk_pointer->SetPlotModeToPlotTCoords();
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:SetPlotModeToPlotTensors vtkArcPlotterSetPlotModeToPlotTensorsFunction
//input a0 
//output none
ArrayVector vtkArcPlotterSetPlotModeToPlotTensorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlotModeToPlotTensors ();this SetPlotMode VTK_PLOT_TENSORS  */
  if (arg.size() < 1) 
    throw Exception("Function SetPlotModeToPlotTensors for class vtkArcPlotter requires 1 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  vtk_pointer->SetPlotModeToPlotTensors();
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:SetPlotModeToPlotFieldData vtkArcPlotterSetPlotModeToPlotFieldDataFunction
//input a0 
//output none
ArrayVector vtkArcPlotterSetPlotModeToPlotFieldDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlotModeToPlotFieldData ();this SetPlotMode VTK_PLOT_FIELD_DATA  */
  if (arg.size() < 1) 
    throw Exception("Function SetPlotModeToPlotFieldData for class vtkArcPlotter requires 1 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  vtk_pointer->SetPlotModeToPlotFieldData();
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:SetPlotComponent vtkArcPlotterSetPlotComponentFunction
//input a0 a1 
//output none
ArrayVector vtkArcPlotterSetPlotComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlotComponent (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPlotComponent for class vtkArcPlotter requires 2 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPlotComponent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:GetPlotComponent vtkArcPlotterGetPlotComponentFunction
//input a0 
//output y
ArrayVector vtkArcPlotterGetPlotComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPlotComponent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPlotComponent for class vtkArcPlotter requires 1 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPlotComponent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:SetRadius vtkArcPlotterSetRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkArcPlotterSetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRadius for class vtkArcPlotter requires 2 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:GetRadiusMinValue vtkArcPlotterGetRadiusMinValueFunction
//input a0 
//output y
ArrayVector vtkArcPlotterGetRadiusMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadiusMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadiusMinValue for class vtkArcPlotter requires 1 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadiusMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:GetRadiusMaxValue vtkArcPlotterGetRadiusMaxValueFunction
//input a0 
//output y
ArrayVector vtkArcPlotterGetRadiusMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadiusMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadiusMaxValue for class vtkArcPlotter requires 1 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadiusMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:GetRadius vtkArcPlotterGetRadiusFunction
//input a0 
//output y
ArrayVector vtkArcPlotterGetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadius for class vtkArcPlotter requires 1 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:SetHeight vtkArcPlotterSetHeightFunction
//input a0 a1 
//output none
ArrayVector vtkArcPlotterSetHeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHeight (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHeight for class vtkArcPlotter requires 2 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetHeight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:GetHeightMinValue vtkArcPlotterGetHeightMinValueFunction
//input a0 
//output y
ArrayVector vtkArcPlotterGetHeightMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHeightMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeightMinValue for class vtkArcPlotter requires 1 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHeightMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:GetHeightMaxValue vtkArcPlotterGetHeightMaxValueFunction
//input a0 
//output y
ArrayVector vtkArcPlotterGetHeightMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHeightMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeightMaxValue for class vtkArcPlotter requires 1 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHeightMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:GetHeight vtkArcPlotterGetHeightFunction
//input a0 
//output y
ArrayVector vtkArcPlotterGetHeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHeight (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeight for class vtkArcPlotter requires 1 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHeight();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:SetOffset vtkArcPlotterSetOffsetFunction
//input a0 a1 
//output none
ArrayVector vtkArcPlotterSetOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOffset (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOffset for class vtkArcPlotter requires 2 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetOffset(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:GetOffsetMinValue vtkArcPlotterGetOffsetMinValueFunction
//input a0 
//output y
ArrayVector vtkArcPlotterGetOffsetMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOffsetMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOffsetMinValue for class vtkArcPlotter requires 1 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOffsetMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:GetOffsetMaxValue vtkArcPlotterGetOffsetMaxValueFunction
//input a0 
//output y
ArrayVector vtkArcPlotterGetOffsetMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOffsetMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOffsetMaxValue for class vtkArcPlotter requires 1 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOffsetMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:GetOffset vtkArcPlotterGetOffsetFunction
//input a0 
//output y
ArrayVector vtkArcPlotterGetOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOffset (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOffset for class vtkArcPlotter requires 1 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOffset();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:SetUseDefaultNormal vtkArcPlotterSetUseDefaultNormalFunction
//input a0 a1 
//output none
ArrayVector vtkArcPlotterSetUseDefaultNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseDefaultNormal (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseDefaultNormal for class vtkArcPlotter requires 2 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseDefaultNormal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:GetUseDefaultNormal vtkArcPlotterGetUseDefaultNormalFunction
//input a0 
//output y
ArrayVector vtkArcPlotterGetUseDefaultNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseDefaultNormal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseDefaultNormal for class vtkArcPlotter requires 1 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseDefaultNormal();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:UseDefaultNormalOn vtkArcPlotterUseDefaultNormalOnFunction
//input a0 
//output none
ArrayVector vtkArcPlotterUseDefaultNormalOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseDefaultNormalOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseDefaultNormalOn for class vtkArcPlotter requires 1 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  vtk_pointer->UseDefaultNormalOn();
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:UseDefaultNormalOff vtkArcPlotterUseDefaultNormalOffFunction
//input a0 
//output none
ArrayVector vtkArcPlotterUseDefaultNormalOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseDefaultNormalOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseDefaultNormalOff for class vtkArcPlotter requires 1 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  vtk_pointer->UseDefaultNormalOff();
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:SetDefaultNormal__1 vtkArcPlotterSetDefaultNormal__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkArcPlotterSetDefaultNormal__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDefaultNormal (float , float , float ); */
  if (arg.size() < 4) 
    throw Exception("Function SetDefaultNormal__1 for class vtkArcPlotter requires 4 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  float    temp0;
  float    temp1;
  float    temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetDefaultNormal(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:SetDefaultNormal__2 vtkArcPlotterSetDefaultNormal__2Function
//input a0 a1 
//output none
ArrayVector vtkArcPlotterSetDefaultNormal__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDefaultNormal (float  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDefaultNormal__2 for class vtkArcPlotter requires 2 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  float  temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  vtk_pointer->SetDefaultNormal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:GetDefaultNormal vtkArcPlotterGetDefaultNormalFunction
//input a0 
//output y
ArrayVector vtkArcPlotterGetDefaultNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float  *GetDefaultNormal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultNormal for class vtkArcPlotter requires 1 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  float   *temp20;
  temp20 = (vtk_pointer)->GetDefaultNormal();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:SetFieldDataArray vtkArcPlotterSetFieldDataArrayFunction
//input a0 a1 
//output none
ArrayVector vtkArcPlotterSetFieldDataArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFieldDataArray (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFieldDataArray for class vtkArcPlotter requires 2 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFieldDataArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:GetFieldDataArrayMinValue vtkArcPlotterGetFieldDataArrayMinValueFunction
//input a0 
//output y
ArrayVector vtkArcPlotterGetFieldDataArrayMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFieldDataArrayMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFieldDataArrayMinValue for class vtkArcPlotter requires 1 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFieldDataArrayMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:GetFieldDataArrayMaxValue vtkArcPlotterGetFieldDataArrayMaxValueFunction
//input a0 
//output y
ArrayVector vtkArcPlotterGetFieldDataArrayMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFieldDataArrayMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFieldDataArrayMaxValue for class vtkArcPlotter requires 1 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFieldDataArrayMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:GetFieldDataArray vtkArcPlotterGetFieldDataArrayFunction
//input a0 
//output y
ArrayVector vtkArcPlotterGetFieldDataArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFieldDataArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFieldDataArray for class vtkArcPlotter requires 1 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFieldDataArray();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:GetMTime vtkArcPlotterGetMTimeFunction
//input a0 
//output y
ArrayVector vtkArcPlotterGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkArcPlotter requires 1 argument(s)");
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArcPlotter:SetDefaultNormal vtkArcPlotterSetDefaultNormalFunction
//input varargin
//output varargout
ArrayVector vtkArcPlotterSetDefaultNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkArcPlotterSetDefaultNormal__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkArcPlotterSetDefaultNormal__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkArcPlotterSetDefaultNormal");
}

//@@Signature
//sfunction @vtkArcPlotter:display vtkArcPlotterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkArcPlotterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkArcPlotter* vtk_pointer = GetVTKPointer<vtkArcPlotter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkArcPlotter:delete vtkArcPlotterDeleteFunction
//input varargin
//output none
ArrayVector vtkArcPlotterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkArcPlotter
//@@Section VTKHybrid
//@@Usage
// vtkArcPlotter performs plotting of attribute data along polylines defined
// with an input vtkPolyData data object. Any type of attribute data can be
// plotted including scalars, vectors, tensors, normals, texture coordinates,
// and field data. Either one or multiple data components can be plotted.
// 
// To use this class you must specify an input data set that contains one or
// more polylines, and some attribute data including which component of the
// attribute data. (By default, this class processes the first component of
// scalar data.) You will also need to set an offset radius (the distance
// of the polyline to the median line of the plot), a width for the plot
// (the distance that the minimum and maximum plot values are mapped into),
// an possibly an offset (used to offset attribute data with multiple
// components).
// 
// Normally the filter automatically computes normals for generating the
// offset arc plot. However, you can specify a default normal and use that
// instead.
//
//To create an instance of class vtkArcPlotter, simply
//invoke its constructor as follows
//@[
//  obj = vtkArcPlotter
//@]
//@@Methods
//The class vtkArcPlotter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkArcPlotter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkArcPlotter = obj.NewInstance ()|
// \item @|vtkArcPlotter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCamera (vtkCamera )| -  Specify a camera used to orient the plot along the arc. If no camera
// is specified, then the orientation of the plot is arbitrary.
//// \item @|vtkCamera = obj.GetCamera ()| -  Specify a camera used to orient the plot along the arc. If no camera
// is specified, then the orientation of the plot is arbitrary.
//// \item @|obj.SetPlotMode (int )| -  Specify which data to plot: scalars, vectors, normals, texture coords,
// tensors, or field data. If the data has more than one component, use
// the method SetPlotComponent to control which component to plot.
//// \item @|int = obj.GetPlotMode ()| -  Specify which data to plot: scalars, vectors, normals, texture coords,
// tensors, or field data. If the data has more than one component, use
// the method SetPlotComponent to control which component to plot.
//// \item @|obj.SetPlotModeToPlotScalars ()| -  Specify which data to plot: scalars, vectors, normals, texture coords,
// tensors, or field data. If the data has more than one component, use
// the method SetPlotComponent to control which component to plot.
//// \item @|obj.SetPlotModeToPlotVectors ()| -  Specify which data to plot: scalars, vectors, normals, texture coords,
// tensors, or field data. If the data has more than one component, use
// the method SetPlotComponent to control which component to plot.
//// \item @|obj.SetPlotModeToPlotNormals ()| -  Specify which data to plot: scalars, vectors, normals, texture coords,
// tensors, or field data. If the data has more than one component, use
// the method SetPlotComponent to control which component to plot.
//// \item @|obj.SetPlotModeToPlotTCoords ()| -  Specify which data to plot: scalars, vectors, normals, texture coords,
// tensors, or field data. If the data has more than one component, use
// the method SetPlotComponent to control which component to plot.
//// \item @|obj.SetPlotModeToPlotTensors ()| -  Specify which data to plot: scalars, vectors, normals, texture coords,
// tensors, or field data. If the data has more than one component, use
// the method SetPlotComponent to control which component to plot.
//// \item @|obj.SetPlotModeToPlotFieldData ()| -  Specify which data to plot: scalars, vectors, normals, texture coords,
// tensors, or field data. If the data has more than one component, use
// the method SetPlotComponent to control which component to plot.
//// \item @|obj.SetPlotComponent (int )| -  Set/Get the component number to plot if the data has more than one 
// component. If the value of the plot component is == (-1), then all
// the components will be plotted.
//// \item @|int = obj.GetPlotComponent ()| -  Set/Get the component number to plot if the data has more than one 
// component. If the value of the plot component is == (-1), then all
// the components will be plotted.
//// \item @|obj.SetRadius (double )| -  Set the radius of the "median" value of the first plotted component.
//// \item @|double = obj.GetRadiusMinValue ()| -  Set the radius of the "median" value of the first plotted component.
//// \item @|double = obj.GetRadiusMaxValue ()| -  Set the radius of the "median" value of the first plotted component.
//// \item @|double = obj.GetRadius ()| -  Set the radius of the "median" value of the first plotted component.
//// \item @|obj.SetHeight (double )| -  Set the height of the plot. (The radius combined with the height
// define the location of the plot relative to the generating polyline.)
//// \item @|double = obj.GetHeightMinValue ()| -  Set the height of the plot. (The radius combined with the height
// define the location of the plot relative to the generating polyline.)
//// \item @|double = obj.GetHeightMaxValue ()| -  Set the height of the plot. (The radius combined with the height
// define the location of the plot relative to the generating polyline.)
//// \item @|double = obj.GetHeight ()| -  Set the height of the plot. (The radius combined with the height
// define the location of the plot relative to the generating polyline.)
//// \item @|obj.SetOffset (double )| -  Specify an offset that translates each subsequent plot (if there is
// more than one component plotted) from the defining arc (i.e., polyline).
//// \item @|double = obj.GetOffsetMinValue ()| -  Specify an offset that translates each subsequent plot (if there is
// more than one component plotted) from the defining arc (i.e., polyline).
//// \item @|double = obj.GetOffsetMaxValue ()| -  Specify an offset that translates each subsequent plot (if there is
// more than one component plotted) from the defining arc (i.e., polyline).
//// \item @|double = obj.GetOffset ()| -  Specify an offset that translates each subsequent plot (if there is
// more than one component plotted) from the defining arc (i.e., polyline).
//// \item @|obj.SetUseDefaultNormal (int )| -  Set a boolean to control whether to use default normals.
// By default, normals are automatically computed from the generating
// polyline and camera.
//// \item @|int = obj.GetUseDefaultNormal ()| -  Set a boolean to control whether to use default normals.
// By default, normals are automatically computed from the generating
// polyline and camera.
//// \item @|obj.UseDefaultNormalOn ()| -  Set a boolean to control whether to use default normals.
// By default, normals are automatically computed from the generating
// polyline and camera.
//// \item @|obj.UseDefaultNormalOff ()| -  Set a boolean to control whether to use default normals.
// By default, normals are automatically computed from the generating
// polyline and camera.
//// \item @|obj.SetDefaultNormal (float , float , float )| -  Set the default normal to use if you do not wish automatic normal
// calculation. The arc plot will be generated using this normal.
//// \item @|obj.SetDefaultNormal (float  a[3])| -  Set the default normal to use if you do not wish automatic normal
// calculation. The arc plot will be generated using this normal.
//// \item @|float = obj. GetDefaultNormal ()| -  Set the default normal to use if you do not wish automatic normal
// calculation. The arc plot will be generated using this normal.
//// \item @|obj.SetFieldDataArray (int )| -  Set/Get the field data array to plot. This instance variable is
// only applicable if field data is plotted.
//// \item @|int = obj.GetFieldDataArrayMinValue ()| -  Set/Get the field data array to plot. This instance variable is
// only applicable if field data is plotted.
//// \item @|int = obj.GetFieldDataArrayMaxValue ()| -  Set/Get the field data array to plot. This instance variable is
// only applicable if field data is plotted.
//// \item @|int = obj.GetFieldDataArray ()| -  Set/Get the field data array to plot. This instance variable is
// only applicable if field data is plotted.
//// \item @|long = obj.GetMTime ()| -  New GetMTime because of camera dependency.
////\end{itemize}
//!
