#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAxesActor object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAxesActor.h"

//@@Signature
//sfunction @vtkAxesActor:vtkAxesActor vtkAxesActorConstructorFunction
//input a
//output p
//@@Parents vtkAxesActor vtkProp3D 
ArrayVector vtkAxesActorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAxesActor::New(),"vtkAxesActor",eval);
  } else if (arg[0].className() == "vtkAxesActor") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAxesActor"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAxesActor");
    vtkAxesActor*q = reinterpret_cast<vtkAxesActor*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAxesActor");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAxesActor:GetClassName vtkAxesActorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:IsA vtkAxesActorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAxesActorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAxesActor requires 2 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:NewInstance vtkAxesActorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAxesActorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAxesActor *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  vtkAxesActor  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAxesActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:SafeDownCast vtkAxesActorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAxesActorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAxesActor *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAxesActor requires 2 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAxesActor  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAxesActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetActors vtkAxesActorGetActorsFunction
//input a0 a1 
//output none
ArrayVector vtkAxesActorGetActorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetActors (vtkPropCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors for class vtkAxesActor requires 2 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:RenderOpaqueGeometry vtkAxesActorRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkAxesActorRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkAxesActor requires 2 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:RenderTranslucentPolygonalGeometry vtkAxesActorRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkAxesActorRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkAxesActor requires 2 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:RenderOverlay vtkAxesActorRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkAxesActorRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOverlay (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkAxesActor requires 2 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:HasTranslucentPolygonalGeometry vtkAxesActorHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkAxesActorHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:ShallowCopy vtkAxesActorShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkAxesActorShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkAxesActor requires 2 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:ReleaseGraphicsResources vtkAxesActorReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkAxesActorReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkAxesActor requires 2 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetBounds__1 vtkAxesActorGetBounds__1Function
//input a0 a1 
//output none
ArrayVector vtkAxesActorGetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetBounds (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds__1 for class vtkAxesActor requires 2 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetBounds__2 vtkAxesActorGetBounds__2Function
//input a0 
//output y
ArrayVector vtkAxesActorGetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds__2 for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetMTime vtkAxesActorGetMTimeFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetRedrawMTime vtkAxesActorGetRedrawMTimeFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetRedrawMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetRedrawMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRedrawMTime for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetRedrawMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:SetTotalLength__1 vtkAxesActorSetTotalLength__1Function
//input a0 a1 
//output none
ArrayVector vtkAxesActorSetTotalLength__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTotalLength (double v[3]);this SetTotalLength v v v  */
  if (arg.size() < 2) 
    throw Exception("Function SetTotalLength__1 for class vtkAxesActor requires 2 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetTotalLength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:SetTotalLength__2 vtkAxesActorSetTotalLength__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkAxesActorSetTotalLength__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTotalLength (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetTotalLength__2 for class vtkAxesActor requires 4 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetTotalLength(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetTotalLength vtkAxesActorGetTotalLengthFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetTotalLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetTotalLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTotalLength for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetTotalLength();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:SetNormalizedShaftLength__1 vtkAxesActorSetNormalizedShaftLength__1Function
//input a0 a1 
//output none
ArrayVector vtkAxesActorSetNormalizedShaftLength__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalizedShaftLength (double v[3]);this SetNormalizedShaftLength v v v  */
  if (arg.size() < 2) 
    throw Exception("Function SetNormalizedShaftLength__1 for class vtkAxesActor requires 2 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetNormalizedShaftLength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:SetNormalizedShaftLength__2 vtkAxesActorSetNormalizedShaftLength__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkAxesActorSetNormalizedShaftLength__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalizedShaftLength (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetNormalizedShaftLength__2 for class vtkAxesActor requires 4 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetNormalizedShaftLength(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetNormalizedShaftLength vtkAxesActorGetNormalizedShaftLengthFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetNormalizedShaftLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetNormalizedShaftLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalizedShaftLength for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetNormalizedShaftLength();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:SetNormalizedTipLength__1 vtkAxesActorSetNormalizedTipLength__1Function
//input a0 a1 
//output none
ArrayVector vtkAxesActorSetNormalizedTipLength__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalizedTipLength (double v[3]);this SetNormalizedTipLength v v v  */
  if (arg.size() < 2) 
    throw Exception("Function SetNormalizedTipLength__1 for class vtkAxesActor requires 2 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetNormalizedTipLength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:SetNormalizedTipLength__2 vtkAxesActorSetNormalizedTipLength__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkAxesActorSetNormalizedTipLength__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalizedTipLength (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetNormalizedTipLength__2 for class vtkAxesActor requires 4 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetNormalizedTipLength(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetNormalizedTipLength vtkAxesActorGetNormalizedTipLengthFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetNormalizedTipLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetNormalizedTipLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalizedTipLength for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetNormalizedTipLength();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:SetNormalizedLabelPosition__1 vtkAxesActorSetNormalizedLabelPosition__1Function
//input a0 a1 
//output none
ArrayVector vtkAxesActorSetNormalizedLabelPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalizedLabelPosition (double v[3]);this SetNormalizedLabelPosition v v v  */
  if (arg.size() < 2) 
    throw Exception("Function SetNormalizedLabelPosition__1 for class vtkAxesActor requires 2 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetNormalizedLabelPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:SetNormalizedLabelPosition__2 vtkAxesActorSetNormalizedLabelPosition__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkAxesActorSetNormalizedLabelPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalizedLabelPosition (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetNormalizedLabelPosition__2 for class vtkAxesActor requires 4 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetNormalizedLabelPosition(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetNormalizedLabelPosition vtkAxesActorGetNormalizedLabelPositionFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetNormalizedLabelPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetNormalizedLabelPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalizedLabelPosition for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetNormalizedLabelPosition();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:SetConeResolution vtkAxesActorSetConeResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkAxesActorSetConeResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetConeResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetConeResolution for class vtkAxesActor requires 2 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetConeResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetConeResolutionMinValue vtkAxesActorGetConeResolutionMinValueFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetConeResolutionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetConeResolutionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetConeResolutionMinValue for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetConeResolutionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetConeResolutionMaxValue vtkAxesActorGetConeResolutionMaxValueFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetConeResolutionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetConeResolutionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetConeResolutionMaxValue for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetConeResolutionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetConeResolution vtkAxesActorGetConeResolutionFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetConeResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetConeResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetConeResolution for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetConeResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:SetSphereResolution vtkAxesActorSetSphereResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkAxesActorSetSphereResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSphereResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSphereResolution for class vtkAxesActor requires 2 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSphereResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetSphereResolutionMinValue vtkAxesActorGetSphereResolutionMinValueFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetSphereResolutionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSphereResolutionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSphereResolutionMinValue for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSphereResolutionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetSphereResolutionMaxValue vtkAxesActorGetSphereResolutionMaxValueFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetSphereResolutionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSphereResolutionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSphereResolutionMaxValue for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSphereResolutionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetSphereResolution vtkAxesActorGetSphereResolutionFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetSphereResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSphereResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSphereResolution for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSphereResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:SetCylinderResolution vtkAxesActorSetCylinderResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkAxesActorSetCylinderResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCylinderResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCylinderResolution for class vtkAxesActor requires 2 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCylinderResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetCylinderResolutionMinValue vtkAxesActorGetCylinderResolutionMinValueFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetCylinderResolutionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCylinderResolutionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCylinderResolutionMinValue for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCylinderResolutionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetCylinderResolutionMaxValue vtkAxesActorGetCylinderResolutionMaxValueFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetCylinderResolutionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCylinderResolutionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCylinderResolutionMaxValue for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCylinderResolutionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetCylinderResolution vtkAxesActorGetCylinderResolutionFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetCylinderResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCylinderResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCylinderResolution for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCylinderResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:SetConeRadius vtkAxesActorSetConeRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkAxesActorSetConeRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetConeRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetConeRadius for class vtkAxesActor requires 2 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetConeRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetConeRadiusMinValue vtkAxesActorGetConeRadiusMinValueFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetConeRadiusMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetConeRadiusMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetConeRadiusMinValue for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetConeRadiusMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetConeRadiusMaxValue vtkAxesActorGetConeRadiusMaxValueFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetConeRadiusMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetConeRadiusMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetConeRadiusMaxValue for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetConeRadiusMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetConeRadius vtkAxesActorGetConeRadiusFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetConeRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetConeRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetConeRadius for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetConeRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:SetSphereRadius vtkAxesActorSetSphereRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkAxesActorSetSphereRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSphereRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSphereRadius for class vtkAxesActor requires 2 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetSphereRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetSphereRadiusMinValue vtkAxesActorGetSphereRadiusMinValueFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetSphereRadiusMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSphereRadiusMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSphereRadiusMinValue for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSphereRadiusMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetSphereRadiusMaxValue vtkAxesActorGetSphereRadiusMaxValueFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetSphereRadiusMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSphereRadiusMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSphereRadiusMaxValue for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSphereRadiusMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetSphereRadius vtkAxesActorGetSphereRadiusFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetSphereRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSphereRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSphereRadius for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSphereRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:SetCylinderRadius vtkAxesActorSetCylinderRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkAxesActorSetCylinderRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCylinderRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCylinderRadius for class vtkAxesActor requires 2 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCylinderRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetCylinderRadiusMinValue vtkAxesActorGetCylinderRadiusMinValueFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetCylinderRadiusMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCylinderRadiusMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCylinderRadiusMinValue for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCylinderRadiusMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetCylinderRadiusMaxValue vtkAxesActorGetCylinderRadiusMaxValueFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetCylinderRadiusMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCylinderRadiusMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCylinderRadiusMaxValue for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCylinderRadiusMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetCylinderRadius vtkAxesActorGetCylinderRadiusFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetCylinderRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCylinderRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCylinderRadius for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCylinderRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:SetShaftType vtkAxesActorSetShaftTypeFunction
//input a0 a1 
//output none
ArrayVector vtkAxesActorSetShaftTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShaftType (int type); */
  if (arg.size() < 2) 
    throw Exception("Function SetShaftType for class vtkAxesActor requires 2 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetShaftType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:SetShaftTypeToCylinder vtkAxesActorSetShaftTypeToCylinderFunction
//input a0 
//output none
ArrayVector vtkAxesActorSetShaftTypeToCylinderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShaftTypeToCylinder ();this SetShaftType vtkAxesActor CYLINDER_SHAFT  */
  if (arg.size() < 1) 
    throw Exception("Function SetShaftTypeToCylinder for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->SetShaftTypeToCylinder();
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:SetShaftTypeToLine vtkAxesActorSetShaftTypeToLineFunction
//input a0 
//output none
ArrayVector vtkAxesActorSetShaftTypeToLineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShaftTypeToLine ();this SetShaftType vtkAxesActor LINE_SHAFT  */
  if (arg.size() < 1) 
    throw Exception("Function SetShaftTypeToLine for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->SetShaftTypeToLine();
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:SetShaftTypeToUserDefined vtkAxesActorSetShaftTypeToUserDefinedFunction
//input a0 
//output none
ArrayVector vtkAxesActorSetShaftTypeToUserDefinedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShaftTypeToUserDefined ();this SetShaftType vtkAxesActor USER_DEFINED_SHAFT  */
  if (arg.size() < 1) 
    throw Exception("Function SetShaftTypeToUserDefined for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->SetShaftTypeToUserDefined();
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetShaftType vtkAxesActorGetShaftTypeFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetShaftTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShaftType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShaftType for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetShaftType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:SetTipType vtkAxesActorSetTipTypeFunction
//input a0 a1 
//output none
ArrayVector vtkAxesActorSetTipTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTipType (int type); */
  if (arg.size() < 2) 
    throw Exception("Function SetTipType for class vtkAxesActor requires 2 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTipType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:SetTipTypeToCone vtkAxesActorSetTipTypeToConeFunction
//input a0 
//output none
ArrayVector vtkAxesActorSetTipTypeToConeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTipTypeToCone ();this SetTipType vtkAxesActor CONE_TIP  */
  if (arg.size() < 1) 
    throw Exception("Function SetTipTypeToCone for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->SetTipTypeToCone();
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:SetTipTypeToSphere vtkAxesActorSetTipTypeToSphereFunction
//input a0 
//output none
ArrayVector vtkAxesActorSetTipTypeToSphereFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTipTypeToSphere ();this SetTipType vtkAxesActor SPHERE_TIP  */
  if (arg.size() < 1) 
    throw Exception("Function SetTipTypeToSphere for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->SetTipTypeToSphere();
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:SetTipTypeToUserDefined vtkAxesActorSetTipTypeToUserDefinedFunction
//input a0 
//output none
ArrayVector vtkAxesActorSetTipTypeToUserDefinedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTipTypeToUserDefined ();this SetTipType vtkAxesActor USER_DEFINED_TIP  */
  if (arg.size() < 1) 
    throw Exception("Function SetTipTypeToUserDefined for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->SetTipTypeToUserDefined();
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetTipType vtkAxesActorGetTipTypeFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetTipTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTipType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTipType for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTipType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:SetUserDefinedTip vtkAxesActorSetUserDefinedTipFunction
//input a0 a1 
//output none
ArrayVector vtkAxesActorSetUserDefinedTipFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUserDefinedTip (vtkPolyData *); */
  if (arg.size() < 2) 
    throw Exception("Function SetUserDefinedTip for class vtkAxesActor requires 2 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->SetUserDefinedTip(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetUserDefinedTip vtkAxesActorGetUserDefinedTipFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetUserDefinedTipFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetUserDefinedTip (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUserDefinedTip for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetUserDefinedTip();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:SetUserDefinedShaft vtkAxesActorSetUserDefinedShaftFunction
//input a0 a1 
//output none
ArrayVector vtkAxesActorSetUserDefinedShaftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUserDefinedShaft (vtkPolyData *); */
  if (arg.size() < 2) 
    throw Exception("Function SetUserDefinedShaft for class vtkAxesActor requires 2 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->SetUserDefinedShaft(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetUserDefinedShaft vtkAxesActorGetUserDefinedShaftFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetUserDefinedShaftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetUserDefinedShaft (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUserDefinedShaft for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetUserDefinedShaft();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetXAxisTipProperty vtkAxesActorGetXAxisTipPropertyFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetXAxisTipPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetXAxisTipProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXAxisTipProperty for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetXAxisTipProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetYAxisTipProperty vtkAxesActorGetYAxisTipPropertyFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetYAxisTipPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetYAxisTipProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYAxisTipProperty for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetYAxisTipProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetZAxisTipProperty vtkAxesActorGetZAxisTipPropertyFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetZAxisTipPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetZAxisTipProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZAxisTipProperty for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetZAxisTipProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetXAxisShaftProperty vtkAxesActorGetXAxisShaftPropertyFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetXAxisShaftPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetXAxisShaftProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXAxisShaftProperty for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetXAxisShaftProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetYAxisShaftProperty vtkAxesActorGetYAxisShaftPropertyFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetYAxisShaftPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetYAxisShaftProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYAxisShaftProperty for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetYAxisShaftProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetZAxisShaftProperty vtkAxesActorGetZAxisShaftPropertyFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetZAxisShaftPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProperty *GetZAxisShaftProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZAxisShaftProperty for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  vtkProperty  *temp20;
  temp20 = (vtk_pointer)->GetZAxisShaftProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetXAxisCaptionActor2D vtkAxesActorGetXAxisCaptionActor2DFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetXAxisCaptionActor2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCaptionActor2D *GetXAxisCaptionActor2D ();return this XAxisLabel  */
  if (arg.size() < 1) 
    throw Exception("Function GetXAxisCaptionActor2D for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  vtkCaptionActor2D  *temp20;
  temp20 = (vtk_pointer)->GetXAxisCaptionActor2D();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCaptionActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetYAxisCaptionActor2D vtkAxesActorGetYAxisCaptionActor2DFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetYAxisCaptionActor2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCaptionActor2D *GetYAxisCaptionActor2D ();return this YAxisLabel  */
  if (arg.size() < 1) 
    throw Exception("Function GetYAxisCaptionActor2D for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  vtkCaptionActor2D  *temp20;
  temp20 = (vtk_pointer)->GetYAxisCaptionActor2D();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCaptionActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetZAxisCaptionActor2D vtkAxesActorGetZAxisCaptionActor2DFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetZAxisCaptionActor2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCaptionActor2D *GetZAxisCaptionActor2D ();return this ZAxisLabel  */
  if (arg.size() < 1) 
    throw Exception("Function GetZAxisCaptionActor2D for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  vtkCaptionActor2D  *temp20;
  temp20 = (vtk_pointer)->GetZAxisCaptionActor2D();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCaptionActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:SetXAxisLabelText vtkAxesActorSetXAxisLabelTextFunction
//input a0 a1 
//output none
ArrayVector vtkAxesActorSetXAxisLabelTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXAxisLabelText (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetXAxisLabelText for class vtkAxesActor requires 2 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetXAxisLabelText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetXAxisLabelText vtkAxesActorGetXAxisLabelTextFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetXAxisLabelTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetXAxisLabelText (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXAxisLabelText for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetXAxisLabelText();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:SetYAxisLabelText vtkAxesActorSetYAxisLabelTextFunction
//input a0 a1 
//output none
ArrayVector vtkAxesActorSetYAxisLabelTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYAxisLabelText (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetYAxisLabelText for class vtkAxesActor requires 2 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetYAxisLabelText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetYAxisLabelText vtkAxesActorGetYAxisLabelTextFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetYAxisLabelTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetYAxisLabelText (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYAxisLabelText for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetYAxisLabelText();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:SetZAxisLabelText vtkAxesActorSetZAxisLabelTextFunction
//input a0 a1 
//output none
ArrayVector vtkAxesActorSetZAxisLabelTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZAxisLabelText (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetZAxisLabelText for class vtkAxesActor requires 2 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetZAxisLabelText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetZAxisLabelText vtkAxesActorGetZAxisLabelTextFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetZAxisLabelTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetZAxisLabelText (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZAxisLabelText for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetZAxisLabelText();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:SetAxisLabels vtkAxesActorSetAxisLabelsFunction
//input a0 a1 
//output none
ArrayVector vtkAxesActorSetAxisLabelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAxisLabels (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAxisLabels for class vtkAxesActor requires 2 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAxisLabels(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetAxisLabels vtkAxesActorGetAxisLabelsFunction
//input a0 
//output y
ArrayVector vtkAxesActorGetAxisLabelsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAxisLabels (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAxisLabels for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAxisLabels();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:AxisLabelsOn vtkAxesActorAxisLabelsOnFunction
//input a0 
//output none
ArrayVector vtkAxesActorAxisLabelsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AxisLabelsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AxisLabelsOn for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->AxisLabelsOn();
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:AxisLabelsOff vtkAxesActorAxisLabelsOffFunction
//input a0 
//output none
ArrayVector vtkAxesActorAxisLabelsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AxisLabelsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AxisLabelsOff for class vtkAxesActor requires 1 argument(s)");
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->AxisLabelsOff();
  return retval;
}

//@@Signature
//sfunction @vtkAxesActor:GetBounds vtkAxesActorGetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkAxesActorGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkAxesActorGetBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkAxesActorGetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAxesActorGetBounds");
}

//@@Signature
//sfunction @vtkAxesActor:SetTotalLength vtkAxesActorSetTotalLengthFunction
//input varargin
//output varargout
ArrayVector vtkAxesActorSetTotalLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkAxesActorSetTotalLength__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkAxesActorSetTotalLength__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAxesActorSetTotalLength");
}

//@@Signature
//sfunction @vtkAxesActor:SetNormalizedShaftLength vtkAxesActorSetNormalizedShaftLengthFunction
//input varargin
//output varargout
ArrayVector vtkAxesActorSetNormalizedShaftLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkAxesActorSetNormalizedShaftLength__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkAxesActorSetNormalizedShaftLength__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAxesActorSetNormalizedShaftLength");
}

//@@Signature
//sfunction @vtkAxesActor:SetNormalizedTipLength vtkAxesActorSetNormalizedTipLengthFunction
//input varargin
//output varargout
ArrayVector vtkAxesActorSetNormalizedTipLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkAxesActorSetNormalizedTipLength__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkAxesActorSetNormalizedTipLength__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAxesActorSetNormalizedTipLength");
}

//@@Signature
//sfunction @vtkAxesActor:SetNormalizedLabelPosition vtkAxesActorSetNormalizedLabelPositionFunction
//input varargin
//output varargout
ArrayVector vtkAxesActorSetNormalizedLabelPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkAxesActorSetNormalizedLabelPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkAxesActorSetNormalizedLabelPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAxesActorSetNormalizedLabelPosition");
}

//@@Signature
//sfunction @vtkAxesActor:display vtkAxesActorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAxesActorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAxesActor* vtk_pointer = GetVTKPointer<vtkAxesActor>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAxesActor:delete vtkAxesActorDeleteFunction
//input varargin
//output none
ArrayVector vtkAxesActorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAxesActor
//@@Section VTKHybrid
//@@Usage
// vtkAxesActor is a hybrid 2D/3D actor used to represent 3D axes in a scene.
// The user can define the geometry to use for the shaft or the tip, and the
// user can set the text for the three axes. The text will appear to follow the
// camera since it is implemented by means of vtkCaptionActor2D.  All of the
// functionality of the underlying vtkCaptionActor2D objects are accessable so
// that, for instance, the font attributes of the axes text can be manipulated
// through vtkTextProperty. Since this class inherits from vtkProp3D, one can
// apply a user transform to the underlying geometry and the positioning of the
// labels. For example, a rotation transform could be used to generate a
// left-handed axes representation.
//
//To create an instance of class vtkAxesActor, simply
//invoke its constructor as follows
//@[
//  obj = vtkAxesActor
//@]
//@@Methods
//The class vtkAxesActor has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAxesActor class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAxesActor = obj.NewInstance ()|
// \item @|vtkAxesActor = obj.SafeDownCast (vtkObject o)|
// \item @|obj.GetActors (vtkPropCollection )| -  For some exporters and other other operations we must be
// able to collect all the actors or volumes. These methods
// are used in that process.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport viewport)| -  Support the standard render methods.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport viewport)| -  Support the standard render methods.
//// \item @|int = obj.RenderOverlay (vtkViewport viewport)| -  Support the standard render methods.
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  Does this prop have some translucent polygonal geometry?
//// \item @|obj.ShallowCopy (vtkProp prop)| -  Shallow copy of an axes actor. Overloads the virtual vtkProp method.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this actor.
// The parameter window could be used to determine which graphic
// resources to release.
//// \item @|obj.GetBounds (double bounds[6])| -  Get the bounds for this Actor as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax). (The
// method GetBounds(double bounds[6]) is available from the superclass.)
//// \item @|double = obj.GetBounds ()| -  Get the bounds for this Actor as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax). (The
// method GetBounds(double bounds[6]) is available from the superclass.)
//// \item @|long = obj.GetMTime ()| -  Get the actors mtime plus consider its properties and texture if set.
//// \item @|long = obj.GetRedrawMTime ()| -  Return the mtime of anything that would cause the rendered image to 
// appear differently. Usually this involves checking the mtime of the 
// prop plus anything else it depends on such as properties, textures
// etc.
//// \item @|obj.SetTotalLength (double v[3])| -  Set the total length of the axes in 3 dimensions.
//// \item @|obj.SetTotalLength (double x, double y, double z)| -  Set the total length of the axes in 3 dimensions.
//// \item @|double = obj. GetTotalLength ()| -  Set the total length of the axes in 3 dimensions.
//// \item @|obj.SetNormalizedShaftLength (double v[3])| -  Set the normalized (0-1) length of the shaft.
//// \item @|obj.SetNormalizedShaftLength (double x, double y, double z)| -  Set the normalized (0-1) length of the shaft.
//// \item @|double = obj. GetNormalizedShaftLength ()| -  Set the normalized (0-1) length of the shaft.
//// \item @|obj.SetNormalizedTipLength (double v[3])| -  Set the normalized (0-1) length of the tip.  Normally, this would be
// 1 - the normalized length of the shaft.
//// \item @|obj.SetNormalizedTipLength (double x, double y, double z)| -  Set the normalized (0-1) length of the tip.  Normally, this would be
// 1 - the normalized length of the shaft.
//// \item @|double = obj. GetNormalizedTipLength ()| -  Set the normalized (0-1) length of the tip.  Normally, this would be
// 1 - the normalized length of the shaft.
//// \item @|obj.SetNormalizedLabelPosition (double v[3])| -  Set the normalized (0-1) position of the label along the length of
// the shaft.  A value > 1 is permissible.
//// \item @|obj.SetNormalizedLabelPosition (double x, double y, double z)| -  Set the normalized (0-1) position of the label along the length of
// the shaft.  A value > 1 is permissible.
//// \item @|double = obj. GetNormalizedLabelPosition ()| -  Set the normalized (0-1) position of the label along the length of
// the shaft.  A value > 1 is permissible.
//// \item @|obj.SetConeResolution (int )| -  Set/get the resolution of the pieces of the axes actor.
//// \item @|int = obj.GetConeResolutionMinValue ()| -  Set/get the resolution of the pieces of the axes actor.
//// \item @|int = obj.GetConeResolutionMaxValue ()| -  Set/get the resolution of the pieces of the axes actor.
//// \item @|int = obj.GetConeResolution ()| -  Set/get the resolution of the pieces of the axes actor.
//// \item @|obj.SetSphereResolution (int )| -  Set/get the resolution of the pieces of the axes actor.
//// \item @|int = obj.GetSphereResolutionMinValue ()| -  Set/get the resolution of the pieces of the axes actor.
//// \item @|int = obj.GetSphereResolutionMaxValue ()| -  Set/get the resolution of the pieces of the axes actor.
//// \item @|int = obj.GetSphereResolution ()| -  Set/get the resolution of the pieces of the axes actor.
//// \item @|obj.SetCylinderResolution (int )| -  Set/get the resolution of the pieces of the axes actor.
//// \item @|int = obj.GetCylinderResolutionMinValue ()| -  Set/get the resolution of the pieces of the axes actor.
//// \item @|int = obj.GetCylinderResolutionMaxValue ()| -  Set/get the resolution of the pieces of the axes actor.
//// \item @|int = obj.GetCylinderResolution ()| -  Set/get the resolution of the pieces of the axes actor.
//// \item @|obj.SetConeRadius (double )| -  Set/get the radius of the pieces of the axes actor.
//// \item @|double = obj.GetConeRadiusMinValue ()| -  Set/get the radius of the pieces of the axes actor.
//// \item @|double = obj.GetConeRadiusMaxValue ()| -  Set/get the radius of the pieces of the axes actor.
//// \item @|double = obj.GetConeRadius ()| -  Set/get the radius of the pieces of the axes actor.
//// \item @|obj.SetSphereRadius (double )| -  Set/get the radius of the pieces of the axes actor.
//// \item @|double = obj.GetSphereRadiusMinValue ()| -  Set/get the radius of the pieces of the axes actor.
//// \item @|double = obj.GetSphereRadiusMaxValue ()| -  Set/get the radius of the pieces of the axes actor.
//// \item @|double = obj.GetSphereRadius ()| -  Set/get the radius of the pieces of the axes actor.
//// \item @|obj.SetCylinderRadius (double )| -  Set/get the radius of the pieces of the axes actor.
//// \item @|double = obj.GetCylinderRadiusMinValue ()| -  Set/get the radius of the pieces of the axes actor.
//// \item @|double = obj.GetCylinderRadiusMaxValue ()| -  Set/get the radius of the pieces of the axes actor.
//// \item @|double = obj.GetCylinderRadius ()| -  Set/get the radius of the pieces of the axes actor.
//// \item @|obj.SetShaftType (int type)| -  Set the type of the shaft to a cylinder, line, or user defined geometry.
//// \item @|obj.SetShaftTypeToCylinder ()| -  Set the type of the shaft to a cylinder, line, or user defined geometry.
//// \item @|obj.SetShaftTypeToLine ()| -  Set the type of the shaft to a cylinder, line, or user defined geometry.
//// \item @|obj.SetShaftTypeToUserDefined ()| -  Set the type of the shaft to a cylinder, line, or user defined geometry.
//// \item @|int = obj.GetShaftType ()| -  Set the type of the shaft to a cylinder, line, or user defined geometry.
//// \item @|obj.SetTipType (int type)| -  Set the type of the tip to a cone, sphere, or user defined geometry.
//// \item @|obj.SetTipTypeToCone ()| -  Set the type of the tip to a cone, sphere, or user defined geometry.
//// \item @|obj.SetTipTypeToSphere ()| -  Set the type of the tip to a cone, sphere, or user defined geometry.
//// \item @|obj.SetTipTypeToUserDefined ()| -  Set the type of the tip to a cone, sphere, or user defined geometry.
//// \item @|int = obj.GetTipType ()| -  Set the type of the tip to a cone, sphere, or user defined geometry.
//// \item @|obj.SetUserDefinedTip (vtkPolyData )| -  Set the user defined tip polydata.
//// \item @|vtkPolyData = obj.GetUserDefinedTip ()| -  Set the user defined tip polydata.
//// \item @|obj.SetUserDefinedShaft (vtkPolyData )| -  Set the user defined shaft polydata.
//// \item @|vtkPolyData = obj.GetUserDefinedShaft ()| -  Set the user defined shaft polydata.
//// \item @|vtkProperty = obj.GetXAxisTipProperty ()| -  Get the tip properties.
//// \item @|vtkProperty = obj.GetYAxisTipProperty ()| -  Get the tip properties.
//// \item @|vtkProperty = obj.GetZAxisTipProperty ()| -  Get the tip properties.
//// \item @|vtkProperty = obj.GetXAxisShaftProperty ()| -  Get the shaft properties.
//// \item @|vtkProperty = obj.GetYAxisShaftProperty ()| -  Get the shaft properties.
//// \item @|vtkProperty = obj.GetZAxisShaftProperty ()| -  Get the shaft properties.
//// \item @|vtkCaptionActor2D = obj.GetXAxisCaptionActor2D ()| -  Retrieve handles to the X, Y and Z axis (so that you can set their text
// properties for example)
//// \item @|vtkCaptionActor2D = obj.GetYAxisCaptionActor2D ()| -  Retrieve handles to the X, Y and Z axis (so that you can set their text
// properties for example)
//// \item @|vtkCaptionActor2D = obj.GetZAxisCaptionActor2D ()| -  Set/get the label text.
//// \item @|obj.SetXAxisLabelText (string )| -  Set/get the label text.
//// \item @|string = obj.GetXAxisLabelText ()| -  Set/get the label text.
//// \item @|obj.SetYAxisLabelText (string )| -  Set/get the label text.
//// \item @|string = obj.GetYAxisLabelText ()| -  Set/get the label text.
//// \item @|obj.SetZAxisLabelText (string )| -  Set/get the label text.
//// \item @|string = obj.GetZAxisLabelText ()| -  Set/get the label text.
//// \item @|obj.SetAxisLabels (int )| -  Enable/disable drawing the axis labels.
//// \item @|int = obj.GetAxisLabels ()| -  Enable/disable drawing the axis labels.
//// \item @|obj.AxisLabelsOn ()| -  Enable/disable drawing the axis labels.
//// \item @|obj.AxisLabelsOff ()| -  Enable/disable drawing the axis labels.
////\end{itemize}
//!
