#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAxisActor object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAxisActor.h"

//@@Signature
//sfunction @vtkAxisActor:vtkAxisActor vtkAxisActorConstructorFunction
//input a
//output p
//@@Parents vtkAxisActor vtkActor 
ArrayVector vtkAxisActorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAxisActor::New(),"vtkAxisActor",eval);
  } else if (arg[0].className() == "vtkAxisActor") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAxisActor"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAxisActor");
    vtkAxisActor*q = reinterpret_cast<vtkAxisActor*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAxisActor");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAxisActor:GetClassName vtkAxisActorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAxisActorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:IsA vtkAxisActorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAxisActorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:NewInstance vtkAxisActorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAxisActorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAxisActor *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtkAxisActor  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAxisActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SafeDownCast vtkAxisActorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAxisActorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAxisActor *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAxisActor  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAxisActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetPoint1Coordinate vtkAxisActorGetPoint1CoordinateFunction
//input a0 
//output y
ArrayVector vtkAxisActorGetPoint1CoordinateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkCoordinate *GetPoint1Coordinate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint1Coordinate for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtkCoordinate  *temp20;
  temp20 = (vtk_pointer)->GetPoint1Coordinate();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCoordinate",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetPoint1__1 vtkAxisActorSetPoint1__1Function
//input a0 a1 
//output none
ArrayVector vtkAxisActorSetPoint1__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoint1 (double x[3]);this SetPoint1 x x x  */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint1__1 for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint1(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetPoint1__2 vtkAxisActorSetPoint1__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkAxisActorSetPoint1__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoint1 (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetPoint1__2 for class vtkAxisActor requires 4 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPoint1(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetPoint2Coordinate vtkAxisActorGetPoint2CoordinateFunction
//input a0 
//output y
ArrayVector vtkAxisActorGetPoint2CoordinateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkCoordinate *GetPoint2Coordinate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoint2Coordinate for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtkCoordinate  *temp20;
  temp20 = (vtk_pointer)->GetPoint2Coordinate();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCoordinate",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetPoint2__1 vtkAxisActorSetPoint2__1Function
//input a0 a1 
//output none
ArrayVector vtkAxisActorSetPoint2__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoint2 (double x[3]);this SetPoint2 x x x  */
  if (arg.size() < 2) 
    throw Exception("Function SetPoint2__1 for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetPoint2(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetPoint2__2 vtkAxisActorSetPoint2__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkAxisActorSetPoint2__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPoint2 (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetPoint2__2 for class vtkAxisActor requires 4 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetPoint2(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetRange__1 vtkAxisActorSetRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkAxisActorSetRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRange (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetRange__1 for class vtkAxisActor requires 3 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetRange__2 vtkAxisActorSetRange__2Function
//input a0 a1 
//output none
ArrayVector vtkAxisActorSetRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRange (double  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetRange__2 for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetRange vtkAxisActorGetRangeFunction
//input a0 
//output y
ArrayVector vtkAxisActorGetRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRange for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetBounds vtkAxisActorSetBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActorSetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBounds (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetBounds for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetBounds__1 vtkAxisActorGetBounds__1Function
//input a0 
//output y
ArrayVector vtkAxisActorGetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetBounds (void ); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds__1 for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetBounds__2 vtkAxisActorGetBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkAxisActorGetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetBounds (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds__2 for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetLabelFormat vtkAxisActorSetLabelFormatFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActorSetLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelFormat (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelFormat for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetLabelFormat(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetLabelFormat vtkAxisActorGetLabelFormatFunction
//input a0 
//output y
ArrayVector vtkAxisActorGetLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetLabelFormat (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelFormat for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetLabelFormat();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetMinorTicksVisible vtkAxisActorSetMinorTicksVisibleFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActorSetMinorTicksVisibleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinorTicksVisible (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinorTicksVisible for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMinorTicksVisible(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetMinorTicksVisible vtkAxisActorGetMinorTicksVisibleFunction
//input a0 
//output y
ArrayVector vtkAxisActorGetMinorTicksVisibleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMinorTicksVisible (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinorTicksVisible for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMinorTicksVisible();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:MinorTicksVisibleOn vtkAxisActorMinorTicksVisibleOnFunction
//input a0 
//output none
ArrayVector vtkAxisActorMinorTicksVisibleOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MinorTicksVisibleOn (); */
  if (arg.size() < 1) 
    throw Exception("Function MinorTicksVisibleOn for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtk_pointer->MinorTicksVisibleOn();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:MinorTicksVisibleOff vtkAxisActorMinorTicksVisibleOffFunction
//input a0 
//output none
ArrayVector vtkAxisActorMinorTicksVisibleOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MinorTicksVisibleOff (); */
  if (arg.size() < 1) 
    throw Exception("Function MinorTicksVisibleOff for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtk_pointer->MinorTicksVisibleOff();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetTitle vtkAxisActorSetTitleFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActorSetTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTitle (const char *t); */
  if (arg.size() < 2) 
    throw Exception("Function SetTitle for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetTitle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetTitle vtkAxisActorGetTitleFunction
//input a0 
//output y
ArrayVector vtkAxisActorGetTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetTitle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTitle for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetTitle();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetMajorTickSize vtkAxisActorSetMajorTickSizeFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActorSetMajorTickSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMajorTickSize (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMajorTickSize for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMajorTickSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetMajorTickSize vtkAxisActorGetMajorTickSizeFunction
//input a0 
//output y
ArrayVector vtkAxisActorGetMajorTickSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMajorTickSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMajorTickSize for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMajorTickSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetMinorTickSize vtkAxisActorSetMinorTickSizeFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActorSetMinorTickSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinorTickSize (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinorTickSize for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMinorTickSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetMinorTickSize vtkAxisActorGetMinorTickSizeFunction
//input a0 
//output y
ArrayVector vtkAxisActorGetMinorTickSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinorTickSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinorTickSize for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinorTickSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetTickLocation vtkAxisActorSetTickLocationFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActorSetTickLocationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTickLocation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTickLocation for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTickLocation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetTickLocationMinValue vtkAxisActorGetTickLocationMinValueFunction
//input a0 
//output y
ArrayVector vtkAxisActorGetTickLocationMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTickLocationMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTickLocationMinValue for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTickLocationMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetTickLocationMaxValue vtkAxisActorGetTickLocationMaxValueFunction
//input a0 
//output y
ArrayVector vtkAxisActorGetTickLocationMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTickLocationMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTickLocationMaxValue for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTickLocationMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetTickLocation vtkAxisActorGetTickLocationFunction
//input a0 
//output y
ArrayVector vtkAxisActorGetTickLocationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTickLocation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTickLocation for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTickLocation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetTickLocationToInside vtkAxisActorSetTickLocationToInsideFunction
//input a0 
//output none
ArrayVector vtkAxisActorSetTickLocationToInsideFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTickLocationToInside (void );this SetTickLocation VTK_TICKS_INSIDE  */
  if (arg.size() < 1) 
    throw Exception("Function SetTickLocationToInside for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtk_pointer->SetTickLocationToInside();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetTickLocationToOutside vtkAxisActorSetTickLocationToOutsideFunction
//input a0 
//output none
ArrayVector vtkAxisActorSetTickLocationToOutsideFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTickLocationToOutside (void );this SetTickLocation VTK_TICKS_OUTSIDE  */
  if (arg.size() < 1) 
    throw Exception("Function SetTickLocationToOutside for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtk_pointer->SetTickLocationToOutside();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetTickLocationToBoth vtkAxisActorSetTickLocationToBothFunction
//input a0 
//output none
ArrayVector vtkAxisActorSetTickLocationToBothFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTickLocationToBoth (void );this SetTickLocation VTK_TICKS_BOTH  */
  if (arg.size() < 1) 
    throw Exception("Function SetTickLocationToBoth for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtk_pointer->SetTickLocationToBoth();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetAxisVisibility vtkAxisActorSetAxisVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActorSetAxisVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAxisVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAxisVisibility for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAxisVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetAxisVisibility vtkAxisActorGetAxisVisibilityFunction
//input a0 
//output y
ArrayVector vtkAxisActorGetAxisVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAxisVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAxisVisibility for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAxisVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:AxisVisibilityOn vtkAxisActorAxisVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkAxisActorAxisVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AxisVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AxisVisibilityOn for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtk_pointer->AxisVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:AxisVisibilityOff vtkAxisActorAxisVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkAxisActorAxisVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AxisVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AxisVisibilityOff for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtk_pointer->AxisVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetTickVisibility vtkAxisActorSetTickVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActorSetTickVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTickVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTickVisibility for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTickVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetTickVisibility vtkAxisActorGetTickVisibilityFunction
//input a0 
//output y
ArrayVector vtkAxisActorGetTickVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTickVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTickVisibility for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTickVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:TickVisibilityOn vtkAxisActorTickVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkAxisActorTickVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TickVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TickVisibilityOn for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtk_pointer->TickVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:TickVisibilityOff vtkAxisActorTickVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkAxisActorTickVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TickVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TickVisibilityOff for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtk_pointer->TickVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetLabelVisibility vtkAxisActorSetLabelVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActorSetLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelVisibility for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLabelVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetLabelVisibility vtkAxisActorGetLabelVisibilityFunction
//input a0 
//output y
ArrayVector vtkAxisActorGetLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLabelVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelVisibility for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLabelVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:LabelVisibilityOn vtkAxisActorLabelVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkAxisActorLabelVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LabelVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function LabelVisibilityOn for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtk_pointer->LabelVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:LabelVisibilityOff vtkAxisActorLabelVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkAxisActorLabelVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LabelVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function LabelVisibilityOff for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtk_pointer->LabelVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetTitleVisibility vtkAxisActorSetTitleVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActorSetTitleVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTitleVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTitleVisibility for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTitleVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetTitleVisibility vtkAxisActorGetTitleVisibilityFunction
//input a0 
//output y
ArrayVector vtkAxisActorGetTitleVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTitleVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTitleVisibility for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTitleVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:TitleVisibilityOn vtkAxisActorTitleVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkAxisActorTitleVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TitleVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TitleVisibilityOn for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtk_pointer->TitleVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:TitleVisibilityOff vtkAxisActorTitleVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkAxisActorTitleVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TitleVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TitleVisibilityOff for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtk_pointer->TitleVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetDrawGridlines vtkAxisActorSetDrawGridlinesFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActorSetDrawGridlinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDrawGridlines (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDrawGridlines for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDrawGridlines(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetDrawGridlines vtkAxisActorGetDrawGridlinesFunction
//input a0 
//output y
ArrayVector vtkAxisActorGetDrawGridlinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDrawGridlines (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDrawGridlines for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDrawGridlines();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:DrawGridlinesOn vtkAxisActorDrawGridlinesOnFunction
//input a0 
//output none
ArrayVector vtkAxisActorDrawGridlinesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DrawGridlinesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DrawGridlinesOn for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtk_pointer->DrawGridlinesOn();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:DrawGridlinesOff vtkAxisActorDrawGridlinesOffFunction
//input a0 
//output none
ArrayVector vtkAxisActorDrawGridlinesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DrawGridlinesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DrawGridlinesOff for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtk_pointer->DrawGridlinesOff();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetGridlineXLength vtkAxisActorSetGridlineXLengthFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActorSetGridlineXLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGridlineXLength (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGridlineXLength for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetGridlineXLength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetGridlineXLength vtkAxisActorGetGridlineXLengthFunction
//input a0 
//output y
ArrayVector vtkAxisActorGetGridlineXLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetGridlineXLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGridlineXLength for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetGridlineXLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetGridlineYLength vtkAxisActorSetGridlineYLengthFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActorSetGridlineYLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGridlineYLength (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGridlineYLength for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetGridlineYLength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetGridlineYLength vtkAxisActorGetGridlineYLengthFunction
//input a0 
//output y
ArrayVector vtkAxisActorGetGridlineYLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetGridlineYLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGridlineYLength for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetGridlineYLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetGridlineZLength vtkAxisActorSetGridlineZLengthFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActorSetGridlineZLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGridlineZLength (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGridlineZLength for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetGridlineZLength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetGridlineZLength vtkAxisActorGetGridlineZLengthFunction
//input a0 
//output y
ArrayVector vtkAxisActorGetGridlineZLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetGridlineZLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGridlineZLength for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetGridlineZLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetAxisType vtkAxisActorSetAxisTypeFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActorSetAxisTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAxisType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAxisType for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAxisType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetAxisTypeMinValue vtkAxisActorGetAxisTypeMinValueFunction
//input a0 
//output y
ArrayVector vtkAxisActorGetAxisTypeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAxisTypeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAxisTypeMinValue for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAxisTypeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetAxisTypeMaxValue vtkAxisActorGetAxisTypeMaxValueFunction
//input a0 
//output y
ArrayVector vtkAxisActorGetAxisTypeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAxisTypeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAxisTypeMaxValue for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAxisTypeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetAxisType vtkAxisActorGetAxisTypeFunction
//input a0 
//output y
ArrayVector vtkAxisActorGetAxisTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAxisType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAxisType for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAxisType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetAxisTypeToX vtkAxisActorSetAxisTypeToXFunction
//input a0 
//output none
ArrayVector vtkAxisActorSetAxisTypeToXFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAxisTypeToX (void );this SetAxisType VTK_AXIS_TYPE_X  */
  if (arg.size() < 1) 
    throw Exception("Function SetAxisTypeToX for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtk_pointer->SetAxisTypeToX();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetAxisTypeToY vtkAxisActorSetAxisTypeToYFunction
//input a0 
//output none
ArrayVector vtkAxisActorSetAxisTypeToYFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAxisTypeToY (void );this SetAxisType VTK_AXIS_TYPE_Y  */
  if (arg.size() < 1) 
    throw Exception("Function SetAxisTypeToY for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtk_pointer->SetAxisTypeToY();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetAxisTypeToZ vtkAxisActorSetAxisTypeToZFunction
//input a0 
//output none
ArrayVector vtkAxisActorSetAxisTypeToZFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAxisTypeToZ (void );this SetAxisType VTK_AXIS_TYPE_Z  */
  if (arg.size() < 1) 
    throw Exception("Function SetAxisTypeToZ for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtk_pointer->SetAxisTypeToZ();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetAxisPosition vtkAxisActorSetAxisPositionFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActorSetAxisPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAxisPosition (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAxisPosition for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAxisPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetAxisPositionMinValue vtkAxisActorGetAxisPositionMinValueFunction
//input a0 
//output y
ArrayVector vtkAxisActorGetAxisPositionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAxisPositionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAxisPositionMinValue for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAxisPositionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetAxisPositionMaxValue vtkAxisActorGetAxisPositionMaxValueFunction
//input a0 
//output y
ArrayVector vtkAxisActorGetAxisPositionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAxisPositionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAxisPositionMaxValue for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAxisPositionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetAxisPosition vtkAxisActorGetAxisPositionFunction
//input a0 
//output y
ArrayVector vtkAxisActorGetAxisPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAxisPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAxisPosition for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAxisPosition();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetAxisPositionToMinMin vtkAxisActorSetAxisPositionToMinMinFunction
//input a0 
//output none
ArrayVector vtkAxisActorSetAxisPositionToMinMinFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAxisPositionToMinMin (void );this SetAxisPosition VTK_AXIS_POS_MINMIN  */
  if (arg.size() < 1) 
    throw Exception("Function SetAxisPositionToMinMin for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtk_pointer->SetAxisPositionToMinMin();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetAxisPositionToMinMax vtkAxisActorSetAxisPositionToMinMaxFunction
//input a0 
//output none
ArrayVector vtkAxisActorSetAxisPositionToMinMaxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAxisPositionToMinMax (void );this SetAxisPosition VTK_AXIS_POS_MINMAX  */
  if (arg.size() < 1) 
    throw Exception("Function SetAxisPositionToMinMax for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtk_pointer->SetAxisPositionToMinMax();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetAxisPositionToMaxMax vtkAxisActorSetAxisPositionToMaxMaxFunction
//input a0 
//output none
ArrayVector vtkAxisActorSetAxisPositionToMaxMaxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAxisPositionToMaxMax (void );this SetAxisPosition VTK_AXIS_POS_MAXMAX  */
  if (arg.size() < 1) 
    throw Exception("Function SetAxisPositionToMaxMax for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtk_pointer->SetAxisPositionToMaxMax();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetAxisPositionToMaxMin vtkAxisActorSetAxisPositionToMaxMinFunction
//input a0 
//output none
ArrayVector vtkAxisActorSetAxisPositionToMaxMinFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAxisPositionToMaxMin (void );this SetAxisPosition VTK_AXIS_POS_MAXMIN  */
  if (arg.size() < 1) 
    throw Exception("Function SetAxisPositionToMaxMin for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtk_pointer->SetAxisPositionToMaxMin();
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetCamera vtkAxisActorSetCameraFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActorSetCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCamera (vtkCamera *); */
  if (arg.size() < 2) 
    throw Exception("Function SetCamera for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtkCamera  *temp0;
  temp0 = GetVTKPointer<vtkCamera>(arg[1]);
  vtk_pointer->SetCamera(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetCamera vtkAxisActorGetCameraFunction
//input a0 
//output y
ArrayVector vtkAxisActorGetCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCamera *GetCamera (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCamera for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtkCamera  *temp20;
  temp20 = (vtk_pointer)->GetCamera();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCamera",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:RenderOpaqueGeometry vtkAxisActorRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkAxisActorRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:RenderTranslucentGeometry vtkAxisActorRenderTranslucentGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkAxisActorRenderTranslucentGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentGeometry (vtkViewport *);return  */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentGeometry for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:ReleaseGraphicsResources vtkAxisActorReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActorReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:ShallowCopy vtkAxisActorShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActorShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetLabelScale vtkAxisActorSetLabelScaleFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActorSetLabelScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelScale (const double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelScale for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLabelScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetTitleScale vtkAxisActorSetTitleScaleFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActorSetTitleScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTitleScale (const double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTitleScale for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTitleScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetMinorStart vtkAxisActorSetMinorStartFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActorSetMinorStartFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinorStart (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinorStart for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMinorStart(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetMinorStart vtkAxisActorGetMinorStartFunction
//input a0 
//output y
ArrayVector vtkAxisActorGetMinorStartFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinorStart (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinorStart for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinorStart();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetMajorStart vtkAxisActorSetMajorStartFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActorSetMajorStartFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMajorStart (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMajorStart for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMajorStart(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetMajorStart vtkAxisActorGetMajorStartFunction
//input a0 
//output y
ArrayVector vtkAxisActorGetMajorStartFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMajorStart (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMajorStart for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMajorStart();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetDeltaMinor vtkAxisActorSetDeltaMinorFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActorSetDeltaMinorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDeltaMinor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDeltaMinor for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDeltaMinor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetDeltaMinor vtkAxisActorGetDeltaMinorFunction
//input a0 
//output y
ArrayVector vtkAxisActorGetDeltaMinorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDeltaMinor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDeltaMinor for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDeltaMinor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetDeltaMajor vtkAxisActorSetDeltaMajorFunction
//input a0 a1 
//output none
ArrayVector vtkAxisActorSetDeltaMajorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDeltaMajor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDeltaMajor for class vtkAxisActor requires 2 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDeltaMajor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:GetDeltaMajor vtkAxisActorGetDeltaMajorFunction
//input a0 
//output y
ArrayVector vtkAxisActorGetDeltaMajorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDeltaMajor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDeltaMajor for class vtkAxisActor requires 1 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDeltaMajor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:BuildAxis vtkAxisActorBuildAxisFunction
//input a0 a1 a2 
//output none
ArrayVector vtkAxisActorBuildAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BuildAxis (vtkViewport *viewport, bool ); */
  if (arg.size() < 3) 
    throw Exception("Function BuildAxis for class vtkAxisActor requires 3 argument(s)");
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  bool   temp1;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  vtk_pointer->BuildAxis(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkAxisActor:SetPoint1 vtkAxisActorSetPoint1Function
//input varargin
//output varargout
ArrayVector vtkAxisActorSetPoint1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkAxisActorSetPoint1__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkAxisActorSetPoint1__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAxisActorSetPoint1");
}

//@@Signature
//sfunction @vtkAxisActor:SetPoint2 vtkAxisActorSetPoint2Function
//input varargin
//output varargout
ArrayVector vtkAxisActorSetPoint2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkAxisActorSetPoint2__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkAxisActorSetPoint2__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAxisActorSetPoint2");
}

//@@Signature
//sfunction @vtkAxisActor:SetRange vtkAxisActorSetRangeFunction
//input varargin
//output varargout
ArrayVector vtkAxisActorSetRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkAxisActorSetRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkAxisActorSetRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAxisActorSetRange");
}

//@@Signature
//sfunction @vtkAxisActor:GetBounds vtkAxisActorGetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkAxisActorGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkAxisActorGetBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkAxisActorGetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkAxisActorGetBounds");
}

//@@Signature
//sfunction @vtkAxisActor:display vtkAxisActorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAxisActorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAxisActor* vtk_pointer = GetVTKPointer<vtkAxisActor>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAxisActor:delete vtkAxisActorDeleteFunction
//input varargin
//output none
ArrayVector vtkAxisActorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAxisActor
//@@Section VTKHybrid
//@@Usage
// vtkAxisActor creates an axis with tick marks, labels, and/or a title,
// depending on the particular instance variable settings. It is assumed that
// the axes is part of a bounding box and is orthoganal to one of the
// coordinate axes.  To use this class, you typically specify two points 
// defining the start and end points of the line (xyz definition using 
// vtkCoordinate class), the axis type (X, Y or Z), the axis location in 
// relation to the bounding box, the bounding box, the number of labels, and
// the data range (min,max). You can also control what parts of the axis are
// visible including the line, the tick marks, the labels, and the title. It
// is also possible to control gridlines, and specifiy on which 'side' the
// tickmarks are drawn (again with respect to the underlying assumed 
// bounding box). You can also specify the label format (a printf style format).
//
// This class decides how to locate the labels, and how to create reasonable 
// tick marks and labels. 
//
// Labels follow the camera so as to be legible from any viewpoint.
//
// The instance variables Point1 and Point2 are instances of vtkCoordinate.
// All calculations and references are in World Coordinates.
//
// .SECTION Notes
// This class was adapted from a 2D version created by Hank Childs called
// vtkHankAxisActor2D.
//
//
//To create an instance of class vtkAxisActor, simply
//invoke its constructor as follows
//@[
//  obj = vtkAxisActor
//@]
//@@Methods
//The class vtkAxisActor has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAxisActor class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAxisActor = obj.NewInstance ()|
// \item @|vtkAxisActor = obj.SafeDownCast (vtkObject o)|
// \item @|vtkCoordinate = obj.GetPoint1Coordinate ()| -  Specify the position of the first point defining the axis.
//// \item @|obj.SetPoint1 (double x[3])| -  Specify the position of the first point defining the axis.
//// \item @|obj.SetPoint1 (double x, double y, double z)| -  Specify the position of the first point defining the axis.
//// \item @|vtkCoordinate = obj.GetPoint2Coordinate ()| -  Specify the position of the second point defining the axis.
//// \item @|obj.SetPoint2 (double x[3])| -  Specify the position of the second point defining the axis.
//// \item @|obj.SetPoint2 (double x, double y, double z)| -  Specify the position of the second point defining the axis.
//// \item @|obj.SetRange (double , double )| -  Specify the (min,max) axis range. This will be used in the generation
// of labels, if labels are visible.
//// \item @|obj.SetRange (double  a[2])| -  Specify the (min,max) axis range. This will be used in the generation
// of labels, if labels are visible.
//// \item @|double = obj. GetRange ()| -  Specify the (min,max) axis range. This will be used in the generation
// of labels, if labels are visible.
//// \item @|obj.SetBounds (double bounds[6])| -  Set or get the bounds for this Actor as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax).
//// \item @|double = obj.GetBounds (void )| -  Set or get the bounds for this Actor as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax).
//// \item @|obj.GetBounds (double bounds[6])| -  Set or get the bounds for this Actor as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax).
//// \item @|obj.SetLabelFormat (string )| -  Set/Get the format with which to print the labels on the axis.
//// \item @|string = obj.GetLabelFormat ()| -  Set/Get the format with which to print the labels on the axis.
//// \item @|obj.SetMinorTicksVisible (int )| -  Set/Get the flag that controls whether the minor ticks are visible. 
//// \item @|int = obj.GetMinorTicksVisible ()| -  Set/Get the flag that controls whether the minor ticks are visible. 
//// \item @|obj.MinorTicksVisibleOn ()| -  Set/Get the flag that controls whether the minor ticks are visible. 
//// \item @|obj.MinorTicksVisibleOff ()| -  Set/Get the flag that controls whether the minor ticks are visible. 
//// \item @|obj.SetTitle (string t)| -  Set/Get the title of the axis actor,
//// \item @|string = obj.GetTitle ()| -  Set/Get the title of the axis actor,
//// \item @|obj.SetMajorTickSize (double )| -  Set/Get the size of the major tick marks 
//// \item @|double = obj.GetMajorTickSize ()| -  Set/Get the size of the major tick marks 
//// \item @|obj.SetMinorTickSize (double )| -  Set/Get the size of the major tick marks 
//// \item @|double = obj.GetMinorTickSize ()| -  Set/Get the size of the major tick marks 
//// \item @|obj.SetTickLocation (int )| -  Set/Get the location of the ticks.
//// \item @|int = obj.GetTickLocationMinValue ()| -  Set/Get the location of the ticks.
//// \item @|int = obj.GetTickLocationMaxValue ()| -  Set/Get the location of the ticks.
//// \item @|int = obj.GetTickLocation ()| -  Set/Get the location of the ticks.
//// \item @|obj.SetTickLocationToInside (void )|
// \item @|obj.SetTickLocationToOutside (void )|
// \item @|obj.SetTickLocationToBoth (void )|
// \item @|obj.SetAxisVisibility (int )| -  Set/Get visibility of the axis line.
//// \item @|int = obj.GetAxisVisibility ()| -  Set/Get visibility of the axis line.
//// \item @|obj.AxisVisibilityOn ()| -  Set/Get visibility of the axis line.
//// \item @|obj.AxisVisibilityOff ()| -  Set/Get visibility of the axis line.
//// \item @|obj.SetTickVisibility (int )| -  Set/Get visibility of the axis tick marks.
//// \item @|int = obj.GetTickVisibility ()| -  Set/Get visibility of the axis tick marks.
//// \item @|obj.TickVisibilityOn ()| -  Set/Get visibility of the axis tick marks.
//// \item @|obj.TickVisibilityOff ()| -  Set/Get visibility of the axis tick marks.
//// \item @|obj.SetLabelVisibility (int )| -  Set/Get visibility of the axis labels.
//// \item @|int = obj.GetLabelVisibility ()| -  Set/Get visibility of the axis labels.
//// \item @|obj.LabelVisibilityOn ()| -  Set/Get visibility of the axis labels.
//// \item @|obj.LabelVisibilityOff ()| -  Set/Get visibility of the axis labels.
//// \item @|obj.SetTitleVisibility (int )| -  Set/Get visibility of the axis title.
//// \item @|int = obj.GetTitleVisibility ()| -  Set/Get visibility of the axis title.
//// \item @|obj.TitleVisibilityOn ()| -  Set/Get visibility of the axis title.
//// \item @|obj.TitleVisibilityOff ()| -  Set/Get visibility of the axis title.
//// \item @|obj.SetDrawGridlines (int )| -  Set/Get whether gridlines should be drawn.
//// \item @|int = obj.GetDrawGridlines ()| -  Set/Get whether gridlines should be drawn.
//// \item @|obj.DrawGridlinesOn ()| -  Set/Get whether gridlines should be drawn.
//// \item @|obj.DrawGridlinesOff ()| -  Set/Get whether gridlines should be drawn.
//// \item @|obj.SetGridlineXLength (double )| -  Set/Get the length to use when drawing gridlines. 
//// \item @|double = obj.GetGridlineXLength ()| -  Set/Get the length to use when drawing gridlines. 
//// \item @|obj.SetGridlineYLength (double )| -  Set/Get the length to use when drawing gridlines. 
//// \item @|double = obj.GetGridlineYLength ()| -  Set/Get the length to use when drawing gridlines. 
//// \item @|obj.SetGridlineZLength (double )| -  Set/Get the length to use when drawing gridlines. 
//// \item @|double = obj.GetGridlineZLength ()| -  Set/Get the length to use when drawing gridlines. 
//// \item @|obj.SetAxisType (int )| -  Set/Get the type of this axis.
//// \item @|int = obj.GetAxisTypeMinValue ()| -  Set/Get the type of this axis.
//// \item @|int = obj.GetAxisTypeMaxValue ()| -  Set/Get the type of this axis.
//// \item @|int = obj.GetAxisType ()| -  Set/Get the type of this axis.
//// \item @|obj.SetAxisTypeToX (void )| -  Set/Get the type of this axis.
//// \item @|obj.SetAxisTypeToY (void )| -  Set/Get the type of this axis.
//// \item @|obj.SetAxisTypeToZ (void )| -  Set/Get the type of this axis.
//// \item @|obj.SetAxisPosition (int )| -  Set/Get the position of this axis (in relation to an an
// assumed bounding box).  For an x-type axis, MINMIN corresponds
// to the x-edge in the bounding box where Y values are minimum and 
// Z values are minimum. For a y-type axis, MAXMIN corresponds to the 
// y-edge where X values are maximum and Z values are minimum.
// 
//// \item @|int = obj.GetAxisPositionMinValue ()| -  Set/Get the position of this axis (in relation to an an
// assumed bounding box).  For an x-type axis, MINMIN corresponds
// to the x-edge in the bounding box where Y values are minimum and 
// Z values are minimum. For a y-type axis, MAXMIN corresponds to the 
// y-edge where X values are maximum and Z values are minimum.
// 
//// \item @|int = obj.GetAxisPositionMaxValue ()| -  Set/Get the position of this axis (in relation to an an
// assumed bounding box).  For an x-type axis, MINMIN corresponds
// to the x-edge in the bounding box where Y values are minimum and 
// Z values are minimum. For a y-type axis, MAXMIN corresponds to the 
// y-edge where X values are maximum and Z values are minimum.
// 
//// \item @|int = obj.GetAxisPosition ()| -  Set/Get the position of this axis (in relation to an an
// assumed bounding box).  For an x-type axis, MINMIN corresponds
// to the x-edge in the bounding box where Y values are minimum and 
// Z values are minimum. For a y-type axis, MAXMIN corresponds to the 
// y-edge where X values are maximum and Z values are minimum.
// 
//// \item @|obj.SetAxisPositionToMinMin (void )|
// \item @|obj.SetAxisPositionToMinMax (void )|
// \item @|obj.SetAxisPositionToMaxMax (void )|
// \item @|obj.SetAxisPositionToMaxMin (void )|
// \item @|obj.SetCamera (vtkCamera )| -  Set/Get the camera for this axis.  The camera is used by the
// labels to 'follow' the camera and be legible from any viewpoint.
//// \item @|vtkCamera = obj.GetCamera ()| -  Set/Get the camera for this axis.  The camera is used by the
// labels to 'follow' the camera and be legible from any viewpoint.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport viewport)| -  Draw the axis. 
//// \item @|int = obj.RenderTranslucentGeometry (vtkViewport )| -  Release any graphics resources that are being consumed by this actor.
// The parameter window could be used to determine which graphic
// resources to release.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this actor.
// The parameter window could be used to determine which graphic
// resources to release.
//// \item @|obj.ShallowCopy (vtkProp prop)| -  Shallow copy of an axis actor. Overloads the virtual vtkProp method.
//// \item @|obj.SetLabelScale (double )|
// \item @|obj.SetTitleScale (double )|
// \item @|obj.SetMinorStart (double )| -  Set/Get the starting position for minor and major tick points,
// and the delta values that determine their spacing. 
//// \item @|double = obj.GetMinorStart ()| -  Set/Get the starting position for minor and major tick points,
// and the delta values that determine their spacing. 
//// \item @|obj.SetMajorStart (double )| -  Set/Get the starting position for minor and major tick points,
// and the delta values that determine their spacing. 
//// \item @|double = obj.GetMajorStart ()| -  Set/Get the starting position for minor and major tick points,
// and the delta values that determine their spacing. 
//// \item @|obj.SetDeltaMinor (double )| -  Set/Get the starting position for minor and major tick points,
// and the delta values that determine their spacing. 
//// \item @|double = obj.GetDeltaMinor ()| -  Set/Get the starting position for minor and major tick points,
// and the delta values that determine their spacing. 
//// \item @|obj.SetDeltaMajor (double )| -  Set/Get the starting position for minor and major tick points,
// and the delta values that determine their spacing. 
//// \item @|double = obj.GetDeltaMajor ()| -  Set/Get the starting position for minor and major tick points,
// and the delta values that determine their spacing. 
//// \item @|obj.BuildAxis (vtkViewport viewport, bool )|
//\end{itemize}
//!
