#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBarChartActor object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBarChartActor.h"

//@@Signature
//sfunction @vtkBarChartActor:vtkBarChartActor vtkBarChartActorConstructorFunction
//input a
//output p
//@@Parents vtkBarChartActor vtkActor2D 
ArrayVector vtkBarChartActorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBarChartActor::New(),"vtkBarChartActor",eval);
  } else if (arg[0].className() == "vtkBarChartActor") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBarChartActor"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBarChartActor");
    vtkBarChartActor*q = reinterpret_cast<vtkBarChartActor*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBarChartActor");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBarChartActor:GetClassName vtkBarChartActorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBarChartActorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBarChartActor requires 1 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:IsA vtkBarChartActorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBarChartActorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBarChartActor requires 2 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:NewInstance vtkBarChartActorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBarChartActorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBarChartActor *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBarChartActor requires 1 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  vtkBarChartActor  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBarChartActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:SafeDownCast vtkBarChartActorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBarChartActorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBarChartActor *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBarChartActor requires 2 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBarChartActor  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBarChartActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:SetInput vtkBarChartActorSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkBarChartActorSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkBarChartActor requires 2 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:GetInput vtkBarChartActorGetInputFunction
//input a0 
//output y
ArrayVector vtkBarChartActorGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkBarChartActor requires 1 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:SetTitleVisibility vtkBarChartActorSetTitleVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkBarChartActorSetTitleVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTitleVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTitleVisibility for class vtkBarChartActor requires 2 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTitleVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:GetTitleVisibility vtkBarChartActorGetTitleVisibilityFunction
//input a0 
//output y
ArrayVector vtkBarChartActorGetTitleVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTitleVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTitleVisibility for class vtkBarChartActor requires 1 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTitleVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:TitleVisibilityOn vtkBarChartActorTitleVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkBarChartActorTitleVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TitleVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TitleVisibilityOn for class vtkBarChartActor requires 1 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  vtk_pointer->TitleVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:TitleVisibilityOff vtkBarChartActorTitleVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkBarChartActorTitleVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TitleVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TitleVisibilityOff for class vtkBarChartActor requires 1 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  vtk_pointer->TitleVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:SetTitle vtkBarChartActorSetTitleFunction
//input a0 a1 
//output none
ArrayVector vtkBarChartActorSetTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTitle (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTitle for class vtkBarChartActor requires 2 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetTitle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:GetTitle vtkBarChartActorGetTitleFunction
//input a0 
//output y
ArrayVector vtkBarChartActorGetTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetTitle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTitle for class vtkBarChartActor requires 1 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetTitle();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:SetTitleTextProperty vtkBarChartActorSetTitleTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkBarChartActorSetTitleTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTitleTextProperty (vtkTextProperty *p); */
  if (arg.size() < 2) 
    throw Exception("Function SetTitleTextProperty for class vtkBarChartActor requires 2 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetTitleTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:GetTitleTextProperty vtkBarChartActorGetTitleTextPropertyFunction
//input a0 
//output y
ArrayVector vtkBarChartActorGetTitleTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetTitleTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTitleTextProperty for class vtkBarChartActor requires 1 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetTitleTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:SetLabelVisibility vtkBarChartActorSetLabelVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkBarChartActorSetLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelVisibility for class vtkBarChartActor requires 2 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLabelVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:GetLabelVisibility vtkBarChartActorGetLabelVisibilityFunction
//input a0 
//output y
ArrayVector vtkBarChartActorGetLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLabelVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelVisibility for class vtkBarChartActor requires 1 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLabelVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:LabelVisibilityOn vtkBarChartActorLabelVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkBarChartActorLabelVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LabelVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function LabelVisibilityOn for class vtkBarChartActor requires 1 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  vtk_pointer->LabelVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:LabelVisibilityOff vtkBarChartActorLabelVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkBarChartActorLabelVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LabelVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function LabelVisibilityOff for class vtkBarChartActor requires 1 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  vtk_pointer->LabelVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:SetLabelTextProperty vtkBarChartActorSetLabelTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkBarChartActorSetLabelTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLabelTextProperty (vtkTextProperty *p); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelTextProperty for class vtkBarChartActor requires 2 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetLabelTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:GetLabelTextProperty vtkBarChartActorGetLabelTextPropertyFunction
//input a0 
//output y
ArrayVector vtkBarChartActorGetLabelTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetLabelTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelTextProperty for class vtkBarChartActor requires 1 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetLabelTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:SetBarColor__1 vtkBarChartActorSetBarColor__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkBarChartActorSetBarColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBarColor (int i, double r, double g, double b); */
  if (arg.size() < 5) 
    throw Exception("Function SetBarColor__1 for class vtkBarChartActor requires 5 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetBarColor(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:SetBarColor__2 vtkBarChartActorSetBarColor__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkBarChartActorSetBarColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBarColor (int i, const double color[3]);this SetBarColor i color color color  */
  if (arg.size() < 3) 
    throw Exception("Function SetBarColor__2 for class vtkBarChartActor requires 3 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->SetBarColor(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:SetBarLabel vtkBarChartActorSetBarLabelFunction
//input a0 a1 a2 
//output none
ArrayVector vtkBarChartActorSetBarLabelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBarLabel (const int i, const char *); */
  if (arg.size() < 3) 
    throw Exception("Function SetBarLabel for class vtkBarChartActor requires 3 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->SetBarLabel(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:GetBarLabel vtkBarChartActorGetBarLabelFunction
//input a0 a1 
//output y
ArrayVector vtkBarChartActorGetBarLabelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetBarLabel (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetBarLabel for class vtkBarChartActor requires 2 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetBarLabel(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:SetYTitle vtkBarChartActorSetYTitleFunction
//input a0 a1 
//output none
ArrayVector vtkBarChartActorSetYTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYTitle (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetYTitle for class vtkBarChartActor requires 2 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetYTitle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:GetYTitle vtkBarChartActorGetYTitleFunction
//input a0 
//output y
ArrayVector vtkBarChartActorGetYTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetYTitle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYTitle for class vtkBarChartActor requires 1 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetYTitle();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:SetLegendVisibility vtkBarChartActorSetLegendVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkBarChartActorSetLegendVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLegendVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLegendVisibility for class vtkBarChartActor requires 2 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLegendVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:GetLegendVisibility vtkBarChartActorGetLegendVisibilityFunction
//input a0 
//output y
ArrayVector vtkBarChartActorGetLegendVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLegendVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLegendVisibility for class vtkBarChartActor requires 1 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLegendVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:LegendVisibilityOn vtkBarChartActorLegendVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkBarChartActorLegendVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LegendVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function LegendVisibilityOn for class vtkBarChartActor requires 1 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  vtk_pointer->LegendVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:LegendVisibilityOff vtkBarChartActorLegendVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkBarChartActorLegendVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LegendVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function LegendVisibilityOff for class vtkBarChartActor requires 1 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  vtk_pointer->LegendVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:GetLegendActor vtkBarChartActorGetLegendActorFunction
//input a0 
//output y
ArrayVector vtkBarChartActorGetLegendActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLegendBoxActor *GetLegendActor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLegendActor for class vtkBarChartActor requires 1 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  vtkLegendBoxActor  *temp20;
  temp20 = (vtk_pointer)->GetLegendActor();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLegendBoxActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:RenderOverlay vtkBarChartActorRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkBarChartActorRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RenderOverlay (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkBarChartActor requires 2 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:RenderOpaqueGeometry vtkBarChartActorRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkBarChartActorRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RenderOpaqueGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkBarChartActor requires 2 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:RenderTranslucentPolygonalGeometry vtkBarChartActorRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkBarChartActorRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *);return  */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkBarChartActor requires 2 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:HasTranslucentPolygonalGeometry vtkBarChartActorHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkBarChartActorHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkBarChartActor requires 1 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:ReleaseGraphicsResources vtkBarChartActorReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkBarChartActorReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkBarChartActor requires 2 argument(s)");
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBarChartActor:SetBarColor vtkBarChartActorSetBarColorFunction
//input varargin
//output varargout
ArrayVector vtkBarChartActorSetBarColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkBarChartActorSetBarColor__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkBarChartActorSetBarColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBarChartActorSetBarColor");
}

//@@Signature
//sfunction @vtkBarChartActor:display vtkBarChartActorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBarChartActorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBarChartActor* vtk_pointer = GetVTKPointer<vtkBarChartActor>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBarChartActor:delete vtkBarChartActorDeleteFunction
//input varargin
//output none
ArrayVector vtkBarChartActorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBarChartActor
//@@Section VTKHybrid
//@@Usage
// vtkBarChartActor generates a bar chart from an array of numbers defined in
// field data (a vtkDataObject). To use this class, you must specify an input
// data object. You'll probably also want to specify the position of the plot
// be setting the Position and Position2 instance variables, which define a
// rectangle in which the plot lies.  There are also many other instance
// variables that control the look of the plot includes its title and legend.
//
// Set the text property/attributes of the title and the labels through the 
// vtkTextProperty objects associated with these components.
//
//To create an instance of class vtkBarChartActor, simply
//invoke its constructor as follows
//@[
//  obj = vtkBarChartActor
//@]
//@@Methods
//The class vtkBarChartActor has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBarChartActor class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for type information and printing.
//// \item @|int = obj.IsA (string name)| -  Standard methods for type information and printing.
//// \item @|vtkBarChartActor = obj.NewInstance ()| -  Standard methods for type information and printing.
//// \item @|vtkBarChartActor = obj.SafeDownCast (vtkObject o)| -  Standard methods for type information and printing.
//// \item @|obj.SetInput (vtkDataObject )| -  Set the input to the bar chart actor.
//// \item @|vtkDataObject = obj.GetInput ()| -  Get the input data object to this actor.
//// \item @|obj.SetTitleVisibility (int )| -  Enable/Disable the display of a plot title.
//// \item @|int = obj.GetTitleVisibility ()| -  Enable/Disable the display of a plot title.
//// \item @|obj.TitleVisibilityOn ()| -  Enable/Disable the display of a plot title.
//// \item @|obj.TitleVisibilityOff ()| -  Enable/Disable the display of a plot title.
//// \item @|obj.SetTitle (string )| -  Set/Get the title of the bar chart.
//// \item @|string = obj.GetTitle ()| -  Set/Get the title of the bar chart.
//// \item @|obj.SetTitleTextProperty (vtkTextProperty p)| -  Set/Get the title text property. The property controls the
// appearance of the plot title.
//// \item @|vtkTextProperty = obj.GetTitleTextProperty ()| -  Set/Get the title text property. The property controls the
// appearance of the plot title.
//// \item @|obj.SetLabelVisibility (int )| -  Enable/Disable the display of bar labels.
//// \item @|int = obj.GetLabelVisibility ()| -  Enable/Disable the display of bar labels.
//// \item @|obj.LabelVisibilityOn ()| -  Enable/Disable the display of bar labels.
//// \item @|obj.LabelVisibilityOff ()| -  Enable/Disable the display of bar labels.
//// \item @|obj.SetLabelTextProperty (vtkTextProperty p)| -  Set/Get the labels text property. This controls the appearance
// of all bar bar labels.
//// \item @|vtkTextProperty = obj.GetLabelTextProperty ()| -  Set/Get the labels text property. This controls the appearance
// of all bar bar labels.
//// \item @|obj.SetBarColor (int i, double r, double g, double b)| -  Specify colors for each bar. If not specified, they are 
// automatically generated.
//// \item @|obj.SetBarColor (int i, double color[3])| -  Specify colors for each bar. If not specified, they are 
// automatically generated.
//// \item @|obj.SetBarLabel (int i, string )| -  Specify the names of each bar. If
// not specified, then an integer number is automatically generated.
//// \item @|string = obj.GetBarLabel (int i)| -  Specify the names of each bar. If
// not specified, then an integer number is automatically generated.
//// \item @|obj.SetYTitle (string )| -  Specify the title of the y-axis.
//// \item @|string = obj.GetYTitle ()| -  Specify the title of the y-axis.
//// \item @|obj.SetLegendVisibility (int )| -  Enable/Disable the creation of a legend. If on, the legend labels will
// be created automatically unless the per plot legend symbol has been
// set.
//// \item @|int = obj.GetLegendVisibility ()| -  Enable/Disable the creation of a legend. If on, the legend labels will
// be created automatically unless the per plot legend symbol has been
// set.
//// \item @|obj.LegendVisibilityOn ()| -  Enable/Disable the creation of a legend. If on, the legend labels will
// be created automatically unless the per plot legend symbol has been
// set.
//// \item @|obj.LegendVisibilityOff ()| -  Enable/Disable the creation of a legend. If on, the legend labels will
// be created automatically unless the per plot legend symbol has been
// set.
//// \item @|vtkLegendBoxActor = obj.GetLegendActor ()| -  Retrieve handles to the legend box. This is useful if you would like 
// to manually control the legend appearance.
//// \item @|int = obj.RenderOverlay (vtkViewport )| -  Draw the bar plot.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport )| -  Draw the bar plot.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport )| -  Does this prop have some translucent polygonal geometry?
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  Does this prop have some translucent polygonal geometry?
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this actor.
// The parameter window could be used to determine which graphic
// resources to release.
////\end{itemize}
//!
