#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCaptionActor2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCaptionActor2D.h"

//@@Signature
//sfunction @vtkCaptionActor2D:vtkCaptionActor2D vtkCaptionActor2DConstructorFunction
//input a
//output p
//@@Parents vtkCaptionActor2D vtkActor2D 
ArrayVector vtkCaptionActor2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCaptionActor2D::New(),"vtkCaptionActor2D",eval);
  } else if (arg[0].className() == "vtkCaptionActor2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCaptionActor2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCaptionActor2D");
    vtkCaptionActor2D*q = reinterpret_cast<vtkCaptionActor2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCaptionActor2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCaptionActor2D:GetClassName vtkCaptionActor2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCaptionActor2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCaptionActor2D requires 1 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:IsA vtkCaptionActor2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCaptionActor2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCaptionActor2D requires 2 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:NewInstance vtkCaptionActor2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCaptionActor2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCaptionActor2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCaptionActor2D requires 1 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  vtkCaptionActor2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCaptionActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:SafeDownCast vtkCaptionActor2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCaptionActor2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCaptionActor2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCaptionActor2D requires 2 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCaptionActor2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCaptionActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:SetCaption vtkCaptionActor2DSetCaptionFunction
//input a0 a1 
//output none
ArrayVector vtkCaptionActor2DSetCaptionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCaption (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetCaption for class vtkCaptionActor2D requires 2 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetCaption(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:GetCaption vtkCaptionActor2DGetCaptionFunction
//input a0 
//output y
ArrayVector vtkCaptionActor2DGetCaptionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetCaption (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCaption for class vtkCaptionActor2D requires 1 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetCaption();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:GetAttachmentPointCoordinate vtkCaptionActor2DGetAttachmentPointCoordinateFunction
//input a0 
//output y
ArrayVector vtkCaptionActor2DGetAttachmentPointCoordinateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCoordinate *GetAttachmentPointCoordinate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAttachmentPointCoordinate for class vtkCaptionActor2D requires 1 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  vtkCoordinate  *temp20;
  temp20 = (vtk_pointer)->GetAttachmentPointCoordinate();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCoordinate",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:SetAttachmentPoint__1 vtkCaptionActor2DSetAttachmentPoint__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkCaptionActor2DSetAttachmentPoint__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAttachmentPoint (double, double, double); */
  if (arg.size() < 4) 
    throw Exception("Function SetAttachmentPoint__1 for class vtkCaptionActor2D requires 4 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetAttachmentPoint(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:SetAttachmentPoint__2 vtkCaptionActor2DSetAttachmentPoint__2Function
//input a0 a1 
//output none
ArrayVector vtkCaptionActor2DSetAttachmentPoint__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAttachmentPoint (double a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetAttachmentPoint__2 for class vtkCaptionActor2D requires 2 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetAttachmentPoint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:GetAttachmentPoint vtkCaptionActor2DGetAttachmentPointFunction
//input a0 
//output y
ArrayVector vtkCaptionActor2DGetAttachmentPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetAttachmentPoint (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAttachmentPoint for class vtkCaptionActor2D requires 1 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetAttachmentPoint();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:SetBorder vtkCaptionActor2DSetBorderFunction
//input a0 a1 
//output none
ArrayVector vtkCaptionActor2DSetBorderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBorder (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBorder for class vtkCaptionActor2D requires 2 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBorder(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:GetBorder vtkCaptionActor2DGetBorderFunction
//input a0 
//output y
ArrayVector vtkCaptionActor2DGetBorderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBorder (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBorder for class vtkCaptionActor2D requires 1 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBorder();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:BorderOn vtkCaptionActor2DBorderOnFunction
//input a0 
//output none
ArrayVector vtkCaptionActor2DBorderOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BorderOn (); */
  if (arg.size() < 1) 
    throw Exception("Function BorderOn for class vtkCaptionActor2D requires 1 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  vtk_pointer->BorderOn();
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:BorderOff vtkCaptionActor2DBorderOffFunction
//input a0 
//output none
ArrayVector vtkCaptionActor2DBorderOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BorderOff (); */
  if (arg.size() < 1) 
    throw Exception("Function BorderOff for class vtkCaptionActor2D requires 1 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  vtk_pointer->BorderOff();
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:SetLeader vtkCaptionActor2DSetLeaderFunction
//input a0 a1 
//output none
ArrayVector vtkCaptionActor2DSetLeaderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLeader (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLeader for class vtkCaptionActor2D requires 2 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLeader(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:GetLeader vtkCaptionActor2DGetLeaderFunction
//input a0 
//output y
ArrayVector vtkCaptionActor2DGetLeaderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLeader (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeader for class vtkCaptionActor2D requires 1 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLeader();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:LeaderOn vtkCaptionActor2DLeaderOnFunction
//input a0 
//output none
ArrayVector vtkCaptionActor2DLeaderOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LeaderOn (); */
  if (arg.size() < 1) 
    throw Exception("Function LeaderOn for class vtkCaptionActor2D requires 1 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  vtk_pointer->LeaderOn();
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:LeaderOff vtkCaptionActor2DLeaderOffFunction
//input a0 
//output none
ArrayVector vtkCaptionActor2DLeaderOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LeaderOff (); */
  if (arg.size() < 1) 
    throw Exception("Function LeaderOff for class vtkCaptionActor2D requires 1 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  vtk_pointer->LeaderOff();
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:SetThreeDimensionalLeader vtkCaptionActor2DSetThreeDimensionalLeaderFunction
//input a0 a1 
//output none
ArrayVector vtkCaptionActor2DSetThreeDimensionalLeaderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetThreeDimensionalLeader (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetThreeDimensionalLeader for class vtkCaptionActor2D requires 2 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetThreeDimensionalLeader(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:GetThreeDimensionalLeader vtkCaptionActor2DGetThreeDimensionalLeaderFunction
//input a0 
//output y
ArrayVector vtkCaptionActor2DGetThreeDimensionalLeaderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetThreeDimensionalLeader (); */
  if (arg.size() < 1) 
    throw Exception("Function GetThreeDimensionalLeader for class vtkCaptionActor2D requires 1 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetThreeDimensionalLeader();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:ThreeDimensionalLeaderOn vtkCaptionActor2DThreeDimensionalLeaderOnFunction
//input a0 
//output none
ArrayVector vtkCaptionActor2DThreeDimensionalLeaderOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThreeDimensionalLeaderOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ThreeDimensionalLeaderOn for class vtkCaptionActor2D requires 1 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  vtk_pointer->ThreeDimensionalLeaderOn();
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:ThreeDimensionalLeaderOff vtkCaptionActor2DThreeDimensionalLeaderOffFunction
//input a0 
//output none
ArrayVector vtkCaptionActor2DThreeDimensionalLeaderOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThreeDimensionalLeaderOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ThreeDimensionalLeaderOff for class vtkCaptionActor2D requires 1 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  vtk_pointer->ThreeDimensionalLeaderOff();
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:SetLeaderGlyph vtkCaptionActor2DSetLeaderGlyphFunction
//input a0 a1 
//output none
ArrayVector vtkCaptionActor2DSetLeaderGlyphFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLeaderGlyph (vtkPolyData *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLeaderGlyph for class vtkCaptionActor2D requires 2 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->SetLeaderGlyph(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:GetLeaderGlyph vtkCaptionActor2DGetLeaderGlyphFunction
//input a0 
//output y
ArrayVector vtkCaptionActor2DGetLeaderGlyphFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetLeaderGlyph (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeaderGlyph for class vtkCaptionActor2D requires 1 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetLeaderGlyph();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:SetLeaderGlyphSize vtkCaptionActor2DSetLeaderGlyphSizeFunction
//input a0 a1 
//output none
ArrayVector vtkCaptionActor2DSetLeaderGlyphSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLeaderGlyphSize (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLeaderGlyphSize for class vtkCaptionActor2D requires 2 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLeaderGlyphSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:GetLeaderGlyphSizeMinValue vtkCaptionActor2DGetLeaderGlyphSizeMinValueFunction
//input a0 
//output y
ArrayVector vtkCaptionActor2DGetLeaderGlyphSizeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLeaderGlyphSizeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeaderGlyphSizeMinValue for class vtkCaptionActor2D requires 1 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLeaderGlyphSizeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:GetLeaderGlyphSizeMaxValue vtkCaptionActor2DGetLeaderGlyphSizeMaxValueFunction
//input a0 
//output y
ArrayVector vtkCaptionActor2DGetLeaderGlyphSizeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLeaderGlyphSizeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeaderGlyphSizeMaxValue for class vtkCaptionActor2D requires 1 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLeaderGlyphSizeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:GetLeaderGlyphSize vtkCaptionActor2DGetLeaderGlyphSizeFunction
//input a0 
//output y
ArrayVector vtkCaptionActor2DGetLeaderGlyphSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLeaderGlyphSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeaderGlyphSize for class vtkCaptionActor2D requires 1 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLeaderGlyphSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:SetMaximumLeaderGlyphSize vtkCaptionActor2DSetMaximumLeaderGlyphSizeFunction
//input a0 a1 
//output none
ArrayVector vtkCaptionActor2DSetMaximumLeaderGlyphSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumLeaderGlyphSize (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumLeaderGlyphSize for class vtkCaptionActor2D requires 2 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximumLeaderGlyphSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:GetMaximumLeaderGlyphSizeMinValue vtkCaptionActor2DGetMaximumLeaderGlyphSizeMinValueFunction
//input a0 
//output y
ArrayVector vtkCaptionActor2DGetMaximumLeaderGlyphSizeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumLeaderGlyphSizeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumLeaderGlyphSizeMinValue for class vtkCaptionActor2D requires 1 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumLeaderGlyphSizeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:GetMaximumLeaderGlyphSizeMaxValue vtkCaptionActor2DGetMaximumLeaderGlyphSizeMaxValueFunction
//input a0 
//output y
ArrayVector vtkCaptionActor2DGetMaximumLeaderGlyphSizeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumLeaderGlyphSizeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumLeaderGlyphSizeMaxValue for class vtkCaptionActor2D requires 1 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumLeaderGlyphSizeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:GetMaximumLeaderGlyphSize vtkCaptionActor2DGetMaximumLeaderGlyphSizeFunction
//input a0 
//output y
ArrayVector vtkCaptionActor2DGetMaximumLeaderGlyphSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumLeaderGlyphSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumLeaderGlyphSize for class vtkCaptionActor2D requires 1 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumLeaderGlyphSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:SetPadding vtkCaptionActor2DSetPaddingFunction
//input a0 a1 
//output none
ArrayVector vtkCaptionActor2DSetPaddingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPadding (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPadding for class vtkCaptionActor2D requires 2 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPadding(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:GetPaddingMinValue vtkCaptionActor2DGetPaddingMinValueFunction
//input a0 
//output y
ArrayVector vtkCaptionActor2DGetPaddingMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPaddingMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPaddingMinValue for class vtkCaptionActor2D requires 1 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPaddingMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:GetPaddingMaxValue vtkCaptionActor2DGetPaddingMaxValueFunction
//input a0 
//output y
ArrayVector vtkCaptionActor2DGetPaddingMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPaddingMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPaddingMaxValue for class vtkCaptionActor2D requires 1 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPaddingMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:GetPadding vtkCaptionActor2DGetPaddingFunction
//input a0 
//output y
ArrayVector vtkCaptionActor2DGetPaddingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPadding (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPadding for class vtkCaptionActor2D requires 1 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPadding();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:GetTextActor vtkCaptionActor2DGetTextActorFunction
//input a0 
//output y
ArrayVector vtkCaptionActor2DGetTextActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextActor *GetTextActor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextActor for class vtkCaptionActor2D requires 1 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  vtkTextActor  *temp20;
  temp20 = (vtk_pointer)->GetTextActor();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:SetCaptionTextProperty vtkCaptionActor2DSetCaptionTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkCaptionActor2DSetCaptionTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCaptionTextProperty (vtkTextProperty *p); */
  if (arg.size() < 2) 
    throw Exception("Function SetCaptionTextProperty for class vtkCaptionActor2D requires 2 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetCaptionTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:GetCaptionTextProperty vtkCaptionActor2DGetCaptionTextPropertyFunction
//input a0 
//output y
ArrayVector vtkCaptionActor2DGetCaptionTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetCaptionTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCaptionTextProperty for class vtkCaptionActor2D requires 1 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetCaptionTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:ShallowCopy vtkCaptionActor2DShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkCaptionActor2DShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkProp *prop); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkCaptionActor2D requires 2 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  vtkProp  *temp0;
  temp0 = GetVTKPointer<vtkProp>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:SetAttachEdgeOnly vtkCaptionActor2DSetAttachEdgeOnlyFunction
//input a0 a1 
//output none
ArrayVector vtkCaptionActor2DSetAttachEdgeOnlyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAttachEdgeOnly (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAttachEdgeOnly for class vtkCaptionActor2D requires 2 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAttachEdgeOnly(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:GetAttachEdgeOnly vtkCaptionActor2DGetAttachEdgeOnlyFunction
//input a0 
//output y
ArrayVector vtkCaptionActor2DGetAttachEdgeOnlyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAttachEdgeOnly (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAttachEdgeOnly for class vtkCaptionActor2D requires 1 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAttachEdgeOnly();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:AttachEdgeOnlyOn vtkCaptionActor2DAttachEdgeOnlyOnFunction
//input a0 
//output none
ArrayVector vtkCaptionActor2DAttachEdgeOnlyOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AttachEdgeOnlyOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AttachEdgeOnlyOn for class vtkCaptionActor2D requires 1 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  vtk_pointer->AttachEdgeOnlyOn();
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:AttachEdgeOnlyOff vtkCaptionActor2DAttachEdgeOnlyOffFunction
//input a0 
//output none
ArrayVector vtkCaptionActor2DAttachEdgeOnlyOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AttachEdgeOnlyOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AttachEdgeOnlyOff for class vtkCaptionActor2D requires 1 argument(s)");
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  Array retval;
  vtk_pointer->AttachEdgeOnlyOff();
  return retval;
}

//@@Signature
//sfunction @vtkCaptionActor2D:SetAttachmentPoint vtkCaptionActor2DSetAttachmentPointFunction
//input varargin
//output varargout
ArrayVector vtkCaptionActor2DSetAttachmentPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkCaptionActor2DSetAttachmentPoint__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkCaptionActor2DSetAttachmentPoint__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCaptionActor2DSetAttachmentPoint");
}

//@@Signature
//sfunction @vtkCaptionActor2D:display vtkCaptionActor2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCaptionActor2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCaptionActor2D* vtk_pointer = GetVTKPointer<vtkCaptionActor2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCaptionActor2D:delete vtkCaptionActor2DDeleteFunction
//input varargin
//output none
ArrayVector vtkCaptionActor2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCaptionActor2D
//@@Section VTKHybrid
//@@Usage
// vtkCaptionActor2D is a hybrid 2D/3D actor that is used to associate text 
// with a point (the AttachmentPoint) in the scene. The caption can be 
// drawn with a rectangular border and a leader connecting 
// the caption to the attachment point. Optionally, the leader can be 
// glyphed at its endpoint to create arrow heads or other indicators.
// 
// To use the caption actor, you normally specify the Position and Position2
// coordinates (these are inherited from the vtkActor2D superclass). (Note
// that Position2 can be set using vtkActor2D's SetWidth() and SetHeight()
// methods.)  Position and Position2 define the size of the caption, and a
// third point, the AttachmentPoint, defines a point that the caption is
// associated with.  You must also define the caption text, 
// whether you want a border around the caption, and whether you want a
// leader from the caption to the attachment point. The font attributes of 
// the text can be set through the vtkTextProperty associated to this actor.
// You also indicate whether you want
// the leader to be 2D or 3D. (2D leaders are always drawn over the
// underlying geometry. 3D leaders may be occluded by the geometry.) The
// leader may also be terminated by an optional glyph (e.g., arrow).
//
// The trickiest part about using this class is setting Position, Position2,
// and AttachmentPoint correctly. These instance variables are
// vtkCoordinates, and can be set up in various ways. In default usage, the
// AttachmentPoint is defined in the world coordinate system, Position is the
// lower-left corner of the caption and relative to AttachmentPoint (defined
// in display coordaintes, i.e., pixels), and Position2 is relative to
// Position and is the upper-right corner (also in display
// coordinates). However, the user has full control over the coordinates, and
// can do things like place the caption in a fixed position in the renderer,
// with the leader moving with the AttachmentPoint.
//
//To create an instance of class vtkCaptionActor2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkCaptionActor2D
//@]
//@@Methods
//The class vtkCaptionActor2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCaptionActor2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCaptionActor2D = obj.NewInstance ()|
// \item @|vtkCaptionActor2D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCaption (string )| -  Define the text to be placed in the caption. The text can be multiple
// lines (separated by "\n").
//// \item @|string = obj.GetCaption ()| -  Define the text to be placed in the caption. The text can be multiple
// lines (separated by "\n").
//// \item @|vtkCoordinate = obj.GetAttachmentPointCoordinate ()| -  Set/Get the attachment point for the caption. By default, the attachment
// point is defined in world coordinates, but this can be changed using
// vtkCoordinate methods.
//// \item @|obj.SetAttachmentPoint (double, double, double)| -  Set/Get the attachment point for the caption. By default, the attachment
// point is defined in world coordinates, but this can be changed using
// vtkCoordinate methods.
//// \item @|obj.SetAttachmentPoint (double a[3])| -  Set/Get the attachment point for the caption. By default, the attachment
// point is defined in world coordinates, but this can be changed using
// vtkCoordinate methods.
//// \item @|double = obj.GetAttachmentPoint ()| -  Set/Get the attachment point for the caption. By default, the attachment
// point is defined in world coordinates, but this can be changed using
// vtkCoordinate methods.
//// \item @|obj.SetBorder (int )| -  Enable/disable the placement of a border around the text.
//// \item @|int = obj.GetBorder ()| -  Enable/disable the placement of a border around the text.
//// \item @|obj.BorderOn ()| -  Enable/disable the placement of a border around the text.
//// \item @|obj.BorderOff ()| -  Enable/disable the placement of a border around the text.
//// \item @|obj.SetLeader (int )| -  Enable/disable drawing a "line" from the caption to the 
// attachment point.
//// \item @|int = obj.GetLeader ()| -  Enable/disable drawing a "line" from the caption to the 
// attachment point.
//// \item @|obj.LeaderOn ()| -  Enable/disable drawing a "line" from the caption to the 
// attachment point.
//// \item @|obj.LeaderOff ()| -  Enable/disable drawing a "line" from the caption to the 
// attachment point.
//// \item @|obj.SetThreeDimensionalLeader (int )| -  Indicate whether the leader is 2D (no hidden line) or 3D (z-buffered).
//// \item @|int = obj.GetThreeDimensionalLeader ()| -  Indicate whether the leader is 2D (no hidden line) or 3D (z-buffered).
//// \item @|obj.ThreeDimensionalLeaderOn ()| -  Indicate whether the leader is 2D (no hidden line) or 3D (z-buffered).
//// \item @|obj.ThreeDimensionalLeaderOff ()| -  Indicate whether the leader is 2D (no hidden line) or 3D (z-buffered).
//// \item @|obj.SetLeaderGlyph (vtkPolyData )| -  Specify a glyph to be used as the leader "head". This could be something
// like an arrow or sphere. If not specified, no glyph is drawn. Note that
// the glyph is assumed to be aligned along the x-axis and is rotated about
// the origin.
//// \item @|vtkPolyData = obj.GetLeaderGlyph ()| -  Specify a glyph to be used as the leader "head". This could be something
// like an arrow or sphere. If not specified, no glyph is drawn. Note that
// the glyph is assumed to be aligned along the x-axis and is rotated about
// the origin.
//// \item @|obj.SetLeaderGlyphSize (double )| -  Specify the relative size of the leader head. This is expressed as a
// fraction of the size (diagonal length) of the renderer. The leader
// head is automatically scaled so that window resize, zooming or other 
// camera motion results in proportional changes in size to the leader
// glyph.
//// \item @|double = obj.GetLeaderGlyphSizeMinValue ()| -  Specify the relative size of the leader head. This is expressed as a
// fraction of the size (diagonal length) of the renderer. The leader
// head is automatically scaled so that window resize, zooming or other 
// camera motion results in proportional changes in size to the leader
// glyph.
//// \item @|double = obj.GetLeaderGlyphSizeMaxValue ()| -  Specify the relative size of the leader head. This is expressed as a
// fraction of the size (diagonal length) of the renderer. The leader
// head is automatically scaled so that window resize, zooming or other 
// camera motion results in proportional changes in size to the leader
// glyph.
//// \item @|double = obj.GetLeaderGlyphSize ()| -  Specify the relative size of the leader head. This is expressed as a
// fraction of the size (diagonal length) of the renderer. The leader
// head is automatically scaled so that window resize, zooming or other 
// camera motion results in proportional changes in size to the leader
// glyph.
//// \item @|obj.SetMaximumLeaderGlyphSize (int )| -  Specify the maximum size of the leader head (if any) in pixels. This 
// is used in conjunction with LeaderGlyphSize to cap the maximum size of
// the LeaderGlyph.
//// \item @|int = obj.GetMaximumLeaderGlyphSizeMinValue ()| -  Specify the maximum size of the leader head (if any) in pixels. This 
// is used in conjunction with LeaderGlyphSize to cap the maximum size of
// the LeaderGlyph.
//// \item @|int = obj.GetMaximumLeaderGlyphSizeMaxValue ()| -  Specify the maximum size of the leader head (if any) in pixels. This 
// is used in conjunction with LeaderGlyphSize to cap the maximum size of
// the LeaderGlyph.
//// \item @|int = obj.GetMaximumLeaderGlyphSize ()| -  Specify the maximum size of the leader head (if any) in pixels. This 
// is used in conjunction with LeaderGlyphSize to cap the maximum size of
// the LeaderGlyph.
//// \item @|obj.SetPadding (int )| -  Set/Get the padding between the caption and the border. The value
// is specified in pixels.
//// \item @|int = obj.GetPaddingMinValue ()| -  Set/Get the padding between the caption and the border. The value
// is specified in pixels.
//// \item @|int = obj.GetPaddingMaxValue ()| -  Set/Get the padding between the caption and the border. The value
// is specified in pixels.
//// \item @|int = obj.GetPadding ()| -  Set/Get the padding between the caption and the border. The value
// is specified in pixels.
//// \item @|vtkTextActor = obj.GetTextActor ()| -  Get the text actor used by the caption. This is useful if you want to control
// justification and other characteristics of the text actor.
//// \item @|obj.SetCaptionTextProperty (vtkTextProperty p)| -  Set/Get the text property.
//// \item @|vtkTextProperty = obj.GetCaptionTextProperty ()| -  Set/Get the text property.
//// \item @|obj.ShallowCopy (vtkProp prop)| -  Shallow copy of this scaled text actor. Overloads the virtual
// vtkProp method.
//// \item @|obj.SetAttachEdgeOnly (int )| -  Enable/disable whether to attach the arrow only to the edge, 
// NOT the vertices of the caption border.
//// \item @|int = obj.GetAttachEdgeOnly ()| -  Enable/disable whether to attach the arrow only to the edge, 
// NOT the vertices of the caption border.
//// \item @|obj.AttachEdgeOnlyOn ()| -  Enable/disable whether to attach the arrow only to the edge, 
// NOT the vertices of the caption border.
//// \item @|obj.AttachEdgeOnlyOff ()| -  Enable/disable whether to attach the arrow only to the edge, 
// NOT the vertices of the caption border.
////\end{itemize}
//!
