#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCornerAnnotation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCornerAnnotation.h"

//@@Signature
//sfunction @vtkCornerAnnotation:vtkCornerAnnotation vtkCornerAnnotationConstructorFunction
//input a
//output p
//@@Parents vtkCornerAnnotation vtkActor2D 
ArrayVector vtkCornerAnnotationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCornerAnnotation::New(),"vtkCornerAnnotation",eval);
  } else if (arg[0].className() == "vtkCornerAnnotation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCornerAnnotation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCornerAnnotation");
    vtkCornerAnnotation*q = reinterpret_cast<vtkCornerAnnotation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCornerAnnotation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCornerAnnotation:GetClassName vtkCornerAnnotationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCornerAnnotationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCornerAnnotation requires 1 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:IsA vtkCornerAnnotationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCornerAnnotationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCornerAnnotation requires 2 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:NewInstance vtkCornerAnnotationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCornerAnnotationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCornerAnnotation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCornerAnnotation requires 1 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  vtkCornerAnnotation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCornerAnnotation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:SafeDownCast vtkCornerAnnotationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCornerAnnotationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCornerAnnotation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCornerAnnotation requires 2 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCornerAnnotation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCornerAnnotation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:RenderOpaqueGeometry vtkCornerAnnotationRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkCornerAnnotationRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RenderOpaqueGeometry (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkCornerAnnotation requires 2 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:RenderTranslucentPolygonalGeometry vtkCornerAnnotationRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkCornerAnnotationRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *);return  */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkCornerAnnotation requires 2 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:RenderOverlay vtkCornerAnnotationRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkCornerAnnotationRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RenderOverlay (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkCornerAnnotation requires 2 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:HasTranslucentPolygonalGeometry vtkCornerAnnotationHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkCornerAnnotationHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkCornerAnnotation requires 1 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:SetMaximumLineHeight vtkCornerAnnotationSetMaximumLineHeightFunction
//input a0 a1 
//output none
ArrayVector vtkCornerAnnotationSetMaximumLineHeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumLineHeight (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumLineHeight for class vtkCornerAnnotation requires 2 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximumLineHeight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:GetMaximumLineHeight vtkCornerAnnotationGetMaximumLineHeightFunction
//input a0 
//output y
ArrayVector vtkCornerAnnotationGetMaximumLineHeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumLineHeight (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumLineHeight for class vtkCornerAnnotation requires 1 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumLineHeight();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:SetMinimumFontSize vtkCornerAnnotationSetMinimumFontSizeFunction
//input a0 a1 
//output none
ArrayVector vtkCornerAnnotationSetMinimumFontSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimumFontSize (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinimumFontSize for class vtkCornerAnnotation requires 2 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMinimumFontSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:GetMinimumFontSize vtkCornerAnnotationGetMinimumFontSizeFunction
//input a0 
//output y
ArrayVector vtkCornerAnnotationGetMinimumFontSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMinimumFontSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumFontSize for class vtkCornerAnnotation requires 1 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMinimumFontSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:SetMaximumFontSize vtkCornerAnnotationSetMaximumFontSizeFunction
//input a0 a1 
//output none
ArrayVector vtkCornerAnnotationSetMaximumFontSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumFontSize (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumFontSize for class vtkCornerAnnotation requires 2 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximumFontSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:GetMaximumFontSize vtkCornerAnnotationGetMaximumFontSizeFunction
//input a0 
//output y
ArrayVector vtkCornerAnnotationGetMaximumFontSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumFontSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumFontSize for class vtkCornerAnnotation requires 1 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumFontSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:SetLinearFontScaleFactor vtkCornerAnnotationSetLinearFontScaleFactorFunction
//input a0 a1 
//output none
ArrayVector vtkCornerAnnotationSetLinearFontScaleFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLinearFontScaleFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLinearFontScaleFactor for class vtkCornerAnnotation requires 2 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLinearFontScaleFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:GetLinearFontScaleFactor vtkCornerAnnotationGetLinearFontScaleFactorFunction
//input a0 
//output y
ArrayVector vtkCornerAnnotationGetLinearFontScaleFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLinearFontScaleFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLinearFontScaleFactor for class vtkCornerAnnotation requires 1 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLinearFontScaleFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:SetNonlinearFontScaleFactor vtkCornerAnnotationSetNonlinearFontScaleFactorFunction
//input a0 a1 
//output none
ArrayVector vtkCornerAnnotationSetNonlinearFontScaleFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNonlinearFontScaleFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNonlinearFontScaleFactor for class vtkCornerAnnotation requires 2 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetNonlinearFontScaleFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:GetNonlinearFontScaleFactor vtkCornerAnnotationGetNonlinearFontScaleFactorFunction
//input a0 
//output y
ArrayVector vtkCornerAnnotationGetNonlinearFontScaleFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetNonlinearFontScaleFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNonlinearFontScaleFactor for class vtkCornerAnnotation requires 1 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetNonlinearFontScaleFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:ReleaseGraphicsResources vtkCornerAnnotationReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkCornerAnnotationReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkCornerAnnotation requires 2 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:SetText vtkCornerAnnotationSetTextFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCornerAnnotationSetTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetText (int i, const char *text); */
  if (arg.size() < 3) 
    throw Exception("Function SetText for class vtkCornerAnnotation requires 3 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->SetText(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:GetText vtkCornerAnnotationGetTextFunction
//input a0 a1 
//output y
ArrayVector vtkCornerAnnotationGetTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetText (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetText for class vtkCornerAnnotation requires 2 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetText(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:ClearAllTexts vtkCornerAnnotationClearAllTextsFunction
//input a0 
//output none
ArrayVector vtkCornerAnnotationClearAllTextsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClearAllTexts (); */
  if (arg.size() < 1) 
    throw Exception("Function ClearAllTexts for class vtkCornerAnnotation requires 1 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  vtk_pointer->ClearAllTexts();
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:CopyAllTextsFrom vtkCornerAnnotationCopyAllTextsFromFunction
//input a0 a1 
//output none
ArrayVector vtkCornerAnnotationCopyAllTextsFromFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyAllTextsFrom (vtkCornerAnnotation *ca); */
  if (arg.size() < 2) 
    throw Exception("Function CopyAllTextsFrom for class vtkCornerAnnotation requires 2 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  vtkCornerAnnotation  *temp0;
  temp0 = GetVTKPointer<vtkCornerAnnotation>(arg[1]);
  vtk_pointer->CopyAllTextsFrom(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:SetImageActor vtkCornerAnnotationSetImageActorFunction
//input a0 a1 
//output none
ArrayVector vtkCornerAnnotationSetImageActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImageActor (vtkImageActor *); */
  if (arg.size() < 2) 
    throw Exception("Function SetImageActor for class vtkCornerAnnotation requires 2 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  vtkImageActor  *temp0;
  temp0 = GetVTKPointer<vtkImageActor>(arg[1]);
  vtk_pointer->SetImageActor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:GetImageActor vtkCornerAnnotationGetImageActorFunction
//input a0 
//output y
ArrayVector vtkCornerAnnotationGetImageActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageActor *GetImageActor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageActor for class vtkCornerAnnotation requires 1 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  vtkImageActor  *temp20;
  temp20 = (vtk_pointer)->GetImageActor();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:SetWindowLevel vtkCornerAnnotationSetWindowLevelFunction
//input a0 a1 
//output none
ArrayVector vtkCornerAnnotationSetWindowLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWindowLevel (vtkImageMapToWindowLevelColors *); */
  if (arg.size() < 2) 
    throw Exception("Function SetWindowLevel for class vtkCornerAnnotation requires 2 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  vtkImageMapToWindowLevelColors  *temp0;
  temp0 = GetVTKPointer<vtkImageMapToWindowLevelColors>(arg[1]);
  vtk_pointer->SetWindowLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:GetWindowLevel vtkCornerAnnotationGetWindowLevelFunction
//input a0 
//output y
ArrayVector vtkCornerAnnotationGetWindowLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageMapToWindowLevelColors *GetWindowLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWindowLevel for class vtkCornerAnnotation requires 1 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  vtkImageMapToWindowLevelColors  *temp20;
  temp20 = (vtk_pointer)->GetWindowLevel();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageMapToWindowLevelColors",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:SetLevelShift vtkCornerAnnotationSetLevelShiftFunction
//input a0 a1 
//output none
ArrayVector vtkCornerAnnotationSetLevelShiftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLevelShift (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLevelShift for class vtkCornerAnnotation requires 2 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLevelShift(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:GetLevelShift vtkCornerAnnotationGetLevelShiftFunction
//input a0 
//output y
ArrayVector vtkCornerAnnotationGetLevelShiftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLevelShift (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLevelShift for class vtkCornerAnnotation requires 1 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLevelShift();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:SetLevelScale vtkCornerAnnotationSetLevelScaleFunction
//input a0 a1 
//output none
ArrayVector vtkCornerAnnotationSetLevelScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLevelScale (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLevelScale for class vtkCornerAnnotation requires 2 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLevelScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:GetLevelScale vtkCornerAnnotationGetLevelScaleFunction
//input a0 
//output y
ArrayVector vtkCornerAnnotationGetLevelScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLevelScale (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLevelScale for class vtkCornerAnnotation requires 1 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLevelScale();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:SetTextProperty vtkCornerAnnotationSetTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkCornerAnnotationSetTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTextProperty (vtkTextProperty *p); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextProperty for class vtkCornerAnnotation requires 2 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:GetTextProperty vtkCornerAnnotationGetTextPropertyFunction
//input a0 
//output y
ArrayVector vtkCornerAnnotationGetTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextProperty for class vtkCornerAnnotation requires 1 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:ShowSliceAndImageOn vtkCornerAnnotationShowSliceAndImageOnFunction
//input a0 
//output none
ArrayVector vtkCornerAnnotationShowSliceAndImageOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShowSliceAndImageOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ShowSliceAndImageOn for class vtkCornerAnnotation requires 1 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  vtk_pointer->ShowSliceAndImageOn();
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:ShowSliceAndImageOff vtkCornerAnnotationShowSliceAndImageOffFunction
//input a0 
//output none
ArrayVector vtkCornerAnnotationShowSliceAndImageOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShowSliceAndImageOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ShowSliceAndImageOff for class vtkCornerAnnotation requires 1 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  vtk_pointer->ShowSliceAndImageOff();
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:SetShowSliceAndImage vtkCornerAnnotationSetShowSliceAndImageFunction
//input a0 a1 
//output none
ArrayVector vtkCornerAnnotationSetShowSliceAndImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShowSliceAndImage (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetShowSliceAndImage for class vtkCornerAnnotation requires 2 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetShowSliceAndImage(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:GetShowSliceAndImage vtkCornerAnnotationGetShowSliceAndImageFunction
//input a0 
//output y
ArrayVector vtkCornerAnnotationGetShowSliceAndImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShowSliceAndImage (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShowSliceAndImage for class vtkCornerAnnotation requires 1 argument(s)");
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetShowSliceAndImage();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCornerAnnotation:display vtkCornerAnnotationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCornerAnnotationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCornerAnnotation* vtk_pointer = GetVTKPointer<vtkCornerAnnotation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCornerAnnotation:delete vtkCornerAnnotationDeleteFunction
//input varargin
//output none
ArrayVector vtkCornerAnnotationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCornerAnnotation
//@@Section VTKHybrid
//@@Usage
// This is an annotation object that manages four text actors / mappers
// to provide annotation in the four corners of a viewport
//
//
//To create an instance of class vtkCornerAnnotation, simply
//invoke its constructor as follows
//@[
//  obj = vtkCornerAnnotation
//@]
//@@Methods
//The class vtkCornerAnnotation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCornerAnnotation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCornerAnnotation = obj.NewInstance ()|
// \item @|vtkCornerAnnotation = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.RenderOpaqueGeometry (vtkViewport viewport)| -  Draw the scalar bar and annotation text to the screen.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport )| -  Draw the scalar bar and annotation text to the screen.
//// \item @|int = obj.RenderOverlay (vtkViewport viewport)| -  Draw the scalar bar and annotation text to the screen.
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  Does this prop have some translucent polygonal geometry?
//// \item @|obj.SetMaximumLineHeight (double )| -  Set/Get the maximum height of a line of text as a 
// percentage of the vertical area allocated to this
// scaled text actor. Defaults to 1.0
//// \item @|double = obj.GetMaximumLineHeight ()| -  Set/Get the maximum height of a line of text as a 
// percentage of the vertical area allocated to this
// scaled text actor. Defaults to 1.0
//// \item @|obj.SetMinimumFontSize (int )| -  Set/Get the minimum/maximum size font that will be shown.
// If the font drops below the minimum size it will not be rendered.
//// \item @|int = obj.GetMinimumFontSize ()| -  Set/Get the minimum/maximum size font that will be shown.
// If the font drops below the minimum size it will not be rendered.
//// \item @|obj.SetMaximumFontSize (int )| -  Set/Get the minimum/maximum size font that will be shown.
// If the font drops below the minimum size it will not be rendered.
//// \item @|int = obj.GetMaximumFontSize ()| -  Set/Get the minimum/maximum size font that will be shown.
// If the font drops below the minimum size it will not be rendered.
//// \item @|obj.SetLinearFontScaleFactor (double )| -  Set/Get font scaling factors
// The font size, f, is calculated as the largest possible value
// such that the annotations for the given viewport do not overlap. 
// This font size is scaled non-linearly with the viewport size,
// to maintain an acceptable readable size at larger viewport sizes, 
// without being too big.
// f' = linearScale * pow(f,nonlinearScale)
//// \item @|double = obj.GetLinearFontScaleFactor ()| -  Set/Get font scaling factors
// The font size, f, is calculated as the largest possible value
// such that the annotations for the given viewport do not overlap. 
// This font size is scaled non-linearly with the viewport size,
// to maintain an acceptable readable size at larger viewport sizes, 
// without being too big.
// f' = linearScale * pow(f,nonlinearScale)
//// \item @|obj.SetNonlinearFontScaleFactor (double )| -  Set/Get font scaling factors
// The font size, f, is calculated as the largest possible value
// such that the annotations for the given viewport do not overlap. 
// This font size is scaled non-linearly with the viewport size,
// to maintain an acceptable readable size at larger viewport sizes, 
// without being too big.
// f' = linearScale * pow(f,nonlinearScale)
//// \item @|double = obj.GetNonlinearFontScaleFactor ()| -  Set/Get font scaling factors
// The font size, f, is calculated as the largest possible value
// such that the annotations for the given viewport do not overlap. 
// This font size is scaled non-linearly with the viewport size,
// to maintain an acceptable readable size at larger viewport sizes, 
// without being too big.
// f' = linearScale * pow(f,nonlinearScale)
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this actor.
// The parameter window could be used to determine which graphic
// resources to release.
//// \item @|obj.SetText (int i, string text)| -  Set/Get the text to be displayed for each corner
//// \item @|string = obj.GetText (int i)| -  Set/Get the text to be displayed for each corner
//// \item @|obj.ClearAllTexts ()| -  Set/Get the text to be displayed for each corner
//// \item @|obj.CopyAllTextsFrom (vtkCornerAnnotation ca)| -  Set/Get the text to be displayed for each corner
//// \item @|obj.SetImageActor (vtkImageActor )| -  Set an image actor to look at for slice information
//// \item @|vtkImageActor = obj.GetImageActor ()| -  Set an image actor to look at for slice information
//// \item @|obj.SetWindowLevel (vtkImageMapToWindowLevelColors )| -  Set an instance of vtkImageMapToWindowLevelColors to use for
// looking at window level changes
//// \item @|vtkImageMapToWindowLevelColors = obj.GetWindowLevel ()| -  Set an instance of vtkImageMapToWindowLevelColors to use for
// looking at window level changes
//// \item @|obj.SetLevelShift (double )| -  Set the value to shift the level by.
//// \item @|double = obj.GetLevelShift ()| -  Set the value to shift the level by.
//// \item @|obj.SetLevelScale (double )| -  Set the value to scale the level by.
//// \item @|double = obj.GetLevelScale ()| -  Set the value to scale the level by.
//// \item @|obj.SetTextProperty (vtkTextProperty p)| -  Set/Get the text property of all corners.
//// \item @|vtkTextProperty = obj.GetTextProperty ()| -  Set/Get the text property of all corners.
//// \item @|obj.ShowSliceAndImageOn ()| -  Even if there is an image actor, should `slice' and `image' be displayed?
//// \item @|obj.ShowSliceAndImageOff ()| -  Even if there is an image actor, should `slice' and `image' be displayed?
//// \item @|obj.SetShowSliceAndImage (int )| -  Even if there is an image actor, should `slice' and `image' be displayed?
//// \item @|int = obj.GetShowSliceAndImage ()| -  Even if there is an image actor, should `slice' and `image' be displayed?
////\end{itemize}
//!
