#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCubeAxesActor object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCubeAxesActor.h"

//@@Signature
//sfunction @vtkCubeAxesActor:vtkCubeAxesActor vtkCubeAxesActorConstructorFunction
//input a
//output p
//@@Parents vtkCubeAxesActor vtkActor 
ArrayVector vtkCubeAxesActorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCubeAxesActor::New(),"vtkCubeAxesActor",eval);
  } else if (arg[0].className() == "vtkCubeAxesActor") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCubeAxesActor"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCubeAxesActor");
    vtkCubeAxesActor*q = reinterpret_cast<vtkCubeAxesActor*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCubeAxesActor");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCubeAxesActor:GetClassName vtkCubeAxesActorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:IsA vtkCubeAxesActorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCubeAxesActorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:NewInstance vtkCubeAxesActorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCubeAxesActor *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtkCubeAxesActor  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCubeAxesActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SafeDownCast vtkCubeAxesActorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCubeAxesActorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCubeAxesActor *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCubeAxesActor  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCubeAxesActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:RenderOpaqueGeometry vtkCubeAxesActorRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkCubeAxesActorRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:RenderTranslucentGeometry vtkCubeAxesActorRenderTranslucentGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkCubeAxesActorRenderTranslucentGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentGeometry (vtkViewport *);return  */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentGeometry for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetBounds__1 vtkCubeAxesActorSetBounds__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkCubeAxesActorSetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBounds (double , double , double , double , double , double ); */
  if (arg.size() < 7) 
    throw Exception("Function SetBounds__1 for class vtkCubeAxesActor requires 7 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetBounds__2 vtkCubeAxesActorSetBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorSetBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBounds (double  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetBounds__2 for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetBounds__1 vtkCubeAxesActorGetBounds__1Function
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBounds__1 for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetBounds__3 vtkCubeAxesActorGetBounds__3Function
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorGetBounds__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetBounds (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function GetBounds__3 for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetCamera vtkCubeAxesActorSetCameraFunction
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorSetCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCamera (vtkCamera *); */
  if (arg.size() < 2) 
    throw Exception("Function SetCamera for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtkCamera  *temp0;
  temp0 = GetVTKPointer<vtkCamera>(arg[1]);
  vtk_pointer->SetCamera(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetCamera vtkCubeAxesActorGetCameraFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCamera *GetCamera (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCamera for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtkCamera  *temp20;
  temp20 = (vtk_pointer)->GetCamera();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCamera",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetFlyMode vtkCubeAxesActorSetFlyModeFunction
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorSetFlyModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFlyMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFlyMode for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFlyMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetFlyModeMinValue vtkCubeAxesActorGetFlyModeMinValueFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetFlyModeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFlyModeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFlyModeMinValue for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFlyModeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetFlyModeMaxValue vtkCubeAxesActorGetFlyModeMaxValueFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetFlyModeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFlyModeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFlyModeMaxValue for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFlyModeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetFlyMode vtkCubeAxesActorGetFlyModeFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetFlyModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFlyMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFlyMode for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFlyMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetFlyModeToOuterEdges vtkCubeAxesActorSetFlyModeToOuterEdgesFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorSetFlyModeToOuterEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFlyModeToOuterEdges ();this SetFlyMode VTK_FLY_OUTER_EDGES  */
  if (arg.size() < 1) 
    throw Exception("Function SetFlyModeToOuterEdges for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->SetFlyModeToOuterEdges();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetFlyModeToClosestTriad vtkCubeAxesActorSetFlyModeToClosestTriadFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorSetFlyModeToClosestTriadFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFlyModeToClosestTriad ();this SetFlyMode VTK_FLY_CLOSEST_TRIAD  */
  if (arg.size() < 1) 
    throw Exception("Function SetFlyModeToClosestTriad for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->SetFlyModeToClosestTriad();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetFlyModeToFurthestTriad vtkCubeAxesActorSetFlyModeToFurthestTriadFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorSetFlyModeToFurthestTriadFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFlyModeToFurthestTriad ();this SetFlyMode VTK_FLY_FURTHEST_TRIAD  */
  if (arg.size() < 1) 
    throw Exception("Function SetFlyModeToFurthestTriad for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->SetFlyModeToFurthestTriad();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetFlyModeToStaticTriad vtkCubeAxesActorSetFlyModeToStaticTriadFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorSetFlyModeToStaticTriadFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFlyModeToStaticTriad ();this SetFlyMode VTK_FLY_STATIC_TRIAD  */
  if (arg.size() < 1) 
    throw Exception("Function SetFlyModeToStaticTriad for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->SetFlyModeToStaticTriad();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetFlyModeToStaticEdges vtkCubeAxesActorSetFlyModeToStaticEdgesFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorSetFlyModeToStaticEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFlyModeToStaticEdges ();this SetFlyMode VTK_FLY_STATIC_EDGES  */
  if (arg.size() < 1) 
    throw Exception("Function SetFlyModeToStaticEdges for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->SetFlyModeToStaticEdges();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetXTitle vtkCubeAxesActorSetXTitleFunction
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorSetXTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXTitle (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetXTitle for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetXTitle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetXTitle vtkCubeAxesActorGetXTitleFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetXTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetXTitle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXTitle for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetXTitle();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetXUnits vtkCubeAxesActorSetXUnitsFunction
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorSetXUnitsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXUnits (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetXUnits for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetXUnits(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetXUnits vtkCubeAxesActorGetXUnitsFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetXUnitsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetXUnits (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXUnits for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetXUnits();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetYTitle vtkCubeAxesActorSetYTitleFunction
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorSetYTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYTitle (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetYTitle for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetYTitle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetYTitle vtkCubeAxesActorGetYTitleFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetYTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetYTitle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYTitle for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetYTitle();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetYUnits vtkCubeAxesActorSetYUnitsFunction
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorSetYUnitsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYUnits (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetYUnits for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetYUnits(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetYUnits vtkCubeAxesActorGetYUnitsFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetYUnitsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetYUnits (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYUnits for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetYUnits();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetZTitle vtkCubeAxesActorSetZTitleFunction
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorSetZTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZTitle (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetZTitle for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetZTitle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetZTitle vtkCubeAxesActorGetZTitleFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetZTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetZTitle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZTitle for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetZTitle();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetZUnits vtkCubeAxesActorSetZUnitsFunction
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorSetZUnitsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZUnits (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetZUnits for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetZUnits(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetZUnits vtkCubeAxesActorGetZUnitsFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetZUnitsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetZUnits (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZUnits for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetZUnits();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetXLabelFormat vtkCubeAxesActorSetXLabelFormatFunction
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorSetXLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXLabelFormat (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetXLabelFormat for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetXLabelFormat(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetXLabelFormat vtkCubeAxesActorGetXLabelFormatFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetXLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetXLabelFormat (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXLabelFormat for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetXLabelFormat();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetYLabelFormat vtkCubeAxesActorSetYLabelFormatFunction
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorSetYLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYLabelFormat (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetYLabelFormat for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetYLabelFormat(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetYLabelFormat vtkCubeAxesActorGetYLabelFormatFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetYLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetYLabelFormat (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYLabelFormat for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetYLabelFormat();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetZLabelFormat vtkCubeAxesActorSetZLabelFormatFunction
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorSetZLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZLabelFormat (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetZLabelFormat for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetZLabelFormat(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetZLabelFormat vtkCubeAxesActorGetZLabelFormatFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetZLabelFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetZLabelFormat (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZLabelFormat for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetZLabelFormat();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetInertia vtkCubeAxesActorSetInertiaFunction
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorSetInertiaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInertia (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInertia for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInertia(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetInertiaMinValue vtkCubeAxesActorGetInertiaMinValueFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetInertiaMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInertiaMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInertiaMinValue for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInertiaMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetInertiaMaxValue vtkCubeAxesActorGetInertiaMaxValueFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetInertiaMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInertiaMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInertiaMaxValue for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInertiaMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetInertia vtkCubeAxesActorGetInertiaFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetInertiaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInertia (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInertia for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInertia();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetCornerOffset vtkCubeAxesActorSetCornerOffsetFunction
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorSetCornerOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCornerOffset (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCornerOffset for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCornerOffset(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetCornerOffset vtkCubeAxesActorGetCornerOffsetFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetCornerOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCornerOffset (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCornerOffset for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCornerOffset();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:ReleaseGraphicsResources vtkCubeAxesActorReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetXAxisVisibility vtkCubeAxesActorSetXAxisVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorSetXAxisVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXAxisVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetXAxisVisibility for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetXAxisVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetXAxisVisibility vtkCubeAxesActorGetXAxisVisibilityFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetXAxisVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetXAxisVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXAxisVisibility for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetXAxisVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:XAxisVisibilityOn vtkCubeAxesActorXAxisVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorXAxisVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void XAxisVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function XAxisVisibilityOn for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->XAxisVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:XAxisVisibilityOff vtkCubeAxesActorXAxisVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorXAxisVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void XAxisVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function XAxisVisibilityOff for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->XAxisVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetYAxisVisibility vtkCubeAxesActorSetYAxisVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorSetYAxisVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYAxisVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetYAxisVisibility for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetYAxisVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetYAxisVisibility vtkCubeAxesActorGetYAxisVisibilityFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetYAxisVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetYAxisVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYAxisVisibility for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetYAxisVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:YAxisVisibilityOn vtkCubeAxesActorYAxisVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorYAxisVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void YAxisVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function YAxisVisibilityOn for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->YAxisVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:YAxisVisibilityOff vtkCubeAxesActorYAxisVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorYAxisVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void YAxisVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function YAxisVisibilityOff for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->YAxisVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetZAxisVisibility vtkCubeAxesActorSetZAxisVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorSetZAxisVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZAxisVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetZAxisVisibility for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetZAxisVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetZAxisVisibility vtkCubeAxesActorGetZAxisVisibilityFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetZAxisVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetZAxisVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZAxisVisibility for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetZAxisVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:ZAxisVisibilityOn vtkCubeAxesActorZAxisVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorZAxisVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ZAxisVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ZAxisVisibilityOn for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->ZAxisVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:ZAxisVisibilityOff vtkCubeAxesActorZAxisVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorZAxisVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ZAxisVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ZAxisVisibilityOff for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->ZAxisVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetXAxisLabelVisibility vtkCubeAxesActorSetXAxisLabelVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorSetXAxisLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXAxisLabelVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetXAxisLabelVisibility for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetXAxisLabelVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetXAxisLabelVisibility vtkCubeAxesActorGetXAxisLabelVisibilityFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetXAxisLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetXAxisLabelVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXAxisLabelVisibility for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetXAxisLabelVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:XAxisLabelVisibilityOn vtkCubeAxesActorXAxisLabelVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorXAxisLabelVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void XAxisLabelVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function XAxisLabelVisibilityOn for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->XAxisLabelVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:XAxisLabelVisibilityOff vtkCubeAxesActorXAxisLabelVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorXAxisLabelVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void XAxisLabelVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function XAxisLabelVisibilityOff for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->XAxisLabelVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetYAxisLabelVisibility vtkCubeAxesActorSetYAxisLabelVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorSetYAxisLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYAxisLabelVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetYAxisLabelVisibility for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetYAxisLabelVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetYAxisLabelVisibility vtkCubeAxesActorGetYAxisLabelVisibilityFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetYAxisLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetYAxisLabelVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYAxisLabelVisibility for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetYAxisLabelVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:YAxisLabelVisibilityOn vtkCubeAxesActorYAxisLabelVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorYAxisLabelVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void YAxisLabelVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function YAxisLabelVisibilityOn for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->YAxisLabelVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:YAxisLabelVisibilityOff vtkCubeAxesActorYAxisLabelVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorYAxisLabelVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void YAxisLabelVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function YAxisLabelVisibilityOff for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->YAxisLabelVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetZAxisLabelVisibility vtkCubeAxesActorSetZAxisLabelVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorSetZAxisLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZAxisLabelVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetZAxisLabelVisibility for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetZAxisLabelVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetZAxisLabelVisibility vtkCubeAxesActorGetZAxisLabelVisibilityFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetZAxisLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetZAxisLabelVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZAxisLabelVisibility for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetZAxisLabelVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:ZAxisLabelVisibilityOn vtkCubeAxesActorZAxisLabelVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorZAxisLabelVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ZAxisLabelVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ZAxisLabelVisibilityOn for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->ZAxisLabelVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:ZAxisLabelVisibilityOff vtkCubeAxesActorZAxisLabelVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorZAxisLabelVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ZAxisLabelVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ZAxisLabelVisibilityOff for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->ZAxisLabelVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetXAxisTickVisibility vtkCubeAxesActorSetXAxisTickVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorSetXAxisTickVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXAxisTickVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetXAxisTickVisibility for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetXAxisTickVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetXAxisTickVisibility vtkCubeAxesActorGetXAxisTickVisibilityFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetXAxisTickVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetXAxisTickVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXAxisTickVisibility for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetXAxisTickVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:XAxisTickVisibilityOn vtkCubeAxesActorXAxisTickVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorXAxisTickVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void XAxisTickVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function XAxisTickVisibilityOn for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->XAxisTickVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:XAxisTickVisibilityOff vtkCubeAxesActorXAxisTickVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorXAxisTickVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void XAxisTickVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function XAxisTickVisibilityOff for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->XAxisTickVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetYAxisTickVisibility vtkCubeAxesActorSetYAxisTickVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorSetYAxisTickVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYAxisTickVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetYAxisTickVisibility for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetYAxisTickVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetYAxisTickVisibility vtkCubeAxesActorGetYAxisTickVisibilityFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetYAxisTickVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetYAxisTickVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYAxisTickVisibility for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetYAxisTickVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:YAxisTickVisibilityOn vtkCubeAxesActorYAxisTickVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorYAxisTickVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void YAxisTickVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function YAxisTickVisibilityOn for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->YAxisTickVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:YAxisTickVisibilityOff vtkCubeAxesActorYAxisTickVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorYAxisTickVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void YAxisTickVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function YAxisTickVisibilityOff for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->YAxisTickVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetZAxisTickVisibility vtkCubeAxesActorSetZAxisTickVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorSetZAxisTickVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZAxisTickVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetZAxisTickVisibility for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetZAxisTickVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetZAxisTickVisibility vtkCubeAxesActorGetZAxisTickVisibilityFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetZAxisTickVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetZAxisTickVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZAxisTickVisibility for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetZAxisTickVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:ZAxisTickVisibilityOn vtkCubeAxesActorZAxisTickVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorZAxisTickVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ZAxisTickVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ZAxisTickVisibilityOn for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->ZAxisTickVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:ZAxisTickVisibilityOff vtkCubeAxesActorZAxisTickVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorZAxisTickVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ZAxisTickVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ZAxisTickVisibilityOff for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->ZAxisTickVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetXAxisMinorTickVisibility vtkCubeAxesActorSetXAxisMinorTickVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorSetXAxisMinorTickVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXAxisMinorTickVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetXAxisMinorTickVisibility for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetXAxisMinorTickVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetXAxisMinorTickVisibility vtkCubeAxesActorGetXAxisMinorTickVisibilityFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetXAxisMinorTickVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetXAxisMinorTickVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXAxisMinorTickVisibility for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetXAxisMinorTickVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:XAxisMinorTickVisibilityOn vtkCubeAxesActorXAxisMinorTickVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorXAxisMinorTickVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void XAxisMinorTickVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function XAxisMinorTickVisibilityOn for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->XAxisMinorTickVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:XAxisMinorTickVisibilityOff vtkCubeAxesActorXAxisMinorTickVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorXAxisMinorTickVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void XAxisMinorTickVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function XAxisMinorTickVisibilityOff for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->XAxisMinorTickVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetYAxisMinorTickVisibility vtkCubeAxesActorSetYAxisMinorTickVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorSetYAxisMinorTickVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYAxisMinorTickVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetYAxisMinorTickVisibility for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetYAxisMinorTickVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetYAxisMinorTickVisibility vtkCubeAxesActorGetYAxisMinorTickVisibilityFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetYAxisMinorTickVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetYAxisMinorTickVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYAxisMinorTickVisibility for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetYAxisMinorTickVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:YAxisMinorTickVisibilityOn vtkCubeAxesActorYAxisMinorTickVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorYAxisMinorTickVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void YAxisMinorTickVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function YAxisMinorTickVisibilityOn for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->YAxisMinorTickVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:YAxisMinorTickVisibilityOff vtkCubeAxesActorYAxisMinorTickVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorYAxisMinorTickVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void YAxisMinorTickVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function YAxisMinorTickVisibilityOff for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->YAxisMinorTickVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetZAxisMinorTickVisibility vtkCubeAxesActorSetZAxisMinorTickVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorSetZAxisMinorTickVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZAxisMinorTickVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetZAxisMinorTickVisibility for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetZAxisMinorTickVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetZAxisMinorTickVisibility vtkCubeAxesActorGetZAxisMinorTickVisibilityFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetZAxisMinorTickVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetZAxisMinorTickVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZAxisMinorTickVisibility for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetZAxisMinorTickVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:ZAxisMinorTickVisibilityOn vtkCubeAxesActorZAxisMinorTickVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorZAxisMinorTickVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ZAxisMinorTickVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ZAxisMinorTickVisibilityOn for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->ZAxisMinorTickVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:ZAxisMinorTickVisibilityOff vtkCubeAxesActorZAxisMinorTickVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorZAxisMinorTickVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ZAxisMinorTickVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ZAxisMinorTickVisibilityOff for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->ZAxisMinorTickVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetDrawXGridlines vtkCubeAxesActorSetDrawXGridlinesFunction
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorSetDrawXGridlinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDrawXGridlines (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDrawXGridlines for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDrawXGridlines(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetDrawXGridlines vtkCubeAxesActorGetDrawXGridlinesFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetDrawXGridlinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDrawXGridlines (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDrawXGridlines for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDrawXGridlines();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:DrawXGridlinesOn vtkCubeAxesActorDrawXGridlinesOnFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorDrawXGridlinesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DrawXGridlinesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DrawXGridlinesOn for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->DrawXGridlinesOn();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:DrawXGridlinesOff vtkCubeAxesActorDrawXGridlinesOffFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorDrawXGridlinesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DrawXGridlinesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DrawXGridlinesOff for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->DrawXGridlinesOff();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetDrawYGridlines vtkCubeAxesActorSetDrawYGridlinesFunction
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorSetDrawYGridlinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDrawYGridlines (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDrawYGridlines for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDrawYGridlines(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetDrawYGridlines vtkCubeAxesActorGetDrawYGridlinesFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetDrawYGridlinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDrawYGridlines (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDrawYGridlines for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDrawYGridlines();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:DrawYGridlinesOn vtkCubeAxesActorDrawYGridlinesOnFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorDrawYGridlinesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DrawYGridlinesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DrawYGridlinesOn for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->DrawYGridlinesOn();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:DrawYGridlinesOff vtkCubeAxesActorDrawYGridlinesOffFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorDrawYGridlinesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DrawYGridlinesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DrawYGridlinesOff for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->DrawYGridlinesOff();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetDrawZGridlines vtkCubeAxesActorSetDrawZGridlinesFunction
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorSetDrawZGridlinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDrawZGridlines (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDrawZGridlines for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDrawZGridlines(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetDrawZGridlines vtkCubeAxesActorGetDrawZGridlinesFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetDrawZGridlinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDrawZGridlines (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDrawZGridlines for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDrawZGridlines();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:DrawZGridlinesOn vtkCubeAxesActorDrawZGridlinesOnFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorDrawZGridlinesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DrawZGridlinesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DrawZGridlinesOn for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->DrawZGridlinesOn();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:DrawZGridlinesOff vtkCubeAxesActorDrawZGridlinesOffFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorDrawZGridlinesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DrawZGridlinesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DrawZGridlinesOff for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->DrawZGridlinesOff();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetTickLocation vtkCubeAxesActorSetTickLocationFunction
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorSetTickLocationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTickLocation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTickLocation for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTickLocation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetTickLocationMinValue vtkCubeAxesActorGetTickLocationMinValueFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetTickLocationMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTickLocationMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTickLocationMinValue for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTickLocationMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetTickLocationMaxValue vtkCubeAxesActorGetTickLocationMaxValueFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetTickLocationMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTickLocationMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTickLocationMaxValue for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTickLocationMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetTickLocation vtkCubeAxesActorGetTickLocationFunction
//input a0 
//output y
ArrayVector vtkCubeAxesActorGetTickLocationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTickLocation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTickLocation for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTickLocation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetTickLocationToInside vtkCubeAxesActorSetTickLocationToInsideFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorSetTickLocationToInsideFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTickLocationToInside (void );this SetTickLocation VTK_TICKS_INSIDE  */
  if (arg.size() < 1) 
    throw Exception("Function SetTickLocationToInside for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->SetTickLocationToInside();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetTickLocationToOutside vtkCubeAxesActorSetTickLocationToOutsideFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorSetTickLocationToOutsideFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTickLocationToOutside (void );this SetTickLocation VTK_TICKS_OUTSIDE  */
  if (arg.size() < 1) 
    throw Exception("Function SetTickLocationToOutside for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->SetTickLocationToOutside();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetTickLocationToBoth vtkCubeAxesActorSetTickLocationToBothFunction
//input a0 
//output none
ArrayVector vtkCubeAxesActorSetTickLocationToBothFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTickLocationToBoth (void );this SetTickLocation VTK_TICKS_BOTH  */
  if (arg.size() < 1) 
    throw Exception("Function SetTickLocationToBoth for class vtkCubeAxesActor requires 1 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtk_pointer->SetTickLocationToBoth();
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetLabelScaling vtkCubeAxesActorSetLabelScalingFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkCubeAxesActorSetLabelScalingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelScaling (bool , int , int , int ); */
  if (arg.size() < 5) 
    throw Exception("Function SetLabelScaling for class vtkCubeAxesActor requires 5 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  bool   temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->SetLabelScaling(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:ShallowCopy__1 vtkCubeAxesActorShallowCopy__1Function
//input a0 a1 
//output none
ArrayVector vtkCubeAxesActorShallowCopy__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkCubeAxesActor *actor); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy__1 for class vtkCubeAxesActor requires 2 argument(s)");
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  Array retval;
  vtkCubeAxesActor  *temp0;
  temp0 = GetVTKPointer<vtkCubeAxesActor>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCubeAxesActor:SetBounds vtkCubeAxesActorSetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkCubeAxesActorSetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkCubeAxesActorSetBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkCubeAxesActorSetBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCubeAxesActorSetBounds");
}

//@@Signature
//sfunction @vtkCubeAxesActor:GetBounds vtkCubeAxesActorGetBoundsFunction
//input varargin
//output varargout
ArrayVector vtkCubeAxesActorGetBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkCubeAxesActorGetBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkCubeAxesActorGetBounds__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCubeAxesActorGetBounds");
}

//@@Signature
//sfunction @vtkCubeAxesActor:ShallowCopy vtkCubeAxesActorShallowCopyFunction
//input varargin
//output varargout
ArrayVector vtkCubeAxesActorShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkCubeAxesActor"))
    return vtkCubeAxesActorShallowCopy__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCubeAxesActorShallowCopy");
}

//@@Signature
//sfunction @vtkCubeAxesActor:MaxOf vtkCubeAxesActorMaxOfFunction
//input varargin
//output varargout
ArrayVector vtkCubeAxesActorMaxOfFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkCubeAxesActorMaxOf");
}

//@@Signature
//sfunction @vtkCubeAxesActor:display vtkCubeAxesActorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCubeAxesActorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCubeAxesActor* vtk_pointer = GetVTKPointer<vtkCubeAxesActor>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCubeAxesActor:delete vtkCubeAxesActorDeleteFunction
//input varargin
//output none
ArrayVector vtkCubeAxesActorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCubeAxesActor
//@@Section VTKHybrid
//@@Usage
// vtkCubeAxesActor is a composite actor that draws axes of the 
// bounding box of an input dataset. The axes include labels and titles
// for the x-y-z axes. The algorithm selects which axes to draw based
// on the user-defined 'fly' mode.  (STATIC is default).
// 'STATIC' constructs axes from all edges of the bounding box.
// 'CLOSEST_TRIAD' consists of the three axes x-y-z forming a triad that 
// lies closest to the specified camera. 
// 'FURTHEST_TRIAD' consists of the three axes x-y-z forming a triad that 
// lies furthest from the specified camera. 
// 'OUTER_EDGES' is constructed from edges that are on the "exterior" of the 
// bounding box, exterior as determined from examining outer edges of the 
// bounding box in projection (display) space. 
// 
// To use this object you must define a bounding box and the camera used
// to render the vtkCubeAxesActor. You can optionally turn on/off labels,
// ticks, gridlines, and set tick location, number of labels, and text to
// use for axis-titles.  A 'corner offset' can also be set.  This allows 
// the axes to be set partially away from the actual bounding box to perhaps
// prevent overlap of labels between the various axes.
//
// The Bounds instance variable (an array of six doubles) is used to determine
// the bounding box.
// 
//
//To create an instance of class vtkCubeAxesActor, simply
//invoke its constructor as follows
//@[
//  obj = vtkCubeAxesActor
//@]
//@@Methods
//The class vtkCubeAxesActor has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCubeAxesActor class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCubeAxesActor = obj.NewInstance ()|
// \item @|vtkCubeAxesActor = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.RenderOpaqueGeometry (vtkViewport )| -  Draw the axes as per the vtkProp superclass' API.
//// \item @|int = obj.RenderTranslucentGeometry (vtkViewport )| -  Explicitly specify the region in space around which to draw the bounds.
// The bounds is used only when no Input or Prop is specified. The bounds
// are specified according to (xmin,xmax, ymin,ymax, zmin,zmax), making
// sure that the min's are less than the max's.
//// \item @|obj.SetBounds (double , double , double , double , double , double )| -  Explicitly specify the region in space around which to draw the bounds.
// The bounds is used only when no Input or Prop is specified. The bounds
// are specified according to (xmin,xmax, ymin,ymax, zmin,zmax), making
// sure that the min's are less than the max's.
//// \item @|obj.SetBounds (double  a[6])| -  Explicitly specify the region in space around which to draw the bounds.
// The bounds is used only when no Input or Prop is specified. The bounds
// are specified according to (xmin,xmax, ymin,ymax, zmin,zmax), making
// sure that the min's are less than the max's.
//// \item @|double = obj.GetBounds ()| -  Explicitly specify the region in space around which to draw the bounds.
// The bounds is used only when no Input or Prop is specified. The bounds
// are specified according to (xmin,xmax, ymin,ymax, zmin,zmax), making
// sure that the min's are less than the max's.
//// \item @|obj.GetBounds (double bounds[6])| -  Explicitly specify the region in space around which to draw the bounds.
// The bounds is used only when no Input or Prop is specified. The bounds
// are specified according to (xmin,xmax, ymin,ymax, zmin,zmax), making
// sure that the min's are less than the max's.
//// \item @|obj.SetCamera (vtkCamera )| -  Set/Get the camera to perform scaling and translation of the 
// vtkCubeAxesActor.
//// \item @|vtkCamera = obj.GetCamera ()| -  Set/Get the camera to perform scaling and translation of the 
// vtkCubeAxesActor.
//// \item @|obj.SetFlyMode (int )| -  Specify a mode to control how the axes are drawn: either static, 
// closest triad, furthest triad or outer edges in relation to the 
// camera position.
//// \item @|int = obj.GetFlyModeMinValue ()| -  Specify a mode to control how the axes are drawn: either static, 
// closest triad, furthest triad or outer edges in relation to the 
// camera position.
//// \item @|int = obj.GetFlyModeMaxValue ()| -  Specify a mode to control how the axes are drawn: either static, 
// closest triad, furthest triad or outer edges in relation to the 
// camera position.
//// \item @|int = obj.GetFlyMode ()| -  Specify a mode to control how the axes are drawn: either static, 
// closest triad, furthest triad or outer edges in relation to the 
// camera position.
//// \item @|obj.SetFlyModeToOuterEdges ()| -  Specify a mode to control how the axes are drawn: either static, 
// closest triad, furthest triad or outer edges in relation to the 
// camera position.
//// \item @|obj.SetFlyModeToClosestTriad ()| -  Specify a mode to control how the axes are drawn: either static, 
// closest triad, furthest triad or outer edges in relation to the 
// camera position.
//// \item @|obj.SetFlyModeToFurthestTriad ()| -  Specify a mode to control how the axes are drawn: either static, 
// closest triad, furthest triad or outer edges in relation to the 
// camera position.
//// \item @|obj.SetFlyModeToStaticTriad ()| -  Specify a mode to control how the axes are drawn: either static, 
// closest triad, furthest triad or outer edges in relation to the 
// camera position.
//// \item @|obj.SetFlyModeToStaticEdges ()| -  Specify a mode to control how the axes are drawn: either static, 
// closest triad, furthest triad or outer edges in relation to the 
// camera position.
//// \item @|obj.SetXTitle (string )| -  Set/Get the labels for the x, y, and z axes. By default, 
// use "X-Axis", "Y-Axis" and "Z-Axis".
//// \item @|string = obj.GetXTitle ()| -  Set/Get the labels for the x, y, and z axes. By default, 
// use "X-Axis", "Y-Axis" and "Z-Axis".
//// \item @|obj.SetXUnits (string )| -  Set/Get the labels for the x, y, and z axes. By default, 
// use "X-Axis", "Y-Axis" and "Z-Axis".
//// \item @|string = obj.GetXUnits ()| -  Set/Get the labels for the x, y, and z axes. By default, 
// use "X-Axis", "Y-Axis" and "Z-Axis".
//// \item @|obj.SetYTitle (string )| -  Set/Get the labels for the x, y, and z axes. By default, 
// use "X-Axis", "Y-Axis" and "Z-Axis".
//// \item @|string = obj.GetYTitle ()| -  Set/Get the labels for the x, y, and z axes. By default, 
// use "X-Axis", "Y-Axis" and "Z-Axis".
//// \item @|obj.SetYUnits (string )| -  Set/Get the labels for the x, y, and z axes. By default, 
// use "X-Axis", "Y-Axis" and "Z-Axis".
//// \item @|string = obj.GetYUnits ()| -  Set/Get the labels for the x, y, and z axes. By default, 
// use "X-Axis", "Y-Axis" and "Z-Axis".
//// \item @|obj.SetZTitle (string )| -  Set/Get the labels for the x, y, and z axes. By default, 
// use "X-Axis", "Y-Axis" and "Z-Axis".
//// \item @|string = obj.GetZTitle ()| -  Set/Get the labels for the x, y, and z axes. By default, 
// use "X-Axis", "Y-Axis" and "Z-Axis".
//// \item @|obj.SetZUnits (string )| -  Set/Get the labels for the x, y, and z axes. By default, 
// use "X-Axis", "Y-Axis" and "Z-Axis".
//// \item @|string = obj.GetZUnits ()| -  Set/Get the labels for the x, y, and z axes. By default, 
// use "X-Axis", "Y-Axis" and "Z-Axis".
//// \item @|obj.SetXLabelFormat (string )| -  Set/Get the format with which to print the labels on each of the
// x-y-z axes.
//// \item @|string = obj.GetXLabelFormat ()| -  Set/Get the format with which to print the labels on each of the
// x-y-z axes.
//// \item @|obj.SetYLabelFormat (string )| -  Set/Get the format with which to print the labels on each of the
// x-y-z axes.
//// \item @|string = obj.GetYLabelFormat ()| -  Set/Get the format with which to print the labels on each of the
// x-y-z axes.
//// \item @|obj.SetZLabelFormat (string )| -  Set/Get the format with which to print the labels on each of the
// x-y-z axes.
//// \item @|string = obj.GetZLabelFormat ()| -  Set/Get the format with which to print the labels on each of the
// x-y-z axes.
//// \item @|obj.SetInertia (int )| -  Set/Get the inertial factor that controls how often (i.e, how
// many renders) the axes can switch position (jump from one axes 
// to another).
//// \item @|int = obj.GetInertiaMinValue ()| -  Set/Get the inertial factor that controls how often (i.e, how
// many renders) the axes can switch position (jump from one axes 
// to another).
//// \item @|int = obj.GetInertiaMaxValue ()| -  Set/Get the inertial factor that controls how often (i.e, how
// many renders) the axes can switch position (jump from one axes 
// to another).
//// \item @|int = obj.GetInertia ()| -  Set/Get the inertial factor that controls how often (i.e, how
// many renders) the axes can switch position (jump from one axes 
// to another).
//// \item @|obj.SetCornerOffset (double )| -  Specify an offset value to "pull back" the axes from the corner at
// which they are joined to avoid overlap of axes labels. The 
// "CornerOffset" is the fraction of the axis length to pull back.
//// \item @|double = obj.GetCornerOffset ()| -  Specify an offset value to "pull back" the axes from the corner at
// which they are joined to avoid overlap of axes labels. The 
// "CornerOffset" is the fraction of the axis length to pull back.
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this actor.
// The parameter window could be used to determine which graphic
// resources to release.
//// \item @|obj.SetXAxisVisibility (int )| -  Turn on and off the visibility of each axis.
//// \item @|int = obj.GetXAxisVisibility ()| -  Turn on and off the visibility of each axis.
//// \item @|obj.XAxisVisibilityOn ()| -  Turn on and off the visibility of each axis.
//// \item @|obj.XAxisVisibilityOff ()| -  Turn on and off the visibility of each axis.
//// \item @|obj.SetYAxisVisibility (int )| -  Turn on and off the visibility of each axis.
//// \item @|int = obj.GetYAxisVisibility ()| -  Turn on and off the visibility of each axis.
//// \item @|obj.YAxisVisibilityOn ()| -  Turn on and off the visibility of each axis.
//// \item @|obj.YAxisVisibilityOff ()| -  Turn on and off the visibility of each axis.
//// \item @|obj.SetZAxisVisibility (int )| -  Turn on and off the visibility of each axis.
//// \item @|int = obj.GetZAxisVisibility ()| -  Turn on and off the visibility of each axis.
//// \item @|obj.ZAxisVisibilityOn ()| -  Turn on and off the visibility of each axis.
//// \item @|obj.ZAxisVisibilityOff ()| -  Turn on and off the visibility of each axis.
//// \item @|obj.SetXAxisLabelVisibility (int )| -  Turn on and off the visibility of labels for each axis.
//// \item @|int = obj.GetXAxisLabelVisibility ()| -  Turn on and off the visibility of labels for each axis.
//// \item @|obj.XAxisLabelVisibilityOn ()| -  Turn on and off the visibility of labels for each axis.
//// \item @|obj.XAxisLabelVisibilityOff ()| -  Turn on and off the visibility of labels for each axis.
//// \item @|obj.SetYAxisLabelVisibility (int )|
// \item @|int = obj.GetYAxisLabelVisibility ()|
// \item @|obj.YAxisLabelVisibilityOn ()|
// \item @|obj.YAxisLabelVisibilityOff ()|
// \item @|obj.SetZAxisLabelVisibility (int )|
// \item @|int = obj.GetZAxisLabelVisibility ()|
// \item @|obj.ZAxisLabelVisibilityOn ()|
// \item @|obj.ZAxisLabelVisibilityOff ()|
// \item @|obj.SetXAxisTickVisibility (int )| -  Turn on and off the visibility of ticks for each axis.
//// \item @|int = obj.GetXAxisTickVisibility ()| -  Turn on and off the visibility of ticks for each axis.
//// \item @|obj.XAxisTickVisibilityOn ()| -  Turn on and off the visibility of ticks for each axis.
//// \item @|obj.XAxisTickVisibilityOff ()| -  Turn on and off the visibility of ticks for each axis.
//// \item @|obj.SetYAxisTickVisibility (int )|
// \item @|int = obj.GetYAxisTickVisibility ()|
// \item @|obj.YAxisTickVisibilityOn ()|
// \item @|obj.YAxisTickVisibilityOff ()|
// \item @|obj.SetZAxisTickVisibility (int )|
// \item @|int = obj.GetZAxisTickVisibility ()|
// \item @|obj.ZAxisTickVisibilityOn ()|
// \item @|obj.ZAxisTickVisibilityOff ()|
// \item @|obj.SetXAxisMinorTickVisibility (int )| -  Turn on and off the visibility of minor ticks for each axis.
//// \item @|int = obj.GetXAxisMinorTickVisibility ()| -  Turn on and off the visibility of minor ticks for each axis.
//// \item @|obj.XAxisMinorTickVisibilityOn ()| -  Turn on and off the visibility of minor ticks for each axis.
//// \item @|obj.XAxisMinorTickVisibilityOff ()| -  Turn on and off the visibility of minor ticks for each axis.
//// \item @|obj.SetYAxisMinorTickVisibility (int )|
// \item @|int = obj.GetYAxisMinorTickVisibility ()|
// \item @|obj.YAxisMinorTickVisibilityOn ()|
// \item @|obj.YAxisMinorTickVisibilityOff ()|
// \item @|obj.SetZAxisMinorTickVisibility (int )|
// \item @|int = obj.GetZAxisMinorTickVisibility ()|
// \item @|obj.ZAxisMinorTickVisibilityOn ()|
// \item @|obj.ZAxisMinorTickVisibilityOff ()|
// \item @|obj.SetDrawXGridlines (int )|
// \item @|int = obj.GetDrawXGridlines ()|
// \item @|obj.DrawXGridlinesOn ()|
// \item @|obj.DrawXGridlinesOff ()|
// \item @|obj.SetDrawYGridlines (int )|
// \item @|int = obj.GetDrawYGridlines ()|
// \item @|obj.DrawYGridlinesOn ()|
// \item @|obj.DrawYGridlinesOff ()|
// \item @|obj.SetDrawZGridlines (int )|
// \item @|int = obj.GetDrawZGridlines ()|
// \item @|obj.DrawZGridlinesOn ()|
// \item @|obj.DrawZGridlinesOff ()|
// \item @|obj.SetTickLocation (int )| -  Set/Get the location of ticks marks. 
//// \item @|int = obj.GetTickLocationMinValue ()| -  Set/Get the location of ticks marks. 
//// \item @|int = obj.GetTickLocationMaxValue ()| -  Set/Get the location of ticks marks. 
//// \item @|int = obj.GetTickLocation ()| -  Set/Get the location of ticks marks. 
//// \item @|obj.SetTickLocationToInside (void )|
// \item @|obj.SetTickLocationToOutside (void )|
// \item @|obj.SetTickLocationToBoth (void )|
// \item @|obj.SetLabelScaling (bool , int , int , int )|
// \item @|obj.ShallowCopy (vtkCubeAxesActor actor)| -  Shallow copy of a KatCubeAxesActor.
////\end{itemize}
//!
