#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDSPFilterGroup object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDSPFilterGroup.h"

//@@Signature
//sfunction @vtkDSPFilterGroup:vtkDSPFilterGroup vtkDSPFilterGroupConstructorFunction
//input a
//output p
//@@Parents vtkDSPFilterGroup vtkObject 
ArrayVector vtkDSPFilterGroupConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDSPFilterGroup::New(),"vtkDSPFilterGroup",eval);
  } else if (arg[0].className() == "vtkDSPFilterGroup") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDSPFilterGroup"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDSPFilterGroup");
    vtkDSPFilterGroup*q = reinterpret_cast<vtkDSPFilterGroup*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDSPFilterGroup");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDSPFilterGroup:GetClassName vtkDSPFilterGroupGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDSPFilterGroupGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDSPFilterGroup requires 1 argument(s)");
  vtkDSPFilterGroup* vtk_pointer = GetVTKPointer<vtkDSPFilterGroup>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDSPFilterGroup:IsA vtkDSPFilterGroupIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDSPFilterGroupIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDSPFilterGroup requires 2 argument(s)");
  vtkDSPFilterGroup* vtk_pointer = GetVTKPointer<vtkDSPFilterGroup>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDSPFilterGroup:NewInstance vtkDSPFilterGroupNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDSPFilterGroupNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDSPFilterGroup *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDSPFilterGroup requires 1 argument(s)");
  vtkDSPFilterGroup* vtk_pointer = GetVTKPointer<vtkDSPFilterGroup>(arg[0]);
  Array retval;
  vtkDSPFilterGroup  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDSPFilterGroup",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDSPFilterGroup:SafeDownCast vtkDSPFilterGroupSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDSPFilterGroupSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDSPFilterGroup *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDSPFilterGroup requires 2 argument(s)");
  vtkDSPFilterGroup* vtk_pointer = GetVTKPointer<vtkDSPFilterGroup>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDSPFilterGroup  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDSPFilterGroup",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDSPFilterGroup:AddFilter vtkDSPFilterGroupAddFilterFunction
//input a0 a1 
//output none
ArrayVector vtkDSPFilterGroupAddFilterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddFilter (vtkDSPFilterDefinition *filter); */
  if (arg.size() < 2) 
    throw Exception("Function AddFilter for class vtkDSPFilterGroup requires 2 argument(s)");
  vtkDSPFilterGroup* vtk_pointer = GetVTKPointer<vtkDSPFilterGroup>(arg[0]);
  Array retval;
  vtkDSPFilterDefinition  *temp0;
  temp0 = GetVTKPointer<vtkDSPFilterDefinition>(arg[1]);
  vtk_pointer->AddFilter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDSPFilterGroup:RemoveFilter vtkDSPFilterGroupRemoveFilterFunction
//input a0 a1 
//output none
ArrayVector vtkDSPFilterGroupRemoveFilterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveFilter (char *a_outputVariableName); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveFilter for class vtkDSPFilterGroup requires 2 argument(s)");
  vtkDSPFilterGroup* vtk_pointer = GetVTKPointer<vtkDSPFilterGroup>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->RemoveFilter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDSPFilterGroup:IsThisInputVariableInstanceNeeded vtkDSPFilterGroupIsThisInputVariableInstanceNeededFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkDSPFilterGroupIsThisInputVariableInstanceNeededFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool IsThisInputVariableInstanceNeeded (const char *a_name, int a_timestep, int a_outputTimestep); */
  if (arg.size() < 4) 
    throw Exception("Function IsThisInputVariableInstanceNeeded for class vtkDSPFilterGroup requires 4 argument(s)");
  vtkDSPFilterGroup* vtk_pointer = GetVTKPointer<vtkDSPFilterGroup>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int      temp2;
  bool   temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->IsThisInputVariableInstanceNeeded(temp0,temp1,temp2);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkDSPFilterGroup:IsThisInputVariableInstanceCached vtkDSPFilterGroupIsThisInputVariableInstanceCachedFunction
//input a0 a1 a2 
//output y
ArrayVector vtkDSPFilterGroupIsThisInputVariableInstanceCachedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool IsThisInputVariableInstanceCached (const char *a_name, int a_timestep); */
  if (arg.size() < 3) 
    throw Exception("Function IsThisInputVariableInstanceCached for class vtkDSPFilterGroup requires 3 argument(s)");
  vtkDSPFilterGroup* vtk_pointer = GetVTKPointer<vtkDSPFilterGroup>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  bool   temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->IsThisInputVariableInstanceCached(temp0,temp1);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkDSPFilterGroup:AddInputVariableInstance vtkDSPFilterGroupAddInputVariableInstanceFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkDSPFilterGroupAddInputVariableInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInputVariableInstance (const char *a_name, int a_timestep, vtkFloatArray *a_data); */
  if (arg.size() < 4) 
    throw Exception("Function AddInputVariableInstance for class vtkDSPFilterGroup requires 4 argument(s)");
  vtkDSPFilterGroup* vtk_pointer = GetVTKPointer<vtkDSPFilterGroup>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  vtkFloatArray  *temp2;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkFloatArray>(arg[3]);
  vtk_pointer->AddInputVariableInstance(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkDSPFilterGroup:GetCachedInput vtkDSPFilterGroupGetCachedInputFunction
//input a0 a1 a2 
//output y
ArrayVector vtkDSPFilterGroupGetCachedInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFloatArray *GetCachedInput (int a_whichFilter, int a_whichTimestep); */
  if (arg.size() < 3) 
    throw Exception("Function GetCachedInput for class vtkDSPFilterGroup requires 3 argument(s)");
  vtkDSPFilterGroup* vtk_pointer = GetVTKPointer<vtkDSPFilterGroup>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  vtkFloatArray  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetCachedInput(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFloatArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDSPFilterGroup:GetCachedOutput vtkDSPFilterGroupGetCachedOutputFunction
//input a0 a1 a2 
//output y
ArrayVector vtkDSPFilterGroupGetCachedOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFloatArray *GetCachedOutput (int a_whichFilter, int a_whichTimestep); */
  if (arg.size() < 3) 
    throw Exception("Function GetCachedOutput for class vtkDSPFilterGroup requires 3 argument(s)");
  vtkDSPFilterGroup* vtk_pointer = GetVTKPointer<vtkDSPFilterGroup>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  vtkFloatArray  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetCachedOutput(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFloatArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDSPFilterGroup:GetInputVariableName vtkDSPFilterGroupGetInputVariableNameFunction
//input a0 a1 
//output y
ArrayVector vtkDSPFilterGroupGetInputVariableNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetInputVariableName (int a_whichFilter); */
  if (arg.size() < 2) 
    throw Exception("Function GetInputVariableName for class vtkDSPFilterGroup requires 2 argument(s)");
  vtkDSPFilterGroup* vtk_pointer = GetVTKPointer<vtkDSPFilterGroup>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInputVariableName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDSPFilterGroup:GetNumFilters vtkDSPFilterGroupGetNumFiltersFunction
//input a0 
//output y
ArrayVector vtkDSPFilterGroupGetNumFiltersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumFilters (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumFilters for class vtkDSPFilterGroup requires 1 argument(s)");
  vtkDSPFilterGroup* vtk_pointer = GetVTKPointer<vtkDSPFilterGroup>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumFilters();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDSPFilterGroup:Copy vtkDSPFilterGroupCopyFunction
//input a0 a1 
//output none
ArrayVector vtkDSPFilterGroupCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Copy (vtkDSPFilterGroup *other); */
  if (arg.size() < 2) 
    throw Exception("Function Copy for class vtkDSPFilterGroup requires 2 argument(s)");
  vtkDSPFilterGroup* vtk_pointer = GetVTKPointer<vtkDSPFilterGroup>(arg[0]);
  Array retval;
  vtkDSPFilterGroup  *temp0;
  temp0 = GetVTKPointer<vtkDSPFilterGroup>(arg[1]);
  vtk_pointer->Copy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDSPFilterGroup:GetFilter vtkDSPFilterGroupGetFilterFunction
//input a0 a1 
//output y
ArrayVector vtkDSPFilterGroupGetFilterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDSPFilterDefinition *GetFilter (int a_whichFilter); */
  if (arg.size() < 2) 
    throw Exception("Function GetFilter for class vtkDSPFilterGroup requires 2 argument(s)");
  vtkDSPFilterGroup* vtk_pointer = GetVTKPointer<vtkDSPFilterGroup>(arg[0]);
  Array retval;
  int      temp0;
  vtkDSPFilterDefinition  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetFilter(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDSPFilterDefinition",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDSPFilterGroup:display vtkDSPFilterGroupDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDSPFilterGroupDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDSPFilterGroup* vtk_pointer = GetVTKPointer<vtkDSPFilterGroup>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDSPFilterGroup:delete vtkDSPFilterGroupDeleteFunction
//input varargin
//output none
ArrayVector vtkDSPFilterGroupDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDSPFilterGroup
//@@Section VTKHybrid
//@@Usage
// vtkDSPFilterGroup is used by vtkExodusReader, vtkExodusIIReader and
// vtkPExodusReader to do temporal smoothing of data
//
//To create an instance of class vtkDSPFilterGroup, simply
//invoke its constructor as follows
//@[
//  obj = vtkDSPFilterGroup
//@]
//@@Methods
//The class vtkDSPFilterGroup has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDSPFilterGroup class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDSPFilterGroup = obj.NewInstance ()|
// \item @|vtkDSPFilterGroup = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddFilter (vtkDSPFilterDefinition filter)|
// \item @|obj.RemoveFilter (string a_outputVariableName)|
// \item @|bool = obj.IsThisInputVariableInstanceNeeded (string a_name, int a_timestep, int a_outputTimestep)|
// \item @|bool = obj.IsThisInputVariableInstanceCached (string a_name, int a_timestep)|
// \item @|obj.AddInputVariableInstance (string a_name, int a_timestep, vtkFloatArray a_data)|
// \item @|vtkFloatArray = obj.GetCachedInput (int a_whichFilter, int a_whichTimestep)|
// \item @|vtkFloatArray = obj.GetCachedOutput (int a_whichFilter, int a_whichTimestep)|
// \item @|string = obj.GetInputVariableName (int a_whichFilter)|
// \item @|int = obj.GetNumFilters ()|
// \item @|obj.Copy (vtkDSPFilterGroup other)|
// \item @|vtkDSPFilterDefinition = obj.GetFilter (int a_whichFilter)|
//\end{itemize}
//!
