#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDepthSortPolyData object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDepthSortPolyData.h"

//@@Signature
//sfunction @vtkDepthSortPolyData:vtkDepthSortPolyData vtkDepthSortPolyDataConstructorFunction
//input a
//output p
//@@Parents vtkDepthSortPolyData vtkPolyDataAlgorithm 
ArrayVector vtkDepthSortPolyDataConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDepthSortPolyData::New(),"vtkDepthSortPolyData",eval);
  } else if (arg[0].className() == "vtkDepthSortPolyData") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDepthSortPolyData"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDepthSortPolyData");
    vtkDepthSortPolyData*q = reinterpret_cast<vtkDepthSortPolyData*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDepthSortPolyData");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDepthSortPolyData:GetClassName vtkDepthSortPolyDataGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDepthSortPolyDataGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDepthSortPolyData requires 1 argument(s)");
  vtkDepthSortPolyData* vtk_pointer = GetVTKPointer<vtkDepthSortPolyData>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDepthSortPolyData:IsA vtkDepthSortPolyDataIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDepthSortPolyDataIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDepthSortPolyData requires 2 argument(s)");
  vtkDepthSortPolyData* vtk_pointer = GetVTKPointer<vtkDepthSortPolyData>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDepthSortPolyData:NewInstance vtkDepthSortPolyDataNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDepthSortPolyDataNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDepthSortPolyData *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDepthSortPolyData requires 1 argument(s)");
  vtkDepthSortPolyData* vtk_pointer = GetVTKPointer<vtkDepthSortPolyData>(arg[0]);
  Array retval;
  vtkDepthSortPolyData  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDepthSortPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDepthSortPolyData:SafeDownCast vtkDepthSortPolyDataSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDepthSortPolyDataSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDepthSortPolyData *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDepthSortPolyData requires 2 argument(s)");
  vtkDepthSortPolyData* vtk_pointer = GetVTKPointer<vtkDepthSortPolyData>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDepthSortPolyData  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDepthSortPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDepthSortPolyData:SetDirection vtkDepthSortPolyDataSetDirectionFunction
//input a0 a1 
//output none
ArrayVector vtkDepthSortPolyDataSetDirectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDirection (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDirection for class vtkDepthSortPolyData requires 2 argument(s)");
  vtkDepthSortPolyData* vtk_pointer = GetVTKPointer<vtkDepthSortPolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDirection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDepthSortPolyData:GetDirection vtkDepthSortPolyDataGetDirectionFunction
//input a0 
//output y
ArrayVector vtkDepthSortPolyDataGetDirectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDirection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDirection for class vtkDepthSortPolyData requires 1 argument(s)");
  vtkDepthSortPolyData* vtk_pointer = GetVTKPointer<vtkDepthSortPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDirection();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDepthSortPolyData:SetDirectionToFrontToBack vtkDepthSortPolyDataSetDirectionToFrontToBackFunction
//input a0 
//output none
ArrayVector vtkDepthSortPolyDataSetDirectionToFrontToBackFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDirectionToFrontToBack ();this SetDirection VTK_DIRECTION_FRONT_TO_BACK  */
  if (arg.size() < 1) 
    throw Exception("Function SetDirectionToFrontToBack for class vtkDepthSortPolyData requires 1 argument(s)");
  vtkDepthSortPolyData* vtk_pointer = GetVTKPointer<vtkDepthSortPolyData>(arg[0]);
  Array retval;
  vtk_pointer->SetDirectionToFrontToBack();
  return retval;
}

//@@Signature
//sfunction @vtkDepthSortPolyData:SetDirectionToBackToFront vtkDepthSortPolyDataSetDirectionToBackToFrontFunction
//input a0 
//output none
ArrayVector vtkDepthSortPolyDataSetDirectionToBackToFrontFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDirectionToBackToFront ();this SetDirection VTK_DIRECTION_BACK_TO_FRONT  */
  if (arg.size() < 1) 
    throw Exception("Function SetDirectionToBackToFront for class vtkDepthSortPolyData requires 1 argument(s)");
  vtkDepthSortPolyData* vtk_pointer = GetVTKPointer<vtkDepthSortPolyData>(arg[0]);
  Array retval;
  vtk_pointer->SetDirectionToBackToFront();
  return retval;
}

//@@Signature
//sfunction @vtkDepthSortPolyData:SetDirectionToSpecifiedVector vtkDepthSortPolyDataSetDirectionToSpecifiedVectorFunction
//input a0 
//output none
ArrayVector vtkDepthSortPolyDataSetDirectionToSpecifiedVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDirectionToSpecifiedVector ();this SetDirection VTK_DIRECTION_SPECIFIED_VECTOR  */
  if (arg.size() < 1) 
    throw Exception("Function SetDirectionToSpecifiedVector for class vtkDepthSortPolyData requires 1 argument(s)");
  vtkDepthSortPolyData* vtk_pointer = GetVTKPointer<vtkDepthSortPolyData>(arg[0]);
  Array retval;
  vtk_pointer->SetDirectionToSpecifiedVector();
  return retval;
}

//@@Signature
//sfunction @vtkDepthSortPolyData:SetDepthSortMode vtkDepthSortPolyDataSetDepthSortModeFunction
//input a0 a1 
//output none
ArrayVector vtkDepthSortPolyDataSetDepthSortModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDepthSortMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDepthSortMode for class vtkDepthSortPolyData requires 2 argument(s)");
  vtkDepthSortPolyData* vtk_pointer = GetVTKPointer<vtkDepthSortPolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDepthSortMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDepthSortPolyData:GetDepthSortMode vtkDepthSortPolyDataGetDepthSortModeFunction
//input a0 
//output y
ArrayVector vtkDepthSortPolyDataGetDepthSortModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDepthSortMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDepthSortMode for class vtkDepthSortPolyData requires 1 argument(s)");
  vtkDepthSortPolyData* vtk_pointer = GetVTKPointer<vtkDepthSortPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDepthSortMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDepthSortPolyData:SetDepthSortModeToFirstPoint vtkDepthSortPolyDataSetDepthSortModeToFirstPointFunction
//input a0 
//output none
ArrayVector vtkDepthSortPolyDataSetDepthSortModeToFirstPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDepthSortModeToFirstPoint ();this SetDepthSortMode VTK_SORT_FIRST_POINT  */
  if (arg.size() < 1) 
    throw Exception("Function SetDepthSortModeToFirstPoint for class vtkDepthSortPolyData requires 1 argument(s)");
  vtkDepthSortPolyData* vtk_pointer = GetVTKPointer<vtkDepthSortPolyData>(arg[0]);
  Array retval;
  vtk_pointer->SetDepthSortModeToFirstPoint();
  return retval;
}

//@@Signature
//sfunction @vtkDepthSortPolyData:SetDepthSortModeToBoundsCenter vtkDepthSortPolyDataSetDepthSortModeToBoundsCenterFunction
//input a0 
//output none
ArrayVector vtkDepthSortPolyDataSetDepthSortModeToBoundsCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDepthSortModeToBoundsCenter ();this SetDepthSortMode VTK_SORT_BOUNDS_CENTER  */
  if (arg.size() < 1) 
    throw Exception("Function SetDepthSortModeToBoundsCenter for class vtkDepthSortPolyData requires 1 argument(s)");
  vtkDepthSortPolyData* vtk_pointer = GetVTKPointer<vtkDepthSortPolyData>(arg[0]);
  Array retval;
  vtk_pointer->SetDepthSortModeToBoundsCenter();
  return retval;
}

//@@Signature
//sfunction @vtkDepthSortPolyData:SetDepthSortModeToParametricCenter vtkDepthSortPolyDataSetDepthSortModeToParametricCenterFunction
//input a0 
//output none
ArrayVector vtkDepthSortPolyDataSetDepthSortModeToParametricCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDepthSortModeToParametricCenter ();this SetDepthSortMode VTK_SORT_PARAMETRIC_CENTER  */
  if (arg.size() < 1) 
    throw Exception("Function SetDepthSortModeToParametricCenter for class vtkDepthSortPolyData requires 1 argument(s)");
  vtkDepthSortPolyData* vtk_pointer = GetVTKPointer<vtkDepthSortPolyData>(arg[0]);
  Array retval;
  vtk_pointer->SetDepthSortModeToParametricCenter();
  return retval;
}

//@@Signature
//sfunction @vtkDepthSortPolyData:SetCamera vtkDepthSortPolyDataSetCameraFunction
//input a0 a1 
//output none
ArrayVector vtkDepthSortPolyDataSetCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCamera (vtkCamera *); */
  if (arg.size() < 2) 
    throw Exception("Function SetCamera for class vtkDepthSortPolyData requires 2 argument(s)");
  vtkDepthSortPolyData* vtk_pointer = GetVTKPointer<vtkDepthSortPolyData>(arg[0]);
  Array retval;
  vtkCamera  *temp0;
  temp0 = GetVTKPointer<vtkCamera>(arg[1]);
  vtk_pointer->SetCamera(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDepthSortPolyData:GetCamera vtkDepthSortPolyDataGetCameraFunction
//input a0 
//output y
ArrayVector vtkDepthSortPolyDataGetCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCamera *GetCamera (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCamera for class vtkDepthSortPolyData requires 1 argument(s)");
  vtkDepthSortPolyData* vtk_pointer = GetVTKPointer<vtkDepthSortPolyData>(arg[0]);
  Array retval;
  vtkCamera  *temp20;
  temp20 = (vtk_pointer)->GetCamera();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCamera",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDepthSortPolyData:SetProp3D vtkDepthSortPolyDataSetProp3DFunction
//input a0 a1 
//output none
ArrayVector vtkDepthSortPolyDataSetProp3DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProp3D (vtkProp3D *); */
  if (arg.size() < 2) 
    throw Exception("Function SetProp3D for class vtkDepthSortPolyData requires 2 argument(s)");
  vtkDepthSortPolyData* vtk_pointer = GetVTKPointer<vtkDepthSortPolyData>(arg[0]);
  Array retval;
  vtkProp3D  *temp0;
  temp0 = GetVTKPointer<vtkProp3D>(arg[1]);
  vtk_pointer->SetProp3D(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDepthSortPolyData:GetProp3D vtkDepthSortPolyDataGetProp3DFunction
//input a0 
//output y
ArrayVector vtkDepthSortPolyDataGetProp3DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProp3D *GetProp3D (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProp3D for class vtkDepthSortPolyData requires 1 argument(s)");
  vtkDepthSortPolyData* vtk_pointer = GetVTKPointer<vtkDepthSortPolyData>(arg[0]);
  Array retval;
  vtkProp3D  *temp20;
  temp20 = (vtk_pointer)->GetProp3D();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProp3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDepthSortPolyData:SetVector__1 vtkDepthSortPolyDataSetVector__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkDepthSortPolyDataSetVector__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVector (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetVector__1 for class vtkDepthSortPolyData requires 4 argument(s)");
  vtkDepthSortPolyData* vtk_pointer = GetVTKPointer<vtkDepthSortPolyData>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetVector(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkDepthSortPolyData:SetVector__2 vtkDepthSortPolyDataSetVector__2Function
//input a0 a1 
//output none
ArrayVector vtkDepthSortPolyDataSetVector__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVector (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetVector__2 for class vtkDepthSortPolyData requires 2 argument(s)");
  vtkDepthSortPolyData* vtk_pointer = GetVTKPointer<vtkDepthSortPolyData>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetVector(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDepthSortPolyData:GetVector vtkDepthSortPolyDataGetVectorFunction
//input a0 
//output y
ArrayVector vtkDepthSortPolyDataGetVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetVector (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVector for class vtkDepthSortPolyData requires 1 argument(s)");
  vtkDepthSortPolyData* vtk_pointer = GetVTKPointer<vtkDepthSortPolyData>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetVector();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkDepthSortPolyData:SetOrigin__1 vtkDepthSortPolyDataSetOrigin__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkDepthSortPolyDataSetOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetOrigin__1 for class vtkDepthSortPolyData requires 4 argument(s)");
  vtkDepthSortPolyData* vtk_pointer = GetVTKPointer<vtkDepthSortPolyData>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkDepthSortPolyData:SetOrigin__2 vtkDepthSortPolyDataSetOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkDepthSortPolyDataSetOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrigin__2 for class vtkDepthSortPolyData requires 2 argument(s)");
  vtkDepthSortPolyData* vtk_pointer = GetVTKPointer<vtkDepthSortPolyData>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDepthSortPolyData:GetOrigin vtkDepthSortPolyDataGetOriginFunction
//input a0 
//output y
ArrayVector vtkDepthSortPolyDataGetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrigin for class vtkDepthSortPolyData requires 1 argument(s)");
  vtkDepthSortPolyData* vtk_pointer = GetVTKPointer<vtkDepthSortPolyData>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkDepthSortPolyData:SetSortScalars vtkDepthSortPolyDataSetSortScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkDepthSortPolyDataSetSortScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSortScalars (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSortScalars for class vtkDepthSortPolyData requires 2 argument(s)");
  vtkDepthSortPolyData* vtk_pointer = GetVTKPointer<vtkDepthSortPolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSortScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDepthSortPolyData:GetSortScalars vtkDepthSortPolyDataGetSortScalarsFunction
//input a0 
//output y
ArrayVector vtkDepthSortPolyDataGetSortScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSortScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSortScalars for class vtkDepthSortPolyData requires 1 argument(s)");
  vtkDepthSortPolyData* vtk_pointer = GetVTKPointer<vtkDepthSortPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSortScalars();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDepthSortPolyData:SortScalarsOn vtkDepthSortPolyDataSortScalarsOnFunction
//input a0 
//output none
ArrayVector vtkDepthSortPolyDataSortScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SortScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SortScalarsOn for class vtkDepthSortPolyData requires 1 argument(s)");
  vtkDepthSortPolyData* vtk_pointer = GetVTKPointer<vtkDepthSortPolyData>(arg[0]);
  Array retval;
  vtk_pointer->SortScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkDepthSortPolyData:SortScalarsOff vtkDepthSortPolyDataSortScalarsOffFunction
//input a0 
//output none
ArrayVector vtkDepthSortPolyDataSortScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SortScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SortScalarsOff for class vtkDepthSortPolyData requires 1 argument(s)");
  vtkDepthSortPolyData* vtk_pointer = GetVTKPointer<vtkDepthSortPolyData>(arg[0]);
  Array retval;
  vtk_pointer->SortScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkDepthSortPolyData:GetMTime vtkDepthSortPolyDataGetMTimeFunction
//input a0 
//output y
ArrayVector vtkDepthSortPolyDataGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkDepthSortPolyData requires 1 argument(s)");
  vtkDepthSortPolyData* vtk_pointer = GetVTKPointer<vtkDepthSortPolyData>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDepthSortPolyData:SetVector vtkDepthSortPolyDataSetVectorFunction
//input varargin
//output varargout
ArrayVector vtkDepthSortPolyDataSetVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkDepthSortPolyDataSetVector__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkDepthSortPolyDataSetVector__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDepthSortPolyDataSetVector");
}

//@@Signature
//sfunction @vtkDepthSortPolyData:SetOrigin vtkDepthSortPolyDataSetOriginFunction
//input varargin
//output varargout
ArrayVector vtkDepthSortPolyDataSetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkDepthSortPolyDataSetOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkDepthSortPolyDataSetOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDepthSortPolyDataSetOrigin");
}

//@@Signature
//sfunction @vtkDepthSortPolyData:display vtkDepthSortPolyDataDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDepthSortPolyDataDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDepthSortPolyData* vtk_pointer = GetVTKPointer<vtkDepthSortPolyData>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDepthSortPolyData:delete vtkDepthSortPolyDataDeleteFunction
//input varargin
//output none
ArrayVector vtkDepthSortPolyDataDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDepthSortPolyData
//@@Section VTKHybrid
//@@Usage
// vtkDepthSortPolyData rearranges the order of cells so that certain
// rendering operations (e.g., transparency or Painter's algorithms)
// generate correct results. To use this filter you must specify the
// direction vector along which to sort the cells. You can do this by 
// specifying a camera and/or prop to define a view direction; or 
// explicitly set a view direction.
//
//To create an instance of class vtkDepthSortPolyData, simply
//invoke its constructor as follows
//@[
//  obj = vtkDepthSortPolyData
//@]
//@@Methods
//The class vtkDepthSortPolyData has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDepthSortPolyData class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDepthSortPolyData = obj.NewInstance ()|
// \item @|vtkDepthSortPolyData = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetDirection (int )| -  Specify the sort method for the polygonal primitives. By default, the
// poly data is sorted from back to front.
//// \item @|int = obj.GetDirection ()| -  Specify the sort method for the polygonal primitives. By default, the
// poly data is sorted from back to front.
//// \item @|obj.SetDirectionToFrontToBack ()| -  Specify the sort method for the polygonal primitives. By default, the
// poly data is sorted from back to front.
//// \item @|obj.SetDirectionToBackToFront ()| -  Specify the sort method for the polygonal primitives. By default, the
// poly data is sorted from back to front.
//// \item @|obj.SetDirectionToSpecifiedVector ()| -  Specify the point to use when sorting. The fastest is to just
// take the first cell point. Other options are to take the bounding
// box center or the parametric center of the cell. By default, the
// first cell point is used.
//// \item @|obj.SetDepthSortMode (int )| -  Specify the point to use when sorting. The fastest is to just
// take the first cell point. Other options are to take the bounding
// box center or the parametric center of the cell. By default, the
// first cell point is used.
//// \item @|int = obj.GetDepthSortMode ()| -  Specify the point to use when sorting. The fastest is to just
// take the first cell point. Other options are to take the bounding
// box center or the parametric center of the cell. By default, the
// first cell point is used.
//// \item @|obj.SetDepthSortModeToFirstPoint ()| -  Specify the point to use when sorting. The fastest is to just
// take the first cell point. Other options are to take the bounding
// box center or the parametric center of the cell. By default, the
// first cell point is used.
//// \item @|obj.SetDepthSortModeToBoundsCenter ()| -  Specify the point to use when sorting. The fastest is to just
// take the first cell point. Other options are to take the bounding
// box center or the parametric center of the cell. By default, the
// first cell point is used.
//// \item @|obj.SetDepthSortModeToParametricCenter ()| -  Specify a camera that is used to define a view direction along which
// the cells are sorted. This ivar only has effect if the direction is set
// to front-to-back or back-to-front, and a camera is specified.
//// \item @|obj.SetCamera (vtkCamera )| -  Specify a camera that is used to define a view direction along which
// the cells are sorted. This ivar only has effect if the direction is set
// to front-to-back or back-to-front, and a camera is specified.
//// \item @|vtkCamera = obj.GetCamera ()| -  Specify a camera that is used to define a view direction along which
// the cells are sorted. This ivar only has effect if the direction is set
// to front-to-back or back-to-front, and a camera is specified.
//// \item @|obj.SetProp3D (vtkProp3D )| -  Specify a transformation matrix (via the vtkProp3D::GetMatrix() method)
// that is used to include the effects of transformation. This ivar only
// has effect if the direction is set to front-to-back or back-to-front,
// and a camera is specified. Specifying the vtkProp3D is optional.
//// \item @|vtkProp3D = obj.GetProp3D ()| -  Specify a transformation matrix (via the vtkProp3D::GetMatrix() method)
// that is used to include the effects of transformation. This ivar only
// has effect if the direction is set to front-to-back or back-to-front,
// and a camera is specified. Specifying the vtkProp3D is optional.
//// \item @|obj.SetVector (double , double , double )| -  Set/Get the sort direction. This ivar only has effect if the sort
// direction is set to SetDirectionToSpecifiedVector(). The sort occurs
// in the direction of the vector.
//// \item @|obj.SetVector (double  a[3])| -  Set/Get the sort direction. This ivar only has effect if the sort
// direction is set to SetDirectionToSpecifiedVector(). The sort occurs
// in the direction of the vector.
//// \item @|double = obj. GetVector ()| -  Set/Get the sort direction. This ivar only has effect if the sort
// direction is set to SetDirectionToSpecifiedVector(). The sort occurs
// in the direction of the vector.
//// \item @|obj.SetOrigin (double , double , double )| -  Set/Get the sort origin. This ivar only has effect if the sort
// direction is set to SetDirectionToSpecifiedVector(). The sort occurs
// in the direction of the vector, with this point specifying the
// origin.
//// \item @|obj.SetOrigin (double  a[3])| -  Set/Get the sort origin. This ivar only has effect if the sort
// direction is set to SetDirectionToSpecifiedVector(). The sort occurs
// in the direction of the vector, with this point specifying the
// origin.
//// \item @|double = obj. GetOrigin ()| -  Set/Get the sort origin. This ivar only has effect if the sort
// direction is set to SetDirectionToSpecifiedVector(). The sort occurs
// in the direction of the vector, with this point specifying the
// origin.
//// \item @|obj.SetSortScalars (int )| -  Set/Get a flag that controls the generation of scalar values
// corresponding to the sort order. If enabled, the output of this
// filter will include scalar values that range from 0 to (ncells-1),
// where 0 is closest to the sort direction.
//// \item @|int = obj.GetSortScalars ()| -  Set/Get a flag that controls the generation of scalar values
// corresponding to the sort order. If enabled, the output of this
// filter will include scalar values that range from 0 to (ncells-1),
// where 0 is closest to the sort direction.
//// \item @|obj.SortScalarsOn ()| -  Set/Get a flag that controls the generation of scalar values
// corresponding to the sort order. If enabled, the output of this
// filter will include scalar values that range from 0 to (ncells-1),
// where 0 is closest to the sort direction.
//// \item @|obj.SortScalarsOff ()| -  Set/Get a flag that controls the generation of scalar values
// corresponding to the sort order. If enabled, the output of this
// filter will include scalar values that range from 0 to (ncells-1),
// where 0 is closest to the sort direction.
//// \item @|long = obj.GetMTime ()| -  Return MTime also considering the dependent objects: the camera
// and/or the prop3D.
////\end{itemize}
//!
