#include "VTKWrap.hpp"

// FreeMat wrapper for vtkEarthSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkEarthSource.h"

//@@Signature
//sfunction @vtkEarthSource:vtkEarthSource vtkEarthSourceConstructorFunction
//input a
//output p
//@@Parents vtkEarthSource vtkPolyDataAlgorithm 
ArrayVector vtkEarthSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkEarthSource::New(),"vtkEarthSource",eval);
  } else if (arg[0].className() == "vtkEarthSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkEarthSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkEarthSource");
    vtkEarthSource*q = reinterpret_cast<vtkEarthSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkEarthSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkEarthSource:GetClassName vtkEarthSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkEarthSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkEarthSource requires 1 argument(s)");
  vtkEarthSource* vtk_pointer = GetVTKPointer<vtkEarthSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEarthSource:IsA vtkEarthSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkEarthSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkEarthSource requires 2 argument(s)");
  vtkEarthSource* vtk_pointer = GetVTKPointer<vtkEarthSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEarthSource:NewInstance vtkEarthSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkEarthSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEarthSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkEarthSource requires 1 argument(s)");
  vtkEarthSource* vtk_pointer = GetVTKPointer<vtkEarthSource>(arg[0]);
  Array retval;
  vtkEarthSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEarthSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEarthSource:SafeDownCast vtkEarthSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkEarthSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEarthSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkEarthSource requires 2 argument(s)");
  vtkEarthSource* vtk_pointer = GetVTKPointer<vtkEarthSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkEarthSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEarthSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEarthSource:SetRadius vtkEarthSourceSetRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkEarthSourceSetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRadius for class vtkEarthSource requires 2 argument(s)");
  vtkEarthSource* vtk_pointer = GetVTKPointer<vtkEarthSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEarthSource:GetRadiusMinValue vtkEarthSourceGetRadiusMinValueFunction
//input a0 
//output y
ArrayVector vtkEarthSourceGetRadiusMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadiusMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadiusMinValue for class vtkEarthSource requires 1 argument(s)");
  vtkEarthSource* vtk_pointer = GetVTKPointer<vtkEarthSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadiusMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEarthSource:GetRadiusMaxValue vtkEarthSourceGetRadiusMaxValueFunction
//input a0 
//output y
ArrayVector vtkEarthSourceGetRadiusMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadiusMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadiusMaxValue for class vtkEarthSource requires 1 argument(s)");
  vtkEarthSource* vtk_pointer = GetVTKPointer<vtkEarthSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadiusMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEarthSource:GetRadius vtkEarthSourceGetRadiusFunction
//input a0 
//output y
ArrayVector vtkEarthSourceGetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadius for class vtkEarthSource requires 1 argument(s)");
  vtkEarthSource* vtk_pointer = GetVTKPointer<vtkEarthSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEarthSource:SetOnRatio vtkEarthSourceSetOnRatioFunction
//input a0 a1 
//output none
ArrayVector vtkEarthSourceSetOnRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOnRatio (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOnRatio for class vtkEarthSource requires 2 argument(s)");
  vtkEarthSource* vtk_pointer = GetVTKPointer<vtkEarthSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOnRatio(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEarthSource:GetOnRatioMinValue vtkEarthSourceGetOnRatioMinValueFunction
//input a0 
//output y
ArrayVector vtkEarthSourceGetOnRatioMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOnRatioMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOnRatioMinValue for class vtkEarthSource requires 1 argument(s)");
  vtkEarthSource* vtk_pointer = GetVTKPointer<vtkEarthSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOnRatioMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEarthSource:GetOnRatioMaxValue vtkEarthSourceGetOnRatioMaxValueFunction
//input a0 
//output y
ArrayVector vtkEarthSourceGetOnRatioMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOnRatioMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOnRatioMaxValue for class vtkEarthSource requires 1 argument(s)");
  vtkEarthSource* vtk_pointer = GetVTKPointer<vtkEarthSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOnRatioMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEarthSource:GetOnRatio vtkEarthSourceGetOnRatioFunction
//input a0 
//output y
ArrayVector vtkEarthSourceGetOnRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOnRatio (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOnRatio for class vtkEarthSource requires 1 argument(s)");
  vtkEarthSource* vtk_pointer = GetVTKPointer<vtkEarthSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOnRatio();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEarthSource:SetOutline vtkEarthSourceSetOutlineFunction
//input a0 a1 
//output none
ArrayVector vtkEarthSourceSetOutlineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutline (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutline for class vtkEarthSource requires 2 argument(s)");
  vtkEarthSource* vtk_pointer = GetVTKPointer<vtkEarthSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutline(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEarthSource:GetOutline vtkEarthSourceGetOutlineFunction
//input a0 
//output y
ArrayVector vtkEarthSourceGetOutlineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutline (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutline for class vtkEarthSource requires 1 argument(s)");
  vtkEarthSource* vtk_pointer = GetVTKPointer<vtkEarthSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutline();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEarthSource:OutlineOn vtkEarthSourceOutlineOnFunction
//input a0 
//output none
ArrayVector vtkEarthSourceOutlineOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutlineOn (); */
  if (arg.size() < 1) 
    throw Exception("Function OutlineOn for class vtkEarthSource requires 1 argument(s)");
  vtkEarthSource* vtk_pointer = GetVTKPointer<vtkEarthSource>(arg[0]);
  Array retval;
  vtk_pointer->OutlineOn();
  return retval;
}

//@@Signature
//sfunction @vtkEarthSource:OutlineOff vtkEarthSourceOutlineOffFunction
//input a0 
//output none
ArrayVector vtkEarthSourceOutlineOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutlineOff (); */
  if (arg.size() < 1) 
    throw Exception("Function OutlineOff for class vtkEarthSource requires 1 argument(s)");
  vtkEarthSource* vtk_pointer = GetVTKPointer<vtkEarthSource>(arg[0]);
  Array retval;
  vtk_pointer->OutlineOff();
  return retval;
}

//@@Signature
//sfunction @vtkEarthSource:display vtkEarthSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkEarthSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkEarthSource* vtk_pointer = GetVTKPointer<vtkEarthSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkEarthSource:delete vtkEarthSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkEarthSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkEarthSource
//@@Section VTKHybrid
//@@Usage
// vtkEarthSource creates a spherical rendering of the geographical shapes
// of the major continents of the earth. The OnRatio determines
// how much of the data is actually used. The radius defines the radius
// of the sphere at which the continents are placed. Obtains data from
// an imbedded array of coordinates.
//
//To create an instance of class vtkEarthSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkEarthSource
//@]
//@@Methods
//The class vtkEarthSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkEarthSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkEarthSource = obj.NewInstance ()|
// \item @|vtkEarthSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetRadius (double )| -  Set radius of earth.
//// \item @|double = obj.GetRadiusMinValue ()| -  Set radius of earth.
//// \item @|double = obj.GetRadiusMaxValue ()| -  Set radius of earth.
//// \item @|double = obj.GetRadius ()| -  Set radius of earth.
//// \item @|obj.SetOnRatio (int )| -  Turn on every nth entity. This controls how much detail the model
// will have. The maximum ratio is sixteen. (The smaller OnRatio, the more
// detail there is.)
//// \item @|int = obj.GetOnRatioMinValue ()| -  Turn on every nth entity. This controls how much detail the model
// will have. The maximum ratio is sixteen. (The smaller OnRatio, the more
// detail there is.)
//// \item @|int = obj.GetOnRatioMaxValue ()| -  Turn on every nth entity. This controls how much detail the model
// will have. The maximum ratio is sixteen. (The smaller OnRatio, the more
// detail there is.)
//// \item @|int = obj.GetOnRatio ()| -  Turn on every nth entity. This controls how much detail the model
// will have. The maximum ratio is sixteen. (The smaller OnRatio, the more
// detail there is.)
//// \item @|obj.SetOutline (int )| -  Turn on/off drawing continents as filled polygons or as wireframe outlines.
// Warning: some graphics systems will have trouble with the very large, concave 
// filled polygons. Recommend you use OutlienOn (i.e., disable filled polygons) 
// for now.
//// \item @|int = obj.GetOutline ()| -  Turn on/off drawing continents as filled polygons or as wireframe outlines.
// Warning: some graphics systems will have trouble with the very large, concave 
// filled polygons. Recommend you use OutlienOn (i.e., disable filled polygons) 
// for now.
//// \item @|obj.OutlineOn ()| -  Turn on/off drawing continents as filled polygons or as wireframe outlines.
// Warning: some graphics systems will have trouble with the very large, concave 
// filled polygons. Recommend you use OutlienOn (i.e., disable filled polygons) 
// for now.
//// \item @|obj.OutlineOff ()| -  Turn on/off drawing continents as filled polygons or as wireframe outlines.
// Warning: some graphics systems will have trouble with the very large, concave 
// filled polygons. Recommend you use OutlienOn (i.e., disable filled polygons) 
// for now.
////\end{itemize}
//!
