#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExodusIICache object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExodusIICache.h"

//@@Signature
//sfunction @vtkExodusIICache:vtkExodusIICache vtkExodusIICacheConstructorFunction
//input a
//output p
//@@Parents vtkExodusIICache vtkObject 
ArrayVector vtkExodusIICacheConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExodusIICache::New(),"vtkExodusIICache",eval);
  } else if (arg[0].className() == "vtkExodusIICache") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExodusIICache"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExodusIICache");
    vtkExodusIICache*q = reinterpret_cast<vtkExodusIICache*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExodusIICache");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExodusIICache:GetClassName vtkExodusIICacheGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExodusIICacheGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExodusIICache requires 1 argument(s)");
  vtkExodusIICache* vtk_pointer = GetVTKPointer<vtkExodusIICache>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIICache:IsA vtkExodusIICacheIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIICacheIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExodusIICache requires 2 argument(s)");
  vtkExodusIICache* vtk_pointer = GetVTKPointer<vtkExodusIICache>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIICache:NewInstance vtkExodusIICacheNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExodusIICacheNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExodusIICache *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExodusIICache requires 1 argument(s)");
  vtkExodusIICache* vtk_pointer = GetVTKPointer<vtkExodusIICache>(arg[0]);
  Array retval;
  vtkExodusIICache  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExodusIICache",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIICache:SafeDownCast vtkExodusIICacheSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIICacheSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExodusIICache *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExodusIICache requires 2 argument(s)");
  vtkExodusIICache* vtk_pointer = GetVTKPointer<vtkExodusIICache>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExodusIICache  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExodusIICache",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIICache:Clear vtkExodusIICacheClearFunction
//input a0 
//output none
ArrayVector vtkExodusIICacheClearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Clear (); */
  if (arg.size() < 1) 
    throw Exception("Function Clear for class vtkExodusIICache requires 1 argument(s)");
  vtkExodusIICache* vtk_pointer = GetVTKPointer<vtkExodusIICache>(arg[0]);
  Array retval;
  vtk_pointer->Clear();
  return retval;
}

//@@Signature
//sfunction @vtkExodusIICache:SetCacheCapacity vtkExodusIICacheSetCacheCapacityFunction
//input a0 a1 
//output none
ArrayVector vtkExodusIICacheSetCacheCapacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCacheCapacity (double sizeInMiB); */
  if (arg.size() < 2) 
    throw Exception("Function SetCacheCapacity for class vtkExodusIICache requires 2 argument(s)");
  vtkExodusIICache* vtk_pointer = GetVTKPointer<vtkExodusIICache>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCacheCapacity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusIICache:GetSpaceLeft vtkExodusIICacheGetSpaceLeftFunction
//input a0 
//output y
ArrayVector vtkExodusIICacheGetSpaceLeftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSpaceLeft ();return this Capacity this Size  */
  if (arg.size() < 1) 
    throw Exception("Function GetSpaceLeft for class vtkExodusIICache requires 1 argument(s)");
  vtkExodusIICache* vtk_pointer = GetVTKPointer<vtkExodusIICache>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSpaceLeft();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIICache:ReduceToSize vtkExodusIICacheReduceToSizeFunction
//input a0 a1 
//output y
ArrayVector vtkExodusIICacheReduceToSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ReduceToSize (double newSize); */
  if (arg.size() < 2) 
    throw Exception("Function ReduceToSize for class vtkExodusIICache requires 2 argument(s)");
  vtkExodusIICache* vtk_pointer = GetVTKPointer<vtkExodusIICache>(arg[0]);
  Array retval;
  double   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->ReduceToSize(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusIICache:display vtkExodusIICacheDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExodusIICacheDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExodusIICache* vtk_pointer = GetVTKPointer<vtkExodusIICache>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExodusIICache:delete vtkExodusIICacheDeleteFunction
//input varargin
//output none
ArrayVector vtkExodusIICacheDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
