#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExodusModel object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExodusModel.h"

//@@Signature
//sfunction @vtkExodusModel:vtkExodusModel vtkExodusModelConstructorFunction
//input a
//output p
//@@Parents vtkExodusModel vtkObject 
ArrayVector vtkExodusModelConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExodusModel::New(),"vtkExodusModel",eval);
  } else if (arg[0].className() == "vtkExodusModel") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExodusModel"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExodusModel");
    vtkExodusModel*q = reinterpret_cast<vtkExodusModel*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExodusModel");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExodusModel:GetClassName vtkExodusModelGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExodusModelGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExodusModel requires 1 argument(s)");
  vtkExodusModel* vtk_pointer = GetVTKPointer<vtkExodusModel>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusModel:IsA vtkExodusModelIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExodusModelIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExodusModel requires 2 argument(s)");
  vtkExodusModel* vtk_pointer = GetVTKPointer<vtkExodusModel>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusModel:NewInstance vtkExodusModelNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExodusModelNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExodusModel *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExodusModel requires 1 argument(s)");
  vtkExodusModel* vtk_pointer = GetVTKPointer<vtkExodusModel>(arg[0]);
  Array retval;
  vtkExodusModel  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExodusModel",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExodusModel:SafeDownCast vtkExodusModelSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExodusModelSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExodusModel *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExodusModel requires 2 argument(s)");
  vtkExodusModel* vtk_pointer = GetVTKPointer<vtkExodusModel>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExodusModel  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExodusModel",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExodusModel:SetGlobalInformation vtkExodusModelSetGlobalInformationFunction
//input a0 a1 a2 
//output y
ArrayVector vtkExodusModelSetGlobalInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SetGlobalInformation (int fid, int compute_word_size); */
  if (arg.size() < 3) 
    throw Exception("Function SetGlobalInformation for class vtkExodusModel requires 3 argument(s)");
  vtkExodusModel* vtk_pointer = GetVTKPointer<vtkExodusModel>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->SetGlobalInformation(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusModel:AddUGridElementVariable vtkExodusModelAddUGridElementVariableFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkExodusModelAddUGridElementVariableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddUGridElementVariable (char *ugridVarName, char *origName, int numComponents); */
  if (arg.size() < 4) 
    throw Exception("Function AddUGridElementVariable for class vtkExodusModel requires 4 argument(s)");
  vtkExodusModel* vtk_pointer = GetVTKPointer<vtkExodusModel>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  int      temp2;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->AddUGridElementVariable(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusModel:RemoveUGridElementVariable vtkExodusModelRemoveUGridElementVariableFunction
//input a0 a1 
//output y
ArrayVector vtkExodusModelRemoveUGridElementVariableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RemoveUGridElementVariable (char *ugridVarName); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveUGridElementVariable for class vtkExodusModel requires 2 argument(s)");
  vtkExodusModel* vtk_pointer = GetVTKPointer<vtkExodusModel>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->RemoveUGridElementVariable(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusModel:AddUGridNodeVariable vtkExodusModelAddUGridNodeVariableFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkExodusModelAddUGridNodeVariableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int AddUGridNodeVariable (char *ugridVarName, char *origName, int numComponents); */
  if (arg.size() < 4) 
    throw Exception("Function AddUGridNodeVariable for class vtkExodusModel requires 4 argument(s)");
  vtkExodusModel* vtk_pointer = GetVTKPointer<vtkExodusModel>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  int      temp2;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->AddUGridNodeVariable(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusModel:RemoveUGridNodeVariable vtkExodusModelRemoveUGridNodeVariableFunction
//input a0 a1 
//output y
ArrayVector vtkExodusModelRemoveUGridNodeVariableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RemoveUGridNodeVariable (char *ugridVarName); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveUGridNodeVariable for class vtkExodusModel requires 2 argument(s)");
  vtkExodusModel* vtk_pointer = GetVTKPointer<vtkExodusModel>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->RemoveUGridNodeVariable(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusModel:SetLocalInformation vtkExodusModelSetLocalInformationFunction
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkExodusModelSetLocalInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SetLocalInformation (vtkUnstructuredGrid *ugrid, int fid, int timeStep, int newGeometry, int compute_word_size); */
  if (arg.size() < 6) 
    throw Exception("Function SetLocalInformation for class vtkExodusModel requires 6 argument(s)");
  vtkExodusModel* vtk_pointer = GetVTKPointer<vtkExodusModel>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp20;
  temp0 = GetVTKPointer<vtkUnstructuredGrid>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  temp20 = (vtk_pointer)->SetLocalInformation(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusModel:HasMetadata vtkExodusModelHasMetadataFunction
//input a0 a1 
//output y
ArrayVector vtkExodusModelHasMetadataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int HasMetadata (vtkUnstructuredGrid *grid); */
  if (arg.size() < 2) 
    throw Exception("Function HasMetadata for class vtkExodusModel requires 2 argument(s)");
  vtkExodusModel* vtk_pointer = GetVTKPointer<vtkExodusModel>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkUnstructuredGrid>(arg[1]);
  temp20 = (vtk_pointer)->HasMetadata(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusModel:GetModelMetadata vtkExodusModelGetModelMetadataFunction
//input a0 
//output y
ArrayVector vtkExodusModelGetModelMetadataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkModelMetadata *GetModelMetadata (); */
  if (arg.size() < 1) 
    throw Exception("Function GetModelMetadata for class vtkExodusModel requires 1 argument(s)");
  vtkExodusModel* vtk_pointer = GetVTKPointer<vtkExodusModel>(arg[0]);
  Array retval;
  vtkModelMetadata  *temp20;
  temp20 = (vtk_pointer)->GetModelMetadata();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkModelMetadata",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExodusModel:SetModelMetadata vtkExodusModelSetModelMetadataFunction
//input a0 a1 
//output none
ArrayVector vtkExodusModelSetModelMetadataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetModelMetadata (vtkModelMetadata *emData); */
  if (arg.size() < 2) 
    throw Exception("Function SetModelMetadata for class vtkExodusModel requires 2 argument(s)");
  vtkExodusModel* vtk_pointer = GetVTKPointer<vtkExodusModel>(arg[0]);
  Array retval;
  vtkModelMetadata  *temp0;
  temp0 = GetVTKPointer<vtkModelMetadata>(arg[1]);
  vtk_pointer->SetModelMetadata(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusModel:UnpackExodusModel vtkExodusModelUnpackExodusModelFunction
//input a0 a1 a2 
//output y
ArrayVector vtkExodusModelUnpackExodusModelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int UnpackExodusModel (vtkUnstructuredGrid *grid, int deleteIt); */
  if (arg.size() < 3) 
    throw Exception("Function UnpackExodusModel for class vtkExodusModel requires 3 argument(s)");
  vtkExodusModel* vtk_pointer = GetVTKPointer<vtkExodusModel>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp0;
  int      temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkUnstructuredGrid>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->UnpackExodusModel(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusModel:MergeExodusModel vtkExodusModelMergeExodusModelFunction
//input a0 a1 
//output y
ArrayVector vtkExodusModelMergeExodusModelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int MergeExodusModel (vtkExodusModel *em); */
  if (arg.size() < 2) 
    throw Exception("Function MergeExodusModel for class vtkExodusModel requires 2 argument(s)");
  vtkExodusModel* vtk_pointer = GetVTKPointer<vtkExodusModel>(arg[0]);
  Array retval;
  vtkExodusModel  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkExodusModel>(arg[1]);
  temp20 = (vtk_pointer)->MergeExodusModel(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusModel:ExtractExodusModel vtkExodusModelExtractExodusModelFunction
//input a0 a1 a2 
//output y
ArrayVector vtkExodusModelExtractExodusModelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExodusModel *ExtractExodusModel (vtkIdTypeArray *globalCellIdList, vtkUnstructuredGrid *grid); */
  if (arg.size() < 3) 
    throw Exception("Function ExtractExodusModel for class vtkExodusModel requires 3 argument(s)");
  vtkExodusModel* vtk_pointer = GetVTKPointer<vtkExodusModel>(arg[0]);
  Array retval;
  vtkIdTypeArray  *temp0;
  vtkUnstructuredGrid  *temp1;
  vtkExodusModel  *temp20;
  temp0 = GetVTKPointer<vtkIdTypeArray>(arg[1]);
  temp1 = GetVTKPointer<vtkUnstructuredGrid>(arg[2]);
  temp20 = (vtk_pointer)->ExtractExodusModel(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExodusModel",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExodusModel:PackExodusModel vtkExodusModelPackExodusModelFunction
//input a0 a1 
//output none
ArrayVector vtkExodusModelPackExodusModelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PackExodusModel (vtkUnstructuredGrid *grid); */
  if (arg.size() < 2) 
    throw Exception("Function PackExodusModel for class vtkExodusModel requires 2 argument(s)");
  vtkExodusModel* vtk_pointer = GetVTKPointer<vtkExodusModel>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp0;
  temp0 = GetVTKPointer<vtkUnstructuredGrid>(arg[1]);
  vtk_pointer->PackExodusModel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusModel:Reset vtkExodusModelResetFunction
//input a0 
//output none
ArrayVector vtkExodusModelResetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Reset (); */
  if (arg.size() < 1) 
    throw Exception("Function Reset for class vtkExodusModel requires 1 argument(s)");
  vtkExodusModel* vtk_pointer = GetVTKPointer<vtkExodusModel>(arg[0]);
  Array retval;
  vtk_pointer->Reset();
  return retval;
}

//@@Signature
//sfunction @vtkExodusModel:display vtkExodusModelDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExodusModelDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExodusModel* vtk_pointer = GetVTKPointer<vtkExodusModel>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExodusModel:delete vtkExodusModelDeleteFunction
//input varargin
//output none
ArrayVector vtkExodusModelDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExodusModel
//@@Section VTKHybrid
//@@Usage
//
//   A vtkUnstructuredGrid output by vtkExodusReader or vtkPExodusReader
//   is missing a great deal of initialization and static model data 
//   that is in an Exodus II file.  (Global variables, properties,
//   node sets, side sets, and so on.)  This data can be stored in a 
//   vtkModelMetadata object, which can be initialized using
//   this vtkExodusModel class.
//
//   This class can be initialized with a file handle for an open Exodus 
//   file, and the vtkUnstructuredGrid derived from that file.  The methods 
//   used would be SetGlobalInformation, SetLocalInformation, 
//   AddUGridElementVariable and AddUGridNodeVariable.  The vtkExodusReader
//   does this.
//
//   It can also be initialized (using UnpackExodusModel) from a 
//   vtkUnstructuredGrid that has had metadata packed into it's field 
//   arrays with PackExodusModel.   The vtkExodusIIWriter does this.
//
//   If you plan to write out the Exodus file (with vtkExodusIIWriter), 
//   you should direct the Exodus reader to create a vtkExodusModel object.
//   This will be used by the Exodus writer to create a correct Exodus II 
//   file on output.  In addition, the vtkDistributedDataFilter is 
//   cognizant of the ExodusModel object and will unpack, extract, merge, 
//   and pack these objects associated with the grids it is partitioning.
//
// .SECTION See also
//   vtkExodusReader  vtkPExodusReader vtkExodusIIWriter vtkModelMetadata
//   vtkDistributedDataFilter
//
//To create an instance of class vtkExodusModel, simply
//invoke its constructor as follows
//@[
//  obj = vtkExodusModel
//@]
//@@Methods
//The class vtkExodusModel has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExodusModel class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExodusModel = obj.NewInstance ()|
// \item @|vtkExodusModel = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.SetGlobalInformation (int fid, int compute_word_size)|
// \item @|int = obj.AddUGridElementVariable (string ugridVarName, string origName, int numComponents)|
// \item @|int = obj.RemoveUGridElementVariable (string ugridVarName)|
// \item @|int = obj.AddUGridNodeVariable (string ugridVarName, string origName, int numComponents)|
// \item @|int = obj.RemoveUGridNodeVariable (string ugridVarName)|
// \item @|int = obj.SetLocalInformation (vtkUnstructuredGrid ugrid, int fid, int timeStep, int newGeometry, int compute_word_size)|
// \item @|vtkModelMetadata = obj.GetModelMetadata ()|
// \item @|obj.SetModelMetadata (vtkModelMetadata emData)|
// \item @|int = obj.UnpackExodusModel (vtkUnstructuredGrid grid, int deleteIt)|
// \item @|int = obj.MergeExodusModel (vtkExodusModel em)|
// \item @|vtkExodusModel = obj.ExtractExodusModel (vtkIdTypeArray globalCellIdList, vtkUnstructuredGrid grid)|
// \item @|obj.PackExodusModel (vtkUnstructuredGrid grid)|
// \item @|obj.Reset ()|
//\end{itemize}
//!
