#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExodusReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExodusReader.h"

//@@Signature
//sfunction @vtkExodusReader:vtkExodusReader vtkExodusReaderConstructorFunction
//input a
//output p
//@@Parents vtkExodusReader vtkUnstructuredGridAlgorithm 
ArrayVector vtkExodusReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExodusReader::New(),"vtkExodusReader",eval);
  } else if (arg[0].className() == "vtkExodusReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExodusReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExodusReader");
    vtkExodusReader*q = reinterpret_cast<vtkExodusReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExodusReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExodusReader:GetClassName vtkExodusReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:IsA vtkExodusReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExodusReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:NewInstance vtkExodusReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExodusReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExodusReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  vtkExodusReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExodusReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SafeDownCast vtkExodusReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExodusReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExodusReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExodusReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExodusReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:CanReadFile vtkExodusReaderCanReadFileFunction
//input a0 a1 
//output y
ArrayVector vtkExodusReaderCanReadFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CanReadFile (const char *fname); */
  if (arg.size() < 2) 
    throw Exception("Function CanReadFile for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CanReadFile(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetFileName vtkExodusReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkExodusReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetFileName vtkExodusReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetXMLFileName vtkExodusReaderSetXMLFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkExodusReaderSetXMLFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXMLFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetXMLFileName for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetXMLFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetXMLFileName vtkExodusReaderGetXMLFileNameFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetXMLFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetXMLFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXMLFileName for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetXMLFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetTimeStep vtkExodusReaderSetTimeStepFunction
//input a0 a1 
//output none
ArrayVector vtkExodusReaderSetTimeStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimeStep (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimeStep for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTimeStep(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetTimeStep vtkExodusReaderGetTimeStepFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetTimeStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTimeStep (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimeStep for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTimeStep();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetGenerateBlockIdCellArray vtkExodusReaderSetGenerateBlockIdCellArrayFunction
//input a0 a1 
//output none
ArrayVector vtkExodusReaderSetGenerateBlockIdCellArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateBlockIdCellArray (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateBlockIdCellArray for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateBlockIdCellArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetGenerateBlockIdCellArray vtkExodusReaderGetGenerateBlockIdCellArrayFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetGenerateBlockIdCellArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateBlockIdCellArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateBlockIdCellArray for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateBlockIdCellArray();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GenerateBlockIdCellArrayOn vtkExodusReaderGenerateBlockIdCellArrayOnFunction
//input a0 
//output none
ArrayVector vtkExodusReaderGenerateBlockIdCellArrayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateBlockIdCellArrayOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateBlockIdCellArrayOn for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateBlockIdCellArrayOn();
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GenerateBlockIdCellArrayOff vtkExodusReaderGenerateBlockIdCellArrayOffFunction
//input a0 
//output none
ArrayVector vtkExodusReaderGenerateBlockIdCellArrayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateBlockIdCellArrayOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateBlockIdCellArrayOff for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateBlockIdCellArrayOff();
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetBlockIdArrayName vtkExodusReaderGetBlockIdArrayNameFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetBlockIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetBlockIdArrayName ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetBlockIdArrayName for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetBlockIdArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetGenerateGlobalElementIdArray vtkExodusReaderSetGenerateGlobalElementIdArrayFunction
//input a0 a1 
//output none
ArrayVector vtkExodusReaderSetGenerateGlobalElementIdArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateGlobalElementIdArray (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateGlobalElementIdArray for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateGlobalElementIdArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetGenerateGlobalElementIdArray vtkExodusReaderGetGenerateGlobalElementIdArrayFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetGenerateGlobalElementIdArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateGlobalElementIdArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateGlobalElementIdArray for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateGlobalElementIdArray();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GenerateGlobalElementIdArrayOn vtkExodusReaderGenerateGlobalElementIdArrayOnFunction
//input a0 
//output none
ArrayVector vtkExodusReaderGenerateGlobalElementIdArrayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateGlobalElementIdArrayOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateGlobalElementIdArrayOn for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateGlobalElementIdArrayOn();
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GenerateGlobalElementIdArrayOff vtkExodusReaderGenerateGlobalElementIdArrayOffFunction
//input a0 
//output none
ArrayVector vtkExodusReaderGenerateGlobalElementIdArrayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateGlobalElementIdArrayOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateGlobalElementIdArrayOff for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateGlobalElementIdArrayOff();
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetGlobalElementIdArrayName vtkExodusReaderGetGlobalElementIdArrayNameFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetGlobalElementIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetGlobalElementIdArrayName ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetGlobalElementIdArrayName for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetGlobalElementIdArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetPedigreeElementIdArrayName vtkExodusReaderGetPedigreeElementIdArrayNameFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetPedigreeElementIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetPedigreeElementIdArrayName ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetPedigreeElementIdArrayName for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetPedigreeElementIdArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetGlobalElementID__1 vtkExodusReaderGetGlobalElementID__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkExodusReaderGetGlobalElementID__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetGlobalElementID (vtkDataSet *data, int localID); */
  if (arg.size() < 3) 
    throw Exception("Function GetGlobalElementID__1 for class vtkExodusReader requires 3 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  int      temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetGlobalElementID(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetGlobalElementID__2 vtkExodusReaderGetGlobalElementID__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkExodusReaderGetGlobalElementID__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetGlobalElementID (vtkDataSet *data, int localID, int searchType); */
  if (arg.size() < 4) 
    throw Exception("Function GetGlobalElementID__2 for class vtkExodusReader requires 4 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->GetGlobalElementID(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetGenerateGlobalNodeIdArray vtkExodusReaderSetGenerateGlobalNodeIdArrayFunction
//input a0 a1 
//output none
ArrayVector vtkExodusReaderSetGenerateGlobalNodeIdArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateGlobalNodeIdArray (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateGlobalNodeIdArray for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateGlobalNodeIdArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetGenerateGlobalNodeIdArray vtkExodusReaderGetGenerateGlobalNodeIdArrayFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetGenerateGlobalNodeIdArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateGlobalNodeIdArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateGlobalNodeIdArray for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateGlobalNodeIdArray();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GenerateGlobalNodeIdArrayOn vtkExodusReaderGenerateGlobalNodeIdArrayOnFunction
//input a0 
//output none
ArrayVector vtkExodusReaderGenerateGlobalNodeIdArrayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateGlobalNodeIdArrayOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateGlobalNodeIdArrayOn for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateGlobalNodeIdArrayOn();
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GenerateGlobalNodeIdArrayOff vtkExodusReaderGenerateGlobalNodeIdArrayOffFunction
//input a0 
//output none
ArrayVector vtkExodusReaderGenerateGlobalNodeIdArrayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateGlobalNodeIdArrayOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateGlobalNodeIdArrayOff for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateGlobalNodeIdArrayOff();
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetGlobalNodeIdArrayName vtkExodusReaderGetGlobalNodeIdArrayNameFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetGlobalNodeIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetGlobalNodeIdArrayName ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetGlobalNodeIdArrayName for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetGlobalNodeIdArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetPedigreeNodeIdArrayName vtkExodusReaderGetPedigreeNodeIdArrayNameFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetPedigreeNodeIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetPedigreeNodeIdArrayName ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetPedigreeNodeIdArrayName for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetPedigreeNodeIdArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetGlobalNodeID__1 vtkExodusReaderGetGlobalNodeID__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkExodusReaderGetGlobalNodeID__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetGlobalNodeID (vtkDataSet *data, int localID); */
  if (arg.size() < 3) 
    throw Exception("Function GetGlobalNodeID__1 for class vtkExodusReader requires 3 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  int      temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetGlobalNodeID(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetGlobalNodeID__2 vtkExodusReaderGetGlobalNodeID__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkExodusReaderGetGlobalNodeID__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetGlobalNodeID (vtkDataSet *data, int localID, int searchType); */
  if (arg.size() < 4) 
    throw Exception("Function GetGlobalNodeID__2 for class vtkExodusReader requires 4 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->GetGlobalNodeID(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetApplyDisplacements vtkExodusReaderSetApplyDisplacementsFunction
//input a0 a1 
//output none
ArrayVector vtkExodusReaderSetApplyDisplacementsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetApplyDisplacements (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetApplyDisplacements for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetApplyDisplacements(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetApplyDisplacements vtkExodusReaderGetApplyDisplacementsFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetApplyDisplacementsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetApplyDisplacements (); */
  if (arg.size() < 1) 
    throw Exception("Function GetApplyDisplacements for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetApplyDisplacements();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:ApplyDisplacementsOn vtkExodusReaderApplyDisplacementsOnFunction
//input a0 
//output none
ArrayVector vtkExodusReaderApplyDisplacementsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ApplyDisplacementsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ApplyDisplacementsOn for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  vtk_pointer->ApplyDisplacementsOn();
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:ApplyDisplacementsOff vtkExodusReaderApplyDisplacementsOffFunction
//input a0 
//output none
ArrayVector vtkExodusReaderApplyDisplacementsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ApplyDisplacementsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ApplyDisplacementsOff for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  vtk_pointer->ApplyDisplacementsOff();
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetDisplacementMagnitude vtkExodusReaderSetDisplacementMagnitudeFunction
//input a0 a1 
//output none
ArrayVector vtkExodusReaderSetDisplacementMagnitudeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDisplacementMagnitude (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDisplacementMagnitude for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDisplacementMagnitude(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetDisplacementMagnitude vtkExodusReaderGetDisplacementMagnitudeFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetDisplacementMagnitudeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetDisplacementMagnitude (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDisplacementMagnitude for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetDisplacementMagnitude();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetTitle vtkExodusReaderGetTitleFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetTitle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTitle for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetTitle();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetDimensionality vtkExodusReaderGetDimensionalityFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetDimensionalityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDimensionality (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensionality for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimensionality();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetNumberOfTimeSteps vtkExodusReaderGetNumberOfTimeStepsFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetNumberOfTimeStepsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfTimeSteps (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTimeSteps for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfTimeSteps();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetNumberOfElements vtkExodusReaderGetNumberOfElementsFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetNumberOfElementsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfElements ();return this NumberOfUsedElements  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfElements for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfElements();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetNumberOfNodeSets vtkExodusReaderGetNumberOfNodeSetsFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetNumberOfNodeSetsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfNodeSets (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfNodeSets for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfNodeSets();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetNumberOfSideSets vtkExodusReaderGetNumberOfSideSetsFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetNumberOfSideSetsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSideSets (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSideSets for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSideSets();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetNumberOfBlocks vtkExodusReaderGetNumberOfBlocksFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetNumberOfBlocksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfBlocks (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfBlocks for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfBlocks();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetTimeStepRange vtkExodusReaderGetTimeStepRangeFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetTimeStepRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetTimeStepRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimeStepRange for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetTimeStepRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetTimeStepRange__1 vtkExodusReaderSetTimeStepRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkExodusReaderSetTimeStepRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimeStepRange (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetTimeStepRange__1 for class vtkExodusReader requires 3 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetTimeStepRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetTimeStepRange__2 vtkExodusReaderSetTimeStepRange__2Function
//input a0 a1 
//output none
ArrayVector vtkExodusReaderSetTimeStepRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimeStepRange (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimeStepRange__2 for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetTimeStepRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetNumberOfNodes vtkExodusReaderGetNumberOfNodesFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetNumberOfNodesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfNodes ();return this NumberOfUsedNodes  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfNodes for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfNodes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetNumberOfElementsInBlock vtkExodusReaderGetNumberOfElementsInBlockFunction
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetNumberOfElementsInBlockFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfElementsInBlock (int block_idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfElementsInBlock for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfElementsInBlock(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetBlockId vtkExodusReaderGetBlockIdFunction
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetBlockIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBlockId (int block_idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetBlockId for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetBlockId(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetTotalNumberOfNodes vtkExodusReaderGetTotalNumberOfNodesFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetTotalNumberOfNodesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetTotalNumberOfNodes ();return this NumberOfNodesInFile  */
  if (arg.size() < 1) 
    throw Exception("Function GetTotalNumberOfNodes for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTotalNumberOfNodes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetNumberOfPointArrays vtkExodusReaderGetNumberOfPointArraysFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetNumberOfPointArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPointArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPointArrays for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPointArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetPointArrayName vtkExodusReaderGetPointArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetPointArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetPointArrayName (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetPointArrayName for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPointArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetPointArrayID vtkExodusReaderGetPointArrayIDFunction
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetPointArrayIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointArrayID (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetPointArrayID for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetPointArrayID(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetPointArrayNumberOfComponents vtkExodusReaderGetPointArrayNumberOfComponentsFunction
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetPointArrayNumberOfComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointArrayNumberOfComponents (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetPointArrayNumberOfComponents for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPointArrayNumberOfComponents(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetPointArrayStatus__1 vtkExodusReaderSetPointArrayStatus__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkExodusReaderSetPointArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointArrayStatus (int index, int flag); */
  if (arg.size() < 3) 
    throw Exception("Function SetPointArrayStatus__1 for class vtkExodusReader requires 3 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetPointArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetPointArrayStatus__2 vtkExodusReaderSetPointArrayStatus__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkExodusReaderSetPointArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointArrayStatus (const char *, int flag); */
  if (arg.size() < 3) 
    throw Exception("Function SetPointArrayStatus__2 for class vtkExodusReader requires 3 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetPointArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetPointArrayStatus__1 vtkExodusReaderGetPointArrayStatus__1Function
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetPointArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointArrayStatus (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetPointArrayStatus__1 for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPointArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetPointArrayStatus__2 vtkExodusReaderGetPointArrayStatus__2Function
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetPointArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointArrayStatus (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function GetPointArrayStatus__2 for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetPointArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetNumberOfCellArrays vtkExodusReaderGetNumberOfCellArraysFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetNumberOfCellArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfCellArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCellArrays for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfCellArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetCellArrayName vtkExodusReaderGetCellArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetCellArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetCellArrayName (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellArrayName for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCellArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetCellArrayID vtkExodusReaderGetCellArrayIDFunction
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetCellArrayIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellArrayID (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellArrayID for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetCellArrayID(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetCellArrayNumberOfComponents vtkExodusReaderGetCellArrayNumberOfComponentsFunction
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetCellArrayNumberOfComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellArrayNumberOfComponents (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellArrayNumberOfComponents for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCellArrayNumberOfComponents(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetCellArrayStatus__1 vtkExodusReaderSetCellArrayStatus__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkExodusReaderSetCellArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellArrayStatus (int index, int flag); */
  if (arg.size() < 3) 
    throw Exception("Function SetCellArrayStatus__1 for class vtkExodusReader requires 3 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetCellArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetCellArrayStatus__2 vtkExodusReaderSetCellArrayStatus__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkExodusReaderSetCellArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellArrayStatus (const char *, int flag); */
  if (arg.size() < 3) 
    throw Exception("Function SetCellArrayStatus__2 for class vtkExodusReader requires 3 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetCellArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetCellArrayStatus__1 vtkExodusReaderGetCellArrayStatus__1Function
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetCellArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellArrayStatus (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellArrayStatus__1 for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCellArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetCellArrayStatus__2 vtkExodusReaderGetCellArrayStatus__2Function
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetCellArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellArrayStatus (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellArrayStatus__2 for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetCellArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetTotalNumberOfElements vtkExodusReaderGetTotalNumberOfElementsFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetTotalNumberOfElementsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetTotalNumberOfElements ();return this NumberOfElementsInFile  */
  if (arg.size() < 1) 
    throw Exception("Function GetTotalNumberOfElements for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTotalNumberOfElements();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetNumberOfBlockArrays vtkExodusReaderGetNumberOfBlockArraysFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetNumberOfBlockArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfBlockArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfBlockArrays for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfBlockArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetBlockArrayName vtkExodusReaderGetBlockArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetBlockArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetBlockArrayName (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetBlockArrayName for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetBlockArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetBlockArrayID vtkExodusReaderGetBlockArrayIDFunction
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetBlockArrayIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBlockArrayID (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetBlockArrayID for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetBlockArrayID(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetBlockArrayStatus__1 vtkExodusReaderSetBlockArrayStatus__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkExodusReaderSetBlockArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBlockArrayStatus (int index, int flag); */
  if (arg.size() < 3) 
    throw Exception("Function SetBlockArrayStatus__1 for class vtkExodusReader requires 3 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetBlockArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetBlockArrayStatus__2 vtkExodusReaderSetBlockArrayStatus__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkExodusReaderSetBlockArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBlockArrayStatus (const char *, int flag); */
  if (arg.size() < 3) 
    throw Exception("Function SetBlockArrayStatus__2 for class vtkExodusReader requires 3 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetBlockArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetBlockArrayStatus__1 vtkExodusReaderGetBlockArrayStatus__1Function
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetBlockArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBlockArrayStatus (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetBlockArrayStatus__1 for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetBlockArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetBlockArrayStatus__2 vtkExodusReaderGetBlockArrayStatus__2Function
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetBlockArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBlockArrayStatus (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function GetBlockArrayStatus__2 for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetBlockArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetNumberOfNodeSetArrays vtkExodusReaderGetNumberOfNodeSetArraysFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetNumberOfNodeSetArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfNodeSetArrays ();return this GetNumberOfNodeSets  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfNodeSetArrays for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfNodeSetArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetNodeSetArrayStatus__1 vtkExodusReaderGetNodeSetArrayStatus__1Function
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetNodeSetArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNodeSetArrayStatus (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetNodeSetArrayStatus__1 for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNodeSetArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetNodeSetArrayStatus__2 vtkExodusReaderGetNodeSetArrayStatus__2Function
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetNodeSetArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNodeSetArrayStatus (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetNodeSetArrayStatus__2 for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetNodeSetArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetNodeSetArrayStatus__1 vtkExodusReaderSetNodeSetArrayStatus__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkExodusReaderSetNodeSetArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNodeSetArrayStatus (int index, int flag); */
  if (arg.size() < 3) 
    throw Exception("Function SetNodeSetArrayStatus__1 for class vtkExodusReader requires 3 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetNodeSetArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetNodeSetArrayStatus__2 vtkExodusReaderSetNodeSetArrayStatus__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkExodusReaderSetNodeSetArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNodeSetArrayStatus (const char *name, int flag); */
  if (arg.size() < 3) 
    throw Exception("Function SetNodeSetArrayStatus__2 for class vtkExodusReader requires 3 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetNodeSetArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetNodeSetArrayName vtkExodusReaderGetNodeSetArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetNodeSetArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetNodeSetArrayName (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetNodeSetArrayName for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNodeSetArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetNumberOfSideSetArrays vtkExodusReaderGetNumberOfSideSetArraysFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetNumberOfSideSetArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSideSetArrays ();return this GetNumberOfSideSets  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSideSetArrays for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSideSetArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetSideSetArrayStatus__1 vtkExodusReaderGetSideSetArrayStatus__1Function
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetSideSetArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSideSetArrayStatus (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetSideSetArrayStatus__1 for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetSideSetArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetSideSetArrayStatus__2 vtkExodusReaderGetSideSetArrayStatus__2Function
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetSideSetArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSideSetArrayStatus (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetSideSetArrayStatus__2 for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetSideSetArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetSideSetArrayStatus__1 vtkExodusReaderSetSideSetArrayStatus__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkExodusReaderSetSideSetArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSideSetArrayStatus (int index, int flag); */
  if (arg.size() < 3) 
    throw Exception("Function SetSideSetArrayStatus__1 for class vtkExodusReader requires 3 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetSideSetArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetSideSetArrayStatus__2 vtkExodusReaderSetSideSetArrayStatus__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkExodusReaderSetSideSetArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSideSetArrayStatus (const char *name, int flag); */
  if (arg.size() < 3) 
    throw Exception("Function SetSideSetArrayStatus__2 for class vtkExodusReader requires 3 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetSideSetArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetSideSetArrayName vtkExodusReaderGetSideSetArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetSideSetArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetSideSetArrayName (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetSideSetArrayName for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetSideSetArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetNumberOfPartArrays vtkExodusReaderGetNumberOfPartArraysFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetNumberOfPartArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPartArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPartArrays for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPartArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetPartArrayName vtkExodusReaderGetPartArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetPartArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetPartArrayName (int arrayIdx); */
  if (arg.size() < 2) 
    throw Exception("Function GetPartArrayName for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPartArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetPartArrayID vtkExodusReaderGetPartArrayIDFunction
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetPartArrayIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPartArrayID (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetPartArrayID for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetPartArrayID(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetPartBlockInfo vtkExodusReaderGetPartBlockInfoFunction
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetPartBlockInfoFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetPartBlockInfo (int arrayIdx); */
  if (arg.size() < 2) 
    throw Exception("Function GetPartBlockInfo for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPartBlockInfo(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetPartArrayStatus__1 vtkExodusReaderSetPartArrayStatus__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkExodusReaderSetPartArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPartArrayStatus (int index, int flag); */
  if (arg.size() < 3) 
    throw Exception("Function SetPartArrayStatus__1 for class vtkExodusReader requires 3 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetPartArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetPartArrayStatus__2 vtkExodusReaderSetPartArrayStatus__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkExodusReaderSetPartArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPartArrayStatus (const char *, int flag); */
  if (arg.size() < 3) 
    throw Exception("Function SetPartArrayStatus__2 for class vtkExodusReader requires 3 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetPartArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetPartArrayStatus__1 vtkExodusReaderGetPartArrayStatus__1Function
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetPartArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPartArrayStatus (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetPartArrayStatus__1 for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPartArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetPartArrayStatus__2 vtkExodusReaderGetPartArrayStatus__2Function
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetPartArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPartArrayStatus (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function GetPartArrayStatus__2 for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetPartArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetNumberOfMaterialArrays vtkExodusReaderGetNumberOfMaterialArraysFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetNumberOfMaterialArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfMaterialArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfMaterialArrays for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfMaterialArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetMaterialArrayName vtkExodusReaderGetMaterialArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetMaterialArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetMaterialArrayName (int arrayIdx); */
  if (arg.size() < 2) 
    throw Exception("Function GetMaterialArrayName for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetMaterialArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetMaterialArrayID vtkExodusReaderGetMaterialArrayIDFunction
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetMaterialArrayIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaterialArrayID (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetMaterialArrayID for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetMaterialArrayID(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetMaterialArrayStatus__1 vtkExodusReaderSetMaterialArrayStatus__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkExodusReaderSetMaterialArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaterialArrayStatus (int index, int flag); */
  if (arg.size() < 3) 
    throw Exception("Function SetMaterialArrayStatus__1 for class vtkExodusReader requires 3 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetMaterialArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetMaterialArrayStatus__2 vtkExodusReaderSetMaterialArrayStatus__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkExodusReaderSetMaterialArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaterialArrayStatus (const char *, int flag); */
  if (arg.size() < 3) 
    throw Exception("Function SetMaterialArrayStatus__2 for class vtkExodusReader requires 3 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetMaterialArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetMaterialArrayStatus__1 vtkExodusReaderGetMaterialArrayStatus__1Function
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetMaterialArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaterialArrayStatus (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetMaterialArrayStatus__1 for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetMaterialArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetMaterialArrayStatus__2 vtkExodusReaderGetMaterialArrayStatus__2Function
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetMaterialArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaterialArrayStatus (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function GetMaterialArrayStatus__2 for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetMaterialArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetNumberOfAssemblyArrays vtkExodusReaderGetNumberOfAssemblyArraysFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetNumberOfAssemblyArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfAssemblyArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfAssemblyArrays for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfAssemblyArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetAssemblyArrayName vtkExodusReaderGetAssemblyArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetAssemblyArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetAssemblyArrayName (int arrayIdx); */
  if (arg.size() < 2) 
    throw Exception("Function GetAssemblyArrayName for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetAssemblyArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetAssemblyArrayID vtkExodusReaderGetAssemblyArrayIDFunction
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetAssemblyArrayIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAssemblyArrayID (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetAssemblyArrayID for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetAssemblyArrayID(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetAssemblyArrayStatus__1 vtkExodusReaderSetAssemblyArrayStatus__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkExodusReaderSetAssemblyArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAssemblyArrayStatus (int index, int flag); */
  if (arg.size() < 3) 
    throw Exception("Function SetAssemblyArrayStatus__1 for class vtkExodusReader requires 3 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetAssemblyArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetAssemblyArrayStatus__2 vtkExodusReaderSetAssemblyArrayStatus__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkExodusReaderSetAssemblyArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAssemblyArrayStatus (const char *, int flag); */
  if (arg.size() < 3) 
    throw Exception("Function SetAssemblyArrayStatus__2 for class vtkExodusReader requires 3 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetAssemblyArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetAssemblyArrayStatus__1 vtkExodusReaderGetAssemblyArrayStatus__1Function
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetAssemblyArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAssemblyArrayStatus (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetAssemblyArrayStatus__1 for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetAssemblyArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetAssemblyArrayStatus__2 vtkExodusReaderGetAssemblyArrayStatus__2Function
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetAssemblyArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAssemblyArrayStatus (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function GetAssemblyArrayStatus__2 for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetAssemblyArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetNumberOfHierarchyArrays vtkExodusReaderGetNumberOfHierarchyArraysFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetNumberOfHierarchyArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfHierarchyArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfHierarchyArrays for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfHierarchyArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetHierarchyArrayName vtkExodusReaderGetHierarchyArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetHierarchyArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetHierarchyArrayName (int arrayIdx); */
  if (arg.size() < 2) 
    throw Exception("Function GetHierarchyArrayName for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetHierarchyArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetHierarchyArrayStatus__1 vtkExodusReaderSetHierarchyArrayStatus__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkExodusReaderSetHierarchyArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHierarchyArrayStatus (int index, int flag); */
  if (arg.size() < 3) 
    throw Exception("Function SetHierarchyArrayStatus__1 for class vtkExodusReader requires 3 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetHierarchyArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetHierarchyArrayStatus__2 vtkExodusReaderSetHierarchyArrayStatus__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkExodusReaderSetHierarchyArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHierarchyArrayStatus (const char *, int flag); */
  if (arg.size() < 3) 
    throw Exception("Function SetHierarchyArrayStatus__2 for class vtkExodusReader requires 3 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetHierarchyArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetHierarchyArrayStatus__1 vtkExodusReaderGetHierarchyArrayStatus__1Function
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetHierarchyArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetHierarchyArrayStatus (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetHierarchyArrayStatus__1 for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetHierarchyArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetHierarchyArrayStatus__2 vtkExodusReaderGetHierarchyArrayStatus__2Function
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetHierarchyArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetHierarchyArrayStatus (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function GetHierarchyArrayStatus__2 for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetHierarchyArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetHasModeShapes vtkExodusReaderGetHasModeShapesFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetHasModeShapesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetHasModeShapes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHasModeShapes for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetHasModeShapes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetHasModeShapes vtkExodusReaderSetHasModeShapesFunction
//input a0 a1 
//output none
ArrayVector vtkExodusReaderSetHasModeShapesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHasModeShapes (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHasModeShapes for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetHasModeShapes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:HasModeShapesOn vtkExodusReaderHasModeShapesOnFunction
//input a0 
//output none
ArrayVector vtkExodusReaderHasModeShapesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HasModeShapesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function HasModeShapesOn for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  vtk_pointer->HasModeShapesOn();
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:HasModeShapesOff vtkExodusReaderHasModeShapesOffFunction
//input a0 
//output none
ArrayVector vtkExodusReaderHasModeShapesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HasModeShapesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function HasModeShapesOff for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  vtk_pointer->HasModeShapesOff();
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetDisplayType vtkExodusReaderGetDisplayTypeFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetDisplayTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDisplayType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDisplayType for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDisplayType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetDisplayType vtkExodusReaderSetDisplayTypeFunction
//input a0 a1 
//output none
ArrayVector vtkExodusReaderSetDisplayTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDisplayType (int type); */
  if (arg.size() < 2) 
    throw Exception("Function SetDisplayType for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDisplayType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:ExodusModelMetadataOn vtkExodusReaderExodusModelMetadataOnFunction
//input a0 
//output none
ArrayVector vtkExodusReaderExodusModelMetadataOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExodusModelMetadataOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ExodusModelMetadataOn for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  vtk_pointer->ExodusModelMetadataOn();
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:ExodusModelMetadataOff vtkExodusReaderExodusModelMetadataOffFunction
//input a0 
//output none
ArrayVector vtkExodusReaderExodusModelMetadataOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExodusModelMetadataOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ExodusModelMetadataOff for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  vtk_pointer->ExodusModelMetadataOff();
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetExodusModelMetadata vtkExodusReaderSetExodusModelMetadataFunction
//input a0 a1 
//output none
ArrayVector vtkExodusReaderSetExodusModelMetadataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExodusModelMetadata (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetExodusModelMetadata for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetExodusModelMetadata(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetExodusModelMetadata vtkExodusReaderGetExodusModelMetadataFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetExodusModelMetadataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExodusModelMetadata (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExodusModelMetadata for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExodusModelMetadata();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetExodusModel vtkExodusReaderGetExodusModelFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetExodusModelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExodusModel *GetExodusModel ();return this ExodusModel  */
  if (arg.size() < 1) 
    throw Exception("Function GetExodusModel for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  vtkExodusModel  *temp20;
  temp20 = (vtk_pointer)->GetExodusModel();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExodusModel",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetPackExodusModelOntoOutput vtkExodusReaderSetPackExodusModelOntoOutputFunction
//input a0 a1 
//output none
ArrayVector vtkExodusReaderSetPackExodusModelOntoOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPackExodusModelOntoOutput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPackExodusModelOntoOutput for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPackExodusModelOntoOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetPackExodusModelOntoOutput vtkExodusReaderGetPackExodusModelOntoOutputFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetPackExodusModelOntoOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPackExodusModelOntoOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPackExodusModelOntoOutput for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPackExodusModelOntoOutput();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:PackExodusModelOntoOutputOn vtkExodusReaderPackExodusModelOntoOutputOnFunction
//input a0 
//output none
ArrayVector vtkExodusReaderPackExodusModelOntoOutputOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PackExodusModelOntoOutputOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PackExodusModelOntoOutputOn for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  vtk_pointer->PackExodusModelOntoOutputOn();
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:PackExodusModelOntoOutputOff vtkExodusReaderPackExodusModelOntoOutputOffFunction
//input a0 
//output none
ArrayVector vtkExodusReaderPackExodusModelOntoOutputOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PackExodusModelOntoOutputOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PackExodusModelOntoOutputOff for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  vtk_pointer->PackExodusModelOntoOutputOff();
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:IsValidVariable vtkExodusReaderIsValidVariableFunction
//input a0 a1 a2 
//output y
ArrayVector vtkExodusReaderIsValidVariableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsValidVariable (const char *type, const char *name); */
  if (arg.size() < 3) 
    throw Exception("Function IsValidVariable for class vtkExodusReader requires 3 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  temp20 = (vtk_pointer)->IsValidVariable(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetVariableID vtkExodusReaderGetVariableIDFunction
//input a0 a1 a2 
//output y
ArrayVector vtkExodusReaderGetVariableIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVariableID (const char *type, const char *name); */
  if (arg.size() < 3) 
    throw Exception("Function GetVariableID for class vtkExodusReader requires 3 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  temp20 = (vtk_pointer)->GetVariableID(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetAllAssemblyArrayStatus vtkExodusReaderSetAllAssemblyArrayStatusFunction
//input a0 a1 
//output none
ArrayVector vtkExodusReaderSetAllAssemblyArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAllAssemblyArrayStatus (int status); */
  if (arg.size() < 2) 
    throw Exception("Function SetAllAssemblyArrayStatus for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAllAssemblyArrayStatus(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetAllBlockArrayStatus vtkExodusReaderSetAllBlockArrayStatusFunction
//input a0 a1 
//output none
ArrayVector vtkExodusReaderSetAllBlockArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAllBlockArrayStatus (int status); */
  if (arg.size() < 2) 
    throw Exception("Function SetAllBlockArrayStatus for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAllBlockArrayStatus(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetAllCellArrayStatus vtkExodusReaderSetAllCellArrayStatusFunction
//input a0 a1 
//output none
ArrayVector vtkExodusReaderSetAllCellArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAllCellArrayStatus (int status); */
  if (arg.size() < 2) 
    throw Exception("Function SetAllCellArrayStatus for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAllCellArrayStatus(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetAllHierarchyArrayStatus vtkExodusReaderSetAllHierarchyArrayStatusFunction
//input a0 a1 
//output none
ArrayVector vtkExodusReaderSetAllHierarchyArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAllHierarchyArrayStatus (int status); */
  if (arg.size() < 2) 
    throw Exception("Function SetAllHierarchyArrayStatus for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAllHierarchyArrayStatus(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetAllMaterialArrayStatus vtkExodusReaderSetAllMaterialArrayStatusFunction
//input a0 a1 
//output none
ArrayVector vtkExodusReaderSetAllMaterialArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAllMaterialArrayStatus (int status); */
  if (arg.size() < 2) 
    throw Exception("Function SetAllMaterialArrayStatus for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAllMaterialArrayStatus(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetAllPartArrayStatus vtkExodusReaderSetAllPartArrayStatusFunction
//input a0 a1 
//output none
ArrayVector vtkExodusReaderSetAllPartArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAllPartArrayStatus (int status); */
  if (arg.size() < 2) 
    throw Exception("Function SetAllPartArrayStatus for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAllPartArrayStatus(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetAllPointArrayStatus vtkExodusReaderSetAllPointArrayStatusFunction
//input a0 a1 
//output none
ArrayVector vtkExodusReaderSetAllPointArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAllPointArrayStatus (int status); */
  if (arg.size() < 2) 
    throw Exception("Function SetAllPointArrayStatus for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAllPointArrayStatus(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:SetArrayStatus vtkExodusReaderSetArrayStatusFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkExodusReaderSetArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArrayStatus (const char *type, const char *name, int flag);this SetArrayStatus this GetArrayTypeID type name flag  */
  if (arg.size() < 4) 
    throw Exception("Function SetArrayStatus for class vtkExodusReader requires 4 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  int      temp2;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetArrayStatus(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetArrayStatus vtkExodusReaderGetArrayStatusFunction
//input a0 a1 a2 
//output y
ArrayVector vtkExodusReaderGetArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetArrayStatus (const char *type, const char *name);return this GetArrayStatus this GetArrayTypeID type name  */
  if (arg.size() < 3) 
    throw Exception("Function GetArrayStatus for class vtkExodusReader requires 3 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  temp20 = (vtk_pointer)->GetArrayStatus(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:StringsEqual vtkExodusReaderStringsEqualFunction
//input a0 a1 a2 
//output y
ArrayVector vtkExodusReaderStringsEqualFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int StringsEqual (const char *s1, char *s2); */
  if (arg.size() < 3) 
    throw Exception("Function StringsEqual for class vtkExodusReader requires 3 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  temp20 = (vtk_pointer)->StringsEqual(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:StringUppercase vtkExodusReaderStringUppercaseFunction
//input a0 a1 a2 
//output none
ArrayVector vtkExodusReaderStringUppercaseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void StringUppercase (const char *str, char *upperstr); */
  if (arg.size() < 3) 
    throw Exception("Function StringUppercase for class vtkExodusReader requires 3 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->StringUppercase(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:StrDupWithNew vtkExodusReaderStrDupWithNewFunction
//input a0 a1 
//output y
ArrayVector vtkExodusReaderStrDupWithNewFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static char *StrDupWithNew (const char *s); */
  if (arg.size() < 2) 
    throw Exception("Function StrDupWithNew for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->StrDupWithNew(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetTimeSeriesData vtkExodusReaderGetTimeSeriesDataFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkExodusReaderGetTimeSeriesDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTimeSeriesData (int ID, const char *vName, const char *vType, vtkFloatArray *result); */
  if (arg.size() < 5) 
    throw Exception("Function GetTimeSeriesData for class vtkExodusReader requires 5 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  char    *temp2;
  vtkFloatArray  *temp3;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  char tmp_string2[1024];
  strcpy(tmp_string2,qPrintable(arg[3].asString())); 
  temp2 = tmp_string2;
  temp3 = GetVTKPointer<vtkFloatArray>(arg[4]);
  temp20 = (vtk_pointer)->GetTimeSeriesData(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetNumberOfVariableArrays vtkExodusReaderGetNumberOfVariableArraysFunction
//input a0 
//output y
ArrayVector vtkExodusReaderGetNumberOfVariableArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfVariableArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfVariableArrays for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfVariableArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetVariableArrayName vtkExodusReaderGetVariableArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkExodusReaderGetVariableArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetVariableArrayName (int a_which); */
  if (arg.size() < 2) 
    throw Exception("Function GetVariableArrayName for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetVariableArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:EnableDSPFiltering vtkExodusReaderEnableDSPFilteringFunction
//input a0 
//output none
ArrayVector vtkExodusReaderEnableDSPFilteringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableDSPFiltering (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableDSPFiltering for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  vtk_pointer->EnableDSPFiltering();
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:AddFilter vtkExodusReaderAddFilterFunction
//input a0 a1 
//output none
ArrayVector vtkExodusReaderAddFilterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddFilter (vtkDSPFilterDefinition *a_filter); */
  if (arg.size() < 2) 
    throw Exception("Function AddFilter for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  vtkDSPFilterDefinition  *temp0;
  temp0 = GetVTKPointer<vtkDSPFilterDefinition>(arg[1]);
  vtk_pointer->AddFilter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:StartAddingFilter vtkExodusReaderStartAddingFilterFunction
//input a0 
//output none
ArrayVector vtkExodusReaderStartAddingFilterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StartAddingFilter (); */
  if (arg.size() < 1) 
    throw Exception("Function StartAddingFilter for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  vtk_pointer->StartAddingFilter();
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:AddFilterInputVar vtkExodusReaderAddFilterInputVarFunction
//input a0 a1 
//output none
ArrayVector vtkExodusReaderAddFilterInputVarFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddFilterInputVar (char *name); */
  if (arg.size() < 2) 
    throw Exception("Function AddFilterInputVar for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->AddFilterInputVar(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:AddFilterOutputVar vtkExodusReaderAddFilterOutputVarFunction
//input a0 a1 
//output none
ArrayVector vtkExodusReaderAddFilterOutputVarFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddFilterOutputVar (char *name); */
  if (arg.size() < 2) 
    throw Exception("Function AddFilterOutputVar for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->AddFilterOutputVar(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:AddFilterNumeratorWeight vtkExodusReaderAddFilterNumeratorWeightFunction
//input a0 a1 
//output none
ArrayVector vtkExodusReaderAddFilterNumeratorWeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddFilterNumeratorWeight (double weight); */
  if (arg.size() < 2) 
    throw Exception("Function AddFilterNumeratorWeight for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->AddFilterNumeratorWeight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:AddFilterForwardNumeratorWeight vtkExodusReaderAddFilterForwardNumeratorWeightFunction
//input a0 a1 
//output none
ArrayVector vtkExodusReaderAddFilterForwardNumeratorWeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddFilterForwardNumeratorWeight (double weight); */
  if (arg.size() < 2) 
    throw Exception("Function AddFilterForwardNumeratorWeight for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->AddFilterForwardNumeratorWeight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:AddFilterDenominatorWeight vtkExodusReaderAddFilterDenominatorWeightFunction
//input a0 a1 
//output none
ArrayVector vtkExodusReaderAddFilterDenominatorWeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddFilterDenominatorWeight (double weight); */
  if (arg.size() < 2) 
    throw Exception("Function AddFilterDenominatorWeight for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->AddFilterDenominatorWeight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:FinishAddingFilter vtkExodusReaderFinishAddingFilterFunction
//input a0 
//output none
ArrayVector vtkExodusReaderFinishAddingFilterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FinishAddingFilter (); */
  if (arg.size() < 1) 
    throw Exception("Function FinishAddingFilter for class vtkExodusReader requires 1 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  vtk_pointer->FinishAddingFilter();
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:RemoveFilter vtkExodusReaderRemoveFilterFunction
//input a0 a1 
//output none
ArrayVector vtkExodusReaderRemoveFilterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveFilter (char *a_outputVariableName); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveFilter for class vtkExodusReader requires 2 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->RemoveFilter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetDSPOutputArrays vtkExodusReaderGetDSPOutputArraysFunction
//input a0 a1 a2 
//output none
ArrayVector vtkExodusReaderGetDSPOutputArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetDSPOutputArrays (int exoid, vtkUnstructuredGrid *output); */
  if (arg.size() < 3) 
    throw Exception("Function GetDSPOutputArrays for class vtkExodusReader requires 3 argument(s)");
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  vtkUnstructuredGrid  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkUnstructuredGrid>(arg[2]);
  vtk_pointer->GetDSPOutputArrays(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExodusReader:GetGlobalElementID vtkExodusReaderGetGlobalElementIDFunction
//input varargin
//output varargout
ArrayVector vtkExodusReaderGetGlobalElementIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkDataSet") && VTKIsScalarArg(arg[2]))
    return vtkExodusReaderGetGlobalElementID__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkDataSet") && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkExodusReaderGetGlobalElementID__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusReaderGetGlobalElementID");
}

//@@Signature
//sfunction @vtkExodusReader:GetGlobalNodeID vtkExodusReaderGetGlobalNodeIDFunction
//input varargin
//output varargout
ArrayVector vtkExodusReaderGetGlobalNodeIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkDataSet") && VTKIsScalarArg(arg[2]))
    return vtkExodusReaderGetGlobalNodeID__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkDataSet") && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkExodusReaderGetGlobalNodeID__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusReaderGetGlobalNodeID");
}

//@@Signature
//sfunction @vtkExodusReader:SetTimeStepRange vtkExodusReaderSetTimeStepRangeFunction
//input varargin
//output varargout
ArrayVector vtkExodusReaderSetTimeStepRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkExodusReaderSetTimeStepRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkExodusReaderSetTimeStepRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusReaderSetTimeStepRange");
}

//@@Signature
//sfunction @vtkExodusReader:SetPointArrayStatus vtkExodusReaderSetPointArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusReaderSetPointArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkExodusReaderSetPointArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkExodusReaderSetPointArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusReaderSetPointArrayStatus");
}

//@@Signature
//sfunction @vtkExodusReader:GetPointArrayStatus vtkExodusReaderGetPointArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusReaderGetPointArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkExodusReaderGetPointArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkExodusReaderGetPointArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusReaderGetPointArrayStatus");
}

//@@Signature
//sfunction @vtkExodusReader:SetCellArrayStatus vtkExodusReaderSetCellArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusReaderSetCellArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkExodusReaderSetCellArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkExodusReaderSetCellArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusReaderSetCellArrayStatus");
}

//@@Signature
//sfunction @vtkExodusReader:GetCellArrayStatus vtkExodusReaderGetCellArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusReaderGetCellArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkExodusReaderGetCellArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkExodusReaderGetCellArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusReaderGetCellArrayStatus");
}

//@@Signature
//sfunction @vtkExodusReader:SetBlockArrayStatus vtkExodusReaderSetBlockArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusReaderSetBlockArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkExodusReaderSetBlockArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkExodusReaderSetBlockArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusReaderSetBlockArrayStatus");
}

//@@Signature
//sfunction @vtkExodusReader:GetBlockArrayStatus vtkExodusReaderGetBlockArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusReaderGetBlockArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkExodusReaderGetBlockArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkExodusReaderGetBlockArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusReaderGetBlockArrayStatus");
}

//@@Signature
//sfunction @vtkExodusReader:GetNodeSetArrayStatus vtkExodusReaderGetNodeSetArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusReaderGetNodeSetArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkExodusReaderGetNodeSetArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkExodusReaderGetNodeSetArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusReaderGetNodeSetArrayStatus");
}

//@@Signature
//sfunction @vtkExodusReader:SetNodeSetArrayStatus vtkExodusReaderSetNodeSetArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusReaderSetNodeSetArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkExodusReaderSetNodeSetArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkExodusReaderSetNodeSetArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusReaderSetNodeSetArrayStatus");
}

//@@Signature
//sfunction @vtkExodusReader:GetSideSetArrayStatus vtkExodusReaderGetSideSetArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusReaderGetSideSetArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkExodusReaderGetSideSetArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkExodusReaderGetSideSetArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusReaderGetSideSetArrayStatus");
}

//@@Signature
//sfunction @vtkExodusReader:SetSideSetArrayStatus vtkExodusReaderSetSideSetArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusReaderSetSideSetArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkExodusReaderSetSideSetArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkExodusReaderSetSideSetArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusReaderSetSideSetArrayStatus");
}

//@@Signature
//sfunction @vtkExodusReader:SetPartArrayStatus vtkExodusReaderSetPartArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusReaderSetPartArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkExodusReaderSetPartArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkExodusReaderSetPartArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusReaderSetPartArrayStatus");
}

//@@Signature
//sfunction @vtkExodusReader:GetPartArrayStatus vtkExodusReaderGetPartArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusReaderGetPartArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkExodusReaderGetPartArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkExodusReaderGetPartArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusReaderGetPartArrayStatus");
}

//@@Signature
//sfunction @vtkExodusReader:SetMaterialArrayStatus vtkExodusReaderSetMaterialArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusReaderSetMaterialArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkExodusReaderSetMaterialArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkExodusReaderSetMaterialArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusReaderSetMaterialArrayStatus");
}

//@@Signature
//sfunction @vtkExodusReader:GetMaterialArrayStatus vtkExodusReaderGetMaterialArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusReaderGetMaterialArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkExodusReaderGetMaterialArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkExodusReaderGetMaterialArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusReaderGetMaterialArrayStatus");
}

//@@Signature
//sfunction @vtkExodusReader:SetAssemblyArrayStatus vtkExodusReaderSetAssemblyArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusReaderSetAssemblyArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkExodusReaderSetAssemblyArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkExodusReaderSetAssemblyArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusReaderSetAssemblyArrayStatus");
}

//@@Signature
//sfunction @vtkExodusReader:GetAssemblyArrayStatus vtkExodusReaderGetAssemblyArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusReaderGetAssemblyArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkExodusReaderGetAssemblyArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkExodusReaderGetAssemblyArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusReaderGetAssemblyArrayStatus");
}

//@@Signature
//sfunction @vtkExodusReader:SetHierarchyArrayStatus vtkExodusReaderSetHierarchyArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusReaderSetHierarchyArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkExodusReaderSetHierarchyArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkExodusReaderSetHierarchyArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusReaderSetHierarchyArrayStatus");
}

//@@Signature
//sfunction @vtkExodusReader:GetHierarchyArrayStatus vtkExodusReaderGetHierarchyArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkExodusReaderGetHierarchyArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkExodusReaderGetHierarchyArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkExodusReaderGetHierarchyArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExodusReaderGetHierarchyArrayStatus");
}

//@@Signature
//sfunction @vtkExodusReader:display vtkExodusReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExodusReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExodusReader* vtk_pointer = GetVTKPointer<vtkExodusReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExodusReader:delete vtkExodusReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkExodusReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExodusReader
//@@Section VTKHybrid
//@@Usage
// vtkExodusReader is a unstructured grid source object that reads ExodusII
// files.  Most of the meta data associated with the file is loaded when 
// UpdateInformation is called.  This includes information like Title, number
// of blocks, number and names of arrays. This data can be retrieved from 
// methods in this reader. Separate arrays that are meant to be a single 
// vector, are combined internally for convenience.  To be combined, the array 
// names have to be identical except for a trailing X,Y and Z (or x,y,z).  By 
// default cell and point arrays are not loaded.  However, the user can flag 
// arrays to load with the methods "SetPointArrayStatus" and
// "SetCellArrayStatus".  The reader DOES NOT respond to piece requests
// 
//
//To create an instance of class vtkExodusReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkExodusReader
//@]
//@@Methods
//The class vtkExodusReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExodusReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExodusReader = obj.NewInstance ()|
// \item @|vtkExodusReader = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.CanReadFile (string fname)| -  Determine if the file can be readed with this reader.
//// \item @|obj.SetFileName (string )| -  Specify file name of the Exodus file.
//// \item @|string = obj.GetFileName ()| -  Specify file name of the Exodus file.
//// \item @|obj.SetXMLFileName (string )| -  Specify file name of the xml file.
//// \item @|string = obj.GetXMLFileName ()| -  Specify file name of the xml file.
//// \item @|obj.SetTimeStep (int )| -  Which TimeStep to read.    
//// \item @|int = obj.GetTimeStep ()| -  Which TimeStep to read.    
//// \item @|obj.SetGenerateBlockIdCellArray (int )| -  Extra cell data array that can be generated.  By default, this array
// is ON.  The value of the array is the integer id found
// in the exodus file. The name of the array is returned by 
// GetBlockIdArrayName()
//// \item @|int = obj.GetGenerateBlockIdCellArray ()| -  Extra cell data array that can be generated.  By default, this array
// is ON.  The value of the array is the integer id found
// in the exodus file. The name of the array is returned by 
// GetBlockIdArrayName()
//// \item @|obj.GenerateBlockIdCellArrayOn ()| -  Extra cell data array that can be generated.  By default, this array
// is ON.  The value of the array is the integer id found
// in the exodus file. The name of the array is returned by 
// GetBlockIdArrayName()
//// \item @|obj.GenerateBlockIdCellArrayOff ()| -  Extra cell data array that can be generated.  By default, this array
// is ON.  The value of the array is the integer id found
// in the exodus file. The name of the array is returned by 
// GetBlockIdArrayName()
//// \item @|string = obj.GetBlockIdArrayName ()| -  Extra cell data array that can be generated.  By default, this array
// is off.  The value of the array is the integer global id of the cell.
// The name of the array is returned by GetGlobalElementIdArrayName()
//// \item @|obj.SetGenerateGlobalElementIdArray (int )| -  Extra cell data array that can be generated.  By default, this array
// is off.  The value of the array is the integer global id of the cell.
// The name of the array is returned by GetGlobalElementIdArrayName()
//// \item @|int = obj.GetGenerateGlobalElementIdArray ()| -  Extra cell data array that can be generated.  By default, this array
// is off.  The value of the array is the integer global id of the cell.
// The name of the array is returned by GetGlobalElementIdArrayName()
//// \item @|obj.GenerateGlobalElementIdArrayOn ()| -  Extra cell data array that can be generated.  By default, this array
// is off.  The value of the array is the integer global id of the cell.
// The name of the array is returned by GetGlobalElementIdArrayName()
//// \item @|obj.GenerateGlobalElementIdArrayOff ()| -  Extra cell data array that can be generated.  By default, this array
// is off.  The value of the array is the integer global id of the cell.
// The name of the array is returned by GetGlobalElementIdArrayName()
//// \item @|obj.SetGenerateGlobalNodeIdArray (int )| -  Extra point data array that can be generated.  By default, this array
// is ON.  The value of the array is the integer id of the node.
// The id is relative to the entire data set.
// The name of the array is returned by GlobalNodeIdArrayName().
//// \item @|int = obj.GetGenerateGlobalNodeIdArray ()| -  Extra point data array that can be generated.  By default, this array
// is ON.  The value of the array is the integer id of the node.
// The id is relative to the entire data set.
// The name of the array is returned by GlobalNodeIdArrayName().
//// \item @|obj.GenerateGlobalNodeIdArrayOn ()| -  Extra point data array that can be generated.  By default, this array
// is ON.  The value of the array is the integer id of the node.
// The id is relative to the entire data set.
// The name of the array is returned by GlobalNodeIdArrayName().
//// \item @|obj.GenerateGlobalNodeIdArrayOff ()| -  Extra point data array that can be generated.  By default, this array
// is ON.  The value of the array is the integer id of the node.
// The id is relative to the entire data set.
// The name of the array is returned by GlobalNodeIdArrayName().
//// \item @|obj.SetApplyDisplacements (int )| -  Geometric locations can include displacements.  By default, 
// this is ON.  The nodal positions are 'displaced' by the
// standard exodus displacment vector. If displacements
// are turned 'off', the user can explicitly add them by
// applying a warp filter.
//// \item @|int = obj.GetApplyDisplacements ()| -  Geometric locations can include displacements.  By default, 
// this is ON.  The nodal positions are 'displaced' by the
// standard exodus displacment vector. If displacements
// are turned 'off', the user can explicitly add them by
// applying a warp filter.
//// \item @|obj.ApplyDisplacementsOn ()| -  Geometric locations can include displacements.  By default, 
// this is ON.  The nodal positions are 'displaced' by the
// standard exodus displacment vector. If displacements
// are turned 'off', the user can explicitly add them by
// applying a warp filter.
//// \item @|obj.ApplyDisplacementsOff ()| -  Geometric locations can include displacements.  By default, 
// this is ON.  The nodal positions are 'displaced' by the
// standard exodus displacment vector. If displacements
// are turned 'off', the user can explicitly add them by
// applying a warp filter.
//// \item @|obj.SetDisplacementMagnitude (float )| -  Geometric locations can include displacements.  By default, 
// this is ON.  The nodal positions are 'displaced' by the
// standard exodus displacment vector. If displacements
// are turned 'off', the user can explicitly add them by
// applying a warp filter.
//// \item @|float = obj.GetDisplacementMagnitude ()| -  Geometric locations can include displacements.  By default, 
// this is ON.  The nodal positions are 'displaced' by the
// standard exodus displacment vector. If displacements
// are turned 'off', the user can explicitly add them by
// applying a warp filter.
//// \item @|string = obj.GetTitle ()| -  Access to meta data generated by UpdateInformation.
//// \item @|int = obj.GetDimensionality ()| -  Access to meta data generated by UpdateInformation.
//// \item @|int = obj.GetNumberOfTimeSteps ()| -  Access to meta data generated by UpdateInformation.
//// \item @|int = obj.GetNumberOfElements ()| -  Access to meta data generated by UpdateInformation.
//// \item @|int = obj.GetNumberOfNodeSets ()| -  Access to meta data generated by UpdateInformation.
//// \item @|int = obj.GetNumberOfSideSets ()| -  Access to meta data generated by UpdateInformation.
//// \item @|int = obj.GetNumberOfBlocks ()| -  Access to meta data generated by UpdateInformation.
//// \item @|int = obj. GetTimeStepRange ()| -  Access to meta data generated by UpdateInformation.
//// \item @|obj.SetTimeStepRange (int , int )| -  Access to meta data generated by UpdateInformation.
//// \item @|obj.SetTimeStepRange (int  a[2])| -  Access to meta data generated by UpdateInformation.
//// \item @|int = obj.GetNumberOfNodes ()| -  Access to meta data generated by UpdateInformation.
//// \item @|int = obj.GetNumberOfElementsInBlock (int block_idx)| -  Access to meta data generated by UpdateInformation.
//// \item @|int = obj.GetBlockId (int block_idx)| -  Access to meta data generated by UpdateInformation.
//// \item @|int = obj.GetTotalNumberOfNodes ()|
// \item @|int = obj.GetNumberOfPointArrays ()|
// \item @|string = obj.GetPointArrayName (int index)|
// \item @|int = obj.GetPointArrayID (string name)|
// \item @|int = obj.GetPointArrayNumberOfComponents (int index)|
// \item @|obj.SetPointArrayStatus (int index, int flag)|
// \item @|obj.SetPointArrayStatus (string , int flag)|
// \item @|int = obj.GetPointArrayStatus (int index)|
// \item @|int = obj.GetPointArrayStatus (string )|
// \item @|int = obj.GetNumberOfCellArrays ()|
// \item @|string = obj.GetCellArrayName (int index)|
// \item @|int = obj.GetCellArrayID (string name)|
// \item @|int = obj.GetCellArrayNumberOfComponents (int index)|
// \item @|obj.SetCellArrayStatus (int index, int flag)|
// \item @|obj.SetCellArrayStatus (string , int flag)|
// \item @|int = obj.GetCellArrayStatus (int index)|
// \item @|int = obj.GetCellArrayStatus (string )|
// \item @|int = obj.GetTotalNumberOfElements ()|
// \item @|int = obj.GetNumberOfBlockArrays ()|
// \item @|string = obj.GetBlockArrayName (int index)|
// \item @|int = obj.GetBlockArrayID (string name)|
// \item @|obj.SetBlockArrayStatus (int index, int flag)|
// \item @|obj.SetBlockArrayStatus (string , int flag)|
// \item @|int = obj.GetBlockArrayStatus (int index)|
// \item @|int = obj.GetBlockArrayStatus (string )|
// \item @|int = obj.GetNumberOfNodeSetArrays ()| -  By default Node/Side sets are not loaded, These methods allow the user to
// select which Node/Side sets they want to load. NumberOfNodeSets and
// NumberOfSideSets (set by vtk macros) are stored in vtkExodusReader 
// but other Node/Side set metadata are stored in vtkExodusMetaData
// Note: GetNumberOfNodeSetArrays and GetNumberOfSideSetArrays are
// just syntatic sugar for paraview server xml
//// \item @|int = obj.GetNodeSetArrayStatus (int index)| -  By default Node/Side sets are not loaded, These methods allow the user to
// select which Node/Side sets they want to load. NumberOfNodeSets and
// NumberOfSideSets (set by vtk macros) are stored in vtkExodusReader 
// but other Node/Side set metadata are stored in vtkExodusMetaData
// Note: GetNumberOfNodeSetArrays and GetNumberOfSideSetArrays are
// just syntatic sugar for paraview server xml
//// \item @|int = obj.GetNodeSetArrayStatus (string name)| -  By default Node/Side sets are not loaded, These methods allow the user to
// select which Node/Side sets they want to load. NumberOfNodeSets and
// NumberOfSideSets (set by vtk macros) are stored in vtkExodusReader 
// but other Node/Side set metadata are stored in vtkExodusMetaData
// Note: GetNumberOfNodeSetArrays and GetNumberOfSideSetArrays are
// just syntatic sugar for paraview server xml
//// \item @|obj.SetNodeSetArrayStatus (int index, int flag)| -  By default Node/Side sets are not loaded, These methods allow the user to
// select which Node/Side sets they want to load. NumberOfNodeSets and
// NumberOfSideSets (set by vtk macros) are stored in vtkExodusReader 
// but other Node/Side set metadata are stored in vtkExodusMetaData
// Note: GetNumberOfNodeSetArrays and GetNumberOfSideSetArrays are
// just syntatic sugar for paraview server xml
//// \item @|obj.SetNodeSetArrayStatus (string name, int flag)| -  By default Node/Side sets are not loaded, These methods allow the user to
// select which Node/Side sets they want to load. NumberOfNodeSets and
// NumberOfSideSets (set by vtk macros) are stored in vtkExodusReader 
// but other Node/Side set metadata are stored in vtkExodusMetaData
// Note: GetNumberOfNodeSetArrays and GetNumberOfSideSetArrays are
// just syntatic sugar for paraview server xml
//// \item @|string = obj.GetNodeSetArrayName (int index)| -  By default Node/Side sets are not loaded, These methods allow the user to
// select which Node/Side sets they want to load. NumberOfNodeSets and
// NumberOfSideSets (set by vtk macros) are stored in vtkExodusReader 
// but other Node/Side set metadata are stored in vtkExodusMetaData
// Note: GetNumberOfNodeSetArrays and GetNumberOfSideSetArrays are
// just syntatic sugar for paraview server xml
//// \item @|int = obj.GetNumberOfSideSetArrays ()|
// \item @|int = obj.GetSideSetArrayStatus (int index)|
// \item @|int = obj.GetSideSetArrayStatus (string name)|
// \item @|obj.SetSideSetArrayStatus (int index, int flag)|
// \item @|obj.SetSideSetArrayStatus (string name, int flag)|
// \item @|string = obj.GetSideSetArrayName (int index)|
// \item @|int = obj.GetNumberOfPartArrays ()|
// \item @|string = obj.GetPartArrayName (int arrayIdx)|
// \item @|int = obj.GetPartArrayID (string name)|
// \item @|string = obj.GetPartBlockInfo (int arrayIdx)|
// \item @|obj.SetPartArrayStatus (int index, int flag)|
// \item @|obj.SetPartArrayStatus (string , int flag)|
// \item @|int = obj.GetPartArrayStatus (int index)|
// \item @|int = obj.GetPartArrayStatus (string )|
// \item @|int = obj.GetNumberOfMaterialArrays ()|
// \item @|string = obj.GetMaterialArrayName (int arrayIdx)|
// \item @|int = obj.GetMaterialArrayID (string name)|
// \item @|obj.SetMaterialArrayStatus (int index, int flag)|
// \item @|obj.SetMaterialArrayStatus (string , int flag)|
// \item @|int = obj.GetMaterialArrayStatus (int index)|
// \item @|int = obj.GetMaterialArrayStatus (string )|
// \item @|int = obj.GetNumberOfAssemblyArrays ()|
// \item @|string = obj.GetAssemblyArrayName (int arrayIdx)|
// \item @|int = obj.GetAssemblyArrayID (string name)|
// \item @|obj.SetAssemblyArrayStatus (int index, int flag)|
// \item @|obj.SetAssemblyArrayStatus (string , int flag)|
// \item @|int = obj.GetAssemblyArrayStatus (int index)|
// \item @|int = obj.GetAssemblyArrayStatus (string )|
// \item @|int = obj.GetNumberOfHierarchyArrays ()|
// \item @|string = obj.GetHierarchyArrayName (int arrayIdx)|
// \item @|obj.SetHierarchyArrayStatus (int index, int flag)|
// \item @|obj.SetHierarchyArrayStatus (string , int flag)|
// \item @|int = obj.GetHierarchyArrayStatus (int index)|
// \item @|int = obj.GetHierarchyArrayStatus (string )|
// \item @|int = obj.GetHasModeShapes ()| -  Some simulations overload the Exodus time steps to represent mode shapes.
// In this case, it does not make sense to iterate over the "time steps",
// because they are not meant to be played in order.  Rather, each represents
// the vibration at a different "mode."  Setting this to 1 changes the
// semantics of the reader to not report the time steps to downstream filters.
// By default, this is off, which is the case for most Exodus files.
//// \item @|obj.SetHasModeShapes (int )| -  Some simulations overload the Exodus time steps to represent mode shapes.
// In this case, it does not make sense to iterate over the "time steps",
// because they are not meant to be played in order.  Rather, each represents
// the vibration at a different "mode."  Setting this to 1 changes the
// semantics of the reader to not report the time steps to downstream filters.
// By default, this is off, which is the case for most Exodus files.
//// \item @|obj.HasModeShapesOn ()| -  Some simulations overload the Exodus time steps to represent mode shapes.
// In this case, it does not make sense to iterate over the "time steps",
// because they are not meant to be played in order.  Rather, each represents
// the vibration at a different "mode."  Setting this to 1 changes the
// semantics of the reader to not report the time steps to downstream filters.
// By default, this is off, which is the case for most Exodus files.
//// \item @|obj.HasModeShapesOff ()| -  Some simulations overload the Exodus time steps to represent mode shapes.
// In this case, it does not make sense to iterate over the "time steps",
// because they are not meant to be played in order.  Rather, each represents
// the vibration at a different "mode."  Setting this to 1 changes the
// semantics of the reader to not report the time steps to downstream filters.
// By default, this is off, which is the case for most Exodus files.
//// \item @|int = obj.GetDisplayType ()|
// \item @|obj.SetDisplayType (int type)|
// \item @|obj.ExodusModelMetadataOn ()|
// \item @|obj.ExodusModelMetadataOff ()|
// \item @|obj.SetExodusModelMetadata (int )|
// \item @|int = obj.GetExodusModelMetadata ()|
// \item @|vtkExodusModel = obj.GetExodusModel ()|
// \item @|obj.SetPackExodusModelOntoOutput (int )|
// \item @|int = obj.GetPackExodusModelOntoOutput ()|
// \item @|obj.PackExodusModelOntoOutputOn ()|
// \item @|obj.PackExodusModelOntoOutputOff ()|
// \item @|int = obj.IsValidVariable (string type, string name)|
// \item @|int = obj.GetVariableID (string type, string name)|
// \item @|obj.SetAllAssemblyArrayStatus (int status)|
// \item @|obj.SetAllBlockArrayStatus (int status)|
// \item @|obj.SetAllCellArrayStatus (int status)|
// \item @|obj.SetAllHierarchyArrayStatus (int status)|
// \item @|obj.SetAllMaterialArrayStatus (int status)|
// \item @|obj.SetAllPartArrayStatus (int status)|
// \item @|obj.SetAllPointArrayStatus (int status)|
// \item @|obj.SetArrayStatus (string type, string name, int flag)|
// \item @|int = obj.GetArrayStatus (string type, string name)|
// \item @|int = obj.GetTimeSeriesData (int ID, string vName, string vType, vtkFloatArray result)|
// \item @|int = obj.GetNumberOfVariableArrays ()|
// \item @|string = obj.GetVariableArrayName (int a_which)|
// \item @|obj.EnableDSPFiltering ()|
// \item @|obj.AddFilter (vtkDSPFilterDefinition a_filter)|
// \item @|obj.StartAddingFilter ()|
// \item @|obj.AddFilterInputVar (string name)|
// \item @|obj.AddFilterOutputVar (string name)|
// \item @|obj.AddFilterNumeratorWeight (double weight)|
// \item @|obj.AddFilterForwardNumeratorWeight (double weight)|
// \item @|obj.AddFilterDenominatorWeight (double weight)|
// \item @|obj.FinishAddingFilter ()|
// \item @|obj.RemoveFilter (string a_outputVariableName)|
// \item @|obj.GetDSPOutputArrays (int exoid, vtkUnstructuredGrid output)|
//\end{itemize}
//!
