#include "VTKWrap.hpp"

// FreeMat wrapper for vtkFacetReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkFacetReader.h"

//@@Signature
//sfunction @vtkFacetReader:vtkFacetReader vtkFacetReaderConstructorFunction
//input a
//output p
//@@Parents vtkFacetReader vtkPolyDataAlgorithm 
ArrayVector vtkFacetReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkFacetReader::New(),"vtkFacetReader",eval);
  } else if (arg[0].className() == "vtkFacetReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkFacetReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkFacetReader");
    vtkFacetReader*q = reinterpret_cast<vtkFacetReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkFacetReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkFacetReader:GetClassName vtkFacetReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkFacetReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkFacetReader requires 1 argument(s)");
  vtkFacetReader* vtk_pointer = GetVTKPointer<vtkFacetReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFacetReader:IsA vtkFacetReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkFacetReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkFacetReader requires 2 argument(s)");
  vtkFacetReader* vtk_pointer = GetVTKPointer<vtkFacetReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFacetReader:NewInstance vtkFacetReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkFacetReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFacetReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkFacetReader requires 1 argument(s)");
  vtkFacetReader* vtk_pointer = GetVTKPointer<vtkFacetReader>(arg[0]);
  Array retval;
  vtkFacetReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFacetReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFacetReader:SafeDownCast vtkFacetReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkFacetReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFacetReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkFacetReader requires 2 argument(s)");
  vtkFacetReader* vtk_pointer = GetVTKPointer<vtkFacetReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkFacetReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFacetReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFacetReader:SetFileName vtkFacetReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkFacetReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkFacetReader requires 2 argument(s)");
  vtkFacetReader* vtk_pointer = GetVTKPointer<vtkFacetReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFacetReader:GetFileName vtkFacetReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkFacetReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkFacetReader requires 1 argument(s)");
  vtkFacetReader* vtk_pointer = GetVTKPointer<vtkFacetReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFacetReader:CanReadFile vtkFacetReaderCanReadFileFunction
//input a0 a1 
//output y
ArrayVector vtkFacetReaderCanReadFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int CanReadFile (const char *filename); */
  if (arg.size() < 2) 
    throw Exception("Function CanReadFile for class vtkFacetReader requires 2 argument(s)");
  vtkFacetReader* vtk_pointer = GetVTKPointer<vtkFacetReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CanReadFile(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFacetReader:display vtkFacetReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkFacetReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkFacetReader* vtk_pointer = GetVTKPointer<vtkFacetReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkFacetReader:delete vtkFacetReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkFacetReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkFacetReader
//@@Section VTKHybrid
//@@Usage
// vtkFacetReader creates a poly data dataset. It reads ASCII files
// stored in Facet format
//
// The facet format looks like this:
// FACET FILE ...
// nparts
// Part 1 name
// 0
// npoints 0 0
// p1x p1y p1z
// p2x p2y p2z
// ...
// 1
// Part 1 name
// ncells npointspercell
// p1c1 p2c1 p3c1 ... pnc1 materialnum partnum
// p1c2 p2c2 p3c2 ... pnc2 materialnum partnum
// ...
//
//To create an instance of class vtkFacetReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkFacetReader
//@]
//@@Methods
//The class vtkFacetReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkFacetReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkFacetReader = obj.NewInstance ()|
// \item @|vtkFacetReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string )| -  Specify file name of Facet datafile to read
//// \item @|string = obj.GetFileName ()| -  Specify file name of Facet datafile to read
////\end{itemize}
//!
