#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGreedyTerrainDecimation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGreedyTerrainDecimation.h"

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:vtkGreedyTerrainDecimation vtkGreedyTerrainDecimationConstructorFunction
//input a
//output p
//@@Parents vtkGreedyTerrainDecimation vtkPolyDataAlgorithm 
ArrayVector vtkGreedyTerrainDecimationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGreedyTerrainDecimation::New(),"vtkGreedyTerrainDecimation",eval);
  } else if (arg[0].className() == "vtkGreedyTerrainDecimation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGreedyTerrainDecimation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGreedyTerrainDecimation");
    vtkGreedyTerrainDecimation*q = reinterpret_cast<vtkGreedyTerrainDecimation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGreedyTerrainDecimation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGreedyTerrainDecimation:GetClassName vtkGreedyTerrainDecimationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGreedyTerrainDecimationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGreedyTerrainDecimation requires 1 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:IsA vtkGreedyTerrainDecimationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGreedyTerrainDecimationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGreedyTerrainDecimation requires 2 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:NewInstance vtkGreedyTerrainDecimationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGreedyTerrainDecimationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGreedyTerrainDecimation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGreedyTerrainDecimation requires 1 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  vtkGreedyTerrainDecimation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGreedyTerrainDecimation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:SafeDownCast vtkGreedyTerrainDecimationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGreedyTerrainDecimationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGreedyTerrainDecimation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGreedyTerrainDecimation requires 2 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGreedyTerrainDecimation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGreedyTerrainDecimation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:SetErrorMeasure vtkGreedyTerrainDecimationSetErrorMeasureFunction
//input a0 a1 
//output none
ArrayVector vtkGreedyTerrainDecimationSetErrorMeasureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetErrorMeasure (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetErrorMeasure for class vtkGreedyTerrainDecimation requires 2 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetErrorMeasure(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:GetErrorMeasureMinValue vtkGreedyTerrainDecimationGetErrorMeasureMinValueFunction
//input a0 
//output y
ArrayVector vtkGreedyTerrainDecimationGetErrorMeasureMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetErrorMeasureMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetErrorMeasureMinValue for class vtkGreedyTerrainDecimation requires 1 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetErrorMeasureMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:GetErrorMeasureMaxValue vtkGreedyTerrainDecimationGetErrorMeasureMaxValueFunction
//input a0 
//output y
ArrayVector vtkGreedyTerrainDecimationGetErrorMeasureMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetErrorMeasureMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetErrorMeasureMaxValue for class vtkGreedyTerrainDecimation requires 1 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetErrorMeasureMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:GetErrorMeasure vtkGreedyTerrainDecimationGetErrorMeasureFunction
//input a0 
//output y
ArrayVector vtkGreedyTerrainDecimationGetErrorMeasureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetErrorMeasure (); */
  if (arg.size() < 1) 
    throw Exception("Function GetErrorMeasure for class vtkGreedyTerrainDecimation requires 1 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetErrorMeasure();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:SetErrorMeasureToNumberOfTriangles vtkGreedyTerrainDecimationSetErrorMeasureToNumberOfTrianglesFunction
//input a0 
//output none
ArrayVector vtkGreedyTerrainDecimationSetErrorMeasureToNumberOfTrianglesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetErrorMeasureToNumberOfTriangles ();this SetErrorMeasure VTK_ERROR_NUMBER_OF_TRIANGLES  */
  if (arg.size() < 1) 
    throw Exception("Function SetErrorMeasureToNumberOfTriangles for class vtkGreedyTerrainDecimation requires 1 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  vtk_pointer->SetErrorMeasureToNumberOfTriangles();
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:SetErrorMeasureToSpecifiedReduction vtkGreedyTerrainDecimationSetErrorMeasureToSpecifiedReductionFunction
//input a0 
//output none
ArrayVector vtkGreedyTerrainDecimationSetErrorMeasureToSpecifiedReductionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetErrorMeasureToSpecifiedReduction ();this SetErrorMeasure VTK_ERROR_SPECIFIED_REDUCTION  */
  if (arg.size() < 1) 
    throw Exception("Function SetErrorMeasureToSpecifiedReduction for class vtkGreedyTerrainDecimation requires 1 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  vtk_pointer->SetErrorMeasureToSpecifiedReduction();
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:SetErrorMeasureToAbsoluteError vtkGreedyTerrainDecimationSetErrorMeasureToAbsoluteErrorFunction
//input a0 
//output none
ArrayVector vtkGreedyTerrainDecimationSetErrorMeasureToAbsoluteErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetErrorMeasureToAbsoluteError ();this SetErrorMeasure VTK_ERROR_ABSOLUTE  */
  if (arg.size() < 1) 
    throw Exception("Function SetErrorMeasureToAbsoluteError for class vtkGreedyTerrainDecimation requires 1 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  vtk_pointer->SetErrorMeasureToAbsoluteError();
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:SetErrorMeasureToRelativeError vtkGreedyTerrainDecimationSetErrorMeasureToRelativeErrorFunction
//input a0 
//output none
ArrayVector vtkGreedyTerrainDecimationSetErrorMeasureToRelativeErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetErrorMeasureToRelativeError ();this SetErrorMeasure VTK_ERROR_RELATIVE  */
  if (arg.size() < 1) 
    throw Exception("Function SetErrorMeasureToRelativeError for class vtkGreedyTerrainDecimation requires 1 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  vtk_pointer->SetErrorMeasureToRelativeError();
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:SetNumberOfTriangles vtkGreedyTerrainDecimationSetNumberOfTrianglesFunction
//input a0 a1 
//output none
ArrayVector vtkGreedyTerrainDecimationSetNumberOfTrianglesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfTriangles (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfTriangles for class vtkGreedyTerrainDecimation requires 2 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfTriangles(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:GetNumberOfTrianglesMinValue vtkGreedyTerrainDecimationGetNumberOfTrianglesMinValueFunction
//input a0 
//output y
ArrayVector vtkGreedyTerrainDecimationGetNumberOfTrianglesMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfTrianglesMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTrianglesMinValue for class vtkGreedyTerrainDecimation requires 1 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfTrianglesMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:GetNumberOfTrianglesMaxValue vtkGreedyTerrainDecimationGetNumberOfTrianglesMaxValueFunction
//input a0 
//output y
ArrayVector vtkGreedyTerrainDecimationGetNumberOfTrianglesMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfTrianglesMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTrianglesMaxValue for class vtkGreedyTerrainDecimation requires 1 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfTrianglesMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:GetNumberOfTriangles vtkGreedyTerrainDecimationGetNumberOfTrianglesFunction
//input a0 
//output y
ArrayVector vtkGreedyTerrainDecimationGetNumberOfTrianglesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfTriangles (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTriangles for class vtkGreedyTerrainDecimation requires 1 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfTriangles();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:SetReduction vtkGreedyTerrainDecimationSetReductionFunction
//input a0 a1 
//output none
ArrayVector vtkGreedyTerrainDecimationSetReductionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReduction (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReduction for class vtkGreedyTerrainDecimation requires 2 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetReduction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:GetReductionMinValue vtkGreedyTerrainDecimationGetReductionMinValueFunction
//input a0 
//output y
ArrayVector vtkGreedyTerrainDecimationGetReductionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetReductionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReductionMinValue for class vtkGreedyTerrainDecimation requires 1 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetReductionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:GetReductionMaxValue vtkGreedyTerrainDecimationGetReductionMaxValueFunction
//input a0 
//output y
ArrayVector vtkGreedyTerrainDecimationGetReductionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetReductionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReductionMaxValue for class vtkGreedyTerrainDecimation requires 1 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetReductionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:GetReduction vtkGreedyTerrainDecimationGetReductionFunction
//input a0 
//output y
ArrayVector vtkGreedyTerrainDecimationGetReductionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetReduction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReduction for class vtkGreedyTerrainDecimation requires 1 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetReduction();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:SetAbsoluteError vtkGreedyTerrainDecimationSetAbsoluteErrorFunction
//input a0 a1 
//output none
ArrayVector vtkGreedyTerrainDecimationSetAbsoluteErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAbsoluteError (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAbsoluteError for class vtkGreedyTerrainDecimation requires 2 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetAbsoluteError(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:GetAbsoluteErrorMinValue vtkGreedyTerrainDecimationGetAbsoluteErrorMinValueFunction
//input a0 
//output y
ArrayVector vtkGreedyTerrainDecimationGetAbsoluteErrorMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAbsoluteErrorMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAbsoluteErrorMinValue for class vtkGreedyTerrainDecimation requires 1 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAbsoluteErrorMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:GetAbsoluteErrorMaxValue vtkGreedyTerrainDecimationGetAbsoluteErrorMaxValueFunction
//input a0 
//output y
ArrayVector vtkGreedyTerrainDecimationGetAbsoluteErrorMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAbsoluteErrorMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAbsoluteErrorMaxValue for class vtkGreedyTerrainDecimation requires 1 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAbsoluteErrorMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:GetAbsoluteError vtkGreedyTerrainDecimationGetAbsoluteErrorFunction
//input a0 
//output y
ArrayVector vtkGreedyTerrainDecimationGetAbsoluteErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAbsoluteError (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAbsoluteError for class vtkGreedyTerrainDecimation requires 1 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAbsoluteError();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:SetRelativeError vtkGreedyTerrainDecimationSetRelativeErrorFunction
//input a0 a1 
//output none
ArrayVector vtkGreedyTerrainDecimationSetRelativeErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRelativeError (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRelativeError for class vtkGreedyTerrainDecimation requires 2 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRelativeError(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:GetRelativeErrorMinValue vtkGreedyTerrainDecimationGetRelativeErrorMinValueFunction
//input a0 
//output y
ArrayVector vtkGreedyTerrainDecimationGetRelativeErrorMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRelativeErrorMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRelativeErrorMinValue for class vtkGreedyTerrainDecimation requires 1 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRelativeErrorMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:GetRelativeErrorMaxValue vtkGreedyTerrainDecimationGetRelativeErrorMaxValueFunction
//input a0 
//output y
ArrayVector vtkGreedyTerrainDecimationGetRelativeErrorMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRelativeErrorMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRelativeErrorMaxValue for class vtkGreedyTerrainDecimation requires 1 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRelativeErrorMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:GetRelativeError vtkGreedyTerrainDecimationGetRelativeErrorFunction
//input a0 
//output y
ArrayVector vtkGreedyTerrainDecimationGetRelativeErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRelativeError (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRelativeError for class vtkGreedyTerrainDecimation requires 1 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRelativeError();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:SetBoundaryVertexDeletion vtkGreedyTerrainDecimationSetBoundaryVertexDeletionFunction
//input a0 a1 
//output none
ArrayVector vtkGreedyTerrainDecimationSetBoundaryVertexDeletionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBoundaryVertexDeletion (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBoundaryVertexDeletion for class vtkGreedyTerrainDecimation requires 2 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBoundaryVertexDeletion(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:GetBoundaryVertexDeletion vtkGreedyTerrainDecimationGetBoundaryVertexDeletionFunction
//input a0 
//output y
ArrayVector vtkGreedyTerrainDecimationGetBoundaryVertexDeletionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBoundaryVertexDeletion (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBoundaryVertexDeletion for class vtkGreedyTerrainDecimation requires 1 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBoundaryVertexDeletion();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:BoundaryVertexDeletionOn vtkGreedyTerrainDecimationBoundaryVertexDeletionOnFunction
//input a0 
//output none
ArrayVector vtkGreedyTerrainDecimationBoundaryVertexDeletionOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BoundaryVertexDeletionOn (); */
  if (arg.size() < 1) 
    throw Exception("Function BoundaryVertexDeletionOn for class vtkGreedyTerrainDecimation requires 1 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  vtk_pointer->BoundaryVertexDeletionOn();
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:BoundaryVertexDeletionOff vtkGreedyTerrainDecimationBoundaryVertexDeletionOffFunction
//input a0 
//output none
ArrayVector vtkGreedyTerrainDecimationBoundaryVertexDeletionOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BoundaryVertexDeletionOff (); */
  if (arg.size() < 1) 
    throw Exception("Function BoundaryVertexDeletionOff for class vtkGreedyTerrainDecimation requires 1 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  vtk_pointer->BoundaryVertexDeletionOff();
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:SetComputeNormals vtkGreedyTerrainDecimationSetComputeNormalsFunction
//input a0 a1 
//output none
ArrayVector vtkGreedyTerrainDecimationSetComputeNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeNormals (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeNormals for class vtkGreedyTerrainDecimation requires 2 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeNormals(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:GetComputeNormals vtkGreedyTerrainDecimationGetComputeNormalsFunction
//input a0 
//output y
ArrayVector vtkGreedyTerrainDecimationGetComputeNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeNormals (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeNormals for class vtkGreedyTerrainDecimation requires 1 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeNormals();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:ComputeNormalsOn vtkGreedyTerrainDecimationComputeNormalsOnFunction
//input a0 
//output none
ArrayVector vtkGreedyTerrainDecimationComputeNormalsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeNormalsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeNormalsOn for class vtkGreedyTerrainDecimation requires 1 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  vtk_pointer->ComputeNormalsOn();
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:ComputeNormalsOff vtkGreedyTerrainDecimationComputeNormalsOffFunction
//input a0 
//output none
ArrayVector vtkGreedyTerrainDecimationComputeNormalsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeNormalsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeNormalsOff for class vtkGreedyTerrainDecimation requires 1 argument(s)");
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  Array retval;
  vtk_pointer->ComputeNormalsOff();
  return retval;
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:GetPoint vtkGreedyTerrainDecimationGetPointFunction
//input varargin
//output varargout
ArrayVector vtkGreedyTerrainDecimationGetPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkGreedyTerrainDecimationGetPoint");
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:UpdateTriangle vtkGreedyTerrainDecimationUpdateTriangleFunction
//input varargin
//output varargout
ArrayVector vtkGreedyTerrainDecimationUpdateTriangleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkGreedyTerrainDecimationUpdateTriangle");
}

//@@Signature
//sfunction @vtkGreedyTerrainDecimation:display vtkGreedyTerrainDecimationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGreedyTerrainDecimationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGreedyTerrainDecimation* vtk_pointer = GetVTKPointer<vtkGreedyTerrainDecimation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGreedyTerrainDecimation:delete vtkGreedyTerrainDecimationDeleteFunction
//input varargin
//output none
ArrayVector vtkGreedyTerrainDecimationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGreedyTerrainDecimation
//@@Section VTKHybrid
//@@Usage
// vtkGreedyTerrainDecimation approximates a height field with a triangle
// mesh (triangulated irregular network - TIN) using a greedy insertion
// algorithm similar to that described by Garland and Heckbert in their paper
// "Fast Polygonal Approximations of Terrain and Height Fields" (Technical
// Report CMU-CS-95-181).  The input to the filter is a height field
// (represented by a image whose scalar values are height) and the output of
// the filter is polygonal data consisting of triangles. The number of
// triangles in the output is reduced in number as compared to a naive
// tessellation of the input height field. This filter copies point data
// from the input to the output for those points present in the output.
//
// An brief description of the algorithm is as follows. The algorithm uses a
// top-down decimation approach that initially represents the height field
// with two triangles (whose vertices are at the four corners of the
// image). These two triangles form a Delaunay triangulation. In an iterative
// fashion, the point in the image with the greatest error (as compared to
// the original height field) is injected into the triangulation. (Note that
// the single point with the greatest error per triangle is identified and
// placed into a priority queue. As the triangulation is modified, the errors
// from the deleted triangles are removed from the queue, error values from
// the new triangles are added.) The point whose error is at the top of the
// queue is added to the triangulaion modifying it using the standard
// incremental Delaunay point insertion (see vtkDelaunay2D) algorithm. Points
// are repeatedly inserted until the appropriate (user-specified) error
// criterion is met.
//
// To use this filter, set the input and specify the error measure to be
// used.  The error measure options are 1) the absolute number of triangles
// to be produced; 2) a fractional reduction of the mesh (numTris/maxTris)
// where maxTris is the largest possible number of triangles
// 2*(dims[0]-1)*(dims[1]-1); 3) an absolute measure on error (maximum
// difference in height field to reduced TIN); and 4) relative error (the
// absolute error is normalized by the diagonal of the bounding box of the
// height field).
// 
//
//To create an instance of class vtkGreedyTerrainDecimation, simply
//invoke its constructor as follows
//@[
//  obj = vtkGreedyTerrainDecimation
//@]
//@@Methods
//The class vtkGreedyTerrainDecimation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGreedyTerrainDecimation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGreedyTerrainDecimation = obj.NewInstance ()|
// \item @|vtkGreedyTerrainDecimation = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetErrorMeasure (int )| -  Specify how to terminate the algorithm: either as an absolute number of
// triangles, a relative number of triangles (normalized by the full
// resolution mesh), an absolute error (in the height field), or relative
// error (normalized by the length of the diagonal of the image).
//// \item @|int = obj.GetErrorMeasureMinValue ()| -  Specify how to terminate the algorithm: either as an absolute number of
// triangles, a relative number of triangles (normalized by the full
// resolution mesh), an absolute error (in the height field), or relative
// error (normalized by the length of the diagonal of the image).
//// \item @|int = obj.GetErrorMeasureMaxValue ()| -  Specify how to terminate the algorithm: either as an absolute number of
// triangles, a relative number of triangles (normalized by the full
// resolution mesh), an absolute error (in the height field), or relative
// error (normalized by the length of the diagonal of the image).
//// \item @|int = obj.GetErrorMeasure ()| -  Specify how to terminate the algorithm: either as an absolute number of
// triangles, a relative number of triangles (normalized by the full
// resolution mesh), an absolute error (in the height field), or relative
// error (normalized by the length of the diagonal of the image).
//// \item @|obj.SetErrorMeasureToNumberOfTriangles ()| -  Specify how to terminate the algorithm: either as an absolute number of
// triangles, a relative number of triangles (normalized by the full
// resolution mesh), an absolute error (in the height field), or relative
// error (normalized by the length of the diagonal of the image).
//// \item @|obj.SetErrorMeasureToSpecifiedReduction ()| -  Specify how to terminate the algorithm: either as an absolute number of
// triangles, a relative number of triangles (normalized by the full
// resolution mesh), an absolute error (in the height field), or relative
// error (normalized by the length of the diagonal of the image).
//// \item @|obj.SetErrorMeasureToAbsoluteError ()| -  Specify how to terminate the algorithm: either as an absolute number of
// triangles, a relative number of triangles (normalized by the full
// resolution mesh), an absolute error (in the height field), or relative
// error (normalized by the length of the diagonal of the image).
//// \item @|obj.SetErrorMeasureToRelativeError ()| -  Specify the number of triangles to produce on output. (It is a
// good idea to make sure this is less than a tessellated mesh
// at full resolution.) You need to set this value only when
// the error measure is set to NumberOfTriangles.
//// \item @|obj.SetNumberOfTriangles (vtkIdType )| -  Specify the number of triangles to produce on output. (It is a
// good idea to make sure this is less than a tessellated mesh
// at full resolution.) You need to set this value only when
// the error measure is set to NumberOfTriangles.
//// \item @|vtkIdType = obj.GetNumberOfTrianglesMinValue ()| -  Specify the number of triangles to produce on output. (It is a
// good idea to make sure this is less than a tessellated mesh
// at full resolution.) You need to set this value only when
// the error measure is set to NumberOfTriangles.
//// \item @|vtkIdType = obj.GetNumberOfTrianglesMaxValue ()| -  Specify the number of triangles to produce on output. (It is a
// good idea to make sure this is less than a tessellated mesh
// at full resolution.) You need to set this value only when
// the error measure is set to NumberOfTriangles.
//// \item @|vtkIdType = obj.GetNumberOfTriangles ()| -  Specify the number of triangles to produce on output. (It is a
// good idea to make sure this is less than a tessellated mesh
// at full resolution.) You need to set this value only when
// the error measure is set to NumberOfTriangles.
//// \item @|obj.SetReduction (double )| -  Specify the reduction of the mesh (represented as a fraction).  Note
// that a value of 0.10 means a 10% reduction.  You need to set this value
// only when the error measure is set to SpecifiedReduction.
//// \item @|double = obj.GetReductionMinValue ()| -  Specify the reduction of the mesh (represented as a fraction).  Note
// that a value of 0.10 means a 10% reduction.  You need to set this value
// only when the error measure is set to SpecifiedReduction.
//// \item @|double = obj.GetReductionMaxValue ()| -  Specify the reduction of the mesh (represented as a fraction).  Note
// that a value of 0.10 means a 10% reduction.  You need to set this value
// only when the error measure is set to SpecifiedReduction.
//// \item @|double = obj.GetReduction ()| -  Specify the reduction of the mesh (represented as a fraction).  Note
// that a value of 0.10 means a 10% reduction.  You need to set this value
// only when the error measure is set to SpecifiedReduction.
//// \item @|obj.SetAbsoluteError (double )| -  Specify the absolute error of the mesh; that is, the error in height
// between the decimated mesh and the original height field.  You need to
// set this value only when the error measure is set to AbsoluteError.
//// \item @|double = obj.GetAbsoluteErrorMinValue ()| -  Specify the absolute error of the mesh; that is, the error in height
// between the decimated mesh and the original height field.  You need to
// set this value only when the error measure is set to AbsoluteError.
//// \item @|double = obj.GetAbsoluteErrorMaxValue ()| -  Specify the absolute error of the mesh; that is, the error in height
// between the decimated mesh and the original height field.  You need to
// set this value only when the error measure is set to AbsoluteError.
//// \item @|double = obj.GetAbsoluteError ()| -  Specify the absolute error of the mesh; that is, the error in height
// between the decimated mesh and the original height field.  You need to
// set this value only when the error measure is set to AbsoluteError.
//// \item @|obj.SetRelativeError (double )| -  Specify the relative error of the mesh; that is, the error in height
// between the decimated mesh and the original height field normalized by
// the diagonal of the image.  You need to set this value only when the
// error measure is set to RelativeError.
//// \item @|double = obj.GetRelativeErrorMinValue ()| -  Specify the relative error of the mesh; that is, the error in height
// between the decimated mesh and the original height field normalized by
// the diagonal of the image.  You need to set this value only when the
// error measure is set to RelativeError.
//// \item @|double = obj.GetRelativeErrorMaxValue ()| -  Specify the relative error of the mesh; that is, the error in height
// between the decimated mesh and the original height field normalized by
// the diagonal of the image.  You need to set this value only when the
// error measure is set to RelativeError.
//// \item @|double = obj.GetRelativeError ()| -  Specify the relative error of the mesh; that is, the error in height
// between the decimated mesh and the original height field normalized by
// the diagonal of the image.  You need to set this value only when the
// error measure is set to RelativeError.
//// \item @|obj.SetBoundaryVertexDeletion (int )| -  Turn on/off the deletion of vertices on the boundary of a mesh. This
// may limit the maximum reduction that may be achieved.
//// \item @|int = obj.GetBoundaryVertexDeletion ()| -  Turn on/off the deletion of vertices on the boundary of a mesh. This
// may limit the maximum reduction that may be achieved.
//// \item @|obj.BoundaryVertexDeletionOn ()| -  Turn on/off the deletion of vertices on the boundary of a mesh. This
// may limit the maximum reduction that may be achieved.
//// \item @|obj.BoundaryVertexDeletionOff ()| -  Turn on/off the deletion of vertices on the boundary of a mesh. This
// may limit the maximum reduction that may be achieved.
//// \item @|obj.SetComputeNormals (int )| -  Compute normals based on the input image. Off by default.
//// \item @|int = obj.GetComputeNormals ()| -  Compute normals based on the input image. Off by default.
//// \item @|obj.ComputeNormalsOn ()| -  Compute normals based on the input image. Off by default.
//// \item @|obj.ComputeNormalsOff ()| -  Compute normals based on the input image. Off by default.
////\end{itemize}
//!
