#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGridTransform object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGridTransform.h"

//@@Signature
//sfunction @vtkGridTransform:vtkGridTransform vtkGridTransformConstructorFunction
//input a
//output p
//@@Parents vtkGridTransform vtkWarpTransform 
ArrayVector vtkGridTransformConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGridTransform::New(),"vtkGridTransform",eval);
  } else if (arg[0].className() == "vtkGridTransform") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGridTransform"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGridTransform");
    vtkGridTransform*q = reinterpret_cast<vtkGridTransform*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGridTransform");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGridTransform:GetClassName vtkGridTransformGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGridTransformGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGridTransform requires 1 argument(s)");
  vtkGridTransform* vtk_pointer = GetVTKPointer<vtkGridTransform>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGridTransform:IsA vtkGridTransformIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGridTransformIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGridTransform requires 2 argument(s)");
  vtkGridTransform* vtk_pointer = GetVTKPointer<vtkGridTransform>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGridTransform:NewInstance vtkGridTransformNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGridTransformNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGridTransform *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGridTransform requires 1 argument(s)");
  vtkGridTransform* vtk_pointer = GetVTKPointer<vtkGridTransform>(arg[0]);
  Array retval;
  vtkGridTransform  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGridTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGridTransform:SafeDownCast vtkGridTransformSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGridTransformSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGridTransform *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGridTransform requires 2 argument(s)");
  vtkGridTransform* vtk_pointer = GetVTKPointer<vtkGridTransform>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGridTransform  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGridTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGridTransform:SetDisplacementGrid vtkGridTransformSetDisplacementGridFunction
//input a0 a1 
//output none
ArrayVector vtkGridTransformSetDisplacementGridFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDisplacementGrid (vtkImageData *); */
  if (arg.size() < 2) 
    throw Exception("Function SetDisplacementGrid for class vtkGridTransform requires 2 argument(s)");
  vtkGridTransform* vtk_pointer = GetVTKPointer<vtkGridTransform>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetDisplacementGrid(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGridTransform:GetDisplacementGrid vtkGridTransformGetDisplacementGridFunction
//input a0 
//output y
ArrayVector vtkGridTransformGetDisplacementGridFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetDisplacementGrid (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDisplacementGrid for class vtkGridTransform requires 1 argument(s)");
  vtkGridTransform* vtk_pointer = GetVTKPointer<vtkGridTransform>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetDisplacementGrid();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGridTransform:SetDisplacementScale vtkGridTransformSetDisplacementScaleFunction
//input a0 a1 
//output none
ArrayVector vtkGridTransformSetDisplacementScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDisplacementScale (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDisplacementScale for class vtkGridTransform requires 2 argument(s)");
  vtkGridTransform* vtk_pointer = GetVTKPointer<vtkGridTransform>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDisplacementScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGridTransform:GetDisplacementScale vtkGridTransformGetDisplacementScaleFunction
//input a0 
//output y
ArrayVector vtkGridTransformGetDisplacementScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDisplacementScale (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDisplacementScale for class vtkGridTransform requires 1 argument(s)");
  vtkGridTransform* vtk_pointer = GetVTKPointer<vtkGridTransform>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDisplacementScale();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGridTransform:SetDisplacementShift vtkGridTransformSetDisplacementShiftFunction
//input a0 a1 
//output none
ArrayVector vtkGridTransformSetDisplacementShiftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDisplacementShift (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDisplacementShift for class vtkGridTransform requires 2 argument(s)");
  vtkGridTransform* vtk_pointer = GetVTKPointer<vtkGridTransform>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDisplacementShift(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGridTransform:GetDisplacementShift vtkGridTransformGetDisplacementShiftFunction
//input a0 
//output y
ArrayVector vtkGridTransformGetDisplacementShiftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDisplacementShift (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDisplacementShift for class vtkGridTransform requires 1 argument(s)");
  vtkGridTransform* vtk_pointer = GetVTKPointer<vtkGridTransform>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDisplacementShift();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGridTransform:SetInterpolationMode vtkGridTransformSetInterpolationModeFunction
//input a0 a1 
//output none
ArrayVector vtkGridTransformSetInterpolationModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolationMode (int mode); */
  if (arg.size() < 2) 
    throw Exception("Function SetInterpolationMode for class vtkGridTransform requires 2 argument(s)");
  vtkGridTransform* vtk_pointer = GetVTKPointer<vtkGridTransform>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInterpolationMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGridTransform:GetInterpolationMode vtkGridTransformGetInterpolationModeFunction
//input a0 
//output y
ArrayVector vtkGridTransformGetInterpolationModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInterpolationMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInterpolationMode for class vtkGridTransform requires 1 argument(s)");
  vtkGridTransform* vtk_pointer = GetVTKPointer<vtkGridTransform>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInterpolationMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGridTransform:SetInterpolationModeToNearestNeighbor vtkGridTransformSetInterpolationModeToNearestNeighborFunction
//input a0 
//output none
ArrayVector vtkGridTransformSetInterpolationModeToNearestNeighborFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolationModeToNearestNeighbor ();this SetInterpolationMode VTK_GRID_NEAREST  */
  if (arg.size() < 1) 
    throw Exception("Function SetInterpolationModeToNearestNeighbor for class vtkGridTransform requires 1 argument(s)");
  vtkGridTransform* vtk_pointer = GetVTKPointer<vtkGridTransform>(arg[0]);
  Array retval;
  vtk_pointer->SetInterpolationModeToNearestNeighbor();
  return retval;
}

//@@Signature
//sfunction @vtkGridTransform:SetInterpolationModeToLinear vtkGridTransformSetInterpolationModeToLinearFunction
//input a0 
//output none
ArrayVector vtkGridTransformSetInterpolationModeToLinearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolationModeToLinear ();this SetInterpolationMode VTK_GRID_LINEAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetInterpolationModeToLinear for class vtkGridTransform requires 1 argument(s)");
  vtkGridTransform* vtk_pointer = GetVTKPointer<vtkGridTransform>(arg[0]);
  Array retval;
  vtk_pointer->SetInterpolationModeToLinear();
  return retval;
}

//@@Signature
//sfunction @vtkGridTransform:SetInterpolationModeToCubic vtkGridTransformSetInterpolationModeToCubicFunction
//input a0 
//output none
ArrayVector vtkGridTransformSetInterpolationModeToCubicFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolationModeToCubic ();this SetInterpolationMode VTK_GRID_CUBIC  */
  if (arg.size() < 1) 
    throw Exception("Function SetInterpolationModeToCubic for class vtkGridTransform requires 1 argument(s)");
  vtkGridTransform* vtk_pointer = GetVTKPointer<vtkGridTransform>(arg[0]);
  Array retval;
  vtk_pointer->SetInterpolationModeToCubic();
  return retval;
}

//@@Signature
//sfunction @vtkGridTransform:GetInterpolationModeAsString vtkGridTransformGetInterpolationModeAsStringFunction
//input a0 
//output y
ArrayVector vtkGridTransformGetInterpolationModeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetInterpolationModeAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInterpolationModeAsString for class vtkGridTransform requires 1 argument(s)");
  vtkGridTransform* vtk_pointer = GetVTKPointer<vtkGridTransform>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetInterpolationModeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGridTransform:MakeTransform vtkGridTransformMakeTransformFunction
//input a0 
//output y
ArrayVector vtkGridTransformMakeTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractTransform *MakeTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function MakeTransform for class vtkGridTransform requires 1 argument(s)");
  vtkGridTransform* vtk_pointer = GetVTKPointer<vtkGridTransform>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->MakeTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGridTransform:GetMTime vtkGridTransformGetMTimeFunction
//input a0 
//output y
ArrayVector vtkGridTransformGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkGridTransform requires 1 argument(s)");
  vtkGridTransform* vtk_pointer = GetVTKPointer<vtkGridTransform>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGridTransform:ForwardTransformPoint vtkGridTransformForwardTransformPointFunction
//input varargin
//output varargout
ArrayVector vtkGridTransformForwardTransformPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkGridTransformForwardTransformPoint");
}

//@@Signature
//sfunction @vtkGridTransform:ForwardTransformDerivative vtkGridTransformForwardTransformDerivativeFunction
//input varargin
//output varargout
ArrayVector vtkGridTransformForwardTransformDerivativeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkGridTransformForwardTransformDerivative");
}

//@@Signature
//sfunction @vtkGridTransform:InverseTransformPoint vtkGridTransformInverseTransformPointFunction
//input varargin
//output varargout
ArrayVector vtkGridTransformInverseTransformPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkGridTransformInverseTransformPoint");
}

//@@Signature
//sfunction @vtkGridTransform:InverseTransformDerivative vtkGridTransformInverseTransformDerivativeFunction
//input varargin
//output varargout
ArrayVector vtkGridTransformInverseTransformDerivativeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkGridTransformInverseTransformDerivative");
}

//@@Signature
//sfunction @vtkGridTransform:display vtkGridTransformDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGridTransformDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGridTransform* vtk_pointer = GetVTKPointer<vtkGridTransform>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGridTransform:delete vtkGridTransformDeleteFunction
//input varargin
//output none
ArrayVector vtkGridTransformDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGridTransform
//@@Section VTKHybrid
//@@Usage
// vtkGridTransform describes a nonlinear warp transformation as a set
// of displacement vectors sampled along a uniform 3D grid.
//
//To create an instance of class vtkGridTransform, simply
//invoke its constructor as follows
//@[
//  obj = vtkGridTransform
//@]
//@@Methods
//The class vtkGridTransform has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGridTransform class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGridTransform = obj.NewInstance ()|
// \item @|vtkGridTransform = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetDisplacementGrid (vtkImageData )| -  Set/Get the grid transform (the grid transform must have three 
// components for displacement in x, y, and z respectively).
// The vtkGridTransform class will never modify the data.
//// \item @|vtkImageData = obj.GetDisplacementGrid ()| -  Set/Get the grid transform (the grid transform must have three 
// components for displacement in x, y, and z respectively).
// The vtkGridTransform class will never modify the data.
//// \item @|obj.SetDisplacementScale (double )| -  Set scale factor to be applied to the displacements.
// This is used primarily for grids which contain integer
// data types.  Default: 1
//// \item @|double = obj.GetDisplacementScale ()| -  Set scale factor to be applied to the displacements.
// This is used primarily for grids which contain integer
// data types.  Default: 1
//// \item @|obj.SetDisplacementShift (double )| -  Set a shift to be applied to the displacements.  The shift
// is applied after the scale, i.e. x = scale*y + shift.
// Default: 0
//// \item @|double = obj.GetDisplacementShift ()| -  Set a shift to be applied to the displacements.  The shift
// is applied after the scale, i.e. x = scale*y + shift.
// Default: 0
//// \item @|obj.SetInterpolationMode (int mode)| -  Set interpolation mode for sampling the grid.  Higher-order
// interpolation allows you to use a sparser grid.
// Default: Linear.
//// \item @|int = obj.GetInterpolationMode ()| -  Set interpolation mode for sampling the grid.  Higher-order
// interpolation allows you to use a sparser grid.
// Default: Linear.
//// \item @|obj.SetInterpolationModeToNearestNeighbor ()| -  Set interpolation mode for sampling the grid.  Higher-order
// interpolation allows you to use a sparser grid.
// Default: Linear.
//// \item @|obj.SetInterpolationModeToLinear ()| -  Set interpolation mode for sampling the grid.  Higher-order
// interpolation allows you to use a sparser grid.
// Default: Linear.
//// \item @|obj.SetInterpolationModeToCubic ()| -  Set interpolation mode for sampling the grid.  Higher-order
// interpolation allows you to use a sparser grid.
// Default: Linear.
//// \item @|string = obj.GetInterpolationModeAsString ()| -  Set interpolation mode for sampling the grid.  Higher-order
// interpolation allows you to use a sparser grid.
// Default: Linear.
//// \item @|vtkAbstractTransform = obj.MakeTransform ()| -  Make another transform of the same type.
//// \item @|long = obj.GetMTime ()| -  Get the MTime.
////\end{itemize}
//!
