#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageDataLIC2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageDataLIC2D.h"

//@@Signature
//sfunction @vtkImageDataLIC2D:vtkImageDataLIC2D vtkImageDataLIC2DConstructorFunction
//input a
//output p
//@@Parents vtkImageDataLIC2D vtkImageAlgorithm 
ArrayVector vtkImageDataLIC2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageDataLIC2D::New(),"vtkImageDataLIC2D",eval);
  } else if (arg[0].className() == "vtkImageDataLIC2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageDataLIC2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageDataLIC2D");
    vtkImageDataLIC2D*q = reinterpret_cast<vtkImageDataLIC2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageDataLIC2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageDataLIC2D:GetClassName vtkImageDataLIC2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageDataLIC2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageDataLIC2D requires 1 argument(s)");
  vtkImageDataLIC2D* vtk_pointer = GetVTKPointer<vtkImageDataLIC2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDataLIC2D:IsA vtkImageDataLIC2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageDataLIC2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageDataLIC2D requires 2 argument(s)");
  vtkImageDataLIC2D* vtk_pointer = GetVTKPointer<vtkImageDataLIC2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDataLIC2D:NewInstance vtkImageDataLIC2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageDataLIC2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageDataLIC2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageDataLIC2D requires 1 argument(s)");
  vtkImageDataLIC2D* vtk_pointer = GetVTKPointer<vtkImageDataLIC2D>(arg[0]);
  Array retval;
  vtkImageDataLIC2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageDataLIC2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageDataLIC2D:SafeDownCast vtkImageDataLIC2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageDataLIC2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageDataLIC2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageDataLIC2D requires 2 argument(s)");
  vtkImageDataLIC2D* vtk_pointer = GetVTKPointer<vtkImageDataLIC2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageDataLIC2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageDataLIC2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageDataLIC2D:SetContext vtkImageDataLIC2DSetContextFunction
//input a0 a1 
//output y
ArrayVector vtkImageDataLIC2DSetContextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SetContext (vtkRenderWindow *context); */
  if (arg.size() < 2) 
    throw Exception("Function SetContext for class vtkImageDataLIC2D requires 2 argument(s)");
  vtkImageDataLIC2D* vtk_pointer = GetVTKPointer<vtkImageDataLIC2D>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkRenderWindow>(arg[1]);
  temp20 = (vtk_pointer)->SetContext(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDataLIC2D:GetContext vtkImageDataLIC2DGetContextFunction
//input a0 
//output y
ArrayVector vtkImageDataLIC2DGetContextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderWindow *GetContext (); */
  if (arg.size() < 1) 
    throw Exception("Function GetContext for class vtkImageDataLIC2D requires 1 argument(s)");
  vtkImageDataLIC2D* vtk_pointer = GetVTKPointer<vtkImageDataLIC2D>(arg[0]);
  Array retval;
  vtkRenderWindow  *temp20;
  temp20 = (vtk_pointer)->GetContext();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderWindow",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageDataLIC2D:SetSteps vtkImageDataLIC2DSetStepsFunction
//input a0 a1 
//output none
ArrayVector vtkImageDataLIC2DSetStepsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSteps (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSteps for class vtkImageDataLIC2D requires 2 argument(s)");
  vtkImageDataLIC2D* vtk_pointer = GetVTKPointer<vtkImageDataLIC2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSteps(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageDataLIC2D:GetSteps vtkImageDataLIC2DGetStepsFunction
//input a0 
//output y
ArrayVector vtkImageDataLIC2DGetStepsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSteps (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSteps for class vtkImageDataLIC2D requires 1 argument(s)");
  vtkImageDataLIC2D* vtk_pointer = GetVTKPointer<vtkImageDataLIC2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSteps();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDataLIC2D:SetStepSize vtkImageDataLIC2DSetStepSizeFunction
//input a0 a1 
//output none
ArrayVector vtkImageDataLIC2DSetStepSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStepSize (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetStepSize for class vtkImageDataLIC2D requires 2 argument(s)");
  vtkImageDataLIC2D* vtk_pointer = GetVTKPointer<vtkImageDataLIC2D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetStepSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageDataLIC2D:GetStepSizeMinValue vtkImageDataLIC2DGetStepSizeMinValueFunction
//input a0 
//output y
ArrayVector vtkImageDataLIC2DGetStepSizeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetStepSizeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStepSizeMinValue for class vtkImageDataLIC2D requires 1 argument(s)");
  vtkImageDataLIC2D* vtk_pointer = GetVTKPointer<vtkImageDataLIC2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetStepSizeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDataLIC2D:GetStepSizeMaxValue vtkImageDataLIC2DGetStepSizeMaxValueFunction
//input a0 
//output y
ArrayVector vtkImageDataLIC2DGetStepSizeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetStepSizeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStepSizeMaxValue for class vtkImageDataLIC2D requires 1 argument(s)");
  vtkImageDataLIC2D* vtk_pointer = GetVTKPointer<vtkImageDataLIC2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetStepSizeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDataLIC2D:GetStepSize vtkImageDataLIC2DGetStepSizeFunction
//input a0 
//output y
ArrayVector vtkImageDataLIC2DGetStepSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetStepSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStepSize for class vtkImageDataLIC2D requires 1 argument(s)");
  vtkImageDataLIC2D* vtk_pointer = GetVTKPointer<vtkImageDataLIC2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetStepSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDataLIC2D:SetMagnification vtkImageDataLIC2DSetMagnificationFunction
//input a0 a1 
//output none
ArrayVector vtkImageDataLIC2DSetMagnificationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMagnification (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMagnification for class vtkImageDataLIC2D requires 2 argument(s)");
  vtkImageDataLIC2D* vtk_pointer = GetVTKPointer<vtkImageDataLIC2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMagnification(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageDataLIC2D:GetMagnificationMinValue vtkImageDataLIC2DGetMagnificationMinValueFunction
//input a0 
//output y
ArrayVector vtkImageDataLIC2DGetMagnificationMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMagnificationMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMagnificationMinValue for class vtkImageDataLIC2D requires 1 argument(s)");
  vtkImageDataLIC2D* vtk_pointer = GetVTKPointer<vtkImageDataLIC2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMagnificationMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDataLIC2D:GetMagnificationMaxValue vtkImageDataLIC2DGetMagnificationMaxValueFunction
//input a0 
//output y
ArrayVector vtkImageDataLIC2DGetMagnificationMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMagnificationMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMagnificationMaxValue for class vtkImageDataLIC2D requires 1 argument(s)");
  vtkImageDataLIC2D* vtk_pointer = GetVTKPointer<vtkImageDataLIC2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMagnificationMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDataLIC2D:GetMagnification vtkImageDataLIC2DGetMagnificationFunction
//input a0 
//output y
ArrayVector vtkImageDataLIC2DGetMagnificationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMagnification (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMagnification for class vtkImageDataLIC2D requires 1 argument(s)");
  vtkImageDataLIC2D* vtk_pointer = GetVTKPointer<vtkImageDataLIC2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMagnification();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDataLIC2D:GetOpenGLExtensionsSupported vtkImageDataLIC2DGetOpenGLExtensionsSupportedFunction
//input a0 
//output y
ArrayVector vtkImageDataLIC2DGetOpenGLExtensionsSupportedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOpenGLExtensionsSupported (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOpenGLExtensionsSupported for class vtkImageDataLIC2D requires 1 argument(s)");
  vtkImageDataLIC2D* vtk_pointer = GetVTKPointer<vtkImageDataLIC2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOpenGLExtensionsSupported();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDataLIC2D:GetFBOSuccess vtkImageDataLIC2DGetFBOSuccessFunction
//input a0 
//output y
ArrayVector vtkImageDataLIC2DGetFBOSuccessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFBOSuccess ();return this FBOSuccess  */
  if (arg.size() < 1) 
    throw Exception("Function GetFBOSuccess for class vtkImageDataLIC2D requires 1 argument(s)");
  vtkImageDataLIC2D* vtk_pointer = GetVTKPointer<vtkImageDataLIC2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFBOSuccess();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDataLIC2D:GetLICSuccess vtkImageDataLIC2DGetLICSuccessFunction
//input a0 
//output y
ArrayVector vtkImageDataLIC2DGetLICSuccessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLICSuccess ();return this LICSuccess  */
  if (arg.size() < 1) 
    throw Exception("Function GetLICSuccess for class vtkImageDataLIC2D requires 1 argument(s)");
  vtkImageDataLIC2D* vtk_pointer = GetVTKPointer<vtkImageDataLIC2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLICSuccess();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDataLIC2D:TranslateInputExtent vtkImageDataLIC2DTranslateInputExtentFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageDataLIC2DTranslateInputExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TranslateInputExtent (const int *inExt, const int *inWholeExtent, int *outExt); */
  if (arg.size() < 4) 
    throw Exception("Function TranslateInputExtent for class vtkImageDataLIC2D requires 4 argument(s)");
  vtkImageDataLIC2D* vtk_pointer = GetVTKPointer<vtkImageDataLIC2D>(arg[0]);
  Array retval;
  int     *temp0;
  int     *temp1;
  int     *temp2;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new int[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (int)data[k+1];
      }
  vtk_pointer->TranslateInputExtent(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageDataLIC2D:display vtkImageDataLIC2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageDataLIC2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageDataLIC2D* vtk_pointer = GetVTKPointer<vtkImageDataLIC2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageDataLIC2D:delete vtkImageDataLIC2DDeleteFunction
//input varargin
//output none
ArrayVector vtkImageDataLIC2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageDataLIC2D
//@@Section VTKHybrid
//@@Usage
//  GPU implementation of a Line Integral Convolution, a technique for
//  imaging  vector fields.
//
//  The input on port 0 is an vtkImageData with extents of a 2D image. It needs
//  a vector field on point data.
//  Port 1 is a special port for customized noise input. It is an optional port.
//  If not present, noise is generated by the filter. Even if none-power-of-two
//  texture are supported, giving a power-of-two image may result in faster
//  execution on the GPU.
//  If noise input is not specified, then the filter using vtkImageNoiseSource to
//  generate a 128x128 noise texture.
//  This filter only works on point vectors. One can use a
//  vtkCellDataToPointData filter to convert cell vectors to point vectors.
//
// .SECTION Required OpenGL Extensins
//  GL_ARB_texture_non_power_of_two
//  GL_VERSION_2_0
//  GL_ARB_texture_float
//  GL_ARB_draw_buffers
//  GL_EXT_framebuffer_object
//  GL_ARB_pixel_buffer_object
//
//
//To create an instance of class vtkImageDataLIC2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageDataLIC2D
//@]
//@@Methods
//The class vtkImageDataLIC2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageDataLIC2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageDataLIC2D = obj.NewInstance ()|
// \item @|vtkImageDataLIC2D = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.SetContext (vtkRenderWindow context)| -  Get/Set the context. Context must be a vtkOpenGLRenderWindow. 
// This does not increase the reference count of the 
// context to avoid reference loops.
// SetContext() may raise an error is the OpenGL context does not support the
// required OpenGL extensions. Return 0 upon failure and 1 upon success.
//// \item @|vtkRenderWindow = obj.GetContext ()| -  Get/Set the context. Context must be a vtkOpenGLRenderWindow. 
// This does not increase the reference count of the 
// context to avoid reference loops.
// SetContext() may raise an error is the OpenGL context does not support the
// required OpenGL extensions. Return 0 upon failure and 1 upon success.
//// \item @|obj.SetSteps (int )| -  Number of steps. Initial value is 20.
// class invariant: Steps>0.
// In term of visual quality, the greater the better.
//// \item @|int = obj.GetSteps ()| -  Number of steps. Initial value is 20.
// class invariant: Steps>0.
// In term of visual quality, the greater the better.
//// \item @|obj.SetStepSize (double )| -  Step size.
// Specify the step size as a unit of the cell length of the input vector
// field. Cell lenghth is the length of the diagonal of a cell.
// Initial value is 1.0.
// class invariant: StepSize>0.0.
// In term of visual quality, the smaller the better.
// The type for the interface is double as VTK interface is double
// but GPU only supports float. This value will be converted to
// float in the execution of the algorithm.
//// \item @|double = obj.GetStepSizeMinValue ()| -  Step size.
// Specify the step size as a unit of the cell length of the input vector
// field. Cell lenghth is the length of the diagonal of a cell.
// Initial value is 1.0.
// class invariant: StepSize>0.0.
// In term of visual quality, the smaller the better.
// The type for the interface is double as VTK interface is double
// but GPU only supports float. This value will be converted to
// float in the execution of the algorithm.
//// \item @|double = obj.GetStepSizeMaxValue ()| -  Step size.
// Specify the step size as a unit of the cell length of the input vector
// field. Cell lenghth is the length of the diagonal of a cell.
// Initial value is 1.0.
// class invariant: StepSize>0.0.
// In term of visual quality, the smaller the better.
// The type for the interface is double as VTK interface is double
// but GPU only supports float. This value will be converted to
// float in the execution of the algorithm.
//// \item @|double = obj.GetStepSize ()| -  Step size.
// Specify the step size as a unit of the cell length of the input vector
// field. Cell lenghth is the length of the diagonal of a cell.
// Initial value is 1.0.
// class invariant: StepSize>0.0.
// In term of visual quality, the smaller the better.
// The type for the interface is double as VTK interface is double
// but GPU only supports float. This value will be converted to
// float in the execution of the algorithm.
//// \item @|obj.SetMagnification (int )| -  The the magnification factor. Default is 1
//// \item @|int = obj.GetMagnificationMinValue ()| -  The the magnification factor. Default is 1
//// \item @|int = obj.GetMagnificationMaxValue ()| -  The the magnification factor. Default is 1
//// \item @|int = obj.GetMagnification ()| -  The the magnification factor. Default is 1
//// \item @|int = obj.GetOpenGLExtensionsSupported ()| -  Check if the required OpenGL extensions / GPU are supported.
//// \item @|int = obj.GetFBOSuccess ()| -  Check if LIC runs properly.
//// \item @|int = obj.GetLICSuccess ()|
// \item @|obj.TranslateInputExtent (int inExt, int inWholeExtent, int outExt)|
//\end{itemize}
//!
