#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageToPolyDataFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageToPolyDataFilter.h"

//@@Signature
//sfunction @vtkImageToPolyDataFilter:vtkImageToPolyDataFilter vtkImageToPolyDataFilterConstructorFunction
//input a
//output p
//@@Parents vtkImageToPolyDataFilter vtkPolyDataAlgorithm 
ArrayVector vtkImageToPolyDataFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageToPolyDataFilter::New(),"vtkImageToPolyDataFilter",eval);
  } else if (arg[0].className() == "vtkImageToPolyDataFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageToPolyDataFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageToPolyDataFilter");
    vtkImageToPolyDataFilter*q = reinterpret_cast<vtkImageToPolyDataFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageToPolyDataFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageToPolyDataFilter:GetClassName vtkImageToPolyDataFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageToPolyDataFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:IsA vtkImageToPolyDataFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageToPolyDataFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageToPolyDataFilter requires 2 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:NewInstance vtkImageToPolyDataFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageToPolyDataFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageToPolyDataFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  vtkImageToPolyDataFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageToPolyDataFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:SafeDownCast vtkImageToPolyDataFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageToPolyDataFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageToPolyDataFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageToPolyDataFilter requires 2 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageToPolyDataFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageToPolyDataFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:SetOutputStyle vtkImageToPolyDataFilterSetOutputStyleFunction
//input a0 a1 
//output none
ArrayVector vtkImageToPolyDataFilterSetOutputStyleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputStyle (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputStyle for class vtkImageToPolyDataFilter requires 2 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutputStyle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:GetOutputStyleMinValue vtkImageToPolyDataFilterGetOutputStyleMinValueFunction
//input a0 
//output y
ArrayVector vtkImageToPolyDataFilterGetOutputStyleMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputStyleMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputStyleMinValue for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutputStyleMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:GetOutputStyleMaxValue vtkImageToPolyDataFilterGetOutputStyleMaxValueFunction
//input a0 
//output y
ArrayVector vtkImageToPolyDataFilterGetOutputStyleMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputStyleMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputStyleMaxValue for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutputStyleMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:GetOutputStyle vtkImageToPolyDataFilterGetOutputStyleFunction
//input a0 
//output y
ArrayVector vtkImageToPolyDataFilterGetOutputStyleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputStyle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputStyle for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutputStyle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:SetOutputStyleToPixelize vtkImageToPolyDataFilterSetOutputStyleToPixelizeFunction
//input a0 
//output none
ArrayVector vtkImageToPolyDataFilterSetOutputStyleToPixelizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputStyleToPixelize ();this SetOutputStyle VTK_STYLE_PIXELIZE  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputStyleToPixelize for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputStyleToPixelize();
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:SetOutputStyleToPolygonalize vtkImageToPolyDataFilterSetOutputStyleToPolygonalizeFunction
//input a0 
//output none
ArrayVector vtkImageToPolyDataFilterSetOutputStyleToPolygonalizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputStyleToPolygonalize ();this SetOutputStyle VTK_STYLE_POLYGONALIZE  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputStyleToPolygonalize for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputStyleToPolygonalize();
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:SetOutputStyleToRunLength vtkImageToPolyDataFilterSetOutputStyleToRunLengthFunction
//input a0 
//output none
ArrayVector vtkImageToPolyDataFilterSetOutputStyleToRunLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputStyleToRunLength ();this SetOutputStyle VTK_STYLE_RUN_LENGTH  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputStyleToRunLength for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputStyleToRunLength();
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:SetColorMode vtkImageToPolyDataFilterSetColorModeFunction
//input a0 a1 
//output none
ArrayVector vtkImageToPolyDataFilterSetColorModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetColorMode for class vtkImageToPolyDataFilter requires 2 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetColorMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:GetColorModeMinValue vtkImageToPolyDataFilterGetColorModeMinValueFunction
//input a0 
//output y
ArrayVector vtkImageToPolyDataFilterGetColorModeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetColorModeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorModeMinValue for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetColorModeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:GetColorModeMaxValue vtkImageToPolyDataFilterGetColorModeMaxValueFunction
//input a0 
//output y
ArrayVector vtkImageToPolyDataFilterGetColorModeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetColorModeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorModeMaxValue for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetColorModeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:GetColorMode vtkImageToPolyDataFilterGetColorModeFunction
//input a0 
//output y
ArrayVector vtkImageToPolyDataFilterGetColorModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetColorMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorMode for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetColorMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:SetColorModeToLUT vtkImageToPolyDataFilterSetColorModeToLUTFunction
//input a0 
//output none
ArrayVector vtkImageToPolyDataFilterSetColorModeToLUTFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorModeToLUT ();this SetColorMode VTK_COLOR_MODE_LUT  */
  if (arg.size() < 1) 
    throw Exception("Function SetColorModeToLUT for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetColorModeToLUT();
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:SetColorModeToLinear256 vtkImageToPolyDataFilterSetColorModeToLinear256Function
//input a0 
//output none
ArrayVector vtkImageToPolyDataFilterSetColorModeToLinear256Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorModeToLinear256 ();this SetColorMode VTK_COLOR_MODE_LINEAR_256  */
  if (arg.size() < 1) 
    throw Exception("Function SetColorModeToLinear256 for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->SetColorModeToLinear256();
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:SetLookupTable vtkImageToPolyDataFilterSetLookupTableFunction
//input a0 a1 
//output none
ArrayVector vtkImageToPolyDataFilterSetLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLookupTable (vtkScalarsToColors *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLookupTable for class vtkImageToPolyDataFilter requires 2 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  vtkScalarsToColors  *temp0;
  temp0 = GetVTKPointer<vtkScalarsToColors>(arg[1]);
  vtk_pointer->SetLookupTable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:GetLookupTable vtkImageToPolyDataFilterGetLookupTableFunction
//input a0 
//output y
ArrayVector vtkImageToPolyDataFilterGetLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScalarsToColors *GetLookupTable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLookupTable for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  vtkScalarsToColors  *temp20;
  temp20 = (vtk_pointer)->GetLookupTable();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScalarsToColors",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:SetSmoothing vtkImageToPolyDataFilterSetSmoothingFunction
//input a0 a1 
//output none
ArrayVector vtkImageToPolyDataFilterSetSmoothingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSmoothing (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSmoothing for class vtkImageToPolyDataFilter requires 2 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSmoothing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:GetSmoothing vtkImageToPolyDataFilterGetSmoothingFunction
//input a0 
//output y
ArrayVector vtkImageToPolyDataFilterGetSmoothingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSmoothing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSmoothing for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSmoothing();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:SmoothingOn vtkImageToPolyDataFilterSmoothingOnFunction
//input a0 
//output none
ArrayVector vtkImageToPolyDataFilterSmoothingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SmoothingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SmoothingOn for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->SmoothingOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:SmoothingOff vtkImageToPolyDataFilterSmoothingOffFunction
//input a0 
//output none
ArrayVector vtkImageToPolyDataFilterSmoothingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SmoothingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SmoothingOff for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->SmoothingOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:SetNumberOfSmoothingIterations vtkImageToPolyDataFilterSetNumberOfSmoothingIterationsFunction
//input a0 a1 
//output none
ArrayVector vtkImageToPolyDataFilterSetNumberOfSmoothingIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfSmoothingIterations (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfSmoothingIterations for class vtkImageToPolyDataFilter requires 2 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfSmoothingIterations(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:GetNumberOfSmoothingIterationsMinValue vtkImageToPolyDataFilterGetNumberOfSmoothingIterationsMinValueFunction
//input a0 
//output y
ArrayVector vtkImageToPolyDataFilterGetNumberOfSmoothingIterationsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSmoothingIterationsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSmoothingIterationsMinValue for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSmoothingIterationsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:GetNumberOfSmoothingIterationsMaxValue vtkImageToPolyDataFilterGetNumberOfSmoothingIterationsMaxValueFunction
//input a0 
//output y
ArrayVector vtkImageToPolyDataFilterGetNumberOfSmoothingIterationsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSmoothingIterationsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSmoothingIterationsMaxValue for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSmoothingIterationsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:GetNumberOfSmoothingIterations vtkImageToPolyDataFilterGetNumberOfSmoothingIterationsFunction
//input a0 
//output y
ArrayVector vtkImageToPolyDataFilterGetNumberOfSmoothingIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSmoothingIterations (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSmoothingIterations for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSmoothingIterations();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:SetDecimation vtkImageToPolyDataFilterSetDecimationFunction
//input a0 a1 
//output none
ArrayVector vtkImageToPolyDataFilterSetDecimationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDecimation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDecimation for class vtkImageToPolyDataFilter requires 2 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDecimation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:GetDecimation vtkImageToPolyDataFilterGetDecimationFunction
//input a0 
//output y
ArrayVector vtkImageToPolyDataFilterGetDecimationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDecimation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDecimation for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDecimation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:DecimationOn vtkImageToPolyDataFilterDecimationOnFunction
//input a0 
//output none
ArrayVector vtkImageToPolyDataFilterDecimationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DecimationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DecimationOn for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->DecimationOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:DecimationOff vtkImageToPolyDataFilterDecimationOffFunction
//input a0 
//output none
ArrayVector vtkImageToPolyDataFilterDecimationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DecimationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DecimationOff for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  vtk_pointer->DecimationOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:SetDecimationError vtkImageToPolyDataFilterSetDecimationErrorFunction
//input a0 a1 
//output none
ArrayVector vtkImageToPolyDataFilterSetDecimationErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDecimationError (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDecimationError for class vtkImageToPolyDataFilter requires 2 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDecimationError(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:GetDecimationErrorMinValue vtkImageToPolyDataFilterGetDecimationErrorMinValueFunction
//input a0 
//output y
ArrayVector vtkImageToPolyDataFilterGetDecimationErrorMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDecimationErrorMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDecimationErrorMinValue for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDecimationErrorMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:GetDecimationErrorMaxValue vtkImageToPolyDataFilterGetDecimationErrorMaxValueFunction
//input a0 
//output y
ArrayVector vtkImageToPolyDataFilterGetDecimationErrorMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDecimationErrorMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDecimationErrorMaxValue for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDecimationErrorMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:GetDecimationError vtkImageToPolyDataFilterGetDecimationErrorFunction
//input a0 
//output y
ArrayVector vtkImageToPolyDataFilterGetDecimationErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDecimationError (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDecimationError for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDecimationError();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:SetError vtkImageToPolyDataFilterSetErrorFunction
//input a0 a1 
//output none
ArrayVector vtkImageToPolyDataFilterSetErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetError (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetError for class vtkImageToPolyDataFilter requires 2 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetError(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:GetErrorMinValue vtkImageToPolyDataFilterGetErrorMinValueFunction
//input a0 
//output y
ArrayVector vtkImageToPolyDataFilterGetErrorMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetErrorMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetErrorMinValue for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetErrorMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:GetErrorMaxValue vtkImageToPolyDataFilterGetErrorMaxValueFunction
//input a0 
//output y
ArrayVector vtkImageToPolyDataFilterGetErrorMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetErrorMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetErrorMaxValue for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetErrorMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:GetError vtkImageToPolyDataFilterGetErrorFunction
//input a0 
//output y
ArrayVector vtkImageToPolyDataFilterGetErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetError (); */
  if (arg.size() < 1) 
    throw Exception("Function GetError for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetError();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:SetSubImageSize vtkImageToPolyDataFilterSetSubImageSizeFunction
//input a0 a1 
//output none
ArrayVector vtkImageToPolyDataFilterSetSubImageSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSubImageSize (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSubImageSize for class vtkImageToPolyDataFilter requires 2 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSubImageSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:GetSubImageSizeMinValue vtkImageToPolyDataFilterGetSubImageSizeMinValueFunction
//input a0 
//output y
ArrayVector vtkImageToPolyDataFilterGetSubImageSizeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSubImageSizeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSubImageSizeMinValue for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSubImageSizeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:GetSubImageSizeMaxValue vtkImageToPolyDataFilterGetSubImageSizeMaxValueFunction
//input a0 
//output y
ArrayVector vtkImageToPolyDataFilterGetSubImageSizeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSubImageSizeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSubImageSizeMaxValue for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSubImageSizeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:GetSubImageSize vtkImageToPolyDataFilterGetSubImageSizeFunction
//input a0 
//output y
ArrayVector vtkImageToPolyDataFilterGetSubImageSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSubImageSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSubImageSize for class vtkImageToPolyDataFilter requires 1 argument(s)");
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSubImageSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToPolyDataFilter:display vtkImageToPolyDataFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageToPolyDataFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageToPolyDataFilter* vtk_pointer = GetVTKPointer<vtkImageToPolyDataFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageToPolyDataFilter:delete vtkImageToPolyDataFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkImageToPolyDataFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageToPolyDataFilter
//@@Section VTKHybrid
//@@Usage
// vtkImageToPolyDataFilter converts raster data (i.e., an image) into
// polygonal data (i.e., quads or n-sided polygons), with each polygon
// assigned a constant color. This is useful for writers that generate vector
// formats (i.e., CGM or PostScript). To use this filter, you specify how to
// quantize the color (or whether to use an image with a lookup table), and
// what style the output should be. The output is always polygons, but the
// choice is n x m quads (where n and m define the input image dimensions)
// "Pixelize" option; arbitrary polygons "Polygonalize" option; or variable
// number of quads of constant color generated along scan lines "RunLength"
// option.
//
// The algorithm quantizes color in order to create coherent regions that the
// polygons can represent with good compression. By default, the input image
// is quantized to 256 colors using a 3-3-2 bits for red-green-blue. However,
// you can also supply a single component image and a lookup table, with the
// single component assumed to be an index into the table.  (Note: a quantized
// image can be generated with the filter vtkImageQuantizeRGBToIndex.) The
// number of colors on output is equal to the number of colors in the input
// lookup table (or 256 if the built in linear ramp is used).
//
// The output of the filter is polygons with a single color per polygon cell.
// If the output style is set to "Polygonalize", the polygons may have an
// large number of points (bounded by something like 2*(n+m)); and the
// polygon may not be convex which may cause rendering problems on some
// systems (use vtkTriangleFilter). Otherwise, each polygon will have four
// vertices. The output also contains scalar data defining RGB color in
// unsigned char form.
//
//
//To create an instance of class vtkImageToPolyDataFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageToPolyDataFilter
//@]
//@@Methods
//The class vtkImageToPolyDataFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageToPolyDataFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageToPolyDataFilter = obj.NewInstance ()|
// \item @|vtkImageToPolyDataFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetOutputStyle (int )| -  Specify how to create the output. Pixelize means converting the image
// to quad polygons with a constant color per quad. Polygonalize means
// merging colors together into polygonal regions, and then smoothing
// the regions (if smoothing is turned on). RunLength means creating
// quad polygons that may encompass several pixels on a scan line. The
// default behavior is Polygonalize.
//// \item @|int = obj.GetOutputStyleMinValue ()| -  Specify how to create the output. Pixelize means converting the image
// to quad polygons with a constant color per quad. Polygonalize means
// merging colors together into polygonal regions, and then smoothing
// the regions (if smoothing is turned on). RunLength means creating
// quad polygons that may encompass several pixels on a scan line. The
// default behavior is Polygonalize.
//// \item @|int = obj.GetOutputStyleMaxValue ()| -  Specify how to create the output. Pixelize means converting the image
// to quad polygons with a constant color per quad. Polygonalize means
// merging colors together into polygonal regions, and then smoothing
// the regions (if smoothing is turned on). RunLength means creating
// quad polygons that may encompass several pixels on a scan line. The
// default behavior is Polygonalize.
//// \item @|int = obj.GetOutputStyle ()| -  Specify how to create the output. Pixelize means converting the image
// to quad polygons with a constant color per quad. Polygonalize means
// merging colors together into polygonal regions, and then smoothing
// the regions (if smoothing is turned on). RunLength means creating
// quad polygons that may encompass several pixels on a scan line. The
// default behavior is Polygonalize.
//// \item @|obj.SetOutputStyleToPixelize ()| -  Specify how to create the output. Pixelize means converting the image
// to quad polygons with a constant color per quad. Polygonalize means
// merging colors together into polygonal regions, and then smoothing
// the regions (if smoothing is turned on). RunLength means creating
// quad polygons that may encompass several pixels on a scan line. The
// default behavior is Polygonalize.
//// \item @|obj.SetOutputStyleToPolygonalize ()| -  Specify how to create the output. Pixelize means converting the image
// to quad polygons with a constant color per quad. Polygonalize means
// merging colors together into polygonal regions, and then smoothing
// the regions (if smoothing is turned on). RunLength means creating
// quad polygons that may encompass several pixels on a scan line. The
// default behavior is Polygonalize.
//// \item @|obj.SetOutputStyleToRunLength ()| -  Specify how to create the output. Pixelize means converting the image
// to quad polygons with a constant color per quad. Polygonalize means
// merging colors together into polygonal regions, and then smoothing
// the regions (if smoothing is turned on). RunLength means creating
// quad polygons that may encompass several pixels on a scan line. The
// default behavior is Polygonalize.
//// \item @|obj.SetColorMode (int )| -  Specify how to quantize color.
//// \item @|int = obj.GetColorModeMinValue ()| -  Specify how to quantize color.
//// \item @|int = obj.GetColorModeMaxValue ()| -  Specify how to quantize color.
//// \item @|int = obj.GetColorMode ()| -  Specify how to quantize color.
//// \item @|obj.SetColorModeToLUT ()| -  Specify how to quantize color.
//// \item @|obj.SetColorModeToLinear256 ()| -  Specify how to quantize color.
//// \item @|obj.SetLookupTable (vtkScalarsToColors )| -  Set/Get the vtkLookupTable to use. The lookup table is used when the
// color mode is set to LUT and a single component scalar is input.
//// \item @|vtkScalarsToColors = obj.GetLookupTable ()| -  Set/Get the vtkLookupTable to use. The lookup table is used when the
// color mode is set to LUT and a single component scalar is input.
//// \item @|obj.SetSmoothing (int )| -  If the output style is set to polygonalize, then you can control
// whether to smooth boundaries.
//// \item @|int = obj.GetSmoothing ()| -  If the output style is set to polygonalize, then you can control
// whether to smooth boundaries.
//// \item @|obj.SmoothingOn ()| -  If the output style is set to polygonalize, then you can control
// whether to smooth boundaries.
//// \item @|obj.SmoothingOff ()| -  If the output style is set to polygonalize, then you can control
// whether to smooth boundaries.
//// \item @|obj.SetNumberOfSmoothingIterations (int )| -  Specify the number of smoothing iterations to smooth polygons. (Only
// in effect if output style is Polygonalize and smoothing is on.)
//// \item @|int = obj.GetNumberOfSmoothingIterationsMinValue ()| -  Specify the number of smoothing iterations to smooth polygons. (Only
// in effect if output style is Polygonalize and smoothing is on.)
//// \item @|int = obj.GetNumberOfSmoothingIterationsMaxValue ()| -  Specify the number of smoothing iterations to smooth polygons. (Only
// in effect if output style is Polygonalize and smoothing is on.)
//// \item @|int = obj.GetNumberOfSmoothingIterations ()| -  Specify the number of smoothing iterations to smooth polygons. (Only
// in effect if output style is Polygonalize and smoothing is on.)
//// \item @|obj.SetDecimation (int )| -  Turn on/off whether the final polygons should be decimated.
// whether to smooth boundaries.
//// \item @|int = obj.GetDecimation ()| -  Turn on/off whether the final polygons should be decimated.
// whether to smooth boundaries.
//// \item @|obj.DecimationOn ()| -  Turn on/off whether the final polygons should be decimated.
// whether to smooth boundaries.
//// \item @|obj.DecimationOff ()| -  Turn on/off whether the final polygons should be decimated.
// whether to smooth boundaries.
//// \item @|obj.SetDecimationError (double )| -  Specify the error to use for decimation (if decimation is on).
// The error is an absolute number--the image spacing and
// dimensions are used to create points so the error should be
// consistent with the image size.
//// \item @|double = obj.GetDecimationErrorMinValue ()| -  Specify the error to use for decimation (if decimation is on).
// The error is an absolute number--the image spacing and
// dimensions are used to create points so the error should be
// consistent with the image size.
//// \item @|double = obj.GetDecimationErrorMaxValue ()| -  Specify the error to use for decimation (if decimation is on).
// The error is an absolute number--the image spacing and
// dimensions are used to create points so the error should be
// consistent with the image size.
//// \item @|double = obj.GetDecimationError ()| -  Specify the error to use for decimation (if decimation is on).
// The error is an absolute number--the image spacing and
// dimensions are used to create points so the error should be
// consistent with the image size.
//// \item @|obj.SetError (int )| -  Specify the error value between two colors where the colors are 
// considered the same. Only use this if the color mode uses the
// default 256 table.
//// \item @|int = obj.GetErrorMinValue ()| -  Specify the error value between two colors where the colors are 
// considered the same. Only use this if the color mode uses the
// default 256 table.
//// \item @|int = obj.GetErrorMaxValue ()| -  Specify the error value between two colors where the colors are 
// considered the same. Only use this if the color mode uses the
// default 256 table.
//// \item @|int = obj.GetError ()| -  Specify the error value between two colors where the colors are 
// considered the same. Only use this if the color mode uses the
// default 256 table.
//// \item @|obj.SetSubImageSize (int )| -  Specify the size (n by n pixels) of the largest region to 
// polygonalize. When the OutputStyle is set to VTK_STYLE_POLYGONALIZE,
// large amounts of memory are used. In order to process large images,
// the image is broken into pieces that are at most Size pixels in
// width and height.
//// \item @|int = obj.GetSubImageSizeMinValue ()| -  Specify the size (n by n pixels) of the largest region to 
// polygonalize. When the OutputStyle is set to VTK_STYLE_POLYGONALIZE,
// large amounts of memory are used. In order to process large images,
// the image is broken into pieces that are at most Size pixels in
// width and height.
//// \item @|int = obj.GetSubImageSizeMaxValue ()| -  Specify the size (n by n pixels) of the largest region to 
// polygonalize. When the OutputStyle is set to VTK_STYLE_POLYGONALIZE,
// large amounts of memory are used. In order to process large images,
// the image is broken into pieces that are at most Size pixels in
// width and height.
//// \item @|int = obj.GetSubImageSize ()| -  Specify the size (n by n pixels) of the largest region to 
// polygonalize. When the OutputStyle is set to VTK_STYLE_POLYGONALIZE,
// large amounts of memory are used. In order to process large images,
// the image is broken into pieces that are at most Size pixels in
// width and height.
////\end{itemize}
//!
