#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImplicitModeller object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImplicitModeller.h"

//@@Signature
//sfunction @vtkImplicitModeller:vtkImplicitModeller vtkImplicitModellerConstructorFunction
//input a
//output p
//@@Parents vtkImplicitModeller vtkImageAlgorithm 
ArrayVector vtkImplicitModellerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImplicitModeller::New(),"vtkImplicitModeller",eval);
  } else if (arg[0].className() == "vtkImplicitModeller") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImplicitModeller"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImplicitModeller");
    vtkImplicitModeller*q = reinterpret_cast<vtkImplicitModeller*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImplicitModeller");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImplicitModeller:GetClassName vtkImplicitModellerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImplicitModellerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:IsA vtkImplicitModellerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImplicitModellerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImplicitModeller requires 2 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:NewInstance vtkImplicitModellerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImplicitModellerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitModeller *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  vtkImplicitModeller  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitModeller",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:SafeDownCast vtkImplicitModellerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImplicitModellerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitModeller *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImplicitModeller requires 2 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImplicitModeller  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitModeller",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:ComputeModelBounds vtkImplicitModellerComputeModelBoundsFunction
//input a0 a1 
//output y
ArrayVector vtkImplicitModellerComputeModelBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double ComputeModelBounds (vtkDataSet *inputNULL); */
  if (arg.size() < 2) 
    throw Exception("Function ComputeModelBounds for class vtkImplicitModeller requires 2 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  double   temp20;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  temp20 = (vtk_pointer)->ComputeModelBounds(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:GetSampleDimensions vtkImplicitModellerGetSampleDimensionsFunction
//input a0 
//output y
ArrayVector vtkImplicitModellerGetSampleDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetSampleDimensions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSampleDimensions for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetSampleDimensions();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:SetSampleDimensions__1 vtkImplicitModellerSetSampleDimensions__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImplicitModellerSetSampleDimensions__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSampleDimensions (int i, int j, int k); */
  if (arg.size() < 4) 
    throw Exception("Function SetSampleDimensions__1 for class vtkImplicitModeller requires 4 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetSampleDimensions(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:SetSampleDimensions__2 vtkImplicitModellerSetSampleDimensions__2Function
//input a0 a1 
//output none
ArrayVector vtkImplicitModellerSetSampleDimensions__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSampleDimensions (int dim[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSampleDimensions__2 for class vtkImplicitModeller requires 2 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetSampleDimensions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:SetMaximumDistance vtkImplicitModellerSetMaximumDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitModellerSetMaximumDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumDistance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumDistance for class vtkImplicitModeller requires 2 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximumDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:GetMaximumDistanceMinValue vtkImplicitModellerGetMaximumDistanceMinValueFunction
//input a0 
//output y
ArrayVector vtkImplicitModellerGetMaximumDistanceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumDistanceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumDistanceMinValue for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumDistanceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:GetMaximumDistanceMaxValue vtkImplicitModellerGetMaximumDistanceMaxValueFunction
//input a0 
//output y
ArrayVector vtkImplicitModellerGetMaximumDistanceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumDistanceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumDistanceMaxValue for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumDistanceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:GetMaximumDistance vtkImplicitModellerGetMaximumDistanceFunction
//input a0 
//output y
ArrayVector vtkImplicitModellerGetMaximumDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumDistance for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:SetModelBounds__1 vtkImplicitModellerSetModelBounds__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkImplicitModellerSetModelBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetModelBounds (double , double , double , double , double , double ); */
  if (arg.size() < 7) 
    throw Exception("Function SetModelBounds__1 for class vtkImplicitModeller requires 7 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:SetModelBounds__2 vtkImplicitModellerSetModelBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkImplicitModellerSetModelBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetModelBounds (double  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetModelBounds__2 for class vtkImplicitModeller requires 2 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetModelBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:GetModelBounds vtkImplicitModellerGetModelBoundsFunction
//input a0 
//output y
ArrayVector vtkImplicitModellerGetModelBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetModelBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetModelBounds for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetModelBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:SetAdjustBounds vtkImplicitModellerSetAdjustBoundsFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitModellerSetAdjustBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAdjustBounds (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAdjustBounds for class vtkImplicitModeller requires 2 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAdjustBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:GetAdjustBounds vtkImplicitModellerGetAdjustBoundsFunction
//input a0 
//output y
ArrayVector vtkImplicitModellerGetAdjustBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAdjustBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAdjustBounds for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAdjustBounds();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:AdjustBoundsOn vtkImplicitModellerAdjustBoundsOnFunction
//input a0 
//output none
ArrayVector vtkImplicitModellerAdjustBoundsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AdjustBoundsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AdjustBoundsOn for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  vtk_pointer->AdjustBoundsOn();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:AdjustBoundsOff vtkImplicitModellerAdjustBoundsOffFunction
//input a0 
//output none
ArrayVector vtkImplicitModellerAdjustBoundsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AdjustBoundsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AdjustBoundsOff for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  vtk_pointer->AdjustBoundsOff();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:SetAdjustDistance vtkImplicitModellerSetAdjustDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitModellerSetAdjustDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAdjustDistance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAdjustDistance for class vtkImplicitModeller requires 2 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetAdjustDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:GetAdjustDistanceMinValue vtkImplicitModellerGetAdjustDistanceMinValueFunction
//input a0 
//output y
ArrayVector vtkImplicitModellerGetAdjustDistanceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAdjustDistanceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAdjustDistanceMinValue for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAdjustDistanceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:GetAdjustDistanceMaxValue vtkImplicitModellerGetAdjustDistanceMaxValueFunction
//input a0 
//output y
ArrayVector vtkImplicitModellerGetAdjustDistanceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAdjustDistanceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAdjustDistanceMaxValue for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAdjustDistanceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:GetAdjustDistance vtkImplicitModellerGetAdjustDistanceFunction
//input a0 
//output y
ArrayVector vtkImplicitModellerGetAdjustDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAdjustDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAdjustDistance for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAdjustDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:SetCapping vtkImplicitModellerSetCappingFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitModellerSetCappingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCapping (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCapping for class vtkImplicitModeller requires 2 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCapping(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:GetCapping vtkImplicitModellerGetCappingFunction
//input a0 
//output y
ArrayVector vtkImplicitModellerGetCappingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCapping (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCapping for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCapping();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:CappingOn vtkImplicitModellerCappingOnFunction
//input a0 
//output none
ArrayVector vtkImplicitModellerCappingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CappingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CappingOn for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  vtk_pointer->CappingOn();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:CappingOff vtkImplicitModellerCappingOffFunction
//input a0 
//output none
ArrayVector vtkImplicitModellerCappingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CappingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CappingOff for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  vtk_pointer->CappingOff();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:SetCapValue vtkImplicitModellerSetCapValueFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitModellerSetCapValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCapValue (double value); */
  if (arg.size() < 2) 
    throw Exception("Function SetCapValue for class vtkImplicitModeller requires 2 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCapValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:GetCapValue vtkImplicitModellerGetCapValueFunction
//input a0 
//output y
ArrayVector vtkImplicitModellerGetCapValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCapValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCapValue for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCapValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:SetScaleToMaximumDistance vtkImplicitModellerSetScaleToMaximumDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitModellerSetScaleToMaximumDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScaleToMaximumDistance (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScaleToMaximumDistance for class vtkImplicitModeller requires 2 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScaleToMaximumDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:GetScaleToMaximumDistance vtkImplicitModellerGetScaleToMaximumDistanceFunction
//input a0 
//output y
ArrayVector vtkImplicitModellerGetScaleToMaximumDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScaleToMaximumDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScaleToMaximumDistance for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScaleToMaximumDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:ScaleToMaximumDistanceOn vtkImplicitModellerScaleToMaximumDistanceOnFunction
//input a0 
//output none
ArrayVector vtkImplicitModellerScaleToMaximumDistanceOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScaleToMaximumDistanceOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ScaleToMaximumDistanceOn for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  vtk_pointer->ScaleToMaximumDistanceOn();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:ScaleToMaximumDistanceOff vtkImplicitModellerScaleToMaximumDistanceOffFunction
//input a0 
//output none
ArrayVector vtkImplicitModellerScaleToMaximumDistanceOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScaleToMaximumDistanceOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ScaleToMaximumDistanceOff for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  vtk_pointer->ScaleToMaximumDistanceOff();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:SetProcessMode vtkImplicitModellerSetProcessModeFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitModellerSetProcessModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProcessMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetProcessMode for class vtkImplicitModeller requires 2 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetProcessMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:GetProcessModeMinValue vtkImplicitModellerGetProcessModeMinValueFunction
//input a0 
//output y
ArrayVector vtkImplicitModellerGetProcessModeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProcessModeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProcessModeMinValue for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProcessModeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:GetProcessModeMaxValue vtkImplicitModellerGetProcessModeMaxValueFunction
//input a0 
//output y
ArrayVector vtkImplicitModellerGetProcessModeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProcessModeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProcessModeMaxValue for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProcessModeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:GetProcessMode vtkImplicitModellerGetProcessModeFunction
//input a0 
//output y
ArrayVector vtkImplicitModellerGetProcessModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProcessMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProcessMode for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProcessMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:SetProcessModeToPerVoxel vtkImplicitModellerSetProcessModeToPerVoxelFunction
//input a0 
//output none
ArrayVector vtkImplicitModellerSetProcessModeToPerVoxelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProcessModeToPerVoxel ();this SetProcessMode VTK_VOXEL_MODE  */
  if (arg.size() < 1) 
    throw Exception("Function SetProcessModeToPerVoxel for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  vtk_pointer->SetProcessModeToPerVoxel();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:SetProcessModeToPerCell vtkImplicitModellerSetProcessModeToPerCellFunction
//input a0 
//output none
ArrayVector vtkImplicitModellerSetProcessModeToPerCellFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProcessModeToPerCell ();this SetProcessMode VTK_CELL_MODE  */
  if (arg.size() < 1) 
    throw Exception("Function SetProcessModeToPerCell for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  vtk_pointer->SetProcessModeToPerCell();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:GetProcessModeAsString vtkImplicitModellerGetProcessModeAsStringFunction
//input a0 
//output y
ArrayVector vtkImplicitModellerGetProcessModeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetProcessModeAsString (void ); */
  if (arg.size() < 1) 
    throw Exception("Function GetProcessModeAsString for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetProcessModeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:SetLocatorMaxLevel vtkImplicitModellerSetLocatorMaxLevelFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitModellerSetLocatorMaxLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLocatorMaxLevel (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLocatorMaxLevel for class vtkImplicitModeller requires 2 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLocatorMaxLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:GetLocatorMaxLevel vtkImplicitModellerGetLocatorMaxLevelFunction
//input a0 
//output y
ArrayVector vtkImplicitModellerGetLocatorMaxLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLocatorMaxLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocatorMaxLevel for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLocatorMaxLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:SetNumberOfThreads vtkImplicitModellerSetNumberOfThreadsFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitModellerSetNumberOfThreadsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfThreads (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfThreads for class vtkImplicitModeller requires 2 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfThreads(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:GetNumberOfThreadsMinValue vtkImplicitModellerGetNumberOfThreadsMinValueFunction
//input a0 
//output y
ArrayVector vtkImplicitModellerGetNumberOfThreadsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfThreadsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfThreadsMinValue for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfThreadsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:GetNumberOfThreadsMaxValue vtkImplicitModellerGetNumberOfThreadsMaxValueFunction
//input a0 
//output y
ArrayVector vtkImplicitModellerGetNumberOfThreadsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfThreadsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfThreadsMaxValue for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfThreadsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:GetNumberOfThreads vtkImplicitModellerGetNumberOfThreadsFunction
//input a0 
//output y
ArrayVector vtkImplicitModellerGetNumberOfThreadsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfThreads (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfThreads for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfThreads();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:SetOutputScalarType vtkImplicitModellerSetOutputScalarTypeFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitModellerSetOutputScalarTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarType (int type); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputScalarType for class vtkImplicitModeller requires 2 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutputScalarType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:GetOutputScalarType vtkImplicitModellerGetOutputScalarTypeFunction
//input a0 
//output y
ArrayVector vtkImplicitModellerGetOutputScalarTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputScalarType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputScalarType for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutputScalarType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:SetOutputScalarTypeToFloat vtkImplicitModellerSetOutputScalarTypeToFloatFunction
//input a0 
//output none
ArrayVector vtkImplicitModellerSetOutputScalarTypeToFloatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToFloat ();this SetOutputScalarType VTK_FLOAT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToFloat for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToFloat();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:SetOutputScalarTypeToDouble vtkImplicitModellerSetOutputScalarTypeToDoubleFunction
//input a0 
//output none
ArrayVector vtkImplicitModellerSetOutputScalarTypeToDoubleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToDouble ();this SetOutputScalarType VTK_DOUBLE  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToDouble for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToDouble();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:SetOutputScalarTypeToInt vtkImplicitModellerSetOutputScalarTypeToIntFunction
//input a0 
//output none
ArrayVector vtkImplicitModellerSetOutputScalarTypeToIntFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToInt ();this SetOutputScalarType VTK_INT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToInt for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToInt();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:SetOutputScalarTypeToUnsignedInt vtkImplicitModellerSetOutputScalarTypeToUnsignedIntFunction
//input a0 
//output none
ArrayVector vtkImplicitModellerSetOutputScalarTypeToUnsignedIntFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToUnsignedInt ();this SetOutputScalarType VTK_UNSIGNED_INT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToUnsignedInt for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToUnsignedInt();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:SetOutputScalarTypeToLong vtkImplicitModellerSetOutputScalarTypeToLongFunction
//input a0 
//output none
ArrayVector vtkImplicitModellerSetOutputScalarTypeToLongFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToLong ();this SetOutputScalarType VTK_LONG  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToLong for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToLong();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:SetOutputScalarTypeToUnsignedLong vtkImplicitModellerSetOutputScalarTypeToUnsignedLongFunction
//input a0 
//output none
ArrayVector vtkImplicitModellerSetOutputScalarTypeToUnsignedLongFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToUnsignedLong ();this SetOutputScalarType VTK_UNSIGNED_LONG  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToUnsignedLong for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToUnsignedLong();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:SetOutputScalarTypeToShort vtkImplicitModellerSetOutputScalarTypeToShortFunction
//input a0 
//output none
ArrayVector vtkImplicitModellerSetOutputScalarTypeToShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToShort ();this SetOutputScalarType VTK_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToShort for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToShort();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:SetOutputScalarTypeToUnsignedShort vtkImplicitModellerSetOutputScalarTypeToUnsignedShortFunction
//input a0 
//output none
ArrayVector vtkImplicitModellerSetOutputScalarTypeToUnsignedShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToUnsignedShort ();this SetOutputScalarType VTK_UNSIGNED_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToUnsignedShort for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToUnsignedShort();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:SetOutputScalarTypeToUnsignedChar vtkImplicitModellerSetOutputScalarTypeToUnsignedCharFunction
//input a0 
//output none
ArrayVector vtkImplicitModellerSetOutputScalarTypeToUnsignedCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToUnsignedChar ();this SetOutputScalarType VTK_UNSIGNED_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToUnsignedChar for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToUnsignedChar();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:SetOutputScalarTypeToChar vtkImplicitModellerSetOutputScalarTypeToCharFunction
//input a0 
//output none
ArrayVector vtkImplicitModellerSetOutputScalarTypeToCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToChar ();this SetOutputScalarType VTK_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToChar for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToChar();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:StartAppend__1 vtkImplicitModellerStartAppend__1Function
//input a0 
//output none
ArrayVector vtkImplicitModellerStartAppend__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StartAppend (); */
  if (arg.size() < 1) 
    throw Exception("Function StartAppend__1 for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  vtk_pointer->StartAppend();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:Append vtkImplicitModellerAppendFunction
//input a0 a1 
//output none
ArrayVector vtkImplicitModellerAppendFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Append (vtkDataSet *input); */
  if (arg.size() < 2) 
    throw Exception("Function Append for class vtkImplicitModeller requires 2 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->Append(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:EndAppend vtkImplicitModellerEndAppendFunction
//input a0 
//output none
ArrayVector vtkImplicitModellerEndAppendFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EndAppend (); */
  if (arg.size() < 1) 
    throw Exception("Function EndAppend for class vtkImplicitModeller requires 1 argument(s)");
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  Array retval;
  vtk_pointer->EndAppend();
  return retval;
}

//@@Signature
//sfunction @vtkImplicitModeller:SetSampleDimensions vtkImplicitModellerSetSampleDimensionsFunction
//input varargin
//output varargout
ArrayVector vtkImplicitModellerSetSampleDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImplicitModellerSetSampleDimensions__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImplicitModellerSetSampleDimensions__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImplicitModellerSetSampleDimensions");
}

//@@Signature
//sfunction @vtkImplicitModeller:SetModelBounds vtkImplicitModellerSetModelBoundsFunction
//input varargin
//output varargout
ArrayVector vtkImplicitModellerSetModelBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkImplicitModellerSetModelBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImplicitModellerSetModelBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImplicitModellerSetModelBounds");
}

//@@Signature
//sfunction @vtkImplicitModeller:StartAppend vtkImplicitModellerStartAppendFunction
//input varargin
//output varargout
ArrayVector vtkImplicitModellerStartAppendFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkImplicitModellerStartAppend__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImplicitModellerStartAppend");
}

//@@Signature
//sfunction @vtkImplicitModeller:display vtkImplicitModellerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImplicitModellerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImplicitModeller* vtk_pointer = GetVTKPointer<vtkImplicitModeller>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImplicitModeller:delete vtkImplicitModellerDeleteFunction
//input varargin
//output none
ArrayVector vtkImplicitModellerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImplicitModeller
//@@Section VTKHybrid
//@@Usage
// vtkImplicitModeller is a filter that computes the distance from the input
// geometry to the points of an output structured point set. This distance
// function can then be "contoured" to generate new, offset surfaces from
// the original geometry. An important feature of this object is
// "capping". If capping is turned on, after the implicit model is created,
// the values on the boundary of the structured points dataset are set to
// the cap value. This is used to force closure of the resulting contoured
// surface. Note, however, that large cap values can generate weird surface
// normals in those cells adjacent to the boundary of the dataset. Using
// smaller cap value will reduce this effect.
//<P>
// Another important ivar is MaximumDistance. This controls how far into the
// volume the distance function is computed from the input geometry.  Small
// values give significant increases in performance. However, there can
// strange sampling effects at the extreme range of the MaximumDistance.
//<P>
// In order to properly execute and sample the input data, a rectangular
// region in space must be defined (this is the ivar ModelBounds).  If not
// explicitly defined, the model bounds will be computed. Note that to avoid
// boundary effects, it is possible to adjust the model bounds (i.e., using
// the AdjustBounds and AdjustDistance ivars) to strictly contain the
// sampled data.
//<P>
// This filter has one other unusual capability: it is possible to append
// data in a sequence of operations to generate a single output. This is
// useful when you have multiple datasets and want to create a
// conglomeration of all the data.  However, the user must be careful to
// either specify the ModelBounds or specify the first item such that its
// bounds completely contain all other items.  This is because the 
// rectangular region of the output can not be changed after the 1st Append.
//<P>
// The ProcessMode ivar controls the method used within the Append function
// (where the actual work is done regardless if the Append function is
// explicitly called) to compute the implicit model.  If set to work in voxel
// mode, each voxel is visited once.  If set to cell mode, each cell is visited
// once.  Tests have shown once per voxel to be faster when there are a 
// lot of cells (at least a thousand?); relative performance improvement 
// increases with addition cells. Primitives should not be stripped for best
// performance of the voxel mode.  Also, if explicitly using the Append feature
// many times, the cell mode will probably be better because each voxel will be
// visited each Append.  Append the data before input if possible when using
// the voxel mode.  Do not switch between voxel and cell mode between execution
// of StartAppend and EndAppend.
//<P>
// Further performance improvement is now possible using the PerVoxel process
// mode on multi-processor machines (the mode is now multithreaded).  Each
// thread processes a different "slab" of the output.  Also, if the input is 
// vtkPolyData, it is appropriately clipped for each thread; that is, each 
// thread only considers the input which could affect its slab of the output.
//<P>
// This filter can now produce output of any type supported by vtkImageData.  
// However to support this change, additional sqrts must be executed during the
// Append step.  Previously, the output was initialized to the squared CapValue 
// in StartAppend, the output was updated with squared distance values during 
// the Append, and then the sqrt of the distances was computed in EndAppend.  
// To support different scalar types in the output (largely to reduce memory 
// requirements as an vtkImageShiftScale and/or vtkImageCast could have 
// achieved the same result), we can't "afford" to save squared value in the
// output, because then we could only represent up to the sqrt of the scalar
// max for an integer type in the output; 1 (instead of 255) for an unsigned
// char; 11 for a char (instead of 127).  Thus this change may result in a
// minor performance degradation.  Non-float output types can be scaled to the
// CapValue by turning ScaleToMaximumDistance On.
//
//
//To create an instance of class vtkImplicitModeller, simply
//invoke its constructor as follows
//@[
//  obj = vtkImplicitModeller
//@]
//@@Methods
//The class vtkImplicitModeller has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImplicitModeller class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImplicitModeller = obj.NewInstance ()|
// \item @|vtkImplicitModeller = obj.SafeDownCast (vtkObject o)|
// \item @|double = obj.ComputeModelBounds (vtkDataSet inputNULL)| -  Compute ModelBounds from input geometry. If input is not specified, the
// input of the filter will be used.
//// \item @|int = obj. GetSampleDimensions ()| -  Set/Get the i-j-k dimensions on which to sample distance function.
//// \item @|obj.SetSampleDimensions (int i, int j, int k)| -  Set/Get the i-j-k dimensions on which to sample distance function.
//// \item @|obj.SetSampleDimensions (int dim[3])| -  Set/Get the i-j-k dimensions on which to sample distance function.
//// \item @|obj.SetMaximumDistance (double )| -  Set / get the distance away from surface of input geometry to
// sample. Smaller values make large increases in performance.
//// \item @|double = obj.GetMaximumDistanceMinValue ()| -  Set / get the distance away from surface of input geometry to
// sample. Smaller values make large increases in performance.
//// \item @|double = obj.GetMaximumDistanceMaxValue ()| -  Set / get the distance away from surface of input geometry to
// sample. Smaller values make large increases in performance.
//// \item @|double = obj.GetMaximumDistance ()| -  Set / get the distance away from surface of input geometry to
// sample. Smaller values make large increases in performance.
//// \item @|obj.SetModelBounds (double , double , double , double , double , double )| -  Set / get the region in space in which to perform the sampling. If
// not specified, it will be computed automatically.
//// \item @|obj.SetModelBounds (double  a[6])| -  Set / get the region in space in which to perform the sampling. If
// not specified, it will be computed automatically.
//// \item @|double = obj. GetModelBounds ()| -  Set / get the region in space in which to perform the sampling. If
// not specified, it will be computed automatically.
//// \item @|obj.SetAdjustBounds (int )| -  Control how the model bounds are computed. If the ivar AdjustBounds
// is set, then the bounds specified (or computed automatically) is modified
// by the fraction given by AdjustDistance. This means that the model
// bounds is expanded in each of the x-y-z directions.
//// \item @|int = obj.GetAdjustBounds ()| -  Control how the model bounds are computed. If the ivar AdjustBounds
// is set, then the bounds specified (or computed automatically) is modified
// by the fraction given by AdjustDistance. This means that the model
// bounds is expanded in each of the x-y-z directions.
//// \item @|obj.AdjustBoundsOn ()| -  Control how the model bounds are computed. If the ivar AdjustBounds
// is set, then the bounds specified (or computed automatically) is modified
// by the fraction given by AdjustDistance. This means that the model
// bounds is expanded in each of the x-y-z directions.
//// \item @|obj.AdjustBoundsOff ()| -  Control how the model bounds are computed. If the ivar AdjustBounds
// is set, then the bounds specified (or computed automatically) is modified
// by the fraction given by AdjustDistance. This means that the model
// bounds is expanded in each of the x-y-z directions.
//// \item @|obj.SetAdjustDistance (double )| -  Specify the amount to grow the model bounds (if the ivar AdjustBounds
// is set). The value is a fraction of the maximum length of the sides
// of the box specified by the model bounds.
//// \item @|double = obj.GetAdjustDistanceMinValue ()| -  Specify the amount to grow the model bounds (if the ivar AdjustBounds
// is set). The value is a fraction of the maximum length of the sides
// of the box specified by the model bounds.
//// \item @|double = obj.GetAdjustDistanceMaxValue ()| -  Specify the amount to grow the model bounds (if the ivar AdjustBounds
// is set). The value is a fraction of the maximum length of the sides
// of the box specified by the model bounds.
//// \item @|double = obj.GetAdjustDistance ()| -  Specify the amount to grow the model bounds (if the ivar AdjustBounds
// is set). The value is a fraction of the maximum length of the sides
// of the box specified by the model bounds.
//// \item @|obj.SetCapping (int )| -  The outer boundary of the structured point set can be assigned a 
// particular value. This can be used to close or "cap" all surfaces.
//// \item @|int = obj.GetCapping ()| -  The outer boundary of the structured point set can be assigned a 
// particular value. This can be used to close or "cap" all surfaces.
//// \item @|obj.CappingOn ()| -  The outer boundary of the structured point set can be assigned a 
// particular value. This can be used to close or "cap" all surfaces.
//// \item @|obj.CappingOff ()| -  The outer boundary of the structured point set can be assigned a 
// particular value. This can be used to close or "cap" all surfaces.
//// \item @|obj.SetCapValue (double value)| -  Specify the capping value to use. The CapValue is also used as an
// initial distance value at each point in the dataset.
//// \item @|double = obj.GetCapValue ()| -  Specify the capping value to use. The CapValue is also used as an
// initial distance value at each point in the dataset.
//// \item @|obj.SetScaleToMaximumDistance (int )| -  If a non-floating output type is specified, the output distances can be
// scaled to use the entire positive scalar range of the output type 
// specified (up to the CapValue which is equal to the max for the type 
// unless modified by the user).  For example, if ScaleToMaximumDistance
// is On and the OutputScalarType is UnsignedChar the distances saved in the
// output would be linearly scaled between 0 (for distances "very close" to
// the surface) and 255 (at the specifed maximum distance)... assuming the 
// CapValue is not changed from 255.
//// \item @|int = obj.GetScaleToMaximumDistance ()| -  If a non-floating output type is specified, the output distances can be
// scaled to use the entire positive scalar range of the output type 
// specified (up to the CapValue which is equal to the max for the type 
// unless modified by the user).  For example, if ScaleToMaximumDistance
// is On and the OutputScalarType is UnsignedChar the distances saved in the
// output would be linearly scaled between 0 (for distances "very close" to
// the surface) and 255 (at the specifed maximum distance)... assuming the 
// CapValue is not changed from 255.
//// \item @|obj.ScaleToMaximumDistanceOn ()| -  If a non-floating output type is specified, the output distances can be
// scaled to use the entire positive scalar range of the output type 
// specified (up to the CapValue which is equal to the max for the type 
// unless modified by the user).  For example, if ScaleToMaximumDistance
// is On and the OutputScalarType is UnsignedChar the distances saved in the
// output would be linearly scaled between 0 (for distances "very close" to
// the surface) and 255 (at the specifed maximum distance)... assuming the 
// CapValue is not changed from 255.
//// \item @|obj.ScaleToMaximumDistanceOff ()| -  If a non-floating output type is specified, the output distances can be
// scaled to use the entire positive scalar range of the output type 
// specified (up to the CapValue which is equal to the max for the type 
// unless modified by the user).  For example, if ScaleToMaximumDistance
// is On and the OutputScalarType is UnsignedChar the distances saved in the
// output would be linearly scaled between 0 (for distances "very close" to
// the surface) and 255 (at the specifed maximum distance)... assuming the 
// CapValue is not changed from 255.
//// \item @|obj.SetProcessMode (int )| -  Specify whether to visit each cell once per append or each voxel once
// per append.  Some tests have shown once per voxel to be faster
// when there are a lot of cells (at least a thousand?); relative
// performance improvement increases with addition cells.  Primitives
// should not be stripped for best performance of the voxel mode.  
//// \item @|int = obj.GetProcessModeMinValue ()| -  Specify whether to visit each cell once per append or each voxel once
// per append.  Some tests have shown once per voxel to be faster
// when there are a lot of cells (at least a thousand?); relative
// performance improvement increases with addition cells.  Primitives
// should not be stripped for best performance of the voxel mode.  
//// \item @|int = obj.GetProcessModeMaxValue ()| -  Specify whether to visit each cell once per append or each voxel once
// per append.  Some tests have shown once per voxel to be faster
// when there are a lot of cells (at least a thousand?); relative
// performance improvement increases with addition cells.  Primitives
// should not be stripped for best performance of the voxel mode.  
//// \item @|int = obj.GetProcessMode ()| -  Specify whether to visit each cell once per append or each voxel once
// per append.  Some tests have shown once per voxel to be faster
// when there are a lot of cells (at least a thousand?); relative
// performance improvement increases with addition cells.  Primitives
// should not be stripped for best performance of the voxel mode.  
//// \item @|obj.SetProcessModeToPerVoxel ()| -  Specify whether to visit each cell once per append or each voxel once
// per append.  Some tests have shown once per voxel to be faster
// when there are a lot of cells (at least a thousand?); relative
// performance improvement increases with addition cells.  Primitives
// should not be stripped for best performance of the voxel mode.  
//// \item @|obj.SetProcessModeToPerCell ()| -  Specify whether to visit each cell once per append or each voxel once
// per append.  Some tests have shown once per voxel to be faster
// when there are a lot of cells (at least a thousand?); relative
// performance improvement increases with addition cells.  Primitives
// should not be stripped for best performance of the voxel mode.  
//// \item @|string = obj.GetProcessModeAsString (void )| -  Specify whether to visit each cell once per append or each voxel once
// per append.  Some tests have shown once per voxel to be faster
// when there are a lot of cells (at least a thousand?); relative
// performance improvement increases with addition cells.  Primitives
// should not be stripped for best performance of the voxel mode.  
//// \item @|obj.SetLocatorMaxLevel (int )| -  Specify the level of the locator to use when using the per voxel
// process mode.
//// \item @|int = obj.GetLocatorMaxLevel ()| -  Specify the level of the locator to use when using the per voxel
// process mode.
//// \item @|obj.SetNumberOfThreads (int )| -  Set / Get the number of threads used during Per-Voxel processing mode
//// \item @|int = obj.GetNumberOfThreadsMinValue ()| -  Set / Get the number of threads used during Per-Voxel processing mode
//// \item @|int = obj.GetNumberOfThreadsMaxValue ()| -  Set / Get the number of threads used during Per-Voxel processing mode
//// \item @|int = obj.GetNumberOfThreads ()| -  Set / Get the number of threads used during Per-Voxel processing mode
//// \item @|obj.SetOutputScalarType (int type)| -  Set the desired output scalar type.
//// \item @|int = obj.GetOutputScalarType ()| -  Set the desired output scalar type.
//// \item @|obj.SetOutputScalarTypeToFloat ()| -  Set the desired output scalar type.
//// \item @|obj.SetOutputScalarTypeToDouble ()| -  Set the desired output scalar type.
//// \item @|obj.SetOutputScalarTypeToInt ()| -  Set the desired output scalar type.
//// \item @|obj.SetOutputScalarTypeToUnsignedInt ()| -  Set the desired output scalar type.
//// \item @|obj.SetOutputScalarTypeToLong ()| -  Set the desired output scalar type.
//// \item @|obj.SetOutputScalarTypeToUnsignedLong ()| -  Set the desired output scalar type.
//// \item @|obj.SetOutputScalarTypeToShort ()| -  Set the desired output scalar type.
//// \item @|obj.SetOutputScalarTypeToUnsignedShort ()| -  Set the desired output scalar type.
//// \item @|obj.SetOutputScalarTypeToUnsignedChar ()| -  Set the desired output scalar type.
//// \item @|obj.SetOutputScalarTypeToChar ()| -  Set the desired output scalar type.
//// \item @|obj.StartAppend ()| -  Initialize the filter for appending data. You must invoke the
// StartAppend() method before doing successive Appends(). It's also a
// good idea to manually specify the model bounds; otherwise the input
// bounds for the data will be used.
//// \item @|obj.Append (vtkDataSet input)| -  Append a data set to the existing output. To use this function,
// you'll have to invoke the StartAppend() method before doing
// successive appends. It's also a good idea to specify the model
// bounds; otherwise the input model bounds is used. When you've
// finished appending, use the EndAppend() method.
//// \item @|obj.EndAppend ()| -  Method completes the append process.
////\end{itemize}
//!
