#include "VTKWrap.hpp"

// FreeMat wrapper for vtkIterativeClosestPointTransform object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkIterativeClosestPointTransform.h"

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:vtkIterativeClosestPointTransform vtkIterativeClosestPointTransformConstructorFunction
//input a
//output p
//@@Parents vtkIterativeClosestPointTransform vtkLinearTransform 
ArrayVector vtkIterativeClosestPointTransformConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkIterativeClosestPointTransform::New(),"vtkIterativeClosestPointTransform",eval);
  } else if (arg[0].className() == "vtkIterativeClosestPointTransform") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkIterativeClosestPointTransform"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkIterativeClosestPointTransform");
    vtkIterativeClosestPointTransform*q = reinterpret_cast<vtkIterativeClosestPointTransform*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkIterativeClosestPointTransform");
    return ret;
  }
}
//@@Signature
//sfunction @vtkIterativeClosestPointTransform:GetClassName vtkIterativeClosestPointTransformGetClassNameFunction
//input a0 
//output y
ArrayVector vtkIterativeClosestPointTransformGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkIterativeClosestPointTransform requires 1 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:IsA vtkIterativeClosestPointTransformIsAFunction
//input a0 a1 
//output y
ArrayVector vtkIterativeClosestPointTransformIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkIterativeClosestPointTransform requires 2 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:NewInstance vtkIterativeClosestPointTransformNewInstanceFunction
//input a0 
//output y
ArrayVector vtkIterativeClosestPointTransformNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIterativeClosestPointTransform *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkIterativeClosestPointTransform requires 1 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  vtkIterativeClosestPointTransform  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIterativeClosestPointTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:SafeDownCast vtkIterativeClosestPointTransformSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkIterativeClosestPointTransformSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIterativeClosestPointTransform *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkIterativeClosestPointTransform requires 2 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkIterativeClosestPointTransform  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIterativeClosestPointTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:SetSource vtkIterativeClosestPointTransformSetSourceFunction
//input a0 a1 
//output none
ArrayVector vtkIterativeClosestPointTransformSetSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSource (vtkDataSet *source); */
  if (arg.size() < 2) 
    throw Exception("Function SetSource for class vtkIterativeClosestPointTransform requires 2 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetSource(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:SetTarget vtkIterativeClosestPointTransformSetTargetFunction
//input a0 a1 
//output none
ArrayVector vtkIterativeClosestPointTransformSetTargetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTarget (vtkDataSet *target); */
  if (arg.size() < 2) 
    throw Exception("Function SetTarget for class vtkIterativeClosestPointTransform requires 2 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  vtk_pointer->SetTarget(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:GetSource vtkIterativeClosestPointTransformGetSourceFunction
//input a0 
//output y
ArrayVector vtkIterativeClosestPointTransformGetSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetSource (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSource for class vtkIterativeClosestPointTransform requires 1 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetSource();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:GetTarget vtkIterativeClosestPointTransformGetTargetFunction
//input a0 
//output y
ArrayVector vtkIterativeClosestPointTransformGetTargetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetTarget (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTarget for class vtkIterativeClosestPointTransform requires 1 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetTarget();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:SetLocator vtkIterativeClosestPointTransformSetLocatorFunction
//input a0 a1 
//output none
ArrayVector vtkIterativeClosestPointTransformSetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLocator (vtkCellLocator *locator); */
  if (arg.size() < 2) 
    throw Exception("Function SetLocator for class vtkIterativeClosestPointTransform requires 2 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  vtkCellLocator  *temp0;
  temp0 = GetVTKPointer<vtkCellLocator>(arg[1]);
  vtk_pointer->SetLocator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:GetLocator vtkIterativeClosestPointTransformGetLocatorFunction
//input a0 
//output y
ArrayVector vtkIterativeClosestPointTransformGetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCellLocator *GetLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocator for class vtkIterativeClosestPointTransform requires 1 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  vtkCellLocator  *temp20;
  temp20 = (vtk_pointer)->GetLocator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCellLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:SetMaximumNumberOfIterations vtkIterativeClosestPointTransformSetMaximumNumberOfIterationsFunction
//input a0 a1 
//output none
ArrayVector vtkIterativeClosestPointTransformSetMaximumNumberOfIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumNumberOfIterations (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumNumberOfIterations for class vtkIterativeClosestPointTransform requires 2 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximumNumberOfIterations(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:GetMaximumNumberOfIterations vtkIterativeClosestPointTransformGetMaximumNumberOfIterationsFunction
//input a0 
//output y
ArrayVector vtkIterativeClosestPointTransformGetMaximumNumberOfIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumNumberOfIterations (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumNumberOfIterations for class vtkIterativeClosestPointTransform requires 1 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumNumberOfIterations();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:GetNumberOfIterations vtkIterativeClosestPointTransformGetNumberOfIterationsFunction
//input a0 
//output y
ArrayVector vtkIterativeClosestPointTransformGetNumberOfIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfIterations (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfIterations for class vtkIterativeClosestPointTransform requires 1 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfIterations();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:SetCheckMeanDistance vtkIterativeClosestPointTransformSetCheckMeanDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkIterativeClosestPointTransformSetCheckMeanDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCheckMeanDistance (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCheckMeanDistance for class vtkIterativeClosestPointTransform requires 2 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCheckMeanDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:GetCheckMeanDistance vtkIterativeClosestPointTransformGetCheckMeanDistanceFunction
//input a0 
//output y
ArrayVector vtkIterativeClosestPointTransformGetCheckMeanDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCheckMeanDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCheckMeanDistance for class vtkIterativeClosestPointTransform requires 1 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCheckMeanDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:CheckMeanDistanceOn vtkIterativeClosestPointTransformCheckMeanDistanceOnFunction
//input a0 
//output none
ArrayVector vtkIterativeClosestPointTransformCheckMeanDistanceOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CheckMeanDistanceOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CheckMeanDistanceOn for class vtkIterativeClosestPointTransform requires 1 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  vtk_pointer->CheckMeanDistanceOn();
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:CheckMeanDistanceOff vtkIterativeClosestPointTransformCheckMeanDistanceOffFunction
//input a0 
//output none
ArrayVector vtkIterativeClosestPointTransformCheckMeanDistanceOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CheckMeanDistanceOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CheckMeanDistanceOff for class vtkIterativeClosestPointTransform requires 1 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  vtk_pointer->CheckMeanDistanceOff();
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:SetMeanDistanceMode vtkIterativeClosestPointTransformSetMeanDistanceModeFunction
//input a0 a1 
//output none
ArrayVector vtkIterativeClosestPointTransformSetMeanDistanceModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMeanDistanceMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMeanDistanceMode for class vtkIterativeClosestPointTransform requires 2 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMeanDistanceMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:GetMeanDistanceModeMinValue vtkIterativeClosestPointTransformGetMeanDistanceModeMinValueFunction
//input a0 
//output y
ArrayVector vtkIterativeClosestPointTransformGetMeanDistanceModeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMeanDistanceModeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMeanDistanceModeMinValue for class vtkIterativeClosestPointTransform requires 1 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMeanDistanceModeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:GetMeanDistanceModeMaxValue vtkIterativeClosestPointTransformGetMeanDistanceModeMaxValueFunction
//input a0 
//output y
ArrayVector vtkIterativeClosestPointTransformGetMeanDistanceModeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMeanDistanceModeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMeanDistanceModeMaxValue for class vtkIterativeClosestPointTransform requires 1 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMeanDistanceModeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:GetMeanDistanceMode vtkIterativeClosestPointTransformGetMeanDistanceModeFunction
//input a0 
//output y
ArrayVector vtkIterativeClosestPointTransformGetMeanDistanceModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMeanDistanceMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMeanDistanceMode for class vtkIterativeClosestPointTransform requires 1 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMeanDistanceMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:SetMeanDistanceModeToRMS vtkIterativeClosestPointTransformSetMeanDistanceModeToRMSFunction
//input a0 
//output none
ArrayVector vtkIterativeClosestPointTransformSetMeanDistanceModeToRMSFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMeanDistanceModeToRMS ();this SetMeanDistanceMode VTK_ICP_MODE_RMS  */
  if (arg.size() < 1) 
    throw Exception("Function SetMeanDistanceModeToRMS for class vtkIterativeClosestPointTransform requires 1 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  vtk_pointer->SetMeanDistanceModeToRMS();
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:SetMeanDistanceModeToAbsoluteValue vtkIterativeClosestPointTransformSetMeanDistanceModeToAbsoluteValueFunction
//input a0 
//output none
ArrayVector vtkIterativeClosestPointTransformSetMeanDistanceModeToAbsoluteValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMeanDistanceModeToAbsoluteValue ();this SetMeanDistanceMode VTK_ICP_MODE_AV  */
  if (arg.size() < 1) 
    throw Exception("Function SetMeanDistanceModeToAbsoluteValue for class vtkIterativeClosestPointTransform requires 1 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  vtk_pointer->SetMeanDistanceModeToAbsoluteValue();
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:GetMeanDistanceModeAsString vtkIterativeClosestPointTransformGetMeanDistanceModeAsStringFunction
//input a0 
//output y
ArrayVector vtkIterativeClosestPointTransformGetMeanDistanceModeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetMeanDistanceModeAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMeanDistanceModeAsString for class vtkIterativeClosestPointTransform requires 1 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetMeanDistanceModeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:SetMaximumMeanDistance vtkIterativeClosestPointTransformSetMaximumMeanDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkIterativeClosestPointTransformSetMaximumMeanDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumMeanDistance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumMeanDistance for class vtkIterativeClosestPointTransform requires 2 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximumMeanDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:GetMaximumMeanDistance vtkIterativeClosestPointTransformGetMaximumMeanDistanceFunction
//input a0 
//output y
ArrayVector vtkIterativeClosestPointTransformGetMaximumMeanDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumMeanDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumMeanDistance for class vtkIterativeClosestPointTransform requires 1 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumMeanDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:GetMeanDistance vtkIterativeClosestPointTransformGetMeanDistanceFunction
//input a0 
//output y
ArrayVector vtkIterativeClosestPointTransformGetMeanDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMeanDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMeanDistance for class vtkIterativeClosestPointTransform requires 1 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMeanDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:SetMaximumNumberOfLandmarks vtkIterativeClosestPointTransformSetMaximumNumberOfLandmarksFunction
//input a0 a1 
//output none
ArrayVector vtkIterativeClosestPointTransformSetMaximumNumberOfLandmarksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumNumberOfLandmarks (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumNumberOfLandmarks for class vtkIterativeClosestPointTransform requires 2 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximumNumberOfLandmarks(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:GetMaximumNumberOfLandmarks vtkIterativeClosestPointTransformGetMaximumNumberOfLandmarksFunction
//input a0 
//output y
ArrayVector vtkIterativeClosestPointTransformGetMaximumNumberOfLandmarksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximumNumberOfLandmarks (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumNumberOfLandmarks for class vtkIterativeClosestPointTransform requires 1 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximumNumberOfLandmarks();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:SetStartByMatchingCentroids vtkIterativeClosestPointTransformSetStartByMatchingCentroidsFunction
//input a0 a1 
//output none
ArrayVector vtkIterativeClosestPointTransformSetStartByMatchingCentroidsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStartByMatchingCentroids (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetStartByMatchingCentroids for class vtkIterativeClosestPointTransform requires 2 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetStartByMatchingCentroids(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:GetStartByMatchingCentroids vtkIterativeClosestPointTransformGetStartByMatchingCentroidsFunction
//input a0 
//output y
ArrayVector vtkIterativeClosestPointTransformGetStartByMatchingCentroidsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetStartByMatchingCentroids (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStartByMatchingCentroids for class vtkIterativeClosestPointTransform requires 1 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetStartByMatchingCentroids();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:StartByMatchingCentroidsOn vtkIterativeClosestPointTransformStartByMatchingCentroidsOnFunction
//input a0 
//output none
ArrayVector vtkIterativeClosestPointTransformStartByMatchingCentroidsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StartByMatchingCentroidsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function StartByMatchingCentroidsOn for class vtkIterativeClosestPointTransform requires 1 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  vtk_pointer->StartByMatchingCentroidsOn();
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:StartByMatchingCentroidsOff vtkIterativeClosestPointTransformStartByMatchingCentroidsOffFunction
//input a0 
//output none
ArrayVector vtkIterativeClosestPointTransformStartByMatchingCentroidsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StartByMatchingCentroidsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function StartByMatchingCentroidsOff for class vtkIterativeClosestPointTransform requires 1 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  vtk_pointer->StartByMatchingCentroidsOff();
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:GetLandmarkTransform vtkIterativeClosestPointTransformGetLandmarkTransformFunction
//input a0 
//output y
ArrayVector vtkIterativeClosestPointTransformGetLandmarkTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLandmarkTransform *GetLandmarkTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLandmarkTransform for class vtkIterativeClosestPointTransform requires 1 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  vtkLandmarkTransform  *temp20;
  temp20 = (vtk_pointer)->GetLandmarkTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLandmarkTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:Inverse vtkIterativeClosestPointTransformInverseFunction
//input a0 
//output none
ArrayVector vtkIterativeClosestPointTransformInverseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Inverse (); */
  if (arg.size() < 1) 
    throw Exception("Function Inverse for class vtkIterativeClosestPointTransform requires 1 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  vtk_pointer->Inverse();
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:MakeTransform vtkIterativeClosestPointTransformMakeTransformFunction
//input a0 
//output y
ArrayVector vtkIterativeClosestPointTransformMakeTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractTransform *MakeTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function MakeTransform for class vtkIterativeClosestPointTransform requires 1 argument(s)");
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->MakeTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIterativeClosestPointTransform:display vtkIterativeClosestPointTransformDisplayFunction
//input varargin
//output varargout
ArrayVector vtkIterativeClosestPointTransformDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkIterativeClosestPointTransform* vtk_pointer = GetVTKPointer<vtkIterativeClosestPointTransform>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkIterativeClosestPointTransform:delete vtkIterativeClosestPointTransformDeleteFunction
//input varargin
//output none
ArrayVector vtkIterativeClosestPointTransformDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkIterativeClosestPointTransform
//@@Section VTKHybrid
//@@Usage
// Match two surfaces using the iterative closest point (ICP) algorithm.
// The core of the algorithm is to match each vertex in one surface with 
// the closest surface point on the other, then apply the transformation
// that modify one surface to best match the other (in a least square sense).
// This has to be iterated to get proper convergence of the surfaces.
// .SECTION Note
// Use vtkTransformPolyDataFilter to apply the resulting ICP transform to 
// your data. You might also set it to your actor's user transform.
// .SECTION Note
// This class makes use of vtkLandmarkTransform internally to compute the
// best fit. Use the GetLandmarkTransform member to get a pointer to that
// transform and set its parameters. You might, for example, constrain the
// number of degrees of freedom of the solution (i.e. rigid body, similarity,
// etc.) by checking the vtkLandmarkTransform documentation for its SetMode
// member.
//
//To create an instance of class vtkIterativeClosestPointTransform, simply
//invoke its constructor as follows
//@[
//  obj = vtkIterativeClosestPointTransform
//@]
//@@Methods
//The class vtkIterativeClosestPointTransform has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkIterativeClosestPointTransform class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkIterativeClosestPointTransform = obj.NewInstance ()|
// \item @|vtkIterativeClosestPointTransform = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetSource (vtkDataSet source)| -  Specify the source and target data sets.
//// \item @|obj.SetTarget (vtkDataSet target)| -  Specify the source and target data sets.
//// \item @|vtkDataSet = obj.GetSource ()| -  Specify the source and target data sets.
//// \item @|vtkDataSet = obj.GetTarget ()| -  Specify the source and target data sets.
//// \item @|obj.SetLocator (vtkCellLocator locator)| -  Set/Get a spatial locator for speeding up the search process. 
// An instance of vtkCellLocator is used by default.
//// \item @|vtkCellLocator = obj.GetLocator ()| -  Set/Get a spatial locator for speeding up the search process. 
// An instance of vtkCellLocator is used by default.
//// \item @|obj.SetMaximumNumberOfIterations (int )| -  Set/Get the  maximum number of iterations. Default is 50.
//// \item @|int = obj.GetMaximumNumberOfIterations ()| -  Set/Get the  maximum number of iterations. Default is 50.
//// \item @|int = obj.GetNumberOfIterations ()| -  Get the number of iterations since the last update
//// \item @|obj.SetCheckMeanDistance (int )| -  Force the algorithm to check the mean distance between two iterations.
// Default is Off.
//// \item @|int = obj.GetCheckMeanDistance ()| -  Force the algorithm to check the mean distance between two iterations.
// Default is Off.
//// \item @|obj.CheckMeanDistanceOn ()| -  Force the algorithm to check the mean distance between two iterations.
// Default is Off.
//// \item @|obj.CheckMeanDistanceOff ()| -  Force the algorithm to check the mean distance between two iterations.
// Default is Off.
//// \item @|obj.SetMeanDistanceMode (int )| -  Specify the mean distance mode. This mode expresses how the mean 
// distance is computed. The RMS mode is the square root of the average
// of the sum of squares of the closest point distances. The Absolute
// Value mode is the mean of the sum of absolute values of the closest
// point distances. The default is VTK_ICP_MODE_RMS
//// \item @|int = obj.GetMeanDistanceModeMinValue ()| -  Specify the mean distance mode. This mode expresses how the mean 
// distance is computed. The RMS mode is the square root of the average
// of the sum of squares of the closest point distances. The Absolute
// Value mode is the mean of the sum of absolute values of the closest
// point distances. The default is VTK_ICP_MODE_RMS
//// \item @|int = obj.GetMeanDistanceModeMaxValue ()| -  Specify the mean distance mode. This mode expresses how the mean 
// distance is computed. The RMS mode is the square root of the average
// of the sum of squares of the closest point distances. The Absolute
// Value mode is the mean of the sum of absolute values of the closest
// point distances. The default is VTK_ICP_MODE_RMS
//// \item @|int = obj.GetMeanDistanceMode ()| -  Specify the mean distance mode. This mode expresses how the mean 
// distance is computed. The RMS mode is the square root of the average
// of the sum of squares of the closest point distances. The Absolute
// Value mode is the mean of the sum of absolute values of the closest
// point distances. The default is VTK_ICP_MODE_RMS
//// \item @|obj.SetMeanDistanceModeToRMS ()| -  Specify the mean distance mode. This mode expresses how the mean 
// distance is computed. The RMS mode is the square root of the average
// of the sum of squares of the closest point distances. The Absolute
// Value mode is the mean of the sum of absolute values of the closest
// point distances. The default is VTK_ICP_MODE_RMS
//// \item @|obj.SetMeanDistanceModeToAbsoluteValue ()| -  Specify the mean distance mode. This mode expresses how the mean 
// distance is computed. The RMS mode is the square root of the average
// of the sum of squares of the closest point distances. The Absolute
// Value mode is the mean of the sum of absolute values of the closest
// point distances. The default is VTK_ICP_MODE_RMS
//// \item @|string = obj.GetMeanDistanceModeAsString ()| -  Specify the mean distance mode. This mode expresses how the mean 
// distance is computed. The RMS mode is the square root of the average
// of the sum of squares of the closest point distances. The Absolute
// Value mode is the mean of the sum of absolute values of the closest
// point distances. The default is VTK_ICP_MODE_RMS
//// \item @|obj.SetMaximumMeanDistance (double )| -  Set/Get the maximum mean distance between two iteration. If the mean
// distance is lower than this, the convergence stops. The default 
// is 0.01.
//// \item @|double = obj.GetMaximumMeanDistance ()| -  Set/Get the maximum mean distance between two iteration. If the mean
// distance is lower than this, the convergence stops. The default 
// is 0.01.
//// \item @|double = obj.GetMeanDistance ()| -  Get the mean distance between the last two iterations.
//// \item @|obj.SetMaximumNumberOfLandmarks (int )| -  Set/Get the maximum number of landmarks sampled in your dataset.
// If your dataset is dense, then you will typically not need all the 
// points to compute the ICP transform. The default is 200.
//// \item @|int = obj.GetMaximumNumberOfLandmarks ()| -  Set/Get the maximum number of landmarks sampled in your dataset.
// If your dataset is dense, then you will typically not need all the 
// points to compute the ICP transform. The default is 200.
//// \item @|obj.SetStartByMatchingCentroids (int )| -  Starts the process by translating source centroid to target centroid.
// The default is Off.
//// \item @|int = obj.GetStartByMatchingCentroids ()| -  Starts the process by translating source centroid to target centroid.
// The default is Off.
//// \item @|obj.StartByMatchingCentroidsOn ()| -  Starts the process by translating source centroid to target centroid.
// The default is Off.
//// \item @|obj.StartByMatchingCentroidsOff ()| -  Starts the process by translating source centroid to target centroid.
// The default is Off.
//// \item @|vtkLandmarkTransform = obj.GetLandmarkTransform ()| -  Get the internal landmark transform. Use it to constrain the number of
// degrees of freedom of the solution (i.e. rigid body, similarity, etc.).
//// \item @|obj.Inverse ()| -  Invert the transformation.  This is done by switching the
// source and target.
//// \item @|vtkAbstractTransform = obj.MakeTransform ()| -  Make another transform of the same type.
////\end{itemize}
//!
