#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLSDynaReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLSDynaReader.h"

//@@Signature
//sfunction @vtkLSDynaReader:vtkLSDynaReader vtkLSDynaReaderConstructorFunction
//input a
//output p
//@@Parents vtkLSDynaReader vtkMultiBlockDataSetAlgorithm 
ArrayVector vtkLSDynaReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLSDynaReader::New(),"vtkLSDynaReader",eval);
  } else if (arg[0].className() == "vtkLSDynaReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLSDynaReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLSDynaReader");
    vtkLSDynaReader*q = reinterpret_cast<vtkLSDynaReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLSDynaReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLSDynaReader:GetClassName vtkLSDynaReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:IsA vtkLSDynaReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:NewInstance vtkLSDynaReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLSDynaReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  vtkLSDynaReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLSDynaReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SafeDownCast vtkLSDynaReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLSDynaReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLSDynaReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLSDynaReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:DebugDump vtkLSDynaReaderDebugDumpFunction
//input a0 
//output none
ArrayVector vtkLSDynaReaderDebugDumpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DebugDump (); */
  if (arg.size() < 1) 
    throw Exception("Function DebugDump for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  vtk_pointer->DebugDump();
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:CanReadFile vtkLSDynaReaderCanReadFileFunction
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderCanReadFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CanReadFile (const char *fname); */
  if (arg.size() < 2) 
    throw Exception("Function CanReadFile for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CanReadFile(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SetDatabaseDirectory vtkLSDynaReaderSetDatabaseDirectoryFunction
//input a0 a1 
//output none
ArrayVector vtkLSDynaReaderSetDatabaseDirectoryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDatabaseDirectory (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetDatabaseDirectory for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetDatabaseDirectory(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetDatabaseDirectory vtkLSDynaReaderGetDatabaseDirectoryFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderGetDatabaseDirectoryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetDatabaseDirectory (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDatabaseDirectory for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDatabaseDirectory();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:IsDatabaseValid vtkLSDynaReaderIsDatabaseValidFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderIsDatabaseValidFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsDatabaseValid (); */
  if (arg.size() < 1) 
    throw Exception("Function IsDatabaseValid for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsDatabaseValid();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SetFileName vtkLSDynaReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkLSDynaReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetFileName (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetFileName vtkLSDynaReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetTitle vtkLSDynaReaderGetTitleFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderGetTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetTitle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTitle for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetTitle();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetDimensionality vtkLSDynaReaderGetDimensionalityFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderGetDimensionalityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDimensionality (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensionality for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimensionality();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfNodes vtkLSDynaReaderGetNumberOfNodesFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfNodesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfNodes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfNodes for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfNodes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfCells vtkLSDynaReaderGetNumberOfCellsFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCells for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfContinuumCells vtkLSDynaReaderGetNumberOfContinuumCellsFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfContinuumCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfContinuumCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfContinuumCells for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfContinuumCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfSolidCells vtkLSDynaReaderGetNumberOfSolidCellsFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfSolidCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfSolidCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSolidCells for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfSolidCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfThickShellCells vtkLSDynaReaderGetNumberOfThickShellCellsFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfThickShellCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfThickShellCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfThickShellCells for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfThickShellCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfShellCells vtkLSDynaReaderGetNumberOfShellCellsFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfShellCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfShellCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfShellCells for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfShellCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfRigidBodyCells vtkLSDynaReaderGetNumberOfRigidBodyCellsFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfRigidBodyCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfRigidBodyCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfRigidBodyCells for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfRigidBodyCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfRoadSurfaceCells vtkLSDynaReaderGetNumberOfRoadSurfaceCellsFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfRoadSurfaceCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfRoadSurfaceCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfRoadSurfaceCells for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfRoadSurfaceCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfBeamCells vtkLSDynaReaderGetNumberOfBeamCellsFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfBeamCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfBeamCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfBeamCells for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfBeamCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfParticleCells vtkLSDynaReaderGetNumberOfParticleCellsFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfParticleCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfParticleCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfParticleCells for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfParticleCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfTimeSteps vtkLSDynaReaderGetNumberOfTimeStepsFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfTimeStepsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfTimeSteps (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTimeSteps for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfTimeSteps();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SetTimeStep vtkLSDynaReaderSetTimeStepFunction
//input a0 a1 
//output none
ArrayVector vtkLSDynaReaderSetTimeStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTimeStep (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimeStep for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTimeStep(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetTimeStep vtkLSDynaReaderGetTimeStepFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderGetTimeStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetTimeStep (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimeStep for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetTimeStep();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetTimeValue vtkLSDynaReaderGetTimeValueFunction
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetTimeValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTimeValue (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function GetTimeValue for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTimeValue(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetTimeStepRange vtkLSDynaReaderGetTimeStepRangeFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderGetTimeStepRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetTimeStepRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimeStepRange for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetTimeStepRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SetTimeStepRange__1 vtkLSDynaReaderSetTimeStepRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkLSDynaReaderSetTimeStepRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimeStepRange (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetTimeStepRange__1 for class vtkLSDynaReader requires 3 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetTimeStepRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SetTimeStepRange__2 vtkLSDynaReaderSetTimeStepRange__2Function
//input a0 a1 
//output none
ArrayVector vtkLSDynaReaderSetTimeStepRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimeStepRange (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimeStepRange__2 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetTimeStepRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfPointArrays vtkLSDynaReaderGetNumberOfPointArraysFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfPointArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPointArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPointArrays for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPointArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetPointArrayName vtkLSDynaReaderGetPointArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetPointArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetPointArrayName (int ); */
  if (arg.size() < 2) 
    throw Exception("Function GetPointArrayName for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPointArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SetPointArrayStatus__1 vtkLSDynaReaderSetPointArrayStatus__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkLSDynaReaderSetPointArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPointArrayStatus (int arr, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetPointArrayStatus__1 for class vtkLSDynaReader requires 3 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetPointArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SetPointArrayStatus__2 vtkLSDynaReaderSetPointArrayStatus__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkLSDynaReaderSetPointArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPointArrayStatus (const char *arrName, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetPointArrayStatus__2 for class vtkLSDynaReader requires 3 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetPointArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetPointArrayStatus__1 vtkLSDynaReaderGetPointArrayStatus__1Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetPointArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointArrayStatus (int arr); */
  if (arg.size() < 2) 
    throw Exception("Function GetPointArrayStatus__1 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPointArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetPointArrayStatus__2 vtkLSDynaReaderGetPointArrayStatus__2Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetPointArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointArrayStatus (const char *arrName); */
  if (arg.size() < 2) 
    throw Exception("Function GetPointArrayStatus__2 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetPointArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfComponentsInPointArray__1 vtkLSDynaReaderGetNumberOfComponentsInPointArray__1Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfComponentsInPointArray__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponentsInPointArray (int arr); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfComponentsInPointArray__1 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfComponentsInPointArray(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfComponentsInPointArray__2 vtkLSDynaReaderGetNumberOfComponentsInPointArray__2Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfComponentsInPointArray__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponentsInPointArray (const char *arrName); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfComponentsInPointArray__2 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetNumberOfComponentsInPointArray(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfCellArrays vtkLSDynaReaderGetNumberOfCellArraysFunction
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfCellArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfCellArrays (int cellType); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfCellArrays for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfCellArrays(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetCellArrayName vtkLSDynaReaderGetCellArrayNameFunction
//input a0 a1 a2 
//output y
ArrayVector vtkLSDynaReaderGetCellArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetCellArrayName (int cellType, int arr); */
  if (arg.size() < 3) 
    throw Exception("Function GetCellArrayName for class vtkLSDynaReader requires 3 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetCellArrayName(temp0,temp1);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SetCellArrayStatus__1 vtkLSDynaReaderSetCellArrayStatus__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkLSDynaReaderSetCellArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCellArrayStatus (int cellType, int arr, int status); */
  if (arg.size() < 4) 
    throw Exception("Function SetCellArrayStatus__1 for class vtkLSDynaReader requires 4 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetCellArrayStatus(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SetCellArrayStatus__2 vtkLSDynaReaderSetCellArrayStatus__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkLSDynaReaderSetCellArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCellArrayStatus (int cellType, const char *arrName, int status); */
  if (arg.size() < 4) 
    throw Exception("Function SetCellArrayStatus__2 for class vtkLSDynaReader requires 4 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetCellArrayStatus(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetCellArrayStatus__1 vtkLSDynaReaderGetCellArrayStatus__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkLSDynaReaderGetCellArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellArrayStatus (int cellType, int arr); */
  if (arg.size() < 3) 
    throw Exception("Function GetCellArrayStatus__1 for class vtkLSDynaReader requires 3 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetCellArrayStatus(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetCellArrayStatus__2 vtkLSDynaReaderGetCellArrayStatus__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkLSDynaReaderGetCellArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellArrayStatus (int cellType, const char *arrName); */
  if (arg.size() < 3) 
    throw Exception("Function GetCellArrayStatus__2 for class vtkLSDynaReader requires 3 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  temp20 = (vtk_pointer)->GetCellArrayStatus(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfComponentsInCellArray__1 vtkLSDynaReaderGetNumberOfComponentsInCellArray__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfComponentsInCellArray__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponentsInCellArray (int cellType, int arr); */
  if (arg.size() < 3) 
    throw Exception("Function GetNumberOfComponentsInCellArray__1 for class vtkLSDynaReader requires 3 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfComponentsInCellArray(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfComponentsInCellArray__2 vtkLSDynaReaderGetNumberOfComponentsInCellArray__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfComponentsInCellArray__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponentsInCellArray (int cellType, const char *arrName); */
  if (arg.size() < 3) 
    throw Exception("Function GetNumberOfComponentsInCellArray__2 for class vtkLSDynaReader requires 3 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  temp20 = (vtk_pointer)->GetNumberOfComponentsInCellArray(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfSolidArrays vtkLSDynaReaderGetNumberOfSolidArraysFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfSolidArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSolidArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSolidArrays for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSolidArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetSolidArrayName vtkLSDynaReaderGetSolidArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetSolidArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetSolidArrayName (int ); */
  if (arg.size() < 2) 
    throw Exception("Function GetSolidArrayName for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetSolidArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SetSolidArrayStatus__1 vtkLSDynaReaderSetSolidArrayStatus__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkLSDynaReaderSetSolidArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSolidArrayStatus (int arr, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetSolidArrayStatus__1 for class vtkLSDynaReader requires 3 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetSolidArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SetSolidArrayStatus__2 vtkLSDynaReaderSetSolidArrayStatus__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkLSDynaReaderSetSolidArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSolidArrayStatus (const char *arrName, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetSolidArrayStatus__2 for class vtkLSDynaReader requires 3 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetSolidArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetSolidArrayStatus__1 vtkLSDynaReaderGetSolidArrayStatus__1Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetSolidArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSolidArrayStatus (int arr); */
  if (arg.size() < 2) 
    throw Exception("Function GetSolidArrayStatus__1 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetSolidArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetSolidArrayStatus__2 vtkLSDynaReaderGetSolidArrayStatus__2Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetSolidArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSolidArrayStatus (const char *arrName); */
  if (arg.size() < 2) 
    throw Exception("Function GetSolidArrayStatus__2 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetSolidArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfComponentsInSolidArray__1 vtkLSDynaReaderGetNumberOfComponentsInSolidArray__1Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfComponentsInSolidArray__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponentsInSolidArray (int a); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfComponentsInSolidArray__1 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfComponentsInSolidArray(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfComponentsInSolidArray__2 vtkLSDynaReaderGetNumberOfComponentsInSolidArray__2Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfComponentsInSolidArray__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponentsInSolidArray (const char *arrName); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfComponentsInSolidArray__2 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetNumberOfComponentsInSolidArray(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfThickShellArrays vtkLSDynaReaderGetNumberOfThickShellArraysFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfThickShellArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfThickShellArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfThickShellArrays for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfThickShellArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetThickShellArrayName vtkLSDynaReaderGetThickShellArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetThickShellArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetThickShellArrayName (int ); */
  if (arg.size() < 2) 
    throw Exception("Function GetThickShellArrayName for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetThickShellArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SetThickShellArrayStatus__1 vtkLSDynaReaderSetThickShellArrayStatus__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkLSDynaReaderSetThickShellArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetThickShellArrayStatus (int arr, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetThickShellArrayStatus__1 for class vtkLSDynaReader requires 3 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetThickShellArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SetThickShellArrayStatus__2 vtkLSDynaReaderSetThickShellArrayStatus__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkLSDynaReaderSetThickShellArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetThickShellArrayStatus (const char *arrName, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetThickShellArrayStatus__2 for class vtkLSDynaReader requires 3 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetThickShellArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetThickShellArrayStatus__1 vtkLSDynaReaderGetThickShellArrayStatus__1Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetThickShellArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetThickShellArrayStatus (int arr); */
  if (arg.size() < 2) 
    throw Exception("Function GetThickShellArrayStatus__1 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetThickShellArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetThickShellArrayStatus__2 vtkLSDynaReaderGetThickShellArrayStatus__2Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetThickShellArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetThickShellArrayStatus (const char *arrName); */
  if (arg.size() < 2) 
    throw Exception("Function GetThickShellArrayStatus__2 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetThickShellArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfComponentsInThickShellArray__1 vtkLSDynaReaderGetNumberOfComponentsInThickShellArray__1Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfComponentsInThickShellArray__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponentsInThickShellArray (int a); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfComponentsInThickShellArray__1 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfComponentsInThickShellArray(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfComponentsInThickShellArray__2 vtkLSDynaReaderGetNumberOfComponentsInThickShellArray__2Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfComponentsInThickShellArray__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponentsInThickShellArray (const char *arrName); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfComponentsInThickShellArray__2 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetNumberOfComponentsInThickShellArray(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfShellArrays vtkLSDynaReaderGetNumberOfShellArraysFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfShellArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfShellArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfShellArrays for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfShellArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetShellArrayName vtkLSDynaReaderGetShellArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetShellArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetShellArrayName (int ); */
  if (arg.size() < 2) 
    throw Exception("Function GetShellArrayName for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetShellArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SetShellArrayStatus__1 vtkLSDynaReaderSetShellArrayStatus__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkLSDynaReaderSetShellArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetShellArrayStatus (int arr, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetShellArrayStatus__1 for class vtkLSDynaReader requires 3 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetShellArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SetShellArrayStatus__2 vtkLSDynaReaderSetShellArrayStatus__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkLSDynaReaderSetShellArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetShellArrayStatus (const char *arrName, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetShellArrayStatus__2 for class vtkLSDynaReader requires 3 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetShellArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetShellArrayStatus__1 vtkLSDynaReaderGetShellArrayStatus__1Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetShellArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShellArrayStatus (int arr); */
  if (arg.size() < 2) 
    throw Exception("Function GetShellArrayStatus__1 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetShellArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetShellArrayStatus__2 vtkLSDynaReaderGetShellArrayStatus__2Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetShellArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShellArrayStatus (const char *arrName); */
  if (arg.size() < 2) 
    throw Exception("Function GetShellArrayStatus__2 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetShellArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfComponentsInShellArray__1 vtkLSDynaReaderGetNumberOfComponentsInShellArray__1Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfComponentsInShellArray__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponentsInShellArray (int a); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfComponentsInShellArray__1 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfComponentsInShellArray(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfComponentsInShellArray__2 vtkLSDynaReaderGetNumberOfComponentsInShellArray__2Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfComponentsInShellArray__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponentsInShellArray (const char *arrName); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfComponentsInShellArray__2 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetNumberOfComponentsInShellArray(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfRigidBodyArrays vtkLSDynaReaderGetNumberOfRigidBodyArraysFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfRigidBodyArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfRigidBodyArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfRigidBodyArrays for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfRigidBodyArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetRigidBodyArrayName vtkLSDynaReaderGetRigidBodyArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetRigidBodyArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetRigidBodyArrayName (int ); */
  if (arg.size() < 2) 
    throw Exception("Function GetRigidBodyArrayName for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetRigidBodyArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SetRigidBodyArrayStatus__1 vtkLSDynaReaderSetRigidBodyArrayStatus__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkLSDynaReaderSetRigidBodyArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRigidBodyArrayStatus (int arr, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetRigidBodyArrayStatus__1 for class vtkLSDynaReader requires 3 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetRigidBodyArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SetRigidBodyArrayStatus__2 vtkLSDynaReaderSetRigidBodyArrayStatus__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkLSDynaReaderSetRigidBodyArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRigidBodyArrayStatus (const char *arrName, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetRigidBodyArrayStatus__2 for class vtkLSDynaReader requires 3 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetRigidBodyArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetRigidBodyArrayStatus__1 vtkLSDynaReaderGetRigidBodyArrayStatus__1Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetRigidBodyArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRigidBodyArrayStatus (int arr); */
  if (arg.size() < 2) 
    throw Exception("Function GetRigidBodyArrayStatus__1 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetRigidBodyArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetRigidBodyArrayStatus__2 vtkLSDynaReaderGetRigidBodyArrayStatus__2Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetRigidBodyArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRigidBodyArrayStatus (const char *arrName); */
  if (arg.size() < 2) 
    throw Exception("Function GetRigidBodyArrayStatus__2 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetRigidBodyArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfComponentsInRigidBodyArray__1 vtkLSDynaReaderGetNumberOfComponentsInRigidBodyArray__1Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfComponentsInRigidBodyArray__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponentsInRigidBodyArray (int a); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfComponentsInRigidBodyArray__1 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfComponentsInRigidBodyArray(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfComponentsInRigidBodyArray__2 vtkLSDynaReaderGetNumberOfComponentsInRigidBodyArray__2Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfComponentsInRigidBodyArray__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponentsInRigidBodyArray (const char *arrName); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfComponentsInRigidBodyArray__2 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetNumberOfComponentsInRigidBodyArray(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfRoadSurfaceArrays vtkLSDynaReaderGetNumberOfRoadSurfaceArraysFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfRoadSurfaceArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfRoadSurfaceArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfRoadSurfaceArrays for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfRoadSurfaceArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetRoadSurfaceArrayName vtkLSDynaReaderGetRoadSurfaceArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetRoadSurfaceArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetRoadSurfaceArrayName (int ); */
  if (arg.size() < 2) 
    throw Exception("Function GetRoadSurfaceArrayName for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetRoadSurfaceArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SetRoadSurfaceArrayStatus__1 vtkLSDynaReaderSetRoadSurfaceArrayStatus__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkLSDynaReaderSetRoadSurfaceArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRoadSurfaceArrayStatus (int arr, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetRoadSurfaceArrayStatus__1 for class vtkLSDynaReader requires 3 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetRoadSurfaceArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SetRoadSurfaceArrayStatus__2 vtkLSDynaReaderSetRoadSurfaceArrayStatus__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkLSDynaReaderSetRoadSurfaceArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRoadSurfaceArrayStatus (const char *arrName, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetRoadSurfaceArrayStatus__2 for class vtkLSDynaReader requires 3 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetRoadSurfaceArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetRoadSurfaceArrayStatus__1 vtkLSDynaReaderGetRoadSurfaceArrayStatus__1Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetRoadSurfaceArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRoadSurfaceArrayStatus (int arr); */
  if (arg.size() < 2) 
    throw Exception("Function GetRoadSurfaceArrayStatus__1 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetRoadSurfaceArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetRoadSurfaceArrayStatus__2 vtkLSDynaReaderGetRoadSurfaceArrayStatus__2Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetRoadSurfaceArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRoadSurfaceArrayStatus (const char *arrName); */
  if (arg.size() < 2) 
    throw Exception("Function GetRoadSurfaceArrayStatus__2 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetRoadSurfaceArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfComponentsInRoadSurfaceArray__1 vtkLSDynaReaderGetNumberOfComponentsInRoadSurfaceArray__1Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfComponentsInRoadSurfaceArray__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponentsInRoadSurfaceArray (int a); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfComponentsInRoadSurfaceArray__1 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfComponentsInRoadSurfaceArray(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfComponentsInRoadSurfaceArray__2 vtkLSDynaReaderGetNumberOfComponentsInRoadSurfaceArray__2Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfComponentsInRoadSurfaceArray__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponentsInRoadSurfaceArray (const char *arrName); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfComponentsInRoadSurfaceArray__2 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetNumberOfComponentsInRoadSurfaceArray(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfBeamArrays vtkLSDynaReaderGetNumberOfBeamArraysFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfBeamArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfBeamArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfBeamArrays for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfBeamArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetBeamArrayName vtkLSDynaReaderGetBeamArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetBeamArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetBeamArrayName (int ); */
  if (arg.size() < 2) 
    throw Exception("Function GetBeamArrayName for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetBeamArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SetBeamArrayStatus__1 vtkLSDynaReaderSetBeamArrayStatus__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkLSDynaReaderSetBeamArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetBeamArrayStatus (int arr, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetBeamArrayStatus__1 for class vtkLSDynaReader requires 3 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetBeamArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SetBeamArrayStatus__2 vtkLSDynaReaderSetBeamArrayStatus__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkLSDynaReaderSetBeamArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetBeamArrayStatus (const char *arrName, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetBeamArrayStatus__2 for class vtkLSDynaReader requires 3 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetBeamArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetBeamArrayStatus__1 vtkLSDynaReaderGetBeamArrayStatus__1Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetBeamArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBeamArrayStatus (int arr); */
  if (arg.size() < 2) 
    throw Exception("Function GetBeamArrayStatus__1 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetBeamArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetBeamArrayStatus__2 vtkLSDynaReaderGetBeamArrayStatus__2Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetBeamArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBeamArrayStatus (const char *arrName); */
  if (arg.size() < 2) 
    throw Exception("Function GetBeamArrayStatus__2 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetBeamArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfComponentsInBeamArray__1 vtkLSDynaReaderGetNumberOfComponentsInBeamArray__1Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfComponentsInBeamArray__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponentsInBeamArray (int a); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfComponentsInBeamArray__1 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfComponentsInBeamArray(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfComponentsInBeamArray__2 vtkLSDynaReaderGetNumberOfComponentsInBeamArray__2Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfComponentsInBeamArray__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponentsInBeamArray (const char *arrName); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfComponentsInBeamArray__2 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetNumberOfComponentsInBeamArray(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfParticleArrays vtkLSDynaReaderGetNumberOfParticleArraysFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfParticleArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfParticleArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfParticleArrays for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfParticleArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetParticleArrayName vtkLSDynaReaderGetParticleArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetParticleArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetParticleArrayName (int ); */
  if (arg.size() < 2) 
    throw Exception("Function GetParticleArrayName for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetParticleArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SetParticleArrayStatus__1 vtkLSDynaReaderSetParticleArrayStatus__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkLSDynaReaderSetParticleArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetParticleArrayStatus (int arr, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetParticleArrayStatus__1 for class vtkLSDynaReader requires 3 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetParticleArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SetParticleArrayStatus__2 vtkLSDynaReaderSetParticleArrayStatus__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkLSDynaReaderSetParticleArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetParticleArrayStatus (const char *arrName, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetParticleArrayStatus__2 for class vtkLSDynaReader requires 3 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetParticleArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetParticleArrayStatus__1 vtkLSDynaReaderGetParticleArrayStatus__1Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetParticleArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetParticleArrayStatus (int arr); */
  if (arg.size() < 2) 
    throw Exception("Function GetParticleArrayStatus__1 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetParticleArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetParticleArrayStatus__2 vtkLSDynaReaderGetParticleArrayStatus__2Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetParticleArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetParticleArrayStatus (const char *arrName); */
  if (arg.size() < 2) 
    throw Exception("Function GetParticleArrayStatus__2 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetParticleArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfComponentsInParticleArray__1 vtkLSDynaReaderGetNumberOfComponentsInParticleArray__1Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfComponentsInParticleArray__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponentsInParticleArray (int a); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfComponentsInParticleArray__1 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfComponentsInParticleArray(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfComponentsInParticleArray__2 vtkLSDynaReaderGetNumberOfComponentsInParticleArray__2Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfComponentsInParticleArray__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponentsInParticleArray (const char *arrName); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfComponentsInParticleArray__2 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetNumberOfComponentsInParticleArray(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SetDeformedMesh vtkLSDynaReaderSetDeformedMeshFunction
//input a0 a1 
//output none
ArrayVector vtkLSDynaReaderSetDeformedMeshFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDeformedMesh (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDeformedMesh for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDeformedMesh(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetDeformedMesh vtkLSDynaReaderGetDeformedMeshFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderGetDeformedMeshFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDeformedMesh (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDeformedMesh for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDeformedMesh();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:DeformedMeshOn vtkLSDynaReaderDeformedMeshOnFunction
//input a0 
//output none
ArrayVector vtkLSDynaReaderDeformedMeshOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeformedMeshOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DeformedMeshOn for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  vtk_pointer->DeformedMeshOn();
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:DeformedMeshOff vtkLSDynaReaderDeformedMeshOffFunction
//input a0 
//output none
ArrayVector vtkLSDynaReaderDeformedMeshOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeformedMeshOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DeformedMeshOff for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  vtk_pointer->DeformedMeshOff();
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SetRemoveDeletedCells vtkLSDynaReaderSetRemoveDeletedCellsFunction
//input a0 a1 
//output none
ArrayVector vtkLSDynaReaderSetRemoveDeletedCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRemoveDeletedCells (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRemoveDeletedCells for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRemoveDeletedCells(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetRemoveDeletedCells vtkLSDynaReaderGetRemoveDeletedCellsFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderGetRemoveDeletedCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRemoveDeletedCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRemoveDeletedCells for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRemoveDeletedCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:RemoveDeletedCellsOn vtkLSDynaReaderRemoveDeletedCellsOnFunction
//input a0 
//output none
ArrayVector vtkLSDynaReaderRemoveDeletedCellsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveDeletedCellsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveDeletedCellsOn for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  vtk_pointer->RemoveDeletedCellsOn();
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:RemoveDeletedCellsOff vtkLSDynaReaderRemoveDeletedCellsOffFunction
//input a0 
//output none
ArrayVector vtkLSDynaReaderRemoveDeletedCellsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveDeletedCellsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveDeletedCellsOff for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  vtk_pointer->RemoveDeletedCellsOff();
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SetSplitByMaterialId vtkLSDynaReaderSetSplitByMaterialIdFunction
//input a0 a1 
//output none
ArrayVector vtkLSDynaReaderSetSplitByMaterialIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSplitByMaterialId (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSplitByMaterialId for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSplitByMaterialId(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetSplitByMaterialId vtkLSDynaReaderGetSplitByMaterialIdFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderGetSplitByMaterialIdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSplitByMaterialId (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSplitByMaterialId for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSplitByMaterialId();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SplitByMaterialIdOn vtkLSDynaReaderSplitByMaterialIdOnFunction
//input a0 
//output none
ArrayVector vtkLSDynaReaderSplitByMaterialIdOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SplitByMaterialIdOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SplitByMaterialIdOn for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  vtk_pointer->SplitByMaterialIdOn();
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SplitByMaterialIdOff vtkLSDynaReaderSplitByMaterialIdOffFunction
//input a0 
//output none
ArrayVector vtkLSDynaReaderSplitByMaterialIdOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SplitByMaterialIdOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SplitByMaterialIdOff for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  vtk_pointer->SplitByMaterialIdOff();
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SetInputDeck vtkLSDynaReaderSetInputDeckFunction
//input a0 a1 
//output none
ArrayVector vtkLSDynaReaderSetInputDeckFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputDeck (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInputDeck for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetInputDeck(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetInputDeck vtkLSDynaReaderGetInputDeckFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderGetInputDeckFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetInputDeck (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInputDeck for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetInputDeck();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfPartArrays vtkLSDynaReaderGetNumberOfPartArraysFunction
//input a0 
//output y
ArrayVector vtkLSDynaReaderGetNumberOfPartArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPartArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPartArrays for class vtkLSDynaReader requires 1 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPartArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetPartArrayName vtkLSDynaReaderGetPartArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetPartArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetPartArrayName (int ); */
  if (arg.size() < 2) 
    throw Exception("Function GetPartArrayName for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPartArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SetPartArrayStatus__1 vtkLSDynaReaderSetPartArrayStatus__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkLSDynaReaderSetPartArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPartArrayStatus (int arr, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetPartArrayStatus__1 for class vtkLSDynaReader requires 3 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetPartArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SetPartArrayStatus__2 vtkLSDynaReaderSetPartArrayStatus__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkLSDynaReaderSetPartArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPartArrayStatus (const char *partName, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetPartArrayStatus__2 for class vtkLSDynaReader requires 3 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetPartArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetPartArrayStatus__1 vtkLSDynaReaderGetPartArrayStatus__1Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetPartArrayStatus__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPartArrayStatus (int arr); */
  if (arg.size() < 2) 
    throw Exception("Function GetPartArrayStatus__1 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPartArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:GetPartArrayStatus__2 vtkLSDynaReaderGetPartArrayStatus__2Function
//input a0 a1 
//output y
ArrayVector vtkLSDynaReaderGetPartArrayStatus__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPartArrayStatus (const char *partName); */
  if (arg.size() < 2) 
    throw Exception("Function GetPartArrayStatus__2 for class vtkLSDynaReader requires 2 argument(s)");
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetPartArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLSDynaReader:SetTimeStepRange vtkLSDynaReaderSetTimeStepRangeFunction
//input varargin
//output varargout
ArrayVector vtkLSDynaReaderSetTimeStepRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkLSDynaReaderSetTimeStepRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkLSDynaReaderSetTimeStepRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLSDynaReaderSetTimeStepRange");
}

//@@Signature
//sfunction @vtkLSDynaReader:SetPointArrayStatus vtkLSDynaReaderSetPointArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkLSDynaReaderSetPointArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkLSDynaReaderSetPointArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkLSDynaReaderSetPointArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLSDynaReaderSetPointArrayStatus");
}

//@@Signature
//sfunction @vtkLSDynaReader:GetPointArrayStatus vtkLSDynaReaderGetPointArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkLSDynaReaderGetPointArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkLSDynaReaderGetPointArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkLSDynaReaderGetPointArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLSDynaReaderGetPointArrayStatus");
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfComponentsInPointArray vtkLSDynaReaderGetNumberOfComponentsInPointArrayFunction
//input varargin
//output varargout
ArrayVector vtkLSDynaReaderGetNumberOfComponentsInPointArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkLSDynaReaderGetNumberOfComponentsInPointArray__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkLSDynaReaderGetNumberOfComponentsInPointArray__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLSDynaReaderGetNumberOfComponentsInPointArray");
}

//@@Signature
//sfunction @vtkLSDynaReader:SetCellArrayStatus vtkLSDynaReaderSetCellArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkLSDynaReaderSetCellArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkLSDynaReaderSetCellArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[3]))
    return vtkLSDynaReaderSetCellArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLSDynaReaderSetCellArrayStatus");
}

//@@Signature
//sfunction @vtkLSDynaReader:GetCellArrayStatus vtkLSDynaReaderGetCellArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkLSDynaReaderGetCellArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkLSDynaReaderGetCellArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]))
    return vtkLSDynaReaderGetCellArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLSDynaReaderGetCellArrayStatus");
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfComponentsInCellArray vtkLSDynaReaderGetNumberOfComponentsInCellArrayFunction
//input varargin
//output varargout
ArrayVector vtkLSDynaReaderGetNumberOfComponentsInCellArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkLSDynaReaderGetNumberOfComponentsInCellArray__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]))
    return vtkLSDynaReaderGetNumberOfComponentsInCellArray__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLSDynaReaderGetNumberOfComponentsInCellArray");
}

//@@Signature
//sfunction @vtkLSDynaReader:SetSolidArrayStatus vtkLSDynaReaderSetSolidArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkLSDynaReaderSetSolidArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkLSDynaReaderSetSolidArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkLSDynaReaderSetSolidArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLSDynaReaderSetSolidArrayStatus");
}

//@@Signature
//sfunction @vtkLSDynaReader:GetSolidArrayStatus vtkLSDynaReaderGetSolidArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkLSDynaReaderGetSolidArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkLSDynaReaderGetSolidArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkLSDynaReaderGetSolidArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLSDynaReaderGetSolidArrayStatus");
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfComponentsInSolidArray vtkLSDynaReaderGetNumberOfComponentsInSolidArrayFunction
//input varargin
//output varargout
ArrayVector vtkLSDynaReaderGetNumberOfComponentsInSolidArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkLSDynaReaderGetNumberOfComponentsInSolidArray__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkLSDynaReaderGetNumberOfComponentsInSolidArray__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLSDynaReaderGetNumberOfComponentsInSolidArray");
}

//@@Signature
//sfunction @vtkLSDynaReader:SetThickShellArrayStatus vtkLSDynaReaderSetThickShellArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkLSDynaReaderSetThickShellArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkLSDynaReaderSetThickShellArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkLSDynaReaderSetThickShellArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLSDynaReaderSetThickShellArrayStatus");
}

//@@Signature
//sfunction @vtkLSDynaReader:GetThickShellArrayStatus vtkLSDynaReaderGetThickShellArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkLSDynaReaderGetThickShellArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkLSDynaReaderGetThickShellArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkLSDynaReaderGetThickShellArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLSDynaReaderGetThickShellArrayStatus");
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfComponentsInThickShellArray vtkLSDynaReaderGetNumberOfComponentsInThickShellArrayFunction
//input varargin
//output varargout
ArrayVector vtkLSDynaReaderGetNumberOfComponentsInThickShellArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkLSDynaReaderGetNumberOfComponentsInThickShellArray__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkLSDynaReaderGetNumberOfComponentsInThickShellArray__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLSDynaReaderGetNumberOfComponentsInThickShellArray");
}

//@@Signature
//sfunction @vtkLSDynaReader:SetShellArrayStatus vtkLSDynaReaderSetShellArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkLSDynaReaderSetShellArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkLSDynaReaderSetShellArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkLSDynaReaderSetShellArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLSDynaReaderSetShellArrayStatus");
}

//@@Signature
//sfunction @vtkLSDynaReader:GetShellArrayStatus vtkLSDynaReaderGetShellArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkLSDynaReaderGetShellArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkLSDynaReaderGetShellArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkLSDynaReaderGetShellArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLSDynaReaderGetShellArrayStatus");
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfComponentsInShellArray vtkLSDynaReaderGetNumberOfComponentsInShellArrayFunction
//input varargin
//output varargout
ArrayVector vtkLSDynaReaderGetNumberOfComponentsInShellArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkLSDynaReaderGetNumberOfComponentsInShellArray__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkLSDynaReaderGetNumberOfComponentsInShellArray__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLSDynaReaderGetNumberOfComponentsInShellArray");
}

//@@Signature
//sfunction @vtkLSDynaReader:SetRigidBodyArrayStatus vtkLSDynaReaderSetRigidBodyArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkLSDynaReaderSetRigidBodyArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkLSDynaReaderSetRigidBodyArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkLSDynaReaderSetRigidBodyArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLSDynaReaderSetRigidBodyArrayStatus");
}

//@@Signature
//sfunction @vtkLSDynaReader:GetRigidBodyArrayStatus vtkLSDynaReaderGetRigidBodyArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkLSDynaReaderGetRigidBodyArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkLSDynaReaderGetRigidBodyArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkLSDynaReaderGetRigidBodyArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLSDynaReaderGetRigidBodyArrayStatus");
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfComponentsInRigidBodyArray vtkLSDynaReaderGetNumberOfComponentsInRigidBodyArrayFunction
//input varargin
//output varargout
ArrayVector vtkLSDynaReaderGetNumberOfComponentsInRigidBodyArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkLSDynaReaderGetNumberOfComponentsInRigidBodyArray__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkLSDynaReaderGetNumberOfComponentsInRigidBodyArray__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLSDynaReaderGetNumberOfComponentsInRigidBodyArray");
}

//@@Signature
//sfunction @vtkLSDynaReader:SetRoadSurfaceArrayStatus vtkLSDynaReaderSetRoadSurfaceArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkLSDynaReaderSetRoadSurfaceArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkLSDynaReaderSetRoadSurfaceArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkLSDynaReaderSetRoadSurfaceArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLSDynaReaderSetRoadSurfaceArrayStatus");
}

//@@Signature
//sfunction @vtkLSDynaReader:GetRoadSurfaceArrayStatus vtkLSDynaReaderGetRoadSurfaceArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkLSDynaReaderGetRoadSurfaceArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkLSDynaReaderGetRoadSurfaceArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkLSDynaReaderGetRoadSurfaceArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLSDynaReaderGetRoadSurfaceArrayStatus");
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfComponentsInRoadSurfaceArray vtkLSDynaReaderGetNumberOfComponentsInRoadSurfaceArrayFunction
//input varargin
//output varargout
ArrayVector vtkLSDynaReaderGetNumberOfComponentsInRoadSurfaceArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkLSDynaReaderGetNumberOfComponentsInRoadSurfaceArray__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkLSDynaReaderGetNumberOfComponentsInRoadSurfaceArray__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLSDynaReaderGetNumberOfComponentsInRoadSurfaceArray");
}

//@@Signature
//sfunction @vtkLSDynaReader:SetBeamArrayStatus vtkLSDynaReaderSetBeamArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkLSDynaReaderSetBeamArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkLSDynaReaderSetBeamArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkLSDynaReaderSetBeamArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLSDynaReaderSetBeamArrayStatus");
}

//@@Signature
//sfunction @vtkLSDynaReader:GetBeamArrayStatus vtkLSDynaReaderGetBeamArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkLSDynaReaderGetBeamArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkLSDynaReaderGetBeamArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkLSDynaReaderGetBeamArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLSDynaReaderGetBeamArrayStatus");
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfComponentsInBeamArray vtkLSDynaReaderGetNumberOfComponentsInBeamArrayFunction
//input varargin
//output varargout
ArrayVector vtkLSDynaReaderGetNumberOfComponentsInBeamArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkLSDynaReaderGetNumberOfComponentsInBeamArray__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkLSDynaReaderGetNumberOfComponentsInBeamArray__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLSDynaReaderGetNumberOfComponentsInBeamArray");
}

//@@Signature
//sfunction @vtkLSDynaReader:SetParticleArrayStatus vtkLSDynaReaderSetParticleArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkLSDynaReaderSetParticleArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkLSDynaReaderSetParticleArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkLSDynaReaderSetParticleArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLSDynaReaderSetParticleArrayStatus");
}

//@@Signature
//sfunction @vtkLSDynaReader:GetParticleArrayStatus vtkLSDynaReaderGetParticleArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkLSDynaReaderGetParticleArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkLSDynaReaderGetParticleArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkLSDynaReaderGetParticleArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLSDynaReaderGetParticleArrayStatus");
}

//@@Signature
//sfunction @vtkLSDynaReader:GetNumberOfComponentsInParticleArray vtkLSDynaReaderGetNumberOfComponentsInParticleArrayFunction
//input varargin
//output varargout
ArrayVector vtkLSDynaReaderGetNumberOfComponentsInParticleArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkLSDynaReaderGetNumberOfComponentsInParticleArray__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkLSDynaReaderGetNumberOfComponentsInParticleArray__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLSDynaReaderGetNumberOfComponentsInParticleArray");
}

//@@Signature
//sfunction @vtkLSDynaReader:SetPartArrayStatus vtkLSDynaReaderSetPartArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkLSDynaReaderSetPartArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkLSDynaReaderSetPartArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkLSDynaReaderSetPartArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLSDynaReaderSetPartArrayStatus");
}

//@@Signature
//sfunction @vtkLSDynaReader:GetPartArrayStatus vtkLSDynaReaderGetPartArrayStatusFunction
//input varargin
//output varargout
ArrayVector vtkLSDynaReaderGetPartArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkLSDynaReaderGetPartArrayStatus__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkLSDynaReaderGetPartArrayStatus__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkLSDynaReaderGetPartArrayStatus");
}

//@@Signature
//sfunction @vtkLSDynaReader:display vtkLSDynaReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLSDynaReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLSDynaReader* vtk_pointer = GetVTKPointer<vtkLSDynaReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLSDynaReader:delete vtkLSDynaReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkLSDynaReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLSDynaReader
//@@Section VTKHybrid
//@@Usage
// This filter reads LS-Dyna databases.
//
// The Set/GetFileName() routines are actually wrappers around the
// Set/GetDatabaseDirectory() members; the actual filename you choose is
// irrelevant -- only the directory name is used.  This is done in order to
// accommodate ParaView.
//
// Note that this reader produces 7 output meshes.
// These meshes are required as several attributes are defined on subsets
// of the mesh.  Below is a list of meshes in the order they are output and
// an explanation of which attributes are unique to each mesh:
// - solid (3D) elements: number of integration points are different than 2D
// - thick shell elements: number of integration points are different than 
// planar 2D
// - shell (2D) elements: number of integration points are different than 3D
// - rigid surfaces: can't have deflection, only velocity, accel, etc.
// - road surfaces: have only a "segment ID" (serves as material ID) and a 
// velocity.
// - beam elements: have Frenet (TNB) frame and cross-section attributes 
// (shape and size)
// - spherical particle hydrodynamics (SPH) elements: have a radius of 
// influence, internal energy, etc.
// Because each mesh has its own cell attributes, the vtkLSDynaReader has a
// rather large API.  Instead of a single set of routines to query and set
// cell array names and status, one exists for each possible output mesh.
// Also, GetNumberOfCells() will return the sum of all the cells in all 7
// meshes.  If you want the number of cells in a specific mesh, there are
// separate routines for each mesh type.
//
// .SECTION "Developer Notes"
//
//To create an instance of class vtkLSDynaReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkLSDynaReader
//@]
//@@Methods
//The class vtkLSDynaReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLSDynaReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkLSDynaReader = obj.NewInstance ()|
// \item @|vtkLSDynaReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.DebugDump ()| -  A routine to call Dump() from within a lame debugger that won't
// properly pass a C++ iostream object like cout.
//// \item @|int = obj.CanReadFile (string fname)| -  Determine if the file can be readed with this reader.
//// \item @|obj.SetDatabaseDirectory (string )| -  Get/Set the directory containing the LS-Dyna database and determine
// whether it is valid.
//// \item @|string = obj.GetDatabaseDirectory ()| -  Get/Set the directory containing the LS-Dyna database and determine
// whether it is valid.
//// \item @|int = obj.IsDatabaseValid ()| -  Get/Set the directory containing the LS-Dyna database and determine
// whether it is valid.
//// \item @|obj.SetFileName (string )| -  Get/Set the filename. The Set/GetFileName() routines are actually
// wrappers around the Set/GetDatabaseDirectory() members; the actual
// filename you choose is irrelevant -- only the directory name is used.
// This is done in order to accommodate ParaView.
//// \item @|string = obj.GetFileName ()| -  Get/Set the filename. The Set/GetFileName() routines are actually
// wrappers around the Set/GetDatabaseDirectory() members; the actual
// filename you choose is irrelevant -- only the directory name is used.
// This is done in order to accommodate ParaView.
//// \item @|string = obj.GetTitle ()| -  The title of the database is a 40 or 80 character text description
// stored at the front of a d3plot file.  Do not call this function
// before setting the database directory and calling UpdateInformation().
//// \item @|int = obj.GetDimensionality ()| -  Retrieve the dimension of points in the database. This should return 2
// or 3.  Do not call this function before setting the database directory
// and calling UpdateInformation().
//// \item @|vtkIdType = obj.GetNumberOfNodes ()| -  Retrieve the number of points in the database.  Do not call this
// function before setting the database directory and calling
// UpdateInformation().
//// \item @|vtkIdType = obj.GetNumberOfCells ()| -  Retrieve the number of cells of a given type in the database.  Do not
// call this function before setting the database directory and calling
// UpdateInformation().
//
// Note that GetNumberOfCells() returns the sum of
// GetNumberOfContinuumCells() and GetNumberOfParticleCells().
//// \item @|vtkIdType = obj.GetNumberOfContinuumCells ()| -  Retrieve the number of cells of a given type in the database.  Do not
// call this function before setting the database directory and calling
// UpdateInformation().
//
// Note that GetNumberOfContinuumCells() returns the sum of
// GetNumberOfSolidCells(), GetNumberOfThickShellCells(),
// GetNumberOfShellCells(), GetNumberOfRigidBodyCells(),
// GetNumberOfRoadSurfaceCells(), and GetNumberOfBeamCells().
//// \item @|vtkIdType = obj.GetNumberOfSolidCells ()| -  Retrieve the number of cells of a given type in the database.  Do not
// call this function before setting the database directory and calling
// UpdateInformation().
//// \item @|vtkIdType = obj.GetNumberOfThickShellCells ()| -  Retrieve the number of cells of a given type in the database.  Do not
// call this function before setting the database directory and calling
// UpdateInformation().
//// \item @|vtkIdType = obj.GetNumberOfShellCells ()| -  Retrieve the number of cells of a given type in the database.  Do not
// call this function before setting the database directory and calling
// UpdateInformation().
//// \item @|vtkIdType = obj.GetNumberOfRigidBodyCells ()| -  Retrieve the number of cells of a given type in the database.  Do not
// call this function before setting the database directory and calling
// UpdateInformation().
//// \item @|vtkIdType = obj.GetNumberOfRoadSurfaceCells ()| -  Retrieve the number of cells of a given type in the database.  Do not
// call this function before setting the database directory and calling
// UpdateInformation().
//// \item @|vtkIdType = obj.GetNumberOfBeamCells ()| -  Retrieve the number of cells of a given type in the database.
// Do not call this function before setting the database directory and calling UpdateInformation().
//// \item @|vtkIdType = obj.GetNumberOfParticleCells ()| -  Retrieve the number of cells of a given type in the database.  Do not
// call this function before setting the database directory and calling
// UpdateInformation().
//// \item @|vtkIdType = obj.GetNumberOfTimeSteps ()| -  Retrieve information about the time extents of the LS-Dyna database.
// Do not call these functions before setting the database directory and
// calling UpdateInformation().
//// \item @|obj.SetTimeStep (vtkIdType )| -  Retrieve information about the time extents of the LS-Dyna database.
// Do not call these functions before setting the database directory and
// calling UpdateInformation().
//// \item @|vtkIdType = obj.GetTimeStep ()| -  Retrieve information about the time extents of the LS-Dyna database.
// Do not call these functions before setting the database directory and
// calling UpdateInformation().
//// \item @|double = obj.GetTimeValue (vtkIdType )| -  Retrieve information about the time extents of the LS-Dyna database.
// Do not call these functions before setting the database directory and
// calling UpdateInformation().
//// \item @|int = obj. GetTimeStepRange ()| -  Retrieve information about the time extents of the LS-Dyna database.
// Do not call these functions before setting the database directory and
// calling UpdateInformation().
//// \item @|obj.SetTimeStepRange (int , int )| -  Retrieve information about the time extents of the LS-Dyna database.
// Do not call these functions before setting the database directory and
// calling UpdateInformation().
//// \item @|obj.SetTimeStepRange (int  a[2])| -  Retrieve information about the time extents of the LS-Dyna database.
// Do not call these functions before setting the database directory and
// calling UpdateInformation().
//// \item @|int = obj.GetNumberOfPointArrays ()| -  These methods allow you to load only selected subsets of the nodal
// variables defined over the mesh.
//// \item @|string = obj.GetPointArrayName (int )| -  These methods allow you to load only selected subsets of the nodal
// variables defined over the mesh.
//// \item @|obj.SetPointArrayStatus (int arr, int status)| -  These methods allow you to load only selected subsets of the nodal
// variables defined over the mesh.
//// \item @|obj.SetPointArrayStatus (string arrName, int status)| -  These methods allow you to load only selected subsets of the nodal
// variables defined over the mesh.
//// \item @|int = obj.GetPointArrayStatus (int arr)| -  These methods allow you to load only selected subsets of the nodal
// variables defined over the mesh.
//// \item @|int = obj.GetPointArrayStatus (string arrName)| -  These methods allow you to load only selected subsets of the nodal
// variables defined over the mesh.
//// \item @|int = obj.GetNumberOfComponentsInPointArray (int arr)| -  These methods allow you to load only selected subsets of the nodal
// variables defined over the mesh.
//// \item @|int = obj.GetNumberOfComponentsInPointArray (string arrName)| -  These methods allow you to load only selected subsets of the nodal
// variables defined over the mesh.
//// \item @|int = obj.GetNumberOfCellArrays (int cellType)| -  Routines that allow the status of a cell variable to be adjusted or
// queried independent of the output mesh.  The \a cellType parameter
// should be one of: LS_POINT, LS_BEAM, LS_SHELL, LS_THICK_SHELL,
// LS_SOLID, LS_RIGID_BODY, or LS_ROAD_SURFACE
//// \item @|string = obj.GetCellArrayName (int cellType, int arr)| -  Routines that allow the status of a cell variable to be adjusted or
// queried independent of the output mesh.  The \a cellType parameter
// should be one of: LS_POINT, LS_BEAM, LS_SHELL, LS_THICK_SHELL,
// LS_SOLID, LS_RIGID_BODY, or LS_ROAD_SURFACE
//// \item @|obj.SetCellArrayStatus (int cellType, int arr, int status)| -  Routines that allow the status of a cell variable to be adjusted or
// queried independent of the output mesh.  The \a cellType parameter
// should be one of: LS_POINT, LS_BEAM, LS_SHELL, LS_THICK_SHELL,
// LS_SOLID, LS_RIGID_BODY, or LS_ROAD_SURFACE
//// \item @|obj.SetCellArrayStatus (int cellType, string arrName, int status)| -  Routines that allow the status of a cell variable to be adjusted or
// queried independent of the output mesh.  The \a cellType parameter
// should be one of: LS_POINT, LS_BEAM, LS_SHELL, LS_THICK_SHELL,
// LS_SOLID, LS_RIGID_BODY, or LS_ROAD_SURFACE
//// \item @|int = obj.GetCellArrayStatus (int cellType, int arr)| -  Routines that allow the status of a cell variable to be adjusted or
// queried independent of the output mesh.  The \a cellType parameter
// should be one of: LS_POINT, LS_BEAM, LS_SHELL, LS_THICK_SHELL,
// LS_SOLID, LS_RIGID_BODY, or LS_ROAD_SURFACE
//// \item @|int = obj.GetCellArrayStatus (int cellType, string arrName)| -  Routines that allow the status of a cell variable to be adjusted or
// queried independent of the output mesh.  The \a cellType parameter
// should be one of: LS_POINT, LS_BEAM, LS_SHELL, LS_THICK_SHELL,
// LS_SOLID, LS_RIGID_BODY, or LS_ROAD_SURFACE
//// \item @|int = obj.GetNumberOfComponentsInCellArray (int cellType, int arr)| -  Routines that allow the status of a cell variable to be adjusted or
// queried independent of the output mesh.  The \a cellType parameter
// should be one of: LS_POINT, LS_BEAM, LS_SHELL, LS_THICK_SHELL,
// LS_SOLID, LS_RIGID_BODY, or LS_ROAD_SURFACE
//// \item @|int = obj.GetNumberOfComponentsInCellArray (int cellType, string arrName)| -  Routines that allow the status of a cell variable to be adjusted or
// queried independent of the output mesh.  The \a cellType parameter
// should be one of: LS_POINT, LS_BEAM, LS_SHELL, LS_THICK_SHELL,
// LS_SOLID, LS_RIGID_BODY, or LS_ROAD_SURFACE
//// \item @|int = obj.GetNumberOfSolidArrays ()| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|string = obj.GetSolidArrayName (int )| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|obj.SetSolidArrayStatus (int arr, int status)| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|obj.SetSolidArrayStatus (string arrName, int status)| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|int = obj.GetSolidArrayStatus (int arr)| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|int = obj.GetSolidArrayStatus (string arrName)| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|int = obj.GetNumberOfComponentsInSolidArray (int a)|
// \item @|int = obj.GetNumberOfComponentsInSolidArray (string arrName)|
// \item @|int = obj.GetNumberOfThickShellArrays ()| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|string = obj.GetThickShellArrayName (int )| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|obj.SetThickShellArrayStatus (int arr, int status)| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|obj.SetThickShellArrayStatus (string arrName, int status)| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|int = obj.GetThickShellArrayStatus (int arr)| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|int = obj.GetThickShellArrayStatus (string arrName)| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|int = obj.GetNumberOfComponentsInThickShellArray (int a)|
// \item @|int = obj.GetNumberOfComponentsInThickShellArray (string arrName)|
// \item @|int = obj.GetNumberOfShellArrays ()| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|string = obj.GetShellArrayName (int )| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|obj.SetShellArrayStatus (int arr, int status)| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|obj.SetShellArrayStatus (string arrName, int status)| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|int = obj.GetShellArrayStatus (int arr)| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|int = obj.GetShellArrayStatus (string arrName)| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|int = obj.GetNumberOfComponentsInShellArray (int a)|
// \item @|int = obj.GetNumberOfComponentsInShellArray (string arrName)|
// \item @|int = obj.GetNumberOfRigidBodyArrays ()| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|string = obj.GetRigidBodyArrayName (int )| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|obj.SetRigidBodyArrayStatus (int arr, int status)| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|obj.SetRigidBodyArrayStatus (string arrName, int status)| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|int = obj.GetRigidBodyArrayStatus (int arr)| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|int = obj.GetRigidBodyArrayStatus (string arrName)| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|int = obj.GetNumberOfComponentsInRigidBodyArray (int a)|
// \item @|int = obj.GetNumberOfComponentsInRigidBodyArray (string arrName)|
// \item @|int = obj.GetNumberOfRoadSurfaceArrays ()| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|string = obj.GetRoadSurfaceArrayName (int )| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|obj.SetRoadSurfaceArrayStatus (int arr, int status)| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|obj.SetRoadSurfaceArrayStatus (string arrName, int status)| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|int = obj.GetRoadSurfaceArrayStatus (int arr)| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|int = obj.GetRoadSurfaceArrayStatus (string arrName)| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|int = obj.GetNumberOfComponentsInRoadSurfaceArray (int a)|
// \item @|int = obj.GetNumberOfComponentsInRoadSurfaceArray (string arrName)|
// \item @|int = obj.GetNumberOfBeamArrays ()| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|string = obj.GetBeamArrayName (int )| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|obj.SetBeamArrayStatus (int arr, int status)| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|obj.SetBeamArrayStatus (string arrName, int status)| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|int = obj.GetBeamArrayStatus (int arr)| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|int = obj.GetBeamArrayStatus (string arrName)| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|int = obj.GetNumberOfComponentsInBeamArray (int a)|
// \item @|int = obj.GetNumberOfComponentsInBeamArray (string arrName)|
// \item @|int = obj.GetNumberOfParticleArrays ()| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|string = obj.GetParticleArrayName (int )| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|obj.SetParticleArrayStatus (int arr, int status)| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|obj.SetParticleArrayStatus (string arrName, int status)| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|int = obj.GetParticleArrayStatus (int arr)| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|int = obj.GetParticleArrayStatus (string arrName)| -  These methods allow you to load only selected subsets of the cell
// variables defined over the mesh.
//// \item @|int = obj.GetNumberOfComponentsInParticleArray (int a)|
// \item @|int = obj.GetNumberOfComponentsInParticleArray (string arrName)|
// \item @|obj.SetDeformedMesh (int )| -  Should deflected coordinates be used, or should the mesh remain
// undeflected?  By default, this is true but its value is ignored if the
// nodal "Deflection" array is not set to be loaded.
//// \item @|int = obj.GetDeformedMesh ()| -  Should deflected coordinates be used, or should the mesh remain
// undeflected?  By default, this is true but its value is ignored if the
// nodal "Deflection" array is not set to be loaded.
//// \item @|obj.DeformedMeshOn ()| -  Should deflected coordinates be used, or should the mesh remain
// undeflected?  By default, this is true but its value is ignored if the
// nodal "Deflection" array is not set to be loaded.
//// \item @|obj.DeformedMeshOff ()| -  Should deflected coordinates be used, or should the mesh remain
// undeflected?  By default, this is true but its value is ignored if the
// nodal "Deflection" array is not set to be loaded.
//// \item @|obj.SetRemoveDeletedCells (int )| -  Should dead cells be removed from the mesh?  Cells are marked dead by
// setting the corresponding entry in the <b>cell</b> array "Death" to 0.
// Cells that are not dead have the corresponding entry in the cell array
// "Death" set to their material ID.  By default, this is true but its
// value is ignored if the cell "Death" array is not set to be loaded.
// It is also ignored if the database's element deletion option is set to
// denote <b>points</b> (not cells) as deleted; in that case, "Death"
// will appear to be a point array.
//// \item @|int = obj.GetRemoveDeletedCells ()| -  Should dead cells be removed from the mesh?  Cells are marked dead by
// setting the corresponding entry in the <b>cell</b> array "Death" to 0.
// Cells that are not dead have the corresponding entry in the cell array
// "Death" set to their material ID.  By default, this is true but its
// value is ignored if the cell "Death" array is not set to be loaded.
// It is also ignored if the database's element deletion option is set to
// denote <b>points</b> (not cells) as deleted; in that case, "Death"
// will appear to be a point array.
//// \item @|obj.RemoveDeletedCellsOn ()| -  Should dead cells be removed from the mesh?  Cells are marked dead by
// setting the corresponding entry in the <b>cell</b> array "Death" to 0.
// Cells that are not dead have the corresponding entry in the cell array
// "Death" set to their material ID.  By default, this is true but its
// value is ignored if the cell "Death" array is not set to be loaded.
// It is also ignored if the database's element deletion option is set to
// denote <b>points</b> (not cells) as deleted; in that case, "Death"
// will appear to be a point array.
//// \item @|obj.RemoveDeletedCellsOff ()| -  Should dead cells be removed from the mesh?  Cells are marked dead by
// setting the corresponding entry in the <b>cell</b> array "Death" to 0.
// Cells that are not dead have the corresponding entry in the cell array
// "Death" set to their material ID.  By default, this is true but its
// value is ignored if the cell "Death" array is not set to be loaded.
// It is also ignored if the database's element deletion option is set to
// denote <b>points</b> (not cells) as deleted; in that case, "Death"
// will appear to be a point array.
//// \item @|obj.SetSplitByMaterialId (int )| -  Split each part into submeshes based on material ID.
// By default, this is false and all cells of a given
// type (solid, thick shell, shell, ...) are in a single mesh.
//// \item @|int = obj.GetSplitByMaterialId ()| -  Split each part into submeshes based on material ID.
// By default, this is false and all cells of a given
// type (solid, thick shell, shell, ...) are in a single mesh.
//// \item @|obj.SplitByMaterialIdOn ()| -  Split each part into submeshes based on material ID.
// By default, this is false and all cells of a given
// type (solid, thick shell, shell, ...) are in a single mesh.
//// \item @|obj.SplitByMaterialIdOff ()| -  Split each part into submeshes based on material ID.
// By default, this is false and all cells of a given
// type (solid, thick shell, shell, ...) are in a single mesh.
//// \item @|obj.SetInputDeck (string )| -  The name of the input deck corresponding to the current database.
// This is used to determine the part names associated with each material ID.
// This file may be in two formats: a valid LSDyna input deck or a 
// short XML summary.
// If the file begins with "<?xml" then the summary format is used.
// Otherwise, the keyword format is used and a summary file will be
// created if write permissions exist in the directory containing
// the keyword file. The newly created summary will have ".k" or ".key"
// stripped from the end of the keyword filename and ".lsdyna" appended.
//// \item @|string = obj.GetInputDeck ()| -  The name of the input deck corresponding to the current database.
// This is used to determine the part names associated with each material ID.
// This file may be in two formats: a valid LSDyna input deck or a 
// short XML summary.
// If the file begins with "<?xml" then the summary format is used.
// Otherwise, the keyword format is used and a summary file will be
// created if write permissions exist in the directory containing
// the keyword file. The newly created summary will have ".k" or ".key"
// stripped from the end of the keyword filename and ".lsdyna" appended.
//// \item @|int = obj.GetNumberOfPartArrays ()| -  These methods allow you to load only selected parts of the input.
// If InputDeck points to a valid keyword file (or summary), then part
// names will be taken from that file.
// Otherwise, when arbitrary material numbering is used, parts will be named
// "PartXXX (MatlYYY)" where XXX is an increasing sequential number and YYY
// is the respective material ID. If no input deck is specified and arbitrary
// arbitrary material numbering is not used, parts will be named
// "PartXXX" where XXX is a sequential material ID.
//// \item @|string = obj.GetPartArrayName (int )| -  These methods allow you to load only selected parts of the input.
// If InputDeck points to a valid keyword file (or summary), then part
// names will be taken from that file.
// Otherwise, when arbitrary material numbering is used, parts will be named
// "PartXXX (MatlYYY)" where XXX is an increasing sequential number and YYY
// is the respective material ID. If no input deck is specified and arbitrary
// arbitrary material numbering is not used, parts will be named
// "PartXXX" where XXX is a sequential material ID.
//// \item @|obj.SetPartArrayStatus (int arr, int status)| -  These methods allow you to load only selected parts of the input.
// If InputDeck points to a valid keyword file (or summary), then part
// names will be taken from that file.
// Otherwise, when arbitrary material numbering is used, parts will be named
// "PartXXX (MatlYYY)" where XXX is an increasing sequential number and YYY
// is the respective material ID. If no input deck is specified and arbitrary
// arbitrary material numbering is not used, parts will be named
// "PartXXX" where XXX is a sequential material ID.
//// \item @|obj.SetPartArrayStatus (string partName, int status)| -  These methods allow you to load only selected parts of the input.
// If InputDeck points to a valid keyword file (or summary), then part
// names will be taken from that file.
// Otherwise, when arbitrary material numbering is used, parts will be named
// "PartXXX (MatlYYY)" where XXX is an increasing sequential number and YYY
// is the respective material ID. If no input deck is specified and arbitrary
// arbitrary material numbering is not used, parts will be named
// "PartXXX" where XXX is a sequential material ID.
//// \item @|int = obj.GetPartArrayStatus (int arr)| -  These methods allow you to load only selected parts of the input.
// If InputDeck points to a valid keyword file (or summary), then part
// names will be taken from that file.
// Otherwise, when arbitrary material numbering is used, parts will be named
// "PartXXX (MatlYYY)" where XXX is an increasing sequential number and YYY
// is the respective material ID. If no input deck is specified and arbitrary
// arbitrary material numbering is not used, parts will be named
// "PartXXX" where XXX is a sequential material ID.
//// \item @|int = obj.GetPartArrayStatus (string partName)| -  These methods allow you to load only selected parts of the input.
// If InputDeck points to a valid keyword file (or summary), then part
// names will be taken from that file.
// Otherwise, when arbitrary material numbering is used, parts will be named
// "PartXXX (MatlYYY)" where XXX is an increasing sequential number and YYY
// is the respective material ID. If no input deck is specified and arbitrary
// arbitrary material numbering is not used, parts will be named
// "PartXXX" where XXX is a sequential material ID.
////\end{itemize}
//!
