#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLandmarkTransform object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLandmarkTransform.h"

//@@Signature
//sfunction @vtkLandmarkTransform:vtkLandmarkTransform vtkLandmarkTransformConstructorFunction
//input a
//output p
//@@Parents vtkLandmarkTransform vtkLinearTransform 
ArrayVector vtkLandmarkTransformConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLandmarkTransform::New(),"vtkLandmarkTransform",eval);
  } else if (arg[0].className() == "vtkLandmarkTransform") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLandmarkTransform"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLandmarkTransform");
    vtkLandmarkTransform*q = reinterpret_cast<vtkLandmarkTransform*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLandmarkTransform");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLandmarkTransform:GetClassName vtkLandmarkTransformGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLandmarkTransformGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLandmarkTransform requires 1 argument(s)");
  vtkLandmarkTransform* vtk_pointer = GetVTKPointer<vtkLandmarkTransform>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLandmarkTransform:IsA vtkLandmarkTransformIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLandmarkTransformIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLandmarkTransform requires 2 argument(s)");
  vtkLandmarkTransform* vtk_pointer = GetVTKPointer<vtkLandmarkTransform>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLandmarkTransform:NewInstance vtkLandmarkTransformNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLandmarkTransformNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLandmarkTransform *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLandmarkTransform requires 1 argument(s)");
  vtkLandmarkTransform* vtk_pointer = GetVTKPointer<vtkLandmarkTransform>(arg[0]);
  Array retval;
  vtkLandmarkTransform  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLandmarkTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLandmarkTransform:SafeDownCast vtkLandmarkTransformSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLandmarkTransformSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLandmarkTransform *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLandmarkTransform requires 2 argument(s)");
  vtkLandmarkTransform* vtk_pointer = GetVTKPointer<vtkLandmarkTransform>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLandmarkTransform  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLandmarkTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLandmarkTransform:SetSourceLandmarks vtkLandmarkTransformSetSourceLandmarksFunction
//input a0 a1 
//output none
ArrayVector vtkLandmarkTransformSetSourceLandmarksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSourceLandmarks (vtkPoints *points); */
  if (arg.size() < 2) 
    throw Exception("Function SetSourceLandmarks for class vtkLandmarkTransform requires 2 argument(s)");
  vtkLandmarkTransform* vtk_pointer = GetVTKPointer<vtkLandmarkTransform>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  vtk_pointer->SetSourceLandmarks(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLandmarkTransform:SetTargetLandmarks vtkLandmarkTransformSetTargetLandmarksFunction
//input a0 a1 
//output none
ArrayVector vtkLandmarkTransformSetTargetLandmarksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTargetLandmarks (vtkPoints *points); */
  if (arg.size() < 2) 
    throw Exception("Function SetTargetLandmarks for class vtkLandmarkTransform requires 2 argument(s)");
  vtkLandmarkTransform* vtk_pointer = GetVTKPointer<vtkLandmarkTransform>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  vtk_pointer->SetTargetLandmarks(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLandmarkTransform:GetSourceLandmarks vtkLandmarkTransformGetSourceLandmarksFunction
//input a0 
//output y
ArrayVector vtkLandmarkTransformGetSourceLandmarksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPoints *GetSourceLandmarks (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSourceLandmarks for class vtkLandmarkTransform requires 1 argument(s)");
  vtkLandmarkTransform* vtk_pointer = GetVTKPointer<vtkLandmarkTransform>(arg[0]);
  Array retval;
  vtkPoints  *temp20;
  temp20 = (vtk_pointer)->GetSourceLandmarks();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLandmarkTransform:GetTargetLandmarks vtkLandmarkTransformGetTargetLandmarksFunction
//input a0 
//output y
ArrayVector vtkLandmarkTransformGetTargetLandmarksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPoints *GetTargetLandmarks (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTargetLandmarks for class vtkLandmarkTransform requires 1 argument(s)");
  vtkLandmarkTransform* vtk_pointer = GetVTKPointer<vtkLandmarkTransform>(arg[0]);
  Array retval;
  vtkPoints  *temp20;
  temp20 = (vtk_pointer)->GetTargetLandmarks();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLandmarkTransform:SetMode vtkLandmarkTransformSetModeFunction
//input a0 a1 
//output none
ArrayVector vtkLandmarkTransformSetModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMode for class vtkLandmarkTransform requires 2 argument(s)");
  vtkLandmarkTransform* vtk_pointer = GetVTKPointer<vtkLandmarkTransform>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLandmarkTransform:SetModeToRigidBody vtkLandmarkTransformSetModeToRigidBodyFunction
//input a0 
//output none
ArrayVector vtkLandmarkTransformSetModeToRigidBodyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetModeToRigidBody ();this SetMode VTK_LANDMARK_RIGIDBODY  */
  if (arg.size() < 1) 
    throw Exception("Function SetModeToRigidBody for class vtkLandmarkTransform requires 1 argument(s)");
  vtkLandmarkTransform* vtk_pointer = GetVTKPointer<vtkLandmarkTransform>(arg[0]);
  Array retval;
  vtk_pointer->SetModeToRigidBody();
  return retval;
}

//@@Signature
//sfunction @vtkLandmarkTransform:SetModeToSimilarity vtkLandmarkTransformSetModeToSimilarityFunction
//input a0 
//output none
ArrayVector vtkLandmarkTransformSetModeToSimilarityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetModeToSimilarity ();this SetMode VTK_LANDMARK_SIMILARITY  */
  if (arg.size() < 1) 
    throw Exception("Function SetModeToSimilarity for class vtkLandmarkTransform requires 1 argument(s)");
  vtkLandmarkTransform* vtk_pointer = GetVTKPointer<vtkLandmarkTransform>(arg[0]);
  Array retval;
  vtk_pointer->SetModeToSimilarity();
  return retval;
}

//@@Signature
//sfunction @vtkLandmarkTransform:SetModeToAffine vtkLandmarkTransformSetModeToAffineFunction
//input a0 
//output none
ArrayVector vtkLandmarkTransformSetModeToAffineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetModeToAffine ();this SetMode VTK_LANDMARK_AFFINE  */
  if (arg.size() < 1) 
    throw Exception("Function SetModeToAffine for class vtkLandmarkTransform requires 1 argument(s)");
  vtkLandmarkTransform* vtk_pointer = GetVTKPointer<vtkLandmarkTransform>(arg[0]);
  Array retval;
  vtk_pointer->SetModeToAffine();
  return retval;
}

//@@Signature
//sfunction @vtkLandmarkTransform:GetMode vtkLandmarkTransformGetModeFunction
//input a0 
//output y
ArrayVector vtkLandmarkTransformGetModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMode for class vtkLandmarkTransform requires 1 argument(s)");
  vtkLandmarkTransform* vtk_pointer = GetVTKPointer<vtkLandmarkTransform>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLandmarkTransform:GetModeAsString vtkLandmarkTransformGetModeAsStringFunction
//input a0 
//output y
ArrayVector vtkLandmarkTransformGetModeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetModeAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetModeAsString for class vtkLandmarkTransform requires 1 argument(s)");
  vtkLandmarkTransform* vtk_pointer = GetVTKPointer<vtkLandmarkTransform>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetModeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLandmarkTransform:Inverse vtkLandmarkTransformInverseFunction
//input a0 
//output none
ArrayVector vtkLandmarkTransformInverseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Inverse (); */
  if (arg.size() < 1) 
    throw Exception("Function Inverse for class vtkLandmarkTransform requires 1 argument(s)");
  vtkLandmarkTransform* vtk_pointer = GetVTKPointer<vtkLandmarkTransform>(arg[0]);
  Array retval;
  vtk_pointer->Inverse();
  return retval;
}

//@@Signature
//sfunction @vtkLandmarkTransform:GetMTime vtkLandmarkTransformGetMTimeFunction
//input a0 
//output y
ArrayVector vtkLandmarkTransformGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkLandmarkTransform requires 1 argument(s)");
  vtkLandmarkTransform* vtk_pointer = GetVTKPointer<vtkLandmarkTransform>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLandmarkTransform:MakeTransform vtkLandmarkTransformMakeTransformFunction
//input a0 
//output y
ArrayVector vtkLandmarkTransformMakeTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractTransform *MakeTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function MakeTransform for class vtkLandmarkTransform requires 1 argument(s)");
  vtkLandmarkTransform* vtk_pointer = GetVTKPointer<vtkLandmarkTransform>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->MakeTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLandmarkTransform:display vtkLandmarkTransformDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLandmarkTransformDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLandmarkTransform* vtk_pointer = GetVTKPointer<vtkLandmarkTransform>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLandmarkTransform:delete vtkLandmarkTransformDeleteFunction
//input varargin
//output none
ArrayVector vtkLandmarkTransformDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLandmarkTransform
//@@Section VTKHybrid
//@@Usage
// A vtkLandmarkTransform is defined by two sets of landmarks, the 
// transform computed gives the best fit mapping one onto the other, in a 
// least squares sense. The indices are taken to correspond, so point 1 
// in the first set will get mapped close to point 1 in the second set, 
// etc. Call SetSourceLandmarks and SetTargetLandmarks to specify the two
// sets of landmarks, ensure they have the same number of points.
//
//To create an instance of class vtkLandmarkTransform, simply
//invoke its constructor as follows
//@[
//  obj = vtkLandmarkTransform
//@]
//@@Methods
//The class vtkLandmarkTransform has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLandmarkTransform class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkLandmarkTransform = obj.NewInstance ()|
// \item @|vtkLandmarkTransform = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetSourceLandmarks (vtkPoints points)| -  Specify the source and target landmark sets. The two sets must have 
// the same number of points.  If you add or change points in these objects,
// you must call Modified() on them or the transformation might not update.
//// \item @|obj.SetTargetLandmarks (vtkPoints points)| -  Specify the source and target landmark sets. The two sets must have 
// the same number of points.  If you add or change points in these objects,
// you must call Modified() on them or the transformation might not update.
//// \item @|vtkPoints = obj.GetSourceLandmarks ()| -  Specify the source and target landmark sets. The two sets must have 
// the same number of points.  If you add or change points in these objects,
// you must call Modified() on them or the transformation might not update.
//// \item @|vtkPoints = obj.GetTargetLandmarks ()| -  Specify the source and target landmark sets. The two sets must have 
// the same number of points.  If you add or change points in these objects,
// you must call Modified() on them or the transformation might not update.
//// \item @|obj.SetMode (int )| -  Set the number of degrees of freedom to constrain the solution to.
// Rigidbody (VTK_LANDMARK_RIGIDBODY): rotation and translation only.  
// Similarity (VTK_LANDMARK_SIMILARITY): rotation, translation and 
//            isotropic scaling.
// Affine (VTK_LANDMARK_AFFINE): collinearity is preserved. 
//        Ratios of distances along a line are preserved.
// The default is similarity.
//// \item @|obj.SetModeToRigidBody ()| -  Set the number of degrees of freedom to constrain the solution to.
// Rigidbody (VTK_LANDMARK_RIGIDBODY): rotation and translation only.  
// Similarity (VTK_LANDMARK_SIMILARITY): rotation, translation and 
//            isotropic scaling.
// Affine (VTK_LANDMARK_AFFINE): collinearity is preserved. 
//        Ratios of distances along a line are preserved.
// The default is similarity.
//// \item @|obj.SetModeToSimilarity ()| -  Set the number of degrees of freedom to constrain the solution to.
// Rigidbody (VTK_LANDMARK_RIGIDBODY): rotation and translation only.  
// Similarity (VTK_LANDMARK_SIMILARITY): rotation, translation and 
//            isotropic scaling.
// Affine (VTK_LANDMARK_AFFINE): collinearity is preserved. 
//        Ratios of distances along a line are preserved.
// The default is similarity.
//// \item @|obj.SetModeToAffine ()| -  Set the number of degrees of freedom to constrain the solution to.
// Rigidbody (VTK_LANDMARK_RIGIDBODY): rotation and translation only.  
// Similarity (VTK_LANDMARK_SIMILARITY): rotation, translation and 
//            isotropic scaling.
// Affine (VTK_LANDMARK_AFFINE): collinearity is preserved. 
//        Ratios of distances along a line are preserved.
// The default is similarity.
//// \item @|int = obj.GetMode ()| -  Get the current transformation mode.
//// \item @|string = obj.GetModeAsString ()| -  Get the current transformation mode.
//// \item @|obj.Inverse ()| -  Invert the transformation.  This is done by switching the
// source and target landmarks.
//// \item @|long = obj.GetMTime ()| -  Get the MTime.
//// \item @|vtkAbstractTransform = obj.MakeTransform ()| -  Make another transform of the same type.
////\end{itemize}
//!
