#include "VTKWrap.hpp"

// FreeMat wrapper for vtkLegendScaleActor object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkLegendScaleActor.h"

//@@Signature
//sfunction @vtkLegendScaleActor:vtkLegendScaleActor vtkLegendScaleActorConstructorFunction
//input a
//output p
//@@Parents vtkLegendScaleActor vtkProp 
ArrayVector vtkLegendScaleActorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkLegendScaleActor::New(),"vtkLegendScaleActor",eval);
  } else if (arg[0].className() == "vtkLegendScaleActor") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkLegendScaleActor"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkLegendScaleActor");
    vtkLegendScaleActor*q = reinterpret_cast<vtkLegendScaleActor*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkLegendScaleActor");
    return ret;
  }
}
//@@Signature
//sfunction @vtkLegendScaleActor:GetClassName vtkLegendScaleActorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkLegendScaleActorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:IsA vtkLegendScaleActorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkLegendScaleActorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkLegendScaleActor requires 2 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:NewInstance vtkLegendScaleActorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkLegendScaleActorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLegendScaleActor *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  vtkLegendScaleActor  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLegendScaleActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:SafeDownCast vtkLegendScaleActorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkLegendScaleActorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLegendScaleActor *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkLegendScaleActor requires 2 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkLegendScaleActor  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLegendScaleActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:SetLabelMode vtkLegendScaleActorSetLabelModeFunction
//input a0 a1 
//output none
ArrayVector vtkLegendScaleActorSetLabelModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelMode for class vtkLegendScaleActor requires 2 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLabelMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:GetLabelModeMinValue vtkLegendScaleActorGetLabelModeMinValueFunction
//input a0 
//output y
ArrayVector vtkLegendScaleActorGetLabelModeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLabelModeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelModeMinValue for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLabelModeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:GetLabelModeMaxValue vtkLegendScaleActorGetLabelModeMaxValueFunction
//input a0 
//output y
ArrayVector vtkLegendScaleActorGetLabelModeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLabelModeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelModeMaxValue for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLabelModeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:GetLabelMode vtkLegendScaleActorGetLabelModeFunction
//input a0 
//output y
ArrayVector vtkLegendScaleActorGetLabelModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLabelMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelMode for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLabelMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:SetLabelModeToDistance vtkLegendScaleActorSetLabelModeToDistanceFunction
//input a0 
//output none
ArrayVector vtkLegendScaleActorSetLabelModeToDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelModeToDistance ();this SetLabelMode DISTANCE  */
  if (arg.size() < 1) 
    throw Exception("Function SetLabelModeToDistance for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  vtk_pointer->SetLabelModeToDistance();
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:SetLabelModeToXYCoordinates vtkLegendScaleActorSetLabelModeToXYCoordinatesFunction
//input a0 
//output none
ArrayVector vtkLegendScaleActorSetLabelModeToXYCoordinatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelModeToXYCoordinates ();this SetLabelMode XY_COORDINATES  */
  if (arg.size() < 1) 
    throw Exception("Function SetLabelModeToXYCoordinates for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  vtk_pointer->SetLabelModeToXYCoordinates();
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:SetRightAxisVisibility vtkLegendScaleActorSetRightAxisVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkLegendScaleActorSetRightAxisVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRightAxisVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRightAxisVisibility for class vtkLegendScaleActor requires 2 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRightAxisVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:GetRightAxisVisibility vtkLegendScaleActorGetRightAxisVisibilityFunction
//input a0 
//output y
ArrayVector vtkLegendScaleActorGetRightAxisVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRightAxisVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRightAxisVisibility for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRightAxisVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:RightAxisVisibilityOn vtkLegendScaleActorRightAxisVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkLegendScaleActorRightAxisVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RightAxisVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function RightAxisVisibilityOn for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  vtk_pointer->RightAxisVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:RightAxisVisibilityOff vtkLegendScaleActorRightAxisVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkLegendScaleActorRightAxisVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RightAxisVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function RightAxisVisibilityOff for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  vtk_pointer->RightAxisVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:SetTopAxisVisibility vtkLegendScaleActorSetTopAxisVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkLegendScaleActorSetTopAxisVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTopAxisVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTopAxisVisibility for class vtkLegendScaleActor requires 2 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTopAxisVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:GetTopAxisVisibility vtkLegendScaleActorGetTopAxisVisibilityFunction
//input a0 
//output y
ArrayVector vtkLegendScaleActorGetTopAxisVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTopAxisVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTopAxisVisibility for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTopAxisVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:TopAxisVisibilityOn vtkLegendScaleActorTopAxisVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkLegendScaleActorTopAxisVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TopAxisVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TopAxisVisibilityOn for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  vtk_pointer->TopAxisVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:TopAxisVisibilityOff vtkLegendScaleActorTopAxisVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkLegendScaleActorTopAxisVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TopAxisVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TopAxisVisibilityOff for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  vtk_pointer->TopAxisVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:SetLeftAxisVisibility vtkLegendScaleActorSetLeftAxisVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkLegendScaleActorSetLeftAxisVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLeftAxisVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLeftAxisVisibility for class vtkLegendScaleActor requires 2 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLeftAxisVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:GetLeftAxisVisibility vtkLegendScaleActorGetLeftAxisVisibilityFunction
//input a0 
//output y
ArrayVector vtkLegendScaleActorGetLeftAxisVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLeftAxisVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeftAxisVisibility for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLeftAxisVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:LeftAxisVisibilityOn vtkLegendScaleActorLeftAxisVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkLegendScaleActorLeftAxisVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LeftAxisVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function LeftAxisVisibilityOn for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  vtk_pointer->LeftAxisVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:LeftAxisVisibilityOff vtkLegendScaleActorLeftAxisVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkLegendScaleActorLeftAxisVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LeftAxisVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function LeftAxisVisibilityOff for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  vtk_pointer->LeftAxisVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:SetBottomAxisVisibility vtkLegendScaleActorSetBottomAxisVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkLegendScaleActorSetBottomAxisVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBottomAxisVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBottomAxisVisibility for class vtkLegendScaleActor requires 2 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBottomAxisVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:GetBottomAxisVisibility vtkLegendScaleActorGetBottomAxisVisibilityFunction
//input a0 
//output y
ArrayVector vtkLegendScaleActorGetBottomAxisVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBottomAxisVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBottomAxisVisibility for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBottomAxisVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:BottomAxisVisibilityOn vtkLegendScaleActorBottomAxisVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkLegendScaleActorBottomAxisVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BottomAxisVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function BottomAxisVisibilityOn for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  vtk_pointer->BottomAxisVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:BottomAxisVisibilityOff vtkLegendScaleActorBottomAxisVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkLegendScaleActorBottomAxisVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BottomAxisVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function BottomAxisVisibilityOff for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  vtk_pointer->BottomAxisVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:SetLegendVisibility vtkLegendScaleActorSetLegendVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkLegendScaleActorSetLegendVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLegendVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLegendVisibility for class vtkLegendScaleActor requires 2 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLegendVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:GetLegendVisibility vtkLegendScaleActorGetLegendVisibilityFunction
//input a0 
//output y
ArrayVector vtkLegendScaleActorGetLegendVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLegendVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLegendVisibility for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLegendVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:LegendVisibilityOn vtkLegendScaleActorLegendVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkLegendScaleActorLegendVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LegendVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function LegendVisibilityOn for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  vtk_pointer->LegendVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:LegendVisibilityOff vtkLegendScaleActorLegendVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkLegendScaleActorLegendVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LegendVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function LegendVisibilityOff for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  vtk_pointer->LegendVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:AllAxesOn vtkLegendScaleActorAllAxesOnFunction
//input a0 
//output none
ArrayVector vtkLegendScaleActorAllAxesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllAxesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AllAxesOn for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  vtk_pointer->AllAxesOn();
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:AllAxesOff vtkLegendScaleActorAllAxesOffFunction
//input a0 
//output none
ArrayVector vtkLegendScaleActorAllAxesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllAxesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AllAxesOff for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  vtk_pointer->AllAxesOff();
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:AllAnnotationsOn vtkLegendScaleActorAllAnnotationsOnFunction
//input a0 
//output none
ArrayVector vtkLegendScaleActorAllAnnotationsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllAnnotationsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AllAnnotationsOn for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  vtk_pointer->AllAnnotationsOn();
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:AllAnnotationsOff vtkLegendScaleActorAllAnnotationsOffFunction
//input a0 
//output none
ArrayVector vtkLegendScaleActorAllAnnotationsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllAnnotationsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AllAnnotationsOff for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  vtk_pointer->AllAnnotationsOff();
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:SetRightBorderOffset vtkLegendScaleActorSetRightBorderOffsetFunction
//input a0 a1 
//output none
ArrayVector vtkLegendScaleActorSetRightBorderOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRightBorderOffset (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRightBorderOffset for class vtkLegendScaleActor requires 2 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRightBorderOffset(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:GetRightBorderOffsetMinValue vtkLegendScaleActorGetRightBorderOffsetMinValueFunction
//input a0 
//output y
ArrayVector vtkLegendScaleActorGetRightBorderOffsetMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRightBorderOffsetMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRightBorderOffsetMinValue for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRightBorderOffsetMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:GetRightBorderOffsetMaxValue vtkLegendScaleActorGetRightBorderOffsetMaxValueFunction
//input a0 
//output y
ArrayVector vtkLegendScaleActorGetRightBorderOffsetMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRightBorderOffsetMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRightBorderOffsetMaxValue for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRightBorderOffsetMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:GetRightBorderOffset vtkLegendScaleActorGetRightBorderOffsetFunction
//input a0 
//output y
ArrayVector vtkLegendScaleActorGetRightBorderOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRightBorderOffset (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRightBorderOffset for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRightBorderOffset();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:SetTopBorderOffset vtkLegendScaleActorSetTopBorderOffsetFunction
//input a0 a1 
//output none
ArrayVector vtkLegendScaleActorSetTopBorderOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTopBorderOffset (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTopBorderOffset for class vtkLegendScaleActor requires 2 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTopBorderOffset(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:GetTopBorderOffsetMinValue vtkLegendScaleActorGetTopBorderOffsetMinValueFunction
//input a0 
//output y
ArrayVector vtkLegendScaleActorGetTopBorderOffsetMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTopBorderOffsetMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTopBorderOffsetMinValue for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTopBorderOffsetMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:GetTopBorderOffsetMaxValue vtkLegendScaleActorGetTopBorderOffsetMaxValueFunction
//input a0 
//output y
ArrayVector vtkLegendScaleActorGetTopBorderOffsetMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTopBorderOffsetMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTopBorderOffsetMaxValue for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTopBorderOffsetMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:GetTopBorderOffset vtkLegendScaleActorGetTopBorderOffsetFunction
//input a0 
//output y
ArrayVector vtkLegendScaleActorGetTopBorderOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTopBorderOffset (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTopBorderOffset for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTopBorderOffset();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:SetLeftBorderOffset vtkLegendScaleActorSetLeftBorderOffsetFunction
//input a0 a1 
//output none
ArrayVector vtkLegendScaleActorSetLeftBorderOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLeftBorderOffset (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLeftBorderOffset for class vtkLegendScaleActor requires 2 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLeftBorderOffset(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:GetLeftBorderOffsetMinValue vtkLegendScaleActorGetLeftBorderOffsetMinValueFunction
//input a0 
//output y
ArrayVector vtkLegendScaleActorGetLeftBorderOffsetMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLeftBorderOffsetMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeftBorderOffsetMinValue for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLeftBorderOffsetMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:GetLeftBorderOffsetMaxValue vtkLegendScaleActorGetLeftBorderOffsetMaxValueFunction
//input a0 
//output y
ArrayVector vtkLegendScaleActorGetLeftBorderOffsetMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLeftBorderOffsetMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeftBorderOffsetMaxValue for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLeftBorderOffsetMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:GetLeftBorderOffset vtkLegendScaleActorGetLeftBorderOffsetFunction
//input a0 
//output y
ArrayVector vtkLegendScaleActorGetLeftBorderOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLeftBorderOffset (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeftBorderOffset for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLeftBorderOffset();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:SetBottomBorderOffset vtkLegendScaleActorSetBottomBorderOffsetFunction
//input a0 a1 
//output none
ArrayVector vtkLegendScaleActorSetBottomBorderOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBottomBorderOffset (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBottomBorderOffset for class vtkLegendScaleActor requires 2 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBottomBorderOffset(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:GetBottomBorderOffsetMinValue vtkLegendScaleActorGetBottomBorderOffsetMinValueFunction
//input a0 
//output y
ArrayVector vtkLegendScaleActorGetBottomBorderOffsetMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBottomBorderOffsetMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBottomBorderOffsetMinValue for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBottomBorderOffsetMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:GetBottomBorderOffsetMaxValue vtkLegendScaleActorGetBottomBorderOffsetMaxValueFunction
//input a0 
//output y
ArrayVector vtkLegendScaleActorGetBottomBorderOffsetMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBottomBorderOffsetMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBottomBorderOffsetMaxValue for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBottomBorderOffsetMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:GetBottomBorderOffset vtkLegendScaleActorGetBottomBorderOffsetFunction
//input a0 
//output y
ArrayVector vtkLegendScaleActorGetBottomBorderOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBottomBorderOffset (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBottomBorderOffset for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBottomBorderOffset();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:SetCornerOffsetFactor vtkLegendScaleActorSetCornerOffsetFactorFunction
//input a0 a1 
//output none
ArrayVector vtkLegendScaleActorSetCornerOffsetFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCornerOffsetFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCornerOffsetFactor for class vtkLegendScaleActor requires 2 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCornerOffsetFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:GetCornerOffsetFactorMinValue vtkLegendScaleActorGetCornerOffsetFactorMinValueFunction
//input a0 
//output y
ArrayVector vtkLegendScaleActorGetCornerOffsetFactorMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCornerOffsetFactorMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCornerOffsetFactorMinValue for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCornerOffsetFactorMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:GetCornerOffsetFactorMaxValue vtkLegendScaleActorGetCornerOffsetFactorMaxValueFunction
//input a0 
//output y
ArrayVector vtkLegendScaleActorGetCornerOffsetFactorMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCornerOffsetFactorMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCornerOffsetFactorMaxValue for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCornerOffsetFactorMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:GetCornerOffsetFactor vtkLegendScaleActorGetCornerOffsetFactorFunction
//input a0 
//output y
ArrayVector vtkLegendScaleActorGetCornerOffsetFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCornerOffsetFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCornerOffsetFactor for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCornerOffsetFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:GetLegendTitleProperty vtkLegendScaleActorGetLegendTitlePropertyFunction
//input a0 
//output y
ArrayVector vtkLegendScaleActorGetLegendTitlePropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetLegendTitleProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLegendTitleProperty for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetLegendTitleProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:GetLegendLabelProperty vtkLegendScaleActorGetLegendLabelPropertyFunction
//input a0 
//output y
ArrayVector vtkLegendScaleActorGetLegendLabelPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetLegendLabelProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLegendLabelProperty for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetLegendLabelProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:GetRightAxis vtkLegendScaleActorGetRightAxisFunction
//input a0 
//output y
ArrayVector vtkLegendScaleActorGetRightAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAxisActor2D *GetRightAxis (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRightAxis for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  vtkAxisActor2D  *temp20;
  temp20 = (vtk_pointer)->GetRightAxis();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAxisActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:GetTopAxis vtkLegendScaleActorGetTopAxisFunction
//input a0 
//output y
ArrayVector vtkLegendScaleActorGetTopAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAxisActor2D *GetTopAxis (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTopAxis for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  vtkAxisActor2D  *temp20;
  temp20 = (vtk_pointer)->GetTopAxis();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAxisActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:GetLeftAxis vtkLegendScaleActorGetLeftAxisFunction
//input a0 
//output y
ArrayVector vtkLegendScaleActorGetLeftAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAxisActor2D *GetLeftAxis (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeftAxis for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  vtkAxisActor2D  *temp20;
  temp20 = (vtk_pointer)->GetLeftAxis();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAxisActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:GetBottomAxis vtkLegendScaleActorGetBottomAxisFunction
//input a0 
//output y
ArrayVector vtkLegendScaleActorGetBottomAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAxisActor2D *GetBottomAxis (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBottomAxis for class vtkLegendScaleActor requires 1 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  vtkAxisActor2D  *temp20;
  temp20 = (vtk_pointer)->GetBottomAxis();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAxisActor2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:BuildRepresentation vtkLegendScaleActorBuildRepresentationFunction
//input a0 a1 
//output none
ArrayVector vtkLegendScaleActorBuildRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void BuildRepresentation (vtkViewport *viewport); */
  if (arg.size() < 2) 
    throw Exception("Function BuildRepresentation for class vtkLegendScaleActor requires 2 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  vtk_pointer->BuildRepresentation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:GetActors2D vtkLegendScaleActorGetActors2DFunction
//input a0 a1 
//output none
ArrayVector vtkLegendScaleActorGetActors2DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetActors2D (vtkPropCollection *); */
  if (arg.size() < 2) 
    throw Exception("Function GetActors2D for class vtkLegendScaleActor requires 2 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  vtkPropCollection  *temp0;
  temp0 = GetVTKPointer<vtkPropCollection>(arg[1]);
  vtk_pointer->GetActors2D(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:ReleaseGraphicsResources vtkLegendScaleActorReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkLegendScaleActorReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkLegendScaleActor requires 2 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:RenderOverlay vtkLegendScaleActorRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkLegendScaleActorRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOverlay (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkLegendScaleActor requires 2 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:RenderOpaqueGeometry vtkLegendScaleActorRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkLegendScaleActorRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderOpaqueGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkLegendScaleActor requires 2 argument(s)");
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkLegendScaleActor:display vtkLegendScaleActorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkLegendScaleActorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkLegendScaleActor* vtk_pointer = GetVTKPointer<vtkLegendScaleActor>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkLegendScaleActor:delete vtkLegendScaleActorDeleteFunction
//input varargin
//output none
ArrayVector vtkLegendScaleActorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkLegendScaleActor
//@@Section VTKHybrid
//@@Usage
// This class is used to annotate the render window. Its basic goal is to
// provide an indication of the scale of the scene. Four axes surrounding the
// render window indicate (in a variety of ways) the scale of what the camera
// is viewing. An option also exists for displaying a scale legend.
//
// The axes can be programmed either to display distance scales or x-y
// coordinate values. By default, the scales display a distance. However,
// if you know that the view is down the z-axis, the scales can be programmed
// to display x-y coordinate values.
//
//
//To create an instance of class vtkLegendScaleActor, simply
//invoke its constructor as follows
//@[
//  obj = vtkLegendScaleActor
//@]
//@@Methods
//The class vtkLegendScaleActor has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkLegendScaleActor class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for the class.
//// \item @|int = obj.IsA (string name)| -  Standard methods for the class.
//// \item @|vtkLegendScaleActor = obj.NewInstance ()| -  Standard methods for the class.
//// \item @|vtkLegendScaleActor = obj.SafeDownCast (vtkObject o)| -  Standard methods for the class.
//// \item @|obj.SetLabelMode (int )| -  Specify the mode for labeling the scale axes. By default, the axes are
// labeled with the distance between points (centered at a distance of
// 0.0). Alternatively if you know that the view is down the z-axis; the
// axes can be labeled with x-y coordinate values.
//// \item @|int = obj.GetLabelModeMinValue ()| -  Specify the mode for labeling the scale axes. By default, the axes are
// labeled with the distance between points (centered at a distance of
// 0.0). Alternatively if you know that the view is down the z-axis; the
// axes can be labeled with x-y coordinate values.
//// \item @|int = obj.GetLabelModeMaxValue ()| -  Specify the mode for labeling the scale axes. By default, the axes are
// labeled with the distance between points (centered at a distance of
// 0.0). Alternatively if you know that the view is down the z-axis; the
// axes can be labeled with x-y coordinate values.
//// \item @|int = obj.GetLabelMode ()| -  Specify the mode for labeling the scale axes. By default, the axes are
// labeled with the distance between points (centered at a distance of
// 0.0). Alternatively if you know that the view is down the z-axis; the
// axes can be labeled with x-y coordinate values.
//// \item @|obj.SetLabelModeToDistance ()| -  Specify the mode for labeling the scale axes. By default, the axes are
// labeled with the distance between points (centered at a distance of
// 0.0). Alternatively if you know that the view is down the z-axis; the
// axes can be labeled with x-y coordinate values.
//// \item @|obj.SetLabelModeToXYCoordinates ()| -  Set/Get the flags that control which of the four axes to display (top,
// bottom, left and right). By default, all the axes are displayed.
//// \item @|obj.SetRightAxisVisibility (int )| -  Set/Get the flags that control which of the four axes to display (top,
// bottom, left and right). By default, all the axes are displayed.
//// \item @|int = obj.GetRightAxisVisibility ()| -  Set/Get the flags that control which of the four axes to display (top,
// bottom, left and right). By default, all the axes are displayed.
//// \item @|obj.RightAxisVisibilityOn ()| -  Set/Get the flags that control which of the four axes to display (top,
// bottom, left and right). By default, all the axes are displayed.
//// \item @|obj.RightAxisVisibilityOff ()| -  Set/Get the flags that control which of the four axes to display (top,
// bottom, left and right). By default, all the axes are displayed.
//// \item @|obj.SetTopAxisVisibility (int )| -  Set/Get the flags that control which of the four axes to display (top,
// bottom, left and right). By default, all the axes are displayed.
//// \item @|int = obj.GetTopAxisVisibility ()| -  Set/Get the flags that control which of the four axes to display (top,
// bottom, left and right). By default, all the axes are displayed.
//// \item @|obj.TopAxisVisibilityOn ()| -  Set/Get the flags that control which of the four axes to display (top,
// bottom, left and right). By default, all the axes are displayed.
//// \item @|obj.TopAxisVisibilityOff ()| -  Set/Get the flags that control which of the four axes to display (top,
// bottom, left and right). By default, all the axes are displayed.
//// \item @|obj.SetLeftAxisVisibility (int )| -  Set/Get the flags that control which of the four axes to display (top,
// bottom, left and right). By default, all the axes are displayed.
//// \item @|int = obj.GetLeftAxisVisibility ()| -  Set/Get the flags that control which of the four axes to display (top,
// bottom, left and right). By default, all the axes are displayed.
//// \item @|obj.LeftAxisVisibilityOn ()| -  Set/Get the flags that control which of the four axes to display (top,
// bottom, left and right). By default, all the axes are displayed.
//// \item @|obj.LeftAxisVisibilityOff ()| -  Set/Get the flags that control which of the four axes to display (top,
// bottom, left and right). By default, all the axes are displayed.
//// \item @|obj.SetBottomAxisVisibility (int )| -  Set/Get the flags that control which of the four axes to display (top,
// bottom, left and right). By default, all the axes are displayed.
//// \item @|int = obj.GetBottomAxisVisibility ()| -  Set/Get the flags that control which of the four axes to display (top,
// bottom, left and right). By default, all the axes are displayed.
//// \item @|obj.BottomAxisVisibilityOn ()| -  Set/Get the flags that control which of the four axes to display (top,
// bottom, left and right). By default, all the axes are displayed.
//// \item @|obj.BottomAxisVisibilityOff ()| -  Set/Get the flags that control which of the four axes to display (top,
// bottom, left and right). By default, all the axes are displayed.
//// \item @|obj.SetLegendVisibility (int )| -  Indicate whether the legend scale should be displayed or not.
// The default is On.
//// \item @|int = obj.GetLegendVisibility ()| -  Indicate whether the legend scale should be displayed or not.
// The default is On.
//// \item @|obj.LegendVisibilityOn ()| -  Indicate whether the legend scale should be displayed or not.
// The default is On.
//// \item @|obj.LegendVisibilityOff ()| -  Indicate whether the legend scale should be displayed or not.
// The default is On.
//// \item @|obj.AllAxesOn ()| -  Convenience method that turns all the axes either on or off.
//// \item @|obj.AllAxesOff ()| -  Convenience method that turns all the axes either on or off.
//// \item @|obj.AllAnnotationsOn ()| -  Convenience method that turns all the axes and the legend scale.
//// \item @|obj.AllAnnotationsOff ()| -  Convenience method that turns all the axes and the legend scale.
//// \item @|obj.SetRightBorderOffset (int )| -  Set/Get the offset of the right axis from the border. This number is expressed in
// pixels, and represents the approximate distance of the axes from the sides
// of the renderer. The default is 50.
//// \item @|int = obj.GetRightBorderOffsetMinValue ()| -  Set/Get the offset of the right axis from the border. This number is expressed in
// pixels, and represents the approximate distance of the axes from the sides
// of the renderer. The default is 50.
//// \item @|int = obj.GetRightBorderOffsetMaxValue ()| -  Set/Get the offset of the right axis from the border. This number is expressed in
// pixels, and represents the approximate distance of the axes from the sides
// of the renderer. The default is 50.
//// \item @|int = obj.GetRightBorderOffset ()| -  Set/Get the offset of the right axis from the border. This number is expressed in
// pixels, and represents the approximate distance of the axes from the sides
// of the renderer. The default is 50.
//// \item @|obj.SetTopBorderOffset (int )| -  Set/Get the offset of the top axis from the border. This number is expressed in
// pixels, and represents the approximate distance of the axes from the sides
// of the renderer. The default is 30.
//// \item @|int = obj.GetTopBorderOffsetMinValue ()| -  Set/Get the offset of the top axis from the border. This number is expressed in
// pixels, and represents the approximate distance of the axes from the sides
// of the renderer. The default is 30.
//// \item @|int = obj.GetTopBorderOffsetMaxValue ()| -  Set/Get the offset of the top axis from the border. This number is expressed in
// pixels, and represents the approximate distance of the axes from the sides
// of the renderer. The default is 30.
//// \item @|int = obj.GetTopBorderOffset ()| -  Set/Get the offset of the top axis from the border. This number is expressed in
// pixels, and represents the approximate distance of the axes from the sides
// of the renderer. The default is 30.
//// \item @|obj.SetLeftBorderOffset (int )| -  Set/Get the offset of the left axis from the border. This number is expressed in
// pixels, and represents the approximate distance of the axes from the sides
// of the renderer. The default is 50.
//// \item @|int = obj.GetLeftBorderOffsetMinValue ()| -  Set/Get the offset of the left axis from the border. This number is expressed in
// pixels, and represents the approximate distance of the axes from the sides
// of the renderer. The default is 50.
//// \item @|int = obj.GetLeftBorderOffsetMaxValue ()| -  Set/Get the offset of the left axis from the border. This number is expressed in
// pixels, and represents the approximate distance of the axes from the sides
// of the renderer. The default is 50.
//// \item @|int = obj.GetLeftBorderOffset ()| -  Set/Get the offset of the left axis from the border. This number is expressed in
// pixels, and represents the approximate distance of the axes from the sides
// of the renderer. The default is 50.
//// \item @|obj.SetBottomBorderOffset (int )| -  Set/Get the offset of the bottom axis from the border. This number is expressed in
// pixels, and represents the approximate distance of the axes from the sides
// of the renderer. The default is 30.
//// \item @|int = obj.GetBottomBorderOffsetMinValue ()| -  Set/Get the offset of the bottom axis from the border. This number is expressed in
// pixels, and represents the approximate distance of the axes from the sides
// of the renderer. The default is 30.
//// \item @|int = obj.GetBottomBorderOffsetMaxValue ()| -  Set/Get the offset of the bottom axis from the border. This number is expressed in
// pixels, and represents the approximate distance of the axes from the sides
// of the renderer. The default is 30.
//// \item @|int = obj.GetBottomBorderOffset ()| -  Set/Get the offset of the bottom axis from the border. This number is expressed in
// pixels, and represents the approximate distance of the axes from the sides
// of the renderer. The default is 30.
//// \item @|obj.SetCornerOffsetFactor (double )| -  Get/Set the corner offset. This is the offset factor used to offset the
// axes at the corners. Default value is 2.0.
//// \item @|double = obj.GetCornerOffsetFactorMinValue ()| -  Get/Set the corner offset. This is the offset factor used to offset the
// axes at the corners. Default value is 2.0.
//// \item @|double = obj.GetCornerOffsetFactorMaxValue ()| -  Get/Set the corner offset. This is the offset factor used to offset the
// axes at the corners. Default value is 2.0.
//// \item @|double = obj.GetCornerOffsetFactor ()| -  Get/Set the corner offset. This is the offset factor used to offset the
// axes at the corners. Default value is 2.0.
//// \item @|vtkTextProperty = obj.GetLegendTitleProperty ()| -  Set/Get the labels text properties for the legend title and labels.
//// \item @|vtkTextProperty = obj.GetLegendLabelProperty ()| -  Set/Get the labels text properties for the legend title and labels.
//// \item @|vtkAxisActor2D = obj.GetRightAxis ()| -  These are methods to retrieve the vtkAxisActors used to represent
// the four axes that form this representation. Users may retrieve and
// then modify these axes to control their appearance.
//// \item @|vtkAxisActor2D = obj.GetTopAxis ()| -  These are methods to retrieve the vtkAxisActors used to represent
// the four axes that form this representation. Users may retrieve and
// then modify these axes to control their appearance.
//// \item @|vtkAxisActor2D = obj.GetLeftAxis ()| -  These are methods to retrieve the vtkAxisActors used to represent
// the four axes that form this representation. Users may retrieve and
// then modify these axes to control their appearance.
//// \item @|vtkAxisActor2D = obj.GetBottomAxis ()| -  These are methods to retrieve the vtkAxisActors used to represent
// the four axes that form this representation. Users may retrieve and
// then modify these axes to control their appearance.
//// \item @|obj.BuildRepresentation (vtkViewport viewport)|
// \item @|obj.GetActors2D (vtkPropCollection )|
// \item @|obj.ReleaseGraphicsResources (vtkWindow )|
// \item @|int = obj.RenderOverlay (vtkViewport )|
// \item @|int = obj.RenderOpaqueGeometry (vtkViewport )|
//\end{itemize}
//!
