#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPCAAnalysisFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPCAAnalysisFilter.h"

//@@Signature
//sfunction @vtkPCAAnalysisFilter:vtkPCAAnalysisFilter vtkPCAAnalysisFilterConstructorFunction
//input a
//output p
//@@Parents vtkPCAAnalysisFilter vtkPointSetAlgorithm 
ArrayVector vtkPCAAnalysisFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPCAAnalysisFilter::New(),"vtkPCAAnalysisFilter",eval);
  } else if (arg[0].className() == "vtkPCAAnalysisFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPCAAnalysisFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPCAAnalysisFilter");
    vtkPCAAnalysisFilter*q = reinterpret_cast<vtkPCAAnalysisFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPCAAnalysisFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPCAAnalysisFilter:GetClassName vtkPCAAnalysisFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPCAAnalysisFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPCAAnalysisFilter requires 1 argument(s)");
  vtkPCAAnalysisFilter* vtk_pointer = GetVTKPointer<vtkPCAAnalysisFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCAAnalysisFilter:IsA vtkPCAAnalysisFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPCAAnalysisFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPCAAnalysisFilter requires 2 argument(s)");
  vtkPCAAnalysisFilter* vtk_pointer = GetVTKPointer<vtkPCAAnalysisFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCAAnalysisFilter:NewInstance vtkPCAAnalysisFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPCAAnalysisFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPCAAnalysisFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPCAAnalysisFilter requires 1 argument(s)");
  vtkPCAAnalysisFilter* vtk_pointer = GetVTKPointer<vtkPCAAnalysisFilter>(arg[0]);
  Array retval;
  vtkPCAAnalysisFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPCAAnalysisFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPCAAnalysisFilter:SafeDownCast vtkPCAAnalysisFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPCAAnalysisFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPCAAnalysisFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPCAAnalysisFilter requires 2 argument(s)");
  vtkPCAAnalysisFilter* vtk_pointer = GetVTKPointer<vtkPCAAnalysisFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPCAAnalysisFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPCAAnalysisFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPCAAnalysisFilter:GetEvals vtkPCAAnalysisFilterGetEvalsFunction
//input a0 
//output y
ArrayVector vtkPCAAnalysisFilterGetEvalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFloatArray *GetEvals (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEvals for class vtkPCAAnalysisFilter requires 1 argument(s)");
  vtkPCAAnalysisFilter* vtk_pointer = GetVTKPointer<vtkPCAAnalysisFilter>(arg[0]);
  Array retval;
  vtkFloatArray  *temp20;
  temp20 = (vtk_pointer)->GetEvals();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFloatArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPCAAnalysisFilter:SetNumberOfInputs vtkPCAAnalysisFilterSetNumberOfInputsFunction
//input a0 a1 
//output none
ArrayVector vtkPCAAnalysisFilterSetNumberOfInputsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfInputs (int n); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfInputs for class vtkPCAAnalysisFilter requires 2 argument(s)");
  vtkPCAAnalysisFilter* vtk_pointer = GetVTKPointer<vtkPCAAnalysisFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfInputs(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPCAAnalysisFilter:SetInput__1 vtkPCAAnalysisFilterSetInput__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkPCAAnalysisFilterSetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (int idx, vtkPointSet *p); */
  if (arg.size() < 3) 
    throw Exception("Function SetInput__1 for class vtkPCAAnalysisFilter requires 3 argument(s)");
  vtkPCAAnalysisFilter* vtk_pointer = GetVTKPointer<vtkPCAAnalysisFilter>(arg[0]);
  Array retval;
  int      temp0;
  vtkPointSet  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkPointSet>(arg[2]);
  vtk_pointer->SetInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPCAAnalysisFilter:SetInput__2 vtkPCAAnalysisFilterSetInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkPCAAnalysisFilterSetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (int idx, vtkDataObject *input); */
  if (arg.size() < 3) 
    throw Exception("Function SetInput__2 for class vtkPCAAnalysisFilter requires 3 argument(s)");
  vtkPCAAnalysisFilter* vtk_pointer = GetVTKPointer<vtkPCAAnalysisFilter>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->SetInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPCAAnalysisFilter:GetInput vtkPCAAnalysisFilterGetInputFunction
//input a0 a1 
//output y
ArrayVector vtkPCAAnalysisFilterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointSet *GetInput (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetInput for class vtkPCAAnalysisFilter requires 2 argument(s)");
  vtkPCAAnalysisFilter* vtk_pointer = GetVTKPointer<vtkPCAAnalysisFilter>(arg[0]);
  Array retval;
  int      temp0;
  vtkPointSet  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPCAAnalysisFilter:GetParameterisedShape vtkPCAAnalysisFilterGetParameterisedShapeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPCAAnalysisFilterGetParameterisedShapeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetParameterisedShape (vtkFloatArray *b, vtkPointSet *shape); */
  if (arg.size() < 3) 
    throw Exception("Function GetParameterisedShape for class vtkPCAAnalysisFilter requires 3 argument(s)");
  vtkPCAAnalysisFilter* vtk_pointer = GetVTKPointer<vtkPCAAnalysisFilter>(arg[0]);
  Array retval;
  vtkFloatArray  *temp0;
  vtkPointSet  *temp1;
  temp0 = GetVTKPointer<vtkFloatArray>(arg[1]);
  temp1 = GetVTKPointer<vtkPointSet>(arg[2]);
  vtk_pointer->GetParameterisedShape(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPCAAnalysisFilter:GetShapeParameters vtkPCAAnalysisFilterGetShapeParametersFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPCAAnalysisFilterGetShapeParametersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetShapeParameters (vtkPointSet *shape, vtkFloatArray *b, int bsize); */
  if (arg.size() < 4) 
    throw Exception("Function GetShapeParameters for class vtkPCAAnalysisFilter requires 4 argument(s)");
  vtkPCAAnalysisFilter* vtk_pointer = GetVTKPointer<vtkPCAAnalysisFilter>(arg[0]);
  Array retval;
  vtkPointSet  *temp0;
  vtkFloatArray  *temp1;
  int      temp2;
  temp0 = GetVTKPointer<vtkPointSet>(arg[1]);
  temp1 = GetVTKPointer<vtkFloatArray>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->GetShapeParameters(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPCAAnalysisFilter:GetModesRequiredFor vtkPCAAnalysisFilterGetModesRequiredForFunction
//input a0 a1 
//output y
ArrayVector vtkPCAAnalysisFilterGetModesRequiredForFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetModesRequiredFor (double proportion); */
  if (arg.size() < 2) 
    throw Exception("Function GetModesRequiredFor for class vtkPCAAnalysisFilter requires 2 argument(s)");
  vtkPCAAnalysisFilter* vtk_pointer = GetVTKPointer<vtkPCAAnalysisFilter>(arg[0]);
  Array retval;
  double   temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetModesRequiredFor(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCAAnalysisFilter:SetInput vtkPCAAnalysisFilterSetInputFunction
//input varargin
//output varargout
ArrayVector vtkPCAAnalysisFilterSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkPointSet"))
    return vtkPCAAnalysisFilterSetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkPCAAnalysisFilterSetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPCAAnalysisFilterSetInput");
}

//@@Signature
//sfunction @vtkPCAAnalysisFilter:display vtkPCAAnalysisFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPCAAnalysisFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPCAAnalysisFilter* vtk_pointer = GetVTKPointer<vtkPCAAnalysisFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPCAAnalysisFilter:delete vtkPCAAnalysisFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkPCAAnalysisFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPCAAnalysisFilter
//@@Section VTKHybrid
//@@Usage
//
// vtkPCAAnalysisFilter is a filter that takes as input a set of aligned
// pointsets (any object derived from vtkPointSet) and performs
// a principal component analysis of the coordinates. 
// This can be used to visualise the major or minor modes of variation
// seen in a set of similar biological objects with corresponding
// landmarks.
// vtkPCAAnalysisFilter is designed to work with the output from
// the vtkProcrustesAnalysisFilter
// 
// Call SetNumberOfInputs(n) before calling SetInput(0) ... SetInput(n-1).
// Retrieve the outputs using GetOutput(0) ... GetOutput(n-1).
//
// vtkPCAAnalysisFilter is an implementation of (for example):
//
// T. Cootes et al. : Active Shape Models - their training and application.
// Computer Vision and Image Understanding, 61(1):38-59, 1995.
//
// The material can also be found in Tim Cootes' ever-changing online report
// published at his website:
// http://www.isbe.man.ac.uk/~bim/
//
//
//To create an instance of class vtkPCAAnalysisFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkPCAAnalysisFilter
//@]
//@@Methods
//The class vtkPCAAnalysisFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPCAAnalysisFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPCAAnalysisFilter = obj.NewInstance ()|
// \item @|vtkPCAAnalysisFilter = obj.SafeDownCast (vtkObject o)|
// \item @|vtkFloatArray = obj.GetEvals ()| -  Get the vector of eigenvalues sorted in descending order
//// \item @|obj.SetNumberOfInputs (int n)| -  Specify how many pointsets are going to be given as input.
//// \item @|obj.SetInput (int idx, vtkPointSet p)| -  Specify the input pointset with index idx.
// Call SetNumberOfInputs before calling this function.
//// \item @|obj.SetInput (int idx, vtkDataObject input)| -  Specify the input pointset with index idx.
// Call SetNumberOfInputs before calling this function.
//// \item @|vtkPointSet = obj.GetInput (int idx)| -  Retrieve the input with index idx (usually only used for pipeline
// tracing).
//// \item @|obj.GetParameterisedShape (vtkFloatArray b, vtkPointSet shape)| -  Fills the shape with:
//
// mean + b[0] * sqrt(eigenvalue[0]) * eigenvector[0]
//      + b[1] * sqrt(eigenvalue[1]) * eigenvector[1]
// ...
//      + b[sizeb-1] * sqrt(eigenvalue[bsize-1]) * eigenvector[bsize-1]
//
// here b are the parameters expressed in standard deviations
// bsize is the number of parameters in the b vector
// This function assumes that shape is allready allocated
// with the right size, it just moves the points.
//// \item @|obj.GetShapeParameters (vtkPointSet shape, vtkFloatArray b, int bsize)| -  Return the bsize parameters b that best model the given shape
// (in standard deviations). 
// That is that the given shape will be approximated by:
//
// shape ~ mean + b[0] * sqrt(eigenvalue[0]) * eigenvector[0]
//              + b[1] * sqrt(eigenvalue[1]) * eigenvector[1]
//         ...
//              + b[bsize-1] * sqrt(eigenvalue[bsize-1]) * eigenvector[bsize-1]
//// \item @|int = obj.GetModesRequiredFor (double proportion)| -  Retrieve how many modes are necessary to model the given proportion of the variation.
// proportion should be between 0 and 1
////\end{itemize}
//!
