#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPExodusReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPExodusReader.h"

//@@Signature
//sfunction @vtkPExodusReader:vtkPExodusReader vtkPExodusReaderConstructorFunction
//input a
//output p
//@@Parents vtkPExodusReader vtkExodusReader 
ArrayVector vtkPExodusReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPExodusReader::New(),"vtkPExodusReader",eval);
  } else if (arg[0].className() == "vtkPExodusReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPExodusReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPExodusReader");
    vtkPExodusReader*q = reinterpret_cast<vtkPExodusReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPExodusReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPExodusReader:GetClassName vtkPExodusReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPExodusReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPExodusReader requires 1 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:IsA vtkPExodusReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPExodusReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPExodusReader requires 2 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:NewInstance vtkPExodusReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPExodusReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPExodusReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPExodusReader requires 1 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  vtkPExodusReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPExodusReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:SafeDownCast vtkPExodusReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPExodusReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPExodusReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPExodusReader requires 2 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPExodusReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPExodusReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:SetFilePattern vtkPExodusReaderSetFilePatternFunction
//input a0 a1 
//output none
ArrayVector vtkPExodusReaderSetFilePatternFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFilePattern (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFilePattern for class vtkPExodusReader requires 2 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFilePattern(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:GetFilePattern vtkPExodusReaderGetFilePatternFunction
//input a0 
//output y
ArrayVector vtkPExodusReaderGetFilePatternFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFilePattern (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFilePattern for class vtkPExodusReader requires 1 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFilePattern();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:SetFilePrefix vtkPExodusReaderSetFilePrefixFunction
//input a0 a1 
//output none
ArrayVector vtkPExodusReaderSetFilePrefixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFilePrefix (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFilePrefix for class vtkPExodusReader requires 2 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFilePrefix(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:GetFilePrefix vtkPExodusReaderGetFilePrefixFunction
//input a0 
//output y
ArrayVector vtkPExodusReaderGetFilePrefixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFilePrefix (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFilePrefix for class vtkPExodusReader requires 1 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFilePrefix();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:SetFileRange__1 vtkPExodusReaderSetFileRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkPExodusReaderSetFileRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileRange (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetFileRange__1 for class vtkPExodusReader requires 3 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetFileRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:SetFileRange__2 vtkPExodusReaderSetFileRange__2Function
//input a0 a1 
//output none
ArrayVector vtkPExodusReaderSetFileRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileRange (int *r);this SetFileRange r r  */
  if (arg.size() < 2) 
    throw Exception("Function SetFileRange__2 for class vtkPExodusReader requires 2 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  int     *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  vtk_pointer->SetFileRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:GetFileRange vtkPExodusReaderGetFileRangeFunction
//input a0 
//output y
ArrayVector vtkPExodusReaderGetFileRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetFileRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileRange for class vtkPExodusReader requires 1 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetFileRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:SetFileName vtkPExodusReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkPExodusReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetFileName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkPExodusReader requires 2 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:GetNumberOfFileNames vtkPExodusReaderGetNumberOfFileNamesFunction
//input a0 
//output y
ArrayVector vtkPExodusReaderGetNumberOfFileNamesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfFileNames ();return this NumberOfFileNames  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFileNames for class vtkPExodusReader requires 1 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFileNames();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:GetNumberOfFiles vtkPExodusReaderGetNumberOfFilesFunction
//input a0 
//output y
ArrayVector vtkPExodusReaderGetNumberOfFilesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfFiles (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFiles for class vtkPExodusReader requires 1 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFiles();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:SetGenerateFileIdArray vtkPExodusReaderSetGenerateFileIdArrayFunction
//input a0 a1 
//output none
ArrayVector vtkPExodusReaderSetGenerateFileIdArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateFileIdArray (int flag); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateFileIdArray for class vtkPExodusReader requires 2 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateFileIdArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:GetGenerateFileIdArray vtkPExodusReaderGetGenerateFileIdArrayFunction
//input a0 
//output y
ArrayVector vtkPExodusReaderGetGenerateFileIdArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateFileIdArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateFileIdArray for class vtkPExodusReader requires 1 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateFileIdArray();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:GenerateFileIdArrayOn vtkPExodusReaderGenerateFileIdArrayOnFunction
//input a0 
//output none
ArrayVector vtkPExodusReaderGenerateFileIdArrayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateFileIdArrayOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateFileIdArrayOn for class vtkPExodusReader requires 1 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateFileIdArrayOn();
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:GenerateFileIdArrayOff vtkPExodusReaderGenerateFileIdArrayOffFunction
//input a0 
//output none
ArrayVector vtkPExodusReaderGenerateFileIdArrayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateFileIdArrayOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateFileIdArrayOff for class vtkPExodusReader requires 1 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateFileIdArrayOff();
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:GetTotalNumberOfElements vtkPExodusReaderGetTotalNumberOfElementsFunction
//input a0 
//output y
ArrayVector vtkPExodusReaderGetTotalNumberOfElementsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetTotalNumberOfElements (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTotalNumberOfElements for class vtkPExodusReader requires 1 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTotalNumberOfElements();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:GetTotalNumberOfNodes vtkPExodusReaderGetTotalNumberOfNodesFunction
//input a0 
//output y
ArrayVector vtkPExodusReaderGetTotalNumberOfNodesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetTotalNumberOfNodes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTotalNumberOfNodes for class vtkPExodusReader requires 1 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTotalNumberOfNodes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:GetNumberOfVariableArrays vtkPExodusReaderGetNumberOfVariableArraysFunction
//input a0 
//output y
ArrayVector vtkPExodusReaderGetNumberOfVariableArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfVariableArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfVariableArrays for class vtkPExodusReader requires 1 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfVariableArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:GetVariableArrayName vtkPExodusReaderGetVariableArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkPExodusReaderGetVariableArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetVariableArrayName (int a_which); */
  if (arg.size() < 2) 
    throw Exception("Function GetVariableArrayName for class vtkPExodusReader requires 2 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetVariableArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:EnableDSPFiltering vtkPExodusReaderEnableDSPFilteringFunction
//input a0 
//output none
ArrayVector vtkPExodusReaderEnableDSPFilteringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableDSPFiltering (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableDSPFiltering for class vtkPExodusReader requires 1 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  vtk_pointer->EnableDSPFiltering();
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:AddFilter vtkPExodusReaderAddFilterFunction
//input a0 a1 
//output none
ArrayVector vtkPExodusReaderAddFilterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddFilter (vtkDSPFilterDefinition *a_filter); */
  if (arg.size() < 2) 
    throw Exception("Function AddFilter for class vtkPExodusReader requires 2 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  vtkDSPFilterDefinition  *temp0;
  temp0 = GetVTKPointer<vtkDSPFilterDefinition>(arg[1]);
  vtk_pointer->AddFilter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:StartAddingFilter vtkPExodusReaderStartAddingFilterFunction
//input a0 
//output none
ArrayVector vtkPExodusReaderStartAddingFilterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StartAddingFilter (); */
  if (arg.size() < 1) 
    throw Exception("Function StartAddingFilter for class vtkPExodusReader requires 1 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  vtk_pointer->StartAddingFilter();
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:AddFilterInputVar vtkPExodusReaderAddFilterInputVarFunction
//input a0 a1 
//output none
ArrayVector vtkPExodusReaderAddFilterInputVarFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddFilterInputVar (char *name); */
  if (arg.size() < 2) 
    throw Exception("Function AddFilterInputVar for class vtkPExodusReader requires 2 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->AddFilterInputVar(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:AddFilterOutputVar vtkPExodusReaderAddFilterOutputVarFunction
//input a0 a1 
//output none
ArrayVector vtkPExodusReaderAddFilterOutputVarFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddFilterOutputVar (char *name); */
  if (arg.size() < 2) 
    throw Exception("Function AddFilterOutputVar for class vtkPExodusReader requires 2 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->AddFilterOutputVar(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:AddFilterNumeratorWeight vtkPExodusReaderAddFilterNumeratorWeightFunction
//input a0 a1 
//output none
ArrayVector vtkPExodusReaderAddFilterNumeratorWeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddFilterNumeratorWeight (double weight); */
  if (arg.size() < 2) 
    throw Exception("Function AddFilterNumeratorWeight for class vtkPExodusReader requires 2 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->AddFilterNumeratorWeight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:AddFilterForwardNumeratorWeight vtkPExodusReaderAddFilterForwardNumeratorWeightFunction
//input a0 a1 
//output none
ArrayVector vtkPExodusReaderAddFilterForwardNumeratorWeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddFilterForwardNumeratorWeight (double weight); */
  if (arg.size() < 2) 
    throw Exception("Function AddFilterForwardNumeratorWeight for class vtkPExodusReader requires 2 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->AddFilterForwardNumeratorWeight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:AddFilterDenominatorWeight vtkPExodusReaderAddFilterDenominatorWeightFunction
//input a0 a1 
//output none
ArrayVector vtkPExodusReaderAddFilterDenominatorWeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddFilterDenominatorWeight (double weight); */
  if (arg.size() < 2) 
    throw Exception("Function AddFilterDenominatorWeight for class vtkPExodusReader requires 2 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->AddFilterDenominatorWeight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:FinishAddingFilter vtkPExodusReaderFinishAddingFilterFunction
//input a0 
//output none
ArrayVector vtkPExodusReaderFinishAddingFilterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FinishAddingFilter (); */
  if (arg.size() < 1) 
    throw Exception("Function FinishAddingFilter for class vtkPExodusReader requires 1 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  vtk_pointer->FinishAddingFilter();
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:RemoveFilter vtkPExodusReaderRemoveFilterFunction
//input a0 a1 
//output none
ArrayVector vtkPExodusReaderRemoveFilterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveFilter (char *a_outputVariableName); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveFilter for class vtkPExodusReader requires 2 argument(s)");
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->RemoveFilter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPExodusReader:SetFileRange vtkPExodusReaderSetFileRangeFunction
//input varargin
//output varargout
ArrayVector vtkPExodusReaderSetFileRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkPExodusReaderSetFileRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPExodusReaderSetFileRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPExodusReaderSetFileRange");
}

//@@Signature
//sfunction @vtkPExodusReader:display vtkPExodusReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPExodusReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPExodusReader* vtk_pointer = GetVTKPointer<vtkPExodusReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPExodusReader:delete vtkPExodusReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkPExodusReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPExodusReader
//@@Section VTKHybrid
//@@Usage
// vtkPExodusReader is a unstructured grid source object that reads
// PExodusReaderII files. Most of the meta data associated with the
// file is loaded when UpdateInformation is called. This includes
// information like Title, number of blocks, number and names of
// arrays. This data can be retrieved from methods in this
// reader. Separate arrays that are meant to be a single vector, are
// combined internally for convenience. To be combined, the array
// names have to be identical except for a trailing X,Y and Z (or
// x,y,z). By default all cell and point arrays are loaded. However,
// the user can flag arrays not to load with the methods
// "SetPointDataArrayLoadFlag" and "SetCellDataArrayLoadFlag". The
// reader responds to piece requests by loading only a range of the
// possible blocks. Unused points are filtered out internally.
//
//To create an instance of class vtkPExodusReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkPExodusReader
//@]
//@@Methods
//The class vtkPExodusReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPExodusReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPExodusReader = obj.NewInstance ()|
// \item @|vtkPExodusReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFilePattern (string )| -  These methods tell the reader that the data is ditributed across
// multiple files. This is for distributed execution. It this case,
// pieces are mapped to files. The pattern should have one %d to
// format the file number. FileNumberRange is used to generate file
// numbers. I was thinking of having an arbitrary list of file
// numbers. This may happen in the future. (That is why there is no
// GetFileNumberRange method.
//// \item @|string = obj.GetFilePattern ()| -  These methods tell the reader that the data is ditributed across
// multiple files. This is for distributed execution. It this case,
// pieces are mapped to files. The pattern should have one %d to
// format the file number. FileNumberRange is used to generate file
// numbers. I was thinking of having an arbitrary list of file
// numbers. This may happen in the future. (That is why there is no
// GetFileNumberRange method.
//// \item @|obj.SetFilePrefix (string )| -  These methods tell the reader that the data is ditributed across
// multiple files. This is for distributed execution. It this case,
// pieces are mapped to files. The pattern should have one %d to
// format the file number. FileNumberRange is used to generate file
// numbers. I was thinking of having an arbitrary list of file
// numbers. This may happen in the future. (That is why there is no
// GetFileNumberRange method.
//// \item @|string = obj.GetFilePrefix ()| -  These methods tell the reader that the data is ditributed across
// multiple files. This is for distributed execution. It this case,
// pieces are mapped to files. The pattern should have one %d to
// format the file number. FileNumberRange is used to generate file
// numbers. I was thinking of having an arbitrary list of file
// numbers. This may happen in the future. (That is why there is no
// GetFileNumberRange method.
//// \item @|obj.SetFileRange (int , int )| -  Set the range of files that are being loaded. The range for single
// file should add to 0.
//// \item @|obj.SetFileRange (int r)| -  Set the range of files that are being loaded. The range for single
// file should add to 0.
//// \item @|int = obj. GetFileRange ()| -  Set the range of files that are being loaded. The range for single
// file should add to 0.
//// \item @|obj.SetFileName (string name)|
// \item @|int = obj.GetNumberOfFileNames ()| -    Return the number of files to be read.
//// \item @|int = obj.GetNumberOfFiles ()| -    Return the number of files to be read.
//// \item @|obj.SetGenerateFileIdArray (int flag)|
// \item @|int = obj.GetGenerateFileIdArray ()|
// \item @|obj.GenerateFileIdArrayOn ()|
// \item @|obj.GenerateFileIdArrayOff ()|
// \item @|int = obj.GetTotalNumberOfElements ()|
// \item @|int = obj.GetTotalNumberOfNodes ()|
// \item @|int = obj.GetNumberOfVariableArrays ()|
// \item @|string = obj.GetVariableArrayName (int a_which)|
// \item @|obj.EnableDSPFiltering ()|
// \item @|obj.AddFilter (vtkDSPFilterDefinition a_filter)|
// \item @|obj.StartAddingFilter ()|
// \item @|obj.AddFilterInputVar (string name)|
// \item @|obj.AddFilterOutputVar (string name)|
// \item @|obj.AddFilterNumeratorWeight (double weight)|
// \item @|obj.AddFilterForwardNumeratorWeight (double weight)|
// \item @|obj.AddFilterDenominatorWeight (double weight)|
// \item @|obj.FinishAddingFilter ()|
// \item @|obj.RemoveFilter (string a_outputVariableName)|
//\end{itemize}
//!
