#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPieChartActor object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPieChartActor.h"

//@@Signature
//sfunction @vtkPieChartActor:vtkPieChartActor vtkPieChartActorConstructorFunction
//input a
//output p
//@@Parents vtkPieChartActor vtkActor2D 
ArrayVector vtkPieChartActorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPieChartActor::New(),"vtkPieChartActor",eval);
  } else if (arg[0].className() == "vtkPieChartActor") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPieChartActor"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPieChartActor");
    vtkPieChartActor*q = reinterpret_cast<vtkPieChartActor*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPieChartActor");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPieChartActor:GetClassName vtkPieChartActorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPieChartActorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPieChartActor requires 1 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:IsA vtkPieChartActorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPieChartActorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPieChartActor requires 2 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:NewInstance vtkPieChartActorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPieChartActorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPieChartActor *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPieChartActor requires 1 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  vtkPieChartActor  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPieChartActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:SafeDownCast vtkPieChartActorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPieChartActorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPieChartActor *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPieChartActor requires 2 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPieChartActor  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPieChartActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:SetInput vtkPieChartActorSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkPieChartActorSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkPieChartActor requires 2 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:GetInput vtkPieChartActorGetInputFunction
//input a0 
//output y
ArrayVector vtkPieChartActorGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkPieChartActor requires 1 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:SetTitleVisibility vtkPieChartActorSetTitleVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkPieChartActorSetTitleVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTitleVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTitleVisibility for class vtkPieChartActor requires 2 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTitleVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:GetTitleVisibility vtkPieChartActorGetTitleVisibilityFunction
//input a0 
//output y
ArrayVector vtkPieChartActorGetTitleVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTitleVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTitleVisibility for class vtkPieChartActor requires 1 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTitleVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:TitleVisibilityOn vtkPieChartActorTitleVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkPieChartActorTitleVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TitleVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TitleVisibilityOn for class vtkPieChartActor requires 1 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  vtk_pointer->TitleVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:TitleVisibilityOff vtkPieChartActorTitleVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkPieChartActorTitleVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TitleVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TitleVisibilityOff for class vtkPieChartActor requires 1 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  vtk_pointer->TitleVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:SetTitle vtkPieChartActorSetTitleFunction
//input a0 a1 
//output none
ArrayVector vtkPieChartActorSetTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTitle (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTitle for class vtkPieChartActor requires 2 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetTitle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:GetTitle vtkPieChartActorGetTitleFunction
//input a0 
//output y
ArrayVector vtkPieChartActorGetTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetTitle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTitle for class vtkPieChartActor requires 1 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetTitle();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:SetTitleTextProperty vtkPieChartActorSetTitleTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkPieChartActorSetTitleTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTitleTextProperty (vtkTextProperty *p); */
  if (arg.size() < 2) 
    throw Exception("Function SetTitleTextProperty for class vtkPieChartActor requires 2 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetTitleTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:GetTitleTextProperty vtkPieChartActorGetTitleTextPropertyFunction
//input a0 
//output y
ArrayVector vtkPieChartActorGetTitleTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetTitleTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTitleTextProperty for class vtkPieChartActor requires 1 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetTitleTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:SetLabelVisibility vtkPieChartActorSetLabelVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkPieChartActorSetLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelVisibility for class vtkPieChartActor requires 2 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLabelVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:GetLabelVisibility vtkPieChartActorGetLabelVisibilityFunction
//input a0 
//output y
ArrayVector vtkPieChartActorGetLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLabelVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelVisibility for class vtkPieChartActor requires 1 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLabelVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:LabelVisibilityOn vtkPieChartActorLabelVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkPieChartActorLabelVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LabelVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function LabelVisibilityOn for class vtkPieChartActor requires 1 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  vtk_pointer->LabelVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:LabelVisibilityOff vtkPieChartActorLabelVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkPieChartActorLabelVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LabelVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function LabelVisibilityOff for class vtkPieChartActor requires 1 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  vtk_pointer->LabelVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:SetLabelTextProperty vtkPieChartActorSetLabelTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkPieChartActorSetLabelTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLabelTextProperty (vtkTextProperty *p); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelTextProperty for class vtkPieChartActor requires 2 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetLabelTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:GetLabelTextProperty vtkPieChartActorGetLabelTextPropertyFunction
//input a0 
//output y
ArrayVector vtkPieChartActorGetLabelTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetLabelTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelTextProperty for class vtkPieChartActor requires 1 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetLabelTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:SetPieceColor__1 vtkPieChartActorSetPieceColor__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkPieChartActorSetPieceColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPieceColor (int i, double r, double g, double b); */
  if (arg.size() < 5) 
    throw Exception("Function SetPieceColor__1 for class vtkPieChartActor requires 5 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetPieceColor(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:SetPieceColor__2 vtkPieChartActorSetPieceColor__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkPieChartActorSetPieceColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPieceColor (int i, const double color[3]);this SetPieceColor i color color color  */
  if (arg.size() < 3) 
    throw Exception("Function SetPieceColor__2 for class vtkPieChartActor requires 3 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->SetPieceColor(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:SetPieceLabel vtkPieChartActorSetPieceLabelFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPieChartActorSetPieceLabelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPieceLabel (const int i, const char *); */
  if (arg.size() < 3) 
    throw Exception("Function SetPieceLabel for class vtkPieChartActor requires 3 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->SetPieceLabel(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:GetPieceLabel vtkPieChartActorGetPieceLabelFunction
//input a0 a1 
//output y
ArrayVector vtkPieChartActorGetPieceLabelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetPieceLabel (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetPieceLabel for class vtkPieChartActor requires 2 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPieceLabel(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:SetLegendVisibility vtkPieChartActorSetLegendVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkPieChartActorSetLegendVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLegendVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLegendVisibility for class vtkPieChartActor requires 2 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLegendVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:GetLegendVisibility vtkPieChartActorGetLegendVisibilityFunction
//input a0 
//output y
ArrayVector vtkPieChartActorGetLegendVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLegendVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLegendVisibility for class vtkPieChartActor requires 1 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLegendVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:LegendVisibilityOn vtkPieChartActorLegendVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkPieChartActorLegendVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LegendVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function LegendVisibilityOn for class vtkPieChartActor requires 1 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  vtk_pointer->LegendVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:LegendVisibilityOff vtkPieChartActorLegendVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkPieChartActorLegendVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LegendVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function LegendVisibilityOff for class vtkPieChartActor requires 1 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  vtk_pointer->LegendVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:GetLegendActor vtkPieChartActorGetLegendActorFunction
//input a0 
//output y
ArrayVector vtkPieChartActorGetLegendActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLegendBoxActor *GetLegendActor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLegendActor for class vtkPieChartActor requires 1 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  vtkLegendBoxActor  *temp20;
  temp20 = (vtk_pointer)->GetLegendActor();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLegendBoxActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:RenderOverlay vtkPieChartActorRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkPieChartActorRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RenderOverlay (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkPieChartActor requires 2 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:RenderOpaqueGeometry vtkPieChartActorRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkPieChartActorRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RenderOpaqueGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkPieChartActor requires 2 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:RenderTranslucentPolygonalGeometry vtkPieChartActorRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkPieChartActorRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *);return  */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkPieChartActor requires 2 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:HasTranslucentPolygonalGeometry vtkPieChartActorHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkPieChartActorHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkPieChartActor requires 1 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:ReleaseGraphicsResources vtkPieChartActorReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkPieChartActorReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkPieChartActor requires 2 argument(s)");
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPieChartActor:SetPieceColor vtkPieChartActorSetPieceColorFunction
//input varargin
//output varargout
ArrayVector vtkPieChartActorSetPieceColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkPieChartActorSetPieceColor__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkPieChartActorSetPieceColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPieChartActorSetPieceColor");
}

//@@Signature
//sfunction @vtkPieChartActor:display vtkPieChartActorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPieChartActorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPieChartActor* vtk_pointer = GetVTKPointer<vtkPieChartActor>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPieChartActor:delete vtkPieChartActorDeleteFunction
//input varargin
//output none
ArrayVector vtkPieChartActorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPieChartActor
//@@Section VTKHybrid
//@@Usage
// vtkPieChartActor generates a pie chart from an array of numbers defined in
// field data (a vtkDataObject). To use this class, you must specify an input
// data object. You'll probably also want to specify the position of the plot
// be setting the Position and Position2 instance variables, which define a
// rectangle in which the plot lies.  There are also many other instance
// variables that control the look of the plot includes its title,
// and legend.
//
// Set the text property/attributes of the title and the labels through the 
// vtkTextProperty objects associated with these components.
//
//To create an instance of class vtkPieChartActor, simply
//invoke its constructor as follows
//@[
//  obj = vtkPieChartActor
//@]
//@@Methods
//The class vtkPieChartActor has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPieChartActor class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for type information and printing.
//// \item @|int = obj.IsA (string name)| -  Standard methods for type information and printing.
//// \item @|vtkPieChartActor = obj.NewInstance ()| -  Standard methods for type information and printing.
//// \item @|vtkPieChartActor = obj.SafeDownCast (vtkObject o)| -  Standard methods for type information and printing.
//// \item @|obj.SetInput (vtkDataObject )| -  Set the input to the pie chart actor.
//// \item @|vtkDataObject = obj.GetInput ()| -  Get the input data object to this actor.
//// \item @|obj.SetTitleVisibility (int )| -  Enable/Disable the display of a plot title.
//// \item @|int = obj.GetTitleVisibility ()| -  Enable/Disable the display of a plot title.
//// \item @|obj.TitleVisibilityOn ()| -  Enable/Disable the display of a plot title.
//// \item @|obj.TitleVisibilityOff ()| -  Enable/Disable the display of a plot title.
//// \item @|obj.SetTitle (string )| -  Set/Get the title of the pie chart.
//// \item @|string = obj.GetTitle ()| -  Set/Get the title of the pie chart.
//// \item @|obj.SetTitleTextProperty (vtkTextProperty p)| -  Set/Get the title text property. The property controls the
// appearance of the plot title.
//// \item @|vtkTextProperty = obj.GetTitleTextProperty ()| -  Set/Get the title text property. The property controls the
// appearance of the plot title.
//// \item @|obj.SetLabelVisibility (int )| -  Enable/Disable the display of pie piece labels.
//// \item @|int = obj.GetLabelVisibility ()| -  Enable/Disable the display of pie piece labels.
//// \item @|obj.LabelVisibilityOn ()| -  Enable/Disable the display of pie piece labels.
//// \item @|obj.LabelVisibilityOff ()| -  Enable/Disable the display of pie piece labels.
//// \item @|obj.SetLabelTextProperty (vtkTextProperty p)| -  Set/Get the labels text property. This controls the appearance
// of all pie piece labels.
//// \item @|vtkTextProperty = obj.GetLabelTextProperty ()| -  Set/Get the labels text property. This controls the appearance
// of all pie piece labels.
//// \item @|obj.SetPieceColor (int i, double r, double g, double b)| -  Specify colors for each piece of pie. If not specified, they are 
// automatically generated.
//// \item @|obj.SetPieceColor (int i, double color[3])| -  Specify colors for each piece of pie. If not specified, they are 
// automatically generated.
//// \item @|obj.SetPieceLabel (int i, string )| -  Specify the names for each piece of pie.  not specified, then an integer
// number is automatically generated.
//// \item @|string = obj.GetPieceLabel (int i)| -  Specify the names for each piece of pie.  not specified, then an integer
// number is automatically generated.
//// \item @|obj.SetLegendVisibility (int )| -  Enable/Disable the creation of a legend. If on, the legend labels will
// be created automatically unless the per plot legend symbol has been
// set.
//// \item @|int = obj.GetLegendVisibility ()| -  Enable/Disable the creation of a legend. If on, the legend labels will
// be created automatically unless the per plot legend symbol has been
// set.
//// \item @|obj.LegendVisibilityOn ()| -  Enable/Disable the creation of a legend. If on, the legend labels will
// be created automatically unless the per plot legend symbol has been
// set.
//// \item @|obj.LegendVisibilityOff ()| -  Enable/Disable the creation of a legend. If on, the legend labels will
// be created automatically unless the per plot legend symbol has been
// set.
//// \item @|vtkLegendBoxActor = obj.GetLegendActor ()| -  Retrieve handles to the legend box. This is useful if you would like 
// to manually control the legend appearance.
//// \item @|int = obj.RenderOverlay (vtkViewport )| -  Draw the pie plot.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport )| -  Draw the pie plot.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport )| -  Does this prop have some translucent polygonal geometry?
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  Does this prop have some translucent polygonal geometry?
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this actor.
// The parameter window could be used to determine which graphic
// resources to release.
////\end{itemize}
//!
