#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPolyDataSilhouette object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPolyDataSilhouette.h"

//@@Signature
//sfunction @vtkPolyDataSilhouette:vtkPolyDataSilhouette vtkPolyDataSilhouetteConstructorFunction
//input a
//output p
//@@Parents vtkPolyDataSilhouette vtkPolyDataAlgorithm 
ArrayVector vtkPolyDataSilhouetteConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPolyDataSilhouette::New(),"vtkPolyDataSilhouette",eval);
  } else if (arg[0].className() == "vtkPolyDataSilhouette") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPolyDataSilhouette"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPolyDataSilhouette");
    vtkPolyDataSilhouette*q = reinterpret_cast<vtkPolyDataSilhouette*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPolyDataSilhouette");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPolyDataSilhouette:GetClassName vtkPolyDataSilhouetteGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPolyDataSilhouetteGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPolyDataSilhouette requires 1 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:IsA vtkPolyDataSilhouetteIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataSilhouetteIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPolyDataSilhouette requires 2 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:NewInstance vtkPolyDataSilhouetteNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPolyDataSilhouetteNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataSilhouette *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPolyDataSilhouette requires 1 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  vtkPolyDataSilhouette  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataSilhouette",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:SafeDownCast vtkPolyDataSilhouetteSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataSilhouetteSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataSilhouette *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPolyDataSilhouette requires 2 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPolyDataSilhouette  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataSilhouette",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:SetEnableFeatureAngle vtkPolyDataSilhouetteSetEnableFeatureAngleFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataSilhouetteSetEnableFeatureAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEnableFeatureAngle (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEnableFeatureAngle for class vtkPolyDataSilhouette requires 2 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEnableFeatureAngle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:GetEnableFeatureAngle vtkPolyDataSilhouetteGetEnableFeatureAngleFunction
//input a0 
//output y
ArrayVector vtkPolyDataSilhouetteGetEnableFeatureAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEnableFeatureAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEnableFeatureAngle for class vtkPolyDataSilhouette requires 1 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetEnableFeatureAngle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:SetFeatureAngle vtkPolyDataSilhouetteSetFeatureAngleFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataSilhouetteSetFeatureAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFeatureAngle (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFeatureAngle for class vtkPolyDataSilhouette requires 2 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetFeatureAngle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:GetFeatureAngle vtkPolyDataSilhouetteGetFeatureAngleFunction
//input a0 
//output y
ArrayVector vtkPolyDataSilhouetteGetFeatureAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFeatureAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFeatureAngle for class vtkPolyDataSilhouette requires 1 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFeatureAngle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:SetBorderEdges vtkPolyDataSilhouetteSetBorderEdgesFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataSilhouetteSetBorderEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBorderEdges (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBorderEdges for class vtkPolyDataSilhouette requires 2 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBorderEdges(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:GetBorderEdges vtkPolyDataSilhouetteGetBorderEdgesFunction
//input a0 
//output y
ArrayVector vtkPolyDataSilhouetteGetBorderEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBorderEdges (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBorderEdges for class vtkPolyDataSilhouette requires 1 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBorderEdges();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:BorderEdgesOn vtkPolyDataSilhouetteBorderEdgesOnFunction
//input a0 
//output none
ArrayVector vtkPolyDataSilhouetteBorderEdgesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BorderEdgesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function BorderEdgesOn for class vtkPolyDataSilhouette requires 1 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  vtk_pointer->BorderEdgesOn();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:BorderEdgesOff vtkPolyDataSilhouetteBorderEdgesOffFunction
//input a0 
//output none
ArrayVector vtkPolyDataSilhouetteBorderEdgesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BorderEdgesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function BorderEdgesOff for class vtkPolyDataSilhouette requires 1 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  vtk_pointer->BorderEdgesOff();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:SetPieceInvariant vtkPolyDataSilhouetteSetPieceInvariantFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataSilhouetteSetPieceInvariantFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPieceInvariant (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPieceInvariant for class vtkPolyDataSilhouette requires 2 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPieceInvariant(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:GetPieceInvariant vtkPolyDataSilhouetteGetPieceInvariantFunction
//input a0 
//output y
ArrayVector vtkPolyDataSilhouetteGetPieceInvariantFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPieceInvariant (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPieceInvariant for class vtkPolyDataSilhouette requires 1 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPieceInvariant();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:PieceInvariantOn vtkPolyDataSilhouettePieceInvariantOnFunction
//input a0 
//output none
ArrayVector vtkPolyDataSilhouettePieceInvariantOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PieceInvariantOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PieceInvariantOn for class vtkPolyDataSilhouette requires 1 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  vtk_pointer->PieceInvariantOn();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:PieceInvariantOff vtkPolyDataSilhouettePieceInvariantOffFunction
//input a0 
//output none
ArrayVector vtkPolyDataSilhouettePieceInvariantOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PieceInvariantOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PieceInvariantOff for class vtkPolyDataSilhouette requires 1 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  vtk_pointer->PieceInvariantOff();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:SetDirection vtkPolyDataSilhouetteSetDirectionFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataSilhouetteSetDirectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDirection (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDirection for class vtkPolyDataSilhouette requires 2 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDirection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:GetDirection vtkPolyDataSilhouetteGetDirectionFunction
//input a0 
//output y
ArrayVector vtkPolyDataSilhouetteGetDirectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDirection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDirection for class vtkPolyDataSilhouette requires 1 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDirection();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:SetDirectionToSpecifiedVector vtkPolyDataSilhouetteSetDirectionToSpecifiedVectorFunction
//input a0 
//output none
ArrayVector vtkPolyDataSilhouetteSetDirectionToSpecifiedVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDirectionToSpecifiedVector ();this SetDirection VTK_DIRECTION_SPECIFIED_VECTOR  */
  if (arg.size() < 1) 
    throw Exception("Function SetDirectionToSpecifiedVector for class vtkPolyDataSilhouette requires 1 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  vtk_pointer->SetDirectionToSpecifiedVector();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:SetDirectionToSpecifiedOrigin vtkPolyDataSilhouetteSetDirectionToSpecifiedOriginFunction
//input a0 
//output none
ArrayVector vtkPolyDataSilhouetteSetDirectionToSpecifiedOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDirectionToSpecifiedOrigin ();this SetDirection VTK_DIRECTION_SPECIFIED_ORIGIN  */
  if (arg.size() < 1) 
    throw Exception("Function SetDirectionToSpecifiedOrigin for class vtkPolyDataSilhouette requires 1 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  vtk_pointer->SetDirectionToSpecifiedOrigin();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:SetDirectionToCameraVector vtkPolyDataSilhouetteSetDirectionToCameraVectorFunction
//input a0 
//output none
ArrayVector vtkPolyDataSilhouetteSetDirectionToCameraVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDirectionToCameraVector ();this SetDirection VTK_DIRECTION_CAMERA_VECTOR  */
  if (arg.size() < 1) 
    throw Exception("Function SetDirectionToCameraVector for class vtkPolyDataSilhouette requires 1 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  vtk_pointer->SetDirectionToCameraVector();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:SetDirectionToCameraOrigin vtkPolyDataSilhouetteSetDirectionToCameraOriginFunction
//input a0 
//output none
ArrayVector vtkPolyDataSilhouetteSetDirectionToCameraOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDirectionToCameraOrigin ();this SetDirection VTK_DIRECTION_CAMERA_ORIGIN  */
  if (arg.size() < 1) 
    throw Exception("Function SetDirectionToCameraOrigin for class vtkPolyDataSilhouette requires 1 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  vtk_pointer->SetDirectionToCameraOrigin();
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:SetCamera vtkPolyDataSilhouetteSetCameraFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataSilhouetteSetCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCamera (vtkCamera *); */
  if (arg.size() < 2) 
    throw Exception("Function SetCamera for class vtkPolyDataSilhouette requires 2 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  vtkCamera  *temp0;
  temp0 = GetVTKPointer<vtkCamera>(arg[1]);
  vtk_pointer->SetCamera(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:GetCamera vtkPolyDataSilhouetteGetCameraFunction
//input a0 
//output y
ArrayVector vtkPolyDataSilhouetteGetCameraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCamera *GetCamera (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCamera for class vtkPolyDataSilhouette requires 1 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  vtkCamera  *temp20;
  temp20 = (vtk_pointer)->GetCamera();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCamera",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:SetProp3D vtkPolyDataSilhouetteSetProp3DFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataSilhouetteSetProp3DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProp3D (vtkProp3D *); */
  if (arg.size() < 2) 
    throw Exception("Function SetProp3D for class vtkPolyDataSilhouette requires 2 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  vtkProp3D  *temp0;
  temp0 = GetVTKPointer<vtkProp3D>(arg[1]);
  vtk_pointer->SetProp3D(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:GetProp3D vtkPolyDataSilhouetteGetProp3DFunction
//input a0 
//output y
ArrayVector vtkPolyDataSilhouetteGetProp3DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProp3D *GetProp3D (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProp3D for class vtkPolyDataSilhouette requires 1 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  vtkProp3D  *temp20;
  temp20 = (vtk_pointer)->GetProp3D();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProp3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:SetVector__1 vtkPolyDataSilhouetteSetVector__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPolyDataSilhouetteSetVector__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVector (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetVector__1 for class vtkPolyDataSilhouette requires 4 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetVector(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:SetVector__2 vtkPolyDataSilhouetteSetVector__2Function
//input a0 a1 
//output none
ArrayVector vtkPolyDataSilhouetteSetVector__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVector (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetVector__2 for class vtkPolyDataSilhouette requires 2 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetVector(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:GetVector vtkPolyDataSilhouetteGetVectorFunction
//input a0 
//output y
ArrayVector vtkPolyDataSilhouetteGetVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetVector (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVector for class vtkPolyDataSilhouette requires 1 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetVector();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:SetOrigin__1 vtkPolyDataSilhouetteSetOrigin__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPolyDataSilhouetteSetOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetOrigin__1 for class vtkPolyDataSilhouette requires 4 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:SetOrigin__2 vtkPolyDataSilhouetteSetOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkPolyDataSilhouetteSetOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrigin__2 for class vtkPolyDataSilhouette requires 2 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:GetOrigin vtkPolyDataSilhouetteGetOriginFunction
//input a0 
//output y
ArrayVector vtkPolyDataSilhouetteGetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrigin for class vtkPolyDataSilhouette requires 1 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:GetMTime vtkPolyDataSilhouetteGetMTimeFunction
//input a0 
//output y
ArrayVector vtkPolyDataSilhouetteGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkPolyDataSilhouette requires 1 argument(s)");
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:SetVector vtkPolyDataSilhouetteSetVectorFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataSilhouetteSetVectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPolyDataSilhouetteSetVector__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPolyDataSilhouetteSetVector__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolyDataSilhouetteSetVector");
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:SetOrigin vtkPolyDataSilhouetteSetOriginFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataSilhouetteSetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPolyDataSilhouetteSetOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPolyDataSilhouetteSetOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolyDataSilhouetteSetOrigin");
}

//@@Signature
//sfunction @vtkPolyDataSilhouette:display vtkPolyDataSilhouetteDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataSilhouetteDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPolyDataSilhouette* vtk_pointer = GetVTKPointer<vtkPolyDataSilhouette>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPolyDataSilhouette:delete vtkPolyDataSilhouetteDeleteFunction
//input varargin
//output none
ArrayVector vtkPolyDataSilhouetteDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPolyDataSilhouette
//@@Section VTKHybrid
//@@Usage
// vtkPolyDataSilhouette extracts a subset of a polygonal mesh edges to
// generate an outline (silhouette) of the corresponding 3D object. In
// addition, this filter can also extracts sharp edges (aka feature angles).
// In order to use this filter you must specify the a point of view (origin) or
// a direction (vector).  given this direction or origin, a silhouette is
// generated wherever the surface's normal is orthogonal to the view direction.
//
//
//To create an instance of class vtkPolyDataSilhouette, simply
//invoke its constructor as follows
//@[
//  obj = vtkPolyDataSilhouette
//@]
//@@Methods
//The class vtkPolyDataSilhouette has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPolyDataSilhouette class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPolyDataSilhouette = obj.NewInstance ()|
// \item @|vtkPolyDataSilhouette = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetEnableFeatureAngle (int )| -  Enables or Disables generation of silhouette edges along sharp edges
//// \item @|int = obj.GetEnableFeatureAngle ()| -  Enables or Disables generation of silhouette edges along sharp edges
//// \item @|obj.SetFeatureAngle (double )| -  Sets/Gets minimal angle for sharp edges detection. Default is 60
//// \item @|double = obj.GetFeatureAngle ()| -  Sets/Gets minimal angle for sharp edges detection. Default is 60
//// \item @|obj.SetBorderEdges (int )| -  Enables or Disables generation of border edges. Note: borders exist only
// in case of non closed surface
//// \item @|int = obj.GetBorderEdges ()| -  Enables or Disables generation of border edges. Note: borders exist only
// in case of non closed surface
//// \item @|obj.BorderEdgesOn ()| -  Enables or Disables generation of border edges. Note: borders exist only
// in case of non closed surface
//// \item @|obj.BorderEdgesOff ()| -  Enables or Disables generation of border edges. Note: borders exist only
// in case of non closed surface
//// \item @|obj.SetPieceInvariant (int )| -  Enables or Disables piece invariance. This is usefull when dealing with
// multi-block data sets. Note: requires one level of ghost cells
//// \item @|int = obj.GetPieceInvariant ()| -  Enables or Disables piece invariance. This is usefull when dealing with
// multi-block data sets. Note: requires one level of ghost cells
//// \item @|obj.PieceInvariantOn ()| -  Enables or Disables piece invariance. This is usefull when dealing with
// multi-block data sets. Note: requires one level of ghost cells
//// \item @|obj.PieceInvariantOff ()| -  Enables or Disables piece invariance. This is usefull when dealing with
// multi-block data sets. Note: requires one level of ghost cells
//// \item @|obj.SetDirection (int )| -  Specify how view direction is computed. By default, the
// camera origin (eye) is used.
//// \item @|int = obj.GetDirection ()| -  Specify how view direction is computed. By default, the
// camera origin (eye) is used.
//// \item @|obj.SetDirectionToSpecifiedVector ()| -  Specify how view direction is computed. By default, the
// camera origin (eye) is used.
//// \item @|obj.SetDirectionToSpecifiedOrigin ()| -  Specify how view direction is computed. By default, the
// camera origin (eye) is used.
//// \item @|obj.SetDirectionToCameraVector ()| -  Specify how view direction is computed. By default, the
// camera origin (eye) is used.
//// \item @|obj.SetDirectionToCameraOrigin ()| -  Specify a camera that is used to define the view direction.  This ivar
// only has effect if the direction is set to VTK_DIRECTION_CAMERA_ORIGIN or
// VTK_DIRECTION_CAMERA_VECTOR, and a camera is specified.
//// \item @|obj.SetCamera (vtkCamera )| -  Specify a camera that is used to define the view direction.  This ivar
// only has effect if the direction is set to VTK_DIRECTION_CAMERA_ORIGIN or
// VTK_DIRECTION_CAMERA_VECTOR, and a camera is specified.
//// \item @|vtkCamera = obj.GetCamera ()| -  Specify a camera that is used to define the view direction.  This ivar
// only has effect if the direction is set to VTK_DIRECTION_CAMERA_ORIGIN or
// VTK_DIRECTION_CAMERA_VECTOR, and a camera is specified.
//// \item @|obj.SetProp3D (vtkProp3D )| -  Specify a transformation matrix (via the vtkProp3D::GetMatrix() method)
// that is used to include the effects of transformation. This ivar only has
// effect if the direction is set to VTK_DIRECTION_CAMERA_ORIGIN or
// VTK_DIRECTION_CAMERA_VECTOR, and a camera is specified. Specifying the
// vtkProp3D is optional.
//// \item @|vtkProp3D = obj.GetProp3D ()| -  Specify a transformation matrix (via the vtkProp3D::GetMatrix() method)
// that is used to include the effects of transformation. This ivar only has
// effect if the direction is set to VTK_DIRECTION_CAMERA_ORIGIN or
// VTK_DIRECTION_CAMERA_VECTOR, and a camera is specified. Specifying the
// vtkProp3D is optional.
//// \item @|obj.SetVector (double , double , double )| -  Set/Get the sort direction. This ivar only has effect if the sort
// direction is set to SetDirectionToSpecifiedVector(). The edge detection
// occurs in the direction of the vector.
//// \item @|obj.SetVector (double  a[3])| -  Set/Get the sort direction. This ivar only has effect if the sort
// direction is set to SetDirectionToSpecifiedVector(). The edge detection
// occurs in the direction of the vector.
//// \item @|double = obj. GetVector ()| -  Set/Get the sort direction. This ivar only has effect if the sort
// direction is set to SetDirectionToSpecifiedVector(). The edge detection
// occurs in the direction of the vector.
//// \item @|obj.SetOrigin (double , double , double )| -  Set/Get the sort origin. This ivar only has effect if the sort direction
// is set to SetDirectionToSpecifiedOrigin(). The edge detection occurs in
// the direction of the origin to each edge's center.
//// \item @|obj.SetOrigin (double  a[3])| -  Set/Get the sort origin. This ivar only has effect if the sort direction
// is set to SetDirectionToSpecifiedOrigin(). The edge detection occurs in
// the direction of the origin to each edge's center.
//// \item @|double = obj. GetOrigin ()| -  Set/Get the sort origin. This ivar only has effect if the sort direction
// is set to SetDirectionToSpecifiedOrigin(). The edge detection occurs in
// the direction of the origin to each edge's center.
//// \item @|long = obj.GetMTime ()| -  Return MTime also considering the dependent objects: the camera
// and/or the prop3D.
////\end{itemize}
//!
