#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPolyDataToImageStencil object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPolyDataToImageStencil.h"

//@@Signature
//sfunction @vtkPolyDataToImageStencil:vtkPolyDataToImageStencil vtkPolyDataToImageStencilConstructorFunction
//input a
//output p
//@@Parents vtkPolyDataToImageStencil vtkImageStencilSource 
ArrayVector vtkPolyDataToImageStencilConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPolyDataToImageStencil::New(),"vtkPolyDataToImageStencil",eval);
  } else if (arg[0].className() == "vtkPolyDataToImageStencil") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPolyDataToImageStencil"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPolyDataToImageStencil");
    vtkPolyDataToImageStencil*q = reinterpret_cast<vtkPolyDataToImageStencil*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPolyDataToImageStencil");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPolyDataToImageStencil:GetClassName vtkPolyDataToImageStencilGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPolyDataToImageStencilGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPolyDataToImageStencil requires 1 argument(s)");
  vtkPolyDataToImageStencil* vtk_pointer = GetVTKPointer<vtkPolyDataToImageStencil>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataToImageStencil:IsA vtkPolyDataToImageStencilIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataToImageStencilIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPolyDataToImageStencil requires 2 argument(s)");
  vtkPolyDataToImageStencil* vtk_pointer = GetVTKPointer<vtkPolyDataToImageStencil>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataToImageStencil:NewInstance vtkPolyDataToImageStencilNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPolyDataToImageStencilNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataToImageStencil *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPolyDataToImageStencil requires 1 argument(s)");
  vtkPolyDataToImageStencil* vtk_pointer = GetVTKPointer<vtkPolyDataToImageStencil>(arg[0]);
  Array retval;
  vtkPolyDataToImageStencil  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataToImageStencil",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataToImageStencil:SafeDownCast vtkPolyDataToImageStencilSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataToImageStencilSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataToImageStencil *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPolyDataToImageStencil requires 2 argument(s)");
  vtkPolyDataToImageStencil* vtk_pointer = GetVTKPointer<vtkPolyDataToImageStencil>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPolyDataToImageStencil  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataToImageStencil",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataToImageStencil:SetInput vtkPolyDataToImageStencilSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataToImageStencilSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkPolyData *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkPolyDataToImageStencil requires 2 argument(s)");
  vtkPolyDataToImageStencil* vtk_pointer = GetVTKPointer<vtkPolyDataToImageStencil>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataToImageStencil:GetInput vtkPolyDataToImageStencilGetInputFunction
//input a0 
//output y
ArrayVector vtkPolyDataToImageStencilGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkPolyDataToImageStencil requires 1 argument(s)");
  vtkPolyDataToImageStencil* vtk_pointer = GetVTKPointer<vtkPolyDataToImageStencil>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataToImageStencil:SetInformationInput vtkPolyDataToImageStencilSetInformationInputFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataToImageStencilSetInformationInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInformationInput (vtkImageData *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInformationInput for class vtkPolyDataToImageStencil requires 2 argument(s)");
  vtkPolyDataToImageStencil* vtk_pointer = GetVTKPointer<vtkPolyDataToImageStencil>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetInformationInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataToImageStencil:GetInformationInput vtkPolyDataToImageStencilGetInformationInputFunction
//input a0 
//output y
ArrayVector vtkPolyDataToImageStencilGetInformationInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetInformationInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInformationInput for class vtkPolyDataToImageStencil requires 1 argument(s)");
  vtkPolyDataToImageStencil* vtk_pointer = GetVTKPointer<vtkPolyDataToImageStencil>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetInformationInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataToImageStencil:SetOutputOrigin__1 vtkPolyDataToImageStencilSetOutputOrigin__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPolyDataToImageStencilSetOutputOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputOrigin (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetOutputOrigin__1 for class vtkPolyDataToImageStencil requires 4 argument(s)");
  vtkPolyDataToImageStencil* vtk_pointer = GetVTKPointer<vtkPolyDataToImageStencil>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOutputOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataToImageStencil:SetOutputOrigin__2 vtkPolyDataToImageStencilSetOutputOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkPolyDataToImageStencilSetOutputOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputOrigin (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputOrigin__2 for class vtkPolyDataToImageStencil requires 2 argument(s)");
  vtkPolyDataToImageStencil* vtk_pointer = GetVTKPointer<vtkPolyDataToImageStencil>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOutputOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataToImageStencil:GetOutputOrigin vtkPolyDataToImageStencilGetOutputOriginFunction
//input a0 
//output y
ArrayVector vtkPolyDataToImageStencilGetOutputOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetOutputOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputOrigin for class vtkPolyDataToImageStencil requires 1 argument(s)");
  vtkPolyDataToImageStencil* vtk_pointer = GetVTKPointer<vtkPolyDataToImageStencil>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOutputOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataToImageStencil:SetOutputSpacing__1 vtkPolyDataToImageStencilSetOutputSpacing__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPolyDataToImageStencilSetOutputSpacing__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputSpacing (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetOutputSpacing__1 for class vtkPolyDataToImageStencil requires 4 argument(s)");
  vtkPolyDataToImageStencil* vtk_pointer = GetVTKPointer<vtkPolyDataToImageStencil>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOutputSpacing(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataToImageStencil:SetOutputSpacing__2 vtkPolyDataToImageStencilSetOutputSpacing__2Function
//input a0 a1 
//output none
ArrayVector vtkPolyDataToImageStencilSetOutputSpacing__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputSpacing (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputSpacing__2 for class vtkPolyDataToImageStencil requires 2 argument(s)");
  vtkPolyDataToImageStencil* vtk_pointer = GetVTKPointer<vtkPolyDataToImageStencil>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOutputSpacing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataToImageStencil:GetOutputSpacing vtkPolyDataToImageStencilGetOutputSpacingFunction
//input a0 
//output y
ArrayVector vtkPolyDataToImageStencilGetOutputSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetOutputSpacing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputSpacing for class vtkPolyDataToImageStencil requires 1 argument(s)");
  vtkPolyDataToImageStencil* vtk_pointer = GetVTKPointer<vtkPolyDataToImageStencil>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOutputSpacing();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataToImageStencil:SetOutputWholeExtent__1 vtkPolyDataToImageStencilSetOutputWholeExtent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkPolyDataToImageStencilSetOutputWholeExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputWholeExtent (int , int , int , int , int , int ); */
  if (arg.size() < 7) 
    throw Exception("Function SetOutputWholeExtent__1 for class vtkPolyDataToImageStencil requires 7 argument(s)");
  vtkPolyDataToImageStencil* vtk_pointer = GetVTKPointer<vtkPolyDataToImageStencil>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetOutputWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataToImageStencil:SetOutputWholeExtent__2 vtkPolyDataToImageStencilSetOutputWholeExtent__2Function
//input a0 a1 
//output none
ArrayVector vtkPolyDataToImageStencilSetOutputWholeExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputWholeExtent (int  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputWholeExtent__2 for class vtkPolyDataToImageStencil requires 2 argument(s)");
  vtkPolyDataToImageStencil* vtk_pointer = GetVTKPointer<vtkPolyDataToImageStencil>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetOutputWholeExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataToImageStencil:GetOutputWholeExtent vtkPolyDataToImageStencilGetOutputWholeExtentFunction
//input a0 
//output y
ArrayVector vtkPolyDataToImageStencilGetOutputWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetOutputWholeExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputWholeExtent for class vtkPolyDataToImageStencil requires 1 argument(s)");
  vtkPolyDataToImageStencil* vtk_pointer = GetVTKPointer<vtkPolyDataToImageStencil>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetOutputWholeExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataToImageStencil:SetTolerance vtkPolyDataToImageStencilSetToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataToImageStencilSetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTolerance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTolerance for class vtkPolyDataToImageStencil requires 2 argument(s)");
  vtkPolyDataToImageStencil* vtk_pointer = GetVTKPointer<vtkPolyDataToImageStencil>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataToImageStencil:GetToleranceMinValue vtkPolyDataToImageStencilGetToleranceMinValueFunction
//input a0 
//output y
ArrayVector vtkPolyDataToImageStencilGetToleranceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetToleranceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMinValue for class vtkPolyDataToImageStencil requires 1 argument(s)");
  vtkPolyDataToImageStencil* vtk_pointer = GetVTKPointer<vtkPolyDataToImageStencil>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetToleranceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataToImageStencil:GetToleranceMaxValue vtkPolyDataToImageStencilGetToleranceMaxValueFunction
//input a0 
//output y
ArrayVector vtkPolyDataToImageStencilGetToleranceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetToleranceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetToleranceMaxValue for class vtkPolyDataToImageStencil requires 1 argument(s)");
  vtkPolyDataToImageStencil* vtk_pointer = GetVTKPointer<vtkPolyDataToImageStencil>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetToleranceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataToImageStencil:GetTolerance vtkPolyDataToImageStencilGetToleranceFunction
//input a0 
//output y
ArrayVector vtkPolyDataToImageStencilGetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTolerance for class vtkPolyDataToImageStencil requires 1 argument(s)");
  vtkPolyDataToImageStencil* vtk_pointer = GetVTKPointer<vtkPolyDataToImageStencil>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataToImageStencil:SetOutputOrigin vtkPolyDataToImageStencilSetOutputOriginFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataToImageStencilSetOutputOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPolyDataToImageStencilSetOutputOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPolyDataToImageStencilSetOutputOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolyDataToImageStencilSetOutputOrigin");
}

//@@Signature
//sfunction @vtkPolyDataToImageStencil:SetOutputSpacing vtkPolyDataToImageStencilSetOutputSpacingFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataToImageStencilSetOutputSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPolyDataToImageStencilSetOutputSpacing__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPolyDataToImageStencilSetOutputSpacing__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolyDataToImageStencilSetOutputSpacing");
}

//@@Signature
//sfunction @vtkPolyDataToImageStencil:SetOutputWholeExtent vtkPolyDataToImageStencilSetOutputWholeExtentFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataToImageStencilSetOutputWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkPolyDataToImageStencilSetOutputWholeExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPolyDataToImageStencilSetOutputWholeExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolyDataToImageStencilSetOutputWholeExtent");
}

//@@Signature
//sfunction @vtkPolyDataToImageStencil:display vtkPolyDataToImageStencilDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataToImageStencilDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPolyDataToImageStencil* vtk_pointer = GetVTKPointer<vtkPolyDataToImageStencil>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPolyDataToImageStencil:delete vtkPolyDataToImageStencilDeleteFunction
//input varargin
//output none
ArrayVector vtkPolyDataToImageStencilDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPolyDataToImageStencil
//@@Section VTKHybrid
//@@Usage
// The vtkPolyDataToImageStencil class will convert a surface mesh
// into an image stencil that can be used to mask an image with
// vtkImageStencil, or used to calculate statistics within the
// enclosed region with vtkImageAccumulate.
//
//To create an instance of class vtkPolyDataToImageStencil, simply
//invoke its constructor as follows
//@[
//  obj = vtkPolyDataToImageStencil
//@]
//@@Methods
//The class vtkPolyDataToImageStencil has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPolyDataToImageStencil class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPolyDataToImageStencil = obj.NewInstance ()|
// \item @|vtkPolyDataToImageStencil = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput (vtkPolyData )| -  Specify the implicit function to convert into a stencil.
//// \item @|vtkPolyData = obj.GetInput ()| -  Specify the implicit function to convert into a stencil.
//// \item @|obj.SetInformationInput (vtkImageData )| -  Set a vtkImageData that has the Spacing, Origin, and
// WholeExtent that will be used for the stencil.  This
// input should be set to the image that you wish to
// apply the stencil to.  If you use this method, then
// any values set with the SetOutputSpacing, SetOutputOrigin,
// and SetOutputWholeExtent methods will be ignored.
//// \item @|vtkImageData = obj.GetInformationInput ()| -  Set a vtkImageData that has the Spacing, Origin, and
// WholeExtent that will be used for the stencil.  This
// input should be set to the image that you wish to
// apply the stencil to.  If you use this method, then
// any values set with the SetOutputSpacing, SetOutputOrigin,
// and SetOutputWholeExtent methods will be ignored.
//// \item @|obj.SetOutputOrigin (double , double , double )| -  Set the Origin to be used for the stencil.  It should be
// set to the Origin of the image you intend to apply the
// stencil to. The default value is (0,0,0).
//// \item @|obj.SetOutputOrigin (double  a[3])| -  Set the Origin to be used for the stencil.  It should be
// set to the Origin of the image you intend to apply the
// stencil to. The default value is (0,0,0).
//// \item @|double = obj. GetOutputOrigin ()| -  Set the Origin to be used for the stencil.  It should be
// set to the Origin of the image you intend to apply the
// stencil to. The default value is (0,0,0).
//// \item @|obj.SetOutputSpacing (double , double , double )| -  Set the Spacing to be used for the stencil. It should be
// set to the Spacing of the image you intend to apply the
// stencil to. The default value is (1,1,1)
//// \item @|obj.SetOutputSpacing (double  a[3])| -  Set the Spacing to be used for the stencil. It should be
// set to the Spacing of the image you intend to apply the
// stencil to. The default value is (1,1,1)
//// \item @|double = obj. GetOutputSpacing ()| -  Set the Spacing to be used for the stencil. It should be
// set to the Spacing of the image you intend to apply the
// stencil to. The default value is (1,1,1)
//// \item @|obj.SetOutputWholeExtent (int , int , int , int , int , int )| -  Set the whole extent for the stencil (anything outside
// this extent will be considered to be "outside" the stencil).
// If this is not set, then the stencil will always use
// the requested UpdateExtent as the stencil extent.
//// \item @|obj.SetOutputWholeExtent (int  a[6])| -  Set the whole extent for the stencil (anything outside
// this extent will be considered to be "outside" the stencil).
// If this is not set, then the stencil will always use
// the requested UpdateExtent as the stencil extent.
//// \item @|int = obj. GetOutputWholeExtent ()| -  Set the whole extent for the stencil (anything outside
// this extent will be considered to be "outside" the stencil).
// If this is not set, then the stencil will always use
// the requested UpdateExtent as the stencil extent.
//// \item @|obj.SetTolerance (double )| -  The tolerance to apply in when determining whether a voxel
// is inside the stencil, given as a fraction of a voxel.
// Only used in X and Y, not in Z.
//// \item @|double = obj.GetToleranceMinValue ()| -  The tolerance to apply in when determining whether a voxel
// is inside the stencil, given as a fraction of a voxel.
// Only used in X and Y, not in Z.
//// \item @|double = obj.GetToleranceMaxValue ()| -  The tolerance to apply in when determining whether a voxel
// is inside the stencil, given as a fraction of a voxel.
// Only used in X and Y, not in Z.
//// \item @|double = obj.GetTolerance ()| -  The tolerance to apply in when determining whether a voxel
// is inside the stencil, given as a fraction of a voxel.
// Only used in X and Y, not in Z.
////\end{itemize}
//!
