#include "VTKWrap.hpp"

// FreeMat wrapper for vtkProcrustesAlignmentFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkProcrustesAlignmentFilter.h"

//@@Signature
//sfunction @vtkProcrustesAlignmentFilter:vtkProcrustesAlignmentFilter vtkProcrustesAlignmentFilterConstructorFunction
//input a
//output p
//@@Parents vtkProcrustesAlignmentFilter vtkPointSetAlgorithm 
ArrayVector vtkProcrustesAlignmentFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkProcrustesAlignmentFilter::New(),"vtkProcrustesAlignmentFilter",eval);
  } else if (arg[0].className() == "vtkProcrustesAlignmentFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkProcrustesAlignmentFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkProcrustesAlignmentFilter");
    vtkProcrustesAlignmentFilter*q = reinterpret_cast<vtkProcrustesAlignmentFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkProcrustesAlignmentFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkProcrustesAlignmentFilter:GetClassName vtkProcrustesAlignmentFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkProcrustesAlignmentFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkProcrustesAlignmentFilter requires 1 argument(s)");
  vtkProcrustesAlignmentFilter* vtk_pointer = GetVTKPointer<vtkProcrustesAlignmentFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProcrustesAlignmentFilter:IsA vtkProcrustesAlignmentFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkProcrustesAlignmentFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkProcrustesAlignmentFilter requires 2 argument(s)");
  vtkProcrustesAlignmentFilter* vtk_pointer = GetVTKPointer<vtkProcrustesAlignmentFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProcrustesAlignmentFilter:NewInstance vtkProcrustesAlignmentFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkProcrustesAlignmentFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProcrustesAlignmentFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkProcrustesAlignmentFilter requires 1 argument(s)");
  vtkProcrustesAlignmentFilter* vtk_pointer = GetVTKPointer<vtkProcrustesAlignmentFilter>(arg[0]);
  Array retval;
  vtkProcrustesAlignmentFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProcrustesAlignmentFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProcrustesAlignmentFilter:SafeDownCast vtkProcrustesAlignmentFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkProcrustesAlignmentFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProcrustesAlignmentFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkProcrustesAlignmentFilter requires 2 argument(s)");
  vtkProcrustesAlignmentFilter* vtk_pointer = GetVTKPointer<vtkProcrustesAlignmentFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkProcrustesAlignmentFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProcrustesAlignmentFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProcrustesAlignmentFilter:GetLandmarkTransform vtkProcrustesAlignmentFilterGetLandmarkTransformFunction
//input a0 
//output y
ArrayVector vtkProcrustesAlignmentFilterGetLandmarkTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLandmarkTransform *GetLandmarkTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLandmarkTransform for class vtkProcrustesAlignmentFilter requires 1 argument(s)");
  vtkProcrustesAlignmentFilter* vtk_pointer = GetVTKPointer<vtkProcrustesAlignmentFilter>(arg[0]);
  Array retval;
  vtkLandmarkTransform  *temp20;
  temp20 = (vtk_pointer)->GetLandmarkTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLandmarkTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProcrustesAlignmentFilter:GetMeanPoints vtkProcrustesAlignmentFilterGetMeanPointsFunction
//input a0 
//output y
ArrayVector vtkProcrustesAlignmentFilterGetMeanPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPoints *GetMeanPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMeanPoints for class vtkProcrustesAlignmentFilter requires 1 argument(s)");
  vtkProcrustesAlignmentFilter* vtk_pointer = GetVTKPointer<vtkProcrustesAlignmentFilter>(arg[0]);
  Array retval;
  vtkPoints  *temp20;
  temp20 = (vtk_pointer)->GetMeanPoints();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProcrustesAlignmentFilter:SetNumberOfInputs vtkProcrustesAlignmentFilterSetNumberOfInputsFunction
//input a0 a1 
//output none
ArrayVector vtkProcrustesAlignmentFilterSetNumberOfInputsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfInputs (int n); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfInputs for class vtkProcrustesAlignmentFilter requires 2 argument(s)");
  vtkProcrustesAlignmentFilter* vtk_pointer = GetVTKPointer<vtkProcrustesAlignmentFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfInputs(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProcrustesAlignmentFilter:SetInput__1 vtkProcrustesAlignmentFilterSetInput__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkProcrustesAlignmentFilterSetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (int idx, vtkPointSet *p); */
  if (arg.size() < 3) 
    throw Exception("Function SetInput__1 for class vtkProcrustesAlignmentFilter requires 3 argument(s)");
  vtkProcrustesAlignmentFilter* vtk_pointer = GetVTKPointer<vtkProcrustesAlignmentFilter>(arg[0]);
  Array retval;
  int      temp0;
  vtkPointSet  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkPointSet>(arg[2]);
  vtk_pointer->SetInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkProcrustesAlignmentFilter:SetInput__2 vtkProcrustesAlignmentFilterSetInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkProcrustesAlignmentFilterSetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (int idx, vtkDataObject *input); */
  if (arg.size() < 3) 
    throw Exception("Function SetInput__2 for class vtkProcrustesAlignmentFilter requires 3 argument(s)");
  vtkProcrustesAlignmentFilter* vtk_pointer = GetVTKPointer<vtkProcrustesAlignmentFilter>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->SetInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkProcrustesAlignmentFilter:SetStartFromCentroid vtkProcrustesAlignmentFilterSetStartFromCentroidFunction
//input a0 a1 
//output none
ArrayVector vtkProcrustesAlignmentFilterSetStartFromCentroidFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStartFromCentroid (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetStartFromCentroid for class vtkProcrustesAlignmentFilter requires 2 argument(s)");
  vtkProcrustesAlignmentFilter* vtk_pointer = GetVTKPointer<vtkProcrustesAlignmentFilter>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetStartFromCentroid(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProcrustesAlignmentFilter:GetStartFromCentroid vtkProcrustesAlignmentFilterGetStartFromCentroidFunction
//input a0 
//output y
ArrayVector vtkProcrustesAlignmentFilterGetStartFromCentroidFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetStartFromCentroid (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStartFromCentroid for class vtkProcrustesAlignmentFilter requires 1 argument(s)");
  vtkProcrustesAlignmentFilter* vtk_pointer = GetVTKPointer<vtkProcrustesAlignmentFilter>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetStartFromCentroid();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkProcrustesAlignmentFilter:StartFromCentroidOn vtkProcrustesAlignmentFilterStartFromCentroidOnFunction
//input a0 
//output none
ArrayVector vtkProcrustesAlignmentFilterStartFromCentroidOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StartFromCentroidOn (); */
  if (arg.size() < 1) 
    throw Exception("Function StartFromCentroidOn for class vtkProcrustesAlignmentFilter requires 1 argument(s)");
  vtkProcrustesAlignmentFilter* vtk_pointer = GetVTKPointer<vtkProcrustesAlignmentFilter>(arg[0]);
  Array retval;
  vtk_pointer->StartFromCentroidOn();
  return retval;
}

//@@Signature
//sfunction @vtkProcrustesAlignmentFilter:StartFromCentroidOff vtkProcrustesAlignmentFilterStartFromCentroidOffFunction
//input a0 
//output none
ArrayVector vtkProcrustesAlignmentFilterStartFromCentroidOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StartFromCentroidOff (); */
  if (arg.size() < 1) 
    throw Exception("Function StartFromCentroidOff for class vtkProcrustesAlignmentFilter requires 1 argument(s)");
  vtkProcrustesAlignmentFilter* vtk_pointer = GetVTKPointer<vtkProcrustesAlignmentFilter>(arg[0]);
  Array retval;
  vtk_pointer->StartFromCentroidOff();
  return retval;
}

//@@Signature
//sfunction @vtkProcrustesAlignmentFilter:GetInput vtkProcrustesAlignmentFilterGetInputFunction
//input a0 a1 
//output y
ArrayVector vtkProcrustesAlignmentFilterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointSet *GetInput (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetInput for class vtkProcrustesAlignmentFilter requires 2 argument(s)");
  vtkProcrustesAlignmentFilter* vtk_pointer = GetVTKPointer<vtkProcrustesAlignmentFilter>(arg[0]);
  Array retval;
  int      temp0;
  vtkPointSet  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProcrustesAlignmentFilter:SetInput vtkProcrustesAlignmentFilterSetInputFunction
//input varargin
//output varargout
ArrayVector vtkProcrustesAlignmentFilterSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkPointSet"))
    return vtkProcrustesAlignmentFilterSetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkProcrustesAlignmentFilterSetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkProcrustesAlignmentFilterSetInput");
}

//@@Signature
//sfunction @vtkProcrustesAlignmentFilter:display vtkProcrustesAlignmentFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkProcrustesAlignmentFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkProcrustesAlignmentFilter* vtk_pointer = GetVTKPointer<vtkProcrustesAlignmentFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkProcrustesAlignmentFilter:delete vtkProcrustesAlignmentFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkProcrustesAlignmentFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkProcrustesAlignmentFilter
//@@Section VTKHybrid
//@@Usage
// 
// vtkProcrustesAlignmentFilter is a filter that takes a set of pointsets
// (any object derived from vtkPointSet) and aligns them in a least-squares 
// sense to their mutual mean. The algorithm is iterated until convergence, 
// as the mean must be recomputed after each alignment. 
//
// Call SetNumberOfInputs(n) before calling SetInput(0) ... SetInput(n-1).
//
// Retrieve the outputs using GetOutput(0) ... GetOutput(n-1).
//
// The default (in vtkLandmarkTransform) is for a similarity alignment.
// For a rigid-body alignment (to build a 'size-and-shape' model) use: 
//
//    GetLandmarkTransform()->SetModeToRigidBody(). 
//
// Affine alignments are not normally used but are left in for completeness:
//
//    GetLandmarkTransform()->SetModeToAffine(). 
//
// vtkProcrustesAlignmentFilter is an implementation of:
//
//    J.C. Gower (1975) 
//    Generalized Procrustes Analysis. Psychometrika, 40:33-51.
//
//
//To create an instance of class vtkProcrustesAlignmentFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkProcrustesAlignmentFilter
//@]
//@@Methods
//The class vtkProcrustesAlignmentFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkProcrustesAlignmentFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkProcrustesAlignmentFilter = obj.NewInstance ()|
// \item @|vtkProcrustesAlignmentFilter = obj.SafeDownCast (vtkObject o)|
// \item @|vtkLandmarkTransform = obj.GetLandmarkTransform ()| -  Get the internal landmark transform. Use it to constrain the number of
// degrees of freedom of the alignment (i.e. rigid body, similarity, etc.).
// The default is a similarity alignment.
//// \item @|vtkPoints = obj.GetMeanPoints ()| -  Get the estimated mean point cloud
//// \item @|obj.SetNumberOfInputs (int n)| -  Specify how many pointsets are going to be given as input.
//// \item @|obj.SetInput (int idx, vtkPointSet p)| -  Specify the input pointset with index idx.
// Call SetNumberOfInputs before calling this function.
//// \item @|obj.SetInput (int idx, vtkDataObject input)| -  Specify the input pointset with index idx.
// Call SetNumberOfInputs before calling this function.
//// \item @|obj.SetStartFromCentroid (bool )| -  When on, the initial alignment is to the centroid 
// of the cohort curves.  When off, the alignment is to the 
// centroid of the first input.  Default is off for
// backward compatibility.
//// \item @|bool = obj.GetStartFromCentroid ()| -  When on, the initial alignment is to the centroid 
// of the cohort curves.  When off, the alignment is to the 
// centroid of the first input.  Default is off for
// backward compatibility.
//// \item @|obj.StartFromCentroidOn ()| -  When on, the initial alignment is to the centroid 
// of the cohort curves.  When off, the alignment is to the 
// centroid of the first input.  Default is off for
// backward compatibility.
//// \item @|obj.StartFromCentroidOff ()| -  When on, the initial alignment is to the centroid 
// of the cohort curves.  When off, the alignment is to the 
// centroid of the first input.  Default is off for
// backward compatibility.
//// \item @|vtkPointSet = obj.GetInput (int idx)| -  Retrieve the input point set with index idx (usually only for pipeline
// tracing).
////\end{itemize}
//!
