#include "VTKWrap.hpp"

// FreeMat wrapper for vtkProjectedTerrainPath object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkProjectedTerrainPath.h"

//@@Signature
//sfunction @vtkProjectedTerrainPath:vtkProjectedTerrainPath vtkProjectedTerrainPathConstructorFunction
//input a
//output p
//@@Parents vtkProjectedTerrainPath vtkPolyDataAlgorithm 
ArrayVector vtkProjectedTerrainPathConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkProjectedTerrainPath::New(),"vtkProjectedTerrainPath",eval);
  } else if (arg[0].className() == "vtkProjectedTerrainPath") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkProjectedTerrainPath"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkProjectedTerrainPath");
    vtkProjectedTerrainPath*q = reinterpret_cast<vtkProjectedTerrainPath*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkProjectedTerrainPath");
    return ret;
  }
}
//@@Signature
//sfunction @vtkProjectedTerrainPath:GetClassName vtkProjectedTerrainPathGetClassNameFunction
//input a0 
//output y
ArrayVector vtkProjectedTerrainPathGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkProjectedTerrainPath requires 1 argument(s)");
  vtkProjectedTerrainPath* vtk_pointer = GetVTKPointer<vtkProjectedTerrainPath>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTerrainPath:IsA vtkProjectedTerrainPathIsAFunction
//input a0 a1 
//output y
ArrayVector vtkProjectedTerrainPathIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkProjectedTerrainPath requires 2 argument(s)");
  vtkProjectedTerrainPath* vtk_pointer = GetVTKPointer<vtkProjectedTerrainPath>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTerrainPath:NewInstance vtkProjectedTerrainPathNewInstanceFunction
//input a0 
//output y
ArrayVector vtkProjectedTerrainPathNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProjectedTerrainPath *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkProjectedTerrainPath requires 1 argument(s)");
  vtkProjectedTerrainPath* vtk_pointer = GetVTKPointer<vtkProjectedTerrainPath>(arg[0]);
  Array retval;
  vtkProjectedTerrainPath  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProjectedTerrainPath",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTerrainPath:SafeDownCast vtkProjectedTerrainPathSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkProjectedTerrainPathSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkProjectedTerrainPath *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkProjectedTerrainPath requires 2 argument(s)");
  vtkProjectedTerrainPath* vtk_pointer = GetVTKPointer<vtkProjectedTerrainPath>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkProjectedTerrainPath  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkProjectedTerrainPath",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTerrainPath:SetSource vtkProjectedTerrainPathSetSourceFunction
//input a0 a1 
//output none
ArrayVector vtkProjectedTerrainPathSetSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSource (vtkImageData *source); */
  if (arg.size() < 2) 
    throw Exception("Function SetSource for class vtkProjectedTerrainPath requires 2 argument(s)");
  vtkProjectedTerrainPath* vtk_pointer = GetVTKPointer<vtkProjectedTerrainPath>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetSource(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTerrainPath:GetSource vtkProjectedTerrainPathGetSourceFunction
//input a0 
//output y
ArrayVector vtkProjectedTerrainPathGetSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetSource (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSource for class vtkProjectedTerrainPath requires 1 argument(s)");
  vtkProjectedTerrainPath* vtk_pointer = GetVTKPointer<vtkProjectedTerrainPath>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetSource();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTerrainPath:SetProjectionMode vtkProjectedTerrainPathSetProjectionModeFunction
//input a0 a1 
//output none
ArrayVector vtkProjectedTerrainPathSetProjectionModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetProjectionMode for class vtkProjectedTerrainPath requires 2 argument(s)");
  vtkProjectedTerrainPath* vtk_pointer = GetVTKPointer<vtkProjectedTerrainPath>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetProjectionMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTerrainPath:GetProjectionModeMinValue vtkProjectedTerrainPathGetProjectionModeMinValueFunction
//input a0 
//output y
ArrayVector vtkProjectedTerrainPathGetProjectionModeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProjectionModeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectionModeMinValue for class vtkProjectedTerrainPath requires 1 argument(s)");
  vtkProjectedTerrainPath* vtk_pointer = GetVTKPointer<vtkProjectedTerrainPath>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProjectionModeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTerrainPath:GetProjectionModeMaxValue vtkProjectedTerrainPathGetProjectionModeMaxValueFunction
//input a0 
//output y
ArrayVector vtkProjectedTerrainPathGetProjectionModeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProjectionModeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectionModeMaxValue for class vtkProjectedTerrainPath requires 1 argument(s)");
  vtkProjectedTerrainPath* vtk_pointer = GetVTKPointer<vtkProjectedTerrainPath>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProjectionModeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTerrainPath:GetProjectionMode vtkProjectedTerrainPathGetProjectionModeFunction
//input a0 
//output y
ArrayVector vtkProjectedTerrainPathGetProjectionModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetProjectionMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectionMode for class vtkProjectedTerrainPath requires 1 argument(s)");
  vtkProjectedTerrainPath* vtk_pointer = GetVTKPointer<vtkProjectedTerrainPath>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetProjectionMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTerrainPath:SetProjectionModeToSimple vtkProjectedTerrainPathSetProjectionModeToSimpleFunction
//input a0 
//output none
ArrayVector vtkProjectedTerrainPathSetProjectionModeToSimpleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionModeToSimple ();this SetProjectionMode SIMPLE_PROJECTION  */
  if (arg.size() < 1) 
    throw Exception("Function SetProjectionModeToSimple for class vtkProjectedTerrainPath requires 1 argument(s)");
  vtkProjectedTerrainPath* vtk_pointer = GetVTKPointer<vtkProjectedTerrainPath>(arg[0]);
  Array retval;
  vtk_pointer->SetProjectionModeToSimple();
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTerrainPath:SetProjectionModeToNonOccluded vtkProjectedTerrainPathSetProjectionModeToNonOccludedFunction
//input a0 
//output none
ArrayVector vtkProjectedTerrainPathSetProjectionModeToNonOccludedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionModeToNonOccluded ();this SetProjectionMode NONOCCLUDED_PROJECTION  */
  if (arg.size() < 1) 
    throw Exception("Function SetProjectionModeToNonOccluded for class vtkProjectedTerrainPath requires 1 argument(s)");
  vtkProjectedTerrainPath* vtk_pointer = GetVTKPointer<vtkProjectedTerrainPath>(arg[0]);
  Array retval;
  vtk_pointer->SetProjectionModeToNonOccluded();
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTerrainPath:SetProjectionModeToHug vtkProjectedTerrainPathSetProjectionModeToHugFunction
//input a0 
//output none
ArrayVector vtkProjectedTerrainPathSetProjectionModeToHugFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionModeToHug ();this SetProjectionMode HUG_PROJECTION  */
  if (arg.size() < 1) 
    throw Exception("Function SetProjectionModeToHug for class vtkProjectedTerrainPath requires 1 argument(s)");
  vtkProjectedTerrainPath* vtk_pointer = GetVTKPointer<vtkProjectedTerrainPath>(arg[0]);
  Array retval;
  vtk_pointer->SetProjectionModeToHug();
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTerrainPath:SetHeightOffset vtkProjectedTerrainPathSetHeightOffsetFunction
//input a0 a1 
//output none
ArrayVector vtkProjectedTerrainPathSetHeightOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHeightOffset (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHeightOffset for class vtkProjectedTerrainPath requires 2 argument(s)");
  vtkProjectedTerrainPath* vtk_pointer = GetVTKPointer<vtkProjectedTerrainPath>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetHeightOffset(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTerrainPath:GetHeightOffset vtkProjectedTerrainPathGetHeightOffsetFunction
//input a0 
//output y
ArrayVector vtkProjectedTerrainPathGetHeightOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHeightOffset (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeightOffset for class vtkProjectedTerrainPath requires 1 argument(s)");
  vtkProjectedTerrainPath* vtk_pointer = GetVTKPointer<vtkProjectedTerrainPath>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHeightOffset();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTerrainPath:SetHeightTolerance vtkProjectedTerrainPathSetHeightToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkProjectedTerrainPathSetHeightToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHeightTolerance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHeightTolerance for class vtkProjectedTerrainPath requires 2 argument(s)");
  vtkProjectedTerrainPath* vtk_pointer = GetVTKPointer<vtkProjectedTerrainPath>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetHeightTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTerrainPath:GetHeightToleranceMinValue vtkProjectedTerrainPathGetHeightToleranceMinValueFunction
//input a0 
//output y
ArrayVector vtkProjectedTerrainPathGetHeightToleranceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHeightToleranceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeightToleranceMinValue for class vtkProjectedTerrainPath requires 1 argument(s)");
  vtkProjectedTerrainPath* vtk_pointer = GetVTKPointer<vtkProjectedTerrainPath>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHeightToleranceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTerrainPath:GetHeightToleranceMaxValue vtkProjectedTerrainPathGetHeightToleranceMaxValueFunction
//input a0 
//output y
ArrayVector vtkProjectedTerrainPathGetHeightToleranceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHeightToleranceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeightToleranceMaxValue for class vtkProjectedTerrainPath requires 1 argument(s)");
  vtkProjectedTerrainPath* vtk_pointer = GetVTKPointer<vtkProjectedTerrainPath>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHeightToleranceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTerrainPath:GetHeightTolerance vtkProjectedTerrainPathGetHeightToleranceFunction
//input a0 
//output y
ArrayVector vtkProjectedTerrainPathGetHeightToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHeightTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeightTolerance for class vtkProjectedTerrainPath requires 1 argument(s)");
  vtkProjectedTerrainPath* vtk_pointer = GetVTKPointer<vtkProjectedTerrainPath>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHeightTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTerrainPath:SetMaximumNumberOfLines vtkProjectedTerrainPathSetMaximumNumberOfLinesFunction
//input a0 a1 
//output none
ArrayVector vtkProjectedTerrainPathSetMaximumNumberOfLinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumNumberOfLines (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumNumberOfLines for class vtkProjectedTerrainPath requires 2 argument(s)");
  vtkProjectedTerrainPath* vtk_pointer = GetVTKPointer<vtkProjectedTerrainPath>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximumNumberOfLines(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTerrainPath:GetMaximumNumberOfLinesMinValue vtkProjectedTerrainPathGetMaximumNumberOfLinesMinValueFunction
//input a0 
//output y
ArrayVector vtkProjectedTerrainPathGetMaximumNumberOfLinesMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetMaximumNumberOfLinesMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumNumberOfLinesMinValue for class vtkProjectedTerrainPath requires 1 argument(s)");
  vtkProjectedTerrainPath* vtk_pointer = GetVTKPointer<vtkProjectedTerrainPath>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetMaximumNumberOfLinesMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTerrainPath:GetMaximumNumberOfLinesMaxValue vtkProjectedTerrainPathGetMaximumNumberOfLinesMaxValueFunction
//input a0 
//output y
ArrayVector vtkProjectedTerrainPathGetMaximumNumberOfLinesMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetMaximumNumberOfLinesMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumNumberOfLinesMaxValue for class vtkProjectedTerrainPath requires 1 argument(s)");
  vtkProjectedTerrainPath* vtk_pointer = GetVTKPointer<vtkProjectedTerrainPath>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetMaximumNumberOfLinesMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTerrainPath:GetMaximumNumberOfLines vtkProjectedTerrainPathGetMaximumNumberOfLinesFunction
//input a0 
//output y
ArrayVector vtkProjectedTerrainPathGetMaximumNumberOfLinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetMaximumNumberOfLines (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumNumberOfLines for class vtkProjectedTerrainPath requires 1 argument(s)");
  vtkProjectedTerrainPath* vtk_pointer = GetVTKPointer<vtkProjectedTerrainPath>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetMaximumNumberOfLines();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkProjectedTerrainPath:display vtkProjectedTerrainPathDisplayFunction
//input varargin
//output varargout
ArrayVector vtkProjectedTerrainPathDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkProjectedTerrainPath* vtk_pointer = GetVTKPointer<vtkProjectedTerrainPath>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkProjectedTerrainPath:delete vtkProjectedTerrainPathDeleteFunction
//input varargin
//output none
ArrayVector vtkProjectedTerrainPathDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkProjectedTerrainPath
//@@Section VTKHybrid
//@@Usage
// vtkProjectedTerrainPath projects an input polyline onto a terrain. (The
// terrain is defined by a 2D height image and is the second input to the
// filter.) The polyline projection is controlled via several modes as
// follows. 1) Simple mode projects the polyline points onto the terrain,
// taking into account the height offset instance variable. 2) Non-occluded
// mode insures that no parts of the polyline are occluded by the terrain
// (e.g. a line passes through a mountain). This may require recursive
// subdivision of the polyline. 3) Hug mode insures that the polyine points
// remain within a constant distance from the surface. This may also require
// recursive subdivision of the polyline. Note that both non-occluded mode
// and hug mode also take into account the height offset, so it is possible 
// to create paths that hug terrain a certain distance above it. To use this
// filter, define two inputs: 1) a polyline, and 2) an image whose scalar
// values represent a height field. Then specify the mode, and the height
// offset to use.
//
// An description of the algorithm is as follows. The filter begins by
// projecting the polyline points to the image (offset by the specified
// height offset).  If the mode is non-occluded or hug, then the maximum
// error along each line segment is computed and placed into a priority
// queue. Each line segment is then split at the point of maximum error, and
// the two new line segments are evaluated for maximum error. This process
// continues until the line is not occluded by the terrain (non-occluded
// mode) or satisfies the error on variation from the surface (hug
// mode). (Note this process is repeated for each polyline in the
// input. Also, the maximum error is computed in two parts: a maximum
// positive error and maximum negative error. If the polyline is above the
// terrain--i.e., the height offset is positive--in non-occluded or hug mode
// all negative errors are eliminated. If the polyline is below the
// terrain--i.e., the height offset is negative--in non-occluded or hug mode
// all positive errors are eliminated.)
// 
//
//To create an instance of class vtkProjectedTerrainPath, simply
//invoke its constructor as follows
//@[
//  obj = vtkProjectedTerrainPath
//@]
//@@Methods
//The class vtkProjectedTerrainPath has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkProjectedTerrainPath class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methids for printing and determining type information.
//// \item @|int = obj.IsA (string name)| -  Standard methids for printing and determining type information.
//// \item @|vtkProjectedTerrainPath = obj.NewInstance ()| -  Standard methids for printing and determining type information.
//// \item @|vtkProjectedTerrainPath = obj.SafeDownCast (vtkObject o)| -  Standard methids for printing and determining type information.
//// \item @|obj.SetSource (vtkImageData source)| -  Specify the second input (the terrain) onto which the polyline(s) should
// be projected.
//// \item @|vtkImageData = obj.GetSource ()| -  Specify the second input (the terrain) onto which the polyline(s) should
// be projected.
//// \item @|obj.SetProjectionMode (int )| -  Determine how to control the projection process. Simple projection
// just projects the original polyline points. Non-occluded projection
// insures that the polyline does not intersect the terrain surface.
// Hug projection is similar to non-occulded projection except that
// produces a path that is nearly parallel to the terrain (within the
// user specified height tolerance).
//// \item @|int = obj.GetProjectionModeMinValue ()| -  Determine how to control the projection process. Simple projection
// just projects the original polyline points. Non-occluded projection
// insures that the polyline does not intersect the terrain surface.
// Hug projection is similar to non-occulded projection except that
// produces a path that is nearly parallel to the terrain (within the
// user specified height tolerance).
//// \item @|int = obj.GetProjectionModeMaxValue ()| -  Determine how to control the projection process. Simple projection
// just projects the original polyline points. Non-occluded projection
// insures that the polyline does not intersect the terrain surface.
// Hug projection is similar to non-occulded projection except that
// produces a path that is nearly parallel to the terrain (within the
// user specified height tolerance).
//// \item @|int = obj.GetProjectionMode ()| -  Determine how to control the projection process. Simple projection
// just projects the original polyline points. Non-occluded projection
// insures that the polyline does not intersect the terrain surface.
// Hug projection is similar to non-occulded projection except that
// produces a path that is nearly parallel to the terrain (within the
// user specified height tolerance).
//// \item @|obj.SetProjectionModeToSimple ()| -  Determine how to control the projection process. Simple projection
// just projects the original polyline points. Non-occluded projection
// insures that the polyline does not intersect the terrain surface.
// Hug projection is similar to non-occulded projection except that
// produces a path that is nearly parallel to the terrain (within the
// user specified height tolerance).
//// \item @|obj.SetProjectionModeToNonOccluded ()| -  Determine how to control the projection process. Simple projection
// just projects the original polyline points. Non-occluded projection
// insures that the polyline does not intersect the terrain surface.
// Hug projection is similar to non-occulded projection except that
// produces a path that is nearly parallel to the terrain (within the
// user specified height tolerance).
//// \item @|obj.SetProjectionModeToHug ()| -  This is the height above (or below) the terrain that the projected
// path should be. Positive values indicate distances above the terrain;
// negative values indicate distances below the terrain. 
//// \item @|obj.SetHeightOffset (double )| -  This is the height above (or below) the terrain that the projected
// path should be. Positive values indicate distances above the terrain;
// negative values indicate distances below the terrain. 
//// \item @|double = obj.GetHeightOffset ()| -  This is the height above (or below) the terrain that the projected
// path should be. Positive values indicate distances above the terrain;
// negative values indicate distances below the terrain. 
//// \item @|obj.SetHeightTolerance (double )| -  This is the allowable variation in the altitude of the path
// with respect to the variation in the terrain. It only comes
// into play if the hug projection mode is enabled.
//// \item @|double = obj.GetHeightToleranceMinValue ()| -  This is the allowable variation in the altitude of the path
// with respect to the variation in the terrain. It only comes
// into play if the hug projection mode is enabled.
//// \item @|double = obj.GetHeightToleranceMaxValue ()| -  This is the allowable variation in the altitude of the path
// with respect to the variation in the terrain. It only comes
// into play if the hug projection mode is enabled.
//// \item @|double = obj.GetHeightTolerance ()| -  This is the allowable variation in the altitude of the path
// with respect to the variation in the terrain. It only comes
// into play if the hug projection mode is enabled.
//// \item @|obj.SetMaximumNumberOfLines (vtkIdType )| -  This instance variable can be used to limit the total number of line
// segments created during subdivision. Note that the number of input line
// segments will be the minimum number that cab be output.
//// \item @|vtkIdType = obj.GetMaximumNumberOfLinesMinValue ()| -  This instance variable can be used to limit the total number of line
// segments created during subdivision. Note that the number of input line
// segments will be the minimum number that cab be output.
//// \item @|vtkIdType = obj.GetMaximumNumberOfLinesMaxValue ()| -  This instance variable can be used to limit the total number of line
// segments created during subdivision. Note that the number of input line
// segments will be the minimum number that cab be output.
//// \item @|vtkIdType = obj.GetMaximumNumberOfLines ()| -  This instance variable can be used to limit the total number of line
// segments created during subdivision. Note that the number of input line
// segments will be the minimum number that cab be output.
////\end{itemize}
//!
