#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRIBExporter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRIBExporter.h"

//@@Signature
//sfunction @vtkRIBExporter:vtkRIBExporter vtkRIBExporterConstructorFunction
//input a
//output p
//@@Parents vtkRIBExporter vtkExporter 
ArrayVector vtkRIBExporterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRIBExporter::New(),"vtkRIBExporter",eval);
  } else if (arg[0].className() == "vtkRIBExporter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRIBExporter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRIBExporter");
    vtkRIBExporter*q = reinterpret_cast<vtkRIBExporter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRIBExporter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRIBExporter:GetClassName vtkRIBExporterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRIBExporterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRIBExporter requires 1 argument(s)");
  vtkRIBExporter* vtk_pointer = GetVTKPointer<vtkRIBExporter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRIBExporter:IsA vtkRIBExporterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRIBExporterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRIBExporter requires 2 argument(s)");
  vtkRIBExporter* vtk_pointer = GetVTKPointer<vtkRIBExporter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRIBExporter:NewInstance vtkRIBExporterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRIBExporterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRIBExporter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRIBExporter requires 1 argument(s)");
  vtkRIBExporter* vtk_pointer = GetVTKPointer<vtkRIBExporter>(arg[0]);
  Array retval;
  vtkRIBExporter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRIBExporter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRIBExporter:SafeDownCast vtkRIBExporterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRIBExporterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRIBExporter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRIBExporter requires 2 argument(s)");
  vtkRIBExporter* vtk_pointer = GetVTKPointer<vtkRIBExporter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRIBExporter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRIBExporter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRIBExporter:SetSize__1 vtkRIBExporterSetSize__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkRIBExporterSetSize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSize (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetSize__1 for class vtkRIBExporter requires 3 argument(s)");
  vtkRIBExporter* vtk_pointer = GetVTKPointer<vtkRIBExporter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetSize(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRIBExporter:SetSize__2 vtkRIBExporterSetSize__2Function
//input a0 a1 
//output none
ArrayVector vtkRIBExporterSetSize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSize (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSize__2 for class vtkRIBExporter requires 2 argument(s)");
  vtkRIBExporter* vtk_pointer = GetVTKPointer<vtkRIBExporter>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRIBExporter:GetSize vtkRIBExporterGetSizeFunction
//input a0 
//output y
ArrayVector vtkRIBExporterGetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSize for class vtkRIBExporter requires 1 argument(s)");
  vtkRIBExporter* vtk_pointer = GetVTKPointer<vtkRIBExporter>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetSize();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkRIBExporter:SetPixelSamples__1 vtkRIBExporterSetPixelSamples__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkRIBExporterSetPixelSamples__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPixelSamples (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetPixelSamples__1 for class vtkRIBExporter requires 3 argument(s)");
  vtkRIBExporter* vtk_pointer = GetVTKPointer<vtkRIBExporter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetPixelSamples(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRIBExporter:SetPixelSamples__2 vtkRIBExporterSetPixelSamples__2Function
//input a0 a1 
//output none
ArrayVector vtkRIBExporterSetPixelSamples__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPixelSamples (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetPixelSamples__2 for class vtkRIBExporter requires 2 argument(s)");
  vtkRIBExporter* vtk_pointer = GetVTKPointer<vtkRIBExporter>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetPixelSamples(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRIBExporter:GetPixelSamples vtkRIBExporterGetPixelSamplesFunction
//input a0 
//output y
ArrayVector vtkRIBExporterGetPixelSamplesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetPixelSamples (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPixelSamples for class vtkRIBExporter requires 1 argument(s)");
  vtkRIBExporter* vtk_pointer = GetVTKPointer<vtkRIBExporter>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetPixelSamples();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkRIBExporter:SetFilePrefix vtkRIBExporterSetFilePrefixFunction
//input a0 a1 
//output none
ArrayVector vtkRIBExporterSetFilePrefixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFilePrefix (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFilePrefix for class vtkRIBExporter requires 2 argument(s)");
  vtkRIBExporter* vtk_pointer = GetVTKPointer<vtkRIBExporter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFilePrefix(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRIBExporter:GetFilePrefix vtkRIBExporterGetFilePrefixFunction
//input a0 
//output y
ArrayVector vtkRIBExporterGetFilePrefixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFilePrefix (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFilePrefix for class vtkRIBExporter requires 1 argument(s)");
  vtkRIBExporter* vtk_pointer = GetVTKPointer<vtkRIBExporter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFilePrefix();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRIBExporter:SetTexturePrefix vtkRIBExporterSetTexturePrefixFunction
//input a0 a1 
//output none
ArrayVector vtkRIBExporterSetTexturePrefixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTexturePrefix (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTexturePrefix for class vtkRIBExporter requires 2 argument(s)");
  vtkRIBExporter* vtk_pointer = GetVTKPointer<vtkRIBExporter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetTexturePrefix(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRIBExporter:GetTexturePrefix vtkRIBExporterGetTexturePrefixFunction
//input a0 
//output y
ArrayVector vtkRIBExporterGetTexturePrefixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetTexturePrefix (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTexturePrefix for class vtkRIBExporter requires 1 argument(s)");
  vtkRIBExporter* vtk_pointer = GetVTKPointer<vtkRIBExporter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetTexturePrefix();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRIBExporter:SetBackground vtkRIBExporterSetBackgroundFunction
//input a0 a1 
//output none
ArrayVector vtkRIBExporterSetBackgroundFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBackground (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBackground for class vtkRIBExporter requires 2 argument(s)");
  vtkRIBExporter* vtk_pointer = GetVTKPointer<vtkRIBExporter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBackground(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRIBExporter:GetBackground vtkRIBExporterGetBackgroundFunction
//input a0 
//output y
ArrayVector vtkRIBExporterGetBackgroundFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBackground (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBackground for class vtkRIBExporter requires 1 argument(s)");
  vtkRIBExporter* vtk_pointer = GetVTKPointer<vtkRIBExporter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBackground();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRIBExporter:BackgroundOn vtkRIBExporterBackgroundOnFunction
//input a0 
//output none
ArrayVector vtkRIBExporterBackgroundOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BackgroundOn (); */
  if (arg.size() < 1) 
    throw Exception("Function BackgroundOn for class vtkRIBExporter requires 1 argument(s)");
  vtkRIBExporter* vtk_pointer = GetVTKPointer<vtkRIBExporter>(arg[0]);
  Array retval;
  vtk_pointer->BackgroundOn();
  return retval;
}

//@@Signature
//sfunction @vtkRIBExporter:BackgroundOff vtkRIBExporterBackgroundOffFunction
//input a0 
//output none
ArrayVector vtkRIBExporterBackgroundOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BackgroundOff (); */
  if (arg.size() < 1) 
    throw Exception("Function BackgroundOff for class vtkRIBExporter requires 1 argument(s)");
  vtkRIBExporter* vtk_pointer = GetVTKPointer<vtkRIBExporter>(arg[0]);
  Array retval;
  vtk_pointer->BackgroundOff();
  return retval;
}

//@@Signature
//sfunction @vtkRIBExporter:SetExportArrays vtkRIBExporterSetExportArraysFunction
//input a0 a1 
//output none
ArrayVector vtkRIBExporterSetExportArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExportArrays (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetExportArrays for class vtkRIBExporter requires 2 argument(s)");
  vtkRIBExporter* vtk_pointer = GetVTKPointer<vtkRIBExporter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetExportArrays(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRIBExporter:GetExportArraysMinValue vtkRIBExporterGetExportArraysMinValueFunction
//input a0 
//output y
ArrayVector vtkRIBExporterGetExportArraysMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExportArraysMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExportArraysMinValue for class vtkRIBExporter requires 1 argument(s)");
  vtkRIBExporter* vtk_pointer = GetVTKPointer<vtkRIBExporter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExportArraysMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRIBExporter:GetExportArraysMaxValue vtkRIBExporterGetExportArraysMaxValueFunction
//input a0 
//output y
ArrayVector vtkRIBExporterGetExportArraysMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExportArraysMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExportArraysMaxValue for class vtkRIBExporter requires 1 argument(s)");
  vtkRIBExporter* vtk_pointer = GetVTKPointer<vtkRIBExporter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExportArraysMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRIBExporter:ExportArraysOn vtkRIBExporterExportArraysOnFunction
//input a0 
//output none
ArrayVector vtkRIBExporterExportArraysOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExportArraysOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ExportArraysOn for class vtkRIBExporter requires 1 argument(s)");
  vtkRIBExporter* vtk_pointer = GetVTKPointer<vtkRIBExporter>(arg[0]);
  Array retval;
  vtk_pointer->ExportArraysOn();
  return retval;
}

//@@Signature
//sfunction @vtkRIBExporter:ExportArraysOff vtkRIBExporterExportArraysOffFunction
//input a0 
//output none
ArrayVector vtkRIBExporterExportArraysOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ExportArraysOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ExportArraysOff for class vtkRIBExporter requires 1 argument(s)");
  vtkRIBExporter* vtk_pointer = GetVTKPointer<vtkRIBExporter>(arg[0]);
  Array retval;
  vtk_pointer->ExportArraysOff();
  return retval;
}

//@@Signature
//sfunction @vtkRIBExporter:GetExportArrays vtkRIBExporterGetExportArraysFunction
//input a0 
//output y
ArrayVector vtkRIBExporterGetExportArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExportArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExportArrays for class vtkRIBExporter requires 1 argument(s)");
  vtkRIBExporter* vtk_pointer = GetVTKPointer<vtkRIBExporter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExportArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRIBExporter:SetSize vtkRIBExporterSetSizeFunction
//input varargin
//output varargout
ArrayVector vtkRIBExporterSetSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkRIBExporterSetSize__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkRIBExporterSetSize__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRIBExporterSetSize");
}

//@@Signature
//sfunction @vtkRIBExporter:SetPixelSamples vtkRIBExporterSetPixelSamplesFunction
//input varargin
//output varargout
ArrayVector vtkRIBExporterSetPixelSamplesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkRIBExporterSetPixelSamples__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkRIBExporterSetPixelSamples__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRIBExporterSetPixelSamples");
}

//@@Signature
//sfunction @vtkRIBExporter:display vtkRIBExporterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRIBExporterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRIBExporter* vtk_pointer = GetVTKPointer<vtkRIBExporter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRIBExporter:delete vtkRIBExporterDeleteFunction
//input varargin
//output none
ArrayVector vtkRIBExporterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRIBExporter
//@@Section VTKHybrid
//@@Usage
// vtkRIBExporter is a concrete subclass of vtkExporter that writes a
// Renderman .RIB files. The input specifies a vtkRenderWindow. All
// visible actors and lights will be included in the rib file. The
// following file naming conventions apply:
//   rib file - FilePrefix.rib
//   image file created by RenderMan - FilePrefix.tif
//   texture files - TexturePrefix_0xADDR_MTIME.tif
// This object does NOT generate an image file. The user must run either
// RenderMan or a RenderMan emulator like Blue Moon Ray Tracer (BMRT).
// vtk properties are convert to Renderman shaders as follows:
//   Normal property, no texture map - plastic.sl
//   Normal property with texture map - txtplastic.sl
// These two shaders must be compiled by the rendering package being
// used.  vtkRIBExporter also supports custom shaders. The shaders are
// written using the Renderman Shading Language. See "The Renderman
// Companion", ISBN 0-201-50868, 1989 for details on writing shaders.
// vtkRIBProperty specifies the declarations and parameter settings for
// custom shaders.
// Tcl Example: generate a rib file for the current rendering.
// vtkRIBExporter myRIB
//   myRIB SetInput $renWin
//   myRIB SetFIlePrefix mine
//   myRIB Write
// This will create a file mine.rib. After running this file through
// a Renderman renderer a file mine.tif will contain the rendered image.
//
//
//To create an instance of class vtkRIBExporter, simply
//invoke its constructor as follows
//@[
//  obj = vtkRIBExporter
//@]
//@@Methods
//The class vtkRIBExporter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRIBExporter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRIBExporter = obj.NewInstance ()|
// \item @|vtkRIBExporter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetSize (int , int )|
// \item @|obj.SetSize (int  a[2])|
// \item @|int = obj. GetSize ()|
// \item @|obj.SetPixelSamples (int , int )|
// \item @|obj.SetPixelSamples (int  a[2])|
// \item @|int = obj. GetPixelSamples ()|
// \item @|obj.SetFilePrefix (string )| -  Specify the prefix of the files to write out. The resulting file names
// will have .RIB appended to them.
//// \item @|string = obj.GetFilePrefix ()| -  Specify the prefix of the files to write out. The resulting file names
// will have .RIB appended to them.
//// \item @|obj.SetTexturePrefix (string )| -  Specify the prefix of any generated texture files.
//// \item @|string = obj.GetTexturePrefix ()| -  Specify the prefix of any generated texture files.
//// \item @|obj.SetBackground (int )| -  Set/Get the background flag. Default is 0 (off).
// If set, the rib file will contain an
// image shader that will use the renderer window's background
// color. Normally, RenderMan does generate backgrounds. Backgrounds are
// composited into the scene with the tiffcomp program that comes with
// Pixar's RenderMan Toolkit.  In fact, Pixar's Renderman will accept an
// image shader but only sets the alpha of the background. Images created
// this way will still have a black background but contain an alpha of 1
// at all pixels and CANNOT be subsequently composited with other images
// using tiffcomp.  However, other RenderMan compliant renderers like
// Blue Moon Ray Tracing (BMRT) do allow image shaders and properly set
// the background color. If this sounds too confusing, use the following
// rules: If you are using Pixar's Renderman, leave the Background
// off. Otherwise, try setting BackGroundOn and see if you get the
// desired results.
//// \item @|int = obj.GetBackground ()| -  Set/Get the background flag. Default is 0 (off).
// If set, the rib file will contain an
// image shader that will use the renderer window's background
// color. Normally, RenderMan does generate backgrounds. Backgrounds are
// composited into the scene with the tiffcomp program that comes with
// Pixar's RenderMan Toolkit.  In fact, Pixar's Renderman will accept an
// image shader but only sets the alpha of the background. Images created
// this way will still have a black background but contain an alpha of 1
// at all pixels and CANNOT be subsequently composited with other images
// using tiffcomp.  However, other RenderMan compliant renderers like
// Blue Moon Ray Tracing (BMRT) do allow image shaders and properly set
// the background color. If this sounds too confusing, use the following
// rules: If you are using Pixar's Renderman, leave the Background
// off. Otherwise, try setting BackGroundOn and see if you get the
// desired results.
//// \item @|obj.BackgroundOn ()| -  Set/Get the background flag. Default is 0 (off).
// If set, the rib file will contain an
// image shader that will use the renderer window's background
// color. Normally, RenderMan does generate backgrounds. Backgrounds are
// composited into the scene with the tiffcomp program that comes with
// Pixar's RenderMan Toolkit.  In fact, Pixar's Renderman will accept an
// image shader but only sets the alpha of the background. Images created
// this way will still have a black background but contain an alpha of 1
// at all pixels and CANNOT be subsequently composited with other images
// using tiffcomp.  However, other RenderMan compliant renderers like
// Blue Moon Ray Tracing (BMRT) do allow image shaders and properly set
// the background color. If this sounds too confusing, use the following
// rules: If you are using Pixar's Renderman, leave the Background
// off. Otherwise, try setting BackGroundOn and see if you get the
// desired results.
//// \item @|obj.BackgroundOff ()| -  Set/Get the background flag. Default is 0 (off).
// If set, the rib file will contain an
// image shader that will use the renderer window's background
// color. Normally, RenderMan does generate backgrounds. Backgrounds are
// composited into the scene with the tiffcomp program that comes with
// Pixar's RenderMan Toolkit.  In fact, Pixar's Renderman will accept an
// image shader but only sets the alpha of the background. Images created
// this way will still have a black background but contain an alpha of 1
// at all pixels and CANNOT be subsequently composited with other images
// using tiffcomp.  However, other RenderMan compliant renderers like
// Blue Moon Ray Tracing (BMRT) do allow image shaders and properly set
// the background color. If this sounds too confusing, use the following
// rules: If you are using Pixar's Renderman, leave the Background
// off. Otherwise, try setting BackGroundOn and see if you get the
// desired results.
//// \item @|obj.SetExportArrays (int )| -  Set or get the ExportArrays. If ExportArrays is set, then
// all point data, field data, and cell data arrays will get 
// exported together with polygons.
//// \item @|int = obj.GetExportArraysMinValue ()| -  Set or get the ExportArrays. If ExportArrays is set, then
// all point data, field data, and cell data arrays will get 
// exported together with polygons.
//// \item @|int = obj.GetExportArraysMaxValue ()| -  Set or get the ExportArrays. If ExportArrays is set, then
// all point data, field data, and cell data arrays will get 
// exported together with polygons.
//// \item @|obj.ExportArraysOn ()| -  Set or get the ExportArrays. If ExportArrays is set, then
// all point data, field data, and cell data arrays will get 
// exported together with polygons.
//// \item @|obj.ExportArraysOff ()| -  Set or get the ExportArrays. If ExportArrays is set, then
// all point data, field data, and cell data arrays will get 
// exported together with polygons.
//// \item @|int = obj.GetExportArrays ()| -  Set or get the ExportArrays. If ExportArrays is set, then
// all point data, field data, and cell data arrays will get 
// exported together with polygons.
////\end{itemize}
//!
