#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRIBLight object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRIBLight.h"

//@@Signature
//sfunction @vtkRIBLight:vtkRIBLight vtkRIBLightConstructorFunction
//input a
//output p
//@@Parents vtkRIBLight vtkLight 
ArrayVector vtkRIBLightConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRIBLight::New(),"vtkRIBLight",eval);
  } else if (arg[0].className() == "vtkRIBLight") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRIBLight"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRIBLight");
    vtkRIBLight*q = reinterpret_cast<vtkRIBLight*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRIBLight");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRIBLight:GetClassName vtkRIBLightGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRIBLightGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRIBLight requires 1 argument(s)");
  vtkRIBLight* vtk_pointer = GetVTKPointer<vtkRIBLight>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRIBLight:IsA vtkRIBLightIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRIBLightIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRIBLight requires 2 argument(s)");
  vtkRIBLight* vtk_pointer = GetVTKPointer<vtkRIBLight>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRIBLight:NewInstance vtkRIBLightNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRIBLightNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRIBLight *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRIBLight requires 1 argument(s)");
  vtkRIBLight* vtk_pointer = GetVTKPointer<vtkRIBLight>(arg[0]);
  Array retval;
  vtkRIBLight  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRIBLight",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRIBLight:SafeDownCast vtkRIBLightSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRIBLightSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRIBLight *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRIBLight requires 2 argument(s)");
  vtkRIBLight* vtk_pointer = GetVTKPointer<vtkRIBLight>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRIBLight  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRIBLight",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRIBLight:ShadowsOn vtkRIBLightShadowsOnFunction
//input a0 
//output none
ArrayVector vtkRIBLightShadowsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShadowsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ShadowsOn for class vtkRIBLight requires 1 argument(s)");
  vtkRIBLight* vtk_pointer = GetVTKPointer<vtkRIBLight>(arg[0]);
  Array retval;
  vtk_pointer->ShadowsOn();
  return retval;
}

//@@Signature
//sfunction @vtkRIBLight:ShadowsOff vtkRIBLightShadowsOffFunction
//input a0 
//output none
ArrayVector vtkRIBLightShadowsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShadowsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ShadowsOff for class vtkRIBLight requires 1 argument(s)");
  vtkRIBLight* vtk_pointer = GetVTKPointer<vtkRIBLight>(arg[0]);
  Array retval;
  vtk_pointer->ShadowsOff();
  return retval;
}

//@@Signature
//sfunction @vtkRIBLight:SetShadows vtkRIBLightSetShadowsFunction
//input a0 a1 
//output none
ArrayVector vtkRIBLightSetShadowsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShadows (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetShadows for class vtkRIBLight requires 2 argument(s)");
  vtkRIBLight* vtk_pointer = GetVTKPointer<vtkRIBLight>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetShadows(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRIBLight:GetShadows vtkRIBLightGetShadowsFunction
//input a0 
//output y
ArrayVector vtkRIBLightGetShadowsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShadows (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShadows for class vtkRIBLight requires 1 argument(s)");
  vtkRIBLight* vtk_pointer = GetVTKPointer<vtkRIBLight>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetShadows();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRIBLight:Render vtkRIBLightRenderFunction
//input a0 a1 a2 
//output none
ArrayVector vtkRIBLightRenderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Render (vtkRenderer *ren, int index); */
  if (arg.size() < 3) 
    throw Exception("Function Render for class vtkRIBLight requires 3 argument(s)");
  vtkRIBLight* vtk_pointer = GetVTKPointer<vtkRIBLight>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  int      temp1;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->Render(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRIBLight:display vtkRIBLightDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRIBLightDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRIBLight* vtk_pointer = GetVTKPointer<vtkRIBLight>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRIBLight:delete vtkRIBLightDeleteFunction
//input varargin
//output none
ArrayVector vtkRIBLightDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRIBLight
//@@Section VTKHybrid
//@@Usage
// vtkRIBLight is a subclass of vtkLight that allows the user to
// specify light source shaders and shadow casting lights for use with RenderMan.
//
//
//To create an instance of class vtkRIBLight, simply
//invoke its constructor as follows
//@[
//  obj = vtkRIBLight
//@]
//@@Methods
//The class vtkRIBLight has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRIBLight class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRIBLight = obj.NewInstance ()|
// \item @|vtkRIBLight = obj.SafeDownCast (vtkObject o)|
// \item @|obj.ShadowsOn ()|
// \item @|obj.ShadowsOff ()|
// \item @|obj.SetShadows (int )|
// \item @|int = obj.GetShadows ()|
// \item @|obj.Render (vtkRenderer ren, int index)|
//\end{itemize}
//!
