#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRIBProperty object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRIBProperty.h"

//@@Signature
//sfunction @vtkRIBProperty:vtkRIBProperty vtkRIBPropertyConstructorFunction
//input a
//output p
//@@Parents vtkRIBProperty vtkProperty 
ArrayVector vtkRIBPropertyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRIBProperty::New(),"vtkRIBProperty",eval);
  } else if (arg[0].className() == "vtkRIBProperty") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRIBProperty"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRIBProperty");
    vtkRIBProperty*q = reinterpret_cast<vtkRIBProperty*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRIBProperty");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRIBProperty:GetClassName vtkRIBPropertyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRIBPropertyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRIBProperty requires 1 argument(s)");
  vtkRIBProperty* vtk_pointer = GetVTKPointer<vtkRIBProperty>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRIBProperty:IsA vtkRIBPropertyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRIBPropertyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRIBProperty requires 2 argument(s)");
  vtkRIBProperty* vtk_pointer = GetVTKPointer<vtkRIBProperty>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRIBProperty:NewInstance vtkRIBPropertyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRIBPropertyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRIBProperty *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRIBProperty requires 1 argument(s)");
  vtkRIBProperty* vtk_pointer = GetVTKPointer<vtkRIBProperty>(arg[0]);
  Array retval;
  vtkRIBProperty  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRIBProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRIBProperty:SafeDownCast vtkRIBPropertySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRIBPropertySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRIBProperty *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRIBProperty requires 2 argument(s)");
  vtkRIBProperty* vtk_pointer = GetVTKPointer<vtkRIBProperty>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRIBProperty  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRIBProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRIBProperty:SetSurfaceShader vtkRIBPropertySetSurfaceShaderFunction
//input a0 a1 
//output none
ArrayVector vtkRIBPropertySetSurfaceShaderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSurfaceShader (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSurfaceShader for class vtkRIBProperty requires 2 argument(s)");
  vtkRIBProperty* vtk_pointer = GetVTKPointer<vtkRIBProperty>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetSurfaceShader(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRIBProperty:GetSurfaceShader vtkRIBPropertyGetSurfaceShaderFunction
//input a0 
//output y
ArrayVector vtkRIBPropertyGetSurfaceShaderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetSurfaceShader (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSurfaceShader for class vtkRIBProperty requires 1 argument(s)");
  vtkRIBProperty* vtk_pointer = GetVTKPointer<vtkRIBProperty>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetSurfaceShader();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRIBProperty:SetDisplacementShader vtkRIBPropertySetDisplacementShaderFunction
//input a0 a1 
//output none
ArrayVector vtkRIBPropertySetDisplacementShaderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDisplacementShader (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetDisplacementShader for class vtkRIBProperty requires 2 argument(s)");
  vtkRIBProperty* vtk_pointer = GetVTKPointer<vtkRIBProperty>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetDisplacementShader(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRIBProperty:GetDisplacementShader vtkRIBPropertyGetDisplacementShaderFunction
//input a0 
//output y
ArrayVector vtkRIBPropertyGetDisplacementShaderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetDisplacementShader (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDisplacementShader for class vtkRIBProperty requires 1 argument(s)");
  vtkRIBProperty* vtk_pointer = GetVTKPointer<vtkRIBProperty>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetDisplacementShader();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRIBProperty:SetVariable vtkRIBPropertySetVariableFunction
//input a0 a1 a2 
//output none
ArrayVector vtkRIBPropertySetVariableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVariable (char *variable, char *declaration); */
  if (arg.size() < 3) 
    throw Exception("Function SetVariable for class vtkRIBProperty requires 3 argument(s)");
  vtkRIBProperty* vtk_pointer = GetVTKPointer<vtkRIBProperty>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->SetVariable(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRIBProperty:AddVariable vtkRIBPropertyAddVariableFunction
//input a0 a1 a2 
//output none
ArrayVector vtkRIBPropertyAddVariableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddVariable (char *variable, char *declaration); */
  if (arg.size() < 3) 
    throw Exception("Function AddVariable for class vtkRIBProperty requires 3 argument(s)");
  vtkRIBProperty* vtk_pointer = GetVTKPointer<vtkRIBProperty>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->AddVariable(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRIBProperty:GetDeclarations vtkRIBPropertyGetDeclarationsFunction
//input a0 
//output y
ArrayVector vtkRIBPropertyGetDeclarationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetDeclarations (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDeclarations for class vtkRIBProperty requires 1 argument(s)");
  vtkRIBProperty* vtk_pointer = GetVTKPointer<vtkRIBProperty>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetDeclarations();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRIBProperty:SetParameter vtkRIBPropertySetParameterFunction
//input a0 a1 a2 
//output none
ArrayVector vtkRIBPropertySetParameterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetParameter (char *parameter, char *value); */
  if (arg.size() < 3) 
    throw Exception("Function SetParameter for class vtkRIBProperty requires 3 argument(s)");
  vtkRIBProperty* vtk_pointer = GetVTKPointer<vtkRIBProperty>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->SetParameter(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRIBProperty:AddParameter vtkRIBPropertyAddParameterFunction
//input a0 a1 a2 
//output none
ArrayVector vtkRIBPropertyAddParameterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddParameter (char *parameter, char *value); */
  if (arg.size() < 3) 
    throw Exception("Function AddParameter for class vtkRIBProperty requires 3 argument(s)");
  vtkRIBProperty* vtk_pointer = GetVTKPointer<vtkRIBProperty>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->AddParameter(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkRIBProperty:GetParameters vtkRIBPropertyGetParametersFunction
//input a0 
//output y
ArrayVector vtkRIBPropertyGetParametersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetParameters (); */
  if (arg.size() < 1) 
    throw Exception("Function GetParameters for class vtkRIBProperty requires 1 argument(s)");
  vtkRIBProperty* vtk_pointer = GetVTKPointer<vtkRIBProperty>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetParameters();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRIBProperty:display vtkRIBPropertyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRIBPropertyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRIBProperty* vtk_pointer = GetVTKPointer<vtkRIBProperty>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRIBProperty:delete vtkRIBPropertyDeleteFunction
//input varargin
//output none
ArrayVector vtkRIBPropertyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRIBProperty
//@@Section VTKHybrid
//@@Usage
// vtkRIBProperty is a subclass of vtkProperty that allows the user to
// specify named shaders for use with RenderMan. Both a surface shader
// and displacement shader can be specified. Parameters for the shaders
// can be declared and set.
//
//
//To create an instance of class vtkRIBProperty, simply
//invoke its constructor as follows
//@[
//  obj = vtkRIBProperty
//@]
//@@Methods
//The class vtkRIBProperty has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRIBProperty class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRIBProperty = obj.NewInstance ()|
// \item @|vtkRIBProperty = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetSurfaceShader (string )| -  Specify the name of a surface shader.
//// \item @|string = obj.GetSurfaceShader ()| -  Specify the name of a surface shader.
//// \item @|obj.SetDisplacementShader (string )| -  Specify the name of a displacement shader.
//// \item @|string = obj.GetDisplacementShader ()| -  Specify the name of a displacement shader.
//// \item @|obj.SetVariable (string variable, string declaration)| -  Specify declarations for variables..
//// \item @|obj.AddVariable (string variable, string declaration)| -  Specify declarations for variables..
//// \item @|string = obj.GetDeclarations ()| -  Get variable declarations
//// \item @|obj.SetParameter (string parameter, string value)| -  Specify parameter values for variables.
//// \item @|obj.AddParameter (string parameter, string value)| -  Specify parameter values for variables.
//// \item @|string = obj.GetParameters ()| -  Get parameters.
////\end{itemize}
//!
