#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRenderLargeImage object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRenderLargeImage.h"

//@@Signature
//sfunction @vtkRenderLargeImage:vtkRenderLargeImage vtkRenderLargeImageConstructorFunction
//input a
//output p
//@@Parents vtkRenderLargeImage vtkAlgorithm 
ArrayVector vtkRenderLargeImageConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRenderLargeImage::New(),"vtkRenderLargeImage",eval);
  } else if (arg[0].className() == "vtkRenderLargeImage") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRenderLargeImage"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRenderLargeImage");
    vtkRenderLargeImage*q = reinterpret_cast<vtkRenderLargeImage*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRenderLargeImage");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRenderLargeImage:GetClassName vtkRenderLargeImageGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRenderLargeImageGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRenderLargeImage requires 1 argument(s)");
  vtkRenderLargeImage* vtk_pointer = GetVTKPointer<vtkRenderLargeImage>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderLargeImage:IsA vtkRenderLargeImageIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRenderLargeImageIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRenderLargeImage requires 2 argument(s)");
  vtkRenderLargeImage* vtk_pointer = GetVTKPointer<vtkRenderLargeImage>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderLargeImage:NewInstance vtkRenderLargeImageNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRenderLargeImageNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderLargeImage *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRenderLargeImage requires 1 argument(s)");
  vtkRenderLargeImage* vtk_pointer = GetVTKPointer<vtkRenderLargeImage>(arg[0]);
  Array retval;
  vtkRenderLargeImage  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderLargeImage",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderLargeImage:SafeDownCast vtkRenderLargeImageSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRenderLargeImageSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderLargeImage *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRenderLargeImage requires 2 argument(s)");
  vtkRenderLargeImage* vtk_pointer = GetVTKPointer<vtkRenderLargeImage>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRenderLargeImage  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderLargeImage",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderLargeImage:SetMagnification vtkRenderLargeImageSetMagnificationFunction
//input a0 a1 
//output none
ArrayVector vtkRenderLargeImageSetMagnificationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMagnification (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMagnification for class vtkRenderLargeImage requires 2 argument(s)");
  vtkRenderLargeImage* vtk_pointer = GetVTKPointer<vtkRenderLargeImage>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMagnification(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderLargeImage:GetMagnification vtkRenderLargeImageGetMagnificationFunction
//input a0 
//output y
ArrayVector vtkRenderLargeImageGetMagnificationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMagnification (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMagnification for class vtkRenderLargeImage requires 1 argument(s)");
  vtkRenderLargeImage* vtk_pointer = GetVTKPointer<vtkRenderLargeImage>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMagnification();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRenderLargeImage:SetInput vtkRenderLargeImageSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkRenderLargeImageSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkRenderer *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkRenderLargeImage requires 2 argument(s)");
  vtkRenderLargeImage* vtk_pointer = GetVTKPointer<vtkRenderLargeImage>(arg[0]);
  Array retval;
  vtkRenderer  *temp0;
  temp0 = GetVTKPointer<vtkRenderer>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRenderLargeImage:GetInput vtkRenderLargeImageGetInputFunction
//input a0 
//output y
ArrayVector vtkRenderLargeImageGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRenderer *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkRenderLargeImage requires 1 argument(s)");
  vtkRenderLargeImage* vtk_pointer = GetVTKPointer<vtkRenderLargeImage>(arg[0]);
  Array retval;
  vtkRenderer  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRenderer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderLargeImage:GetOutput vtkRenderLargeImageGetOutputFunction
//input a0 
//output y
ArrayVector vtkRenderLargeImageGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput for class vtkRenderLargeImage requires 1 argument(s)");
  vtkRenderLargeImage* vtk_pointer = GetVTKPointer<vtkRenderLargeImage>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRenderLargeImage:display vtkRenderLargeImageDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRenderLargeImageDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRenderLargeImage* vtk_pointer = GetVTKPointer<vtkRenderLargeImage>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRenderLargeImage:delete vtkRenderLargeImageDeleteFunction
//input varargin
//output none
ArrayVector vtkRenderLargeImageDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRenderLargeImage
//@@Section VTKHybrid
//@@Usage
// vtkRenderLargeImage provides methods needed to read a region from a file.
//
//To create an instance of class vtkRenderLargeImage, simply
//invoke its constructor as follows
//@[
//  obj = vtkRenderLargeImage
//@]
//@@Methods
//The class vtkRenderLargeImage has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRenderLargeImage class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRenderLargeImage = obj.NewInstance ()|
// \item @|vtkRenderLargeImage = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetMagnification (int )| -  The magnification of the current render window
//// \item @|int = obj.GetMagnification ()| -  The magnification of the current render window
//// \item @|obj.SetInput (vtkRenderer )| -  Indicates what renderer to get the pixel data from.
//// \item @|vtkRenderer = obj.GetInput ()| -  Returns which renderer is being used as the source for the pixel data.
//// \item @|vtkImageData = obj.GetOutput ()| -  Get the output data object for a port on this algorithm.
////\end{itemize}
//!
