#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSpiderPlotActor object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSpiderPlotActor.h"

//@@Signature
//sfunction @vtkSpiderPlotActor:vtkSpiderPlotActor vtkSpiderPlotActorConstructorFunction
//input a
//output p
//@@Parents vtkSpiderPlotActor vtkActor2D 
ArrayVector vtkSpiderPlotActorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSpiderPlotActor::New(),"vtkSpiderPlotActor",eval);
  } else if (arg[0].className() == "vtkSpiderPlotActor") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSpiderPlotActor"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSpiderPlotActor");
    vtkSpiderPlotActor*q = reinterpret_cast<vtkSpiderPlotActor*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSpiderPlotActor");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSpiderPlotActor:GetClassName vtkSpiderPlotActorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSpiderPlotActorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSpiderPlotActor requires 1 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:IsA vtkSpiderPlotActorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSpiderPlotActorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSpiderPlotActor requires 2 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:NewInstance vtkSpiderPlotActorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSpiderPlotActorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSpiderPlotActor *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSpiderPlotActor requires 1 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  vtkSpiderPlotActor  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSpiderPlotActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:SafeDownCast vtkSpiderPlotActorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSpiderPlotActorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSpiderPlotActor *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSpiderPlotActor requires 2 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSpiderPlotActor  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSpiderPlotActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:SetInput vtkSpiderPlotActorSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkSpiderPlotActorSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkSpiderPlotActor requires 2 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:GetInput vtkSpiderPlotActorGetInputFunction
//input a0 
//output y
ArrayVector vtkSpiderPlotActorGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkSpiderPlotActor requires 1 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:SetIndependentVariables vtkSpiderPlotActorSetIndependentVariablesFunction
//input a0 a1 
//output none
ArrayVector vtkSpiderPlotActorSetIndependentVariablesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIndependentVariables (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIndependentVariables for class vtkSpiderPlotActor requires 2 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIndependentVariables(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:GetIndependentVariablesMinValue vtkSpiderPlotActorGetIndependentVariablesMinValueFunction
//input a0 
//output y
ArrayVector vtkSpiderPlotActorGetIndependentVariablesMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIndependentVariablesMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIndependentVariablesMinValue for class vtkSpiderPlotActor requires 1 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIndependentVariablesMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:GetIndependentVariablesMaxValue vtkSpiderPlotActorGetIndependentVariablesMaxValueFunction
//input a0 
//output y
ArrayVector vtkSpiderPlotActorGetIndependentVariablesMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIndependentVariablesMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIndependentVariablesMaxValue for class vtkSpiderPlotActor requires 1 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIndependentVariablesMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:GetIndependentVariables vtkSpiderPlotActorGetIndependentVariablesFunction
//input a0 
//output y
ArrayVector vtkSpiderPlotActorGetIndependentVariablesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIndependentVariables (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIndependentVariables for class vtkSpiderPlotActor requires 1 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIndependentVariables();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:SetIndependentVariablesToColumns vtkSpiderPlotActorSetIndependentVariablesToColumnsFunction
//input a0 
//output none
ArrayVector vtkSpiderPlotActorSetIndependentVariablesToColumnsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIndependentVariablesToColumns ();this SetIndependentVariables VTK_IV_COLUMN  */
  if (arg.size() < 1) 
    throw Exception("Function SetIndependentVariablesToColumns for class vtkSpiderPlotActor requires 1 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->SetIndependentVariablesToColumns();
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:SetIndependentVariablesToRows vtkSpiderPlotActorSetIndependentVariablesToRowsFunction
//input a0 
//output none
ArrayVector vtkSpiderPlotActorSetIndependentVariablesToRowsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIndependentVariablesToRows ();this SetIndependentVariables VTK_IV_ROW  */
  if (arg.size() < 1) 
    throw Exception("Function SetIndependentVariablesToRows for class vtkSpiderPlotActor requires 1 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->SetIndependentVariablesToRows();
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:SetTitleVisibility vtkSpiderPlotActorSetTitleVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkSpiderPlotActorSetTitleVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTitleVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTitleVisibility for class vtkSpiderPlotActor requires 2 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTitleVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:GetTitleVisibility vtkSpiderPlotActorGetTitleVisibilityFunction
//input a0 
//output y
ArrayVector vtkSpiderPlotActorGetTitleVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTitleVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTitleVisibility for class vtkSpiderPlotActor requires 1 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTitleVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:TitleVisibilityOn vtkSpiderPlotActorTitleVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkSpiderPlotActorTitleVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TitleVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TitleVisibilityOn for class vtkSpiderPlotActor requires 1 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->TitleVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:TitleVisibilityOff vtkSpiderPlotActorTitleVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkSpiderPlotActorTitleVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TitleVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TitleVisibilityOff for class vtkSpiderPlotActor requires 1 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->TitleVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:SetTitle vtkSpiderPlotActorSetTitleFunction
//input a0 a1 
//output none
ArrayVector vtkSpiderPlotActorSetTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTitle (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTitle for class vtkSpiderPlotActor requires 2 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetTitle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:GetTitle vtkSpiderPlotActorGetTitleFunction
//input a0 
//output y
ArrayVector vtkSpiderPlotActorGetTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetTitle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTitle for class vtkSpiderPlotActor requires 1 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetTitle();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:SetTitleTextProperty vtkSpiderPlotActorSetTitleTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkSpiderPlotActorSetTitleTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTitleTextProperty (vtkTextProperty *p); */
  if (arg.size() < 2) 
    throw Exception("Function SetTitleTextProperty for class vtkSpiderPlotActor requires 2 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetTitleTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:GetTitleTextProperty vtkSpiderPlotActorGetTitleTextPropertyFunction
//input a0 
//output y
ArrayVector vtkSpiderPlotActorGetTitleTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetTitleTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTitleTextProperty for class vtkSpiderPlotActor requires 1 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetTitleTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:SetLabelVisibility vtkSpiderPlotActorSetLabelVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkSpiderPlotActorSetLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLabelVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelVisibility for class vtkSpiderPlotActor requires 2 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLabelVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:GetLabelVisibility vtkSpiderPlotActorGetLabelVisibilityFunction
//input a0 
//output y
ArrayVector vtkSpiderPlotActorGetLabelVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLabelVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelVisibility for class vtkSpiderPlotActor requires 1 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLabelVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:LabelVisibilityOn vtkSpiderPlotActorLabelVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkSpiderPlotActorLabelVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LabelVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function LabelVisibilityOn for class vtkSpiderPlotActor requires 1 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->LabelVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:LabelVisibilityOff vtkSpiderPlotActorLabelVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkSpiderPlotActorLabelVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LabelVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function LabelVisibilityOff for class vtkSpiderPlotActor requires 1 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->LabelVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:SetLabelTextProperty vtkSpiderPlotActorSetLabelTextPropertyFunction
//input a0 a1 
//output none
ArrayVector vtkSpiderPlotActorSetLabelTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLabelTextProperty (vtkTextProperty *p); */
  if (arg.size() < 2) 
    throw Exception("Function SetLabelTextProperty for class vtkSpiderPlotActor requires 2 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  vtkTextProperty  *temp0;
  temp0 = GetVTKPointer<vtkTextProperty>(arg[1]);
  vtk_pointer->SetLabelTextProperty(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:GetLabelTextProperty vtkSpiderPlotActorGetLabelTextPropertyFunction
//input a0 
//output y
ArrayVector vtkSpiderPlotActorGetLabelTextPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTextProperty *GetLabelTextProperty (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLabelTextProperty for class vtkSpiderPlotActor requires 1 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  vtkTextProperty  *temp20;
  temp20 = (vtk_pointer)->GetLabelTextProperty();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTextProperty",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:SetNumberOfRings vtkSpiderPlotActorSetNumberOfRingsFunction
//input a0 a1 
//output none
ArrayVector vtkSpiderPlotActorSetNumberOfRingsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfRings (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfRings for class vtkSpiderPlotActor requires 2 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfRings(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:GetNumberOfRingsMinValue vtkSpiderPlotActorGetNumberOfRingsMinValueFunction
//input a0 
//output y
ArrayVector vtkSpiderPlotActorGetNumberOfRingsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfRingsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfRingsMinValue for class vtkSpiderPlotActor requires 1 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfRingsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:GetNumberOfRingsMaxValue vtkSpiderPlotActorGetNumberOfRingsMaxValueFunction
//input a0 
//output y
ArrayVector vtkSpiderPlotActorGetNumberOfRingsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfRingsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfRingsMaxValue for class vtkSpiderPlotActor requires 1 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfRingsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:GetNumberOfRings vtkSpiderPlotActorGetNumberOfRingsFunction
//input a0 
//output y
ArrayVector vtkSpiderPlotActorGetNumberOfRingsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfRings (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfRings for class vtkSpiderPlotActor requires 1 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfRings();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:SetAxisLabel vtkSpiderPlotActorSetAxisLabelFunction
//input a0 a1 a2 
//output none
ArrayVector vtkSpiderPlotActorSetAxisLabelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAxisLabel (const int i, const char *); */
  if (arg.size() < 3) 
    throw Exception("Function SetAxisLabel for class vtkSpiderPlotActor requires 3 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->SetAxisLabel(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:GetAxisLabel vtkSpiderPlotActorGetAxisLabelFunction
//input a0 a1 
//output y
ArrayVector vtkSpiderPlotActorGetAxisLabelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetAxisLabel (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetAxisLabel for class vtkSpiderPlotActor requires 2 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetAxisLabel(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:SetAxisRange__1 vtkSpiderPlotActorSetAxisRange__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkSpiderPlotActorSetAxisRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAxisRange (int i, double min, double max); */
  if (arg.size() < 4) 
    throw Exception("Function SetAxisRange__1 for class vtkSpiderPlotActor requires 4 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetAxisRange(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:SetAxisRange__2 vtkSpiderPlotActorSetAxisRange__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkSpiderPlotActorSetAxisRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAxisRange (int i, double range[2]); */
  if (arg.size() < 3) 
    throw Exception("Function SetAxisRange__2 for class vtkSpiderPlotActor requires 3 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[2];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->SetAxisRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:GetAxisRange vtkSpiderPlotActorGetAxisRangeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkSpiderPlotActorGetAxisRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetAxisRange (int i, double range[2]); */
  if (arg.size() < 3) 
    throw Exception("Function GetAxisRange for class vtkSpiderPlotActor requires 3 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[2];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetAxisRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:SetPlotColor__1 vtkSpiderPlotActorSetPlotColor__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkSpiderPlotActorSetPlotColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlotColor (int i, double r, double g, double b); */
  if (arg.size() < 5) 
    throw Exception("Function SetPlotColor__1 for class vtkSpiderPlotActor requires 5 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetPlotColor(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:SetPlotColor__2 vtkSpiderPlotActorSetPlotColor__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkSpiderPlotActorSetPlotColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPlotColor (int i, const double color[3]);this SetPlotColor i color color color  */
  if (arg.size() < 3) 
    throw Exception("Function SetPlotColor__2 for class vtkSpiderPlotActor requires 3 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[3];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->SetPlotColor(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:SetLegendVisibility vtkSpiderPlotActorSetLegendVisibilityFunction
//input a0 a1 
//output none
ArrayVector vtkSpiderPlotActorSetLegendVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLegendVisibility (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLegendVisibility for class vtkSpiderPlotActor requires 2 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLegendVisibility(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:GetLegendVisibility vtkSpiderPlotActorGetLegendVisibilityFunction
//input a0 
//output y
ArrayVector vtkSpiderPlotActorGetLegendVisibilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLegendVisibility (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLegendVisibility for class vtkSpiderPlotActor requires 1 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLegendVisibility();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:LegendVisibilityOn vtkSpiderPlotActorLegendVisibilityOnFunction
//input a0 
//output none
ArrayVector vtkSpiderPlotActorLegendVisibilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LegendVisibilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function LegendVisibilityOn for class vtkSpiderPlotActor requires 1 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->LegendVisibilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:LegendVisibilityOff vtkSpiderPlotActorLegendVisibilityOffFunction
//input a0 
//output none
ArrayVector vtkSpiderPlotActorLegendVisibilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LegendVisibilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function LegendVisibilityOff for class vtkSpiderPlotActor requires 1 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  vtk_pointer->LegendVisibilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:GetLegendActor vtkSpiderPlotActorGetLegendActorFunction
//input a0 
//output y
ArrayVector vtkSpiderPlotActorGetLegendActorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLegendBoxActor *GetLegendActor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLegendActor for class vtkSpiderPlotActor requires 1 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  vtkLegendBoxActor  *temp20;
  temp20 = (vtk_pointer)->GetLegendActor();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLegendBoxActor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:RenderOverlay vtkSpiderPlotActorRenderOverlayFunction
//input a0 a1 
//output y
ArrayVector vtkSpiderPlotActorRenderOverlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RenderOverlay (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOverlay for class vtkSpiderPlotActor requires 2 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOverlay(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:RenderOpaqueGeometry vtkSpiderPlotActorRenderOpaqueGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkSpiderPlotActorRenderOpaqueGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int RenderOpaqueGeometry (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function RenderOpaqueGeometry for class vtkSpiderPlotActor requires 2 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderOpaqueGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:RenderTranslucentPolygonalGeometry vtkSpiderPlotActorRenderTranslucentPolygonalGeometryFunction
//input a0 a1 
//output y
ArrayVector vtkSpiderPlotActorRenderTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RenderTranslucentPolygonalGeometry (vtkViewport *);return  */
  if (arg.size() < 2) 
    throw Exception("Function RenderTranslucentPolygonalGeometry for class vtkSpiderPlotActor requires 2 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  temp20 = (vtk_pointer)->RenderTranslucentPolygonalGeometry(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:HasTranslucentPolygonalGeometry vtkSpiderPlotActorHasTranslucentPolygonalGeometryFunction
//input a0 
//output y
ArrayVector vtkSpiderPlotActorHasTranslucentPolygonalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasTranslucentPolygonalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function HasTranslucentPolygonalGeometry for class vtkSpiderPlotActor requires 1 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->HasTranslucentPolygonalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:ReleaseGraphicsResources vtkSpiderPlotActorReleaseGraphicsResourcesFunction
//input a0 a1 
//output none
ArrayVector vtkSpiderPlotActorReleaseGraphicsResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReleaseGraphicsResources (vtkWindow *); */
  if (arg.size() < 2) 
    throw Exception("Function ReleaseGraphicsResources for class vtkSpiderPlotActor requires 2 argument(s)");
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  Array retval;
  vtkWindow  *temp0;
  temp0 = GetVTKPointer<vtkWindow>(arg[1]);
  vtk_pointer->ReleaseGraphicsResources(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSpiderPlotActor:SetAxisRange vtkSpiderPlotActorSetAxisRangeFunction
//input varargin
//output varargout
ArrayVector vtkSpiderPlotActorSetAxisRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkSpiderPlotActorSetAxisRange__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkSpiderPlotActorSetAxisRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSpiderPlotActorSetAxisRange");
}

//@@Signature
//sfunction @vtkSpiderPlotActor:SetPlotColor vtkSpiderPlotActorSetPlotColorFunction
//input varargin
//output varargout
ArrayVector vtkSpiderPlotActorSetPlotColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkSpiderPlotActorSetPlotColor__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkSpiderPlotActorSetPlotColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSpiderPlotActorSetPlotColor");
}

//@@Signature
//sfunction @vtkSpiderPlotActor:display vtkSpiderPlotActorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSpiderPlotActorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSpiderPlotActor* vtk_pointer = GetVTKPointer<vtkSpiderPlotActor>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSpiderPlotActor:delete vtkSpiderPlotActorDeleteFunction
//input varargin
//output none
ArrayVector vtkSpiderPlotActorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSpiderPlotActor
//@@Section VTKHybrid
//@@Usage
// vtkSpiderPlotActor generates a spider plot from an input field (i.e.,
// vtkDataObject). A spider plot represents N-dimensional data by using a set
// of N axes that originate from the center of a circle, and form the spokes
// of a wheel (like a spider web).  Each N-dimensional point is plotted as a
// polyline that forms a closed polygon; the vertices of the polygon
// are plotted against the radial axes.
//
// To use this class, you must specify an input data object. You'll probably
// also want to specify the position of the plot be setting the Position and
// Position2 instance variables, which define a rectangle in which the plot
// lies. Another important parameter is the IndependentVariables ivar, which
// tells the instance how to interpret the field data (independent variables
// as the rows or columns of the field). There are also many other instance
// variables that control the look of the plot includes its title and legend.
//
// Set the text property/attributes of the title and the labels through the 
// vtkTextProperty objects associated with these components.
//
//To create an instance of class vtkSpiderPlotActor, simply
//invoke its constructor as follows
//@[
//  obj = vtkSpiderPlotActor
//@]
//@@Methods
//The class vtkSpiderPlotActor has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSpiderPlotActor class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Standard methods for type information and printing.
//// \item @|int = obj.IsA (string name)| -  Standard methods for type information and printing.
//// \item @|vtkSpiderPlotActor = obj.NewInstance ()| -  Standard methods for type information and printing.
//// \item @|vtkSpiderPlotActor = obj.SafeDownCast (vtkObject o)| -  Standard methods for type information and printing.
//// \item @|obj.SetInput (vtkDataObject )| -  Set the input to the spider plot actor.
//// \item @|vtkDataObject = obj.GetInput ()| -  Get the input data object to this actor.
//// \item @|obj.SetIndependentVariables (int )| -  Specify whether to use the rows or columns as independent variables.
// If columns, then each row represents a separate point. If rows, then 
// each column represents a separate point.
//// \item @|int = obj.GetIndependentVariablesMinValue ()| -  Specify whether to use the rows or columns as independent variables.
// If columns, then each row represents a separate point. If rows, then 
// each column represents a separate point.
//// \item @|int = obj.GetIndependentVariablesMaxValue ()| -  Specify whether to use the rows or columns as independent variables.
// If columns, then each row represents a separate point. If rows, then 
// each column represents a separate point.
//// \item @|int = obj.GetIndependentVariables ()| -  Specify whether to use the rows or columns as independent variables.
// If columns, then each row represents a separate point. If rows, then 
// each column represents a separate point.
//// \item @|obj.SetIndependentVariablesToColumns ()| -  Specify whether to use the rows or columns as independent variables.
// If columns, then each row represents a separate point. If rows, then 
// each column represents a separate point.
//// \item @|obj.SetIndependentVariablesToRows ()| -  Specify whether to use the rows or columns as independent variables.
// If columns, then each row represents a separate point. If rows, then 
// each column represents a separate point.
//// \item @|obj.SetTitleVisibility (int )| -  Enable/Disable the display of a plot title.
//// \item @|int = obj.GetTitleVisibility ()| -  Enable/Disable the display of a plot title.
//// \item @|obj.TitleVisibilityOn ()| -  Enable/Disable the display of a plot title.
//// \item @|obj.TitleVisibilityOff ()| -  Enable/Disable the display of a plot title.
//// \item @|obj.SetTitle (string )| -  Set/Get the title of the spider plot.
//// \item @|string = obj.GetTitle ()| -  Set/Get the title of the spider plot.
//// \item @|obj.SetTitleTextProperty (vtkTextProperty p)| -  Set/Get the title text property.
//// \item @|vtkTextProperty = obj.GetTitleTextProperty ()| -  Set/Get the title text property.
//// \item @|obj.SetLabelVisibility (int )|
// \item @|int = obj.GetLabelVisibility ()|
// \item @|obj.LabelVisibilityOn ()|
// \item @|obj.LabelVisibilityOff ()|
// \item @|obj.SetLabelTextProperty (vtkTextProperty p)| -  Enable/Disable the creation of a legend. If on, the legend labels will
// be created automatically unless the per plot legend symbol has been
// set.
//// \item @|vtkTextProperty = obj.GetLabelTextProperty ()| -  Enable/Disable the creation of a legend. If on, the legend labels will
// be created automatically unless the per plot legend symbol has been
// set.
//// \item @|obj.SetNumberOfRings (int )| -  Specify the number of circumferential rings. If set to zero, then
// none will be shown; othewise the specified number will be shown.
//// \item @|int = obj.GetNumberOfRingsMinValue ()| -  Specify the number of circumferential rings. If set to zero, then
// none will be shown; othewise the specified number will be shown.
//// \item @|int = obj.GetNumberOfRingsMaxValue ()| -  Specify the number of circumferential rings. If set to zero, then
// none will be shown; othewise the specified number will be shown.
//// \item @|int = obj.GetNumberOfRings ()| -  Specify the number of circumferential rings. If set to zero, then
// none will be shown; othewise the specified number will be shown.
//// \item @|obj.SetAxisLabel (int i, string )| -  Specify the names of the radial spokes (i.e., the radial axes). If
// not specified, then an integer number is automatically generated.
//// \item @|string = obj.GetAxisLabel (int i)| -  Specify the names of the radial spokes (i.e., the radial axes). If
// not specified, then an integer number is automatically generated.
//// \item @|obj.SetAxisRange (int i, double min, double max)| -  Specify the range of data on each radial axis. If not specified,
// then the range is computed automatically. 
//// \item @|obj.SetAxisRange (int i, double range[2])| -  Specify the range of data on each radial axis. If not specified,
// then the range is computed automatically. 
//// \item @|obj.GetAxisRange (int i, double range[2])| -  Specify the range of data on each radial axis. If not specified,
// then the range is computed automatically. 
//// \item @|obj.SetPlotColor (int i, double r, double g, double b)| -  Specify colors for each plot. If not specified, they are automatically generated.
//// \item @|obj.SetPlotColor (int i, double color[3])| -  Specify colors for each plot. If not specified, they are automatically generated.
//// \item @|obj.SetLegendVisibility (int )| -  Enable/Disable the creation of a legend. If on, the legend labels will
// be created automatically unless the per plot legend symbol has been
// set.
//// \item @|int = obj.GetLegendVisibility ()| -  Enable/Disable the creation of a legend. If on, the legend labels will
// be created automatically unless the per plot legend symbol has been
// set.
//// \item @|obj.LegendVisibilityOn ()| -  Enable/Disable the creation of a legend. If on, the legend labels will
// be created automatically unless the per plot legend symbol has been
// set.
//// \item @|obj.LegendVisibilityOff ()| -  Enable/Disable the creation of a legend. If on, the legend labels will
// be created automatically unless the per plot legend symbol has been
// set.
//// \item @|vtkLegendBoxActor = obj.GetLegendActor ()| -  Retrieve handles to the legend box. This is useful if you would like 
// to manually control the legend appearance.
//// \item @|int = obj.RenderOverlay (vtkViewport )| -  Draw the spider plot.
//// \item @|int = obj.RenderOpaqueGeometry (vtkViewport )| -  Draw the spider plot.
//// \item @|int = obj.RenderTranslucentPolygonalGeometry (vtkViewport )| -  Does this prop have some translucent polygonal geometry?
//// \item @|int = obj.HasTranslucentPolygonalGeometry ()| -  Does this prop have some translucent polygonal geometry?
//// \item @|obj.ReleaseGraphicsResources (vtkWindow )| -  Release any graphics resources that are being consumed by this actor.
// The parameter window could be used to determine which graphic
// resources to release.
////\end{itemize}
//!
