#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStructuredExtent object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStructuredExtent.h"

//@@Signature
//sfunction @vtkStructuredExtent:vtkStructuredExtent vtkStructuredExtentConstructorFunction
//input a
//output p
//@@Parents vtkStructuredExtent vtkObject 
ArrayVector vtkStructuredExtentConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStructuredExtent::New(),"vtkStructuredExtent",eval);
  } else if (arg[0].className() == "vtkStructuredExtent") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStructuredExtent"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStructuredExtent");
    vtkStructuredExtent*q = reinterpret_cast<vtkStructuredExtent*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStructuredExtent");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStructuredExtent:GetClassName vtkStructuredExtentGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStructuredExtentGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStructuredExtent requires 1 argument(s)");
  vtkStructuredExtent* vtk_pointer = GetVTKPointer<vtkStructuredExtent>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredExtent:IsA vtkStructuredExtentIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredExtentIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStructuredExtent requires 2 argument(s)");
  vtkStructuredExtent* vtk_pointer = GetVTKPointer<vtkStructuredExtent>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredExtent:NewInstance vtkStructuredExtentNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStructuredExtentNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredExtent *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStructuredExtent requires 1 argument(s)");
  vtkStructuredExtent* vtk_pointer = GetVTKPointer<vtkStructuredExtent>(arg[0]);
  Array retval;
  vtkStructuredExtent  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredExtent",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredExtent:SafeDownCast vtkStructuredExtentSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredExtentSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredExtent *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStructuredExtent requires 2 argument(s)");
  vtkStructuredExtent* vtk_pointer = GetVTKPointer<vtkStructuredExtent>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStructuredExtent  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredExtent",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredExtent:Clamp vtkStructuredExtentClampFunction
//input a0 a1 a2 
//output none
ArrayVector vtkStructuredExtentClampFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void Clamp (int ext[6], int wholeExt[6]); */
  if (arg.size() < 3) 
    throw Exception("Function Clamp for class vtkStructuredExtent requires 3 argument(s)");
  vtkStructuredExtent* vtk_pointer = GetVTKPointer<vtkStructuredExtent>(arg[0]);
  Array retval;
  int    temp0[6];
  int    temp1[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
  }
  vtk_pointer->Clamp(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredExtent:StrictlySmaller vtkStructuredExtentStrictlySmallerFunction
//input a0 a1 a2 
//output y
ArrayVector vtkStructuredExtentStrictlySmallerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static bool StrictlySmaller (const int ext[6], const int wholeExt[6]); */
  if (arg.size() < 3) 
    throw Exception("Function StrictlySmaller for class vtkStructuredExtent requires 3 argument(s)");
  vtkStructuredExtent* vtk_pointer = GetVTKPointer<vtkStructuredExtent>(arg[0]);
  Array retval;
  int    temp0[6];
  int    temp1[6];
  bool   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
  }
  temp20 = (vtk_pointer)->StrictlySmaller(temp0,temp1);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredExtent:Smaller vtkStructuredExtentSmallerFunction
//input a0 a1 a2 
//output y
ArrayVector vtkStructuredExtentSmallerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static bool Smaller (const int ext[6], const int wholeExt[6]); */
  if (arg.size() < 3) 
    throw Exception("Function Smaller for class vtkStructuredExtent requires 3 argument(s)");
  vtkStructuredExtent* vtk_pointer = GetVTKPointer<vtkStructuredExtent>(arg[0]);
  Array retval;
  int    temp0[6];
  int    temp1[6];
  bool   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
  }
  temp20 = (vtk_pointer)->Smaller(temp0,temp1);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredExtent:Grow vtkStructuredExtentGrowFunction
//input a0 a1 a2 
//output none
ArrayVector vtkStructuredExtentGrowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void Grow (int ext[6], int count); */
  if (arg.size() < 3) 
    throw Exception("Function Grow for class vtkStructuredExtent requires 3 argument(s)");
  vtkStructuredExtent* vtk_pointer = GetVTKPointer<vtkStructuredExtent>(arg[0]);
  Array retval;
  int    temp0[6];
  int      temp1;
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[7].asDouble();
  vtk_pointer->Grow(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredExtent:Transform vtkStructuredExtentTransformFunction
//input a0 a1 a2 
//output none
ArrayVector vtkStructuredExtentTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void Transform (int ext[6], int wholeExt[6]); */
  if (arg.size() < 3) 
    throw Exception("Function Transform for class vtkStructuredExtent requires 3 argument(s)");
  vtkStructuredExtent* vtk_pointer = GetVTKPointer<vtkStructuredExtent>(arg[0]);
  Array retval;
  int    temp0[6];
  int    temp1[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
  }
  vtk_pointer->Transform(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredExtent:GetDimensions vtkStructuredExtentGetDimensionsFunction
//input a0 a1 a2 
//output none
ArrayVector vtkStructuredExtentGetDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void GetDimensions (const int ext[6], int dims[3]); */
  if (arg.size() < 3) 
    throw Exception("Function GetDimensions for class vtkStructuredExtent requires 3 argument(s)");
  vtkStructuredExtent* vtk_pointer = GetVTKPointer<vtkStructuredExtent>(arg[0]);
  Array retval;
  int    temp0[6];
  int    temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
  }
  vtk_pointer->GetDimensions(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredExtent:display vtkStructuredExtentDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStructuredExtentDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStructuredExtent* vtk_pointer = GetVTKPointer<vtkStructuredExtent>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStructuredExtent:delete vtkStructuredExtentDeleteFunction
//input varargin
//output none
ArrayVector vtkStructuredExtentDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStructuredExtent
//@@Section VTKHybrid
//@@Usage
//  vtkStructuredExtent is an helper class that helps in arithmetic with
//  structured extents. It defines a bunch of static methods (most of which are
//  inlined) to aid in dealing with extents.
//
//To create an instance of class vtkStructuredExtent, simply
//invoke its constructor as follows
//@[
//  obj = vtkStructuredExtent
//@]
//@@Methods
//The class vtkStructuredExtent has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStructuredExtent class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStructuredExtent = obj.NewInstance ()|
// \item @|vtkStructuredExtent = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
