#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTemporalDataSetCache object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTemporalDataSetCache.h"

//@@Signature
//sfunction @vtkTemporalDataSetCache:vtkTemporalDataSetCache vtkTemporalDataSetCacheConstructorFunction
//input a
//output p
//@@Parents vtkTemporalDataSetCache vtkTemporalDataSetAlgorithm 
ArrayVector vtkTemporalDataSetCacheConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTemporalDataSetCache::New(),"vtkTemporalDataSetCache",eval);
  } else if (arg[0].className() == "vtkTemporalDataSetCache") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTemporalDataSetCache"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTemporalDataSetCache");
    vtkTemporalDataSetCache*q = reinterpret_cast<vtkTemporalDataSetCache*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTemporalDataSetCache");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTemporalDataSetCache:GetClassName vtkTemporalDataSetCacheGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTemporalDataSetCacheGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTemporalDataSetCache requires 1 argument(s)");
  vtkTemporalDataSetCache* vtk_pointer = GetVTKPointer<vtkTemporalDataSetCache>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalDataSetCache:IsA vtkTemporalDataSetCacheIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTemporalDataSetCacheIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTemporalDataSetCache requires 2 argument(s)");
  vtkTemporalDataSetCache* vtk_pointer = GetVTKPointer<vtkTemporalDataSetCache>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalDataSetCache:NewInstance vtkTemporalDataSetCacheNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTemporalDataSetCacheNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTemporalDataSetCache *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTemporalDataSetCache requires 1 argument(s)");
  vtkTemporalDataSetCache* vtk_pointer = GetVTKPointer<vtkTemporalDataSetCache>(arg[0]);
  Array retval;
  vtkTemporalDataSetCache  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTemporalDataSetCache",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalDataSetCache:SafeDownCast vtkTemporalDataSetCacheSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTemporalDataSetCacheSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTemporalDataSetCache *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTemporalDataSetCache requires 2 argument(s)");
  vtkTemporalDataSetCache* vtk_pointer = GetVTKPointer<vtkTemporalDataSetCache>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTemporalDataSetCache  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTemporalDataSetCache",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalDataSetCache:SetCacheSize vtkTemporalDataSetCacheSetCacheSizeFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalDataSetCacheSetCacheSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCacheSize (int size); */
  if (arg.size() < 2) 
    throw Exception("Function SetCacheSize for class vtkTemporalDataSetCache requires 2 argument(s)");
  vtkTemporalDataSetCache* vtk_pointer = GetVTKPointer<vtkTemporalDataSetCache>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCacheSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalDataSetCache:GetCacheSize vtkTemporalDataSetCacheGetCacheSizeFunction
//input a0 
//output y
ArrayVector vtkTemporalDataSetCacheGetCacheSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCacheSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCacheSize for class vtkTemporalDataSetCache requires 1 argument(s)");
  vtkTemporalDataSetCache* vtk_pointer = GetVTKPointer<vtkTemporalDataSetCache>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCacheSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalDataSetCache:display vtkTemporalDataSetCacheDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTemporalDataSetCacheDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTemporalDataSetCache* vtk_pointer = GetVTKPointer<vtkTemporalDataSetCache>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTemporalDataSetCache:delete vtkTemporalDataSetCacheDeleteFunction
//input varargin
//output none
ArrayVector vtkTemporalDataSetCacheDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTemporalDataSetCache
//@@Section VTKHybrid
//@@Usage
// vtkTemporalDataSetCache cache time step requests of a temporal dataset,
// when cached data is requested it is returned using a shallow copy.
// .SECTION Thanks
// Ken Martin (Kitware) and John Bidiscombe of 
// CSCS - Swiss National Supercomputing Centre
// for creating and contributing this class.
// For related material, please refer to : 
// John Biddiscombe, Berk Geveci, Ken Martin, Kenneth Moreland, David Thompson,
// "Time Dependent Processing in a Parallel Pipeline Architecture", 
// IEEE Visualization 2007. 
//
//To create an instance of class vtkTemporalDataSetCache, simply
//invoke its constructor as follows
//@[
//  obj = vtkTemporalDataSetCache
//@]
//@@Methods
//The class vtkTemporalDataSetCache has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTemporalDataSetCache class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTemporalDataSetCache = obj.NewInstance ()|
// \item @|vtkTemporalDataSetCache = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCacheSize (int size)| -  This is the maximum number of time steps that can be retained in memory.
// it defaults to 10.
//// \item @|int = obj.GetCacheSize ()| -  This is the maximum number of time steps that can be retained in memory.
// it defaults to 10.
////\end{itemize}
//!
