#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTemporalInterpolator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTemporalInterpolator.h"

//@@Signature
//sfunction @vtkTemporalInterpolator:vtkTemporalInterpolator vtkTemporalInterpolatorConstructorFunction
//input a
//output p
//@@Parents vtkTemporalInterpolator vtkTemporalDataSetAlgorithm 
ArrayVector vtkTemporalInterpolatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTemporalInterpolator::New(),"vtkTemporalInterpolator",eval);
  } else if (arg[0].className() == "vtkTemporalInterpolator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTemporalInterpolator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTemporalInterpolator");
    vtkTemporalInterpolator*q = reinterpret_cast<vtkTemporalInterpolator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTemporalInterpolator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTemporalInterpolator:GetClassName vtkTemporalInterpolatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTemporalInterpolatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTemporalInterpolator requires 1 argument(s)");
  vtkTemporalInterpolator* vtk_pointer = GetVTKPointer<vtkTemporalInterpolator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalInterpolator:IsA vtkTemporalInterpolatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTemporalInterpolatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTemporalInterpolator requires 2 argument(s)");
  vtkTemporalInterpolator* vtk_pointer = GetVTKPointer<vtkTemporalInterpolator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalInterpolator:NewInstance vtkTemporalInterpolatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTemporalInterpolatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTemporalInterpolator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTemporalInterpolator requires 1 argument(s)");
  vtkTemporalInterpolator* vtk_pointer = GetVTKPointer<vtkTemporalInterpolator>(arg[0]);
  Array retval;
  vtkTemporalInterpolator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTemporalInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalInterpolator:SafeDownCast vtkTemporalInterpolatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTemporalInterpolatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTemporalInterpolator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTemporalInterpolator requires 2 argument(s)");
  vtkTemporalInterpolator* vtk_pointer = GetVTKPointer<vtkTemporalInterpolator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTemporalInterpolator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTemporalInterpolator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalInterpolator:SetDiscreteTimeStepInterval vtkTemporalInterpolatorSetDiscreteTimeStepIntervalFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalInterpolatorSetDiscreteTimeStepIntervalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDiscreteTimeStepInterval (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDiscreteTimeStepInterval for class vtkTemporalInterpolator requires 2 argument(s)");
  vtkTemporalInterpolator* vtk_pointer = GetVTKPointer<vtkTemporalInterpolator>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDiscreteTimeStepInterval(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalInterpolator:GetDiscreteTimeStepInterval vtkTemporalInterpolatorGetDiscreteTimeStepIntervalFunction
//input a0 
//output y
ArrayVector vtkTemporalInterpolatorGetDiscreteTimeStepIntervalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDiscreteTimeStepInterval (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDiscreteTimeStepInterval for class vtkTemporalInterpolator requires 1 argument(s)");
  vtkTemporalInterpolator* vtk_pointer = GetVTKPointer<vtkTemporalInterpolator>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDiscreteTimeStepInterval();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalInterpolator:SetResampleFactor vtkTemporalInterpolatorSetResampleFactorFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalInterpolatorSetResampleFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetResampleFactor (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetResampleFactor for class vtkTemporalInterpolator requires 2 argument(s)");
  vtkTemporalInterpolator* vtk_pointer = GetVTKPointer<vtkTemporalInterpolator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetResampleFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalInterpolator:GetResampleFactor vtkTemporalInterpolatorGetResampleFactorFunction
//input a0 
//output y
ArrayVector vtkTemporalInterpolatorGetResampleFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetResampleFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResampleFactor for class vtkTemporalInterpolator requires 1 argument(s)");
  vtkTemporalInterpolator* vtk_pointer = GetVTKPointer<vtkTemporalInterpolator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetResampleFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalInterpolator:display vtkTemporalInterpolatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTemporalInterpolatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTemporalInterpolator* vtk_pointer = GetVTKPointer<vtkTemporalInterpolator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTemporalInterpolator:delete vtkTemporalInterpolatorDeleteFunction
//input varargin
//output none
ArrayVector vtkTemporalInterpolatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTemporalInterpolator
//@@Section VTKHybrid
//@@Usage
// vtkTemporalInterpolator interpolates between two time steps to
// produce new data for an arbitrary T.
// vtkTemporalInterpolator has three modes of operation. 
// The default mode is to produce a continuous range of time 
// values as output, which enables a filter downstream to request 
// any value of T within the range. 
// The second mode of operation is enabled by setting
// DiscreteTimeStepInterval to a non zero value. When this mode is
// activated, the filter will report a finite number of Time steps
// separated by deltaT between the original range of values.
// This mode is useful when a dataset of N time steps has one (or more)
// missing datasets for certain T values and you simply wish to smooth
// over the missing steps but otherwise use the original data.
// The third mode of operation is enabled by setting
// ResampleFactor to a non zero positive integer value. 
// When this mode is activated, the filter will report a finite number 
// of Time steps which contain the original steps, plus N new values between
// each original step 1/ResampleFactor time units apart.
// Note that if the input time steps are irregular, then using ResampleFactor
// will produce an irregular sequence of regular steps between 
// each of the original irregular steps (clear enough, yes?).
//
// @TODO
// Higher order interpolation schemes will require changes to the API
// as most calls assume only two timesteps are used.
//
//To create an instance of class vtkTemporalInterpolator, simply
//invoke its constructor as follows
//@[
//  obj = vtkTemporalInterpolator
//@]
//@@Methods
//The class vtkTemporalInterpolator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTemporalInterpolator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTemporalInterpolator = obj.NewInstance ()|
// \item @|vtkTemporalInterpolator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetDiscreteTimeStepInterval (double )| -  If you require a discrete number of outputs steps, to be 
// generated from an input source - for example, you required
// N steps separated by T, then set DiscreteTimeStepInterval to T
// and you will get TIME_RANGE/DiscreteTimeStepInterval steps
// This is a useful option to use if you have a dataset with one
// missing time step and wish to 'fill-in' the missing data
// with an interpolated value from the steps either side
//// \item @|double = obj.GetDiscreteTimeStepInterval ()| -  If you require a discrete number of outputs steps, to be 
// generated from an input source - for example, you required
// N steps separated by T, then set DiscreteTimeStepInterval to T
// and you will get TIME_RANGE/DiscreteTimeStepInterval steps
// This is a useful option to use if you have a dataset with one
// missing time step and wish to 'fill-in' the missing data
// with an interpolated value from the steps either side
//// \item @|obj.SetResampleFactor (int )| -  When ResampleFactor is a non zero positive integer, each pair
// of input time steps will be interpolated between with the number
// of steps specified. For example an input of 1,2,3,4,5 and a resample factor
// of 10, will produce steps 0f 1.0, 1.1, 1.2.....1.9, 2.0 etc
// NB. Irregular input steps will produce irregular output steps.
// Resample factor wuill only be used if DiscreteTimeStepInterval is zero
// otherwise the DiscreteTimeStepInterval takes precedence
//// \item @|int = obj.GetResampleFactor ()| -  When ResampleFactor is a non zero positive integer, each pair
// of input time steps will be interpolated between with the number
// of steps specified. For example an input of 1,2,3,4,5 and a resample factor
// of 10, will produce steps 0f 1.0, 1.1, 1.2.....1.9, 2.0 etc
// NB. Irregular input steps will produce irregular output steps.
// Resample factor wuill only be used if DiscreteTimeStepInterval is zero
// otherwise the DiscreteTimeStepInterval takes precedence
////\end{itemize}
//!
