#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTemporalShiftScale object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTemporalShiftScale.h"

//@@Signature
//sfunction @vtkTemporalShiftScale:vtkTemporalShiftScale vtkTemporalShiftScaleConstructorFunction
//input a
//output p
//@@Parents vtkTemporalShiftScale vtkTemporalDataSetAlgorithm 
ArrayVector vtkTemporalShiftScaleConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTemporalShiftScale::New(),"vtkTemporalShiftScale",eval);
  } else if (arg[0].className() == "vtkTemporalShiftScale") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTemporalShiftScale"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTemporalShiftScale");
    vtkTemporalShiftScale*q = reinterpret_cast<vtkTemporalShiftScale*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTemporalShiftScale");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTemporalShiftScale:GetClassName vtkTemporalShiftScaleGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTemporalShiftScaleGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTemporalShiftScale requires 1 argument(s)");
  vtkTemporalShiftScale* vtk_pointer = GetVTKPointer<vtkTemporalShiftScale>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalShiftScale:IsA vtkTemporalShiftScaleIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTemporalShiftScaleIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTemporalShiftScale requires 2 argument(s)");
  vtkTemporalShiftScale* vtk_pointer = GetVTKPointer<vtkTemporalShiftScale>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalShiftScale:NewInstance vtkTemporalShiftScaleNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTemporalShiftScaleNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTemporalShiftScale *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTemporalShiftScale requires 1 argument(s)");
  vtkTemporalShiftScale* vtk_pointer = GetVTKPointer<vtkTemporalShiftScale>(arg[0]);
  Array retval;
  vtkTemporalShiftScale  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTemporalShiftScale",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalShiftScale:SafeDownCast vtkTemporalShiftScaleSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTemporalShiftScaleSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTemporalShiftScale *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTemporalShiftScale requires 2 argument(s)");
  vtkTemporalShiftScale* vtk_pointer = GetVTKPointer<vtkTemporalShiftScale>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTemporalShiftScale  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTemporalShiftScale",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalShiftScale:SetPreShift vtkTemporalShiftScaleSetPreShiftFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalShiftScaleSetPreShiftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPreShift (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPreShift for class vtkTemporalShiftScale requires 2 argument(s)");
  vtkTemporalShiftScale* vtk_pointer = GetVTKPointer<vtkTemporalShiftScale>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetPreShift(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalShiftScale:GetPreShift vtkTemporalShiftScaleGetPreShiftFunction
//input a0 
//output y
ArrayVector vtkTemporalShiftScaleGetPreShiftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPreShift (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPreShift for class vtkTemporalShiftScale requires 1 argument(s)");
  vtkTemporalShiftScale* vtk_pointer = GetVTKPointer<vtkTemporalShiftScale>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPreShift();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalShiftScale:SetPostShift vtkTemporalShiftScaleSetPostShiftFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalShiftScaleSetPostShiftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPostShift (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPostShift for class vtkTemporalShiftScale requires 2 argument(s)");
  vtkTemporalShiftScale* vtk_pointer = GetVTKPointer<vtkTemporalShiftScale>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetPostShift(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalShiftScale:GetPostShift vtkTemporalShiftScaleGetPostShiftFunction
//input a0 
//output y
ArrayVector vtkTemporalShiftScaleGetPostShiftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPostShift (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPostShift for class vtkTemporalShiftScale requires 1 argument(s)");
  vtkTemporalShiftScale* vtk_pointer = GetVTKPointer<vtkTemporalShiftScale>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPostShift();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalShiftScale:SetScale vtkTemporalShiftScaleSetScaleFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalShiftScaleSetScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScale (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScale for class vtkTemporalShiftScale requires 2 argument(s)");
  vtkTemporalShiftScale* vtk_pointer = GetVTKPointer<vtkTemporalShiftScale>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalShiftScale:GetScale vtkTemporalShiftScaleGetScaleFunction
//input a0 
//output y
ArrayVector vtkTemporalShiftScaleGetScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetScale (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScale for class vtkTemporalShiftScale requires 1 argument(s)");
  vtkTemporalShiftScale* vtk_pointer = GetVTKPointer<vtkTemporalShiftScale>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetScale();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalShiftScale:SetPeriodic vtkTemporalShiftScaleSetPeriodicFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalShiftScaleSetPeriodicFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPeriodic (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPeriodic for class vtkTemporalShiftScale requires 2 argument(s)");
  vtkTemporalShiftScale* vtk_pointer = GetVTKPointer<vtkTemporalShiftScale>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPeriodic(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalShiftScale:GetPeriodic vtkTemporalShiftScaleGetPeriodicFunction
//input a0 
//output y
ArrayVector vtkTemporalShiftScaleGetPeriodicFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPeriodic (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPeriodic for class vtkTemporalShiftScale requires 1 argument(s)");
  vtkTemporalShiftScale* vtk_pointer = GetVTKPointer<vtkTemporalShiftScale>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPeriodic();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalShiftScale:PeriodicOn vtkTemporalShiftScalePeriodicOnFunction
//input a0 
//output none
ArrayVector vtkTemporalShiftScalePeriodicOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PeriodicOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PeriodicOn for class vtkTemporalShiftScale requires 1 argument(s)");
  vtkTemporalShiftScale* vtk_pointer = GetVTKPointer<vtkTemporalShiftScale>(arg[0]);
  Array retval;
  vtk_pointer->PeriodicOn();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalShiftScale:PeriodicOff vtkTemporalShiftScalePeriodicOffFunction
//input a0 
//output none
ArrayVector vtkTemporalShiftScalePeriodicOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PeriodicOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PeriodicOff for class vtkTemporalShiftScale requires 1 argument(s)");
  vtkTemporalShiftScale* vtk_pointer = GetVTKPointer<vtkTemporalShiftScale>(arg[0]);
  Array retval;
  vtk_pointer->PeriodicOff();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalShiftScale:SetPeriodicEndCorrection vtkTemporalShiftScaleSetPeriodicEndCorrectionFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalShiftScaleSetPeriodicEndCorrectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPeriodicEndCorrection (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPeriodicEndCorrection for class vtkTemporalShiftScale requires 2 argument(s)");
  vtkTemporalShiftScale* vtk_pointer = GetVTKPointer<vtkTemporalShiftScale>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPeriodicEndCorrection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalShiftScale:GetPeriodicEndCorrection vtkTemporalShiftScaleGetPeriodicEndCorrectionFunction
//input a0 
//output y
ArrayVector vtkTemporalShiftScaleGetPeriodicEndCorrectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPeriodicEndCorrection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPeriodicEndCorrection for class vtkTemporalShiftScale requires 1 argument(s)");
  vtkTemporalShiftScale* vtk_pointer = GetVTKPointer<vtkTemporalShiftScale>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPeriodicEndCorrection();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalShiftScale:PeriodicEndCorrectionOn vtkTemporalShiftScalePeriodicEndCorrectionOnFunction
//input a0 
//output none
ArrayVector vtkTemporalShiftScalePeriodicEndCorrectionOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PeriodicEndCorrectionOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PeriodicEndCorrectionOn for class vtkTemporalShiftScale requires 1 argument(s)");
  vtkTemporalShiftScale* vtk_pointer = GetVTKPointer<vtkTemporalShiftScale>(arg[0]);
  Array retval;
  vtk_pointer->PeriodicEndCorrectionOn();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalShiftScale:PeriodicEndCorrectionOff vtkTemporalShiftScalePeriodicEndCorrectionOffFunction
//input a0 
//output none
ArrayVector vtkTemporalShiftScalePeriodicEndCorrectionOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PeriodicEndCorrectionOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PeriodicEndCorrectionOff for class vtkTemporalShiftScale requires 1 argument(s)");
  vtkTemporalShiftScale* vtk_pointer = GetVTKPointer<vtkTemporalShiftScale>(arg[0]);
  Array retval;
  vtk_pointer->PeriodicEndCorrectionOff();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalShiftScale:SetMaximumNumberOfPeriods vtkTemporalShiftScaleSetMaximumNumberOfPeriodsFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalShiftScaleSetMaximumNumberOfPeriodsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumNumberOfPeriods (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumNumberOfPeriods for class vtkTemporalShiftScale requires 2 argument(s)");
  vtkTemporalShiftScale* vtk_pointer = GetVTKPointer<vtkTemporalShiftScale>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximumNumberOfPeriods(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalShiftScale:GetMaximumNumberOfPeriods vtkTemporalShiftScaleGetMaximumNumberOfPeriodsFunction
//input a0 
//output y
ArrayVector vtkTemporalShiftScaleGetMaximumNumberOfPeriodsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumNumberOfPeriods (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumNumberOfPeriods for class vtkTemporalShiftScale requires 1 argument(s)");
  vtkTemporalShiftScale* vtk_pointer = GetVTKPointer<vtkTemporalShiftScale>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumNumberOfPeriods();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalShiftScale:display vtkTemporalShiftScaleDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTemporalShiftScaleDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTemporalShiftScale* vtk_pointer = GetVTKPointer<vtkTemporalShiftScale>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTemporalShiftScale:delete vtkTemporalShiftScaleDeleteFunction
//input varargin
//output none
ArrayVector vtkTemporalShiftScaleDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTemporalShiftScale
//@@Section VTKHybrid
//@@Usage
// vtkTemporalShiftScale  modify the time range or time steps of
// the data without changing the data itself. The data is not resampled
// by this filter, only the information accompanying the data is modified.
//
//To create an instance of class vtkTemporalShiftScale, simply
//invoke its constructor as follows
//@[
//  obj = vtkTemporalShiftScale
//@]
//@@Methods
//The class vtkTemporalShiftScale has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTemporalShiftScale class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTemporalShiftScale = obj.NewInstance ()|
// \item @|vtkTemporalShiftScale = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPreShift (double )| -  Apply a translation to the data before scaling.
// To convert T{5,100} to T{0,1} use Preshift=-5, Scale=1/95, PostShift=0
// To convert T{5,105} to T{5,10} use Preshift=-5, Scale=5/100, PostShift=5
//// \item @|double = obj.GetPreShift ()| -  Apply a translation to the data before scaling.
// To convert T{5,100} to T{0,1} use Preshift=-5, Scale=1/95, PostShift=0
// To convert T{5,105} to T{5,10} use Preshift=-5, Scale=5/100, PostShift=5
//// \item @|obj.SetPostShift (double )| -  Apply a translation to the time
//// \item @|double = obj.GetPostShift ()| -  Apply a translation to the time
//// \item @|obj.SetScale (double )| -  Apply a scale to the time.
//// \item @|double = obj.GetScale ()| -  Apply a scale to the time.
//// \item @|obj.SetPeriodic (int )| -  If Periodic is true, requests for time will be wrapped around so that 
// the source appears to be a periodic time source. If data exists for times
// {0,N-1}, setting periodic to true will cause time 0 to be produced when time
// N, 2N, 2N etc is requested. This effectively gives the source the ability to
// generate time data indefinitely in a loop.
// When combined with Shift/Scale, the time becomes periodic in the 
// shifted and scaled time frame of reference.
// Note: Since the input time may not start at zero, the wrapping of time
// from the end of one period to the start of the next, will subtract the
// initial time - a source with T{5..6} repeated periodicaly will have output
// time {5..6..7..8} etc. 
//// \item @|int = obj.GetPeriodic ()| -  If Periodic is true, requests for time will be wrapped around so that 
// the source appears to be a periodic time source. If data exists for times
// {0,N-1}, setting periodic to true will cause time 0 to be produced when time
// N, 2N, 2N etc is requested. This effectively gives the source the ability to
// generate time data indefinitely in a loop.
// When combined with Shift/Scale, the time becomes periodic in the 
// shifted and scaled time frame of reference.
// Note: Since the input time may not start at zero, the wrapping of time
// from the end of one period to the start of the next, will subtract the
// initial time - a source with T{5..6} repeated periodicaly will have output
// time {5..6..7..8} etc. 
//// \item @|obj.PeriodicOn ()| -  If Periodic is true, requests for time will be wrapped around so that 
// the source appears to be a periodic time source. If data exists for times
// {0,N-1}, setting periodic to true will cause time 0 to be produced when time
// N, 2N, 2N etc is requested. This effectively gives the source the ability to
// generate time data indefinitely in a loop.
// When combined with Shift/Scale, the time becomes periodic in the 
// shifted and scaled time frame of reference.
// Note: Since the input time may not start at zero, the wrapping of time
// from the end of one period to the start of the next, will subtract the
// initial time - a source with T{5..6} repeated periodicaly will have output
// time {5..6..7..8} etc. 
//// \item @|obj.PeriodicOff ()| -  If Periodic is true, requests for time will be wrapped around so that 
// the source appears to be a periodic time source. If data exists for times
// {0,N-1}, setting periodic to true will cause time 0 to be produced when time
// N, 2N, 2N etc is requested. This effectively gives the source the ability to
// generate time data indefinitely in a loop.
// When combined with Shift/Scale, the time becomes periodic in the 
// shifted and scaled time frame of reference.
// Note: Since the input time may not start at zero, the wrapping of time
// from the end of one period to the start of the next, will subtract the
// initial time - a source with T{5..6} repeated periodicaly will have output
// time {5..6..7..8} etc. 
//// \item @|obj.SetPeriodicEndCorrection (int )| -  if Periodic time is enabled, this flag determines if the last time step is the same
// as the first. If PeriodicEndCorrection is true, then it is assumed that the input
// data goes from 0-1 (or whatever scaled/shifted actual time) and time 1 is the
// same as time 0 so that steps will be 0,1,2,3...N,1,2,3...N,1,2,3 where step N
// is the same as 0 and step 0 is not repeated. When this flag is false
// the data is assumed to be literal and output is of the form 0,1,2,3...N,0,1,2,3...
// By default this flag is ON
//// \item @|int = obj.GetPeriodicEndCorrection ()| -  if Periodic time is enabled, this flag determines if the last time step is the same
// as the first. If PeriodicEndCorrection is true, then it is assumed that the input
// data goes from 0-1 (or whatever scaled/shifted actual time) and time 1 is the
// same as time 0 so that steps will be 0,1,2,3...N,1,2,3...N,1,2,3 where step N
// is the same as 0 and step 0 is not repeated. When this flag is false
// the data is assumed to be literal and output is of the form 0,1,2,3...N,0,1,2,3...
// By default this flag is ON
//// \item @|obj.PeriodicEndCorrectionOn ()| -  if Periodic time is enabled, this flag determines if the last time step is the same
// as the first. If PeriodicEndCorrection is true, then it is assumed that the input
// data goes from 0-1 (or whatever scaled/shifted actual time) and time 1 is the
// same as time 0 so that steps will be 0,1,2,3...N,1,2,3...N,1,2,3 where step N
// is the same as 0 and step 0 is not repeated. When this flag is false
// the data is assumed to be literal and output is of the form 0,1,2,3...N,0,1,2,3...
// By default this flag is ON
//// \item @|obj.PeriodicEndCorrectionOff ()| -  if Periodic time is enabled, this flag determines if the last time step is the same
// as the first. If PeriodicEndCorrection is true, then it is assumed that the input
// data goes from 0-1 (or whatever scaled/shifted actual time) and time 1 is the
// same as time 0 so that steps will be 0,1,2,3...N,1,2,3...N,1,2,3 where step N
// is the same as 0 and step 0 is not repeated. When this flag is false
// the data is assumed to be literal and output is of the form 0,1,2,3...N,0,1,2,3...
// By default this flag is ON
//// \item @|obj.SetMaximumNumberOfPeriods (double )| -  if Periodic time is enabled, this controls how many time periods time is reported 
// for. A filter cannot output an infinite number of time steps and therefore a finite
// number of periods is generated when reporting time.
//// \item @|double = obj.GetMaximumNumberOfPeriods ()| -  if Periodic time is enabled, this controls how many time periods time is reported 
// for. A filter cannot output an infinite number of time steps and therefore a finite
// number of periods is generated when reporting time.
////\end{itemize}
//!
