#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTemporalSnapToTimeStep object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTemporalSnapToTimeStep.h"

//@@Signature
//sfunction @vtkTemporalSnapToTimeStep:vtkTemporalSnapToTimeStep vtkTemporalSnapToTimeStepConstructorFunction
//input a
//output p
//@@Parents vtkTemporalSnapToTimeStep vtkTemporalDataSetAlgorithm 
ArrayVector vtkTemporalSnapToTimeStepConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTemporalSnapToTimeStep::New(),"vtkTemporalSnapToTimeStep",eval);
  } else if (arg[0].className() == "vtkTemporalSnapToTimeStep") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTemporalSnapToTimeStep"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTemporalSnapToTimeStep");
    vtkTemporalSnapToTimeStep*q = reinterpret_cast<vtkTemporalSnapToTimeStep*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTemporalSnapToTimeStep");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTemporalSnapToTimeStep:GetClassName vtkTemporalSnapToTimeStepGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTemporalSnapToTimeStepGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTemporalSnapToTimeStep requires 1 argument(s)");
  vtkTemporalSnapToTimeStep* vtk_pointer = GetVTKPointer<vtkTemporalSnapToTimeStep>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalSnapToTimeStep:IsA vtkTemporalSnapToTimeStepIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTemporalSnapToTimeStepIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTemporalSnapToTimeStep requires 2 argument(s)");
  vtkTemporalSnapToTimeStep* vtk_pointer = GetVTKPointer<vtkTemporalSnapToTimeStep>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalSnapToTimeStep:NewInstance vtkTemporalSnapToTimeStepNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTemporalSnapToTimeStepNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTemporalSnapToTimeStep *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTemporalSnapToTimeStep requires 1 argument(s)");
  vtkTemporalSnapToTimeStep* vtk_pointer = GetVTKPointer<vtkTemporalSnapToTimeStep>(arg[0]);
  Array retval;
  vtkTemporalSnapToTimeStep  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTemporalSnapToTimeStep",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalSnapToTimeStep:SafeDownCast vtkTemporalSnapToTimeStepSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTemporalSnapToTimeStepSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTemporalSnapToTimeStep *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTemporalSnapToTimeStep requires 2 argument(s)");
  vtkTemporalSnapToTimeStep* vtk_pointer = GetVTKPointer<vtkTemporalSnapToTimeStep>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTemporalSnapToTimeStep  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTemporalSnapToTimeStep",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalSnapToTimeStep:SetSnapMode vtkTemporalSnapToTimeStepSetSnapModeFunction
//input a0 a1 
//output none
ArrayVector vtkTemporalSnapToTimeStepSetSnapModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSnapMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSnapMode for class vtkTemporalSnapToTimeStep requires 2 argument(s)");
  vtkTemporalSnapToTimeStep* vtk_pointer = GetVTKPointer<vtkTemporalSnapToTimeStep>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSnapMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTemporalSnapToTimeStep:GetSnapMode vtkTemporalSnapToTimeStepGetSnapModeFunction
//input a0 
//output y
ArrayVector vtkTemporalSnapToTimeStepGetSnapModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSnapMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSnapMode for class vtkTemporalSnapToTimeStep requires 1 argument(s)");
  vtkTemporalSnapToTimeStep* vtk_pointer = GetVTKPointer<vtkTemporalSnapToTimeStep>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSnapMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTemporalSnapToTimeStep:SetSnapModeToNearest vtkTemporalSnapToTimeStepSetSnapModeToNearestFunction
//input a0 
//output none
ArrayVector vtkTemporalSnapToTimeStepSetSnapModeToNearestFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSnapModeToNearest ();this SetSnapMode VTK_SNAP_NEAREST  */
  if (arg.size() < 1) 
    throw Exception("Function SetSnapModeToNearest for class vtkTemporalSnapToTimeStep requires 1 argument(s)");
  vtkTemporalSnapToTimeStep* vtk_pointer = GetVTKPointer<vtkTemporalSnapToTimeStep>(arg[0]);
  Array retval;
  vtk_pointer->SetSnapModeToNearest();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalSnapToTimeStep:SetSnapModeToNextBelowOrEqual vtkTemporalSnapToTimeStepSetSnapModeToNextBelowOrEqualFunction
//input a0 
//output none
ArrayVector vtkTemporalSnapToTimeStepSetSnapModeToNextBelowOrEqualFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSnapModeToNextBelowOrEqual ();this SetSnapMode VTK_SNAP_NEXTBELOW_OR_EQUAL  */
  if (arg.size() < 1) 
    throw Exception("Function SetSnapModeToNextBelowOrEqual for class vtkTemporalSnapToTimeStep requires 1 argument(s)");
  vtkTemporalSnapToTimeStep* vtk_pointer = GetVTKPointer<vtkTemporalSnapToTimeStep>(arg[0]);
  Array retval;
  vtk_pointer->SetSnapModeToNextBelowOrEqual();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalSnapToTimeStep:SetSnapModeToNextAboveOrEqual vtkTemporalSnapToTimeStepSetSnapModeToNextAboveOrEqualFunction
//input a0 
//output none
ArrayVector vtkTemporalSnapToTimeStepSetSnapModeToNextAboveOrEqualFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSnapModeToNextAboveOrEqual ();this SetSnapMode VTK_SNAP_NEXTABOVE_OR_EQUAL  */
  if (arg.size() < 1) 
    throw Exception("Function SetSnapModeToNextAboveOrEqual for class vtkTemporalSnapToTimeStep requires 1 argument(s)");
  vtkTemporalSnapToTimeStep* vtk_pointer = GetVTKPointer<vtkTemporalSnapToTimeStep>(arg[0]);
  Array retval;
  vtk_pointer->SetSnapModeToNextAboveOrEqual();
  return retval;
}

//@@Signature
//sfunction @vtkTemporalSnapToTimeStep:display vtkTemporalSnapToTimeStepDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTemporalSnapToTimeStepDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTemporalSnapToTimeStep* vtk_pointer = GetVTKPointer<vtkTemporalSnapToTimeStep>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTemporalSnapToTimeStep:delete vtkTemporalSnapToTimeStepDeleteFunction
//input varargin
//output none
ArrayVector vtkTemporalSnapToTimeStepDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTemporalSnapToTimeStep
//@@Section VTKHybrid
//@@Usage
// vtkTemporalSnapToTimeStep  modify the time range or time steps of
// the data without changing the data itself. The data is not resampled
// by this filter, only the information accompanying the data is modified.
//
//To create an instance of class vtkTemporalSnapToTimeStep, simply
//invoke its constructor as follows
//@[
//  obj = vtkTemporalSnapToTimeStep
//@]
//@@Methods
//The class vtkTemporalSnapToTimeStep has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTemporalSnapToTimeStep class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTemporalSnapToTimeStep = obj.NewInstance ()|
// \item @|vtkTemporalSnapToTimeStep = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetSnapMode (int )|
// \item @|int = obj.GetSnapMode ()|
// \item @|obj.SetSnapModeToNearest ()|
// \item @|obj.SetSnapModeToNextBelowOrEqual ()|
// \item @|obj.SetSnapModeToNextAboveOrEqual ()|
//\end{itemize}
//!
