#include "VTKWrap.hpp"

// FreeMat wrapper for vtkThinPlateSplineTransform object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkThinPlateSplineTransform.h"

//@@Signature
//sfunction @vtkThinPlateSplineTransform:vtkThinPlateSplineTransform vtkThinPlateSplineTransformConstructorFunction
//input a
//output p
//@@Parents vtkThinPlateSplineTransform vtkWarpTransform 
ArrayVector vtkThinPlateSplineTransformConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkThinPlateSplineTransform::New(),"vtkThinPlateSplineTransform",eval);
  } else if (arg[0].className() == "vtkThinPlateSplineTransform") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkThinPlateSplineTransform"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkThinPlateSplineTransform");
    vtkThinPlateSplineTransform*q = reinterpret_cast<vtkThinPlateSplineTransform*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkThinPlateSplineTransform");
    return ret;
  }
}
//@@Signature
//sfunction @vtkThinPlateSplineTransform:GetClassName vtkThinPlateSplineTransformGetClassNameFunction
//input a0 
//output y
ArrayVector vtkThinPlateSplineTransformGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkThinPlateSplineTransform requires 1 argument(s)");
  vtkThinPlateSplineTransform* vtk_pointer = GetVTKPointer<vtkThinPlateSplineTransform>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThinPlateSplineTransform:IsA vtkThinPlateSplineTransformIsAFunction
//input a0 a1 
//output y
ArrayVector vtkThinPlateSplineTransformIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkThinPlateSplineTransform requires 2 argument(s)");
  vtkThinPlateSplineTransform* vtk_pointer = GetVTKPointer<vtkThinPlateSplineTransform>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThinPlateSplineTransform:NewInstance vtkThinPlateSplineTransformNewInstanceFunction
//input a0 
//output y
ArrayVector vtkThinPlateSplineTransformNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkThinPlateSplineTransform *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkThinPlateSplineTransform requires 1 argument(s)");
  vtkThinPlateSplineTransform* vtk_pointer = GetVTKPointer<vtkThinPlateSplineTransform>(arg[0]);
  Array retval;
  vtkThinPlateSplineTransform  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkThinPlateSplineTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkThinPlateSplineTransform:SafeDownCast vtkThinPlateSplineTransformSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkThinPlateSplineTransformSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkThinPlateSplineTransform *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkThinPlateSplineTransform requires 2 argument(s)");
  vtkThinPlateSplineTransform* vtk_pointer = GetVTKPointer<vtkThinPlateSplineTransform>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkThinPlateSplineTransform  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkThinPlateSplineTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkThinPlateSplineTransform:GetSigma vtkThinPlateSplineTransformGetSigmaFunction
//input a0 
//output y
ArrayVector vtkThinPlateSplineTransformGetSigmaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSigma (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSigma for class vtkThinPlateSplineTransform requires 1 argument(s)");
  vtkThinPlateSplineTransform* vtk_pointer = GetVTKPointer<vtkThinPlateSplineTransform>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSigma();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThinPlateSplineTransform:SetSigma vtkThinPlateSplineTransformSetSigmaFunction
//input a0 a1 
//output none
ArrayVector vtkThinPlateSplineTransformSetSigmaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSigma (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSigma for class vtkThinPlateSplineTransform requires 2 argument(s)");
  vtkThinPlateSplineTransform* vtk_pointer = GetVTKPointer<vtkThinPlateSplineTransform>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetSigma(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkThinPlateSplineTransform:SetBasis vtkThinPlateSplineTransformSetBasisFunction
//input a0 a1 
//output none
ArrayVector vtkThinPlateSplineTransformSetBasisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBasis (int basis); */
  if (arg.size() < 2) 
    throw Exception("Function SetBasis for class vtkThinPlateSplineTransform requires 2 argument(s)");
  vtkThinPlateSplineTransform* vtk_pointer = GetVTKPointer<vtkThinPlateSplineTransform>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBasis(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkThinPlateSplineTransform:GetBasis vtkThinPlateSplineTransformGetBasisFunction
//input a0 
//output y
ArrayVector vtkThinPlateSplineTransformGetBasisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBasis (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBasis for class vtkThinPlateSplineTransform requires 1 argument(s)");
  vtkThinPlateSplineTransform* vtk_pointer = GetVTKPointer<vtkThinPlateSplineTransform>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBasis();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThinPlateSplineTransform:SetBasisToR vtkThinPlateSplineTransformSetBasisToRFunction
//input a0 
//output none
ArrayVector vtkThinPlateSplineTransformSetBasisToRFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBasisToR ();this SetBasis VTK_RBF_R  */
  if (arg.size() < 1) 
    throw Exception("Function SetBasisToR for class vtkThinPlateSplineTransform requires 1 argument(s)");
  vtkThinPlateSplineTransform* vtk_pointer = GetVTKPointer<vtkThinPlateSplineTransform>(arg[0]);
  Array retval;
  vtk_pointer->SetBasisToR();
  return retval;
}

//@@Signature
//sfunction @vtkThinPlateSplineTransform:SetBasisToR2LogR vtkThinPlateSplineTransformSetBasisToR2LogRFunction
//input a0 
//output none
ArrayVector vtkThinPlateSplineTransformSetBasisToR2LogRFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBasisToR2LogR ();this SetBasis VTK_RBF_R2LOGR  */
  if (arg.size() < 1) 
    throw Exception("Function SetBasisToR2LogR for class vtkThinPlateSplineTransform requires 1 argument(s)");
  vtkThinPlateSplineTransform* vtk_pointer = GetVTKPointer<vtkThinPlateSplineTransform>(arg[0]);
  Array retval;
  vtk_pointer->SetBasisToR2LogR();
  return retval;
}

//@@Signature
//sfunction @vtkThinPlateSplineTransform:GetBasisAsString vtkThinPlateSplineTransformGetBasisAsStringFunction
//input a0 
//output y
ArrayVector vtkThinPlateSplineTransformGetBasisAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetBasisAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBasisAsString for class vtkThinPlateSplineTransform requires 1 argument(s)");
  vtkThinPlateSplineTransform* vtk_pointer = GetVTKPointer<vtkThinPlateSplineTransform>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetBasisAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThinPlateSplineTransform:SetSourceLandmarks vtkThinPlateSplineTransformSetSourceLandmarksFunction
//input a0 a1 
//output none
ArrayVector vtkThinPlateSplineTransformSetSourceLandmarksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSourceLandmarks (vtkPoints *source); */
  if (arg.size() < 2) 
    throw Exception("Function SetSourceLandmarks for class vtkThinPlateSplineTransform requires 2 argument(s)");
  vtkThinPlateSplineTransform* vtk_pointer = GetVTKPointer<vtkThinPlateSplineTransform>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  vtk_pointer->SetSourceLandmarks(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkThinPlateSplineTransform:GetSourceLandmarks vtkThinPlateSplineTransformGetSourceLandmarksFunction
//input a0 
//output y
ArrayVector vtkThinPlateSplineTransformGetSourceLandmarksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPoints *GetSourceLandmarks (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSourceLandmarks for class vtkThinPlateSplineTransform requires 1 argument(s)");
  vtkThinPlateSplineTransform* vtk_pointer = GetVTKPointer<vtkThinPlateSplineTransform>(arg[0]);
  Array retval;
  vtkPoints  *temp20;
  temp20 = (vtk_pointer)->GetSourceLandmarks();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkThinPlateSplineTransform:SetTargetLandmarks vtkThinPlateSplineTransformSetTargetLandmarksFunction
//input a0 a1 
//output none
ArrayVector vtkThinPlateSplineTransformSetTargetLandmarksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTargetLandmarks (vtkPoints *target); */
  if (arg.size() < 2) 
    throw Exception("Function SetTargetLandmarks for class vtkThinPlateSplineTransform requires 2 argument(s)");
  vtkThinPlateSplineTransform* vtk_pointer = GetVTKPointer<vtkThinPlateSplineTransform>(arg[0]);
  Array retval;
  vtkPoints  *temp0;
  temp0 = GetVTKPointer<vtkPoints>(arg[1]);
  vtk_pointer->SetTargetLandmarks(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkThinPlateSplineTransform:GetTargetLandmarks vtkThinPlateSplineTransformGetTargetLandmarksFunction
//input a0 
//output y
ArrayVector vtkThinPlateSplineTransformGetTargetLandmarksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPoints *GetTargetLandmarks (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTargetLandmarks for class vtkThinPlateSplineTransform requires 1 argument(s)");
  vtkThinPlateSplineTransform* vtk_pointer = GetVTKPointer<vtkThinPlateSplineTransform>(arg[0]);
  Array retval;
  vtkPoints  *temp20;
  temp20 = (vtk_pointer)->GetTargetLandmarks();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkThinPlateSplineTransform:GetMTime vtkThinPlateSplineTransformGetMTimeFunction
//input a0 
//output y
ArrayVector vtkThinPlateSplineTransformGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkThinPlateSplineTransform requires 1 argument(s)");
  vtkThinPlateSplineTransform* vtk_pointer = GetVTKPointer<vtkThinPlateSplineTransform>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThinPlateSplineTransform:MakeTransform vtkThinPlateSplineTransformMakeTransformFunction
//input a0 
//output y
ArrayVector vtkThinPlateSplineTransformMakeTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractTransform *MakeTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function MakeTransform for class vtkThinPlateSplineTransform requires 1 argument(s)");
  vtkThinPlateSplineTransform* vtk_pointer = GetVTKPointer<vtkThinPlateSplineTransform>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->MakeTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkThinPlateSplineTransform:ForwardTransformPoint vtkThinPlateSplineTransformForwardTransformPointFunction
//input varargin
//output varargout
ArrayVector vtkThinPlateSplineTransformForwardTransformPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkThinPlateSplineTransformForwardTransformPoint");
}

//@@Signature
//sfunction @vtkThinPlateSplineTransform:ForwardTransformDerivative vtkThinPlateSplineTransformForwardTransformDerivativeFunction
//input varargin
//output varargout
ArrayVector vtkThinPlateSplineTransformForwardTransformDerivativeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkThinPlateSplineTransformForwardTransformDerivative");
}

//@@Signature
//sfunction @vtkThinPlateSplineTransform:display vtkThinPlateSplineTransformDisplayFunction
//input varargin
//output varargout
ArrayVector vtkThinPlateSplineTransformDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkThinPlateSplineTransform* vtk_pointer = GetVTKPointer<vtkThinPlateSplineTransform>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkThinPlateSplineTransform:delete vtkThinPlateSplineTransformDeleteFunction
//input varargin
//output none
ArrayVector vtkThinPlateSplineTransformDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkThinPlateSplineTransform
//@@Section VTKHybrid
//@@Usage
// vtkThinPlateSplineTransform describes a nonlinear warp transform defined
// by a set of source and target landmarks. Any point on the mesh close to a
// source landmark will be moved to a place close to the corresponding target
// landmark. The points in between are interpolated smoothly using
// Bookstein's Thin Plate Spline algorithm.
//
// To obtain a correct TPS warp, use the R2LogR kernel if your data is 2D, and
// the R kernel if your data is 3D. Or you can specify your own RBF. (Hence this
// class is more general than a pure TPS transform.) 
//
//To create an instance of class vtkThinPlateSplineTransform, simply
//invoke its constructor as follows
//@[
//  obj = vtkThinPlateSplineTransform
//@]
//@@Methods
//The class vtkThinPlateSplineTransform has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkThinPlateSplineTransform class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkThinPlateSplineTransform = obj.NewInstance ()|
// \item @|vtkThinPlateSplineTransform = obj.SafeDownCast (vtkObject o)|
// \item @|double = obj.GetSigma ()| -  Specify the 'stiffness' of the spline. The default is 1.0.
//// \item @|obj.SetSigma (double )| -  Specify the 'stiffness' of the spline. The default is 1.0.
//// \item @|obj.SetBasis (int basis)| -  Specify the radial basis function to use.  The default is
// R2LogR which is appropriate for 2D. Use |R| (SetBasisToR) 
// if your data is 3D. Alternatively specify your own basis function, 
// however this will mean that the transform will no longer be a true 
// thin-plate spline.
//// \item @|int = obj.GetBasis ()| -  Specify the radial basis function to use.  The default is
// R2LogR which is appropriate for 2D. Use |R| (SetBasisToR) 
// if your data is 3D. Alternatively specify your own basis function, 
// however this will mean that the transform will no longer be a true 
// thin-plate spline.
//// \item @|obj.SetBasisToR ()| -  Specify the radial basis function to use.  The default is
// R2LogR which is appropriate for 2D. Use |R| (SetBasisToR) 
// if your data is 3D. Alternatively specify your own basis function, 
// however this will mean that the transform will no longer be a true 
// thin-plate spline.
//// \item @|obj.SetBasisToR2LogR ()| -  Specify the radial basis function to use.  The default is
// R2LogR which is appropriate for 2D. Use |R| (SetBasisToR) 
// if your data is 3D. Alternatively specify your own basis function, 
// however this will mean that the transform will no longer be a true 
// thin-plate spline.
//// \item @|string = obj.GetBasisAsString ()| -  Specify the radial basis function to use.  The default is
// R2LogR which is appropriate for 2D. Use |R| (SetBasisToR) 
// if your data is 3D. Alternatively specify your own basis function, 
// however this will mean that the transform will no longer be a true 
// thin-plate spline.
//// \item @|obj.SetSourceLandmarks (vtkPoints source)| -  Set the source landmarks for the warp.  If you add or change the
// vtkPoints object, you must call Modified() on it or the transformation
// might not update.
//// \item @|vtkPoints = obj.GetSourceLandmarks ()| -  Set the source landmarks for the warp.  If you add or change the
// vtkPoints object, you must call Modified() on it or the transformation
// might not update.
//// \item @|obj.SetTargetLandmarks (vtkPoints target)| -  Set the target landmarks for the warp.  If you add or change the
// vtkPoints object, you must call Modified() on it or the transformation
// might not update.
//// \item @|vtkPoints = obj.GetTargetLandmarks ()| -  Set the target landmarks for the warp.  If you add or change the
// vtkPoints object, you must call Modified() on it or the transformation
// might not update.
//// \item @|long = obj.GetMTime ()| -  Get the MTime.
//// \item @|vtkAbstractTransform = obj.MakeTransform ()| -  Make another transform of the same type.
////\end{itemize}
//!
