#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTransformToGrid object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTransformToGrid.h"

//@@Signature
//sfunction @vtkTransformToGrid:vtkTransformToGrid vtkTransformToGridConstructorFunction
//input a
//output p
//@@Parents vtkTransformToGrid vtkAlgorithm 
ArrayVector vtkTransformToGridConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTransformToGrid::New(),"vtkTransformToGrid",eval);
  } else if (arg[0].className() == "vtkTransformToGrid") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTransformToGrid"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTransformToGrid");
    vtkTransformToGrid*q = reinterpret_cast<vtkTransformToGrid*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTransformToGrid");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTransformToGrid:GetClassName vtkTransformToGridGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTransformToGridGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTransformToGrid requires 1 argument(s)");
  vtkTransformToGrid* vtk_pointer = GetVTKPointer<vtkTransformToGrid>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformToGrid:IsA vtkTransformToGridIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTransformToGridIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTransformToGrid requires 2 argument(s)");
  vtkTransformToGrid* vtk_pointer = GetVTKPointer<vtkTransformToGrid>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformToGrid:NewInstance vtkTransformToGridNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTransformToGridNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransformToGrid *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTransformToGrid requires 1 argument(s)");
  vtkTransformToGrid* vtk_pointer = GetVTKPointer<vtkTransformToGrid>(arg[0]);
  Array retval;
  vtkTransformToGrid  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransformToGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransformToGrid:SafeDownCast vtkTransformToGridSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTransformToGridSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransformToGrid *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTransformToGrid requires 2 argument(s)");
  vtkTransformToGrid* vtk_pointer = GetVTKPointer<vtkTransformToGrid>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTransformToGrid  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransformToGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransformToGrid:SetInput vtkTransformToGridSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkTransformToGridSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkAbstractTransform *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkTransformToGrid requires 2 argument(s)");
  vtkTransformToGrid* vtk_pointer = GetVTKPointer<vtkTransformToGrid>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp0;
  temp0 = GetVTKPointer<vtkAbstractTransform>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransformToGrid:GetInput vtkTransformToGridGetInputFunction
//input a0 
//output y
ArrayVector vtkTransformToGridGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractTransform *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkTransformToGrid requires 1 argument(s)");
  vtkTransformToGrid* vtk_pointer = GetVTKPointer<vtkTransformToGrid>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransformToGrid:SetGridExtent__1 vtkTransformToGridSetGridExtent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkTransformToGridSetGridExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGridExtent (int , int , int , int , int , int ); */
  if (arg.size() < 7) 
    throw Exception("Function SetGridExtent__1 for class vtkTransformToGrid requires 7 argument(s)");
  vtkTransformToGrid* vtk_pointer = GetVTKPointer<vtkTransformToGrid>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetGridExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkTransformToGrid:SetGridExtent__2 vtkTransformToGridSetGridExtent__2Function
//input a0 a1 
//output none
ArrayVector vtkTransformToGridSetGridExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGridExtent (int  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetGridExtent__2 for class vtkTransformToGrid requires 2 argument(s)");
  vtkTransformToGrid* vtk_pointer = GetVTKPointer<vtkTransformToGrid>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetGridExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransformToGrid:GetGridExtent vtkTransformToGridGetGridExtentFunction
//input a0 
//output y
ArrayVector vtkTransformToGridGetGridExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetGridExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGridExtent for class vtkTransformToGrid requires 1 argument(s)");
  vtkTransformToGrid* vtk_pointer = GetVTKPointer<vtkTransformToGrid>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetGridExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTransformToGrid:SetGridOrigin__1 vtkTransformToGridSetGridOrigin__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTransformToGridSetGridOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGridOrigin (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetGridOrigin__1 for class vtkTransformToGrid requires 4 argument(s)");
  vtkTransformToGrid* vtk_pointer = GetVTKPointer<vtkTransformToGrid>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetGridOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTransformToGrid:SetGridOrigin__2 vtkTransformToGridSetGridOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkTransformToGridSetGridOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGridOrigin (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetGridOrigin__2 for class vtkTransformToGrid requires 2 argument(s)");
  vtkTransformToGrid* vtk_pointer = GetVTKPointer<vtkTransformToGrid>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetGridOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransformToGrid:GetGridOrigin vtkTransformToGridGetGridOriginFunction
//input a0 
//output y
ArrayVector vtkTransformToGridGetGridOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetGridOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGridOrigin for class vtkTransformToGrid requires 1 argument(s)");
  vtkTransformToGrid* vtk_pointer = GetVTKPointer<vtkTransformToGrid>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetGridOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTransformToGrid:SetGridSpacing__1 vtkTransformToGridSetGridSpacing__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTransformToGridSetGridSpacing__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGridSpacing (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetGridSpacing__1 for class vtkTransformToGrid requires 4 argument(s)");
  vtkTransformToGrid* vtk_pointer = GetVTKPointer<vtkTransformToGrid>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetGridSpacing(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTransformToGrid:SetGridSpacing__2 vtkTransformToGridSetGridSpacing__2Function
//input a0 a1 
//output none
ArrayVector vtkTransformToGridSetGridSpacing__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGridSpacing (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetGridSpacing__2 for class vtkTransformToGrid requires 2 argument(s)");
  vtkTransformToGrid* vtk_pointer = GetVTKPointer<vtkTransformToGrid>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetGridSpacing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransformToGrid:GetGridSpacing vtkTransformToGridGetGridSpacingFunction
//input a0 
//output y
ArrayVector vtkTransformToGridGetGridSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetGridSpacing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGridSpacing for class vtkTransformToGrid requires 1 argument(s)");
  vtkTransformToGrid* vtk_pointer = GetVTKPointer<vtkTransformToGrid>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetGridSpacing();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkTransformToGrid:SetGridScalarType vtkTransformToGridSetGridScalarTypeFunction
//input a0 a1 
//output none
ArrayVector vtkTransformToGridSetGridScalarTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGridScalarType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGridScalarType for class vtkTransformToGrid requires 2 argument(s)");
  vtkTransformToGrid* vtk_pointer = GetVTKPointer<vtkTransformToGrid>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGridScalarType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransformToGrid:GetGridScalarType vtkTransformToGridGetGridScalarTypeFunction
//input a0 
//output y
ArrayVector vtkTransformToGridGetGridScalarTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGridScalarType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGridScalarType for class vtkTransformToGrid requires 1 argument(s)");
  vtkTransformToGrid* vtk_pointer = GetVTKPointer<vtkTransformToGrid>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGridScalarType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformToGrid:SetGridScalarTypeToFloat vtkTransformToGridSetGridScalarTypeToFloatFunction
//input a0 
//output none
ArrayVector vtkTransformToGridSetGridScalarTypeToFloatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGridScalarTypeToFloat ();this SetGridScalarType VTK_DOUBLE  */
  if (arg.size() < 1) 
    throw Exception("Function SetGridScalarTypeToFloat for class vtkTransformToGrid requires 1 argument(s)");
  vtkTransformToGrid* vtk_pointer = GetVTKPointer<vtkTransformToGrid>(arg[0]);
  Array retval;
  vtk_pointer->SetGridScalarTypeToFloat();
  return retval;
}

//@@Signature
//sfunction @vtkTransformToGrid:SetGridScalarTypeToShort vtkTransformToGridSetGridScalarTypeToShortFunction
//input a0 
//output none
ArrayVector vtkTransformToGridSetGridScalarTypeToShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGridScalarTypeToShort ();this SetGridScalarType VTK_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetGridScalarTypeToShort for class vtkTransformToGrid requires 1 argument(s)");
  vtkTransformToGrid* vtk_pointer = GetVTKPointer<vtkTransformToGrid>(arg[0]);
  Array retval;
  vtk_pointer->SetGridScalarTypeToShort();
  return retval;
}

//@@Signature
//sfunction @vtkTransformToGrid:SetGridScalarTypeToUnsignedShort vtkTransformToGridSetGridScalarTypeToUnsignedShortFunction
//input a0 
//output none
ArrayVector vtkTransformToGridSetGridScalarTypeToUnsignedShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGridScalarTypeToUnsignedShort ();this SetGridScalarType VTK_UNSIGNED_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetGridScalarTypeToUnsignedShort for class vtkTransformToGrid requires 1 argument(s)");
  vtkTransformToGrid* vtk_pointer = GetVTKPointer<vtkTransformToGrid>(arg[0]);
  Array retval;
  vtk_pointer->SetGridScalarTypeToUnsignedShort();
  return retval;
}

//@@Signature
//sfunction @vtkTransformToGrid:SetGridScalarTypeToUnsignedChar vtkTransformToGridSetGridScalarTypeToUnsignedCharFunction
//input a0 
//output none
ArrayVector vtkTransformToGridSetGridScalarTypeToUnsignedCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGridScalarTypeToUnsignedChar ();this SetGridScalarType VTK_UNSIGNED_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetGridScalarTypeToUnsignedChar for class vtkTransformToGrid requires 1 argument(s)");
  vtkTransformToGrid* vtk_pointer = GetVTKPointer<vtkTransformToGrid>(arg[0]);
  Array retval;
  vtk_pointer->SetGridScalarTypeToUnsignedChar();
  return retval;
}

//@@Signature
//sfunction @vtkTransformToGrid:SetGridScalarTypeToChar vtkTransformToGridSetGridScalarTypeToCharFunction
//input a0 
//output none
ArrayVector vtkTransformToGridSetGridScalarTypeToCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGridScalarTypeToChar ();this SetGridScalarType VTK_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetGridScalarTypeToChar for class vtkTransformToGrid requires 1 argument(s)");
  vtkTransformToGrid* vtk_pointer = GetVTKPointer<vtkTransformToGrid>(arg[0]);
  Array retval;
  vtk_pointer->SetGridScalarTypeToChar();
  return retval;
}

//@@Signature
//sfunction @vtkTransformToGrid:GetDisplacementScale vtkTransformToGridGetDisplacementScaleFunction
//input a0 
//output y
ArrayVector vtkTransformToGridGetDisplacementScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDisplacementScale ();this UpdateShiftScale return this DisplacementScale  */
  if (arg.size() < 1) 
    throw Exception("Function GetDisplacementScale for class vtkTransformToGrid requires 1 argument(s)");
  vtkTransformToGrid* vtk_pointer = GetVTKPointer<vtkTransformToGrid>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDisplacementScale();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformToGrid:GetDisplacementShift vtkTransformToGridGetDisplacementShiftFunction
//input a0 
//output y
ArrayVector vtkTransformToGridGetDisplacementShiftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDisplacementShift ();this UpdateShiftScale return this DisplacementShift  */
  if (arg.size() < 1) 
    throw Exception("Function GetDisplacementShift for class vtkTransformToGrid requires 1 argument(s)");
  vtkTransformToGrid* vtk_pointer = GetVTKPointer<vtkTransformToGrid>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDisplacementShift();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransformToGrid:GetOutput vtkTransformToGridGetOutputFunction
//input a0 
//output y
ArrayVector vtkTransformToGridGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput for class vtkTransformToGrid requires 1 argument(s)");
  vtkTransformToGrid* vtk_pointer = GetVTKPointer<vtkTransformToGrid>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransformToGrid:SetGridExtent vtkTransformToGridSetGridExtentFunction
//input varargin
//output varargout
ArrayVector vtkTransformToGridSetGridExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkTransformToGridSetGridExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTransformToGridSetGridExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTransformToGridSetGridExtent");
}

//@@Signature
//sfunction @vtkTransformToGrid:SetGridOrigin vtkTransformToGridSetGridOriginFunction
//input varargin
//output varargout
ArrayVector vtkTransformToGridSetGridOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkTransformToGridSetGridOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTransformToGridSetGridOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTransformToGridSetGridOrigin");
}

//@@Signature
//sfunction @vtkTransformToGrid:SetGridSpacing vtkTransformToGridSetGridSpacingFunction
//input varargin
//output varargout
ArrayVector vtkTransformToGridSetGridSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkTransformToGridSetGridSpacing__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkTransformToGridSetGridSpacing__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTransformToGridSetGridSpacing");
}

//@@Signature
//sfunction @vtkTransformToGrid:display vtkTransformToGridDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTransformToGridDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTransformToGrid* vtk_pointer = GetVTKPointer<vtkTransformToGrid>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTransformToGrid:delete vtkTransformToGridDeleteFunction
//input varargin
//output none
ArrayVector vtkTransformToGridDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTransformToGrid
//@@Section VTKHybrid
//@@Usage
// vtkTransformToGrid takes any transform as input and produces a grid
// for use by a vtkGridTransform.  This can be used, for example, to 
// invert a grid transform, concatenate two grid transforms, or to
// convert a thin plate spline transform into a grid transform.
//
//To create an instance of class vtkTransformToGrid, simply
//invoke its constructor as follows
//@[
//  obj = vtkTransformToGrid
//@]
//@@Methods
//The class vtkTransformToGrid has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTransformToGrid class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTransformToGrid = obj.NewInstance ()|
// \item @|vtkTransformToGrid = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput (vtkAbstractTransform )| -  Set/Get the transform which will be converted into a grid.
//// \item @|vtkAbstractTransform = obj.GetInput ()| -  Set/Get the transform which will be converted into a grid.
//// \item @|obj.SetGridExtent (int , int , int , int , int , int )| -  Get/Set the extent of the grid.
//// \item @|obj.SetGridExtent (int  a[6])| -  Get/Set the extent of the grid.
//// \item @|int = obj. GetGridExtent ()| -  Get/Set the extent of the grid.
//// \item @|obj.SetGridOrigin (double , double , double )| -  Get/Set the origin of the grid.
//// \item @|obj.SetGridOrigin (double  a[3])| -  Get/Set the origin of the grid.
//// \item @|double = obj. GetGridOrigin ()| -  Get/Set the origin of the grid.
//// \item @|obj.SetGridSpacing (double , double , double )| -  Get/Set the spacing between samples in the grid.
//// \item @|obj.SetGridSpacing (double  a[3])| -  Get/Set the spacing between samples in the grid.
//// \item @|double = obj. GetGridSpacing ()| -  Get/Set the spacing between samples in the grid.
//// \item @|obj.SetGridScalarType (int )| -  Get/Set the scalar type of the grid.  The default is
// double.
//// \item @|int = obj.GetGridScalarType ()| -  Get/Set the scalar type of the grid.  The default is
// double.
//// \item @|obj.SetGridScalarTypeToFloat ()| -  Get/Set the scalar type of the grid.  The default is
// double.
//// \item @|obj.SetGridScalarTypeToShort ()| -  Get/Set the scalar type of the grid.  The default is
// double.
//// \item @|obj.SetGridScalarTypeToUnsignedShort ()| -  Get/Set the scalar type of the grid.  The default is
// double.
//// \item @|obj.SetGridScalarTypeToUnsignedChar ()| -  Get/Set the scalar type of the grid.  The default is
// double.
//// \item @|obj.SetGridScalarTypeToChar ()| -  Get/Set the scalar type of the grid.  The default is
// double.
//// \item @|double = obj.GetDisplacementScale ()| -  Get the scale and shift to convert integer grid elements into
// real values:  dx = scale*di + shift.  If the grid is of double type,
// then scale = 1 and shift = 0.
//// \item @|double = obj.GetDisplacementShift ()| -  Get the scale and shift to convert integer grid elements into
// real values:  dx = scale*di + shift.  If the grid is of double type,
// then scale = 1 and shift = 0.
//// \item @|vtkImageData = obj.GetOutput ()| -  Get the output data object for a port on this algorithm.
////\end{itemize}
//!
