#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVRMLImporter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVRMLImporter.h"

//@@Signature
//sfunction @vtkVRMLImporter:vtkVRMLImporter vtkVRMLImporterConstructorFunction
//input a
//output p
//@@Parents vtkVRMLImporter vtkImporter 
ArrayVector vtkVRMLImporterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVRMLImporter::New(),"vtkVRMLImporter",eval);
  } else if (arg[0].className() == "vtkVRMLImporter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVRMLImporter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVRMLImporter");
    vtkVRMLImporter*q = reinterpret_cast<vtkVRMLImporter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVRMLImporter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVRMLImporter:GetClassName vtkVRMLImporterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVRMLImporterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVRMLImporter requires 1 argument(s)");
  vtkVRMLImporter* vtk_pointer = GetVTKPointer<vtkVRMLImporter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVRMLImporter:IsA vtkVRMLImporterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVRMLImporterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVRMLImporter requires 2 argument(s)");
  vtkVRMLImporter* vtk_pointer = GetVTKPointer<vtkVRMLImporter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVRMLImporter:NewInstance vtkVRMLImporterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVRMLImporterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVRMLImporter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVRMLImporter requires 1 argument(s)");
  vtkVRMLImporter* vtk_pointer = GetVTKPointer<vtkVRMLImporter>(arg[0]);
  Array retval;
  vtkVRMLImporter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVRMLImporter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVRMLImporter:SafeDownCast vtkVRMLImporterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVRMLImporterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVRMLImporter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVRMLImporter requires 2 argument(s)");
  vtkVRMLImporter* vtk_pointer = GetVTKPointer<vtkVRMLImporter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVRMLImporter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVRMLImporter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVRMLImporter:GetVRMLDEFObject vtkVRMLImporterGetVRMLDEFObjectFunction
//input a0 a1 
//output y
ArrayVector vtkVRMLImporterGetVRMLDEFObjectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkObject *GetVRMLDEFObject (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetVRMLDEFObject for class vtkVRMLImporter requires 2 argument(s)");
  vtkVRMLImporter* vtk_pointer = GetVTKPointer<vtkVRMLImporter>(arg[0]);
  Array retval;
  char    *temp0;
  vtkObject  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetVRMLDEFObject(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVRMLImporter:enterNode vtkVRMLImporterenterNodeFunction
//input a0 a1 
//output none
ArrayVector vtkVRMLImporterenterNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void enterNode (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function enterNode for class vtkVRMLImporter requires 2 argument(s)");
  vtkVRMLImporter* vtk_pointer = GetVTKPointer<vtkVRMLImporter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->enterNode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVRMLImporter:exitNode vtkVRMLImporterexitNodeFunction
//input a0 
//output none
ArrayVector vtkVRMLImporterexitNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void exitNode (); */
  if (arg.size() < 1) 
    throw Exception("Function exitNode for class vtkVRMLImporter requires 1 argument(s)");
  vtkVRMLImporter* vtk_pointer = GetVTKPointer<vtkVRMLImporter>(arg[0]);
  Array retval;
  vtk_pointer->exitNode();
  return retval;
}

//@@Signature
//sfunction @vtkVRMLImporter:enterField vtkVRMLImporterenterFieldFunction
//input a0 a1 
//output none
ArrayVector vtkVRMLImporterenterFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void enterField (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function enterField for class vtkVRMLImporter requires 2 argument(s)");
  vtkVRMLImporter* vtk_pointer = GetVTKPointer<vtkVRMLImporter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->enterField(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVRMLImporter:exitField vtkVRMLImporterexitFieldFunction
//input a0 
//output none
ArrayVector vtkVRMLImporterexitFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void exitField (); */
  if (arg.size() < 1) 
    throw Exception("Function exitField for class vtkVRMLImporter requires 1 argument(s)");
  vtkVRMLImporter* vtk_pointer = GetVTKPointer<vtkVRMLImporter>(arg[0]);
  Array retval;
  vtk_pointer->exitField();
  return retval;
}

//@@Signature
//sfunction @vtkVRMLImporter:useNode vtkVRMLImporteruseNodeFunction
//input a0 a1 
//output none
ArrayVector vtkVRMLImporteruseNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void useNode (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function useNode for class vtkVRMLImporter requires 2 argument(s)");
  vtkVRMLImporter* vtk_pointer = GetVTKPointer<vtkVRMLImporter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->useNode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVRMLImporter:SetFileName vtkVRMLImporterSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkVRMLImporterSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkVRMLImporter requires 2 argument(s)");
  vtkVRMLImporter* vtk_pointer = GetVTKPointer<vtkVRMLImporter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVRMLImporter:GetFileName vtkVRMLImporterGetFileNameFunction
//input a0 
//output y
ArrayVector vtkVRMLImporterGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkVRMLImporter requires 1 argument(s)");
  vtkVRMLImporter* vtk_pointer = GetVTKPointer<vtkVRMLImporter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVRMLImporter:display vtkVRMLImporterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVRMLImporterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVRMLImporter* vtk_pointer = GetVTKPointer<vtkVRMLImporter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVRMLImporter:delete vtkVRMLImporterDeleteFunction
//input varargin
//output none
ArrayVector vtkVRMLImporterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVRMLImporter
//@@Section VTKHybrid
//@@Usage
//
// vtkVRMLImporter imports VRML 2.0 files into vtk.
//
//To create an instance of class vtkVRMLImporter, simply
//invoke its constructor as follows
//@[
//  obj = vtkVRMLImporter
//@]
//@@Methods
//The class vtkVRMLImporter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVRMLImporter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVRMLImporter = obj.NewInstance ()|
// \item @|vtkVRMLImporter = obj.SafeDownCast (vtkObject o)|
// \item @|vtkObject = obj.GetVRMLDEFObject (string name)| -  In the VRML spec you can DEF and USE nodes (name them),
// This routine will return the associated VTK object which
// was created as a result of the DEF mechanism
// Send in the name from the VRML file, get the VTK object.
// You will have to check and correctly cast the object since
// this only returns vtkObjects.
//// \item @|obj.enterNode (string )| -  Needed by the yacc/lex grammar used
//// \item @|obj.exitNode ()| -  Needed by the yacc/lex grammar used
//// \item @|obj.enterField (string )| -  Needed by the yacc/lex grammar used
//// \item @|obj.exitField ()| -  Needed by the yacc/lex grammar used
//// \item @|obj.useNode (string )| -  Needed by the yacc/lex grammar used
//// \item @|obj.SetFileName (string )| -  Specify the name of the file to read.
//// \item @|string = obj.GetFileName ()| -  Specify the name of the file to read.
////\end{itemize}
//!
