#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVectorText object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVectorText.h"

//@@Signature
//sfunction @vtkVectorText:vtkVectorText vtkVectorTextConstructorFunction
//input a
//output p
//@@Parents vtkVectorText vtkPolyDataAlgorithm 
ArrayVector vtkVectorTextConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVectorText::New(),"vtkVectorText",eval);
  } else if (arg[0].className() == "vtkVectorText") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVectorText"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVectorText");
    vtkVectorText*q = reinterpret_cast<vtkVectorText*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVectorText");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVectorText:GetClassName vtkVectorTextGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVectorTextGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVectorText requires 1 argument(s)");
  vtkVectorText* vtk_pointer = GetVTKPointer<vtkVectorText>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVectorText:IsA vtkVectorTextIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVectorTextIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVectorText requires 2 argument(s)");
  vtkVectorText* vtk_pointer = GetVTKPointer<vtkVectorText>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVectorText:NewInstance vtkVectorTextNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVectorTextNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVectorText *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVectorText requires 1 argument(s)");
  vtkVectorText* vtk_pointer = GetVTKPointer<vtkVectorText>(arg[0]);
  Array retval;
  vtkVectorText  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVectorText",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVectorText:SafeDownCast vtkVectorTextSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVectorTextSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVectorText *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVectorText requires 2 argument(s)");
  vtkVectorText* vtk_pointer = GetVTKPointer<vtkVectorText>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVectorText  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVectorText",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVectorText:SetText vtkVectorTextSetTextFunction
//input a0 a1 
//output none
ArrayVector vtkVectorTextSetTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetText (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetText for class vtkVectorText requires 2 argument(s)");
  vtkVectorText* vtk_pointer = GetVTKPointer<vtkVectorText>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetText(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVectorText:GetText vtkVectorTextGetTextFunction
//input a0 
//output y
ArrayVector vtkVectorTextGetTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetText (); */
  if (arg.size() < 1) 
    throw Exception("Function GetText for class vtkVectorText requires 1 argument(s)");
  vtkVectorText* vtk_pointer = GetVTKPointer<vtkVectorText>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetText();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVectorText:display vtkVectorTextDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVectorTextDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVectorText* vtk_pointer = GetVTKPointer<vtkVectorText>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVectorText:delete vtkVectorTextDeleteFunction
//input varargin
//output none
ArrayVector vtkVectorTextDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVectorText
//@@Section VTKHybrid
//@@Usage
//
//To create an instance of class vtkVectorText, simply
//invoke its constructor as follows
//@[
//  obj = vtkVectorText
//@]
//@@Methods
//The class vtkVectorText has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVectorText class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVectorText = obj.NewInstance ()|
// \item @|vtkVectorText = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetText (string )| -  Set/Get the text to be drawn.
//// \item @|string = obj.GetText ()| -  Set/Get the text to be drawn.
////\end{itemize}
//!
