#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVideoSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVideoSource.h"

//@@Signature
//sfunction @vtkVideoSource:vtkVideoSource vtkVideoSourceConstructorFunction
//input a
//output p
//@@Parents vtkVideoSource vtkImageAlgorithm 
ArrayVector vtkVideoSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVideoSource::New(),"vtkVideoSource",eval);
  } else if (arg[0].className() == "vtkVideoSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVideoSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVideoSource");
    vtkVideoSource*q = reinterpret_cast<vtkVideoSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVideoSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVideoSource:GetClassName vtkVideoSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVideoSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:IsA vtkVideoSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVideoSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVideoSource requires 2 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:NewInstance vtkVideoSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVideoSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVideoSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  vtkVideoSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVideoSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:SafeDownCast vtkVideoSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVideoSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVideoSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVideoSource requires 2 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVideoSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVideoSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:Record vtkVideoSourceRecordFunction
//input a0 
//output none
ArrayVector vtkVideoSourceRecordFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Record (); */
  if (arg.size() < 1) 
    throw Exception("Function Record for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  vtk_pointer->Record();
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:Play vtkVideoSourcePlayFunction
//input a0 
//output none
ArrayVector vtkVideoSourcePlayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Play (); */
  if (arg.size() < 1) 
    throw Exception("Function Play for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  vtk_pointer->Play();
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:Stop vtkVideoSourceStopFunction
//input a0 
//output none
ArrayVector vtkVideoSourceStopFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Stop (); */
  if (arg.size() < 1) 
    throw Exception("Function Stop for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  vtk_pointer->Stop();
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:Rewind vtkVideoSourceRewindFunction
//input a0 
//output none
ArrayVector vtkVideoSourceRewindFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Rewind (); */
  if (arg.size() < 1) 
    throw Exception("Function Rewind for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  vtk_pointer->Rewind();
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:FastForward vtkVideoSourceFastForwardFunction
//input a0 
//output none
ArrayVector vtkVideoSourceFastForwardFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void FastForward (); */
  if (arg.size() < 1) 
    throw Exception("Function FastForward for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  vtk_pointer->FastForward();
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:Seek vtkVideoSourceSeekFunction
//input a0 a1 
//output none
ArrayVector vtkVideoSourceSeekFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Seek (int n); */
  if (arg.size() < 2) 
    throw Exception("Function Seek for class vtkVideoSource requires 2 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->Seek(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:Grab vtkVideoSourceGrabFunction
//input a0 
//output none
ArrayVector vtkVideoSourceGrabFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Grab (); */
  if (arg.size() < 1) 
    throw Exception("Function Grab for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  vtk_pointer->Grab();
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:GetRecording vtkVideoSourceGetRecordingFunction
//input a0 
//output y
ArrayVector vtkVideoSourceGetRecordingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRecording (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRecording for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRecording();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:GetPlaying vtkVideoSourceGetPlayingFunction
//input a0 
//output y
ArrayVector vtkVideoSourceGetPlayingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPlaying (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPlaying for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPlaying();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:SetFrameSize__1 vtkVideoSourceSetFrameSize__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkVideoSourceSetFrameSize__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetFrameSize (int x, int y, int z); */
  if (arg.size() < 4) 
    throw Exception("Function SetFrameSize__1 for class vtkVideoSource requires 4 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetFrameSize(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:SetFrameSize__2 vtkVideoSourceSetFrameSize__2Function
//input a0 a1 
//output none
ArrayVector vtkVideoSourceSetFrameSize__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetFrameSize (int dim[3]);this SetFrameSize dim dim dim  */
  if (arg.size() < 2) 
    throw Exception("Function SetFrameSize__2 for class vtkVideoSource requires 2 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetFrameSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:GetFrameSize vtkVideoSourceGetFrameSizeFunction
//input a0 
//output y
ArrayVector vtkVideoSourceGetFrameSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetFrameSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFrameSize for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetFrameSize();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:SetFrameRate vtkVideoSourceSetFrameRateFunction
//input a0 a1 
//output none
ArrayVector vtkVideoSourceSetFrameRateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetFrameRate (float rate); */
  if (arg.size() < 2) 
    throw Exception("Function SetFrameRate for class vtkVideoSource requires 2 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetFrameRate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:GetFrameRate vtkVideoSourceGetFrameRateFunction
//input a0 
//output y
ArrayVector vtkVideoSourceGetFrameRateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetFrameRate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFrameRate for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetFrameRate();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:SetOutputFormat vtkVideoSourceSetOutputFormatFunction
//input a0 a1 
//output none
ArrayVector vtkVideoSourceSetOutputFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetOutputFormat (int format); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputFormat for class vtkVideoSource requires 2 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutputFormat(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:SetOutputFormatToLuminance vtkVideoSourceSetOutputFormatToLuminanceFunction
//input a0 
//output none
ArrayVector vtkVideoSourceSetOutputFormatToLuminanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputFormatToLuminance ();this SetOutputFormat VTK_LUMINANCE  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputFormatToLuminance for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputFormatToLuminance();
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:SetOutputFormatToRGB vtkVideoSourceSetOutputFormatToRGBFunction
//input a0 
//output none
ArrayVector vtkVideoSourceSetOutputFormatToRGBFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputFormatToRGB ();this SetOutputFormat VTK_RGB  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputFormatToRGB for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputFormatToRGB();
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:SetOutputFormatToRGBA vtkVideoSourceSetOutputFormatToRGBAFunction
//input a0 
//output none
ArrayVector vtkVideoSourceSetOutputFormatToRGBAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputFormatToRGBA ();this SetOutputFormat VTK_RGBA  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputFormatToRGBA for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputFormatToRGBA();
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:GetOutputFormat vtkVideoSourceGetOutputFormatFunction
//input a0 
//output y
ArrayVector vtkVideoSourceGetOutputFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputFormat (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputFormat for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutputFormat();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:SetFrameBufferSize vtkVideoSourceSetFrameBufferSizeFunction
//input a0 a1 
//output none
ArrayVector vtkVideoSourceSetFrameBufferSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetFrameBufferSize (int FrameBufferSize); */
  if (arg.size() < 2) 
    throw Exception("Function SetFrameBufferSize for class vtkVideoSource requires 2 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFrameBufferSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:GetFrameBufferSize vtkVideoSourceGetFrameBufferSizeFunction
//input a0 
//output y
ArrayVector vtkVideoSourceGetFrameBufferSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFrameBufferSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFrameBufferSize for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFrameBufferSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:SetNumberOfOutputFrames vtkVideoSourceSetNumberOfOutputFramesFunction
//input a0 a1 
//output none
ArrayVector vtkVideoSourceSetNumberOfOutputFramesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfOutputFrames (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfOutputFrames for class vtkVideoSource requires 2 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfOutputFrames(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:GetNumberOfOutputFrames vtkVideoSourceGetNumberOfOutputFramesFunction
//input a0 
//output y
ArrayVector vtkVideoSourceGetNumberOfOutputFramesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfOutputFrames (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfOutputFrames for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfOutputFrames();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:AutoAdvanceOn vtkVideoSourceAutoAdvanceOnFunction
//input a0 
//output none
ArrayVector vtkVideoSourceAutoAdvanceOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutoAdvanceOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AutoAdvanceOn for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  vtk_pointer->AutoAdvanceOn();
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:AutoAdvanceOff vtkVideoSourceAutoAdvanceOffFunction
//input a0 
//output none
ArrayVector vtkVideoSourceAutoAdvanceOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutoAdvanceOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AutoAdvanceOff for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  vtk_pointer->AutoAdvanceOff();
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:SetAutoAdvance vtkVideoSourceSetAutoAdvanceFunction
//input a0 a1 
//output none
ArrayVector vtkVideoSourceSetAutoAdvanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAutoAdvance (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAutoAdvance for class vtkVideoSource requires 2 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAutoAdvance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:GetAutoAdvance vtkVideoSourceGetAutoAdvanceFunction
//input a0 
//output y
ArrayVector vtkVideoSourceGetAutoAdvanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutoAdvance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutoAdvance for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutoAdvance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:SetClipRegion__1 vtkVideoSourceSetClipRegion__1Function
//input a0 a1 
//output none
ArrayVector vtkVideoSourceSetClipRegion__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetClipRegion (int r[6]);this SetClipRegion r r r r r r  */
  if (arg.size() < 2) 
    throw Exception("Function SetClipRegion__1 for class vtkVideoSource requires 2 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetClipRegion(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:SetClipRegion__2 vtkVideoSourceSetClipRegion__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkVideoSourceSetClipRegion__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetClipRegion (int x0, int x1, int y0, int y1, int z0, int z1); */
  if (arg.size() < 7) 
    throw Exception("Function SetClipRegion__2 for class vtkVideoSource requires 7 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetClipRegion(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:GetClipRegion vtkVideoSourceGetClipRegionFunction
//input a0 
//output y
ArrayVector vtkVideoSourceGetClipRegionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetClipRegion (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClipRegion for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetClipRegion();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:SetOutputWholeExtent__1 vtkVideoSourceSetOutputWholeExtent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkVideoSourceSetOutputWholeExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputWholeExtent (int , int , int , int , int , int ); */
  if (arg.size() < 7) 
    throw Exception("Function SetOutputWholeExtent__1 for class vtkVideoSource requires 7 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetOutputWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:SetOutputWholeExtent__2 vtkVideoSourceSetOutputWholeExtent__2Function
//input a0 a1 
//output none
ArrayVector vtkVideoSourceSetOutputWholeExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputWholeExtent (int  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputWholeExtent__2 for class vtkVideoSource requires 2 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetOutputWholeExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:GetOutputWholeExtent vtkVideoSourceGetOutputWholeExtentFunction
//input a0 
//output y
ArrayVector vtkVideoSourceGetOutputWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetOutputWholeExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputWholeExtent for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetOutputWholeExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:SetDataSpacing__1 vtkVideoSourceSetDataSpacing__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkVideoSourceSetDataSpacing__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataSpacing (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetDataSpacing__1 for class vtkVideoSource requires 4 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetDataSpacing(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:SetDataSpacing__2 vtkVideoSourceSetDataSpacing__2Function
//input a0 a1 
//output none
ArrayVector vtkVideoSourceSetDataSpacing__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataSpacing (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataSpacing__2 for class vtkVideoSource requires 2 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetDataSpacing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:GetDataSpacing vtkVideoSourceGetDataSpacingFunction
//input a0 
//output y
ArrayVector vtkVideoSourceGetDataSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetDataSpacing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataSpacing for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetDataSpacing();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:SetDataOrigin__1 vtkVideoSourceSetDataOrigin__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkVideoSourceSetDataOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataOrigin (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetDataOrigin__1 for class vtkVideoSource requires 4 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetDataOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:SetDataOrigin__2 vtkVideoSourceSetDataOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkVideoSourceSetDataOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataOrigin (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataOrigin__2 for class vtkVideoSource requires 2 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetDataOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:GetDataOrigin vtkVideoSourceGetDataOriginFunction
//input a0 
//output y
ArrayVector vtkVideoSourceGetDataOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetDataOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataOrigin for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetDataOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:SetOpacity vtkVideoSourceSetOpacityFunction
//input a0 a1 
//output none
ArrayVector vtkVideoSourceSetOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOpacity (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOpacity for class vtkVideoSource requires 2 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetOpacity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:GetOpacity vtkVideoSourceGetOpacityFunction
//input a0 
//output y
ArrayVector vtkVideoSourceGetOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetOpacity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOpacity for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetOpacity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:GetFrameCount vtkVideoSourceGetFrameCountFunction
//input a0 
//output y
ArrayVector vtkVideoSourceGetFrameCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFrameCount (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFrameCount for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFrameCount();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:SetFrameCount vtkVideoSourceSetFrameCountFunction
//input a0 a1 
//output none
ArrayVector vtkVideoSourceSetFrameCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFrameCount (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFrameCount for class vtkVideoSource requires 2 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFrameCount(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:GetFrameIndex vtkVideoSourceGetFrameIndexFunction
//input a0 
//output y
ArrayVector vtkVideoSourceGetFrameIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFrameIndex (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFrameIndex for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFrameIndex();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:GetFrameTimeStamp__1 vtkVideoSourceGetFrameTimeStamp__1Function
//input a0 a1 
//output y
ArrayVector vtkVideoSourceGetFrameTimeStamp__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetFrameTimeStamp (int frame); */
  if (arg.size() < 2) 
    throw Exception("Function GetFrameTimeStamp__1 for class vtkVideoSource requires 2 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetFrameTimeStamp(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:GetFrameTimeStamp__2 vtkVideoSourceGetFrameTimeStamp__2Function
//input a0 
//output y
ArrayVector vtkVideoSourceGetFrameTimeStamp__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFrameTimeStamp ();return this FrameTimeStamp  */
  if (arg.size() < 1) 
    throw Exception("Function GetFrameTimeStamp__2 for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFrameTimeStamp();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:Initialize vtkVideoSourceInitializeFunction
//input a0 
//output none
ArrayVector vtkVideoSourceInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:GetInitialized vtkVideoSourceGetInitializedFunction
//input a0 
//output y
ArrayVector vtkVideoSourceGetInitializedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetInitialized ();return this Initialized  */
  if (arg.size() < 1) 
    throw Exception("Function GetInitialized for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInitialized();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:ReleaseSystemResources vtkVideoSourceReleaseSystemResourcesFunction
//input a0 
//output none
ArrayVector vtkVideoSourceReleaseSystemResourcesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReleaseSystemResources (); */
  if (arg.size() < 1) 
    throw Exception("Function ReleaseSystemResources for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  vtk_pointer->ReleaseSystemResources();
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:InternalGrab vtkVideoSourceInternalGrabFunction
//input a0 
//output none
ArrayVector vtkVideoSourceInternalGrabFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void InternalGrab (); */
  if (arg.size() < 1) 
    throw Exception("Function InternalGrab for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  vtk_pointer->InternalGrab();
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:SetStartTimeStamp vtkVideoSourceSetStartTimeStampFunction
//input a0 a1 
//output none
ArrayVector vtkVideoSourceSetStartTimeStampFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStartTimeStamp (double t);this StartTimeStamp t  */
  if (arg.size() < 2) 
    throw Exception("Function SetStartTimeStamp for class vtkVideoSource requires 2 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetStartTimeStamp(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:GetStartTimeStamp vtkVideoSourceGetStartTimeStampFunction
//input a0 
//output y
ArrayVector vtkVideoSourceGetStartTimeStampFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetStartTimeStamp ();return this StartTimeStamp  */
  if (arg.size() < 1) 
    throw Exception("Function GetStartTimeStamp for class vtkVideoSource requires 1 argument(s)");
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetStartTimeStamp();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVideoSource:SetFrameSize vtkVideoSourceSetFrameSizeFunction
//input varargin
//output varargout
ArrayVector vtkVideoSourceSetFrameSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkVideoSourceSetFrameSize__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkVideoSourceSetFrameSize__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVideoSourceSetFrameSize");
}

//@@Signature
//sfunction @vtkVideoSource:SetClipRegion vtkVideoSourceSetClipRegionFunction
//input varargin
//output varargout
ArrayVector vtkVideoSourceSetClipRegionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkVideoSourceSetClipRegion__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkVideoSourceSetClipRegion__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVideoSourceSetClipRegion");
}

//@@Signature
//sfunction @vtkVideoSource:SetOutputWholeExtent vtkVideoSourceSetOutputWholeExtentFunction
//input varargin
//output varargout
ArrayVector vtkVideoSourceSetOutputWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkVideoSourceSetOutputWholeExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkVideoSourceSetOutputWholeExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVideoSourceSetOutputWholeExtent");
}

//@@Signature
//sfunction @vtkVideoSource:SetDataSpacing vtkVideoSourceSetDataSpacingFunction
//input varargin
//output varargout
ArrayVector vtkVideoSourceSetDataSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkVideoSourceSetDataSpacing__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkVideoSourceSetDataSpacing__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVideoSourceSetDataSpacing");
}

//@@Signature
//sfunction @vtkVideoSource:SetDataOrigin vtkVideoSourceSetDataOriginFunction
//input varargin
//output varargout
ArrayVector vtkVideoSourceSetDataOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkVideoSourceSetDataOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkVideoSourceSetDataOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVideoSourceSetDataOrigin");
}

//@@Signature
//sfunction @vtkVideoSource:GetFrameTimeStamp vtkVideoSourceGetFrameTimeStampFunction
//input varargin
//output varargout
ArrayVector vtkVideoSourceGetFrameTimeStampFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkVideoSourceGetFrameTimeStamp__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkVideoSourceGetFrameTimeStamp__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVideoSourceGetFrameTimeStamp");
}

//@@Signature
//sfunction @vtkVideoSource:display vtkVideoSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVideoSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVideoSource* vtk_pointer = GetVTKPointer<vtkVideoSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVideoSource:delete vtkVideoSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkVideoSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVideoSource
//@@Section VTKHybrid
//@@Usage
// vtkVideoSource is a superclass for video input interfaces for VTK.
// The goal is to provide an interface which is very similar to the
// interface of a VCR, where the 'tape' is an internal frame buffer
// capable of holding a preset number of video frames.  Specialized
// versions of this class record input from various video input sources.
// This base class records input from a noise source.
//
//To create an instance of class vtkVideoSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkVideoSource
//@]
//@@Methods
//The class vtkVideoSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVideoSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVideoSource = obj.NewInstance ()|
// \item @|vtkVideoSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Record ()| -  Record incoming video at the specified FrameRate.  The recording
// continues indefinitely until Stop() is called. 
//// \item @|obj.Play ()| -  Play through the 'tape' sequentially at the specified frame rate.
// If you have just finished Recoding, you should call Rewind() first.
//// \item @|obj.Stop ()| -  Stop recording or playing.
//// \item @|obj.Rewind ()| -  Rewind to the frame with the earliest timestamp.  Record operations
// will start on the following frame, therefore if you want to re-record
// over this frame you must call Seek(-1) before calling Grab() or Record().
//// \item @|obj.FastForward ()| -  FastForward to the last frame that was recorded (i.e. to the frame
// that has the most recent timestamp).
//// \item @|obj.Seek (int n)| -  Seek forwards or backwards by the specified number of frames
// (positive is forward, negative is backward).
//// \item @|obj.Grab ()| -  Grab a single video frame.
//// \item @|int = obj.GetRecording ()| -  Are we in record mode? (record mode and play mode are mutually
// exclusive).
//// \item @|int = obj.GetPlaying ()| -  Are we in play mode? (record mode and play mode are mutually
// exclusive).
//// \item @|obj.SetFrameSize (int x, int y, int z)| -  Set the full-frame size.  This must be an allowed size for the device,
// the device may either refuse a request for an illegal frame size or
// automatically choose a new frame size.
// The default is usually 320x240x1, but can be device specific.  
// The 'depth' should always be 1 (unless you have a device that
// can handle 3D acquisition).
//// \item @|obj.SetFrameSize (int dim[3])| -  Set the full-frame size.  This must be an allowed size for the device,
// the device may either refuse a request for an illegal frame size or
// automatically choose a new frame size.
// The default is usually 320x240x1, but can be device specific.  
// The 'depth' should always be 1 (unless you have a device that
// can handle 3D acquisition).
//// \item @|int = obj. GetFrameSize ()| -  Set the full-frame size.  This must be an allowed size for the device,
// the device may either refuse a request for an illegal frame size or
// automatically choose a new frame size.
// The default is usually 320x240x1, but can be device specific.  
// The 'depth' should always be 1 (unless you have a device that
// can handle 3D acquisition).
//// \item @|obj.SetFrameRate (float rate)| -  Request a particular frame rate (default 30 frames per second).
//// \item @|float = obj.GetFrameRate ()| -  Request a particular frame rate (default 30 frames per second).
//// \item @|obj.SetOutputFormat (int format)| -  Set the output format.  This must be appropriate for device,
// usually only VTK_LUMINANCE, VTK_RGB, and VTK_RGBA are supported.
//// \item @|obj.SetOutputFormatToLuminance ()| -  Set the output format.  This must be appropriate for device,
// usually only VTK_LUMINANCE, VTK_RGB, and VTK_RGBA are supported.
//// \item @|obj.SetOutputFormatToRGB ()| -  Set the output format.  This must be appropriate for device,
// usually only VTK_LUMINANCE, VTK_RGB, and VTK_RGBA are supported.
//// \item @|obj.SetOutputFormatToRGBA ()| -  Set the output format.  This must be appropriate for device,
// usually only VTK_LUMINANCE, VTK_RGB, and VTK_RGBA are supported.
//// \item @|int = obj.GetOutputFormat ()| -  Set the output format.  This must be appropriate for device,
// usually only VTK_LUMINANCE, VTK_RGB, and VTK_RGBA are supported.
//// \item @|obj.SetFrameBufferSize (int FrameBufferSize)| -  Set size of the frame buffer, i.e. the number of frames that
// the 'tape' can store.
//// \item @|int = obj.GetFrameBufferSize ()| -  Set size of the frame buffer, i.e. the number of frames that
// the 'tape' can store.
//// \item @|obj.SetNumberOfOutputFrames (int )| -  Set the number of frames to copy to the output on each execute.
// The frames will be concatenated along the Z dimension, with the 
// most recent frame first.
// Default: 1
//// \item @|int = obj.GetNumberOfOutputFrames ()| -  Set the number of frames to copy to the output on each execute.
// The frames will be concatenated along the Z dimension, with the 
// most recent frame first.
// Default: 1
//// \item @|obj.AutoAdvanceOn ()| -  Set whether to automatically advance the buffer before each grab. 
// Default: on
//// \item @|obj.AutoAdvanceOff ()| -  Set whether to automatically advance the buffer before each grab. 
// Default: on
//// \item @|obj.SetAutoAdvance (int )| -  Set whether to automatically advance the buffer before each grab. 
// Default: on
//// \item @|int = obj.GetAutoAdvance ()| -  Set whether to automatically advance the buffer before each grab. 
// Default: on
//// \item @|obj.SetClipRegion (int r[6])| -  Set the clip rectangle for the frames.  The video will be clipped 
// before it is copied into the framebuffer.  Changing the ClipRegion
// will destroy the current contents of the framebuffer.
// The default ClipRegion is (0,VTK_INT_MAX,0,VTK_INT_MAX,0,VTK_INT_MAX).
//// \item @|obj.SetClipRegion (int x0, int x1, int y0, int y1, int z0, int z1)| -  Set the clip rectangle for the frames.  The video will be clipped 
// before it is copied into the framebuffer.  Changing the ClipRegion
// will destroy the current contents of the framebuffer.
// The default ClipRegion is (0,VTK_INT_MAX,0,VTK_INT_MAX,0,VTK_INT_MAX).
//// \item @|int = obj. GetClipRegion ()| -  Set the clip rectangle for the frames.  The video will be clipped 
// before it is copied into the framebuffer.  Changing the ClipRegion
// will destroy the current contents of the framebuffer.
// The default ClipRegion is (0,VTK_INT_MAX,0,VTK_INT_MAX,0,VTK_INT_MAX).
//// \item @|obj.SetOutputWholeExtent (int , int , int , int , int , int )| -  Get/Set the WholeExtent of the output.  This can be used to either
// clip or pad the video frame.  This clipping/padding is done when
// the frame is copied to the output, and does not change the contents
// of the framebuffer.  This is useful e.g. for expanding 
// the output size to a power of two for texture mapping.  The
// default is (0,-1,0,-1,0,-1) which causes the entire frame to be
// copied to the output.
//// \item @|obj.SetOutputWholeExtent (int  a[6])| -  Get/Set the WholeExtent of the output.  This can be used to either
// clip or pad the video frame.  This clipping/padding is done when
// the frame is copied to the output, and does not change the contents
// of the framebuffer.  This is useful e.g. for expanding 
// the output size to a power of two for texture mapping.  The
// default is (0,-1,0,-1,0,-1) which causes the entire frame to be
// copied to the output.
//// \item @|int = obj. GetOutputWholeExtent ()| -  Get/Set the WholeExtent of the output.  This can be used to either
// clip or pad the video frame.  This clipping/padding is done when
// the frame is copied to the output, and does not change the contents
// of the framebuffer.  This is useful e.g. for expanding 
// the output size to a power of two for texture mapping.  The
// default is (0,-1,0,-1,0,-1) which causes the entire frame to be
// copied to the output.
//// \item @|obj.SetDataSpacing (double , double , double )| -  Set/Get the pixel spacing. 
// Default: (1.0,1.0,1.0)
//// \item @|obj.SetDataSpacing (double  a[3])| -  Set/Get the pixel spacing. 
// Default: (1.0,1.0,1.0)
//// \item @|double = obj. GetDataSpacing ()| -  Set/Get the pixel spacing. 
// Default: (1.0,1.0,1.0)
//// \item @|obj.SetDataOrigin (double , double , double )| -  Set/Get the coordinates of the lower, left corner of the frame. 
// Default: (0.0,0.0,0.0)
//// \item @|obj.SetDataOrigin (double  a[3])| -  Set/Get the coordinates of the lower, left corner of the frame. 
// Default: (0.0,0.0,0.0)
//// \item @|double = obj. GetDataOrigin ()| -  Set/Get the coordinates of the lower, left corner of the frame. 
// Default: (0.0,0.0,0.0)
//// \item @|obj.SetOpacity (float )| -  For RGBA output only (4 scalar components), set the opacity.  This
// will not modify the existing contents of the framebuffer, only
// subsequently grabbed frames.
//// \item @|float = obj.GetOpacity ()| -  For RGBA output only (4 scalar components), set the opacity.  This
// will not modify the existing contents of the framebuffer, only
// subsequently grabbed frames.
//// \item @|int = obj.GetFrameCount ()| -  This value is incremented each time a frame is grabbed.
// reset it to zero (or any other value) at any time.
//// \item @|obj.SetFrameCount (int )| -  This value is incremented each time a frame is grabbed.
// reset it to zero (or any other value) at any time.
//// \item @|int = obj.GetFrameIndex ()| -  Get the frame index relative to the 'beginning of the tape'.  This
// value wraps back to zero if it increases past the FrameBufferSize.
//// \item @|double = obj.GetFrameTimeStamp (int frame)| -  Get a time stamp in seconds (resolution of milliseconds) for
// a video frame.   Time began on Jan 1, 1970.  You can specify
// a number (negative or positive) to specify the position of the
// video frame relative to the current frame.
//// \item @|double = obj.GetFrameTimeStamp ()| -  Get a time stamp in seconds (resolution of milliseconds) for
// the Output.  Time began on Jan 1, 1970.  This timestamp is only
// valid after the Output has been Updated.
//// \item @|obj.Initialize ()| -  Initialize the hardware.  This is called automatically
// on the first Update or Grab.
//// \item @|int = obj.GetInitialized ()| -  Initialize the hardware.  This is called automatically
// on the first Update or Grab.
//// \item @|obj.ReleaseSystemResources ()| -  Release the video driver.  This method must be called before
// application exit, or else the application might hang during
// exit.  
//// \item @|obj.InternalGrab ()| -  The internal function which actually does the grab.  You will
// definitely want to override this if you develop a vtkVideoSource
// subclass. 
//// \item @|obj.SetStartTimeStamp (double t)| -  And internal variable which marks the beginning of a Record session.
// These methods are for internal use only.
//// \item @|double = obj.GetStartTimeStamp ()| -  And internal variable which marks the beginning of a Record session.
// These methods are for internal use only.
////\end{itemize}
//!
