#include "VTKWrap.hpp"

// FreeMat wrapper for vtkWeightedTransformFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkWeightedTransformFilter.h"

//@@Signature
//sfunction @vtkWeightedTransformFilter:vtkWeightedTransformFilter vtkWeightedTransformFilterConstructorFunction
//input a
//output p
//@@Parents vtkWeightedTransformFilter vtkPointSetAlgorithm 
ArrayVector vtkWeightedTransformFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkWeightedTransformFilter::New(),"vtkWeightedTransformFilter",eval);
  } else if (arg[0].className() == "vtkWeightedTransformFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkWeightedTransformFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkWeightedTransformFilter");
    vtkWeightedTransformFilter*q = reinterpret_cast<vtkWeightedTransformFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkWeightedTransformFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkWeightedTransformFilter:GetClassName vtkWeightedTransformFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkWeightedTransformFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkWeightedTransformFilter requires 1 argument(s)");
  vtkWeightedTransformFilter* vtk_pointer = GetVTKPointer<vtkWeightedTransformFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWeightedTransformFilter:IsA vtkWeightedTransformFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkWeightedTransformFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkWeightedTransformFilter requires 2 argument(s)");
  vtkWeightedTransformFilter* vtk_pointer = GetVTKPointer<vtkWeightedTransformFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWeightedTransformFilter:NewInstance vtkWeightedTransformFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkWeightedTransformFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWeightedTransformFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkWeightedTransformFilter requires 1 argument(s)");
  vtkWeightedTransformFilter* vtk_pointer = GetVTKPointer<vtkWeightedTransformFilter>(arg[0]);
  Array retval;
  vtkWeightedTransformFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWeightedTransformFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWeightedTransformFilter:SafeDownCast vtkWeightedTransformFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkWeightedTransformFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWeightedTransformFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkWeightedTransformFilter requires 2 argument(s)");
  vtkWeightedTransformFilter* vtk_pointer = GetVTKPointer<vtkWeightedTransformFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkWeightedTransformFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWeightedTransformFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWeightedTransformFilter:GetMTime vtkWeightedTransformFilterGetMTimeFunction
//input a0 
//output y
ArrayVector vtkWeightedTransformFilterGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkWeightedTransformFilter requires 1 argument(s)");
  vtkWeightedTransformFilter* vtk_pointer = GetVTKPointer<vtkWeightedTransformFilter>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWeightedTransformFilter:SetWeightArray vtkWeightedTransformFilterSetWeightArrayFunction
//input a0 a1 
//output none
ArrayVector vtkWeightedTransformFilterSetWeightArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWeightArray (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetWeightArray for class vtkWeightedTransformFilter requires 2 argument(s)");
  vtkWeightedTransformFilter* vtk_pointer = GetVTKPointer<vtkWeightedTransformFilter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetWeightArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWeightedTransformFilter:GetWeightArray vtkWeightedTransformFilterGetWeightArrayFunction
//input a0 
//output y
ArrayVector vtkWeightedTransformFilterGetWeightArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetWeightArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWeightArray for class vtkWeightedTransformFilter requires 1 argument(s)");
  vtkWeightedTransformFilter* vtk_pointer = GetVTKPointer<vtkWeightedTransformFilter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetWeightArray();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWeightedTransformFilter:SetTransformIndexArray vtkWeightedTransformFilterSetTransformIndexArrayFunction
//input a0 a1 
//output none
ArrayVector vtkWeightedTransformFilterSetTransformIndexArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTransformIndexArray (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTransformIndexArray for class vtkWeightedTransformFilter requires 2 argument(s)");
  vtkWeightedTransformFilter* vtk_pointer = GetVTKPointer<vtkWeightedTransformFilter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetTransformIndexArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWeightedTransformFilter:GetTransformIndexArray vtkWeightedTransformFilterGetTransformIndexArrayFunction
//input a0 
//output y
ArrayVector vtkWeightedTransformFilterGetTransformIndexArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetTransformIndexArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTransformIndexArray for class vtkWeightedTransformFilter requires 1 argument(s)");
  vtkWeightedTransformFilter* vtk_pointer = GetVTKPointer<vtkWeightedTransformFilter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetTransformIndexArray();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWeightedTransformFilter:SetCellDataWeightArray vtkWeightedTransformFilterSetCellDataWeightArrayFunction
//input a0 a1 
//output none
ArrayVector vtkWeightedTransformFilterSetCellDataWeightArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellDataWeightArray (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetCellDataWeightArray for class vtkWeightedTransformFilter requires 2 argument(s)");
  vtkWeightedTransformFilter* vtk_pointer = GetVTKPointer<vtkWeightedTransformFilter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetCellDataWeightArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWeightedTransformFilter:GetCellDataWeightArray vtkWeightedTransformFilterGetCellDataWeightArrayFunction
//input a0 
//output y
ArrayVector vtkWeightedTransformFilterGetCellDataWeightArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetCellDataWeightArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellDataWeightArray for class vtkWeightedTransformFilter requires 1 argument(s)");
  vtkWeightedTransformFilter* vtk_pointer = GetVTKPointer<vtkWeightedTransformFilter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetCellDataWeightArray();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWeightedTransformFilter:SetCellDataTransformIndexArray vtkWeightedTransformFilterSetCellDataTransformIndexArrayFunction
//input a0 a1 
//output none
ArrayVector vtkWeightedTransformFilterSetCellDataTransformIndexArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellDataTransformIndexArray (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetCellDataTransformIndexArray for class vtkWeightedTransformFilter requires 2 argument(s)");
  vtkWeightedTransformFilter* vtk_pointer = GetVTKPointer<vtkWeightedTransformFilter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetCellDataTransformIndexArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWeightedTransformFilter:GetCellDataTransformIndexArray vtkWeightedTransformFilterGetCellDataTransformIndexArrayFunction
//input a0 
//output y
ArrayVector vtkWeightedTransformFilterGetCellDataTransformIndexArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetCellDataTransformIndexArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellDataTransformIndexArray for class vtkWeightedTransformFilter requires 1 argument(s)");
  vtkWeightedTransformFilter* vtk_pointer = GetVTKPointer<vtkWeightedTransformFilter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetCellDataTransformIndexArray();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWeightedTransformFilter:SetTransform vtkWeightedTransformFilterSetTransformFunction
//input a0 a1 a2 
//output none
ArrayVector vtkWeightedTransformFilterSetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTransform (vtkAbstractTransform *transform, int num); */
  if (arg.size() < 3) 
    throw Exception("Function SetTransform for class vtkWeightedTransformFilter requires 3 argument(s)");
  vtkWeightedTransformFilter* vtk_pointer = GetVTKPointer<vtkWeightedTransformFilter>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp0;
  int      temp1;
  temp0 = GetVTKPointer<vtkAbstractTransform>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetTransform(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkWeightedTransformFilter:GetTransform vtkWeightedTransformFilterGetTransformFunction
//input a0 a1 
//output y
ArrayVector vtkWeightedTransformFilterGetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkAbstractTransform *GetTransform (int num); */
  if (arg.size() < 2) 
    throw Exception("Function GetTransform for class vtkWeightedTransformFilter requires 2 argument(s)");
  vtkWeightedTransformFilter* vtk_pointer = GetVTKPointer<vtkWeightedTransformFilter>(arg[0]);
  Array retval;
  int      temp0;
  vtkAbstractTransform  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTransform(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWeightedTransformFilter:SetNumberOfTransforms vtkWeightedTransformFilterSetNumberOfTransformsFunction
//input a0 a1 
//output none
ArrayVector vtkWeightedTransformFilterSetNumberOfTransformsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetNumberOfTransforms (int num); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfTransforms for class vtkWeightedTransformFilter requires 2 argument(s)");
  vtkWeightedTransformFilter* vtk_pointer = GetVTKPointer<vtkWeightedTransformFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfTransforms(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWeightedTransformFilter:GetNumberOfTransforms vtkWeightedTransformFilterGetNumberOfTransformsFunction
//input a0 
//output y
ArrayVector vtkWeightedTransformFilterGetNumberOfTransformsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfTransforms (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTransforms for class vtkWeightedTransformFilter requires 1 argument(s)");
  vtkWeightedTransformFilter* vtk_pointer = GetVTKPointer<vtkWeightedTransformFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfTransforms();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWeightedTransformFilter:AddInputValuesOn vtkWeightedTransformFilterAddInputValuesOnFunction
//input a0 
//output none
ArrayVector vtkWeightedTransformFilterAddInputValuesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInputValuesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AddInputValuesOn for class vtkWeightedTransformFilter requires 1 argument(s)");
  vtkWeightedTransformFilter* vtk_pointer = GetVTKPointer<vtkWeightedTransformFilter>(arg[0]);
  Array retval;
  vtk_pointer->AddInputValuesOn();
  return retval;
}

//@@Signature
//sfunction @vtkWeightedTransformFilter:AddInputValuesOff vtkWeightedTransformFilterAddInputValuesOffFunction
//input a0 
//output none
ArrayVector vtkWeightedTransformFilterAddInputValuesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddInputValuesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AddInputValuesOff for class vtkWeightedTransformFilter requires 1 argument(s)");
  vtkWeightedTransformFilter* vtk_pointer = GetVTKPointer<vtkWeightedTransformFilter>(arg[0]);
  Array retval;
  vtk_pointer->AddInputValuesOff();
  return retval;
}

//@@Signature
//sfunction @vtkWeightedTransformFilter:SetAddInputValues vtkWeightedTransformFilterSetAddInputValuesFunction
//input a0 a1 
//output none
ArrayVector vtkWeightedTransformFilterSetAddInputValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAddInputValues (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAddInputValues for class vtkWeightedTransformFilter requires 2 argument(s)");
  vtkWeightedTransformFilter* vtk_pointer = GetVTKPointer<vtkWeightedTransformFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAddInputValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWeightedTransformFilter:GetAddInputValues vtkWeightedTransformFilterGetAddInputValuesFunction
//input a0 
//output y
ArrayVector vtkWeightedTransformFilterGetAddInputValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAddInputValues (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAddInputValues for class vtkWeightedTransformFilter requires 1 argument(s)");
  vtkWeightedTransformFilter* vtk_pointer = GetVTKPointer<vtkWeightedTransformFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAddInputValues();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWeightedTransformFilter:display vtkWeightedTransformFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkWeightedTransformFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkWeightedTransformFilter* vtk_pointer = GetVTKPointer<vtkWeightedTransformFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkWeightedTransformFilter:delete vtkWeightedTransformFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkWeightedTransformFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkWeightedTransformFilter
//@@Section VTKHybrid
//@@Usage
//
//To create an instance of class vtkWeightedTransformFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkWeightedTransformFilter
//@]
//@@Methods
//The class vtkWeightedTransformFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkWeightedTransformFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkWeightedTransformFilter = obj.NewInstance ()|
// \item @|vtkWeightedTransformFilter = obj.SafeDownCast (vtkObject o)|
// \item @|long = obj.GetMTime ()| -  Return the MTime also considering the filter's transforms.
//// \item @|obj.SetWeightArray (string )| -  WeightArray is the string name of the DataArray in the input's
// FieldData that holds the weighting coefficients for each point.
// The filter will first look for the array in the input's PointData
// FieldData.  If the array isn't there, the filter looks in the
// input's FieldData.  The WeightArray can have tuples of any length,
// but must have a tuple for every point in the input data set.
// This array transforms points, normals, and vectors.
//// \item @|string = obj.GetWeightArray ()| -  WeightArray is the string name of the DataArray in the input's
// FieldData that holds the weighting coefficients for each point.
// The filter will first look for the array in the input's PointData
// FieldData.  If the array isn't there, the filter looks in the
// input's FieldData.  The WeightArray can have tuples of any length,
// but must have a tuple for every point in the input data set.
// This array transforms points, normals, and vectors.
//// \item @|obj.SetTransformIndexArray (string )| -  TransformIndexArray is the string name of the DataArray in the input's
// FieldData that holds the indices for the transforms for each point.
// These indices are used to select which transforms each weight of
// the DataArray refers.  If the TransformIndexArray is not specified,
// the weights of each point are assumed to map directly to a transform.
// This DataArray must be of type UnsignedShort, which effectively
// limits the number of transforms to 65536 if a transform index 
// array is used.
// 
// The filter will first look for the array in the input's PointData
// FieldData.  If the array isn't there, the filter looks in the
// input's FieldData.  The TransformIndexArray can have tuples of any 
// length, but must have a tuple for every point in the input data set.
// This array transforms points, normals, and vectors.
//// \item @|string = obj.GetTransformIndexArray ()| -  TransformIndexArray is the string name of the DataArray in the input's
// FieldData that holds the indices for the transforms for each point.
// These indices are used to select which transforms each weight of
// the DataArray refers.  If the TransformIndexArray is not specified,
// the weights of each point are assumed to map directly to a transform.
// This DataArray must be of type UnsignedShort, which effectively
// limits the number of transforms to 65536 if a transform index 
// array is used.
// 
// The filter will first look for the array in the input's PointData
// FieldData.  If the array isn't there, the filter looks in the
// input's FieldData.  The TransformIndexArray can have tuples of any 
// length, but must have a tuple for every point in the input data set.
// This array transforms points, normals, and vectors.
//// \item @|obj.SetCellDataWeightArray (string )| -  The CellDataWeightArray is analogous to the WeightArray, except
// for CellData.  The array is searched for first in the CellData 
// FieldData, then in the input's FieldData.  The data array must have
// a tuple for each cell.  This array is used to transform only normals
// and vectors.
//// \item @|string = obj.GetCellDataWeightArray ()| -  The CellDataWeightArray is analogous to the WeightArray, except
// for CellData.  The array is searched for first in the CellData 
// FieldData, then in the input's FieldData.  The data array must have
// a tuple for each cell.  This array is used to transform only normals
// and vectors.
//// \item @|obj.SetCellDataTransformIndexArray (string )|
// \item @|string = obj.GetCellDataTransformIndexArray ()|
// \item @|obj.SetTransform (vtkAbstractTransform transform, int num)| -  Set or Get one of the filter's transforms. The transform number must
// be less than the number of transforms allocated for the object.  Setting
// a transform slot to NULL is equivalent to assigning an overriding weight
// of zero to that filter slot.
//// \item @|vtkAbstractTransform = obj.GetTransform (int num)| -  Set or Get one of the filter's transforms. The transform number must
// be less than the number of transforms allocated for the object.  Setting
// a transform slot to NULL is equivalent to assigning an overriding weight
// of zero to that filter slot.
//// \item @|obj.SetNumberOfTransforms (int num)| -  Set the number of transforms for the filter.  References to non-existent
// filter numbers in the data array is equivalent to a weight of zero
// (i.e., no contribution of that filter or weight).  The maximum number of 
// transforms is limited to 65536 if transform index arrays are used.
//// \item @|int = obj.GetNumberOfTransforms ()| -  Set the number of transforms for the filter.  References to non-existent
// filter numbers in the data array is equivalent to a weight of zero
// (i.e., no contribution of that filter or weight).  The maximum number of 
// transforms is limited to 65536 if transform index arrays are used.
//// \item @|obj.AddInputValuesOn ()| -  If AddInputValues is true, the output values of this filter will be
// offset from the input values.  The effect is exactly equivalent to
// having an identity transform of weight 1 added into each output point.
//// \item @|obj.AddInputValuesOff ()| -  If AddInputValues is true, the output values of this filter will be
// offset from the input values.  The effect is exactly equivalent to
// having an identity transform of weight 1 added into each output point.
//// \item @|obj.SetAddInputValues (int )| -  If AddInputValues is true, the output values of this filter will be
// offset from the input values.  The effect is exactly equivalent to
// having an identity transform of weight 1 added into each output point.
//// \item @|int = obj.GetAddInputValues ()| -  If AddInputValues is true, the output values of this filter will be
// offset from the input values.  The effect is exactly equivalent to
// having an identity transform of weight 1 added into each output point.
////\end{itemize}
//!
