#include "VTKWrap.hpp"

// FreeMat wrapper for vtkX3DExporter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkX3DExporter.h"

//@@Signature
//sfunction @vtkX3DExporter:vtkX3DExporter vtkX3DExporterConstructorFunction
//input a
//output p
//@@Parents vtkX3DExporter vtkExporter 
ArrayVector vtkX3DExporterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkX3DExporter::New(),"vtkX3DExporter",eval);
  } else if (arg[0].className() == "vtkX3DExporter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkX3DExporter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkX3DExporter");
    vtkX3DExporter*q = reinterpret_cast<vtkX3DExporter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkX3DExporter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkX3DExporter:GetClassName vtkX3DExporterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkX3DExporterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkX3DExporter requires 1 argument(s)");
  vtkX3DExporter* vtk_pointer = GetVTKPointer<vtkX3DExporter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkX3DExporter:IsA vtkX3DExporterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkX3DExporterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkX3DExporter requires 2 argument(s)");
  vtkX3DExporter* vtk_pointer = GetVTKPointer<vtkX3DExporter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkX3DExporter:NewInstance vtkX3DExporterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkX3DExporterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkX3DExporter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkX3DExporter requires 1 argument(s)");
  vtkX3DExporter* vtk_pointer = GetVTKPointer<vtkX3DExporter>(arg[0]);
  Array retval;
  vtkX3DExporter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkX3DExporter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkX3DExporter:SafeDownCast vtkX3DExporterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkX3DExporterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkX3DExporter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkX3DExporter requires 2 argument(s)");
  vtkX3DExporter* vtk_pointer = GetVTKPointer<vtkX3DExporter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkX3DExporter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkX3DExporter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkX3DExporter:SetFileName vtkX3DExporterSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkX3DExporterSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkX3DExporter requires 2 argument(s)");
  vtkX3DExporter* vtk_pointer = GetVTKPointer<vtkX3DExporter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkX3DExporter:GetFileName vtkX3DExporterGetFileNameFunction
//input a0 
//output y
ArrayVector vtkX3DExporterGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkX3DExporter requires 1 argument(s)");
  vtkX3DExporter* vtk_pointer = GetVTKPointer<vtkX3DExporter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkX3DExporter:SetSpeed vtkX3DExporterSetSpeedFunction
//input a0 a1 
//output none
ArrayVector vtkX3DExporterSetSpeedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpeed (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSpeed for class vtkX3DExporter requires 2 argument(s)");
  vtkX3DExporter* vtk_pointer = GetVTKPointer<vtkX3DExporter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetSpeed(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkX3DExporter:GetSpeed vtkX3DExporterGetSpeedFunction
//input a0 
//output y
ArrayVector vtkX3DExporterGetSpeedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSpeed (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSpeed for class vtkX3DExporter requires 1 argument(s)");
  vtkX3DExporter* vtk_pointer = GetVTKPointer<vtkX3DExporter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSpeed();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkX3DExporter:SetBinary vtkX3DExporterSetBinaryFunction
//input a0 a1 
//output none
ArrayVector vtkX3DExporterSetBinaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBinary (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBinary for class vtkX3DExporter requires 2 argument(s)");
  vtkX3DExporter* vtk_pointer = GetVTKPointer<vtkX3DExporter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBinary(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkX3DExporter:GetBinaryMinValue vtkX3DExporterGetBinaryMinValueFunction
//input a0 
//output y
ArrayVector vtkX3DExporterGetBinaryMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBinaryMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBinaryMinValue for class vtkX3DExporter requires 1 argument(s)");
  vtkX3DExporter* vtk_pointer = GetVTKPointer<vtkX3DExporter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBinaryMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkX3DExporter:GetBinaryMaxValue vtkX3DExporterGetBinaryMaxValueFunction
//input a0 
//output y
ArrayVector vtkX3DExporterGetBinaryMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBinaryMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBinaryMaxValue for class vtkX3DExporter requires 1 argument(s)");
  vtkX3DExporter* vtk_pointer = GetVTKPointer<vtkX3DExporter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBinaryMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkX3DExporter:BinaryOn vtkX3DExporterBinaryOnFunction
//input a0 
//output none
ArrayVector vtkX3DExporterBinaryOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BinaryOn (); */
  if (arg.size() < 1) 
    throw Exception("Function BinaryOn for class vtkX3DExporter requires 1 argument(s)");
  vtkX3DExporter* vtk_pointer = GetVTKPointer<vtkX3DExporter>(arg[0]);
  Array retval;
  vtk_pointer->BinaryOn();
  return retval;
}

//@@Signature
//sfunction @vtkX3DExporter:BinaryOff vtkX3DExporterBinaryOffFunction
//input a0 
//output none
ArrayVector vtkX3DExporterBinaryOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BinaryOff (); */
  if (arg.size() < 1) 
    throw Exception("Function BinaryOff for class vtkX3DExporter requires 1 argument(s)");
  vtkX3DExporter* vtk_pointer = GetVTKPointer<vtkX3DExporter>(arg[0]);
  Array retval;
  vtk_pointer->BinaryOff();
  return retval;
}

//@@Signature
//sfunction @vtkX3DExporter:GetBinary vtkX3DExporterGetBinaryFunction
//input a0 
//output y
ArrayVector vtkX3DExporterGetBinaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBinary (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBinary for class vtkX3DExporter requires 1 argument(s)");
  vtkX3DExporter* vtk_pointer = GetVTKPointer<vtkX3DExporter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBinary();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkX3DExporter:SetFastest vtkX3DExporterSetFastestFunction
//input a0 a1 
//output none
ArrayVector vtkX3DExporterSetFastestFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFastest (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFastest for class vtkX3DExporter requires 2 argument(s)");
  vtkX3DExporter* vtk_pointer = GetVTKPointer<vtkX3DExporter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFastest(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkX3DExporter:GetFastestMinValue vtkX3DExporterGetFastestMinValueFunction
//input a0 
//output y
ArrayVector vtkX3DExporterGetFastestMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFastestMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFastestMinValue for class vtkX3DExporter requires 1 argument(s)");
  vtkX3DExporter* vtk_pointer = GetVTKPointer<vtkX3DExporter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFastestMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkX3DExporter:GetFastestMaxValue vtkX3DExporterGetFastestMaxValueFunction
//input a0 
//output y
ArrayVector vtkX3DExporterGetFastestMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFastestMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFastestMaxValue for class vtkX3DExporter requires 1 argument(s)");
  vtkX3DExporter* vtk_pointer = GetVTKPointer<vtkX3DExporter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFastestMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkX3DExporter:FastestOn vtkX3DExporterFastestOnFunction
//input a0 
//output none
ArrayVector vtkX3DExporterFastestOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FastestOn (); */
  if (arg.size() < 1) 
    throw Exception("Function FastestOn for class vtkX3DExporter requires 1 argument(s)");
  vtkX3DExporter* vtk_pointer = GetVTKPointer<vtkX3DExporter>(arg[0]);
  Array retval;
  vtk_pointer->FastestOn();
  return retval;
}

//@@Signature
//sfunction @vtkX3DExporter:FastestOff vtkX3DExporterFastestOffFunction
//input a0 
//output none
ArrayVector vtkX3DExporterFastestOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FastestOff (); */
  if (arg.size() < 1) 
    throw Exception("Function FastestOff for class vtkX3DExporter requires 1 argument(s)");
  vtkX3DExporter* vtk_pointer = GetVTKPointer<vtkX3DExporter>(arg[0]);
  Array retval;
  vtk_pointer->FastestOff();
  return retval;
}

//@@Signature
//sfunction @vtkX3DExporter:GetFastest vtkX3DExporterGetFastestFunction
//input a0 
//output y
ArrayVector vtkX3DExporterGetFastestFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFastest (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFastest for class vtkX3DExporter requires 1 argument(s)");
  vtkX3DExporter* vtk_pointer = GetVTKPointer<vtkX3DExporter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFastest();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkX3DExporter:display vtkX3DExporterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkX3DExporterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkX3DExporter* vtk_pointer = GetVTKPointer<vtkX3DExporter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkX3DExporter:delete vtkX3DExporterDeleteFunction
//input varargin
//output none
ArrayVector vtkX3DExporterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkX3DExporter
//@@Section VTKHybrid
//@@Usage
// vtkX3DExporter is a render window exporter which writes out the renderered
// scene into an X3D file. X3D is an XML-based format for representation 
// 3D scenes (similar to VRML). Check out http://www.web3d.org/x3d/ for more
// details.
// .SECTION Thanks
// X3DExporter is contributed by Christophe Mouton at EDF.
//
//To create an instance of class vtkX3DExporter, simply
//invoke its constructor as follows
//@[
//  obj = vtkX3DExporter
//@]
//@@Methods
//The class vtkX3DExporter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkX3DExporter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkX3DExporter = obj.NewInstance ()|
// \item @|vtkX3DExporter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string )| -  Set/Get the output file name.
//// \item @|string = obj.GetFileName ()| -  Set/Get the output file name.
//// \item @|obj.SetSpeed (double )| -  Specify the Speed of navigation. Default is 4.
//// \item @|double = obj.GetSpeed ()| -  Specify the Speed of navigation. Default is 4.
//// \item @|obj.SetBinary (int )| -  Turn on binary mode
//// \item @|int = obj.GetBinaryMinValue ()| -  Turn on binary mode
//// \item @|int = obj.GetBinaryMaxValue ()| -  Turn on binary mode
//// \item @|obj.BinaryOn ()| -  Turn on binary mode
//// \item @|obj.BinaryOff ()| -  Turn on binary mode
//// \item @|int = obj.GetBinary ()| -  Turn on binary mode
//// \item @|obj.SetFastest (int )| -  In binary mode use fastest instead of best compression
//// \item @|int = obj.GetFastestMinValue ()| -  In binary mode use fastest instead of best compression
//// \item @|int = obj.GetFastestMaxValue ()| -  In binary mode use fastest instead of best compression
//// \item @|obj.FastestOn ()| -  In binary mode use fastest instead of best compression
//// \item @|obj.FastestOff ()| -  In binary mode use fastest instead of best compression
//// \item @|int = obj.GetFastest ()| -  In binary mode use fastest instead of best compression
////\end{itemize}
//!
