#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBooleanTexture object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBooleanTexture.h"

//@@Signature
//sfunction @vtkBooleanTexture:vtkBooleanTexture vtkBooleanTextureConstructorFunction
//input a
//output p
//@@Parents vtkBooleanTexture vtkImageAlgorithm 
ArrayVector vtkBooleanTextureConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBooleanTexture::New(),"vtkBooleanTexture",eval);
  } else if (arg[0].className() == "vtkBooleanTexture") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBooleanTexture"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBooleanTexture");
    vtkBooleanTexture*q = reinterpret_cast<vtkBooleanTexture*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBooleanTexture");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBooleanTexture:GetClassName vtkBooleanTextureGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBooleanTextureGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBooleanTexture requires 1 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:IsA vtkBooleanTextureIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBooleanTextureIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBooleanTexture requires 2 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:NewInstance vtkBooleanTextureNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBooleanTextureNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBooleanTexture *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBooleanTexture requires 1 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  vtkBooleanTexture  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBooleanTexture",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:SafeDownCast vtkBooleanTextureSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBooleanTextureSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBooleanTexture *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBooleanTexture requires 2 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBooleanTexture  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBooleanTexture",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:SetXSize vtkBooleanTextureSetXSizeFunction
//input a0 a1 
//output none
ArrayVector vtkBooleanTextureSetXSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXSize (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetXSize for class vtkBooleanTexture requires 2 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetXSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:GetXSize vtkBooleanTextureGetXSizeFunction
//input a0 
//output y
ArrayVector vtkBooleanTextureGetXSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetXSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXSize for class vtkBooleanTexture requires 1 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetXSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:SetYSize vtkBooleanTextureSetYSizeFunction
//input a0 a1 
//output none
ArrayVector vtkBooleanTextureSetYSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYSize (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetYSize for class vtkBooleanTexture requires 2 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetYSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:GetYSize vtkBooleanTextureGetYSizeFunction
//input a0 
//output y
ArrayVector vtkBooleanTextureGetYSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetYSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYSize for class vtkBooleanTexture requires 1 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetYSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:SetThickness vtkBooleanTextureSetThicknessFunction
//input a0 a1 
//output none
ArrayVector vtkBooleanTextureSetThicknessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetThickness (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetThickness for class vtkBooleanTexture requires 2 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetThickness(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:GetThickness vtkBooleanTextureGetThicknessFunction
//input a0 
//output y
ArrayVector vtkBooleanTextureGetThicknessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetThickness (); */
  if (arg.size() < 1) 
    throw Exception("Function GetThickness for class vtkBooleanTexture requires 1 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetThickness();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:SetInIn__1 vtkBooleanTextureSetInIn__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkBooleanTextureSetInIn__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInIn (unsigned char , unsigned char ); */
  if (arg.size() < 3) 
    throw Exception("Function SetInIn__1 for class vtkBooleanTexture requires 3 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  unsigned char     temp0;
  unsigned char     temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned char) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned char) arg[2].asDouble();
  vtk_pointer->SetInIn(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:SetInIn__2 vtkBooleanTextureSetInIn__2Function
//input a0 a1 
//output none
ArrayVector vtkBooleanTextureSetInIn__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInIn (unsigned char  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetInIn__2 for class vtkBooleanTexture requires 2 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  unsigned char   temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
  }
  vtk_pointer->SetInIn(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:GetInIn vtkBooleanTextureGetInInFunction
//input a0 
//output y
ArrayVector vtkBooleanTextureGetInInFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned char  *GetInIn (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInIn for class vtkBooleanTexture requires 1 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  unsigned char    *temp20;
  temp20 = (vtk_pointer)->GetInIn();
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:SetInOut__1 vtkBooleanTextureSetInOut__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkBooleanTextureSetInOut__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInOut (unsigned char , unsigned char ); */
  if (arg.size() < 3) 
    throw Exception("Function SetInOut__1 for class vtkBooleanTexture requires 3 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  unsigned char     temp0;
  unsigned char     temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned char) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned char) arg[2].asDouble();
  vtk_pointer->SetInOut(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:SetInOut__2 vtkBooleanTextureSetInOut__2Function
//input a0 a1 
//output none
ArrayVector vtkBooleanTextureSetInOut__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInOut (unsigned char  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetInOut__2 for class vtkBooleanTexture requires 2 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  unsigned char   temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
  }
  vtk_pointer->SetInOut(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:GetInOut vtkBooleanTextureGetInOutFunction
//input a0 
//output y
ArrayVector vtkBooleanTextureGetInOutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned char  *GetInOut (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInOut for class vtkBooleanTexture requires 1 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  unsigned char    *temp20;
  temp20 = (vtk_pointer)->GetInOut();
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:SetOutIn__1 vtkBooleanTextureSetOutIn__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkBooleanTextureSetOutIn__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutIn (unsigned char , unsigned char ); */
  if (arg.size() < 3) 
    throw Exception("Function SetOutIn__1 for class vtkBooleanTexture requires 3 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  unsigned char     temp0;
  unsigned char     temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned char) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned char) arg[2].asDouble();
  vtk_pointer->SetOutIn(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:SetOutIn__2 vtkBooleanTextureSetOutIn__2Function
//input a0 a1 
//output none
ArrayVector vtkBooleanTextureSetOutIn__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutIn (unsigned char  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutIn__2 for class vtkBooleanTexture requires 2 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  unsigned char   temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
  }
  vtk_pointer->SetOutIn(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:GetOutIn vtkBooleanTextureGetOutInFunction
//input a0 
//output y
ArrayVector vtkBooleanTextureGetOutInFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned char  *GetOutIn (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutIn for class vtkBooleanTexture requires 1 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  unsigned char    *temp20;
  temp20 = (vtk_pointer)->GetOutIn();
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:SetOutOut__1 vtkBooleanTextureSetOutOut__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkBooleanTextureSetOutOut__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutOut (unsigned char , unsigned char ); */
  if (arg.size() < 3) 
    throw Exception("Function SetOutOut__1 for class vtkBooleanTexture requires 3 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  unsigned char     temp0;
  unsigned char     temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned char) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned char) arg[2].asDouble();
  vtk_pointer->SetOutOut(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:SetOutOut__2 vtkBooleanTextureSetOutOut__2Function
//input a0 a1 
//output none
ArrayVector vtkBooleanTextureSetOutOut__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutOut (unsigned char  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutOut__2 for class vtkBooleanTexture requires 2 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  unsigned char   temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
  }
  vtk_pointer->SetOutOut(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:GetOutOut vtkBooleanTextureGetOutOutFunction
//input a0 
//output y
ArrayVector vtkBooleanTextureGetOutOutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned char  *GetOutOut (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutOut for class vtkBooleanTexture requires 1 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  unsigned char    *temp20;
  temp20 = (vtk_pointer)->GetOutOut();
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:SetOnOn__1 vtkBooleanTextureSetOnOn__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkBooleanTextureSetOnOn__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOnOn (unsigned char , unsigned char ); */
  if (arg.size() < 3) 
    throw Exception("Function SetOnOn__1 for class vtkBooleanTexture requires 3 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  unsigned char     temp0;
  unsigned char     temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned char) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned char) arg[2].asDouble();
  vtk_pointer->SetOnOn(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:SetOnOn__2 vtkBooleanTextureSetOnOn__2Function
//input a0 a1 
//output none
ArrayVector vtkBooleanTextureSetOnOn__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOnOn (unsigned char  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOnOn__2 for class vtkBooleanTexture requires 2 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  unsigned char   temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
  }
  vtk_pointer->SetOnOn(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:GetOnOn vtkBooleanTextureGetOnOnFunction
//input a0 
//output y
ArrayVector vtkBooleanTextureGetOnOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned char  *GetOnOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOnOn for class vtkBooleanTexture requires 1 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  unsigned char    *temp20;
  temp20 = (vtk_pointer)->GetOnOn();
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:SetOnIn__1 vtkBooleanTextureSetOnIn__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkBooleanTextureSetOnIn__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOnIn (unsigned char , unsigned char ); */
  if (arg.size() < 3) 
    throw Exception("Function SetOnIn__1 for class vtkBooleanTexture requires 3 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  unsigned char     temp0;
  unsigned char     temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned char) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned char) arg[2].asDouble();
  vtk_pointer->SetOnIn(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:SetOnIn__2 vtkBooleanTextureSetOnIn__2Function
//input a0 a1 
//output none
ArrayVector vtkBooleanTextureSetOnIn__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOnIn (unsigned char  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOnIn__2 for class vtkBooleanTexture requires 2 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  unsigned char   temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
  }
  vtk_pointer->SetOnIn(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:GetOnIn vtkBooleanTextureGetOnInFunction
//input a0 
//output y
ArrayVector vtkBooleanTextureGetOnInFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned char  *GetOnIn (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOnIn for class vtkBooleanTexture requires 1 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  unsigned char    *temp20;
  temp20 = (vtk_pointer)->GetOnIn();
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:SetOnOut__1 vtkBooleanTextureSetOnOut__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkBooleanTextureSetOnOut__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOnOut (unsigned char , unsigned char ); */
  if (arg.size() < 3) 
    throw Exception("Function SetOnOut__1 for class vtkBooleanTexture requires 3 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  unsigned char     temp0;
  unsigned char     temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned char) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned char) arg[2].asDouble();
  vtk_pointer->SetOnOut(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:SetOnOut__2 vtkBooleanTextureSetOnOut__2Function
//input a0 a1 
//output none
ArrayVector vtkBooleanTextureSetOnOut__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOnOut (unsigned char  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOnOut__2 for class vtkBooleanTexture requires 2 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  unsigned char   temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
  }
  vtk_pointer->SetOnOut(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:GetOnOut vtkBooleanTextureGetOnOutFunction
//input a0 
//output y
ArrayVector vtkBooleanTextureGetOnOutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned char  *GetOnOut (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOnOut for class vtkBooleanTexture requires 1 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  unsigned char    *temp20;
  temp20 = (vtk_pointer)->GetOnOut();
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:SetInOn__1 vtkBooleanTextureSetInOn__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkBooleanTextureSetInOn__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInOn (unsigned char , unsigned char ); */
  if (arg.size() < 3) 
    throw Exception("Function SetInOn__1 for class vtkBooleanTexture requires 3 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  unsigned char     temp0;
  unsigned char     temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned char) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned char) arg[2].asDouble();
  vtk_pointer->SetInOn(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:SetInOn__2 vtkBooleanTextureSetInOn__2Function
//input a0 a1 
//output none
ArrayVector vtkBooleanTextureSetInOn__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInOn (unsigned char  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetInOn__2 for class vtkBooleanTexture requires 2 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  unsigned char   temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
  }
  vtk_pointer->SetInOn(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:GetInOn vtkBooleanTextureGetInOnFunction
//input a0 
//output y
ArrayVector vtkBooleanTextureGetInOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned char  *GetInOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInOn for class vtkBooleanTexture requires 1 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  unsigned char    *temp20;
  temp20 = (vtk_pointer)->GetInOn();
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:SetOutOn__1 vtkBooleanTextureSetOutOn__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkBooleanTextureSetOutOn__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutOn (unsigned char , unsigned char ); */
  if (arg.size() < 3) 
    throw Exception("Function SetOutOn__1 for class vtkBooleanTexture requires 3 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  unsigned char     temp0;
  unsigned char     temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned char) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned char) arg[2].asDouble();
  vtk_pointer->SetOutOn(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:SetOutOn__2 vtkBooleanTextureSetOutOn__2Function
//input a0 a1 
//output none
ArrayVector vtkBooleanTextureSetOutOn__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutOn (unsigned char  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutOn__2 for class vtkBooleanTexture requires 2 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  unsigned char   temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
  }
  vtk_pointer->SetOutOn(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:GetOutOn vtkBooleanTextureGetOutOnFunction
//input a0 
//output y
ArrayVector vtkBooleanTextureGetOutOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned char  *GetOutOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutOn for class vtkBooleanTexture requires 1 argument(s)");
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  Array retval;
  unsigned char    *temp20;
  temp20 = (vtk_pointer)->GetOutOn();
  return retval;
}

//@@Signature
//sfunction @vtkBooleanTexture:SetInIn vtkBooleanTextureSetInInFunction
//input varargin
//output varargout
ArrayVector vtkBooleanTextureSetInInFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkBooleanTextureSetInIn__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkBooleanTextureSetInIn__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBooleanTextureSetInIn");
}

//@@Signature
//sfunction @vtkBooleanTexture:SetInOut vtkBooleanTextureSetInOutFunction
//input varargin
//output varargout
ArrayVector vtkBooleanTextureSetInOutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkBooleanTextureSetInOut__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkBooleanTextureSetInOut__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBooleanTextureSetInOut");
}

//@@Signature
//sfunction @vtkBooleanTexture:SetOutIn vtkBooleanTextureSetOutInFunction
//input varargin
//output varargout
ArrayVector vtkBooleanTextureSetOutInFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkBooleanTextureSetOutIn__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkBooleanTextureSetOutIn__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBooleanTextureSetOutIn");
}

//@@Signature
//sfunction @vtkBooleanTexture:SetOutOut vtkBooleanTextureSetOutOutFunction
//input varargin
//output varargout
ArrayVector vtkBooleanTextureSetOutOutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkBooleanTextureSetOutOut__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkBooleanTextureSetOutOut__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBooleanTextureSetOutOut");
}

//@@Signature
//sfunction @vtkBooleanTexture:SetOnOn vtkBooleanTextureSetOnOnFunction
//input varargin
//output varargout
ArrayVector vtkBooleanTextureSetOnOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkBooleanTextureSetOnOn__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkBooleanTextureSetOnOn__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBooleanTextureSetOnOn");
}

//@@Signature
//sfunction @vtkBooleanTexture:SetOnIn vtkBooleanTextureSetOnInFunction
//input varargin
//output varargout
ArrayVector vtkBooleanTextureSetOnInFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkBooleanTextureSetOnIn__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkBooleanTextureSetOnIn__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBooleanTextureSetOnIn");
}

//@@Signature
//sfunction @vtkBooleanTexture:SetOnOut vtkBooleanTextureSetOnOutFunction
//input varargin
//output varargout
ArrayVector vtkBooleanTextureSetOnOutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkBooleanTextureSetOnOut__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkBooleanTextureSetOnOut__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBooleanTextureSetOnOut");
}

//@@Signature
//sfunction @vtkBooleanTexture:SetInOn vtkBooleanTextureSetInOnFunction
//input varargin
//output varargout
ArrayVector vtkBooleanTextureSetInOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkBooleanTextureSetInOn__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkBooleanTextureSetInOn__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBooleanTextureSetInOn");
}

//@@Signature
//sfunction @vtkBooleanTexture:SetOutOn vtkBooleanTextureSetOutOnFunction
//input varargin
//output varargout
ArrayVector vtkBooleanTextureSetOutOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkBooleanTextureSetOutOn__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkBooleanTextureSetOutOn__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkBooleanTextureSetOutOn");
}

//@@Signature
//sfunction @vtkBooleanTexture:display vtkBooleanTextureDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBooleanTextureDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBooleanTexture* vtk_pointer = GetVTKPointer<vtkBooleanTexture>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBooleanTexture:delete vtkBooleanTextureDeleteFunction
//input varargin
//output none
ArrayVector vtkBooleanTextureDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBooleanTexture
//@@Section VTKImaging
//@@Usage
// vtkBooleanTexture is a filter to generate a 2D texture map based on 
// combinations of inside, outside, and on region boundary. The "region" is
// implicitly represented via 2D texture coordinates. These texture 
// coordinates are normally generated using a filter like 
// vtkImplicitTextureCoords, which generates the texture coordinates for 
// any implicit function.
//
// vtkBooleanTexture generates the map according to the s-t texture
// coordinates plus the notion of being in, on, or outside of a
// region. An in region is when the texture coordinate is between
// (0,0.5-thickness/2).  An out region is where the texture coordinate
// is (0.5+thickness/2). An on region is between
// (0.5-thickness/2,0.5+thickness/2). The combination in, on, and out
// for each of the s-t texture coordinates results in 16 possible
// combinations (see text). For each combination, a different value of 
// intensity and transparency can be assigned. To assign maximum intensity
// and/or opacity use the value 255. A minimum value of 0 results in
// a black region (for intensity) and a fully transparent region (for
// transparency).
//
//To create an instance of class vtkBooleanTexture, simply
//invoke its constructor as follows
//@[
//  obj = vtkBooleanTexture
//@]
//@@Methods
//The class vtkBooleanTexture has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBooleanTexture class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkBooleanTexture = obj.NewInstance ()|
// \item @|vtkBooleanTexture = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetXSize (int )| -  Set the X texture map dimension.
//// \item @|int = obj.GetXSize ()| -  Set the X texture map dimension.
//// \item @|obj.SetYSize (int )| -  Set the Y texture map dimension.
//// \item @|int = obj.GetYSize ()| -  Set the Y texture map dimension.
//// \item @|obj.SetThickness (int )| -  Set the thickness of the "on" region.
//// \item @|int = obj.GetThickness ()| -  Set the thickness of the "on" region.
//// \item @|obj.SetInIn (char , char )| -  Specify intensity/transparency for "in/in" region.
//// \item @|obj.SetInIn (char  a[2])| -  Specify intensity/transparency for "in/in" region.
//// \item @|char = obj. GetInIn ()| -  Specify intensity/transparency for "in/in" region.
//// \item @|obj.SetInOut (char , char )| -  Specify intensity/transparency for "in/out" region.
//// \item @|obj.SetInOut (char  a[2])| -  Specify intensity/transparency for "in/out" region.
//// \item @|char = obj. GetInOut ()| -  Specify intensity/transparency for "in/out" region.
//// \item @|obj.SetOutIn (char , char )| -  Specify intensity/transparency for "out/in" region.
//// \item @|obj.SetOutIn (char  a[2])| -  Specify intensity/transparency for "out/in" region.
//// \item @|char = obj. GetOutIn ()| -  Specify intensity/transparency for "out/in" region.
//// \item @|obj.SetOutOut (char , char )| -  Specify intensity/transparency for "out/out" region.
//// \item @|obj.SetOutOut (char  a[2])| -  Specify intensity/transparency for "out/out" region.
//// \item @|char = obj. GetOutOut ()| -  Specify intensity/transparency for "out/out" region.
//// \item @|obj.SetOnOn (char , char )| -  Specify intensity/transparency for "on/on" region.
//// \item @|obj.SetOnOn (char  a[2])| -  Specify intensity/transparency for "on/on" region.
//// \item @|char = obj. GetOnOn ()| -  Specify intensity/transparency for "on/on" region.
//// \item @|obj.SetOnIn (char , char )| -  Specify intensity/transparency for "on/in" region.
//// \item @|obj.SetOnIn (char  a[2])| -  Specify intensity/transparency for "on/in" region.
//// \item @|char = obj. GetOnIn ()| -  Specify intensity/transparency for "on/in" region.
//// \item @|obj.SetOnOut (char , char )| -  Specify intensity/transparency for "on/out" region.
//// \item @|obj.SetOnOut (char  a[2])| -  Specify intensity/transparency for "on/out" region.
//// \item @|char = obj. GetOnOut ()| -  Specify intensity/transparency for "on/out" region.
//// \item @|obj.SetInOn (char , char )| -  Specify intensity/transparency for "in/on" region.
//// \item @|obj.SetInOn (char  a[2])| -  Specify intensity/transparency for "in/on" region.
//// \item @|char = obj. GetInOn ()| -  Specify intensity/transparency for "in/on" region.
//// \item @|obj.SetOutOn (char , char )| -  Specify intensity/transparency for "out/on" region.
//// \item @|obj.SetOutOn (char  a[2])| -  Specify intensity/transparency for "out/on" region.
//// \item @|char = obj. GetOutOn ()| -  Specify intensity/transparency for "out/on" region.
////\end{itemize}
//!
