#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtractVOI object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtractVOI.h"

//@@Signature
//sfunction @vtkExtractVOI:vtkExtractVOI vtkExtractVOIConstructorFunction
//input a
//output p
//@@Parents vtkExtractVOI vtkImageAlgorithm 
ArrayVector vtkExtractVOIConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtractVOI::New(),"vtkExtractVOI",eval);
  } else if (arg[0].className() == "vtkExtractVOI") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtractVOI"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtractVOI");
    vtkExtractVOI*q = reinterpret_cast<vtkExtractVOI*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtractVOI");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtractVOI:GetClassName vtkExtractVOIGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtractVOIGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtractVOI requires 1 argument(s)");
  vtkExtractVOI* vtk_pointer = GetVTKPointer<vtkExtractVOI>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractVOI:IsA vtkExtractVOIIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtractVOIIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtractVOI requires 2 argument(s)");
  vtkExtractVOI* vtk_pointer = GetVTKPointer<vtkExtractVOI>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractVOI:NewInstance vtkExtractVOINewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtractVOINewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractVOI *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtractVOI requires 1 argument(s)");
  vtkExtractVOI* vtk_pointer = GetVTKPointer<vtkExtractVOI>(arg[0]);
  Array retval;
  vtkExtractVOI  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractVOI",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractVOI:SafeDownCast vtkExtractVOISafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtractVOISafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractVOI *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtractVOI requires 2 argument(s)");
  vtkExtractVOI* vtk_pointer = GetVTKPointer<vtkExtractVOI>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtractVOI  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractVOI",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractVOI:SetVOI__1 vtkExtractVOISetVOI__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkExtractVOISetVOI__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVOI (int , int , int , int , int , int ); */
  if (arg.size() < 7) 
    throw Exception("Function SetVOI__1 for class vtkExtractVOI requires 7 argument(s)");
  vtkExtractVOI* vtk_pointer = GetVTKPointer<vtkExtractVOI>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetVOI(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkExtractVOI:SetVOI__2 vtkExtractVOISetVOI__2Function
//input a0 a1 
//output none
ArrayVector vtkExtractVOISetVOI__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVOI (int  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetVOI__2 for class vtkExtractVOI requires 2 argument(s)");
  vtkExtractVOI* vtk_pointer = GetVTKPointer<vtkExtractVOI>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetVOI(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractVOI:GetVOI vtkExtractVOIGetVOIFunction
//input a0 
//output y
ArrayVector vtkExtractVOIGetVOIFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetVOI (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVOI for class vtkExtractVOI requires 1 argument(s)");
  vtkExtractVOI* vtk_pointer = GetVTKPointer<vtkExtractVOI>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetVOI();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkExtractVOI:SetSampleRate__1 vtkExtractVOISetSampleRate__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkExtractVOISetSampleRate__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSampleRate (int , int , int ); */
  if (arg.size() < 4) 
    throw Exception("Function SetSampleRate__1 for class vtkExtractVOI requires 4 argument(s)");
  vtkExtractVOI* vtk_pointer = GetVTKPointer<vtkExtractVOI>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetSampleRate(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkExtractVOI:SetSampleRate__2 vtkExtractVOISetSampleRate__2Function
//input a0 a1 
//output none
ArrayVector vtkExtractVOISetSampleRate__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSampleRate (int  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSampleRate__2 for class vtkExtractVOI requires 2 argument(s)");
  vtkExtractVOI* vtk_pointer = GetVTKPointer<vtkExtractVOI>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetSampleRate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractVOI:GetSampleRate vtkExtractVOIGetSampleRateFunction
//input a0 
//output y
ArrayVector vtkExtractVOIGetSampleRateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetSampleRate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSampleRate for class vtkExtractVOI requires 1 argument(s)");
  vtkExtractVOI* vtk_pointer = GetVTKPointer<vtkExtractVOI>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetSampleRate();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkExtractVOI:SetVOI vtkExtractVOISetVOIFunction
//input varargin
//output varargout
ArrayVector vtkExtractVOISetVOIFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkExtractVOISetVOI__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkExtractVOISetVOI__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExtractVOISetVOI");
}

//@@Signature
//sfunction @vtkExtractVOI:SetSampleRate vtkExtractVOISetSampleRateFunction
//input varargin
//output varargout
ArrayVector vtkExtractVOISetSampleRateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkExtractVOISetSampleRate__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkExtractVOISetSampleRate__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExtractVOISetSampleRate");
}

//@@Signature
//sfunction @vtkExtractVOI:display vtkExtractVOIDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtractVOIDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtractVOI* vtk_pointer = GetVTKPointer<vtkExtractVOI>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtractVOI:delete vtkExtractVOIDeleteFunction
//input varargin
//output none
ArrayVector vtkExtractVOIDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExtractVOI
//@@Section VTKImaging
//@@Usage
// vtkExtractVOI is a filter that selects a portion of an input structured
// points dataset, or subsamples an input dataset. (The selected portion of
// interested is referred to as the Volume Of Interest, or VOI.) The output of
// this filter is a structured points dataset. The filter treats input data
// of any topological dimension (i.e., point, line, image, or volume) and can
// generate output data of any topological dimension.
//
// To use this filter set the VOI ivar which are i-j-k min/max indices that
// specify a rectangular region in the data. (Note that these are 0-offset.)
// You can also specify a sampling rate to subsample the data.
//
// Typical applications of this filter are to extract a slice from a volume
// for image processing, subsampling large volumes to reduce data size, or
// extracting regions of a volume with interesting data.
//
//To create an instance of class vtkExtractVOI, simply
//invoke its constructor as follows
//@[
//  obj = vtkExtractVOI
//@]
//@@Methods
//The class vtkExtractVOI has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExtractVOI class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExtractVOI = obj.NewInstance ()|
// \item @|vtkExtractVOI = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetVOI (int , int , int , int , int , int )| -  Specify i-j-k (min,max) pairs to extract. The resulting structured points
// dataset can be of any topological dimension (i.e., point, line, image, 
// or volume). 
//// \item @|obj.SetVOI (int  a[6])| -  Specify i-j-k (min,max) pairs to extract. The resulting structured points
// dataset can be of any topological dimension (i.e., point, line, image, 
// or volume). 
//// \item @|int = obj. GetVOI ()| -  Specify i-j-k (min,max) pairs to extract. The resulting structured points
// dataset can be of any topological dimension (i.e., point, line, image, 
// or volume). 
//// \item @|obj.SetSampleRate (int , int , int )| -  Set the sampling rate in the i, j, and k directions. If the rate is >
// 1, then the resulting VOI will be subsampled representation of the
// input.  For example, if the SampleRate=(2,2,2), every other point will
// be selected, resulting in a volume 1/8th the original size.
//// \item @|obj.SetSampleRate (int  a[3])| -  Set the sampling rate in the i, j, and k directions. If the rate is >
// 1, then the resulting VOI will be subsampled representation of the
// input.  For example, if the SampleRate=(2,2,2), every other point will
// be selected, resulting in a volume 1/8th the original size.
//// \item @|int = obj. GetSampleRate ()| -  Set the sampling rate in the i, j, and k directions. If the rate is >
// 1, then the resulting VOI will be subsampled representation of the
// input.  For example, if the SampleRate=(2,2,2), every other point will
// be selected, resulting in a volume 1/8th the original size.
////\end{itemize}
//!
