#include "VTKWrap.hpp"

// FreeMat wrapper for vtkFastSplatter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkFastSplatter.h"

//@@Signature
//sfunction @vtkFastSplatter:vtkFastSplatter vtkFastSplatterConstructorFunction
//input a
//output p
//@@Parents vtkFastSplatter vtkImageAlgorithm 
ArrayVector vtkFastSplatterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkFastSplatter::New(),"vtkFastSplatter",eval);
  } else if (arg[0].className() == "vtkFastSplatter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkFastSplatter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkFastSplatter");
    vtkFastSplatter*q = reinterpret_cast<vtkFastSplatter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkFastSplatter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkFastSplatter:GetClassName vtkFastSplatterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkFastSplatterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkFastSplatter requires 1 argument(s)");
  vtkFastSplatter* vtk_pointer = GetVTKPointer<vtkFastSplatter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFastSplatter:IsA vtkFastSplatterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkFastSplatterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkFastSplatter requires 2 argument(s)");
  vtkFastSplatter* vtk_pointer = GetVTKPointer<vtkFastSplatter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFastSplatter:NewInstance vtkFastSplatterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkFastSplatterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFastSplatter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkFastSplatter requires 1 argument(s)");
  vtkFastSplatter* vtk_pointer = GetVTKPointer<vtkFastSplatter>(arg[0]);
  Array retval;
  vtkFastSplatter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFastSplatter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFastSplatter:SafeDownCast vtkFastSplatterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkFastSplatterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFastSplatter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkFastSplatter requires 2 argument(s)");
  vtkFastSplatter* vtk_pointer = GetVTKPointer<vtkFastSplatter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkFastSplatter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFastSplatter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFastSplatter:SetModelBounds__1 vtkFastSplatterSetModelBounds__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkFastSplatterSetModelBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetModelBounds (double , double , double , double , double , double ); */
  if (arg.size() < 7) 
    throw Exception("Function SetModelBounds__1 for class vtkFastSplatter requires 7 argument(s)");
  vtkFastSplatter* vtk_pointer = GetVTKPointer<vtkFastSplatter>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkFastSplatter:SetModelBounds__2 vtkFastSplatterSetModelBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkFastSplatterSetModelBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetModelBounds (double  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetModelBounds__2 for class vtkFastSplatter requires 2 argument(s)");
  vtkFastSplatter* vtk_pointer = GetVTKPointer<vtkFastSplatter>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetModelBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFastSplatter:GetModelBounds vtkFastSplatterGetModelBoundsFunction
//input a0 
//output y
ArrayVector vtkFastSplatterGetModelBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetModelBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetModelBounds for class vtkFastSplatter requires 1 argument(s)");
  vtkFastSplatter* vtk_pointer = GetVTKPointer<vtkFastSplatter>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetModelBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkFastSplatter:SetOutputDimensions__1 vtkFastSplatterSetOutputDimensions__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkFastSplatterSetOutputDimensions__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputDimensions (int , int , int ); */
  if (arg.size() < 4) 
    throw Exception("Function SetOutputDimensions__1 for class vtkFastSplatter requires 4 argument(s)");
  vtkFastSplatter* vtk_pointer = GetVTKPointer<vtkFastSplatter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetOutputDimensions(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkFastSplatter:SetOutputDimensions__2 vtkFastSplatterSetOutputDimensions__2Function
//input a0 a1 
//output none
ArrayVector vtkFastSplatterSetOutputDimensions__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputDimensions (int  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputDimensions__2 for class vtkFastSplatter requires 2 argument(s)");
  vtkFastSplatter* vtk_pointer = GetVTKPointer<vtkFastSplatter>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetOutputDimensions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFastSplatter:GetOutputDimensions vtkFastSplatterGetOutputDimensionsFunction
//input a0 
//output y
ArrayVector vtkFastSplatterGetOutputDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetOutputDimensions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputDimensions for class vtkFastSplatter requires 1 argument(s)");
  vtkFastSplatter* vtk_pointer = GetVTKPointer<vtkFastSplatter>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetOutputDimensions();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkFastSplatter:SetLimitMode vtkFastSplatterSetLimitModeFunction
//input a0 a1 
//output none
ArrayVector vtkFastSplatterSetLimitModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLimitMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLimitMode for class vtkFastSplatter requires 2 argument(s)");
  vtkFastSplatter* vtk_pointer = GetVTKPointer<vtkFastSplatter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLimitMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFastSplatter:GetLimitMode vtkFastSplatterGetLimitModeFunction
//input a0 
//output y
ArrayVector vtkFastSplatterGetLimitModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLimitMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLimitMode for class vtkFastSplatter requires 1 argument(s)");
  vtkFastSplatter* vtk_pointer = GetVTKPointer<vtkFastSplatter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLimitMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFastSplatter:SetLimitModeToNone vtkFastSplatterSetLimitModeToNoneFunction
//input a0 
//output none
ArrayVector vtkFastSplatterSetLimitModeToNoneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLimitModeToNone ();this SetLimitMode NoneLimit  */
  if (arg.size() < 1) 
    throw Exception("Function SetLimitModeToNone for class vtkFastSplatter requires 1 argument(s)");
  vtkFastSplatter* vtk_pointer = GetVTKPointer<vtkFastSplatter>(arg[0]);
  Array retval;
  vtk_pointer->SetLimitModeToNone();
  return retval;
}

//@@Signature
//sfunction @vtkFastSplatter:SetLimitModeToClamp vtkFastSplatterSetLimitModeToClampFunction
//input a0 
//output none
ArrayVector vtkFastSplatterSetLimitModeToClampFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLimitModeToClamp ();this SetLimitMode ClampLimit  */
  if (arg.size() < 1) 
    throw Exception("Function SetLimitModeToClamp for class vtkFastSplatter requires 1 argument(s)");
  vtkFastSplatter* vtk_pointer = GetVTKPointer<vtkFastSplatter>(arg[0]);
  Array retval;
  vtk_pointer->SetLimitModeToClamp();
  return retval;
}

//@@Signature
//sfunction @vtkFastSplatter:SetLimitModeToScale vtkFastSplatterSetLimitModeToScaleFunction
//input a0 
//output none
ArrayVector vtkFastSplatterSetLimitModeToScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLimitModeToScale ();this SetLimitMode ScaleLimit  */
  if (arg.size() < 1) 
    throw Exception("Function SetLimitModeToScale for class vtkFastSplatter requires 1 argument(s)");
  vtkFastSplatter* vtk_pointer = GetVTKPointer<vtkFastSplatter>(arg[0]);
  Array retval;
  vtk_pointer->SetLimitModeToScale();
  return retval;
}

//@@Signature
//sfunction @vtkFastSplatter:SetLimitModeToFreezeScale vtkFastSplatterSetLimitModeToFreezeScaleFunction
//input a0 
//output none
ArrayVector vtkFastSplatterSetLimitModeToFreezeScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLimitModeToFreezeScale ();this SetLimitMode FreezeScaleLimit  */
  if (arg.size() < 1) 
    throw Exception("Function SetLimitModeToFreezeScale for class vtkFastSplatter requires 1 argument(s)");
  vtkFastSplatter* vtk_pointer = GetVTKPointer<vtkFastSplatter>(arg[0]);
  Array retval;
  vtk_pointer->SetLimitModeToFreezeScale();
  return retval;
}

//@@Signature
//sfunction @vtkFastSplatter:SetMinValue vtkFastSplatterSetMinValueFunction
//input a0 a1 
//output none
ArrayVector vtkFastSplatterSetMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinValue for class vtkFastSplatter requires 2 argument(s)");
  vtkFastSplatter* vtk_pointer = GetVTKPointer<vtkFastSplatter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMinValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFastSplatter:GetMinValue vtkFastSplatterGetMinValueFunction
//input a0 
//output y
ArrayVector vtkFastSplatterGetMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinValue for class vtkFastSplatter requires 1 argument(s)");
  vtkFastSplatter* vtk_pointer = GetVTKPointer<vtkFastSplatter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFastSplatter:SetMaxValue vtkFastSplatterSetMaxValueFunction
//input a0 a1 
//output none
ArrayVector vtkFastSplatterSetMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxValue for class vtkFastSplatter requires 2 argument(s)");
  vtkFastSplatter* vtk_pointer = GetVTKPointer<vtkFastSplatter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaxValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFastSplatter:GetMaxValue vtkFastSplatterGetMaxValueFunction
//input a0 
//output y
ArrayVector vtkFastSplatterGetMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxValue for class vtkFastSplatter requires 1 argument(s)");
  vtkFastSplatter* vtk_pointer = GetVTKPointer<vtkFastSplatter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFastSplatter:GetNumberOfPointsSplatted vtkFastSplatterGetNumberOfPointsSplattedFunction
//input a0 
//output y
ArrayVector vtkFastSplatterGetNumberOfPointsSplattedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPointsSplatted (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPointsSplatted for class vtkFastSplatter requires 1 argument(s)");
  vtkFastSplatter* vtk_pointer = GetVTKPointer<vtkFastSplatter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPointsSplatted();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFastSplatter:SetSplatConnection vtkFastSplatterSetSplatConnectionFunction
//input a0 a1 
//output none
ArrayVector vtkFastSplatterSetSplatConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSplatConnection (vtkAlgorithmOutput *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSplatConnection for class vtkFastSplatter requires 2 argument(s)");
  vtkFastSplatter* vtk_pointer = GetVTKPointer<vtkFastSplatter>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->SetSplatConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFastSplatter:SetModelBounds vtkFastSplatterSetModelBoundsFunction
//input varargin
//output varargout
ArrayVector vtkFastSplatterSetModelBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkFastSplatterSetModelBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkFastSplatterSetModelBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFastSplatterSetModelBounds");
}

//@@Signature
//sfunction @vtkFastSplatter:SetOutputDimensions vtkFastSplatterSetOutputDimensionsFunction
//input varargin
//output varargout
ArrayVector vtkFastSplatterSetOutputDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkFastSplatterSetOutputDimensions__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkFastSplatterSetOutputDimensions__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkFastSplatterSetOutputDimensions");
}

//@@Signature
//sfunction @vtkFastSplatter:display vtkFastSplatterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkFastSplatterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkFastSplatter* vtk_pointer = GetVTKPointer<vtkFastSplatter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkFastSplatter:delete vtkFastSplatterDeleteFunction
//input varargin
//output none
ArrayVector vtkFastSplatterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkFastSplatter
//@@Section VTKImaging
//@@Usage
//
// vtkFastSplatter takes any vtkPointSet as input (of which vtkPolyData and
// vtkUnstructuredGrid inherit).  Each point in the data set is considered to be
// an impulse.  These impulses are convolved with a given splat image.  In other
// words, the splat image is added to the final image at every place where there
// is an input point.
//
// Note that point and cell data are thrown away.  If you want a sampling
// of unstructured points consider vtkGaussianSplatter or vtkShepardMethod.
//
// Use input port 0 for the impulse data (vtkPointSet), and input port 1 for
// the splat image (vtkImageData)
//
// .SECTION Bugs
//
// Any point outside of the extents of the image is thrown away, even if it is
// close enough such that it's convolution with the splat image would overlap
// the extents.
//
//
//To create an instance of class vtkFastSplatter, simply
//invoke its constructor as follows
//@[
//  obj = vtkFastSplatter
//@]
//@@Methods
//The class vtkFastSplatter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkFastSplatter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkFastSplatter = obj.NewInstance ()|
// \item @|vtkFastSplatter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetModelBounds (double , double , double , double , double , double )| -  Set / get the (xmin,xmax, ymin,ymax, zmin,zmax) bounding box in which
// the sampling is performed. If any of the (min,max) bounds values are
// min >= max, then the bounds will be computed automatically from the input
// data. Otherwise, the user-specified bounds will be used.
//// \item @|obj.SetModelBounds (double  a[6])| -  Set / get the (xmin,xmax, ymin,ymax, zmin,zmax) bounding box in which
// the sampling is performed. If any of the (min,max) bounds values are
// min >= max, then the bounds will be computed automatically from the input
// data. Otherwise, the user-specified bounds will be used.
//// \item @|double = obj. GetModelBounds ()| -  Set / get the (xmin,xmax, ymin,ymax, zmin,zmax) bounding box in which
// the sampling is performed. If any of the (min,max) bounds values are
// min >= max, then the bounds will be computed automatically from the input
// data. Otherwise, the user-specified bounds will be used.
//// \item @|obj.SetOutputDimensions (int , int , int )| -  Set/get the dimensions of the output image
//// \item @|obj.SetOutputDimensions (int  a[3])| -  Set/get the dimensions of the output image
//// \item @|int = obj. GetOutputDimensions ()| -  Set/get the dimensions of the output image
//// \item @|obj.SetLimitMode (int )| -  Set/get the way voxel values will be limited.  If this is set to None (the
// default), the output can have arbitrarily large values.  If set to clamp,
// the output will be clamped to [MinValue,MaxValue].  If set to scale, the
// output will be linearly scaled between MinValue and MaxValue.
//// \item @|int = obj.GetLimitMode ()| -  Set/get the way voxel values will be limited.  If this is set to None (the
// default), the output can have arbitrarily large values.  If set to clamp,
// the output will be clamped to [MinValue,MaxValue].  If set to scale, the
// output will be linearly scaled between MinValue and MaxValue.
//// \item @|obj.SetLimitModeToNone ()| -  Set/get the way voxel values will be limited.  If this is set to None (the
// default), the output can have arbitrarily large values.  If set to clamp,
// the output will be clamped to [MinValue,MaxValue].  If set to scale, the
// output will be linearly scaled between MinValue and MaxValue.
//// \item @|obj.SetLimitModeToClamp ()| -  Set/get the way voxel values will be limited.  If this is set to None (the
// default), the output can have arbitrarily large values.  If set to clamp,
// the output will be clamped to [MinValue,MaxValue].  If set to scale, the
// output will be linearly scaled between MinValue and MaxValue.
//// \item @|obj.SetLimitModeToScale ()| -  Set/get the way voxel values will be limited.  If this is set to None (the
// default), the output can have arbitrarily large values.  If set to clamp,
// the output will be clamped to [MinValue,MaxValue].  If set to scale, the
// output will be linearly scaled between MinValue and MaxValue.
//// \item @|obj.SetLimitModeToFreezeScale ()| -  See the LimitMode method.
//// \item @|obj.SetMinValue (double )| -  See the LimitMode method.
//// \item @|double = obj.GetMinValue ()| -  See the LimitMode method.
//// \item @|obj.SetMaxValue (double )| -  See the LimitMode method.
//// \item @|double = obj.GetMaxValue ()| -  See the LimitMode method.
//// \item @|int = obj.GetNumberOfPointsSplatted ()| -  This returns the number of points splatted (as opposed to
// discarded for being outside the image) during the previous pass.
//// \item @|obj.SetSplatConnection (vtkAlgorithmOutput )| -  Convenience function for connecting the splat algorithm source.
// This is provided mainly for convenience using the filter with
// ParaView, VTK users should prefer SetInputConnection(1, splat) instead.
////\end{itemize}
//!
