#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGaussianSplatter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGaussianSplatter.h"

//@@Signature
//sfunction @vtkGaussianSplatter:vtkGaussianSplatter vtkGaussianSplatterConstructorFunction
//input a
//output p
//@@Parents vtkGaussianSplatter vtkImageAlgorithm 
ArrayVector vtkGaussianSplatterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGaussianSplatter::New(),"vtkGaussianSplatter",eval);
  } else if (arg[0].className() == "vtkGaussianSplatter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGaussianSplatter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGaussianSplatter");
    vtkGaussianSplatter*q = reinterpret_cast<vtkGaussianSplatter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGaussianSplatter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGaussianSplatter:GetClassName vtkGaussianSplatterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGaussianSplatterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:IsA vtkGaussianSplatterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGaussianSplatterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGaussianSplatter requires 2 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:NewInstance vtkGaussianSplatterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGaussianSplatterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGaussianSplatter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  vtkGaussianSplatter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGaussianSplatter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:SafeDownCast vtkGaussianSplatterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGaussianSplatterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGaussianSplatter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGaussianSplatter requires 2 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGaussianSplatter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGaussianSplatter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:SetSampleDimensions__1 vtkGaussianSplatterSetSampleDimensions__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkGaussianSplatterSetSampleDimensions__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSampleDimensions (int i, int j, int k); */
  if (arg.size() < 4) 
    throw Exception("Function SetSampleDimensions__1 for class vtkGaussianSplatter requires 4 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetSampleDimensions(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:SetSampleDimensions__2 vtkGaussianSplatterSetSampleDimensions__2Function
//input a0 a1 
//output none
ArrayVector vtkGaussianSplatterSetSampleDimensions__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSampleDimensions (int dim[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSampleDimensions__2 for class vtkGaussianSplatter requires 2 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetSampleDimensions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:GetSampleDimensions vtkGaussianSplatterGetSampleDimensionsFunction
//input a0 
//output y
ArrayVector vtkGaussianSplatterGetSampleDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetSampleDimensions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSampleDimensions for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetSampleDimensions();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:SetModelBounds__1 vtkGaussianSplatterSetModelBounds__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkGaussianSplatterSetModelBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetModelBounds (double , double , double , double , double , double ); */
  if (arg.size() < 7) 
    throw Exception("Function SetModelBounds__1 for class vtkGaussianSplatter requires 7 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:SetModelBounds__2 vtkGaussianSplatterSetModelBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkGaussianSplatterSetModelBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetModelBounds (double  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetModelBounds__2 for class vtkGaussianSplatter requires 2 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetModelBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:GetModelBounds vtkGaussianSplatterGetModelBoundsFunction
//input a0 
//output y
ArrayVector vtkGaussianSplatterGetModelBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetModelBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetModelBounds for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetModelBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:SetRadius vtkGaussianSplatterSetRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkGaussianSplatterSetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRadius for class vtkGaussianSplatter requires 2 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:GetRadiusMinValue vtkGaussianSplatterGetRadiusMinValueFunction
//input a0 
//output y
ArrayVector vtkGaussianSplatterGetRadiusMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadiusMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadiusMinValue for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadiusMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:GetRadiusMaxValue vtkGaussianSplatterGetRadiusMaxValueFunction
//input a0 
//output y
ArrayVector vtkGaussianSplatterGetRadiusMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadiusMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadiusMaxValue for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadiusMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:GetRadius vtkGaussianSplatterGetRadiusFunction
//input a0 
//output y
ArrayVector vtkGaussianSplatterGetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadius for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:SetScaleFactor vtkGaussianSplatterSetScaleFactorFunction
//input a0 a1 
//output none
ArrayVector vtkGaussianSplatterSetScaleFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScaleFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScaleFactor for class vtkGaussianSplatter requires 2 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetScaleFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:GetScaleFactorMinValue vtkGaussianSplatterGetScaleFactorMinValueFunction
//input a0 
//output y
ArrayVector vtkGaussianSplatterGetScaleFactorMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetScaleFactorMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScaleFactorMinValue for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetScaleFactorMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:GetScaleFactorMaxValue vtkGaussianSplatterGetScaleFactorMaxValueFunction
//input a0 
//output y
ArrayVector vtkGaussianSplatterGetScaleFactorMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetScaleFactorMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScaleFactorMaxValue for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetScaleFactorMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:GetScaleFactor vtkGaussianSplatterGetScaleFactorFunction
//input a0 
//output y
ArrayVector vtkGaussianSplatterGetScaleFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetScaleFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScaleFactor for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetScaleFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:SetExponentFactor vtkGaussianSplatterSetExponentFactorFunction
//input a0 a1 
//output none
ArrayVector vtkGaussianSplatterSetExponentFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExponentFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetExponentFactor for class vtkGaussianSplatter requires 2 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetExponentFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:GetExponentFactor vtkGaussianSplatterGetExponentFactorFunction
//input a0 
//output y
ArrayVector vtkGaussianSplatterGetExponentFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetExponentFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExponentFactor for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetExponentFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:SetNormalWarping vtkGaussianSplatterSetNormalWarpingFunction
//input a0 a1 
//output none
ArrayVector vtkGaussianSplatterSetNormalWarpingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalWarping (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormalWarping for class vtkGaussianSplatter requires 2 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNormalWarping(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:GetNormalWarping vtkGaussianSplatterGetNormalWarpingFunction
//input a0 
//output y
ArrayVector vtkGaussianSplatterGetNormalWarpingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNormalWarping (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalWarping for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNormalWarping();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:NormalWarpingOn vtkGaussianSplatterNormalWarpingOnFunction
//input a0 
//output none
ArrayVector vtkGaussianSplatterNormalWarpingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalWarpingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalWarpingOn for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  vtk_pointer->NormalWarpingOn();
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:NormalWarpingOff vtkGaussianSplatterNormalWarpingOffFunction
//input a0 
//output none
ArrayVector vtkGaussianSplatterNormalWarpingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalWarpingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalWarpingOff for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  vtk_pointer->NormalWarpingOff();
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:SetEccentricity vtkGaussianSplatterSetEccentricityFunction
//input a0 a1 
//output none
ArrayVector vtkGaussianSplatterSetEccentricityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEccentricity (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEccentricity for class vtkGaussianSplatter requires 2 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetEccentricity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:GetEccentricityMinValue vtkGaussianSplatterGetEccentricityMinValueFunction
//input a0 
//output y
ArrayVector vtkGaussianSplatterGetEccentricityMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEccentricityMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEccentricityMinValue for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEccentricityMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:GetEccentricityMaxValue vtkGaussianSplatterGetEccentricityMaxValueFunction
//input a0 
//output y
ArrayVector vtkGaussianSplatterGetEccentricityMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEccentricityMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEccentricityMaxValue for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEccentricityMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:GetEccentricity vtkGaussianSplatterGetEccentricityFunction
//input a0 
//output y
ArrayVector vtkGaussianSplatterGetEccentricityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEccentricity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEccentricity for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEccentricity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:SetScalarWarping vtkGaussianSplatterSetScalarWarpingFunction
//input a0 a1 
//output none
ArrayVector vtkGaussianSplatterSetScalarWarpingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarWarping (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarWarping for class vtkGaussianSplatter requires 2 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScalarWarping(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:GetScalarWarping vtkGaussianSplatterGetScalarWarpingFunction
//input a0 
//output y
ArrayVector vtkGaussianSplatterGetScalarWarpingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarWarping (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarWarping for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScalarWarping();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:ScalarWarpingOn vtkGaussianSplatterScalarWarpingOnFunction
//input a0 
//output none
ArrayVector vtkGaussianSplatterScalarWarpingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScalarWarpingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ScalarWarpingOn for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  vtk_pointer->ScalarWarpingOn();
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:ScalarWarpingOff vtkGaussianSplatterScalarWarpingOffFunction
//input a0 
//output none
ArrayVector vtkGaussianSplatterScalarWarpingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScalarWarpingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ScalarWarpingOff for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  vtk_pointer->ScalarWarpingOff();
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:SetCapping vtkGaussianSplatterSetCappingFunction
//input a0 a1 
//output none
ArrayVector vtkGaussianSplatterSetCappingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCapping (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCapping for class vtkGaussianSplatter requires 2 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCapping(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:GetCapping vtkGaussianSplatterGetCappingFunction
//input a0 
//output y
ArrayVector vtkGaussianSplatterGetCappingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCapping (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCapping for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCapping();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:CappingOn vtkGaussianSplatterCappingOnFunction
//input a0 
//output none
ArrayVector vtkGaussianSplatterCappingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CappingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CappingOn for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  vtk_pointer->CappingOn();
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:CappingOff vtkGaussianSplatterCappingOffFunction
//input a0 
//output none
ArrayVector vtkGaussianSplatterCappingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CappingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CappingOff for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  vtk_pointer->CappingOff();
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:SetCapValue vtkGaussianSplatterSetCapValueFunction
//input a0 a1 
//output none
ArrayVector vtkGaussianSplatterSetCapValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCapValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCapValue for class vtkGaussianSplatter requires 2 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCapValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:GetCapValue vtkGaussianSplatterGetCapValueFunction
//input a0 
//output y
ArrayVector vtkGaussianSplatterGetCapValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCapValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCapValue for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCapValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:SetAccumulationMode vtkGaussianSplatterSetAccumulationModeFunction
//input a0 a1 
//output none
ArrayVector vtkGaussianSplatterSetAccumulationModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAccumulationMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAccumulationMode for class vtkGaussianSplatter requires 2 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAccumulationMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:GetAccumulationModeMinValue vtkGaussianSplatterGetAccumulationModeMinValueFunction
//input a0 
//output y
ArrayVector vtkGaussianSplatterGetAccumulationModeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAccumulationModeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAccumulationModeMinValue for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAccumulationModeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:GetAccumulationModeMaxValue vtkGaussianSplatterGetAccumulationModeMaxValueFunction
//input a0 
//output y
ArrayVector vtkGaussianSplatterGetAccumulationModeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAccumulationModeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAccumulationModeMaxValue for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAccumulationModeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:GetAccumulationMode vtkGaussianSplatterGetAccumulationModeFunction
//input a0 
//output y
ArrayVector vtkGaussianSplatterGetAccumulationModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAccumulationMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAccumulationMode for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAccumulationMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:SetAccumulationModeToMin vtkGaussianSplatterSetAccumulationModeToMinFunction
//input a0 
//output none
ArrayVector vtkGaussianSplatterSetAccumulationModeToMinFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAccumulationModeToMin ();this SetAccumulationMode VTK_ACCUMULATION_MODE_MIN  */
  if (arg.size() < 1) 
    throw Exception("Function SetAccumulationModeToMin for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  vtk_pointer->SetAccumulationModeToMin();
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:SetAccumulationModeToMax vtkGaussianSplatterSetAccumulationModeToMaxFunction
//input a0 
//output none
ArrayVector vtkGaussianSplatterSetAccumulationModeToMaxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAccumulationModeToMax ();this SetAccumulationMode VTK_ACCUMULATION_MODE_MAX  */
  if (arg.size() < 1) 
    throw Exception("Function SetAccumulationModeToMax for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  vtk_pointer->SetAccumulationModeToMax();
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:SetAccumulationModeToSum vtkGaussianSplatterSetAccumulationModeToSumFunction
//input a0 
//output none
ArrayVector vtkGaussianSplatterSetAccumulationModeToSumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAccumulationModeToSum ();this SetAccumulationMode VTK_ACCUMULATION_MODE_SUM  */
  if (arg.size() < 1) 
    throw Exception("Function SetAccumulationModeToSum for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  vtk_pointer->SetAccumulationModeToSum();
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:GetAccumulationModeAsString vtkGaussianSplatterGetAccumulationModeAsStringFunction
//input a0 
//output y
ArrayVector vtkGaussianSplatterGetAccumulationModeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetAccumulationModeAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAccumulationModeAsString for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetAccumulationModeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:SetNullValue vtkGaussianSplatterSetNullValueFunction
//input a0 a1 
//output none
ArrayVector vtkGaussianSplatterSetNullValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNullValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNullValue for class vtkGaussianSplatter requires 2 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetNullValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:GetNullValue vtkGaussianSplatterGetNullValueFunction
//input a0 
//output y
ArrayVector vtkGaussianSplatterGetNullValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetNullValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNullValue for class vtkGaussianSplatter requires 1 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetNullValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:ComputeModelBounds vtkGaussianSplatterComputeModelBoundsFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkGaussianSplatterComputeModelBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeModelBounds (vtkDataSet *input, vtkImageData *output, vtkInformation *outInfo); */
  if (arg.size() < 4) 
    throw Exception("Function ComputeModelBounds for class vtkGaussianSplatter requires 4 argument(s)");
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  vtkImageData  *temp1;
  vtkInformation  *temp2;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  temp1 = GetVTKPointer<vtkImageData>(arg[2]);
  temp2 = GetVTKPointer<vtkInformation>(arg[3]);
  vtk_pointer->ComputeModelBounds(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkGaussianSplatter:SetSampleDimensions vtkGaussianSplatterSetSampleDimensionsFunction
//input varargin
//output varargout
ArrayVector vtkGaussianSplatterSetSampleDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkGaussianSplatterSetSampleDimensions__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkGaussianSplatterSetSampleDimensions__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGaussianSplatterSetSampleDimensions");
}

//@@Signature
//sfunction @vtkGaussianSplatter:SetModelBounds vtkGaussianSplatterSetModelBoundsFunction
//input varargin
//output varargout
ArrayVector vtkGaussianSplatterSetModelBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkGaussianSplatterSetModelBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkGaussianSplatterSetModelBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGaussianSplatterSetModelBounds");
}

//@@Signature
//sfunction @vtkGaussianSplatter:display vtkGaussianSplatterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGaussianSplatterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGaussianSplatter* vtk_pointer = GetVTKPointer<vtkGaussianSplatter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGaussianSplatter:delete vtkGaussianSplatterDeleteFunction
//input varargin
//output none
ArrayVector vtkGaussianSplatterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGaussianSplatter
//@@Section VTKImaging
//@@Usage
// vtkGaussianSplatter is a filter that injects input points into a
// structured points (volume) dataset. As each point is injected, it "splats"
// or distributes values to nearby voxels. Data is distributed using an
// elliptical, Gaussian distribution function. The distribution function is
// modified using scalar values (expands distribution) or normals
// (creates ellipsoidal distribution rather than spherical).
//
// In general, the Gaussian distribution function f(x) around a given
// splat point p is given by
//
//     f(x) = ScaleFactor * exp( ExponentFactor*((r/Radius)**2) )
//
// where x is the current voxel sample point; r is the distance |x-p|
// ExponentFactor <= 0.0, and ScaleFactor can be multiplied by the scalar 
// value of the point p that is currently being splatted.
//
// If points normals are present (and NormalWarping is on), then the splat 
// function becomes elliptical (as compared to the spherical one described
// by the previous equation). The Gaussian distribution function then
// becomes:
// 
//     f(x) = ScaleFactor * 
//               exp( ExponentFactor*( ((rxy/E)**2 + z**2)/R**2) )
//
// where E is a user-defined eccentricity factor that controls the elliptical
// shape of the splat; z is the distance of the current voxel sample point
// along normal N; and rxy is the distance of x in the direction
// prependicular to N.
//
// This class is typically used to convert point-valued distributions into
// a volume representation. The volume is then usually iso-surfaced or
// volume rendered to generate a visualization. It can be used to create
// surfaces from point distributions, or to create structure (i.e.,
// topology) when none exists.
//
//To create an instance of class vtkGaussianSplatter, simply
//invoke its constructor as follows
//@[
//  obj = vtkGaussianSplatter
//@]
//@@Methods
//The class vtkGaussianSplatter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGaussianSplatter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGaussianSplatter = obj.NewInstance ()|
// \item @|vtkGaussianSplatter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetSampleDimensions (int i, int j, int k)| -  Set / get the dimensions of the sampling structured point set. Higher
// values produce better results but are much slower.
//// \item @|obj.SetSampleDimensions (int dim[3])| -  Set / get the dimensions of the sampling structured point set. Higher
// values produce better results but are much slower.
//// \item @|int = obj. GetSampleDimensions ()| -  Set / get the dimensions of the sampling structured point set. Higher
// values produce better results but are much slower.
//// \item @|obj.SetModelBounds (double , double , double , double , double , double )| -  Set / get the (xmin,xmax, ymin,ymax, zmin,zmax) bounding box in which
// the sampling is performed. If any of the (min,max) bounds values are
// min >= max, then the bounds will be computed automatically from the input
// data. Otherwise, the user-specified bounds will be used.
//// \item @|obj.SetModelBounds (double  a[6])| -  Set / get the (xmin,xmax, ymin,ymax, zmin,zmax) bounding box in which
// the sampling is performed. If any of the (min,max) bounds values are
// min >= max, then the bounds will be computed automatically from the input
// data. Otherwise, the user-specified bounds will be used.
//// \item @|double = obj. GetModelBounds ()| -  Set / get the (xmin,xmax, ymin,ymax, zmin,zmax) bounding box in which
// the sampling is performed. If any of the (min,max) bounds values are
// min >= max, then the bounds will be computed automatically from the input
// data. Otherwise, the user-specified bounds will be used.
//// \item @|obj.SetRadius (double )| -  Set / get the radius of propagation of the splat. This value is expressed
// as a percentage of the length of the longest side of the sampling
// volume. Smaller numbers greatly reduce execution time.
//// \item @|double = obj.GetRadiusMinValue ()| -  Set / get the radius of propagation of the splat. This value is expressed
// as a percentage of the length of the longest side of the sampling
// volume. Smaller numbers greatly reduce execution time.
//// \item @|double = obj.GetRadiusMaxValue ()| -  Set / get the radius of propagation of the splat. This value is expressed
// as a percentage of the length of the longest side of the sampling
// volume. Smaller numbers greatly reduce execution time.
//// \item @|double = obj.GetRadius ()| -  Set / get the radius of propagation of the splat. This value is expressed
// as a percentage of the length of the longest side of the sampling
// volume. Smaller numbers greatly reduce execution time.
//// \item @|obj.SetScaleFactor (double )| -  Multiply Gaussian splat distribution by this value. If ScalarWarping
// is on, then the Scalar value will be multiplied by the ScaleFactor
// times the Gaussian function.
//// \item @|double = obj.GetScaleFactorMinValue ()| -  Multiply Gaussian splat distribution by this value. If ScalarWarping
// is on, then the Scalar value will be multiplied by the ScaleFactor
// times the Gaussian function.
//// \item @|double = obj.GetScaleFactorMaxValue ()| -  Multiply Gaussian splat distribution by this value. If ScalarWarping
// is on, then the Scalar value will be multiplied by the ScaleFactor
// times the Gaussian function.
//// \item @|double = obj.GetScaleFactor ()| -  Multiply Gaussian splat distribution by this value. If ScalarWarping
// is on, then the Scalar value will be multiplied by the ScaleFactor
// times the Gaussian function.
//// \item @|obj.SetExponentFactor (double )| -  Set / get the sharpness of decay of the splats. This is the
// exponent constant in the Gaussian equation. Normally this is
// a negative value.
//// \item @|double = obj.GetExponentFactor ()| -  Set / get the sharpness of decay of the splats. This is the
// exponent constant in the Gaussian equation. Normally this is
// a negative value.
//// \item @|obj.SetNormalWarping (int )| -  Turn on/off the generation of elliptical splats. If normal warping is
// on, then the input normals affect the distribution of the splat. This
// boolean is used in combination with the Eccentricity ivar.
//// \item @|int = obj.GetNormalWarping ()| -  Turn on/off the generation of elliptical splats. If normal warping is
// on, then the input normals affect the distribution of the splat. This
// boolean is used in combination with the Eccentricity ivar.
//// \item @|obj.NormalWarpingOn ()| -  Turn on/off the generation of elliptical splats. If normal warping is
// on, then the input normals affect the distribution of the splat. This
// boolean is used in combination with the Eccentricity ivar.
//// \item @|obj.NormalWarpingOff ()| -  Turn on/off the generation of elliptical splats. If normal warping is
// on, then the input normals affect the distribution of the splat. This
// boolean is used in combination with the Eccentricity ivar.
//// \item @|obj.SetEccentricity (double )| -  Control the shape of elliptical splatting. Eccentricity is the ratio
// of the major axis (aligned along normal) to the minor (axes) aligned
// along other two axes. So Eccentricity > 1 creates needles with the
// long axis in the direction of the normal; Eccentricity<1 creates
// pancakes perpendicular to the normal vector.
//// \item @|double = obj.GetEccentricityMinValue ()| -  Control the shape of elliptical splatting. Eccentricity is the ratio
// of the major axis (aligned along normal) to the minor (axes) aligned
// along other two axes. So Eccentricity > 1 creates needles with the
// long axis in the direction of the normal; Eccentricity<1 creates
// pancakes perpendicular to the normal vector.
//// \item @|double = obj.GetEccentricityMaxValue ()| -  Control the shape of elliptical splatting. Eccentricity is the ratio
// of the major axis (aligned along normal) to the minor (axes) aligned
// along other two axes. So Eccentricity > 1 creates needles with the
// long axis in the direction of the normal; Eccentricity<1 creates
// pancakes perpendicular to the normal vector.
//// \item @|double = obj.GetEccentricity ()| -  Control the shape of elliptical splatting. Eccentricity is the ratio
// of the major axis (aligned along normal) to the minor (axes) aligned
// along other two axes. So Eccentricity > 1 creates needles with the
// long axis in the direction of the normal; Eccentricity<1 creates
// pancakes perpendicular to the normal vector.
//// \item @|obj.SetScalarWarping (int )| -  Turn on/off the scaling of splats by scalar value.
//// \item @|int = obj.GetScalarWarping ()| -  Turn on/off the scaling of splats by scalar value.
//// \item @|obj.ScalarWarpingOn ()| -  Turn on/off the scaling of splats by scalar value.
//// \item @|obj.ScalarWarpingOff ()| -  Turn on/off the scaling of splats by scalar value.
//// \item @|obj.SetCapping (int )| -  Turn on/off the capping of the outer boundary of the volume
// to a specified cap value. This can be used to close surfaces
// (after iso-surfacing) and create other effects.
//// \item @|int = obj.GetCapping ()| -  Turn on/off the capping of the outer boundary of the volume
// to a specified cap value. This can be used to close surfaces
// (after iso-surfacing) and create other effects.
//// \item @|obj.CappingOn ()| -  Turn on/off the capping of the outer boundary of the volume
// to a specified cap value. This can be used to close surfaces
// (after iso-surfacing) and create other effects.
//// \item @|obj.CappingOff ()| -  Turn on/off the capping of the outer boundary of the volume
// to a specified cap value. This can be used to close surfaces
// (after iso-surfacing) and create other effects.
//// \item @|obj.SetCapValue (double )| -  Specify the cap value to use. (This instance variable only has effect 
// if the ivar Capping is on.)
//// \item @|double = obj.GetCapValue ()| -  Specify the cap value to use. (This instance variable only has effect 
// if the ivar Capping is on.)
//// \item @|obj.SetAccumulationMode (int )| -  Specify the scalar accumulation mode. This mode expresses how scalar
// values are combined when splats are overlapped. The Max mode acts
// like a set union operation and is the most commonly used; the Min
// mode acts like a set intersection, and the sum is just weird.
//// \item @|int = obj.GetAccumulationModeMinValue ()| -  Specify the scalar accumulation mode. This mode expresses how scalar
// values are combined when splats are overlapped. The Max mode acts
// like a set union operation and is the most commonly used; the Min
// mode acts like a set intersection, and the sum is just weird.
//// \item @|int = obj.GetAccumulationModeMaxValue ()| -  Specify the scalar accumulation mode. This mode expresses how scalar
// values are combined when splats are overlapped. The Max mode acts
// like a set union operation and is the most commonly used; the Min
// mode acts like a set intersection, and the sum is just weird.
//// \item @|int = obj.GetAccumulationMode ()| -  Specify the scalar accumulation mode. This mode expresses how scalar
// values are combined when splats are overlapped. The Max mode acts
// like a set union operation and is the most commonly used; the Min
// mode acts like a set intersection, and the sum is just weird.
//// \item @|obj.SetAccumulationModeToMin ()| -  Specify the scalar accumulation mode. This mode expresses how scalar
// values are combined when splats are overlapped. The Max mode acts
// like a set union operation and is the most commonly used; the Min
// mode acts like a set intersection, and the sum is just weird.
//// \item @|obj.SetAccumulationModeToMax ()| -  Specify the scalar accumulation mode. This mode expresses how scalar
// values are combined when splats are overlapped. The Max mode acts
// like a set union operation and is the most commonly used; the Min
// mode acts like a set intersection, and the sum is just weird.
//// \item @|obj.SetAccumulationModeToSum ()| -  Specify the scalar accumulation mode. This mode expresses how scalar
// values are combined when splats are overlapped. The Max mode acts
// like a set union operation and is the most commonly used; the Min
// mode acts like a set intersection, and the sum is just weird.
//// \item @|string = obj.GetAccumulationModeAsString ()| -  Specify the scalar accumulation mode. This mode expresses how scalar
// values are combined when splats are overlapped. The Max mode acts
// like a set union operation and is the most commonly used; the Min
// mode acts like a set intersection, and the sum is just weird.
//// \item @|obj.SetNullValue (double )| -  Set the Null value for output points not receiving a contribution from the
// input points. (This is the initial value of the voxel samples.)
//// \item @|double = obj.GetNullValue ()| -  Set the Null value for output points not receiving a contribution from the
// input points. (This is the initial value of the voxel samples.)
//// \item @|obj.ComputeModelBounds (vtkDataSet input, vtkImageData output, vtkInformation outInfo)| -  Compute the size of the sample bounding box automatically from the
// input data. This is an internal helper function.
////\end{itemize}
//!
