#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageAccumulate object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageAccumulate.h"

//@@Signature
//sfunction @vtkImageAccumulate:vtkImageAccumulate vtkImageAccumulateConstructorFunction
//input a
//output p
//@@Parents vtkImageAccumulate vtkImageAlgorithm 
ArrayVector vtkImageAccumulateConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageAccumulate::New(),"vtkImageAccumulate",eval);
  } else if (arg[0].className() == "vtkImageAccumulate") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageAccumulate"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageAccumulate");
    vtkImageAccumulate*q = reinterpret_cast<vtkImageAccumulate*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageAccumulate");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageAccumulate:GetClassName vtkImageAccumulateGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageAccumulateGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageAccumulate requires 1 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:IsA vtkImageAccumulateIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageAccumulateIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageAccumulate requires 2 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:NewInstance vtkImageAccumulateNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageAccumulateNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageAccumulate *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageAccumulate requires 1 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  vtkImageAccumulate  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageAccumulate",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:SafeDownCast vtkImageAccumulateSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageAccumulateSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageAccumulate *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageAccumulate requires 2 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageAccumulate  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageAccumulate",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:SetComponentSpacing__1 vtkImageAccumulateSetComponentSpacing__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageAccumulateSetComponentSpacing__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComponentSpacing (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetComponentSpacing__1 for class vtkImageAccumulate requires 4 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetComponentSpacing(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:SetComponentSpacing__2 vtkImageAccumulateSetComponentSpacing__2Function
//input a0 a1 
//output none
ArrayVector vtkImageAccumulateSetComponentSpacing__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComponentSpacing (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetComponentSpacing__2 for class vtkImageAccumulate requires 2 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetComponentSpacing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:GetComponentSpacing vtkImageAccumulateGetComponentSpacingFunction
//input a0 
//output y
ArrayVector vtkImageAccumulateGetComponentSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetComponentSpacing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComponentSpacing for class vtkImageAccumulate requires 1 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetComponentSpacing();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:SetComponentOrigin__1 vtkImageAccumulateSetComponentOrigin__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageAccumulateSetComponentOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComponentOrigin (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetComponentOrigin__1 for class vtkImageAccumulate requires 4 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetComponentOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:SetComponentOrigin__2 vtkImageAccumulateSetComponentOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkImageAccumulateSetComponentOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComponentOrigin (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetComponentOrigin__2 for class vtkImageAccumulate requires 2 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetComponentOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:GetComponentOrigin vtkImageAccumulateGetComponentOriginFunction
//input a0 
//output y
ArrayVector vtkImageAccumulateGetComponentOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetComponentOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComponentOrigin for class vtkImageAccumulate requires 1 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetComponentOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:SetComponentExtent__1 vtkImageAccumulateSetComponentExtent__1Function
//input a0 a1 
//output none
ArrayVector vtkImageAccumulateSetComponentExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComponentExtent (int extent[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetComponentExtent__1 for class vtkImageAccumulate requires 2 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetComponentExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:SetComponentExtent__2 vtkImageAccumulateSetComponentExtent__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkImageAccumulateSetComponentExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComponentExtent (int minX, int maxX, int minY, int maxY, int minZ, int maxZ); */
  if (arg.size() < 7) 
    throw Exception("Function SetComponentExtent__2 for class vtkImageAccumulate requires 7 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetComponentExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:GetComponentExtent__1 vtkImageAccumulateGetComponentExtent__1Function
//input a0 a1 
//output none
ArrayVector vtkImageAccumulateGetComponentExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetComponentExtent (int extent[6]); */
  if (arg.size() < 2) 
    throw Exception("Function GetComponentExtent__1 for class vtkImageAccumulate requires 2 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->GetComponentExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:GetComponentExtent__2 vtkImageAccumulateGetComponentExtent__2Function
//input a0 
//output y
ArrayVector vtkImageAccumulateGetComponentExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int *GetComponentExtent ();return this ComponentExtent  */
  if (arg.size() < 1) 
    throw Exception("Function GetComponentExtent__2 for class vtkImageAccumulate requires 1 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetComponentExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:SetStencil vtkImageAccumulateSetStencilFunction
//input a0 a1 
//output none
ArrayVector vtkImageAccumulateSetStencilFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStencil (vtkImageStencilData *stencil); */
  if (arg.size() < 2) 
    throw Exception("Function SetStencil for class vtkImageAccumulate requires 2 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  vtkImageStencilData  *temp0;
  temp0 = GetVTKPointer<vtkImageStencilData>(arg[1]);
  vtk_pointer->SetStencil(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:GetStencil vtkImageAccumulateGetStencilFunction
//input a0 
//output y
ArrayVector vtkImageAccumulateGetStencilFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageStencilData *GetStencil (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStencil for class vtkImageAccumulate requires 1 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  vtkImageStencilData  *temp20;
  temp20 = (vtk_pointer)->GetStencil();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageStencilData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:SetReverseStencil vtkImageAccumulateSetReverseStencilFunction
//input a0 a1 
//output none
ArrayVector vtkImageAccumulateSetReverseStencilFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReverseStencil (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReverseStencil for class vtkImageAccumulate requires 2 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReverseStencil(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:GetReverseStencilMinValue vtkImageAccumulateGetReverseStencilMinValueFunction
//input a0 
//output y
ArrayVector vtkImageAccumulateGetReverseStencilMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReverseStencilMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReverseStencilMinValue for class vtkImageAccumulate requires 1 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReverseStencilMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:GetReverseStencilMaxValue vtkImageAccumulateGetReverseStencilMaxValueFunction
//input a0 
//output y
ArrayVector vtkImageAccumulateGetReverseStencilMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReverseStencilMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReverseStencilMaxValue for class vtkImageAccumulate requires 1 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReverseStencilMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:ReverseStencilOn vtkImageAccumulateReverseStencilOnFunction
//input a0 
//output none
ArrayVector vtkImageAccumulateReverseStencilOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReverseStencilOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReverseStencilOn for class vtkImageAccumulate requires 1 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  vtk_pointer->ReverseStencilOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:ReverseStencilOff vtkImageAccumulateReverseStencilOffFunction
//input a0 
//output none
ArrayVector vtkImageAccumulateReverseStencilOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReverseStencilOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReverseStencilOff for class vtkImageAccumulate requires 1 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  vtk_pointer->ReverseStencilOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:GetReverseStencil vtkImageAccumulateGetReverseStencilFunction
//input a0 
//output y
ArrayVector vtkImageAccumulateGetReverseStencilFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReverseStencil (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReverseStencil for class vtkImageAccumulate requires 1 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReverseStencil();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:GetMin vtkImageAccumulateGetMinFunction
//input a0 
//output y
ArrayVector vtkImageAccumulateGetMinFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetMin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMin for class vtkImageAccumulate requires 1 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetMin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:GetMax vtkImageAccumulateGetMaxFunction
//input a0 
//output y
ArrayVector vtkImageAccumulateGetMaxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetMax (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMax for class vtkImageAccumulate requires 1 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetMax();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:GetMean vtkImageAccumulateGetMeanFunction
//input a0 
//output y
ArrayVector vtkImageAccumulateGetMeanFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetMean (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMean for class vtkImageAccumulate requires 1 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetMean();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:GetStandardDeviation vtkImageAccumulateGetStandardDeviationFunction
//input a0 
//output y
ArrayVector vtkImageAccumulateGetStandardDeviationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetStandardDeviation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStandardDeviation for class vtkImageAccumulate requires 1 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetStandardDeviation();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:GetVoxelCount vtkImageAccumulateGetVoxelCountFunction
//input a0 
//output y
ArrayVector vtkImageAccumulateGetVoxelCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature long GetVoxelCount (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVoxelCount for class vtkImageAccumulate requires 1 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  long     temp20;
  temp20 = (vtk_pointer)->GetVoxelCount();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:SetIgnoreZero vtkImageAccumulateSetIgnoreZeroFunction
//input a0 a1 
//output none
ArrayVector vtkImageAccumulateSetIgnoreZeroFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIgnoreZero (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIgnoreZero for class vtkImageAccumulate requires 2 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIgnoreZero(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:GetIgnoreZeroMinValue vtkImageAccumulateGetIgnoreZeroMinValueFunction
//input a0 
//output y
ArrayVector vtkImageAccumulateGetIgnoreZeroMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIgnoreZeroMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIgnoreZeroMinValue for class vtkImageAccumulate requires 1 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIgnoreZeroMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:GetIgnoreZeroMaxValue vtkImageAccumulateGetIgnoreZeroMaxValueFunction
//input a0 
//output y
ArrayVector vtkImageAccumulateGetIgnoreZeroMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIgnoreZeroMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIgnoreZeroMaxValue for class vtkImageAccumulate requires 1 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIgnoreZeroMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:GetIgnoreZero vtkImageAccumulateGetIgnoreZeroFunction
//input a0 
//output y
ArrayVector vtkImageAccumulateGetIgnoreZeroFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIgnoreZero (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIgnoreZero for class vtkImageAccumulate requires 1 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIgnoreZero();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:IgnoreZeroOn vtkImageAccumulateIgnoreZeroOnFunction
//input a0 
//output none
ArrayVector vtkImageAccumulateIgnoreZeroOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IgnoreZeroOn (); */
  if (arg.size() < 1) 
    throw Exception("Function IgnoreZeroOn for class vtkImageAccumulate requires 1 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  vtk_pointer->IgnoreZeroOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:IgnoreZeroOff vtkImageAccumulateIgnoreZeroOffFunction
//input a0 
//output none
ArrayVector vtkImageAccumulateIgnoreZeroOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IgnoreZeroOff (); */
  if (arg.size() < 1) 
    throw Exception("Function IgnoreZeroOff for class vtkImageAccumulate requires 1 argument(s)");
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  Array retval;
  vtk_pointer->IgnoreZeroOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageAccumulate:SetComponentSpacing vtkImageAccumulateSetComponentSpacingFunction
//input varargin
//output varargout
ArrayVector vtkImageAccumulateSetComponentSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageAccumulateSetComponentSpacing__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageAccumulateSetComponentSpacing__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageAccumulateSetComponentSpacing");
}

//@@Signature
//sfunction @vtkImageAccumulate:SetComponentOrigin vtkImageAccumulateSetComponentOriginFunction
//input varargin
//output varargout
ArrayVector vtkImageAccumulateSetComponentOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageAccumulateSetComponentOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageAccumulateSetComponentOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageAccumulateSetComponentOrigin");
}

//@@Signature
//sfunction @vtkImageAccumulate:SetComponentExtent vtkImageAccumulateSetComponentExtentFunction
//input varargin
//output varargout
ArrayVector vtkImageAccumulateSetComponentExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageAccumulateSetComponentExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkImageAccumulateSetComponentExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageAccumulateSetComponentExtent");
}

//@@Signature
//sfunction @vtkImageAccumulate:GetComponentExtent vtkImageAccumulateGetComponentExtentFunction
//input varargin
//output varargout
ArrayVector vtkImageAccumulateGetComponentExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageAccumulateGetComponentExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkImageAccumulateGetComponentExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageAccumulateGetComponentExtent");
}

//@@Signature
//sfunction @vtkImageAccumulate:display vtkImageAccumulateDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageAccumulateDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageAccumulate* vtk_pointer = GetVTKPointer<vtkImageAccumulate>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageAccumulate:delete vtkImageAccumulateDeleteFunction
//input varargin
//output none
ArrayVector vtkImageAccumulateDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageAccumulate
//@@Section VTKImaging
//@@Usage
// vtkImageAccumulate - This filter divides component space into
// discrete bins.  It then counts the number of pixels associated
// with each bin.  The output is this "scatter plot" (histogram values for 1D).
// The dimensionality of the output depends on how many components the
// input pixels have.  Input pixels with one component generate a 1D histogram.
// This filter can only handle images with 1 to 3 scalar components.
// The input can be any type, but the output is always int.
// Some statistics are computed on the pixel values at the same time.
// The SetStencil and ReverseStencil
// functions allow the statistics to be computed on an arbitrary
// portion of the input data.
// See the documentation for vtkImageStencilData for more information.
//
// This filter also support ignoring pixel with value equal to 0. Using this
// option with vtkImageMask may result in results being slightly off since 0
// could be a valid value from your input.
//
//
//To create an instance of class vtkImageAccumulate, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageAccumulate
//@]
//@@Methods
//The class vtkImageAccumulate has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageAccumulate class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageAccumulate = obj.NewInstance ()|
// \item @|vtkImageAccumulate = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetComponentSpacing (double , double , double )| -  Set/Get - The component spacing is the dimension of each bin.
// This ends up being the spacing of the output "image".
// If the number of input scalar components are less than three,
// then some of these spacing values are ignored.
// For a 1D histogram with 10 bins spanning the values 1000 to 2000,
// this spacing should be set to 100, 0, 0
//// \item @|obj.SetComponentSpacing (double  a[3])| -  Set/Get - The component spacing is the dimension of each bin.
// This ends up being the spacing of the output "image".
// If the number of input scalar components are less than three,
// then some of these spacing values are ignored.
// For a 1D histogram with 10 bins spanning the values 1000 to 2000,
// this spacing should be set to 100, 0, 0
//// \item @|double = obj. GetComponentSpacing ()| -  Set/Get - The component spacing is the dimension of each bin.
// This ends up being the spacing of the output "image".
// If the number of input scalar components are less than three,
// then some of these spacing values are ignored.
// For a 1D histogram with 10 bins spanning the values 1000 to 2000,
// this spacing should be set to 100, 0, 0
//// \item @|obj.SetComponentOrigin (double , double , double )| -  Set/Get - The component origin is the location of bin (0, 0, 0).
// Note that if the Component extent does not include the value (0,0,0),
// then this origin bin will not actually be in the output.
// The origin of the output ends up being the same as the componenet origin.
// For a 1D histogram with 10 bins spanning the values 1000 to 2000,
// this origin should be set to 1000, 0, 0
//// \item @|obj.SetComponentOrigin (double  a[3])| -  Set/Get - The component origin is the location of bin (0, 0, 0).
// Note that if the Component extent does not include the value (0,0,0),
// then this origin bin will not actually be in the output.
// The origin of the output ends up being the same as the componenet origin.
// For a 1D histogram with 10 bins spanning the values 1000 to 2000,
// this origin should be set to 1000, 0, 0
//// \item @|double = obj. GetComponentOrigin ()| -  Set/Get - The component origin is the location of bin (0, 0, 0).
// Note that if the Component extent does not include the value (0,0,0),
// then this origin bin will not actually be in the output.
// The origin of the output ends up being the same as the componenet origin.
// For a 1D histogram with 10 bins spanning the values 1000 to 2000,
// this origin should be set to 1000, 0, 0
//// \item @|obj.SetComponentExtent (int extent[6])| -  Set/Get - The component extent sets the number/extent of the bins.
// For a 1D histogram with 10 bins spanning the values 1000 to 2000,
// this extent should be set to 0, 9, 0, 0, 0, 0.
// The extent specifies inclusive min/max values.
// This implies that the top extent should be set to the number of bins - 1.
//// \item @|obj.SetComponentExtent (int minX, int maxX, int minY, int maxY, int minZ, int maxZ)| -  Set/Get - The component extent sets the number/extent of the bins.
// For a 1D histogram with 10 bins spanning the values 1000 to 2000,
// this extent should be set to 0, 9, 0, 0, 0, 0.
// The extent specifies inclusive min/max values.
// This implies that the top extent should be set to the number of bins - 1.
//// \item @|obj.GetComponentExtent (int extent[6])| -  Set/Get - The component extent sets the number/extent of the bins.
// For a 1D histogram with 10 bins spanning the values 1000 to 2000,
// this extent should be set to 0, 9, 0, 0, 0, 0.
// The extent specifies inclusive min/max values.
// This implies that the top extent should be set to the number of bins - 1.
//// \item @|int = obj.GetComponentExtent ()| -  Use a stencil to specify which voxels to accumulate.
//// \item @|obj.SetStencil (vtkImageStencilData stencil)| -  Use a stencil to specify which voxels to accumulate.
//// \item @|vtkImageStencilData = obj.GetStencil ()| -  Use a stencil to specify which voxels to accumulate.
//// \item @|obj.SetReverseStencil (int )| -  Reverse the stencil.
//// \item @|int = obj.GetReverseStencilMinValue ()| -  Reverse the stencil.
//// \item @|int = obj.GetReverseStencilMaxValue ()| -  Reverse the stencil.
//// \item @|obj.ReverseStencilOn ()| -  Reverse the stencil.
//// \item @|obj.ReverseStencilOff ()| -  Reverse the stencil.
//// \item @|int = obj.GetReverseStencil ()| -  Reverse the stencil.
//// \item @|double = obj. GetMin ()| -  Get the statistics information for the data.
//// \item @|double = obj. GetMax ()| -  Get the statistics information for the data.
//// \item @|double = obj. GetMean ()| -  Get the statistics information for the data.
//// \item @|double = obj. GetStandardDeviation ()| -  Get the statistics information for the data.
//// \item @|long = obj.GetVoxelCount ()| -  Get the statistics information for the data.
//// \item @|obj.SetIgnoreZero (int )| -  Should the data with value 0 be ignored?
//// \item @|int = obj.GetIgnoreZeroMinValue ()| -  Should the data with value 0 be ignored?
//// \item @|int = obj.GetIgnoreZeroMaxValue ()| -  Should the data with value 0 be ignored?
//// \item @|int = obj.GetIgnoreZero ()| -  Should the data with value 0 be ignored?
//// \item @|obj.IgnoreZeroOn ()| -  Should the data with value 0 be ignored?
//// \item @|obj.IgnoreZeroOff ()| -  Should the data with value 0 be ignored?
////\end{itemize}
//!
