#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageAnisotropicDiffusion3D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageAnisotropicDiffusion3D.h"

//@@Signature
//sfunction @vtkImageAnisotropicDiffusion3D:vtkImageAnisotropicDiffusion3D vtkImageAnisotropicDiffusion3DConstructorFunction
//input a
//output p
//@@Parents vtkImageAnisotropicDiffusion3D vtkImageSpatialAlgorithm 
ArrayVector vtkImageAnisotropicDiffusion3DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageAnisotropicDiffusion3D::New(),"vtkImageAnisotropicDiffusion3D",eval);
  } else if (arg[0].className() == "vtkImageAnisotropicDiffusion3D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageAnisotropicDiffusion3D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageAnisotropicDiffusion3D");
    vtkImageAnisotropicDiffusion3D*q = reinterpret_cast<vtkImageAnisotropicDiffusion3D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageAnisotropicDiffusion3D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageAnisotropicDiffusion3D:GetClassName vtkImageAnisotropicDiffusion3DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageAnisotropicDiffusion3DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageAnisotropicDiffusion3D requires 1 argument(s)");
  vtkImageAnisotropicDiffusion3D* vtk_pointer = GetVTKPointer<vtkImageAnisotropicDiffusion3D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageAnisotropicDiffusion3D:IsA vtkImageAnisotropicDiffusion3DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageAnisotropicDiffusion3DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageAnisotropicDiffusion3D requires 2 argument(s)");
  vtkImageAnisotropicDiffusion3D* vtk_pointer = GetVTKPointer<vtkImageAnisotropicDiffusion3D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageAnisotropicDiffusion3D:NewInstance vtkImageAnisotropicDiffusion3DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageAnisotropicDiffusion3DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageAnisotropicDiffusion3D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageAnisotropicDiffusion3D requires 1 argument(s)");
  vtkImageAnisotropicDiffusion3D* vtk_pointer = GetVTKPointer<vtkImageAnisotropicDiffusion3D>(arg[0]);
  Array retval;
  vtkImageAnisotropicDiffusion3D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageAnisotropicDiffusion3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageAnisotropicDiffusion3D:SafeDownCast vtkImageAnisotropicDiffusion3DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageAnisotropicDiffusion3DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageAnisotropicDiffusion3D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageAnisotropicDiffusion3D requires 2 argument(s)");
  vtkImageAnisotropicDiffusion3D* vtk_pointer = GetVTKPointer<vtkImageAnisotropicDiffusion3D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageAnisotropicDiffusion3D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageAnisotropicDiffusion3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageAnisotropicDiffusion3D:SetNumberOfIterations vtkImageAnisotropicDiffusion3DSetNumberOfIterationsFunction
//input a0 a1 
//output none
ArrayVector vtkImageAnisotropicDiffusion3DSetNumberOfIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfIterations (int num); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfIterations for class vtkImageAnisotropicDiffusion3D requires 2 argument(s)");
  vtkImageAnisotropicDiffusion3D* vtk_pointer = GetVTKPointer<vtkImageAnisotropicDiffusion3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfIterations(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageAnisotropicDiffusion3D:GetNumberOfIterations vtkImageAnisotropicDiffusion3DGetNumberOfIterationsFunction
//input a0 
//output y
ArrayVector vtkImageAnisotropicDiffusion3DGetNumberOfIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfIterations (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfIterations for class vtkImageAnisotropicDiffusion3D requires 1 argument(s)");
  vtkImageAnisotropicDiffusion3D* vtk_pointer = GetVTKPointer<vtkImageAnisotropicDiffusion3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfIterations();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageAnisotropicDiffusion3D:SetDiffusionThreshold vtkImageAnisotropicDiffusion3DSetDiffusionThresholdFunction
//input a0 a1 
//output none
ArrayVector vtkImageAnisotropicDiffusion3DSetDiffusionThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDiffusionThreshold (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDiffusionThreshold for class vtkImageAnisotropicDiffusion3D requires 2 argument(s)");
  vtkImageAnisotropicDiffusion3D* vtk_pointer = GetVTKPointer<vtkImageAnisotropicDiffusion3D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDiffusionThreshold(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageAnisotropicDiffusion3D:GetDiffusionThreshold vtkImageAnisotropicDiffusion3DGetDiffusionThresholdFunction
//input a0 
//output y
ArrayVector vtkImageAnisotropicDiffusion3DGetDiffusionThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDiffusionThreshold (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDiffusionThreshold for class vtkImageAnisotropicDiffusion3D requires 1 argument(s)");
  vtkImageAnisotropicDiffusion3D* vtk_pointer = GetVTKPointer<vtkImageAnisotropicDiffusion3D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDiffusionThreshold();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageAnisotropicDiffusion3D:SetDiffusionFactor vtkImageAnisotropicDiffusion3DSetDiffusionFactorFunction
//input a0 a1 
//output none
ArrayVector vtkImageAnisotropicDiffusion3DSetDiffusionFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDiffusionFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDiffusionFactor for class vtkImageAnisotropicDiffusion3D requires 2 argument(s)");
  vtkImageAnisotropicDiffusion3D* vtk_pointer = GetVTKPointer<vtkImageAnisotropicDiffusion3D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDiffusionFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageAnisotropicDiffusion3D:GetDiffusionFactor vtkImageAnisotropicDiffusion3DGetDiffusionFactorFunction
//input a0 
//output y
ArrayVector vtkImageAnisotropicDiffusion3DGetDiffusionFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDiffusionFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDiffusionFactor for class vtkImageAnisotropicDiffusion3D requires 1 argument(s)");
  vtkImageAnisotropicDiffusion3D* vtk_pointer = GetVTKPointer<vtkImageAnisotropicDiffusion3D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDiffusionFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageAnisotropicDiffusion3D:SetFaces vtkImageAnisotropicDiffusion3DSetFacesFunction
//input a0 a1 
//output none
ArrayVector vtkImageAnisotropicDiffusion3DSetFacesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFaces (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFaces for class vtkImageAnisotropicDiffusion3D requires 2 argument(s)");
  vtkImageAnisotropicDiffusion3D* vtk_pointer = GetVTKPointer<vtkImageAnisotropicDiffusion3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFaces(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageAnisotropicDiffusion3D:GetFaces vtkImageAnisotropicDiffusion3DGetFacesFunction
//input a0 
//output y
ArrayVector vtkImageAnisotropicDiffusion3DGetFacesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFaces (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFaces for class vtkImageAnisotropicDiffusion3D requires 1 argument(s)");
  vtkImageAnisotropicDiffusion3D* vtk_pointer = GetVTKPointer<vtkImageAnisotropicDiffusion3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFaces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageAnisotropicDiffusion3D:FacesOn vtkImageAnisotropicDiffusion3DFacesOnFunction
//input a0 
//output none
ArrayVector vtkImageAnisotropicDiffusion3DFacesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FacesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function FacesOn for class vtkImageAnisotropicDiffusion3D requires 1 argument(s)");
  vtkImageAnisotropicDiffusion3D* vtk_pointer = GetVTKPointer<vtkImageAnisotropicDiffusion3D>(arg[0]);
  Array retval;
  vtk_pointer->FacesOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageAnisotropicDiffusion3D:FacesOff vtkImageAnisotropicDiffusion3DFacesOffFunction
//input a0 
//output none
ArrayVector vtkImageAnisotropicDiffusion3DFacesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FacesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function FacesOff for class vtkImageAnisotropicDiffusion3D requires 1 argument(s)");
  vtkImageAnisotropicDiffusion3D* vtk_pointer = GetVTKPointer<vtkImageAnisotropicDiffusion3D>(arg[0]);
  Array retval;
  vtk_pointer->FacesOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageAnisotropicDiffusion3D:SetEdges vtkImageAnisotropicDiffusion3DSetEdgesFunction
//input a0 a1 
//output none
ArrayVector vtkImageAnisotropicDiffusion3DSetEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdges (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdges for class vtkImageAnisotropicDiffusion3D requires 2 argument(s)");
  vtkImageAnisotropicDiffusion3D* vtk_pointer = GetVTKPointer<vtkImageAnisotropicDiffusion3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEdges(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageAnisotropicDiffusion3D:GetEdges vtkImageAnisotropicDiffusion3DGetEdgesFunction
//input a0 
//output y
ArrayVector vtkImageAnisotropicDiffusion3DGetEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEdges (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdges for class vtkImageAnisotropicDiffusion3D requires 1 argument(s)");
  vtkImageAnisotropicDiffusion3D* vtk_pointer = GetVTKPointer<vtkImageAnisotropicDiffusion3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetEdges();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageAnisotropicDiffusion3D:EdgesOn vtkImageAnisotropicDiffusion3DEdgesOnFunction
//input a0 
//output none
ArrayVector vtkImageAnisotropicDiffusion3DEdgesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EdgesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function EdgesOn for class vtkImageAnisotropicDiffusion3D requires 1 argument(s)");
  vtkImageAnisotropicDiffusion3D* vtk_pointer = GetVTKPointer<vtkImageAnisotropicDiffusion3D>(arg[0]);
  Array retval;
  vtk_pointer->EdgesOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageAnisotropicDiffusion3D:EdgesOff vtkImageAnisotropicDiffusion3DEdgesOffFunction
//input a0 
//output none
ArrayVector vtkImageAnisotropicDiffusion3DEdgesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EdgesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function EdgesOff for class vtkImageAnisotropicDiffusion3D requires 1 argument(s)");
  vtkImageAnisotropicDiffusion3D* vtk_pointer = GetVTKPointer<vtkImageAnisotropicDiffusion3D>(arg[0]);
  Array retval;
  vtk_pointer->EdgesOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageAnisotropicDiffusion3D:SetCorners vtkImageAnisotropicDiffusion3DSetCornersFunction
//input a0 a1 
//output none
ArrayVector vtkImageAnisotropicDiffusion3DSetCornersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCorners (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCorners for class vtkImageAnisotropicDiffusion3D requires 2 argument(s)");
  vtkImageAnisotropicDiffusion3D* vtk_pointer = GetVTKPointer<vtkImageAnisotropicDiffusion3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCorners(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageAnisotropicDiffusion3D:GetCorners vtkImageAnisotropicDiffusion3DGetCornersFunction
//input a0 
//output y
ArrayVector vtkImageAnisotropicDiffusion3DGetCornersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCorners (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCorners for class vtkImageAnisotropicDiffusion3D requires 1 argument(s)");
  vtkImageAnisotropicDiffusion3D* vtk_pointer = GetVTKPointer<vtkImageAnisotropicDiffusion3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCorners();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageAnisotropicDiffusion3D:CornersOn vtkImageAnisotropicDiffusion3DCornersOnFunction
//input a0 
//output none
ArrayVector vtkImageAnisotropicDiffusion3DCornersOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CornersOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CornersOn for class vtkImageAnisotropicDiffusion3D requires 1 argument(s)");
  vtkImageAnisotropicDiffusion3D* vtk_pointer = GetVTKPointer<vtkImageAnisotropicDiffusion3D>(arg[0]);
  Array retval;
  vtk_pointer->CornersOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageAnisotropicDiffusion3D:CornersOff vtkImageAnisotropicDiffusion3DCornersOffFunction
//input a0 
//output none
ArrayVector vtkImageAnisotropicDiffusion3DCornersOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CornersOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CornersOff for class vtkImageAnisotropicDiffusion3D requires 1 argument(s)");
  vtkImageAnisotropicDiffusion3D* vtk_pointer = GetVTKPointer<vtkImageAnisotropicDiffusion3D>(arg[0]);
  Array retval;
  vtk_pointer->CornersOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageAnisotropicDiffusion3D:SetGradientMagnitudeThreshold vtkImageAnisotropicDiffusion3DSetGradientMagnitudeThresholdFunction
//input a0 a1 
//output none
ArrayVector vtkImageAnisotropicDiffusion3DSetGradientMagnitudeThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGradientMagnitudeThreshold (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGradientMagnitudeThreshold for class vtkImageAnisotropicDiffusion3D requires 2 argument(s)");
  vtkImageAnisotropicDiffusion3D* vtk_pointer = GetVTKPointer<vtkImageAnisotropicDiffusion3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGradientMagnitudeThreshold(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageAnisotropicDiffusion3D:GetGradientMagnitudeThreshold vtkImageAnisotropicDiffusion3DGetGradientMagnitudeThresholdFunction
//input a0 
//output y
ArrayVector vtkImageAnisotropicDiffusion3DGetGradientMagnitudeThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGradientMagnitudeThreshold (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGradientMagnitudeThreshold for class vtkImageAnisotropicDiffusion3D requires 1 argument(s)");
  vtkImageAnisotropicDiffusion3D* vtk_pointer = GetVTKPointer<vtkImageAnisotropicDiffusion3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGradientMagnitudeThreshold();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageAnisotropicDiffusion3D:GradientMagnitudeThresholdOn vtkImageAnisotropicDiffusion3DGradientMagnitudeThresholdOnFunction
//input a0 
//output none
ArrayVector vtkImageAnisotropicDiffusion3DGradientMagnitudeThresholdOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GradientMagnitudeThresholdOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GradientMagnitudeThresholdOn for class vtkImageAnisotropicDiffusion3D requires 1 argument(s)");
  vtkImageAnisotropicDiffusion3D* vtk_pointer = GetVTKPointer<vtkImageAnisotropicDiffusion3D>(arg[0]);
  Array retval;
  vtk_pointer->GradientMagnitudeThresholdOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageAnisotropicDiffusion3D:GradientMagnitudeThresholdOff vtkImageAnisotropicDiffusion3DGradientMagnitudeThresholdOffFunction
//input a0 
//output none
ArrayVector vtkImageAnisotropicDiffusion3DGradientMagnitudeThresholdOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GradientMagnitudeThresholdOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GradientMagnitudeThresholdOff for class vtkImageAnisotropicDiffusion3D requires 1 argument(s)");
  vtkImageAnisotropicDiffusion3D* vtk_pointer = GetVTKPointer<vtkImageAnisotropicDiffusion3D>(arg[0]);
  Array retval;
  vtk_pointer->GradientMagnitudeThresholdOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageAnisotropicDiffusion3D:display vtkImageAnisotropicDiffusion3DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageAnisotropicDiffusion3DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageAnisotropicDiffusion3D* vtk_pointer = GetVTKPointer<vtkImageAnisotropicDiffusion3D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageAnisotropicDiffusion3D:delete vtkImageAnisotropicDiffusion3DDeleteFunction
//input varargin
//output none
ArrayVector vtkImageAnisotropicDiffusion3DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageAnisotropicDiffusion3D
//@@Section VTKImaging
//@@Usage
// vtkImageAnisotropicDiffusion3D  diffuses an volume iteratively.
// The neighborhood of the diffusion is determined by the instance
// flags. if "Faces" is on, the 6 voxels adjoined by faces are included
// in the neighborhood.  If "Edges" is on the 12 edge connected voxels
// are included, and if "Corners" is on, the 8 corner connected voxels
// are included.  "DiffusionFactor" determines how far a pixel value
// moves toward its neighbors, and is insensitive to the number of 
// neighbors chosen.  The diffusion is anisotropic because it only occurs
// when a gradient measure is below "GradientThreshold".  Two gradient measures
// exist and are toggled by the "GradientMagnitudeThreshold" flag.
// When "GradientMagnitudeThreshold" is on, the magnitude of the gradient,
// computed by central differences, above "DiffusionThreshold"
// a voxel is not modified.  The alternative measure examines each
// neighbor independently.  The gradient between the voxel and the neighbor
// must be below the "DiffusionThreshold" for diffusion to occur with
// THAT neighbor.
//
//To create an instance of class vtkImageAnisotropicDiffusion3D, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageAnisotropicDiffusion3D
//@]
//@@Methods
//The class vtkImageAnisotropicDiffusion3D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageAnisotropicDiffusion3D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageAnisotropicDiffusion3D = obj.NewInstance ()|
// \item @|vtkImageAnisotropicDiffusion3D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetNumberOfIterations (int num)| -  This method sets the number of interations which also affects the
// input neighborhood needed to compute one output pixel.  Each iterations
// requires an extra pixel layer on the neighborhood.  This is only relavent
// when you are trying to stream or are requesting a sub extent of the "wholeExtent".
//// \item @|int = obj.GetNumberOfIterations ()| -  Get the number of iterations.
//// \item @|obj.SetDiffusionThreshold (double )| -  Set/Get the difference threshold that stops diffusion. 
// when the difference between two pixel is greater than this threshold,
// the pixels are not diffused.  This causes diffusion to avoid sharp edges.
// If the GradientMagnitudeThreshold is set, then gradient magnitude is used 
// for comparison instead of pixel differences.
//// \item @|double = obj.GetDiffusionThreshold ()| -  Set/Get the difference threshold that stops diffusion. 
// when the difference between two pixel is greater than this threshold,
// the pixels are not diffused.  This causes diffusion to avoid sharp edges.
// If the GradientMagnitudeThreshold is set, then gradient magnitude is used 
// for comparison instead of pixel differences.
//// \item @|obj.SetDiffusionFactor (double )| -  Set/Get the difference factor
//// \item @|double = obj.GetDiffusionFactor ()| -  Set/Get the difference factor
//// \item @|obj.SetFaces (int )| -  Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).
//// \item @|int = obj.GetFaces ()| -  Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).
//// \item @|obj.FacesOn ()| -  Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).
//// \item @|obj.FacesOff ()| -  Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).
//// \item @|obj.SetEdges (int )| -  Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).
//// \item @|int = obj.GetEdges ()| -  Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).
//// \item @|obj.EdgesOn ()| -  Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).
//// \item @|obj.EdgesOff ()| -  Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).
//// \item @|obj.SetCorners (int )| -  Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).
//// \item @|int = obj.GetCorners ()| -  Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).
//// \item @|obj.CornersOn ()| -  Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).
//// \item @|obj.CornersOff ()| -  Choose neighbors to diffuse (6 faces, 12 edges, 8 corners).
//// \item @|obj.SetGradientMagnitudeThreshold (int )| -  Switch between gradient magnitude threshold and pixel gradient threshold.
//// \item @|int = obj.GetGradientMagnitudeThreshold ()| -  Switch between gradient magnitude threshold and pixel gradient threshold.
//// \item @|obj.GradientMagnitudeThresholdOn ()| -  Switch between gradient magnitude threshold and pixel gradient threshold.
//// \item @|obj.GradientMagnitudeThresholdOff ()| -  Switch between gradient magnitude threshold and pixel gradient threshold.
////\end{itemize}
//!
