#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageAppend object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageAppend.h"

//@@Signature
//sfunction @vtkImageAppend:vtkImageAppend vtkImageAppendConstructorFunction
//input a
//output p
//@@Parents vtkImageAppend vtkThreadedImageAlgorithm 
ArrayVector vtkImageAppendConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageAppend::New(),"vtkImageAppend",eval);
  } else if (arg[0].className() == "vtkImageAppend") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageAppend"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageAppend");
    vtkImageAppend*q = reinterpret_cast<vtkImageAppend*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageAppend");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageAppend:GetClassName vtkImageAppendGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageAppendGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageAppend requires 1 argument(s)");
  vtkImageAppend* vtk_pointer = GetVTKPointer<vtkImageAppend>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageAppend:IsA vtkImageAppendIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageAppendIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageAppend requires 2 argument(s)");
  vtkImageAppend* vtk_pointer = GetVTKPointer<vtkImageAppend>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageAppend:NewInstance vtkImageAppendNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageAppendNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageAppend *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageAppend requires 1 argument(s)");
  vtkImageAppend* vtk_pointer = GetVTKPointer<vtkImageAppend>(arg[0]);
  Array retval;
  vtkImageAppend  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageAppend",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageAppend:SafeDownCast vtkImageAppendSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageAppendSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageAppend *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageAppend requires 2 argument(s)");
  vtkImageAppend* vtk_pointer = GetVTKPointer<vtkImageAppend>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageAppend  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageAppend",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageAppend:ReplaceNthInputConnection vtkImageAppendReplaceNthInputConnectionFunction
//input a0 a1 a2 
//output none
ArrayVector vtkImageAppendReplaceNthInputConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReplaceNthInputConnection (int idx, vtkAlgorithmOutput *input); */
  if (arg.size() < 3) 
    throw Exception("Function ReplaceNthInputConnection for class vtkImageAppend requires 3 argument(s)");
  vtkImageAppend* vtk_pointer = GetVTKPointer<vtkImageAppend>(arg[0]);
  Array retval;
  int      temp0;
  vtkAlgorithmOutput  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkAlgorithmOutput>(arg[2]);
  vtk_pointer->ReplaceNthInputConnection(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageAppend:SetInput__1 vtkImageAppendSetInput__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkImageAppendSetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (int num, vtkDataObject *input); */
  if (arg.size() < 3) 
    throw Exception("Function SetInput__1 for class vtkImageAppend requires 3 argument(s)");
  vtkImageAppend* vtk_pointer = GetVTKPointer<vtkImageAppend>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->SetInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageAppend:SetInput__2 vtkImageAppendSetInput__2Function
//input a0 a1 
//output none
ArrayVector vtkImageAppendSetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkDataObject *input);this SetInput input  */
  if (arg.size() < 2) 
    throw Exception("Function SetInput__2 for class vtkImageAppend requires 2 argument(s)");
  vtkImageAppend* vtk_pointer = GetVTKPointer<vtkImageAppend>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageAppend:GetInput__1 vtkImageAppendGetInput__1Function
//input a0 a1 
//output y
ArrayVector vtkImageAppendGetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput (int num); */
  if (arg.size() < 2) 
    throw Exception("Function GetInput__1 for class vtkImageAppend requires 2 argument(s)");
  vtkImageAppend* vtk_pointer = GetVTKPointer<vtkImageAppend>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageAppend:GetInput__2 vtkImageAppendGetInput__2Function
//input a0 
//output y
ArrayVector vtkImageAppendGetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput ();return this GetInput  */
  if (arg.size() < 1) 
    throw Exception("Function GetInput__2 for class vtkImageAppend requires 1 argument(s)");
  vtkImageAppend* vtk_pointer = GetVTKPointer<vtkImageAppend>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageAppend:GetNumberOfInputs vtkImageAppendGetNumberOfInputsFunction
//input a0 
//output y
ArrayVector vtkImageAppendGetNumberOfInputsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfInputs ();return this GetNumberOfInputConnections  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfInputs for class vtkImageAppend requires 1 argument(s)");
  vtkImageAppend* vtk_pointer = GetVTKPointer<vtkImageAppend>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfInputs();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageAppend:SetAppendAxis vtkImageAppendSetAppendAxisFunction
//input a0 a1 
//output none
ArrayVector vtkImageAppendSetAppendAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAppendAxis (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAppendAxis for class vtkImageAppend requires 2 argument(s)");
  vtkImageAppend* vtk_pointer = GetVTKPointer<vtkImageAppend>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAppendAxis(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageAppend:GetAppendAxis vtkImageAppendGetAppendAxisFunction
//input a0 
//output y
ArrayVector vtkImageAppendGetAppendAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAppendAxis (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAppendAxis for class vtkImageAppend requires 1 argument(s)");
  vtkImageAppend* vtk_pointer = GetVTKPointer<vtkImageAppend>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAppendAxis();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageAppend:SetPreserveExtents vtkImageAppendSetPreserveExtentsFunction
//input a0 a1 
//output none
ArrayVector vtkImageAppendSetPreserveExtentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPreserveExtents (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPreserveExtents for class vtkImageAppend requires 2 argument(s)");
  vtkImageAppend* vtk_pointer = GetVTKPointer<vtkImageAppend>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPreserveExtents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageAppend:GetPreserveExtents vtkImageAppendGetPreserveExtentsFunction
//input a0 
//output y
ArrayVector vtkImageAppendGetPreserveExtentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPreserveExtents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPreserveExtents for class vtkImageAppend requires 1 argument(s)");
  vtkImageAppend* vtk_pointer = GetVTKPointer<vtkImageAppend>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPreserveExtents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageAppend:PreserveExtentsOn vtkImageAppendPreserveExtentsOnFunction
//input a0 
//output none
ArrayVector vtkImageAppendPreserveExtentsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PreserveExtentsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PreserveExtentsOn for class vtkImageAppend requires 1 argument(s)");
  vtkImageAppend* vtk_pointer = GetVTKPointer<vtkImageAppend>(arg[0]);
  Array retval;
  vtk_pointer->PreserveExtentsOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageAppend:PreserveExtentsOff vtkImageAppendPreserveExtentsOffFunction
//input a0 
//output none
ArrayVector vtkImageAppendPreserveExtentsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PreserveExtentsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PreserveExtentsOff for class vtkImageAppend requires 1 argument(s)");
  vtkImageAppend* vtk_pointer = GetVTKPointer<vtkImageAppend>(arg[0]);
  Array retval;
  vtk_pointer->PreserveExtentsOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageAppend:SetInput vtkImageAppendSetInputFunction
//input varargin
//output varargout
ArrayVector vtkImageAppendSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkImageAppendSetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkImageAppendSetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageAppendSetInput");
}

//@@Signature
//sfunction @vtkImageAppend:GetInput vtkImageAppendGetInputFunction
//input varargin
//output varargout
ArrayVector vtkImageAppendGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkImageAppendGetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkImageAppendGetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageAppendGetInput");
}

//@@Signature
//sfunction @vtkImageAppend:display vtkImageAppendDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageAppendDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageAppend* vtk_pointer = GetVTKPointer<vtkImageAppend>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageAppend:delete vtkImageAppendDeleteFunction
//input varargin
//output none
ArrayVector vtkImageAppendDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageAppend
//@@Section VTKImaging
//@@Usage
// vtkImageAppend takes the components from multiple inputs and merges
// them into one output. The output images are append along the "AppendAxis".
// Except for the append axis, all inputs must have the same extent.
// All inputs must have the same number of scalar components.
// A future extension might be to pad or clip inputs to have the same extent.
// The output has the same origin and spacing as the first input.
// The origin and spacing of all other inputs are ignored.  All inputs
// must have the same scalar type.
//
//To create an instance of class vtkImageAppend, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageAppend
//@]
//@@Methods
//The class vtkImageAppend has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageAppend class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageAppend = obj.NewInstance ()|
// \item @|vtkImageAppend = obj.SafeDownCast (vtkObject o)|
// \item @|obj.ReplaceNthInputConnection (int idx, vtkAlgorithmOutput input)| -  Replace one of the input connections with a new input.  You can
// only replace input connections that you previously created with
// AddInputConnection() or, in the case of the first input,
// with SetInputConnection().
//// \item @|obj.SetInput (int num, vtkDataObject input)| -  Set an Input of this filter.  This method is only for support of
// old-style pipeline connections.  When writing new code you should
// use SetInputConnection(), AddInputConnection(), and
// ReplaceNthInputConnection() instead.
//// \item @|obj.SetInput (vtkDataObject input)| -  Set an Input of this filter.  This method is only for support of
// old-style pipeline connections.  When writing new code you should
// use SetInputConnection(), AddInputConnection(), and
// ReplaceNthInputConnection() instead.
//// \item @|vtkDataObject = obj.GetInput (int num)| -  Get one input to this filter. This method is only for support of
// old-style pipeline connections.  When writing new code you should
// use vtkAlgorithm::GetInputConnection(0, num).
//// \item @|vtkDataObject = obj.GetInput ()| -  Get one input to this filter. This method is only for support of
// old-style pipeline connections.  When writing new code you should
// use vtkAlgorithm::GetInputConnection(0, num).
//// \item @|int = obj.GetNumberOfInputs ()| -  Get the number of inputs to this filter. This method is only for
// support of old-style pipeline connections.  When writing new code
// you should use vtkAlgorithm::GetNumberOfInputConnections(0).
//// \item @|obj.SetAppendAxis (int )| -  This axis is expanded to hold the multiple images.
// The default AppendAxis is the X axis.
// If you want to create a volue from a series of XY images, then you should
// set the AppendAxis to 2 (Z axis).
//// \item @|int = obj.GetAppendAxis ()| -  This axis is expanded to hold the multiple images.
// The default AppendAxis is the X axis.
// If you want to create a volue from a series of XY images, then you should
// set the AppendAxis to 2 (Z axis).
//// \item @|obj.SetPreserveExtents (int )| -  By default "PreserveExtents" is off and the append axis is used.
// When "PreseveExtents" is on, the extent of the inputs is used to
// place the image in the output.  The whole extent of the output is
// the union of the input whole extents.  Any portion of the
// output not covered by the inputs is set to zero.  The origin and
// spacing is taken from the first input.
//// \item @|int = obj.GetPreserveExtents ()| -  By default "PreserveExtents" is off and the append axis is used.
// When "PreseveExtents" is on, the extent of the inputs is used to
// place the image in the output.  The whole extent of the output is
// the union of the input whole extents.  Any portion of the
// output not covered by the inputs is set to zero.  The origin and
// spacing is taken from the first input.
//// \item @|obj.PreserveExtentsOn ()| -  By default "PreserveExtents" is off and the append axis is used.
// When "PreseveExtents" is on, the extent of the inputs is used to
// place the image in the output.  The whole extent of the output is
// the union of the input whole extents.  Any portion of the
// output not covered by the inputs is set to zero.  The origin and
// spacing is taken from the first input.
//// \item @|obj.PreserveExtentsOff ()| -  By default "PreserveExtents" is off and the append axis is used.
// When "PreseveExtents" is on, the extent of the inputs is used to
// place the image in the output.  The whole extent of the output is
// the union of the input whole extents.  Any portion of the
// output not covered by the inputs is set to zero.  The origin and
// spacing is taken from the first input.
////\end{itemize}
//!
