#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageAppendComponents object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageAppendComponents.h"

//@@Signature
//sfunction @vtkImageAppendComponents:vtkImageAppendComponents vtkImageAppendComponentsConstructorFunction
//input a
//output p
//@@Parents vtkImageAppendComponents vtkThreadedImageAlgorithm 
ArrayVector vtkImageAppendComponentsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageAppendComponents::New(),"vtkImageAppendComponents",eval);
  } else if (arg[0].className() == "vtkImageAppendComponents") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageAppendComponents"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageAppendComponents");
    vtkImageAppendComponents*q = reinterpret_cast<vtkImageAppendComponents*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageAppendComponents");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageAppendComponents:GetClassName vtkImageAppendComponentsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageAppendComponentsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageAppendComponents requires 1 argument(s)");
  vtkImageAppendComponents* vtk_pointer = GetVTKPointer<vtkImageAppendComponents>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageAppendComponents:IsA vtkImageAppendComponentsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageAppendComponentsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageAppendComponents requires 2 argument(s)");
  vtkImageAppendComponents* vtk_pointer = GetVTKPointer<vtkImageAppendComponents>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageAppendComponents:NewInstance vtkImageAppendComponentsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageAppendComponentsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageAppendComponents *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageAppendComponents requires 1 argument(s)");
  vtkImageAppendComponents* vtk_pointer = GetVTKPointer<vtkImageAppendComponents>(arg[0]);
  Array retval;
  vtkImageAppendComponents  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageAppendComponents",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageAppendComponents:SafeDownCast vtkImageAppendComponentsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageAppendComponentsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageAppendComponents *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageAppendComponents requires 2 argument(s)");
  vtkImageAppendComponents* vtk_pointer = GetVTKPointer<vtkImageAppendComponents>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageAppendComponents  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageAppendComponents",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageAppendComponents:ReplaceNthInputConnection vtkImageAppendComponentsReplaceNthInputConnectionFunction
//input a0 a1 a2 
//output none
ArrayVector vtkImageAppendComponentsReplaceNthInputConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReplaceNthInputConnection (int idx, vtkAlgorithmOutput *input); */
  if (arg.size() < 3) 
    throw Exception("Function ReplaceNthInputConnection for class vtkImageAppendComponents requires 3 argument(s)");
  vtkImageAppendComponents* vtk_pointer = GetVTKPointer<vtkImageAppendComponents>(arg[0]);
  Array retval;
  int      temp0;
  vtkAlgorithmOutput  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkAlgorithmOutput>(arg[2]);
  vtk_pointer->ReplaceNthInputConnection(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageAppendComponents:SetInput__1 vtkImageAppendComponentsSetInput__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkImageAppendComponentsSetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (int num, vtkDataObject *input); */
  if (arg.size() < 3) 
    throw Exception("Function SetInput__1 for class vtkImageAppendComponents requires 3 argument(s)");
  vtkImageAppendComponents* vtk_pointer = GetVTKPointer<vtkImageAppendComponents>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->SetInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageAppendComponents:SetInput__2 vtkImageAppendComponentsSetInput__2Function
//input a0 a1 
//output none
ArrayVector vtkImageAppendComponentsSetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkDataObject *input);this SetInput input  */
  if (arg.size() < 2) 
    throw Exception("Function SetInput__2 for class vtkImageAppendComponents requires 2 argument(s)");
  vtkImageAppendComponents* vtk_pointer = GetVTKPointer<vtkImageAppendComponents>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageAppendComponents:GetInput__1 vtkImageAppendComponentsGetInput__1Function
//input a0 a1 
//output y
ArrayVector vtkImageAppendComponentsGetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput (int num); */
  if (arg.size() < 2) 
    throw Exception("Function GetInput__1 for class vtkImageAppendComponents requires 2 argument(s)");
  vtkImageAppendComponents* vtk_pointer = GetVTKPointer<vtkImageAppendComponents>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageAppendComponents:GetInput__2 vtkImageAppendComponentsGetInput__2Function
//input a0 
//output y
ArrayVector vtkImageAppendComponentsGetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput ();return this GetInput  */
  if (arg.size() < 1) 
    throw Exception("Function GetInput__2 for class vtkImageAppendComponents requires 1 argument(s)");
  vtkImageAppendComponents* vtk_pointer = GetVTKPointer<vtkImageAppendComponents>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageAppendComponents:GetNumberOfInputs vtkImageAppendComponentsGetNumberOfInputsFunction
//input a0 
//output y
ArrayVector vtkImageAppendComponentsGetNumberOfInputsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfInputs ();return this GetNumberOfInputConnections  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfInputs for class vtkImageAppendComponents requires 1 argument(s)");
  vtkImageAppendComponents* vtk_pointer = GetVTKPointer<vtkImageAppendComponents>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfInputs();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageAppendComponents:SetInput vtkImageAppendComponentsSetInputFunction
//input varargin
//output varargout
ArrayVector vtkImageAppendComponentsSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkImageAppendComponentsSetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkImageAppendComponentsSetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageAppendComponentsSetInput");
}

//@@Signature
//sfunction @vtkImageAppendComponents:GetInput vtkImageAppendComponentsGetInputFunction
//input varargin
//output varargout
ArrayVector vtkImageAppendComponentsGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkImageAppendComponentsGetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkImageAppendComponentsGetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageAppendComponentsGetInput");
}

//@@Signature
//sfunction @vtkImageAppendComponents:display vtkImageAppendComponentsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageAppendComponentsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageAppendComponents* vtk_pointer = GetVTKPointer<vtkImageAppendComponents>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageAppendComponents:delete vtkImageAppendComponentsDeleteFunction
//input varargin
//output none
ArrayVector vtkImageAppendComponentsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageAppendComponents
//@@Section VTKImaging
//@@Usage
// vtkImageAppendComponents takes the components from two inputs and merges
// them into one output. If Input1 has M components, and Input2 has N 
// components, the output will have M+N components with input1
// components coming first.
//
//To create an instance of class vtkImageAppendComponents, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageAppendComponents
//@]
//@@Methods
//The class vtkImageAppendComponents has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageAppendComponents class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageAppendComponents = obj.NewInstance ()|
// \item @|vtkImageAppendComponents = obj.SafeDownCast (vtkObject o)|
// \item @|obj.ReplaceNthInputConnection (int idx, vtkAlgorithmOutput input)| -  Replace one of the input connections with a new input.  You can
// only replace input connections that you previously created with
// AddInputConnection() or, in the case of the first input,
// with SetInputConnection().
//// \item @|obj.SetInput (int num, vtkDataObject input)| -  Set an Input of this filter.  This method is only for support of
// old-style pipeline connections.  When writing new code you should
// use SetInputConnection(), AddInputConnection(), and
// ReplaceNthInputConnection() instead.
//// \item @|obj.SetInput (vtkDataObject input)| -  Set an Input of this filter.  This method is only for support of
// old-style pipeline connections.  When writing new code you should
// use SetInputConnection(), AddInputConnection(), and
// ReplaceNthInputConnection() instead.
//// \item @|vtkDataObject = obj.GetInput (int num)| -  Get one input to this filter. This method is only for support of
// old-style pipeline connections.  When writing new code you should
// use vtkAlgorithm::GetInputConnection(0, num).
//// \item @|vtkDataObject = obj.GetInput ()| -  Get one input to this filter. This method is only for support of
// old-style pipeline connections.  When writing new code you should
// use vtkAlgorithm::GetInputConnection(0, num).
//// \item @|int = obj.GetNumberOfInputs ()| -  Get the number of inputs to this filter. This method is only for
// support of old-style pipeline connections.  When writing new code
// you should use vtkAlgorithm::GetNumberOfInputConnections(0).
////\end{itemize}
//!
