#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageBlend object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageBlend.h"

//@@Signature
//sfunction @vtkImageBlend:vtkImageBlend vtkImageBlendConstructorFunction
//input a
//output p
//@@Parents vtkImageBlend vtkThreadedImageAlgorithm 
ArrayVector vtkImageBlendConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageBlend::New(),"vtkImageBlend",eval);
  } else if (arg[0].className() == "vtkImageBlend") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageBlend"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageBlend");
    vtkImageBlend*q = reinterpret_cast<vtkImageBlend*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageBlend");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageBlend:GetClassName vtkImageBlendGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageBlendGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageBlend requires 1 argument(s)");
  vtkImageBlend* vtk_pointer = GetVTKPointer<vtkImageBlend>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageBlend:IsA vtkImageBlendIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageBlendIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageBlend requires 2 argument(s)");
  vtkImageBlend* vtk_pointer = GetVTKPointer<vtkImageBlend>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageBlend:NewInstance vtkImageBlendNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageBlendNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageBlend *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageBlend requires 1 argument(s)");
  vtkImageBlend* vtk_pointer = GetVTKPointer<vtkImageBlend>(arg[0]);
  Array retval;
  vtkImageBlend  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageBlend",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageBlend:SafeDownCast vtkImageBlendSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageBlendSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageBlend *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageBlend requires 2 argument(s)");
  vtkImageBlend* vtk_pointer = GetVTKPointer<vtkImageBlend>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageBlend  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageBlend",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageBlend:ReplaceNthInputConnection vtkImageBlendReplaceNthInputConnectionFunction
//input a0 a1 a2 
//output none
ArrayVector vtkImageBlendReplaceNthInputConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReplaceNthInputConnection (int idx, vtkAlgorithmOutput *input); */
  if (arg.size() < 3) 
    throw Exception("Function ReplaceNthInputConnection for class vtkImageBlend requires 3 argument(s)");
  vtkImageBlend* vtk_pointer = GetVTKPointer<vtkImageBlend>(arg[0]);
  Array retval;
  int      temp0;
  vtkAlgorithmOutput  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkAlgorithmOutput>(arg[2]);
  vtk_pointer->ReplaceNthInputConnection(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageBlend:SetInput__1 vtkImageBlendSetInput__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkImageBlendSetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (int num, vtkDataObject *input); */
  if (arg.size() < 3) 
    throw Exception("Function SetInput__1 for class vtkImageBlend requires 3 argument(s)");
  vtkImageBlend* vtk_pointer = GetVTKPointer<vtkImageBlend>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->SetInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageBlend:SetInput__2 vtkImageBlendSetInput__2Function
//input a0 a1 
//output none
ArrayVector vtkImageBlendSetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkDataObject *input);this SetInput input  */
  if (arg.size() < 2) 
    throw Exception("Function SetInput__2 for class vtkImageBlend requires 2 argument(s)");
  vtkImageBlend* vtk_pointer = GetVTKPointer<vtkImageBlend>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageBlend:GetInput__1 vtkImageBlendGetInput__1Function
//input a0 a1 
//output y
ArrayVector vtkImageBlendGetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput (int num); */
  if (arg.size() < 2) 
    throw Exception("Function GetInput__1 for class vtkImageBlend requires 2 argument(s)");
  vtkImageBlend* vtk_pointer = GetVTKPointer<vtkImageBlend>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageBlend:GetInput__2 vtkImageBlendGetInput__2Function
//input a0 
//output y
ArrayVector vtkImageBlendGetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput ();return this GetInput  */
  if (arg.size() < 1) 
    throw Exception("Function GetInput__2 for class vtkImageBlend requires 1 argument(s)");
  vtkImageBlend* vtk_pointer = GetVTKPointer<vtkImageBlend>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageBlend:GetNumberOfInputs vtkImageBlendGetNumberOfInputsFunction
//input a0 
//output y
ArrayVector vtkImageBlendGetNumberOfInputsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfInputs ();return this GetNumberOfInputConnections  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfInputs for class vtkImageBlend requires 1 argument(s)");
  vtkImageBlend* vtk_pointer = GetVTKPointer<vtkImageBlend>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfInputs();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageBlend:SetOpacity vtkImageBlendSetOpacityFunction
//input a0 a1 a2 
//output none
ArrayVector vtkImageBlendSetOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOpacity (int idx, double opacity); */
  if (arg.size() < 3) 
    throw Exception("Function SetOpacity for class vtkImageBlend requires 3 argument(s)");
  vtkImageBlend* vtk_pointer = GetVTKPointer<vtkImageBlend>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetOpacity(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageBlend:GetOpacity vtkImageBlendGetOpacityFunction
//input a0 a1 
//output y
ArrayVector vtkImageBlendGetOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOpacity (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOpacity for class vtkImageBlend requires 2 argument(s)");
  vtkImageBlend* vtk_pointer = GetVTKPointer<vtkImageBlend>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOpacity(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageBlend:SetStencil vtkImageBlendSetStencilFunction
//input a0 a1 
//output none
ArrayVector vtkImageBlendSetStencilFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStencil (vtkImageStencilData *stencil); */
  if (arg.size() < 2) 
    throw Exception("Function SetStencil for class vtkImageBlend requires 2 argument(s)");
  vtkImageBlend* vtk_pointer = GetVTKPointer<vtkImageBlend>(arg[0]);
  Array retval;
  vtkImageStencilData  *temp0;
  temp0 = GetVTKPointer<vtkImageStencilData>(arg[1]);
  vtk_pointer->SetStencil(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageBlend:GetStencil vtkImageBlendGetStencilFunction
//input a0 
//output y
ArrayVector vtkImageBlendGetStencilFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageStencilData *GetStencil (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStencil for class vtkImageBlend requires 1 argument(s)");
  vtkImageBlend* vtk_pointer = GetVTKPointer<vtkImageBlend>(arg[0]);
  Array retval;
  vtkImageStencilData  *temp20;
  temp20 = (vtk_pointer)->GetStencil();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageStencilData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageBlend:SetBlendMode vtkImageBlendSetBlendModeFunction
//input a0 a1 
//output none
ArrayVector vtkImageBlendSetBlendModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBlendMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBlendMode for class vtkImageBlend requires 2 argument(s)");
  vtkImageBlend* vtk_pointer = GetVTKPointer<vtkImageBlend>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBlendMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageBlend:GetBlendModeMinValue vtkImageBlendGetBlendModeMinValueFunction
//input a0 
//output y
ArrayVector vtkImageBlendGetBlendModeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBlendModeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBlendModeMinValue for class vtkImageBlend requires 1 argument(s)");
  vtkImageBlend* vtk_pointer = GetVTKPointer<vtkImageBlend>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBlendModeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageBlend:GetBlendModeMaxValue vtkImageBlendGetBlendModeMaxValueFunction
//input a0 
//output y
ArrayVector vtkImageBlendGetBlendModeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBlendModeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBlendModeMaxValue for class vtkImageBlend requires 1 argument(s)");
  vtkImageBlend* vtk_pointer = GetVTKPointer<vtkImageBlend>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBlendModeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageBlend:GetBlendMode vtkImageBlendGetBlendModeFunction
//input a0 
//output y
ArrayVector vtkImageBlendGetBlendModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBlendMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBlendMode for class vtkImageBlend requires 1 argument(s)");
  vtkImageBlend* vtk_pointer = GetVTKPointer<vtkImageBlend>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBlendMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageBlend:SetBlendModeToNormal vtkImageBlendSetBlendModeToNormalFunction
//input a0 
//output none
ArrayVector vtkImageBlendSetBlendModeToNormalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBlendModeToNormal ();this SetBlendMode VTK_IMAGE_BLEND_MODE_NORMAL  */
  if (arg.size() < 1) 
    throw Exception("Function SetBlendModeToNormal for class vtkImageBlend requires 1 argument(s)");
  vtkImageBlend* vtk_pointer = GetVTKPointer<vtkImageBlend>(arg[0]);
  Array retval;
  vtk_pointer->SetBlendModeToNormal();
  return retval;
}

//@@Signature
//sfunction @vtkImageBlend:SetBlendModeToCompound vtkImageBlendSetBlendModeToCompoundFunction
//input a0 
//output none
ArrayVector vtkImageBlendSetBlendModeToCompoundFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBlendModeToCompound ();this SetBlendMode VTK_IMAGE_BLEND_MODE_COMPOUND  */
  if (arg.size() < 1) 
    throw Exception("Function SetBlendModeToCompound for class vtkImageBlend requires 1 argument(s)");
  vtkImageBlend* vtk_pointer = GetVTKPointer<vtkImageBlend>(arg[0]);
  Array retval;
  vtk_pointer->SetBlendModeToCompound();
  return retval;
}

//@@Signature
//sfunction @vtkImageBlend:GetBlendModeAsString vtkImageBlendGetBlendModeAsStringFunction
//input a0 
//output y
ArrayVector vtkImageBlendGetBlendModeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetBlendModeAsString (void ); */
  if (arg.size() < 1) 
    throw Exception("Function GetBlendModeAsString for class vtkImageBlend requires 1 argument(s)");
  vtkImageBlend* vtk_pointer = GetVTKPointer<vtkImageBlend>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetBlendModeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageBlend:SetCompoundThreshold vtkImageBlendSetCompoundThresholdFunction
//input a0 a1 
//output none
ArrayVector vtkImageBlendSetCompoundThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCompoundThreshold (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCompoundThreshold for class vtkImageBlend requires 2 argument(s)");
  vtkImageBlend* vtk_pointer = GetVTKPointer<vtkImageBlend>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCompoundThreshold(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageBlend:GetCompoundThreshold vtkImageBlendGetCompoundThresholdFunction
//input a0 
//output y
ArrayVector vtkImageBlendGetCompoundThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCompoundThreshold (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCompoundThreshold for class vtkImageBlend requires 1 argument(s)");
  vtkImageBlend* vtk_pointer = GetVTKPointer<vtkImageBlend>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCompoundThreshold();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageBlend:SetInput vtkImageBlendSetInputFunction
//input varargin
//output varargout
ArrayVector vtkImageBlendSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkImageBlendSetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkImageBlendSetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageBlendSetInput");
}

//@@Signature
//sfunction @vtkImageBlend:GetInput vtkImageBlendGetInputFunction
//input varargin
//output varargout
ArrayVector vtkImageBlendGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkImageBlendGetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkImageBlendGetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageBlendGetInput");
}

//@@Signature
//sfunction @vtkImageBlend:display vtkImageBlendDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageBlendDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageBlend* vtk_pointer = GetVTKPointer<vtkImageBlend>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageBlend:delete vtkImageBlendDeleteFunction
//input varargin
//output none
ArrayVector vtkImageBlendDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageBlend
//@@Section VTKImaging
//@@Usage
// vtkImageBlend takes L, LA, RGB, or RGBA images as input and blends them
// according to the alpha values and/or the opacity setting for each input.
//
// The spacing, origin, extent, and number of components of the output are
// the same as those for the first input.  If the input has an alpha
// component, then this component is copied unchanged into the output.
// In addition, if the first input has either one component or two
// components i.e. if it is either L (greyscale) or LA (greyscale + alpha)
// then all other inputs must also be L or LA.
//
// Different blending modes are available:
//
// \em Normal (default) :
// This is the standard blending mode used by OpenGL and other graphics
// packages.  The output always has the same number of components
// and the same extent as the first input.  The alpha value of the first
// input is not used in the blending computation, instead it is copied
// directly to the output.
//
// \begin{verbatim}
// output <- input[0]
// foreach input i {
//   foreach pixel px {
//     r <- input[i](px)(alpha) * opacity[i]
//     f <- (255 - r)
//     output(px) <- output(px) * f + input(px) * r
//   }
// }
// \end{verbatim}
//
// \em Compound :
// Images are compounded together and each component is scaled by the sum of
// the alpha/opacity values. Use the CompoundThreshold method to set
// specify a threshold in compound mode. Pixels with opacity*alpha less
// or equal than this threshold are ignored.
// The alpha value of the first input, if present, is NOT copied to the alpha
// value of the output.  The output always has the same number of components
// and the same extent as the first input.
//
// \begin{verbatim}
// output <- 0
// foreach pixel px {
//   sum <- 0
//   foreach input i {
//     r <- input[i](px)(alpha) * opacity(i)
//     sum <- sum + r
//     if r > threshold {
//       output(px) <- output(px) + input(px) * r
//     }
//   }
//   output(px) <- output(px) / sum
// }
// \end{verbatim}
//
//To create an instance of class vtkImageBlend, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageBlend
//@]
//@@Methods
//The class vtkImageBlend has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageBlend class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageBlend = obj.NewInstance ()|
// \item @|vtkImageBlend = obj.SafeDownCast (vtkObject o)|
// \item @|obj.ReplaceNthInputConnection (int idx, vtkAlgorithmOutput input)| -  Replace one of the input connections with a new input.  You can
// only replace input connections that you previously created with
// AddInputConnection() or, in the case of the first input,
// with SetInputConnection().
//// \item @|obj.SetInput (int num, vtkDataObject input)| -  Set an Input of this filter.  This method is only for support of
// old-style pipeline connections.  When writing new code you should
// use SetInputConnection(), AddInputConnection(), and
// ReplaceNthInputConnection() instead.
//// \item @|obj.SetInput (vtkDataObject input)| -  Set an Input of this filter.  This method is only for support of
// old-style pipeline connections.  When writing new code you should
// use SetInputConnection(), AddInputConnection(), and
// ReplaceNthInputConnection() instead.
//// \item @|vtkDataObject = obj.GetInput (int num)| -  Get one input to this filter. This method is only for support of
// old-style pipeline connections.  When writing new code you should
// use vtkAlgorithm::GetInputConnection(0, num).
//// \item @|vtkDataObject = obj.GetInput ()| -  Get one input to this filter. This method is only for support of
// old-style pipeline connections.  When writing new code you should
// use vtkAlgorithm::GetInputConnection(0, num).
//// \item @|int = obj.GetNumberOfInputs ()| -  Get the number of inputs to this filter. This method is only for
// support of old-style pipeline connections.  When writing new code
// you should use vtkAlgorithm::GetNumberOfInputConnections(0).
//// \item @|obj.SetOpacity (int idx, double opacity)| -  Set the opacity of an input image: the alpha values of the image are
// multiplied by the opacity.  The opacity of image idx=0 is ignored.
//// \item @|double = obj.GetOpacity (int idx)| -  Set the opacity of an input image: the alpha values of the image are
// multiplied by the opacity.  The opacity of image idx=0 is ignored.
//// \item @|obj.SetStencil (vtkImageStencilData stencil)| -  Set a stencil to apply when blending the data.
//// \item @|vtkImageStencilData = obj.GetStencil ()| -  Set a stencil to apply when blending the data.
//// \item @|obj.SetBlendMode (int )| -  Set the blend mode
//// \item @|int = obj.GetBlendModeMinValue ()| -  Set the blend mode
//// \item @|int = obj.GetBlendModeMaxValue ()| -  Set the blend mode
//// \item @|int = obj.GetBlendMode ()| -  Set the blend mode
//// \item @|obj.SetBlendModeToNormal ()| -  Set the blend mode
//// \item @|obj.SetBlendModeToCompound ()| -  Set the blend mode
//// \item @|string = obj.GetBlendModeAsString (void )| -  Set the blend mode
//// \item @|obj.SetCompoundThreshold (double )| -  Specify a threshold in compound mode. Pixels with opacity*alpha less
// or equal the threshold are ignored.
//// \item @|double = obj.GetCompoundThreshold ()| -  Specify a threshold in compound mode. Pixels with opacity*alpha less
// or equal the threshold are ignored.
////\end{itemize}
//!
