#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageButterworthHighPass object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageButterworthHighPass.h"

//@@Signature
//sfunction @vtkImageButterworthHighPass:vtkImageButterworthHighPass vtkImageButterworthHighPassConstructorFunction
//input a
//output p
//@@Parents vtkImageButterworthHighPass vtkThreadedImageAlgorithm 
ArrayVector vtkImageButterworthHighPassConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageButterworthHighPass::New(),"vtkImageButterworthHighPass",eval);
  } else if (arg[0].className() == "vtkImageButterworthHighPass") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageButterworthHighPass"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageButterworthHighPass");
    vtkImageButterworthHighPass*q = reinterpret_cast<vtkImageButterworthHighPass*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageButterworthHighPass");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageButterworthHighPass:GetClassName vtkImageButterworthHighPassGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageButterworthHighPassGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageButterworthHighPass requires 1 argument(s)");
  vtkImageButterworthHighPass* vtk_pointer = GetVTKPointer<vtkImageButterworthHighPass>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthHighPass:IsA vtkImageButterworthHighPassIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageButterworthHighPassIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageButterworthHighPass requires 2 argument(s)");
  vtkImageButterworthHighPass* vtk_pointer = GetVTKPointer<vtkImageButterworthHighPass>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthHighPass:NewInstance vtkImageButterworthHighPassNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageButterworthHighPassNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageButterworthHighPass *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageButterworthHighPass requires 1 argument(s)");
  vtkImageButterworthHighPass* vtk_pointer = GetVTKPointer<vtkImageButterworthHighPass>(arg[0]);
  Array retval;
  vtkImageButterworthHighPass  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageButterworthHighPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthHighPass:SafeDownCast vtkImageButterworthHighPassSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageButterworthHighPassSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageButterworthHighPass *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageButterworthHighPass requires 2 argument(s)");
  vtkImageButterworthHighPass* vtk_pointer = GetVTKPointer<vtkImageButterworthHighPass>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageButterworthHighPass  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageButterworthHighPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthHighPass:SetCutOff__1 vtkImageButterworthHighPassSetCutOff__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageButterworthHighPassSetCutOff__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCutOff (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetCutOff__1 for class vtkImageButterworthHighPass requires 4 argument(s)");
  vtkImageButterworthHighPass* vtk_pointer = GetVTKPointer<vtkImageButterworthHighPass>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCutOff(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthHighPass:SetCutOff__2 vtkImageButterworthHighPassSetCutOff__2Function
//input a0 a1 
//output none
ArrayVector vtkImageButterworthHighPassSetCutOff__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCutOff (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCutOff__2 for class vtkImageButterworthHighPass requires 2 argument(s)");
  vtkImageButterworthHighPass* vtk_pointer = GetVTKPointer<vtkImageButterworthHighPass>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCutOff(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthHighPass:SetCutOff__3 vtkImageButterworthHighPassSetCutOff__3Function
//input a0 a1 
//output none
ArrayVector vtkImageButterworthHighPassSetCutOff__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCutOff (double v);this SetCutOff v v v  */
  if (arg.size() < 2) 
    throw Exception("Function SetCutOff__3 for class vtkImageButterworthHighPass requires 2 argument(s)");
  vtkImageButterworthHighPass* vtk_pointer = GetVTKPointer<vtkImageButterworthHighPass>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCutOff(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthHighPass:SetXCutOff vtkImageButterworthHighPassSetXCutOffFunction
//input a0 a1 
//output none
ArrayVector vtkImageButterworthHighPassSetXCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXCutOff (double v); */
  if (arg.size() < 2) 
    throw Exception("Function SetXCutOff for class vtkImageButterworthHighPass requires 2 argument(s)");
  vtkImageButterworthHighPass* vtk_pointer = GetVTKPointer<vtkImageButterworthHighPass>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetXCutOff(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthHighPass:SetYCutOff vtkImageButterworthHighPassSetYCutOffFunction
//input a0 a1 
//output none
ArrayVector vtkImageButterworthHighPassSetYCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYCutOff (double v); */
  if (arg.size() < 2) 
    throw Exception("Function SetYCutOff for class vtkImageButterworthHighPass requires 2 argument(s)");
  vtkImageButterworthHighPass* vtk_pointer = GetVTKPointer<vtkImageButterworthHighPass>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetYCutOff(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthHighPass:SetZCutOff vtkImageButterworthHighPassSetZCutOffFunction
//input a0 a1 
//output none
ArrayVector vtkImageButterworthHighPassSetZCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZCutOff (double v); */
  if (arg.size() < 2) 
    throw Exception("Function SetZCutOff for class vtkImageButterworthHighPass requires 2 argument(s)");
  vtkImageButterworthHighPass* vtk_pointer = GetVTKPointer<vtkImageButterworthHighPass>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetZCutOff(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthHighPass:GetCutOff vtkImageButterworthHighPassGetCutOffFunction
//input a0 
//output y
ArrayVector vtkImageButterworthHighPassGetCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCutOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCutOff for class vtkImageButterworthHighPass requires 1 argument(s)");
  vtkImageButterworthHighPass* vtk_pointer = GetVTKPointer<vtkImageButterworthHighPass>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCutOff();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthHighPass:GetXCutOff vtkImageButterworthHighPassGetXCutOffFunction
//input a0 
//output y
ArrayVector vtkImageButterworthHighPassGetXCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetXCutOff ();return this CutOff  */
  if (arg.size() < 1) 
    throw Exception("Function GetXCutOff for class vtkImageButterworthHighPass requires 1 argument(s)");
  vtkImageButterworthHighPass* vtk_pointer = GetVTKPointer<vtkImageButterworthHighPass>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetXCutOff();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthHighPass:GetYCutOff vtkImageButterworthHighPassGetYCutOffFunction
//input a0 
//output y
ArrayVector vtkImageButterworthHighPassGetYCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetYCutOff ();return this CutOff  */
  if (arg.size() < 1) 
    throw Exception("Function GetYCutOff for class vtkImageButterworthHighPass requires 1 argument(s)");
  vtkImageButterworthHighPass* vtk_pointer = GetVTKPointer<vtkImageButterworthHighPass>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetYCutOff();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthHighPass:GetZCutOff vtkImageButterworthHighPassGetZCutOffFunction
//input a0 
//output y
ArrayVector vtkImageButterworthHighPassGetZCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetZCutOff ();return this CutOff  */
  if (arg.size() < 1) 
    throw Exception("Function GetZCutOff for class vtkImageButterworthHighPass requires 1 argument(s)");
  vtkImageButterworthHighPass* vtk_pointer = GetVTKPointer<vtkImageButterworthHighPass>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetZCutOff();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthHighPass:SetOrder vtkImageButterworthHighPassSetOrderFunction
//input a0 a1 
//output none
ArrayVector vtkImageButterworthHighPassSetOrderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrder (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrder for class vtkImageButterworthHighPass requires 2 argument(s)");
  vtkImageButterworthHighPass* vtk_pointer = GetVTKPointer<vtkImageButterworthHighPass>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOrder(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthHighPass:GetOrder vtkImageButterworthHighPassGetOrderFunction
//input a0 
//output y
ArrayVector vtkImageButterworthHighPassGetOrderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOrder (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrder for class vtkImageButterworthHighPass requires 1 argument(s)");
  vtkImageButterworthHighPass* vtk_pointer = GetVTKPointer<vtkImageButterworthHighPass>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOrder();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthHighPass:SetCutOff vtkImageButterworthHighPassSetCutOffFunction
//input varargin
//output varargout
ArrayVector vtkImageButterworthHighPassSetCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageButterworthHighPassSetCutOff__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageButterworthHighPassSetCutOff__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkImageButterworthHighPassSetCutOff__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageButterworthHighPassSetCutOff");
}

//@@Signature
//sfunction @vtkImageButterworthHighPass:display vtkImageButterworthHighPassDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageButterworthHighPassDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageButterworthHighPass* vtk_pointer = GetVTKPointer<vtkImageButterworthHighPass>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageButterworthHighPass:delete vtkImageButterworthHighPassDeleteFunction
//input varargin
//output none
ArrayVector vtkImageButterworthHighPassDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageButterworthHighPass
//@@Section VTKImaging
//@@Usage
// This filter only works on an image after it has been converted to
// frequency domain by a vtkImageFFT filter.  A vtkImageRFFT filter
// can be used to convert the output back into the spatial domain.
// vtkImageButterworthHighPass  the frequency components around 0 are
// attenuated.  Input and output are in doubles, with two components
// (complex numbers).
// out(i, j) = 1 / (1 + pow(CutOff/Freq(i,j), 2*Order));
//
//To create an instance of class vtkImageButterworthHighPass, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageButterworthHighPass
//@]
//@@Methods
//The class vtkImageButterworthHighPass has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageButterworthHighPass class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageButterworthHighPass = obj.NewInstance ()|
// \item @|vtkImageButterworthHighPass = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCutOff (double , double , double )| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|obj.SetCutOff (double  a[3])| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|obj.SetCutOff (double v)| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|obj.SetXCutOff (double v)| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|obj.SetYCutOff (double v)| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|obj.SetZCutOff (double v)| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|double = obj. GetCutOff ()| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|double = obj.GetXCutOff ()| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|double = obj.GetYCutOff ()| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|double = obj.GetZCutOff ()| -  The order determines sharpness of the cutoff curve.
//// \item @|obj.SetOrder (int )| -  The order determines sharpness of the cutoff curve.
//// \item @|int = obj.GetOrder ()| -  The order determines sharpness of the cutoff curve.
////\end{itemize}
//!
