#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageButterworthLowPass object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageButterworthLowPass.h"

//@@Signature
//sfunction @vtkImageButterworthLowPass:vtkImageButterworthLowPass vtkImageButterworthLowPassConstructorFunction
//input a
//output p
//@@Parents vtkImageButterworthLowPass vtkThreadedImageAlgorithm 
ArrayVector vtkImageButterworthLowPassConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageButterworthLowPass::New(),"vtkImageButterworthLowPass",eval);
  } else if (arg[0].className() == "vtkImageButterworthLowPass") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageButterworthLowPass"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageButterworthLowPass");
    vtkImageButterworthLowPass*q = reinterpret_cast<vtkImageButterworthLowPass*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageButterworthLowPass");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageButterworthLowPass:GetClassName vtkImageButterworthLowPassGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageButterworthLowPassGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageButterworthLowPass requires 1 argument(s)");
  vtkImageButterworthLowPass* vtk_pointer = GetVTKPointer<vtkImageButterworthLowPass>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthLowPass:IsA vtkImageButterworthLowPassIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageButterworthLowPassIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageButterworthLowPass requires 2 argument(s)");
  vtkImageButterworthLowPass* vtk_pointer = GetVTKPointer<vtkImageButterworthLowPass>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthLowPass:NewInstance vtkImageButterworthLowPassNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageButterworthLowPassNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageButterworthLowPass *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageButterworthLowPass requires 1 argument(s)");
  vtkImageButterworthLowPass* vtk_pointer = GetVTKPointer<vtkImageButterworthLowPass>(arg[0]);
  Array retval;
  vtkImageButterworthLowPass  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageButterworthLowPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthLowPass:SafeDownCast vtkImageButterworthLowPassSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageButterworthLowPassSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageButterworthLowPass *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageButterworthLowPass requires 2 argument(s)");
  vtkImageButterworthLowPass* vtk_pointer = GetVTKPointer<vtkImageButterworthLowPass>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageButterworthLowPass  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageButterworthLowPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthLowPass:SetCutOff__1 vtkImageButterworthLowPassSetCutOff__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageButterworthLowPassSetCutOff__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCutOff (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetCutOff__1 for class vtkImageButterworthLowPass requires 4 argument(s)");
  vtkImageButterworthLowPass* vtk_pointer = GetVTKPointer<vtkImageButterworthLowPass>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCutOff(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthLowPass:SetCutOff__2 vtkImageButterworthLowPassSetCutOff__2Function
//input a0 a1 
//output none
ArrayVector vtkImageButterworthLowPassSetCutOff__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCutOff (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCutOff__2 for class vtkImageButterworthLowPass requires 2 argument(s)");
  vtkImageButterworthLowPass* vtk_pointer = GetVTKPointer<vtkImageButterworthLowPass>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCutOff(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthLowPass:SetCutOff__3 vtkImageButterworthLowPassSetCutOff__3Function
//input a0 a1 
//output none
ArrayVector vtkImageButterworthLowPassSetCutOff__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCutOff (double v);this SetCutOff v v v  */
  if (arg.size() < 2) 
    throw Exception("Function SetCutOff__3 for class vtkImageButterworthLowPass requires 2 argument(s)");
  vtkImageButterworthLowPass* vtk_pointer = GetVTKPointer<vtkImageButterworthLowPass>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCutOff(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthLowPass:SetXCutOff vtkImageButterworthLowPassSetXCutOffFunction
//input a0 a1 
//output none
ArrayVector vtkImageButterworthLowPassSetXCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXCutOff (double v); */
  if (arg.size() < 2) 
    throw Exception("Function SetXCutOff for class vtkImageButterworthLowPass requires 2 argument(s)");
  vtkImageButterworthLowPass* vtk_pointer = GetVTKPointer<vtkImageButterworthLowPass>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetXCutOff(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthLowPass:SetYCutOff vtkImageButterworthLowPassSetYCutOffFunction
//input a0 a1 
//output none
ArrayVector vtkImageButterworthLowPassSetYCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYCutOff (double v); */
  if (arg.size() < 2) 
    throw Exception("Function SetYCutOff for class vtkImageButterworthLowPass requires 2 argument(s)");
  vtkImageButterworthLowPass* vtk_pointer = GetVTKPointer<vtkImageButterworthLowPass>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetYCutOff(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthLowPass:SetZCutOff vtkImageButterworthLowPassSetZCutOffFunction
//input a0 a1 
//output none
ArrayVector vtkImageButterworthLowPassSetZCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZCutOff (double v); */
  if (arg.size() < 2) 
    throw Exception("Function SetZCutOff for class vtkImageButterworthLowPass requires 2 argument(s)");
  vtkImageButterworthLowPass* vtk_pointer = GetVTKPointer<vtkImageButterworthLowPass>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetZCutOff(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthLowPass:GetCutOff vtkImageButterworthLowPassGetCutOffFunction
//input a0 
//output y
ArrayVector vtkImageButterworthLowPassGetCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCutOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCutOff for class vtkImageButterworthLowPass requires 1 argument(s)");
  vtkImageButterworthLowPass* vtk_pointer = GetVTKPointer<vtkImageButterworthLowPass>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCutOff();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthLowPass:GetXCutOff vtkImageButterworthLowPassGetXCutOffFunction
//input a0 
//output y
ArrayVector vtkImageButterworthLowPassGetXCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetXCutOff ();return this CutOff  */
  if (arg.size() < 1) 
    throw Exception("Function GetXCutOff for class vtkImageButterworthLowPass requires 1 argument(s)");
  vtkImageButterworthLowPass* vtk_pointer = GetVTKPointer<vtkImageButterworthLowPass>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetXCutOff();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthLowPass:GetYCutOff vtkImageButterworthLowPassGetYCutOffFunction
//input a0 
//output y
ArrayVector vtkImageButterworthLowPassGetYCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetYCutOff ();return this CutOff  */
  if (arg.size() < 1) 
    throw Exception("Function GetYCutOff for class vtkImageButterworthLowPass requires 1 argument(s)");
  vtkImageButterworthLowPass* vtk_pointer = GetVTKPointer<vtkImageButterworthLowPass>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetYCutOff();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthLowPass:GetZCutOff vtkImageButterworthLowPassGetZCutOffFunction
//input a0 
//output y
ArrayVector vtkImageButterworthLowPassGetZCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetZCutOff ();return this CutOff  */
  if (arg.size() < 1) 
    throw Exception("Function GetZCutOff for class vtkImageButterworthLowPass requires 1 argument(s)");
  vtkImageButterworthLowPass* vtk_pointer = GetVTKPointer<vtkImageButterworthLowPass>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetZCutOff();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthLowPass:SetOrder vtkImageButterworthLowPassSetOrderFunction
//input a0 a1 
//output none
ArrayVector vtkImageButterworthLowPassSetOrderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrder (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrder for class vtkImageButterworthLowPass requires 2 argument(s)");
  vtkImageButterworthLowPass* vtk_pointer = GetVTKPointer<vtkImageButterworthLowPass>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOrder(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthLowPass:GetOrder vtkImageButterworthLowPassGetOrderFunction
//input a0 
//output y
ArrayVector vtkImageButterworthLowPassGetOrderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOrder (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrder for class vtkImageButterworthLowPass requires 1 argument(s)");
  vtkImageButterworthLowPass* vtk_pointer = GetVTKPointer<vtkImageButterworthLowPass>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOrder();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageButterworthLowPass:SetCutOff vtkImageButterworthLowPassSetCutOffFunction
//input varargin
//output varargout
ArrayVector vtkImageButterworthLowPassSetCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageButterworthLowPassSetCutOff__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageButterworthLowPassSetCutOff__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkImageButterworthLowPassSetCutOff__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageButterworthLowPassSetCutOff");
}

//@@Signature
//sfunction @vtkImageButterworthLowPass:display vtkImageButterworthLowPassDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageButterworthLowPassDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageButterworthLowPass* vtk_pointer = GetVTKPointer<vtkImageButterworthLowPass>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageButterworthLowPass:delete vtkImageButterworthLowPassDeleteFunction
//input varargin
//output none
ArrayVector vtkImageButterworthLowPassDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageButterworthLowPass
//@@Section VTKImaging
//@@Usage
// This filter only works on an image after it has been converted to
// frequency domain by a vtkImageFFT filter.  A vtkImageRFFT filter
// can be used to convert the output back into the spatial domain.
// vtkImageButterworthLowPass  the high frequency components are
// attenuated.  Input and output are in doubles, with two components
// (complex numbers).
// out(i, j) = (1 + pow(CutOff/Freq(i,j), 2*Order));
//
//To create an instance of class vtkImageButterworthLowPass, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageButterworthLowPass
//@]
//@@Methods
//The class vtkImageButterworthLowPass has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageButterworthLowPass class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageButterworthLowPass = obj.NewInstance ()|
// \item @|vtkImageButterworthLowPass = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCutOff (double , double , double )| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|obj.SetCutOff (double  a[3])| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|obj.SetCutOff (double v)| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|obj.SetXCutOff (double v)| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|obj.SetYCutOff (double v)| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|obj.SetZCutOff (double v)| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|double = obj. GetCutOff ()| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|double = obj.GetXCutOff ()| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|double = obj.GetYCutOff ()| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|double = obj.GetZCutOff ()| -  The order determines sharpness of the cutoff curve.
//// \item @|obj.SetOrder (int )| -  The order determines sharpness of the cutoff curve.
//// \item @|int = obj.GetOrder ()| -  The order determines sharpness of the cutoff curve.
////\end{itemize}
//!
