#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageCacheFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageCacheFilter.h"

//@@Signature
//sfunction @vtkImageCacheFilter:vtkImageCacheFilter vtkImageCacheFilterConstructorFunction
//input a
//output p
//@@Parents vtkImageCacheFilter vtkImageAlgorithm 
ArrayVector vtkImageCacheFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageCacheFilter::New(),"vtkImageCacheFilter",eval);
  } else if (arg[0].className() == "vtkImageCacheFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageCacheFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageCacheFilter");
    vtkImageCacheFilter*q = reinterpret_cast<vtkImageCacheFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageCacheFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageCacheFilter:GetClassName vtkImageCacheFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageCacheFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageCacheFilter requires 1 argument(s)");
  vtkImageCacheFilter* vtk_pointer = GetVTKPointer<vtkImageCacheFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageCacheFilter:IsA vtkImageCacheFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageCacheFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageCacheFilter requires 2 argument(s)");
  vtkImageCacheFilter* vtk_pointer = GetVTKPointer<vtkImageCacheFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageCacheFilter:NewInstance vtkImageCacheFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageCacheFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageCacheFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageCacheFilter requires 1 argument(s)");
  vtkImageCacheFilter* vtk_pointer = GetVTKPointer<vtkImageCacheFilter>(arg[0]);
  Array retval;
  vtkImageCacheFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageCacheFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageCacheFilter:SafeDownCast vtkImageCacheFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageCacheFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageCacheFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageCacheFilter requires 2 argument(s)");
  vtkImageCacheFilter* vtk_pointer = GetVTKPointer<vtkImageCacheFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageCacheFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageCacheFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageCacheFilter:SetCacheSize vtkImageCacheFilterSetCacheSizeFunction
//input a0 a1 
//output none
ArrayVector vtkImageCacheFilterSetCacheSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCacheSize (int size); */
  if (arg.size() < 2) 
    throw Exception("Function SetCacheSize for class vtkImageCacheFilter requires 2 argument(s)");
  vtkImageCacheFilter* vtk_pointer = GetVTKPointer<vtkImageCacheFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCacheSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageCacheFilter:GetCacheSize vtkImageCacheFilterGetCacheSizeFunction
//input a0 
//output y
ArrayVector vtkImageCacheFilterGetCacheSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCacheSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCacheSize for class vtkImageCacheFilter requires 1 argument(s)");
  vtkImageCacheFilter* vtk_pointer = GetVTKPointer<vtkImageCacheFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCacheSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageCacheFilter:display vtkImageCacheFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageCacheFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageCacheFilter* vtk_pointer = GetVTKPointer<vtkImageCacheFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageCacheFilter:delete vtkImageCacheFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkImageCacheFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageCacheFilter
//@@Section VTKImaging
//@@Usage
// vtkImageCacheFilter keep a number of vtkImageDataObjects from previous
// updates to satisfy future updates without needing to update the input.  It
// does not change the data at all.  It just makes the pipeline more
// efficient at the expense of using extra memory.
//
//To create an instance of class vtkImageCacheFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageCacheFilter
//@]
//@@Methods
//The class vtkImageCacheFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageCacheFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageCacheFilter = obj.NewInstance ()|
// \item @|vtkImageCacheFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCacheSize (int size)| -  This is the maximum number of images that can be retained in memory.
// it defaults to 10.
//// \item @|int = obj.GetCacheSize ()| -  This is the maximum number of images that can be retained in memory.
// it defaults to 10.
////\end{itemize}
//!
