#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageCanvasSource2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageCanvasSource2D.h"

//@@Signature
//sfunction @vtkImageCanvasSource2D:vtkImageCanvasSource2D vtkImageCanvasSource2DConstructorFunction
//input a
//output p
//@@Parents vtkImageCanvasSource2D vtkImageAlgorithm 
ArrayVector vtkImageCanvasSource2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageCanvasSource2D::New(),"vtkImageCanvasSource2D",eval);
  } else if (arg[0].className() == "vtkImageCanvasSource2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageCanvasSource2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageCanvasSource2D");
    vtkImageCanvasSource2D*q = reinterpret_cast<vtkImageCanvasSource2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageCanvasSource2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageCanvasSource2D:GetClassName vtkImageCanvasSource2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageCanvasSource2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageCanvasSource2D requires 1 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:IsA vtkImageCanvasSource2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageCanvasSource2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageCanvasSource2D requires 2 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:NewInstance vtkImageCanvasSource2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageCanvasSource2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageCanvasSource2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageCanvasSource2D requires 1 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  vtkImageCanvasSource2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageCanvasSource2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:SafeDownCast vtkImageCanvasSource2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageCanvasSource2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageCanvasSource2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageCanvasSource2D requires 2 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageCanvasSource2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageCanvasSource2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:SetDrawColor__1 vtkImageCanvasSource2DSetDrawColor__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkImageCanvasSource2DSetDrawColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDrawColor (double , double , double , double ); */
  if (arg.size() < 5) 
    throw Exception("Function SetDrawColor__1 for class vtkImageCanvasSource2D requires 5 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetDrawColor(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:SetDrawColor__2 vtkImageCanvasSource2DSetDrawColor__2Function
//input a0 a1 
//output none
ArrayVector vtkImageCanvasSource2DSetDrawColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDrawColor (double  a[4]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDrawColor__2 for class vtkImageCanvasSource2D requires 2 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  double temp0[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetDrawColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:GetDrawColor vtkImageCanvasSource2DGetDrawColorFunction
//input a0 
//output y
ArrayVector vtkImageCanvasSource2DGetDrawColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetDrawColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDrawColor for class vtkImageCanvasSource2D requires 1 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetDrawColor();
  BasicArray<double> tempResult(NTuple(4,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:SetDrawColor__3 vtkImageCanvasSource2DSetDrawColor__3Function
//input a0 a1 
//output none
ArrayVector vtkImageCanvasSource2DSetDrawColor__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDrawColor (double a);this SetDrawColor a  */
  if (arg.size() < 2) 
    throw Exception("Function SetDrawColor__3 for class vtkImageCanvasSource2D requires 2 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDrawColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:SetDrawColor__4 vtkImageCanvasSource2DSetDrawColor__4Function
//input a0 a1 a2 
//output none
ArrayVector vtkImageCanvasSource2DSetDrawColor__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDrawColor (double a, double b);this SetDrawColor a b  */
  if (arg.size() < 3) 
    throw Exception("Function SetDrawColor__4 for class vtkImageCanvasSource2D requires 3 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetDrawColor(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:SetDrawColor__5 vtkImageCanvasSource2DSetDrawColor__5Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageCanvasSource2DSetDrawColor__5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDrawColor (double a, double b, double c);this SetDrawColor a b c  */
  if (arg.size() < 4) 
    throw Exception("Function SetDrawColor__5 for class vtkImageCanvasSource2D requires 4 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetDrawColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:FillBox vtkImageCanvasSource2DFillBoxFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkImageCanvasSource2DFillBoxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FillBox (int min0, int max0, int min1, int max1); */
  if (arg.size() < 5) 
    throw Exception("Function FillBox for class vtkImageCanvasSource2D requires 5 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->FillBox(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:FillTube vtkImageCanvasSource2DFillTubeFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkImageCanvasSource2DFillTubeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FillTube (int x0, int y0, int x1, int y1, double radius); */
  if (arg.size() < 6) 
    throw Exception("Function FillTube for class vtkImageCanvasSource2D requires 6 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  double   temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  vtk_pointer->FillTube(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:FillTriangle vtkImageCanvasSource2DFillTriangleFunction
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkImageCanvasSource2DFillTriangleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FillTriangle (int x0, int y0, int x1, int y1, int x2, int y2); */
  if (arg.size() < 7) 
    throw Exception("Function FillTriangle for class vtkImageCanvasSource2D requires 7 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->FillTriangle(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:DrawCircle vtkImageCanvasSource2DDrawCircleFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageCanvasSource2DDrawCircleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DrawCircle (int c0, int c1, double radius); */
  if (arg.size() < 4) 
    throw Exception("Function DrawCircle for class vtkImageCanvasSource2D requires 4 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->DrawCircle(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:DrawPoint vtkImageCanvasSource2DDrawPointFunction
//input a0 a1 a2 
//output none
ArrayVector vtkImageCanvasSource2DDrawPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DrawPoint (int p0, int p1); */
  if (arg.size() < 3) 
    throw Exception("Function DrawPoint for class vtkImageCanvasSource2D requires 3 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->DrawPoint(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:DrawSegment vtkImageCanvasSource2DDrawSegmentFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkImageCanvasSource2DDrawSegmentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DrawSegment (int x0, int y0, int x1, int y1); */
  if (arg.size() < 5) 
    throw Exception("Function DrawSegment for class vtkImageCanvasSource2D requires 5 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->DrawSegment(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:DrawSegment3D__1 vtkImageCanvasSource2DDrawSegment3D__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkImageCanvasSource2DDrawSegment3D__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DrawSegment3D (double *p0, double *p1); */
  if (arg.size() < 3) 
    throw Exception("Function DrawSegment3D__1 for class vtkImageCanvasSource2D requires 3 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  vtk_pointer->DrawSegment3D(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:DrawSegment3D__2 vtkImageCanvasSource2DDrawSegment3D__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkImageCanvasSource2DDrawSegment3D__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DrawSegment3D (double x1, double y1, double z1, double x2, double y2, double z2);double p1 p2 p1 x1 p1 y1 p1 z1 p2 x2 p2 y2 p2 z2 this DrawSegment3D p1 p2  */
  if (arg.size() < 7) 
    throw Exception("Function DrawSegment3D__2 for class vtkImageCanvasSource2D requires 7 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->DrawSegment3D(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:DrawImage__1 vtkImageCanvasSource2DDrawImage__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageCanvasSource2DDrawImage__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DrawImage (int x0, int y0, vtkImageData *i);this DrawImage x0 y0 i  */
  if (arg.size() < 4) 
    throw Exception("Function DrawImage__1 for class vtkImageCanvasSource2D requires 4 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  vtkImageData  *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkImageData>(arg[3]);
  vtk_pointer->DrawImage(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:DrawImage__2 vtkImageCanvasSource2DDrawImage__2Function
//input a0 a1 a2 a3 a4 a5 a6 a7 
//output none
ArrayVector vtkImageCanvasSource2DDrawImage__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DrawImage (int x0, int y0, vtkImageData *, int sx, int sy, int width, int height); */
  if (arg.size() < 8) 
    throw Exception("Function DrawImage__2 for class vtkImageCanvasSource2D requires 8 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  vtkImageData  *temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  int      temp6;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkImageData>(arg[3]);
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (int) arg[7].asDouble();
  vtk_pointer->DrawImage(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:FillPixel vtkImageCanvasSource2DFillPixelFunction
//input a0 a1 a2 
//output none
ArrayVector vtkImageCanvasSource2DFillPixelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FillPixel (int x, int y); */
  if (arg.size() < 3) 
    throw Exception("Function FillPixel for class vtkImageCanvasSource2D requires 3 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->FillPixel(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:SetExtent__1 vtkImageCanvasSource2DSetExtent__1Function
//input a0 a1 
//output none
ArrayVector vtkImageCanvasSource2DSetExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtent (int *extent); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtent__1 for class vtkImageCanvasSource2D requires 2 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  int     *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  vtk_pointer->SetExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:SetExtent__2 vtkImageCanvasSource2DSetExtent__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkImageCanvasSource2DSetExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtent (int x1, int x2, int y1, int y2, int z1, int z2); */
  if (arg.size() < 7) 
    throw Exception("Function SetExtent__2 for class vtkImageCanvasSource2D requires 7 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:SetDefaultZ vtkImageCanvasSource2DSetDefaultZFunction
//input a0 a1 
//output none
ArrayVector vtkImageCanvasSource2DSetDefaultZFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDefaultZ (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDefaultZ for class vtkImageCanvasSource2D requires 2 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDefaultZ(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:GetDefaultZ vtkImageCanvasSource2DGetDefaultZFunction
//input a0 
//output y
ArrayVector vtkImageCanvasSource2DGetDefaultZFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDefaultZ (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultZ for class vtkImageCanvasSource2D requires 1 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDefaultZ();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:SetRatio__1 vtkImageCanvasSource2DSetRatio__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageCanvasSource2DSetRatio__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRatio (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetRatio__1 for class vtkImageCanvasSource2D requires 4 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetRatio(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:SetRatio__2 vtkImageCanvasSource2DSetRatio__2Function
//input a0 a1 
//output none
ArrayVector vtkImageCanvasSource2DSetRatio__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRatio (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetRatio__2 for class vtkImageCanvasSource2D requires 2 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetRatio(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:GetRatio vtkImageCanvasSource2DGetRatioFunction
//input a0 
//output y
ArrayVector vtkImageCanvasSource2DGetRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetRatio (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRatio for class vtkImageCanvasSource2D requires 1 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetRatio();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:SetNumberOfScalarComponents vtkImageCanvasSource2DSetNumberOfScalarComponentsFunction
//input a0 a1 
//output none
ArrayVector vtkImageCanvasSource2DSetNumberOfScalarComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetNumberOfScalarComponents (int i); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfScalarComponents for class vtkImageCanvasSource2D requires 2 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfScalarComponents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:GetNumberOfScalarComponents vtkImageCanvasSource2DGetNumberOfScalarComponentsFunction
//input a0 
//output y
ArrayVector vtkImageCanvasSource2DGetNumberOfScalarComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfScalarComponents () const; */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfScalarComponents for class vtkImageCanvasSource2D requires 1 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfScalarComponents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:SetScalarTypeToFloat vtkImageCanvasSource2DSetScalarTypeToFloatFunction
//input a0 
//output none
ArrayVector vtkImageCanvasSource2DSetScalarTypeToFloatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToFloat ();this SetScalarType VTK_FLOAT  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToFloat for class vtkImageCanvasSource2D requires 1 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToFloat();
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:SetScalarTypeToDouble vtkImageCanvasSource2DSetScalarTypeToDoubleFunction
//input a0 
//output none
ArrayVector vtkImageCanvasSource2DSetScalarTypeToDoubleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToDouble ();this SetScalarType VTK_DOUBLE  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToDouble for class vtkImageCanvasSource2D requires 1 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToDouble();
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:SetScalarTypeToInt vtkImageCanvasSource2DSetScalarTypeToIntFunction
//input a0 
//output none
ArrayVector vtkImageCanvasSource2DSetScalarTypeToIntFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToInt ();this SetScalarType VTK_INT  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToInt for class vtkImageCanvasSource2D requires 1 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToInt();
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:SetScalarTypeToUnsignedInt vtkImageCanvasSource2DSetScalarTypeToUnsignedIntFunction
//input a0 
//output none
ArrayVector vtkImageCanvasSource2DSetScalarTypeToUnsignedIntFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToUnsignedInt ();this SetScalarType VTK_UNSIGNED_INT  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToUnsignedInt for class vtkImageCanvasSource2D requires 1 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToUnsignedInt();
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:SetScalarTypeToLong vtkImageCanvasSource2DSetScalarTypeToLongFunction
//input a0 
//output none
ArrayVector vtkImageCanvasSource2DSetScalarTypeToLongFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToLong ();this SetScalarType VTK_LONG  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToLong for class vtkImageCanvasSource2D requires 1 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToLong();
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:SetScalarTypeToUnsignedLong vtkImageCanvasSource2DSetScalarTypeToUnsignedLongFunction
//input a0 
//output none
ArrayVector vtkImageCanvasSource2DSetScalarTypeToUnsignedLongFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToUnsignedLong ();this SetScalarType VTK_UNSIGNED_LONG  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToUnsignedLong for class vtkImageCanvasSource2D requires 1 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToUnsignedLong();
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:SetScalarTypeToShort vtkImageCanvasSource2DSetScalarTypeToShortFunction
//input a0 
//output none
ArrayVector vtkImageCanvasSource2DSetScalarTypeToShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToShort ();this SetScalarType VTK_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToShort for class vtkImageCanvasSource2D requires 1 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToShort();
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:SetScalarTypeToUnsignedShort vtkImageCanvasSource2DSetScalarTypeToUnsignedShortFunction
//input a0 
//output none
ArrayVector vtkImageCanvasSource2DSetScalarTypeToUnsignedShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToUnsignedShort ();this SetScalarType VTK_UNSIGNED_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToUnsignedShort for class vtkImageCanvasSource2D requires 1 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToUnsignedShort();
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:SetScalarTypeToUnsignedChar vtkImageCanvasSource2DSetScalarTypeToUnsignedCharFunction
//input a0 
//output none
ArrayVector vtkImageCanvasSource2DSetScalarTypeToUnsignedCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToUnsignedChar ();this SetScalarType VTK_UNSIGNED_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToUnsignedChar for class vtkImageCanvasSource2D requires 1 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToUnsignedChar();
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:SetScalarTypeToChar vtkImageCanvasSource2DSetScalarTypeToCharFunction
//input a0 
//output none
ArrayVector vtkImageCanvasSource2DSetScalarTypeToCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToChar ();this SetScalarType VTK_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToChar for class vtkImageCanvasSource2D requires 1 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToChar();
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:SetScalarType vtkImageCanvasSource2DSetScalarTypeFunction
//input a0 a1 
//output none
ArrayVector vtkImageCanvasSource2DSetScalarTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarType for class vtkImageCanvasSource2D requires 2 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScalarType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:GetScalarType vtkImageCanvasSource2DGetScalarTypeFunction
//input a0 
//output y
ArrayVector vtkImageCanvasSource2DGetScalarTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarType () const; */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarType for class vtkImageCanvasSource2D requires 1 argument(s)");
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScalarType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:SetDrawColor vtkImageCanvasSource2DSetDrawColorFunction
//input varargin
//output varargout
ArrayVector vtkImageCanvasSource2DSetDrawColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkImageCanvasSource2DSetDrawColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageCanvasSource2DSetDrawColor__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkImageCanvasSource2DSetDrawColor__3Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkImageCanvasSource2DSetDrawColor__4Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageCanvasSource2DSetDrawColor__5Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageCanvasSource2DSetDrawColor");
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:DrawSegment3D vtkImageCanvasSource2DDrawSegment3DFunction
//input varargin
//output varargout
ArrayVector vtkImageCanvasSource2DDrawSegment3DFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkImageCanvasSource2DDrawSegment3D__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkImageCanvasSource2DDrawSegment3D__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageCanvasSource2DDrawSegment3D");
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:DrawImage vtkImageCanvasSource2DDrawImageFunction
//input varargin
//output varargout
ArrayVector vtkImageCanvasSource2DDrawImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsClass(arg[3],"vtkImageData"))
    return vtkImageCanvasSource2DDrawImage__1Function(nargout,arg,eval);
  if ((arg.size() == 8) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsClass(arg[3],"vtkImageData") && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]) && VTKIsScalarArg(arg[7]))
    return vtkImageCanvasSource2DDrawImage__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageCanvasSource2DDrawImage");
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:SetExtent vtkImageCanvasSource2DSetExtentFunction
//input varargin
//output varargout
ArrayVector vtkImageCanvasSource2DSetExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageCanvasSource2DSetExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkImageCanvasSource2DSetExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageCanvasSource2DSetExtent");
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:SetRatio vtkImageCanvasSource2DSetRatioFunction
//input varargin
//output varargout
ArrayVector vtkImageCanvasSource2DSetRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageCanvasSource2DSetRatio__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageCanvasSource2DSetRatio__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageCanvasSource2DSetRatio");
}

//@@Signature
//sfunction @vtkImageCanvasSource2D:display vtkImageCanvasSource2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageCanvasSource2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageCanvasSource2D* vtk_pointer = GetVTKPointer<vtkImageCanvasSource2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageCanvasSource2D:delete vtkImageCanvasSource2DDeleteFunction
//input varargin
//output none
ArrayVector vtkImageCanvasSource2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageCanvasSource2D
//@@Section VTKImaging
//@@Usage
// vtkImageCanvasSource2D is a source that starts as a blank image.
// you may add to the image with two-dimensional drawing routines.
// It can paint multi-spectral images.
//
//To create an instance of class vtkImageCanvasSource2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageCanvasSource2D
//@]
//@@Methods
//The class vtkImageCanvasSource2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageCanvasSource2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageCanvasSource2D = obj.NewInstance ()|
// \item @|vtkImageCanvasSource2D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetDrawColor (double , double , double , double )| -  Set/Get DrawColor.  This is the value that is used when filling data
// or drawing lines. Default is (0,0,0,0)
//// \item @|obj.SetDrawColor (double  a[4])| -  Set/Get DrawColor.  This is the value that is used when filling data
// or drawing lines. Default is (0,0,0,0)
//// \item @|double = obj. GetDrawColor ()| -  Set/Get DrawColor.  This is the value that is used when filling data
// or drawing lines. Default is (0,0,0,0)
//// \item @|obj.SetDrawColor (double a)| -  Set DrawColor to (a, b, 0, 0)
//// \item @|obj.SetDrawColor (double a, double b)| -  Set DrawColor to (a, b, c, 0)
//// \item @|obj.SetDrawColor (double a, double b, double c)| -  Set the pixels inside the box (min0, max0, min1, max1) to the current
// DrawColor
//// \item @|obj.FillBox (int min0, int max0, int min1, int max1)| -  Set the pixels inside the box (min0, max0, min1, max1) to the current
// DrawColor
//// \item @|obj.FillTube (int x0, int y0, int x1, int y1, double radius)| -  Set the pixels inside the box (min0, max0, min1, max1) to the current
// DrawColor
//// \item @|obj.FillTriangle (int x0, int y0, int x1, int y1, int x2, int y2)| -  Set the pixels inside the box (min0, max0, min1, max1) to the current
// DrawColor
//// \item @|obj.DrawCircle (int c0, int c1, double radius)| -  Set the pixels inside the box (min0, max0, min1, max1) to the current
// DrawColor
//// \item @|obj.DrawPoint (int p0, int p1)| -  Set the pixels inside the box (min0, max0, min1, max1) to the current
// DrawColor
//// \item @|obj.DrawSegment (int x0, int y0, int x1, int y1)| -  Set the pixels inside the box (min0, max0, min1, max1) to the current
// DrawColor
//// \item @|obj.DrawSegment3D (double p0, double p1)| -  Set the pixels inside the box (min0, max0, min1, max1) to the current
// DrawColor
//// \item @|obj.DrawSegment3D (double x1, double y1, double z1, double x2, double y2, double z2)| -  Draw subimage of the input image in the canvas at position x0 and
// y0. The subimage is defined with sx, sy, width, and height.
//// \item @|obj.DrawImage (int x0, int y0, vtkImageData i)| -  Draw subimage of the input image in the canvas at position x0 and
// y0. The subimage is defined with sx, sy, width, and height.
//// \item @|obj.DrawImage (int x0, int y0, vtkImageData , int sx, int sy, int width, int height)| -  Draw subimage of the input image in the canvas at position x0 and
// y0. The subimage is defined with sx, sy, width, and height.
//// \item @|obj.FillPixel (int x, int y)| -  Fill a colored area with another color. (like connectivity)
// All pixels connected (and with the same value) to pixel (x, y)
// get replaced by the current "DrawColor".
//// \item @|obj.SetExtent (int extent)| -  These methods set the WholeExtent of the output
// It sets the size of the canvas.
// Extent is a min max 3D box.  Minimums and maximums are inclusive.
//// \item @|obj.SetExtent (int x1, int x2, int y1, int y2, int z1, int z2)| -  These methods set the WholeExtent of the output
// It sets the size of the canvas.
// Extent is a min max 3D box.  Minimums and maximums are inclusive.
//// \item @|obj.SetDefaultZ (int )| -  The drawing operations can only draw into one 2D XY plane at a time.
// If the canvas is a 3D volume, then this z value is used
// as the default for 2D operations. The default is 0.
//// \item @|int = obj.GetDefaultZ ()| -  The drawing operations can only draw into one 2D XY plane at a time.
// If the canvas is a 3D volume, then this z value is used
// as the default for 2D operations. The default is 0.
//// \item @|obj.SetRatio (double , double , double )| -  Set/Get Ratio. This is the value that is used to pre-multiply each
// (x, y, z) drawing coordinates (including DefaultZ). The default
// is (1, 1, 1)
//// \item @|obj.SetRatio (double  a[3])| -  Set/Get Ratio. This is the value that is used to pre-multiply each
// (x, y, z) drawing coordinates (including DefaultZ). The default
// is (1, 1, 1)
//// \item @|double = obj. GetRatio ()| -  Set/Get Ratio. This is the value that is used to pre-multiply each
// (x, y, z) drawing coordinates (including DefaultZ). The default
// is (1, 1, 1)
//// \item @|obj.SetNumberOfScalarComponents (int i)| -  Set the number of scalar components
//// \item @|int = obj.GetNumberOfScalarComponents () const| -  Set the number of scalar components
//// \item @|obj.SetScalarTypeToFloat ()| -  Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods
// are setting and getting the pipeline scalar type. i.e. they are setting
// the type that the image data will be once it has executed. Until the
// REQUEST_DATA pass the actual scalars may be of some other type. This is
// for backwards compatibility
//// \item @|obj.SetScalarTypeToDouble ()| -  Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods
// are setting and getting the pipeline scalar type. i.e. they are setting
// the type that the image data will be once it has executed. Until the
// REQUEST_DATA pass the actual scalars may be of some other type. This is
// for backwards compatibility
//// \item @|obj.SetScalarTypeToInt ()| -  Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods
// are setting and getting the pipeline scalar type. i.e. they are setting
// the type that the image data will be once it has executed. Until the
// REQUEST_DATA pass the actual scalars may be of some other type. This is
// for backwards compatibility
//// \item @|obj.SetScalarTypeToUnsignedInt ()| -  Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods
// are setting and getting the pipeline scalar type. i.e. they are setting
// the type that the image data will be once it has executed. Until the
// REQUEST_DATA pass the actual scalars may be of some other type. This is
// for backwards compatibility
//// \item @|obj.SetScalarTypeToLong ()| -  Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods
// are setting and getting the pipeline scalar type. i.e. they are setting
// the type that the image data will be once it has executed. Until the
// REQUEST_DATA pass the actual scalars may be of some other type. This is
// for backwards compatibility
//// \item @|obj.SetScalarTypeToUnsignedLong ()| -  Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods
// are setting and getting the pipeline scalar type. i.e. they are setting
// the type that the image data will be once it has executed. Until the
// REQUEST_DATA pass the actual scalars may be of some other type. This is
// for backwards compatibility
//// \item @|obj.SetScalarTypeToShort ()| -  Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods
// are setting and getting the pipeline scalar type. i.e. they are setting
// the type that the image data will be once it has executed. Until the
// REQUEST_DATA pass the actual scalars may be of some other type. This is
// for backwards compatibility
//// \item @|obj.SetScalarTypeToUnsignedShort ()| -  Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods
// are setting and getting the pipeline scalar type. i.e. they are setting
// the type that the image data will be once it has executed. Until the
// REQUEST_DATA pass the actual scalars may be of some other type. This is
// for backwards compatibility
//// \item @|obj.SetScalarTypeToUnsignedChar ()| -  Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods
// are setting and getting the pipeline scalar type. i.e. they are setting
// the type that the image data will be once it has executed. Until the
// REQUEST_DATA pass the actual scalars may be of some other type. This is
// for backwards compatibility
//// \item @|obj.SetScalarTypeToChar ()| -  Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods
// are setting and getting the pipeline scalar type. i.e. they are setting
// the type that the image data will be once it has executed. Until the
// REQUEST_DATA pass the actual scalars may be of some other type. This is
// for backwards compatibility
//// \item @|obj.SetScalarType (int )| -  Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods
// are setting and getting the pipeline scalar type. i.e. they are setting
// the type that the image data will be once it has executed. Until the
// REQUEST_DATA pass the actual scalars may be of some other type. This is
// for backwards compatibility
//// \item @|int = obj.GetScalarType () const| -  Set/Get the data scalar type (i.e VTK_DOUBLE). Note that these methods
// are setting and getting the pipeline scalar type. i.e. they are setting
// the type that the image data will be once it has executed. Until the
// REQUEST_DATA pass the actual scalars may be of some other type. This is
// for backwards compatibility
////\end{itemize}
//!
