#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageCast object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageCast.h"

//@@Signature
//sfunction @vtkImageCast:vtkImageCast vtkImageCastConstructorFunction
//input a
//output p
//@@Parents vtkImageCast vtkThreadedImageAlgorithm 
ArrayVector vtkImageCastConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageCast::New(),"vtkImageCast",eval);
  } else if (arg[0].className() == "vtkImageCast") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageCast"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageCast");
    vtkImageCast*q = reinterpret_cast<vtkImageCast*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageCast");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageCast:GetClassName vtkImageCastGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageCastGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageCast requires 1 argument(s)");
  vtkImageCast* vtk_pointer = GetVTKPointer<vtkImageCast>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageCast:IsA vtkImageCastIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageCastIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageCast requires 2 argument(s)");
  vtkImageCast* vtk_pointer = GetVTKPointer<vtkImageCast>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageCast:NewInstance vtkImageCastNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageCastNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageCast *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageCast requires 1 argument(s)");
  vtkImageCast* vtk_pointer = GetVTKPointer<vtkImageCast>(arg[0]);
  Array retval;
  vtkImageCast  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageCast",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageCast:SafeDownCast vtkImageCastSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageCastSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageCast *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageCast requires 2 argument(s)");
  vtkImageCast* vtk_pointer = GetVTKPointer<vtkImageCast>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageCast  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageCast",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageCast:SetOutputScalarType vtkImageCastSetOutputScalarTypeFunction
//input a0 a1 
//output none
ArrayVector vtkImageCastSetOutputScalarTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputScalarType for class vtkImageCast requires 2 argument(s)");
  vtkImageCast* vtk_pointer = GetVTKPointer<vtkImageCast>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutputScalarType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageCast:GetOutputScalarType vtkImageCastGetOutputScalarTypeFunction
//input a0 
//output y
ArrayVector vtkImageCastGetOutputScalarTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputScalarType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputScalarType for class vtkImageCast requires 1 argument(s)");
  vtkImageCast* vtk_pointer = GetVTKPointer<vtkImageCast>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutputScalarType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageCast:SetOutputScalarTypeToFloat vtkImageCastSetOutputScalarTypeToFloatFunction
//input a0 
//output none
ArrayVector vtkImageCastSetOutputScalarTypeToFloatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToFloat ();this SetOutputScalarType VTK_FLOAT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToFloat for class vtkImageCast requires 1 argument(s)");
  vtkImageCast* vtk_pointer = GetVTKPointer<vtkImageCast>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToFloat();
  return retval;
}

//@@Signature
//sfunction @vtkImageCast:SetOutputScalarTypeToDouble vtkImageCastSetOutputScalarTypeToDoubleFunction
//input a0 
//output none
ArrayVector vtkImageCastSetOutputScalarTypeToDoubleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToDouble ();this SetOutputScalarType VTK_DOUBLE  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToDouble for class vtkImageCast requires 1 argument(s)");
  vtkImageCast* vtk_pointer = GetVTKPointer<vtkImageCast>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToDouble();
  return retval;
}

//@@Signature
//sfunction @vtkImageCast:SetOutputScalarTypeToInt vtkImageCastSetOutputScalarTypeToIntFunction
//input a0 
//output none
ArrayVector vtkImageCastSetOutputScalarTypeToIntFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToInt ();this SetOutputScalarType VTK_INT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToInt for class vtkImageCast requires 1 argument(s)");
  vtkImageCast* vtk_pointer = GetVTKPointer<vtkImageCast>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToInt();
  return retval;
}

//@@Signature
//sfunction @vtkImageCast:SetOutputScalarTypeToUnsignedInt vtkImageCastSetOutputScalarTypeToUnsignedIntFunction
//input a0 
//output none
ArrayVector vtkImageCastSetOutputScalarTypeToUnsignedIntFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToUnsignedInt ();this SetOutputScalarType VTK_UNSIGNED_INT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToUnsignedInt for class vtkImageCast requires 1 argument(s)");
  vtkImageCast* vtk_pointer = GetVTKPointer<vtkImageCast>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToUnsignedInt();
  return retval;
}

//@@Signature
//sfunction @vtkImageCast:SetOutputScalarTypeToLong vtkImageCastSetOutputScalarTypeToLongFunction
//input a0 
//output none
ArrayVector vtkImageCastSetOutputScalarTypeToLongFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToLong ();this SetOutputScalarType VTK_LONG  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToLong for class vtkImageCast requires 1 argument(s)");
  vtkImageCast* vtk_pointer = GetVTKPointer<vtkImageCast>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToLong();
  return retval;
}

//@@Signature
//sfunction @vtkImageCast:SetOutputScalarTypeToUnsignedLong vtkImageCastSetOutputScalarTypeToUnsignedLongFunction
//input a0 
//output none
ArrayVector vtkImageCastSetOutputScalarTypeToUnsignedLongFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToUnsignedLong ();this SetOutputScalarType VTK_UNSIGNED_LONG  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToUnsignedLong for class vtkImageCast requires 1 argument(s)");
  vtkImageCast* vtk_pointer = GetVTKPointer<vtkImageCast>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToUnsignedLong();
  return retval;
}

//@@Signature
//sfunction @vtkImageCast:SetOutputScalarTypeToShort vtkImageCastSetOutputScalarTypeToShortFunction
//input a0 
//output none
ArrayVector vtkImageCastSetOutputScalarTypeToShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToShort ();this SetOutputScalarType VTK_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToShort for class vtkImageCast requires 1 argument(s)");
  vtkImageCast* vtk_pointer = GetVTKPointer<vtkImageCast>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToShort();
  return retval;
}

//@@Signature
//sfunction @vtkImageCast:SetOutputScalarTypeToUnsignedShort vtkImageCastSetOutputScalarTypeToUnsignedShortFunction
//input a0 
//output none
ArrayVector vtkImageCastSetOutputScalarTypeToUnsignedShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToUnsignedShort ();this SetOutputScalarType VTK_UNSIGNED_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToUnsignedShort for class vtkImageCast requires 1 argument(s)");
  vtkImageCast* vtk_pointer = GetVTKPointer<vtkImageCast>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToUnsignedShort();
  return retval;
}

//@@Signature
//sfunction @vtkImageCast:SetOutputScalarTypeToUnsignedChar vtkImageCastSetOutputScalarTypeToUnsignedCharFunction
//input a0 
//output none
ArrayVector vtkImageCastSetOutputScalarTypeToUnsignedCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToUnsignedChar ();this SetOutputScalarType VTK_UNSIGNED_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToUnsignedChar for class vtkImageCast requires 1 argument(s)");
  vtkImageCast* vtk_pointer = GetVTKPointer<vtkImageCast>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToUnsignedChar();
  return retval;
}

//@@Signature
//sfunction @vtkImageCast:SetOutputScalarTypeToChar vtkImageCastSetOutputScalarTypeToCharFunction
//input a0 
//output none
ArrayVector vtkImageCastSetOutputScalarTypeToCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToChar ();this SetOutputScalarType VTK_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToChar for class vtkImageCast requires 1 argument(s)");
  vtkImageCast* vtk_pointer = GetVTKPointer<vtkImageCast>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToChar();
  return retval;
}

//@@Signature
//sfunction @vtkImageCast:SetClampOverflow vtkImageCastSetClampOverflowFunction
//input a0 a1 
//output none
ArrayVector vtkImageCastSetClampOverflowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClampOverflow (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetClampOverflow for class vtkImageCast requires 2 argument(s)");
  vtkImageCast* vtk_pointer = GetVTKPointer<vtkImageCast>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetClampOverflow(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageCast:GetClampOverflow vtkImageCastGetClampOverflowFunction
//input a0 
//output y
ArrayVector vtkImageCastGetClampOverflowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetClampOverflow (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClampOverflow for class vtkImageCast requires 1 argument(s)");
  vtkImageCast* vtk_pointer = GetVTKPointer<vtkImageCast>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetClampOverflow();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageCast:ClampOverflowOn vtkImageCastClampOverflowOnFunction
//input a0 
//output none
ArrayVector vtkImageCastClampOverflowOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClampOverflowOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ClampOverflowOn for class vtkImageCast requires 1 argument(s)");
  vtkImageCast* vtk_pointer = GetVTKPointer<vtkImageCast>(arg[0]);
  Array retval;
  vtk_pointer->ClampOverflowOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageCast:ClampOverflowOff vtkImageCastClampOverflowOffFunction
//input a0 
//output none
ArrayVector vtkImageCastClampOverflowOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClampOverflowOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ClampOverflowOff for class vtkImageCast requires 1 argument(s)");
  vtkImageCast* vtk_pointer = GetVTKPointer<vtkImageCast>(arg[0]);
  Array retval;
  vtk_pointer->ClampOverflowOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageCast:display vtkImageCastDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageCastDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageCast* vtk_pointer = GetVTKPointer<vtkImageCast>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageCast:delete vtkImageCastDeleteFunction
//input varargin
//output none
ArrayVector vtkImageCastDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageCast
//@@Section VTKImaging
//@@Usage
// vtkImageCast filter casts the input type to match the output type in
// the image processing pipeline.  The filter does nothing if the input
// already has the correct type.  To specify the "CastTo" type,
// use "SetOutputScalarType" method.
//
//To create an instance of class vtkImageCast, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageCast
//@]
//@@Methods
//The class vtkImageCast has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageCast class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageCast = obj.NewInstance ()|
// \item @|vtkImageCast = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetOutputScalarType (int )| -  Set the desired output scalar type to cast to.
//// \item @|int = obj.GetOutputScalarType ()| -  Set the desired output scalar type to cast to.
//// \item @|obj.SetOutputScalarTypeToFloat ()| -  Set the desired output scalar type to cast to.
//// \item @|obj.SetOutputScalarTypeToDouble ()| -  Set the desired output scalar type to cast to.
//// \item @|obj.SetOutputScalarTypeToInt ()| -  Set the desired output scalar type to cast to.
//// \item @|obj.SetOutputScalarTypeToUnsignedInt ()| -  Set the desired output scalar type to cast to.
//// \item @|obj.SetOutputScalarTypeToLong ()| -  Set the desired output scalar type to cast to.
//// \item @|obj.SetOutputScalarTypeToUnsignedLong ()| -  Set the desired output scalar type to cast to.
//// \item @|obj.SetOutputScalarTypeToShort ()| -  Set the desired output scalar type to cast to.
//// \item @|obj.SetOutputScalarTypeToUnsignedShort ()| -  Set the desired output scalar type to cast to.
//// \item @|obj.SetOutputScalarTypeToUnsignedChar ()| -  Set the desired output scalar type to cast to.
//// \item @|obj.SetOutputScalarTypeToChar ()| -  Set the desired output scalar type to cast to.
//// \item @|obj.SetClampOverflow (int )| -  When the ClampOverflow flag is on, the data is thresholded so that
// the output value does not exceed the max or min of the data type.
// By default ClampOverflow is off.
//// \item @|int = obj.GetClampOverflow ()| -  When the ClampOverflow flag is on, the data is thresholded so that
// the output value does not exceed the max or min of the data type.
// By default ClampOverflow is off.
//// \item @|obj.ClampOverflowOn ()| -  When the ClampOverflow flag is on, the data is thresholded so that
// the output value does not exceed the max or min of the data type.
// By default ClampOverflow is off.
//// \item @|obj.ClampOverflowOff ()| -  When the ClampOverflow flag is on, the data is thresholded so that
// the output value does not exceed the max or min of the data type.
// By default ClampOverflow is off.
////\end{itemize}
//!
