#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageChangeInformation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageChangeInformation.h"

//@@Signature
//sfunction @vtkImageChangeInformation:vtkImageChangeInformation vtkImageChangeInformationConstructorFunction
//input a
//output p
//@@Parents vtkImageChangeInformation vtkImageAlgorithm 
ArrayVector vtkImageChangeInformationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageChangeInformation::New(),"vtkImageChangeInformation",eval);
  } else if (arg[0].className() == "vtkImageChangeInformation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageChangeInformation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageChangeInformation");
    vtkImageChangeInformation*q = reinterpret_cast<vtkImageChangeInformation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageChangeInformation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageChangeInformation:GetClassName vtkImageChangeInformationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageChangeInformationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageChangeInformation requires 1 argument(s)");
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageChangeInformation:IsA vtkImageChangeInformationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageChangeInformationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageChangeInformation requires 2 argument(s)");
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageChangeInformation:NewInstance vtkImageChangeInformationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageChangeInformationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageChangeInformation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageChangeInformation requires 1 argument(s)");
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  Array retval;
  vtkImageChangeInformation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageChangeInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageChangeInformation:SafeDownCast vtkImageChangeInformationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageChangeInformationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageChangeInformation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageChangeInformation requires 2 argument(s)");
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageChangeInformation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageChangeInformation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageChangeInformation:SetInformationInput vtkImageChangeInformationSetInformationInputFunction
//input a0 a1 
//output none
ArrayVector vtkImageChangeInformationSetInformationInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInformationInput (vtkImageData *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInformationInput for class vtkImageChangeInformation requires 2 argument(s)");
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetInformationInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageChangeInformation:GetInformationInput vtkImageChangeInformationGetInformationInputFunction
//input a0 
//output y
ArrayVector vtkImageChangeInformationGetInformationInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkImageData *GetInformationInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInformationInput for class vtkImageChangeInformation requires 1 argument(s)");
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetInformationInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageChangeInformation:SetOutputExtentStart__1 vtkImageChangeInformationSetOutputExtentStart__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageChangeInformationSetOutputExtentStart__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputExtentStart (int , int , int ); */
  if (arg.size() < 4) 
    throw Exception("Function SetOutputExtentStart__1 for class vtkImageChangeInformation requires 4 argument(s)");
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetOutputExtentStart(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageChangeInformation:SetOutputExtentStart__2 vtkImageChangeInformationSetOutputExtentStart__2Function
//input a0 a1 
//output none
ArrayVector vtkImageChangeInformationSetOutputExtentStart__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputExtentStart (int  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputExtentStart__2 for class vtkImageChangeInformation requires 2 argument(s)");
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetOutputExtentStart(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageChangeInformation:GetOutputExtentStart vtkImageChangeInformationGetOutputExtentStartFunction
//input a0 
//output y
ArrayVector vtkImageChangeInformationGetOutputExtentStartFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetOutputExtentStart (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputExtentStart for class vtkImageChangeInformation requires 1 argument(s)");
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetOutputExtentStart();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageChangeInformation:SetOutputSpacing__1 vtkImageChangeInformationSetOutputSpacing__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageChangeInformationSetOutputSpacing__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputSpacing (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetOutputSpacing__1 for class vtkImageChangeInformation requires 4 argument(s)");
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOutputSpacing(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageChangeInformation:SetOutputSpacing__2 vtkImageChangeInformationSetOutputSpacing__2Function
//input a0 a1 
//output none
ArrayVector vtkImageChangeInformationSetOutputSpacing__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputSpacing (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputSpacing__2 for class vtkImageChangeInformation requires 2 argument(s)");
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOutputSpacing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageChangeInformation:GetOutputSpacing vtkImageChangeInformationGetOutputSpacingFunction
//input a0 
//output y
ArrayVector vtkImageChangeInformationGetOutputSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetOutputSpacing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputSpacing for class vtkImageChangeInformation requires 1 argument(s)");
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOutputSpacing();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageChangeInformation:SetOutputOrigin__1 vtkImageChangeInformationSetOutputOrigin__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageChangeInformationSetOutputOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputOrigin (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetOutputOrigin__1 for class vtkImageChangeInformation requires 4 argument(s)");
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOutputOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageChangeInformation:SetOutputOrigin__2 vtkImageChangeInformationSetOutputOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkImageChangeInformationSetOutputOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputOrigin (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputOrigin__2 for class vtkImageChangeInformation requires 2 argument(s)");
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOutputOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageChangeInformation:GetOutputOrigin vtkImageChangeInformationGetOutputOriginFunction
//input a0 
//output y
ArrayVector vtkImageChangeInformationGetOutputOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetOutputOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputOrigin for class vtkImageChangeInformation requires 1 argument(s)");
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOutputOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageChangeInformation:SetCenterImage vtkImageChangeInformationSetCenterImageFunction
//input a0 a1 
//output none
ArrayVector vtkImageChangeInformationSetCenterImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenterImage (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCenterImage for class vtkImageChangeInformation requires 2 argument(s)");
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCenterImage(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageChangeInformation:CenterImageOn vtkImageChangeInformationCenterImageOnFunction
//input a0 
//output none
ArrayVector vtkImageChangeInformationCenterImageOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CenterImageOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CenterImageOn for class vtkImageChangeInformation requires 1 argument(s)");
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  Array retval;
  vtk_pointer->CenterImageOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageChangeInformation:CenterImageOff vtkImageChangeInformationCenterImageOffFunction
//input a0 
//output none
ArrayVector vtkImageChangeInformationCenterImageOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CenterImageOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CenterImageOff for class vtkImageChangeInformation requires 1 argument(s)");
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  Array retval;
  vtk_pointer->CenterImageOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageChangeInformation:GetCenterImage vtkImageChangeInformationGetCenterImageFunction
//input a0 
//output y
ArrayVector vtkImageChangeInformationGetCenterImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCenterImage (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenterImage for class vtkImageChangeInformation requires 1 argument(s)");
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCenterImage();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageChangeInformation:SetExtentTranslation__1 vtkImageChangeInformationSetExtentTranslation__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageChangeInformationSetExtentTranslation__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtentTranslation (int , int , int ); */
  if (arg.size() < 4) 
    throw Exception("Function SetExtentTranslation__1 for class vtkImageChangeInformation requires 4 argument(s)");
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetExtentTranslation(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageChangeInformation:SetExtentTranslation__2 vtkImageChangeInformationSetExtentTranslation__2Function
//input a0 a1 
//output none
ArrayVector vtkImageChangeInformationSetExtentTranslation__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtentTranslation (int  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtentTranslation__2 for class vtkImageChangeInformation requires 2 argument(s)");
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetExtentTranslation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageChangeInformation:GetExtentTranslation vtkImageChangeInformationGetExtentTranslationFunction
//input a0 
//output y
ArrayVector vtkImageChangeInformationGetExtentTranslationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetExtentTranslation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtentTranslation for class vtkImageChangeInformation requires 1 argument(s)");
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetExtentTranslation();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageChangeInformation:SetSpacingScale__1 vtkImageChangeInformationSetSpacingScale__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageChangeInformationSetSpacingScale__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpacingScale (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetSpacingScale__1 for class vtkImageChangeInformation requires 4 argument(s)");
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetSpacingScale(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageChangeInformation:SetSpacingScale__2 vtkImageChangeInformationSetSpacingScale__2Function
//input a0 a1 
//output none
ArrayVector vtkImageChangeInformationSetSpacingScale__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpacingScale (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSpacingScale__2 for class vtkImageChangeInformation requires 2 argument(s)");
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetSpacingScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageChangeInformation:GetSpacingScale vtkImageChangeInformationGetSpacingScaleFunction
//input a0 
//output y
ArrayVector vtkImageChangeInformationGetSpacingScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetSpacingScale (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSpacingScale for class vtkImageChangeInformation requires 1 argument(s)");
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetSpacingScale();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageChangeInformation:SetOriginTranslation__1 vtkImageChangeInformationSetOriginTranslation__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageChangeInformationSetOriginTranslation__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOriginTranslation (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetOriginTranslation__1 for class vtkImageChangeInformation requires 4 argument(s)");
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOriginTranslation(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageChangeInformation:SetOriginTranslation__2 vtkImageChangeInformationSetOriginTranslation__2Function
//input a0 a1 
//output none
ArrayVector vtkImageChangeInformationSetOriginTranslation__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOriginTranslation (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOriginTranslation__2 for class vtkImageChangeInformation requires 2 argument(s)");
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOriginTranslation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageChangeInformation:GetOriginTranslation vtkImageChangeInformationGetOriginTranslationFunction
//input a0 
//output y
ArrayVector vtkImageChangeInformationGetOriginTranslationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetOriginTranslation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOriginTranslation for class vtkImageChangeInformation requires 1 argument(s)");
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOriginTranslation();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageChangeInformation:SetOriginScale__1 vtkImageChangeInformationSetOriginScale__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageChangeInformationSetOriginScale__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOriginScale (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetOriginScale__1 for class vtkImageChangeInformation requires 4 argument(s)");
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOriginScale(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageChangeInformation:SetOriginScale__2 vtkImageChangeInformationSetOriginScale__2Function
//input a0 a1 
//output none
ArrayVector vtkImageChangeInformationSetOriginScale__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOriginScale (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOriginScale__2 for class vtkImageChangeInformation requires 2 argument(s)");
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOriginScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageChangeInformation:GetOriginScale vtkImageChangeInformationGetOriginScaleFunction
//input a0 
//output y
ArrayVector vtkImageChangeInformationGetOriginScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetOriginScale (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOriginScale for class vtkImageChangeInformation requires 1 argument(s)");
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOriginScale();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageChangeInformation:SetOutputExtentStart vtkImageChangeInformationSetOutputExtentStartFunction
//input varargin
//output varargout
ArrayVector vtkImageChangeInformationSetOutputExtentStartFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageChangeInformationSetOutputExtentStart__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageChangeInformationSetOutputExtentStart__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageChangeInformationSetOutputExtentStart");
}

//@@Signature
//sfunction @vtkImageChangeInformation:SetOutputSpacing vtkImageChangeInformationSetOutputSpacingFunction
//input varargin
//output varargout
ArrayVector vtkImageChangeInformationSetOutputSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageChangeInformationSetOutputSpacing__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageChangeInformationSetOutputSpacing__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageChangeInformationSetOutputSpacing");
}

//@@Signature
//sfunction @vtkImageChangeInformation:SetOutputOrigin vtkImageChangeInformationSetOutputOriginFunction
//input varargin
//output varargout
ArrayVector vtkImageChangeInformationSetOutputOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageChangeInformationSetOutputOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageChangeInformationSetOutputOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageChangeInformationSetOutputOrigin");
}

//@@Signature
//sfunction @vtkImageChangeInformation:SetExtentTranslation vtkImageChangeInformationSetExtentTranslationFunction
//input varargin
//output varargout
ArrayVector vtkImageChangeInformationSetExtentTranslationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageChangeInformationSetExtentTranslation__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageChangeInformationSetExtentTranslation__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageChangeInformationSetExtentTranslation");
}

//@@Signature
//sfunction @vtkImageChangeInformation:SetSpacingScale vtkImageChangeInformationSetSpacingScaleFunction
//input varargin
//output varargout
ArrayVector vtkImageChangeInformationSetSpacingScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageChangeInformationSetSpacingScale__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageChangeInformationSetSpacingScale__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageChangeInformationSetSpacingScale");
}

//@@Signature
//sfunction @vtkImageChangeInformation:SetOriginTranslation vtkImageChangeInformationSetOriginTranslationFunction
//input varargin
//output varargout
ArrayVector vtkImageChangeInformationSetOriginTranslationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageChangeInformationSetOriginTranslation__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageChangeInformationSetOriginTranslation__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageChangeInformationSetOriginTranslation");
}

//@@Signature
//sfunction @vtkImageChangeInformation:SetOriginScale vtkImageChangeInformationSetOriginScaleFunction
//input varargin
//output varargout
ArrayVector vtkImageChangeInformationSetOriginScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageChangeInformationSetOriginScale__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageChangeInformationSetOriginScale__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageChangeInformationSetOriginScale");
}

//@@Signature
//sfunction @vtkImageChangeInformation:display vtkImageChangeInformationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageChangeInformationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageChangeInformation* vtk_pointer = GetVTKPointer<vtkImageChangeInformation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageChangeInformation:delete vtkImageChangeInformationDeleteFunction
//input varargin
//output none
ArrayVector vtkImageChangeInformationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageChangeInformation
//@@Section VTKImaging
//@@Usage
// vtkImageChangeInformation  modify the spacing, origin, or extent of
// the data without changing the data itself.  The data is not resampled
// by this filter, only the information accompanying the data is modified.
//
//To create an instance of class vtkImageChangeInformation, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageChangeInformation
//@]
//@@Methods
//The class vtkImageChangeInformation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageChangeInformation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageChangeInformation = obj.NewInstance ()|
// \item @|vtkImageChangeInformation = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInformationInput (vtkImageData )| -  Copy the information from another data set.  By default,
// the information is copied from the input.
//// \item @|vtkImageData = obj.GetInformationInput ()| -  Copy the information from another data set.  By default,
// the information is copied from the input.
//// \item @|obj.SetOutputExtentStart (int , int , int )| -  Specify new starting values for the extent explicitly.
// These values are used as WholeExtent[0], WholeExtent[2] and
// WholeExtent[4] of the output.  The default is to the
// use the extent start of the Input, or of the InformationInput
// if InformationInput is set.
//// \item @|obj.SetOutputExtentStart (int  a[3])| -  Specify new starting values for the extent explicitly.
// These values are used as WholeExtent[0], WholeExtent[2] and
// WholeExtent[4] of the output.  The default is to the
// use the extent start of the Input, or of the InformationInput
// if InformationInput is set.
//// \item @|int = obj. GetOutputExtentStart ()| -  Specify new starting values for the extent explicitly.
// These values are used as WholeExtent[0], WholeExtent[2] and
// WholeExtent[4] of the output.  The default is to the
// use the extent start of the Input, or of the InformationInput
// if InformationInput is set.
//// \item @|obj.SetOutputSpacing (double , double , double )| -  Specify a new data spacing explicitly.  The default is to
// use the spacing of the Input, or of the InformationInput
// if InformationInput is set.
//// \item @|obj.SetOutputSpacing (double  a[3])| -  Specify a new data spacing explicitly.  The default is to
// use the spacing of the Input, or of the InformationInput
// if InformationInput is set.
//// \item @|double = obj. GetOutputSpacing ()| -  Specify a new data spacing explicitly.  The default is to
// use the spacing of the Input, or of the InformationInput
// if InformationInput is set.
//// \item @|obj.SetOutputOrigin (double , double , double )| -  Specify a new data origin explicitly.  The default is to
// use the origin of the Input, or of the InformationInput
// if InformationInput is set.
//// \item @|obj.SetOutputOrigin (double  a[3])| -  Specify a new data origin explicitly.  The default is to
// use the origin of the Input, or of the InformationInput
// if InformationInput is set.
//// \item @|double = obj. GetOutputOrigin ()| -  Specify a new data origin explicitly.  The default is to
// use the origin of the Input, or of the InformationInput
// if InformationInput is set.
//// \item @|obj.SetCenterImage (int )| -  Set the Origin of the output so that image coordinate (0,0,0)
// lies at the Center of the data set.  This will override 
// SetOutputOrigin.  This is often a useful operation to apply 
// before using vtkImageReslice to apply a transformation to an image. 
//// \item @|obj.CenterImageOn ()| -  Set the Origin of the output so that image coordinate (0,0,0)
// lies at the Center of the data set.  This will override 
// SetOutputOrigin.  This is often a useful operation to apply 
// before using vtkImageReslice to apply a transformation to an image. 
//// \item @|obj.CenterImageOff ()| -  Set the Origin of the output so that image coordinate (0,0,0)
// lies at the Center of the data set.  This will override 
// SetOutputOrigin.  This is often a useful operation to apply 
// before using vtkImageReslice to apply a transformation to an image. 
//// \item @|int = obj.GetCenterImage ()| -  Set the Origin of the output so that image coordinate (0,0,0)
// lies at the Center of the data set.  This will override 
// SetOutputOrigin.  This is often a useful operation to apply 
// before using vtkImageReslice to apply a transformation to an image. 
//// \item @|obj.SetExtentTranslation (int , int , int )| -  Apply a translation to the extent.
//// \item @|obj.SetExtentTranslation (int  a[3])| -  Apply a translation to the extent.
//// \item @|int = obj. GetExtentTranslation ()| -  Apply a translation to the extent.
//// \item @|obj.SetSpacingScale (double , double , double )| -  Apply a scale factor to the spacing. 
//// \item @|obj.SetSpacingScale (double  a[3])| -  Apply a scale factor to the spacing. 
//// \item @|double = obj. GetSpacingScale ()| -  Apply a scale factor to the spacing. 
//// \item @|obj.SetOriginTranslation (double , double , double )| -  Apply a translation to the origin.
//// \item @|obj.SetOriginTranslation (double  a[3])| -  Apply a translation to the origin.
//// \item @|double = obj. GetOriginTranslation ()| -  Apply a translation to the origin.
//// \item @|obj.SetOriginScale (double , double , double )| -  Apply a scale to the origin.  The scale is applied
// before the translation.
//// \item @|obj.SetOriginScale (double  a[3])| -  Apply a scale to the origin.  The scale is applied
// before the translation.
//// \item @|double = obj. GetOriginScale ()| -  Apply a scale to the origin.  The scale is applied
// before the translation.
////\end{itemize}
//!
