#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageCheckerboard object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageCheckerboard.h"

//@@Signature
//sfunction @vtkImageCheckerboard:vtkImageCheckerboard vtkImageCheckerboardConstructorFunction
//input a
//output p
//@@Parents vtkImageCheckerboard vtkThreadedImageAlgorithm 
ArrayVector vtkImageCheckerboardConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageCheckerboard::New(),"vtkImageCheckerboard",eval);
  } else if (arg[0].className() == "vtkImageCheckerboard") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageCheckerboard"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageCheckerboard");
    vtkImageCheckerboard*q = reinterpret_cast<vtkImageCheckerboard*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageCheckerboard");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageCheckerboard:GetClassName vtkImageCheckerboardGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageCheckerboardGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageCheckerboard requires 1 argument(s)");
  vtkImageCheckerboard* vtk_pointer = GetVTKPointer<vtkImageCheckerboard>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageCheckerboard:IsA vtkImageCheckerboardIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageCheckerboardIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageCheckerboard requires 2 argument(s)");
  vtkImageCheckerboard* vtk_pointer = GetVTKPointer<vtkImageCheckerboard>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageCheckerboard:NewInstance vtkImageCheckerboardNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageCheckerboardNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageCheckerboard *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageCheckerboard requires 1 argument(s)");
  vtkImageCheckerboard* vtk_pointer = GetVTKPointer<vtkImageCheckerboard>(arg[0]);
  Array retval;
  vtkImageCheckerboard  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageCheckerboard",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageCheckerboard:SafeDownCast vtkImageCheckerboardSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageCheckerboardSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageCheckerboard *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageCheckerboard requires 2 argument(s)");
  vtkImageCheckerboard* vtk_pointer = GetVTKPointer<vtkImageCheckerboard>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageCheckerboard  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageCheckerboard",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageCheckerboard:SetNumberOfDivisions__1 vtkImageCheckerboardSetNumberOfDivisions__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageCheckerboardSetNumberOfDivisions__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfDivisions (int , int , int ); */
  if (arg.size() < 4) 
    throw Exception("Function SetNumberOfDivisions__1 for class vtkImageCheckerboard requires 4 argument(s)");
  vtkImageCheckerboard* vtk_pointer = GetVTKPointer<vtkImageCheckerboard>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetNumberOfDivisions(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageCheckerboard:SetNumberOfDivisions__2 vtkImageCheckerboardSetNumberOfDivisions__2Function
//input a0 a1 
//output none
ArrayVector vtkImageCheckerboardSetNumberOfDivisions__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfDivisions (int  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfDivisions__2 for class vtkImageCheckerboard requires 2 argument(s)");
  vtkImageCheckerboard* vtk_pointer = GetVTKPointer<vtkImageCheckerboard>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetNumberOfDivisions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageCheckerboard:GetNumberOfDivisions vtkImageCheckerboardGetNumberOfDivisionsFunction
//input a0 
//output y
ArrayVector vtkImageCheckerboardGetNumberOfDivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetNumberOfDivisions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfDivisions for class vtkImageCheckerboard requires 1 argument(s)");
  vtkImageCheckerboard* vtk_pointer = GetVTKPointer<vtkImageCheckerboard>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetNumberOfDivisions();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageCheckerboard:SetInput1 vtkImageCheckerboardSetInput1Function
//input a0 a1 
//output none
ArrayVector vtkImageCheckerboardSetInput1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput1 (vtkDataObject *in);this SetInput in  */
  if (arg.size() < 2) 
    throw Exception("Function SetInput1 for class vtkImageCheckerboard requires 2 argument(s)");
  vtkImageCheckerboard* vtk_pointer = GetVTKPointer<vtkImageCheckerboard>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput1(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageCheckerboard:SetInput2 vtkImageCheckerboardSetInput2Function
//input a0 a1 
//output none
ArrayVector vtkImageCheckerboardSetInput2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput2 (vtkDataObject *in);this SetInput in  */
  if (arg.size() < 2) 
    throw Exception("Function SetInput2 for class vtkImageCheckerboard requires 2 argument(s)");
  vtkImageCheckerboard* vtk_pointer = GetVTKPointer<vtkImageCheckerboard>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput2(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageCheckerboard:SetNumberOfDivisions vtkImageCheckerboardSetNumberOfDivisionsFunction
//input varargin
//output varargout
ArrayVector vtkImageCheckerboardSetNumberOfDivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageCheckerboardSetNumberOfDivisions__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageCheckerboardSetNumberOfDivisions__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageCheckerboardSetNumberOfDivisions");
}

//@@Signature
//sfunction @vtkImageCheckerboard:display vtkImageCheckerboardDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageCheckerboardDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageCheckerboard* vtk_pointer = GetVTKPointer<vtkImageCheckerboard>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageCheckerboard:delete vtkImageCheckerboardDeleteFunction
//input varargin
//output none
ArrayVector vtkImageCheckerboardDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageCheckerboard
//@@Section VTKImaging
//@@Usage
//  vtkImageCheckerboard displays two images as one using a checkerboard
//  pattern. This filter can be used to compare two images. The
//  checkerboard pattern is controlled by the NumberOfDivisions
//  ivar. This controls the number of checkerboard divisions in the whole
//  extent of the image.
//
//To create an instance of class vtkImageCheckerboard, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageCheckerboard
//@]
//@@Methods
//The class vtkImageCheckerboard has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageCheckerboard class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageCheckerboard = obj.NewInstance ()|
// \item @|vtkImageCheckerboard = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetNumberOfDivisions (int , int , int )| -  Set/Get the number of divisions along each axis.
//// \item @|obj.SetNumberOfDivisions (int  a[3])| -  Set/Get the number of divisions along each axis.
//// \item @|int = obj. GetNumberOfDivisions ()| -  Set/Get the number of divisions along each axis.
//// \item @|obj.SetInput1 (vtkDataObject in)| -  Set the two inputs to this filter
//// \item @|obj.SetInput2 (vtkDataObject in)|
//\end{itemize}
//!
