#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageCityBlockDistance object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageCityBlockDistance.h"

//@@Signature
//sfunction @vtkImageCityBlockDistance:vtkImageCityBlockDistance vtkImageCityBlockDistanceConstructorFunction
//input a
//output p
//@@Parents vtkImageCityBlockDistance vtkImageDecomposeFilter 
ArrayVector vtkImageCityBlockDistanceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageCityBlockDistance::New(),"vtkImageCityBlockDistance",eval);
  } else if (arg[0].className() == "vtkImageCityBlockDistance") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageCityBlockDistance"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageCityBlockDistance");
    vtkImageCityBlockDistance*q = reinterpret_cast<vtkImageCityBlockDistance*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageCityBlockDistance");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageCityBlockDistance:GetClassName vtkImageCityBlockDistanceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageCityBlockDistanceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageCityBlockDistance requires 1 argument(s)");
  vtkImageCityBlockDistance* vtk_pointer = GetVTKPointer<vtkImageCityBlockDistance>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageCityBlockDistance:IsA vtkImageCityBlockDistanceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageCityBlockDistanceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageCityBlockDistance requires 2 argument(s)");
  vtkImageCityBlockDistance* vtk_pointer = GetVTKPointer<vtkImageCityBlockDistance>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageCityBlockDistance:NewInstance vtkImageCityBlockDistanceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageCityBlockDistanceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageCityBlockDistance *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageCityBlockDistance requires 1 argument(s)");
  vtkImageCityBlockDistance* vtk_pointer = GetVTKPointer<vtkImageCityBlockDistance>(arg[0]);
  Array retval;
  vtkImageCityBlockDistance  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageCityBlockDistance",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageCityBlockDistance:SafeDownCast vtkImageCityBlockDistanceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageCityBlockDistanceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageCityBlockDistance *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageCityBlockDistance requires 2 argument(s)");
  vtkImageCityBlockDistance* vtk_pointer = GetVTKPointer<vtkImageCityBlockDistance>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageCityBlockDistance  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageCityBlockDistance",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageCityBlockDistance:display vtkImageCityBlockDistanceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageCityBlockDistanceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageCityBlockDistance* vtk_pointer = GetVTKPointer<vtkImageCityBlockDistance>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageCityBlockDistance:delete vtkImageCityBlockDistanceDeleteFunction
//input varargin
//output none
ArrayVector vtkImageCityBlockDistanceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageCityBlockDistance
//@@Section VTKImaging
//@@Usage
// vtkImageCityBlockDistance creates a distance map using the city block
// (Manhatten) distance measure.  The input is a mask.  Zero values are
// considered boundaries.  The output pixel is the minimum of the input pixel
// and the distance to a boundary (or neighbor value + 1 unit).
// distance values are calculated in pixels.
// The filter works by taking 6 passes (for 3d distance map): 2 along each 
// axis (forward and backward). Each pass keeps a running minimum distance.
// For some reason, I preserve the sign if the distance.  If the input 
// mask is initially negative, the output distances will be negative.
// Distances maps can have inside (negative regions) 
// and outsides (positive regions).
//
//To create an instance of class vtkImageCityBlockDistance, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageCityBlockDistance
//@]
//@@Methods
//The class vtkImageCityBlockDistance has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageCityBlockDistance class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageCityBlockDistance = obj.NewInstance ()|
// \item @|vtkImageCityBlockDistance = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
