#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageConnector object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageConnector.h"

//@@Signature
//sfunction @vtkImageConnector:vtkImageConnector vtkImageConnectorConstructorFunction
//input a
//output p
//@@Parents vtkImageConnector vtkObject 
ArrayVector vtkImageConnectorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageConnector::New(),"vtkImageConnector",eval);
  } else if (arg[0].className() == "vtkImageConnector") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageConnector"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageConnector");
    vtkImageConnector*q = reinterpret_cast<vtkImageConnector*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageConnector");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageConnector:GetClassName vtkImageConnectorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageConnectorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageConnector requires 1 argument(s)");
  vtkImageConnector* vtk_pointer = GetVTKPointer<vtkImageConnector>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageConnector:IsA vtkImageConnectorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageConnectorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageConnector requires 2 argument(s)");
  vtkImageConnector* vtk_pointer = GetVTKPointer<vtkImageConnector>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageConnector:NewInstance vtkImageConnectorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageConnectorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageConnector *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageConnector requires 1 argument(s)");
  vtkImageConnector* vtk_pointer = GetVTKPointer<vtkImageConnector>(arg[0]);
  Array retval;
  vtkImageConnector  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageConnector",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageConnector:SafeDownCast vtkImageConnectorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageConnectorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageConnector *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageConnector requires 2 argument(s)");
  vtkImageConnector* vtk_pointer = GetVTKPointer<vtkImageConnector>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageConnector  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageConnector",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageConnector:RemoveAllSeeds vtkImageConnectorRemoveAllSeedsFunction
//input a0 
//output none
ArrayVector vtkImageConnectorRemoveAllSeedsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllSeeds (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllSeeds for class vtkImageConnector requires 1 argument(s)");
  vtkImageConnector* vtk_pointer = GetVTKPointer<vtkImageConnector>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllSeeds();
  return retval;
}

//@@Signature
//sfunction @vtkImageConnector:SetConnectedValue vtkImageConnectorSetConnectedValueFunction
//input a0 a1 
//output none
ArrayVector vtkImageConnectorSetConnectedValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetConnectedValue (unsigned char ); */
  if (arg.size() < 2) 
    throw Exception("Function SetConnectedValue for class vtkImageConnector requires 2 argument(s)");
  vtkImageConnector* vtk_pointer = GetVTKPointer<vtkImageConnector>(arg[0]);
  Array retval;
  unsigned char     temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned char) arg[1].asDouble();
  vtk_pointer->SetConnectedValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageConnector:GetConnectedValue vtkImageConnectorGetConnectedValueFunction
//input a0 
//output y
ArrayVector vtkImageConnectorGetConnectedValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char unsigned GetConnectedValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetConnectedValue for class vtkImageConnector requires 1 argument(s)");
  vtkImageConnector* vtk_pointer = GetVTKPointer<vtkImageConnector>(arg[0]);
  Array retval;
  unsigned char     temp20;
  temp20 = (vtk_pointer)->GetConnectedValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageConnector:SetUnconnectedValue vtkImageConnectorSetUnconnectedValueFunction
//input a0 a1 
//output none
ArrayVector vtkImageConnectorSetUnconnectedValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUnconnectedValue (unsigned char ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUnconnectedValue for class vtkImageConnector requires 2 argument(s)");
  vtkImageConnector* vtk_pointer = GetVTKPointer<vtkImageConnector>(arg[0]);
  Array retval;
  unsigned char     temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned char) arg[1].asDouble();
  vtk_pointer->SetUnconnectedValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageConnector:GetUnconnectedValue vtkImageConnectorGetUnconnectedValueFunction
//input a0 
//output y
ArrayVector vtkImageConnectorGetUnconnectedValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char unsigned GetUnconnectedValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUnconnectedValue for class vtkImageConnector requires 1 argument(s)");
  vtkImageConnector* vtk_pointer = GetVTKPointer<vtkImageConnector>(arg[0]);
  Array retval;
  unsigned char     temp20;
  temp20 = (vtk_pointer)->GetUnconnectedValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageConnector:MarkData vtkImageConnectorMarkDataFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageConnectorMarkDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MarkData (vtkImageData *data, int dimensionality, int ext[6]); */
  if (arg.size() < 4) 
    throw Exception("Function MarkData for class vtkImageConnector requires 4 argument(s)");
  vtkImageConnector* vtk_pointer = GetVTKPointer<vtkImageConnector>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  int      temp1;
  int    temp2[6];
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !(arg[3].isVector() && arg[3].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (int)data[k+1];
  }
  vtk_pointer->MarkData(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageConnector:display vtkImageConnectorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageConnectorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageConnector* vtk_pointer = GetVTKPointer<vtkImageConnector>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageConnector:delete vtkImageConnectorDeleteFunction
//input varargin
//output none
ArrayVector vtkImageConnectorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageConnector
//@@Section VTKImaging
//@@Usage
// vtkImageConnector is a helper class for connectivity filters.  
// It is not meant to be used directly.
// It implements a stack and breadth first search necessary for
// some connectivity filters.  Filtered axes sets the dimensionality 
// of the neighbor comparison, and
// cannot be more than three dimensions.  
// As implemented, only voxels which share faces are considered
// neighbors. 
//
//To create an instance of class vtkImageConnector, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageConnector
//@]
//@@Methods
//The class vtkImageConnector has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageConnector class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageConnector = obj.NewInstance ()|
// \item @|vtkImageConnector = obj.SafeDownCast (vtkObject o)|
// \item @|obj.RemoveAllSeeds ()|
// \item @|obj.SetConnectedValue (char )| -  Values used by the MarkRegion method
//// \item @|char = obj.GetConnectedValue ()| -  Values used by the MarkRegion method
//// \item @|obj.SetUnconnectedValue (char )| -  Values used by the MarkRegion method
//// \item @|char = obj.GetUnconnectedValue ()| -  Values used by the MarkRegion method
//// \item @|obj.MarkData (vtkImageData data, int dimensionality, int ext[6])| -  Input a data of 0's and "UnconnectedValue"s. Seeds of this object are
// used to find connected pixels.  All pixels connected to seeds are set to
// ConnectedValue.  The data has to be unsigned char.
////\end{itemize}
//!
