#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageConstantPad object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageConstantPad.h"

//@@Signature
//sfunction @vtkImageConstantPad:vtkImageConstantPad vtkImageConstantPadConstructorFunction
//input a
//output p
//@@Parents vtkImageConstantPad vtkImagePadFilter 
ArrayVector vtkImageConstantPadConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageConstantPad::New(),"vtkImageConstantPad",eval);
  } else if (arg[0].className() == "vtkImageConstantPad") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageConstantPad"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageConstantPad");
    vtkImageConstantPad*q = reinterpret_cast<vtkImageConstantPad*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageConstantPad");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageConstantPad:GetClassName vtkImageConstantPadGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageConstantPadGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageConstantPad requires 1 argument(s)");
  vtkImageConstantPad* vtk_pointer = GetVTKPointer<vtkImageConstantPad>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageConstantPad:IsA vtkImageConstantPadIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageConstantPadIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageConstantPad requires 2 argument(s)");
  vtkImageConstantPad* vtk_pointer = GetVTKPointer<vtkImageConstantPad>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageConstantPad:NewInstance vtkImageConstantPadNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageConstantPadNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageConstantPad *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageConstantPad requires 1 argument(s)");
  vtkImageConstantPad* vtk_pointer = GetVTKPointer<vtkImageConstantPad>(arg[0]);
  Array retval;
  vtkImageConstantPad  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageConstantPad",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageConstantPad:SafeDownCast vtkImageConstantPadSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageConstantPadSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageConstantPad *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageConstantPad requires 2 argument(s)");
  vtkImageConstantPad* vtk_pointer = GetVTKPointer<vtkImageConstantPad>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageConstantPad  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageConstantPad",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageConstantPad:SetConstant vtkImageConstantPadSetConstantFunction
//input a0 a1 
//output none
ArrayVector vtkImageConstantPadSetConstantFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetConstant (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetConstant for class vtkImageConstantPad requires 2 argument(s)");
  vtkImageConstantPad* vtk_pointer = GetVTKPointer<vtkImageConstantPad>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetConstant(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageConstantPad:GetConstant vtkImageConstantPadGetConstantFunction
//input a0 
//output y
ArrayVector vtkImageConstantPadGetConstantFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetConstant (); */
  if (arg.size() < 1) 
    throw Exception("Function GetConstant for class vtkImageConstantPad requires 1 argument(s)");
  vtkImageConstantPad* vtk_pointer = GetVTKPointer<vtkImageConstantPad>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetConstant();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageConstantPad:display vtkImageConstantPadDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageConstantPadDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageConstantPad* vtk_pointer = GetVTKPointer<vtkImageConstantPad>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageConstantPad:delete vtkImageConstantPadDeleteFunction
//input varargin
//output none
ArrayVector vtkImageConstantPadDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageConstantPad
//@@Section VTKImaging
//@@Usage
// vtkImageConstantPad changes the image extent of its input.
// Any pixels outside of the original image extent are filled with
// a constant value (default is 0.0).
//
//To create an instance of class vtkImageConstantPad, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageConstantPad
//@]
//@@Methods
//The class vtkImageConstantPad has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageConstantPad class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageConstantPad = obj.NewInstance ()|
// \item @|vtkImageConstantPad = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetConstant (double )| -  Set/Get the pad value.
//// \item @|double = obj.GetConstant ()| -  Set/Get the pad value.
////\end{itemize}
//!
