#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageContinuousDilate3D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageContinuousDilate3D.h"

//@@Signature
//sfunction @vtkImageContinuousDilate3D:vtkImageContinuousDilate3D vtkImageContinuousDilate3DConstructorFunction
//input a
//output p
//@@Parents vtkImageContinuousDilate3D vtkImageSpatialAlgorithm 
ArrayVector vtkImageContinuousDilate3DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageContinuousDilate3D::New(),"vtkImageContinuousDilate3D",eval);
  } else if (arg[0].className() == "vtkImageContinuousDilate3D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageContinuousDilate3D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageContinuousDilate3D");
    vtkImageContinuousDilate3D*q = reinterpret_cast<vtkImageContinuousDilate3D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageContinuousDilate3D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageContinuousDilate3D:GetClassName vtkImageContinuousDilate3DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageContinuousDilate3DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageContinuousDilate3D requires 1 argument(s)");
  vtkImageContinuousDilate3D* vtk_pointer = GetVTKPointer<vtkImageContinuousDilate3D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageContinuousDilate3D:IsA vtkImageContinuousDilate3DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageContinuousDilate3DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageContinuousDilate3D requires 2 argument(s)");
  vtkImageContinuousDilate3D* vtk_pointer = GetVTKPointer<vtkImageContinuousDilate3D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageContinuousDilate3D:NewInstance vtkImageContinuousDilate3DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageContinuousDilate3DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageContinuousDilate3D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageContinuousDilate3D requires 1 argument(s)");
  vtkImageContinuousDilate3D* vtk_pointer = GetVTKPointer<vtkImageContinuousDilate3D>(arg[0]);
  Array retval;
  vtkImageContinuousDilate3D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageContinuousDilate3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageContinuousDilate3D:SafeDownCast vtkImageContinuousDilate3DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageContinuousDilate3DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageContinuousDilate3D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageContinuousDilate3D requires 2 argument(s)");
  vtkImageContinuousDilate3D* vtk_pointer = GetVTKPointer<vtkImageContinuousDilate3D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageContinuousDilate3D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageContinuousDilate3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageContinuousDilate3D:SetKernelSize vtkImageContinuousDilate3DSetKernelSizeFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageContinuousDilate3DSetKernelSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKernelSize (int size0, int size1, int size2); */
  if (arg.size() < 4) 
    throw Exception("Function SetKernelSize for class vtkImageContinuousDilate3D requires 4 argument(s)");
  vtkImageContinuousDilate3D* vtk_pointer = GetVTKPointer<vtkImageContinuousDilate3D>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetKernelSize(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageContinuousDilate3D:display vtkImageContinuousDilate3DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageContinuousDilate3DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageContinuousDilate3D* vtk_pointer = GetVTKPointer<vtkImageContinuousDilate3D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageContinuousDilate3D:delete vtkImageContinuousDilate3DDeleteFunction
//input varargin
//output none
ArrayVector vtkImageContinuousDilate3DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageContinuousDilate3D
//@@Section VTKImaging
//@@Usage
// vtkImageContinuousDilate3D replaces a pixel with the maximum over
// an ellipsoidal neighborhood.  If KernelSize of an axis is 1, no processing
// is done on that axis.
//
//To create an instance of class vtkImageContinuousDilate3D, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageContinuousDilate3D
//@]
//@@Methods
//The class vtkImageContinuousDilate3D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageContinuousDilate3D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Construct an instance of vtkImageContinuousDilate3D filter.
// By default zero values are dilated.
//// \item @|int = obj.IsA (string name)| -  Construct an instance of vtkImageContinuousDilate3D filter.
// By default zero values are dilated.
//// \item @|vtkImageContinuousDilate3D = obj.NewInstance ()| -  Construct an instance of vtkImageContinuousDilate3D filter.
// By default zero values are dilated.
//// \item @|vtkImageContinuousDilate3D = obj.SafeDownCast (vtkObject o)| -  Construct an instance of vtkImageContinuousDilate3D filter.
// By default zero values are dilated.
//// \item @|obj.SetKernelSize (int size0, int size1, int size2)| -  This method sets the size of the neighborhood.  It also sets the 
// default middle of the neighborhood and computes the elliptical foot print.
////\end{itemize}
//!
