#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageConvolve object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageConvolve.h"

//@@Signature
//sfunction @vtkImageConvolve:vtkImageConvolve vtkImageConvolveConstructorFunction
//input a
//output p
//@@Parents vtkImageConvolve vtkThreadedImageAlgorithm 
ArrayVector vtkImageConvolveConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageConvolve::New(),"vtkImageConvolve",eval);
  } else if (arg[0].className() == "vtkImageConvolve") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageConvolve"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageConvolve");
    vtkImageConvolve*q = reinterpret_cast<vtkImageConvolve*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageConvolve");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageConvolve:GetClassName vtkImageConvolveGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageConvolveGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageConvolve requires 1 argument(s)");
  vtkImageConvolve* vtk_pointer = GetVTKPointer<vtkImageConvolve>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageConvolve:IsA vtkImageConvolveIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageConvolveIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageConvolve requires 2 argument(s)");
  vtkImageConvolve* vtk_pointer = GetVTKPointer<vtkImageConvolve>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageConvolve:NewInstance vtkImageConvolveNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageConvolveNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageConvolve *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageConvolve requires 1 argument(s)");
  vtkImageConvolve* vtk_pointer = GetVTKPointer<vtkImageConvolve>(arg[0]);
  Array retval;
  vtkImageConvolve  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageConvolve",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageConvolve:SafeDownCast vtkImageConvolveSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageConvolveSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageConvolve *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageConvolve requires 2 argument(s)");
  vtkImageConvolve* vtk_pointer = GetVTKPointer<vtkImageConvolve>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageConvolve  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageConvolve",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageConvolve:GetKernelSize vtkImageConvolveGetKernelSizeFunction
//input a0 
//output y
ArrayVector vtkImageConvolveGetKernelSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetKernelSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKernelSize for class vtkImageConvolve requires 1 argument(s)");
  vtkImageConvolve* vtk_pointer = GetVTKPointer<vtkImageConvolve>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetKernelSize();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageConvolve:SetKernel3x3 vtkImageConvolveSetKernel3x3Function
//input a0 a1 
//output none
ArrayVector vtkImageConvolveSetKernel3x3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKernel3x3 (const double kernel[9]); */
  if (arg.size() < 2) 
    throw Exception("Function SetKernel3x3 for class vtkImageConvolve requires 2 argument(s)");
  vtkImageConvolve* vtk_pointer = GetVTKPointer<vtkImageConvolve>(arg[0]);
  Array retval;
  double temp0[9];
  if ( !(arg[1].isVector() && arg[1].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetKernel3x3(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageConvolve:SetKernel5x5 vtkImageConvolveSetKernel5x5Function
//input a0 a1 
//output none
ArrayVector vtkImageConvolveSetKernel5x5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKernel5x5 (const double kernel[25]); */
  if (arg.size() < 2) 
    throw Exception("Function SetKernel5x5 for class vtkImageConvolve requires 2 argument(s)");
  vtkImageConvolve* vtk_pointer = GetVTKPointer<vtkImageConvolve>(arg[0]);
  Array retval;
  double temp0[25];
  if ( !(arg[1].isVector() && arg[1].length() == 25) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetKernel5x5(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageConvolve:GetKernel3x3__2 vtkImageConvolveGetKernel3x3__2Function
//input a0 a1 
//output none
ArrayVector vtkImageConvolveGetKernel3x3__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetKernel3x3 (double kernel[9]); */
  if (arg.size() < 2) 
    throw Exception("Function GetKernel3x3__2 for class vtkImageConvolve requires 2 argument(s)");
  vtkImageConvolve* vtk_pointer = GetVTKPointer<vtkImageConvolve>(arg[0]);
  Array retval;
  double temp0[9];
  if ( !(arg[1].isVector() && arg[1].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetKernel3x3(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageConvolve:GetKernel5x5__2 vtkImageConvolveGetKernel5x5__2Function
//input a0 a1 
//output none
ArrayVector vtkImageConvolveGetKernel5x5__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetKernel5x5 (double kernel[25]); */
  if (arg.size() < 2) 
    throw Exception("Function GetKernel5x5__2 for class vtkImageConvolve requires 2 argument(s)");
  vtkImageConvolve* vtk_pointer = GetVTKPointer<vtkImageConvolve>(arg[0]);
  Array retval;
  double temp0[25];
  if ( !(arg[1].isVector() && arg[1].length() == 25) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetKernel5x5(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageConvolve:SetKernel3x3x3 vtkImageConvolveSetKernel3x3x3Function
//input a0 a1 
//output none
ArrayVector vtkImageConvolveSetKernel3x3x3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKernel3x3x3 (const double kernel[27]); */
  if (arg.size() < 2) 
    throw Exception("Function SetKernel3x3x3 for class vtkImageConvolve requires 2 argument(s)");
  vtkImageConvolve* vtk_pointer = GetVTKPointer<vtkImageConvolve>(arg[0]);
  Array retval;
  double temp0[27];
  if ( !(arg[1].isVector() && arg[1].length() == 27) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetKernel3x3x3(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageConvolve:GetKernel3x3x3__2 vtkImageConvolveGetKernel3x3x3__2Function
//input a0 a1 
//output none
ArrayVector vtkImageConvolveGetKernel3x3x3__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetKernel3x3x3 (double kernel[27]); */
  if (arg.size() < 2) 
    throw Exception("Function GetKernel3x3x3__2 for class vtkImageConvolve requires 2 argument(s)");
  vtkImageConvolve* vtk_pointer = GetVTKPointer<vtkImageConvolve>(arg[0]);
  Array retval;
  double temp0[27];
  if ( !(arg[1].isVector() && arg[1].length() == 27) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetKernel3x3x3(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageConvolve:GetKernel3x3 vtkImageConvolveGetKernel3x3Function
//input varargin
//output varargout
ArrayVector vtkImageConvolveGetKernel3x3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageConvolveGetKernel3x3__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageConvolveGetKernel3x3");
}

//@@Signature
//sfunction @vtkImageConvolve:GetKernel5x5 vtkImageConvolveGetKernel5x5Function
//input varargin
//output varargout
ArrayVector vtkImageConvolveGetKernel5x5Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageConvolveGetKernel5x5__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageConvolveGetKernel5x5");
}

//@@Signature
//sfunction @vtkImageConvolve:GetKernel3x3x3 vtkImageConvolveGetKernel3x3x3Function
//input varargin
//output varargout
ArrayVector vtkImageConvolveGetKernel3x3x3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageConvolveGetKernel3x3x3__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageConvolveGetKernel3x3x3");
}

//@@Signature
//sfunction @vtkImageConvolve:GetKernel vtkImageConvolveGetKernelFunction
//input varargin
//output varargout
ArrayVector vtkImageConvolveGetKernelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkImageConvolveGetKernel");
}

//@@Signature
//sfunction @vtkImageConvolve:display vtkImageConvolveDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageConvolveDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageConvolve* vtk_pointer = GetVTKPointer<vtkImageConvolve>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageConvolve:delete vtkImageConvolveDeleteFunction
//input varargin
//output none
ArrayVector vtkImageConvolveDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageConvolve
//@@Section VTKImaging
//@@Usage
// vtkImageConvolve convolves the image with a 3D NxNxN kernel or a
// 2D NxN kernal.  The output image is cropped to the same size as
// the input.
//
//To create an instance of class vtkImageConvolve, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageConvolve
//@]
//@@Methods
//The class vtkImageConvolve has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageConvolve class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Construct an instance of vtkImageConvolve filter.
//// \item @|int = obj.IsA (string name)| -  Construct an instance of vtkImageConvolve filter.
//// \item @|vtkImageConvolve = obj.NewInstance ()| -  Construct an instance of vtkImageConvolve filter.
//// \item @|vtkImageConvolve = obj.SafeDownCast (vtkObject o)| -  Construct an instance of vtkImageConvolve filter.
//// \item @|int = obj. GetKernelSize ()| -  Get the kernel size
//// \item @|obj.SetKernel3x3 (double kernel[9])| -  Set the kernel to be a given 3x3 or 5x5 or 7x7 kernel.
//// \item @|obj.SetKernel5x5 (double kernel[25])| -  Set the kernel to be a given 3x3 or 5x5 or 7x7 kernel.
//// \item @|obj.GetKernel3x3 (double kernel[9])| -  Return an array that contains the kernel.
//// \item @|obj.GetKernel5x5 (double kernel[25])| -  Return an array that contains the kernel.
//// \item @|obj.SetKernel3x3x3 (double kernel[27])| -  Set the kernel to be a 3x3x3 or 5x5x5 or 7x7x7 kernel.
//// \item @|obj.GetKernel3x3x3 (double kernel[27])| -  Return an array that contains the kernel
////\end{itemize}
//!
