#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageCorrelation object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageCorrelation.h"

//@@Signature
//sfunction @vtkImageCorrelation:vtkImageCorrelation vtkImageCorrelationConstructorFunction
//input a
//output p
//@@Parents vtkImageCorrelation vtkThreadedImageAlgorithm 
ArrayVector vtkImageCorrelationConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageCorrelation::New(),"vtkImageCorrelation",eval);
  } else if (arg[0].className() == "vtkImageCorrelation") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageCorrelation"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageCorrelation");
    vtkImageCorrelation*q = reinterpret_cast<vtkImageCorrelation*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageCorrelation");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageCorrelation:GetClassName vtkImageCorrelationGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageCorrelationGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageCorrelation requires 1 argument(s)");
  vtkImageCorrelation* vtk_pointer = GetVTKPointer<vtkImageCorrelation>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageCorrelation:IsA vtkImageCorrelationIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageCorrelationIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageCorrelation requires 2 argument(s)");
  vtkImageCorrelation* vtk_pointer = GetVTKPointer<vtkImageCorrelation>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageCorrelation:NewInstance vtkImageCorrelationNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageCorrelationNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageCorrelation *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageCorrelation requires 1 argument(s)");
  vtkImageCorrelation* vtk_pointer = GetVTKPointer<vtkImageCorrelation>(arg[0]);
  Array retval;
  vtkImageCorrelation  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageCorrelation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageCorrelation:SafeDownCast vtkImageCorrelationSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageCorrelationSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageCorrelation *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageCorrelation requires 2 argument(s)");
  vtkImageCorrelation* vtk_pointer = GetVTKPointer<vtkImageCorrelation>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageCorrelation  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageCorrelation",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageCorrelation:SetDimensionality vtkImageCorrelationSetDimensionalityFunction
//input a0 a1 
//output none
ArrayVector vtkImageCorrelationSetDimensionalityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDimensionality (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDimensionality for class vtkImageCorrelation requires 2 argument(s)");
  vtkImageCorrelation* vtk_pointer = GetVTKPointer<vtkImageCorrelation>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDimensionality(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageCorrelation:GetDimensionalityMinValue vtkImageCorrelationGetDimensionalityMinValueFunction
//input a0 
//output y
ArrayVector vtkImageCorrelationGetDimensionalityMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDimensionalityMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensionalityMinValue for class vtkImageCorrelation requires 1 argument(s)");
  vtkImageCorrelation* vtk_pointer = GetVTKPointer<vtkImageCorrelation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimensionalityMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageCorrelation:GetDimensionalityMaxValue vtkImageCorrelationGetDimensionalityMaxValueFunction
//input a0 
//output y
ArrayVector vtkImageCorrelationGetDimensionalityMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDimensionalityMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensionalityMaxValue for class vtkImageCorrelation requires 1 argument(s)");
  vtkImageCorrelation* vtk_pointer = GetVTKPointer<vtkImageCorrelation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimensionalityMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageCorrelation:GetDimensionality vtkImageCorrelationGetDimensionalityFunction
//input a0 
//output y
ArrayVector vtkImageCorrelationGetDimensionalityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDimensionality (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensionality for class vtkImageCorrelation requires 1 argument(s)");
  vtkImageCorrelation* vtk_pointer = GetVTKPointer<vtkImageCorrelation>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimensionality();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageCorrelation:SetInput1 vtkImageCorrelationSetInput1Function
//input a0 a1 
//output none
ArrayVector vtkImageCorrelationSetInput1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput1 (vtkDataObject *in);this SetInput in  */
  if (arg.size() < 2) 
    throw Exception("Function SetInput1 for class vtkImageCorrelation requires 2 argument(s)");
  vtkImageCorrelation* vtk_pointer = GetVTKPointer<vtkImageCorrelation>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput1(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageCorrelation:SetInput2 vtkImageCorrelationSetInput2Function
//input a0 a1 
//output none
ArrayVector vtkImageCorrelationSetInput2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput2 (vtkDataObject *in);this SetInput in  */
  if (arg.size() < 2) 
    throw Exception("Function SetInput2 for class vtkImageCorrelation requires 2 argument(s)");
  vtkImageCorrelation* vtk_pointer = GetVTKPointer<vtkImageCorrelation>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput2(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageCorrelation:display vtkImageCorrelationDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageCorrelationDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageCorrelation* vtk_pointer = GetVTKPointer<vtkImageCorrelation>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageCorrelation:delete vtkImageCorrelationDeleteFunction
//input varargin
//output none
ArrayVector vtkImageCorrelationDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageCorrelation
//@@Section VTKImaging
//@@Usage
// vtkImageCorrelation finds the correlation between two data sets. 
// SetDimensionality determines
// whether the Correlation will be 3D, 2D or 1D.  
// The default is a 2D Correlation.  The Output type will be double.
// The output size will match the size of the first input.
// The second input is considered the correlation kernel.
//
//To create an instance of class vtkImageCorrelation, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageCorrelation
//@]
//@@Methods
//The class vtkImageCorrelation has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageCorrelation class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageCorrelation = obj.NewInstance ()|
// \item @|vtkImageCorrelation = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetDimensionality (int )| -  Determines how the input is interpreted (set of 2d slices ...).
// The default is 2.
//// \item @|int = obj.GetDimensionalityMinValue ()| -  Determines how the input is interpreted (set of 2d slices ...).
// The default is 2.
//// \item @|int = obj.GetDimensionalityMaxValue ()| -  Determines how the input is interpreted (set of 2d slices ...).
// The default is 2.
//// \item @|int = obj.GetDimensionality ()| -  Determines how the input is interpreted (set of 2d slices ...).
// The default is 2.
//// \item @|obj.SetInput1 (vtkDataObject in)| -  Set the correlation kernel.
//// \item @|obj.SetInput2 (vtkDataObject in)|
//\end{itemize}
//!
