#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageCursor3D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageCursor3D.h"

//@@Signature
//sfunction @vtkImageCursor3D:vtkImageCursor3D vtkImageCursor3DConstructorFunction
//input a
//output p
//@@Parents vtkImageCursor3D vtkImageInPlaceFilter 
ArrayVector vtkImageCursor3DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageCursor3D::New(),"vtkImageCursor3D",eval);
  } else if (arg[0].className() == "vtkImageCursor3D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageCursor3D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageCursor3D");
    vtkImageCursor3D*q = reinterpret_cast<vtkImageCursor3D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageCursor3D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageCursor3D:GetClassName vtkImageCursor3DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageCursor3DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageCursor3D requires 1 argument(s)");
  vtkImageCursor3D* vtk_pointer = GetVTKPointer<vtkImageCursor3D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageCursor3D:IsA vtkImageCursor3DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageCursor3DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageCursor3D requires 2 argument(s)");
  vtkImageCursor3D* vtk_pointer = GetVTKPointer<vtkImageCursor3D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageCursor3D:NewInstance vtkImageCursor3DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageCursor3DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageCursor3D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageCursor3D requires 1 argument(s)");
  vtkImageCursor3D* vtk_pointer = GetVTKPointer<vtkImageCursor3D>(arg[0]);
  Array retval;
  vtkImageCursor3D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageCursor3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageCursor3D:SafeDownCast vtkImageCursor3DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageCursor3DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageCursor3D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageCursor3D requires 2 argument(s)");
  vtkImageCursor3D* vtk_pointer = GetVTKPointer<vtkImageCursor3D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageCursor3D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageCursor3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageCursor3D:SetCursorPosition__1 vtkImageCursor3DSetCursorPosition__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageCursor3DSetCursorPosition__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCursorPosition (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetCursorPosition__1 for class vtkImageCursor3D requires 4 argument(s)");
  vtkImageCursor3D* vtk_pointer = GetVTKPointer<vtkImageCursor3D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCursorPosition(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageCursor3D:SetCursorPosition__2 vtkImageCursor3DSetCursorPosition__2Function
//input a0 a1 
//output none
ArrayVector vtkImageCursor3DSetCursorPosition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCursorPosition (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCursorPosition__2 for class vtkImageCursor3D requires 2 argument(s)");
  vtkImageCursor3D* vtk_pointer = GetVTKPointer<vtkImageCursor3D>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCursorPosition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageCursor3D:GetCursorPosition vtkImageCursor3DGetCursorPositionFunction
//input a0 
//output y
ArrayVector vtkImageCursor3DGetCursorPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCursorPosition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCursorPosition for class vtkImageCursor3D requires 1 argument(s)");
  vtkImageCursor3D* vtk_pointer = GetVTKPointer<vtkImageCursor3D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCursorPosition();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageCursor3D:SetCursorValue vtkImageCursor3DSetCursorValueFunction
//input a0 a1 
//output none
ArrayVector vtkImageCursor3DSetCursorValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCursorValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCursorValue for class vtkImageCursor3D requires 2 argument(s)");
  vtkImageCursor3D* vtk_pointer = GetVTKPointer<vtkImageCursor3D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCursorValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageCursor3D:GetCursorValue vtkImageCursor3DGetCursorValueFunction
//input a0 
//output y
ArrayVector vtkImageCursor3DGetCursorValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCursorValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCursorValue for class vtkImageCursor3D requires 1 argument(s)");
  vtkImageCursor3D* vtk_pointer = GetVTKPointer<vtkImageCursor3D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCursorValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageCursor3D:SetCursorRadius vtkImageCursor3DSetCursorRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkImageCursor3DSetCursorRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCursorRadius (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCursorRadius for class vtkImageCursor3D requires 2 argument(s)");
  vtkImageCursor3D* vtk_pointer = GetVTKPointer<vtkImageCursor3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCursorRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageCursor3D:GetCursorRadius vtkImageCursor3DGetCursorRadiusFunction
//input a0 
//output y
ArrayVector vtkImageCursor3DGetCursorRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCursorRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCursorRadius for class vtkImageCursor3D requires 1 argument(s)");
  vtkImageCursor3D* vtk_pointer = GetVTKPointer<vtkImageCursor3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCursorRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageCursor3D:SetCursorPosition vtkImageCursor3DSetCursorPositionFunction
//input varargin
//output varargout
ArrayVector vtkImageCursor3DSetCursorPositionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageCursor3DSetCursorPosition__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageCursor3DSetCursorPosition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageCursor3DSetCursorPosition");
}

//@@Signature
//sfunction @vtkImageCursor3D:display vtkImageCursor3DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageCursor3DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageCursor3D* vtk_pointer = GetVTKPointer<vtkImageCursor3D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageCursor3D:delete vtkImageCursor3DDeleteFunction
//input varargin
//output none
ArrayVector vtkImageCursor3DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageCursor3D
//@@Section VTKImaging
//@@Usage
// vtkImageCursor3D will draw a cursor on a 2d image or 3d volume.
//
//To create an instance of class vtkImageCursor3D, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageCursor3D
//@]
//@@Methods
//The class vtkImageCursor3D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageCursor3D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageCursor3D = obj.NewInstance ()|
// \item @|vtkImageCursor3D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCursorPosition (double , double , double )| -  Sets/Gets the center point of the 3d cursor.
//// \item @|obj.SetCursorPosition (double  a[3])| -  Sets/Gets the center point of the 3d cursor.
//// \item @|double = obj. GetCursorPosition ()| -  Sets/Gets the center point of the 3d cursor.
//// \item @|obj.SetCursorValue (double )| -  Sets/Gets what pixel value to draw the cursor in.
//// \item @|double = obj.GetCursorValue ()| -  Sets/Gets what pixel value to draw the cursor in.
//// \item @|obj.SetCursorRadius (int )| -  Sets/Gets the radius of the cursor. The radius determines
// how far the axis lines project out from the cursors center.
//// \item @|int = obj.GetCursorRadius ()| -  Sets/Gets the radius of the cursor. The radius determines
// how far the axis lines project out from the cursors center.
////\end{itemize}
//!
