#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageDataStreamer object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageDataStreamer.h"

//@@Signature
//sfunction @vtkImageDataStreamer:vtkImageDataStreamer vtkImageDataStreamerConstructorFunction
//input a
//output p
//@@Parents vtkImageDataStreamer vtkImageAlgorithm 
ArrayVector vtkImageDataStreamerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageDataStreamer::New(),"vtkImageDataStreamer",eval);
  } else if (arg[0].className() == "vtkImageDataStreamer") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageDataStreamer"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageDataStreamer");
    vtkImageDataStreamer*q = reinterpret_cast<vtkImageDataStreamer*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageDataStreamer");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageDataStreamer:GetClassName vtkImageDataStreamerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageDataStreamerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageDataStreamer requires 1 argument(s)");
  vtkImageDataStreamer* vtk_pointer = GetVTKPointer<vtkImageDataStreamer>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDataStreamer:IsA vtkImageDataStreamerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageDataStreamerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageDataStreamer requires 2 argument(s)");
  vtkImageDataStreamer* vtk_pointer = GetVTKPointer<vtkImageDataStreamer>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDataStreamer:NewInstance vtkImageDataStreamerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageDataStreamerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageDataStreamer *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageDataStreamer requires 1 argument(s)");
  vtkImageDataStreamer* vtk_pointer = GetVTKPointer<vtkImageDataStreamer>(arg[0]);
  Array retval;
  vtkImageDataStreamer  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageDataStreamer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageDataStreamer:SafeDownCast vtkImageDataStreamerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageDataStreamerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageDataStreamer *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageDataStreamer requires 2 argument(s)");
  vtkImageDataStreamer* vtk_pointer = GetVTKPointer<vtkImageDataStreamer>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageDataStreamer  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageDataStreamer",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageDataStreamer:SetNumberOfStreamDivisions vtkImageDataStreamerSetNumberOfStreamDivisionsFunction
//input a0 a1 
//output none
ArrayVector vtkImageDataStreamerSetNumberOfStreamDivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfStreamDivisions (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfStreamDivisions for class vtkImageDataStreamer requires 2 argument(s)");
  vtkImageDataStreamer* vtk_pointer = GetVTKPointer<vtkImageDataStreamer>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfStreamDivisions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageDataStreamer:GetNumberOfStreamDivisions vtkImageDataStreamerGetNumberOfStreamDivisionsFunction
//input a0 
//output y
ArrayVector vtkImageDataStreamerGetNumberOfStreamDivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfStreamDivisions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfStreamDivisions for class vtkImageDataStreamer requires 1 argument(s)");
  vtkImageDataStreamer* vtk_pointer = GetVTKPointer<vtkImageDataStreamer>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfStreamDivisions();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDataStreamer:Update vtkImageDataStreamerUpdateFunction
//input a0 
//output none
ArrayVector vtkImageDataStreamerUpdateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Update ();this vtkAlgorithm Update  */
  if (arg.size() < 1) 
    throw Exception("Function Update for class vtkImageDataStreamer requires 1 argument(s)");
  vtkImageDataStreamer* vtk_pointer = GetVTKPointer<vtkImageDataStreamer>(arg[0]);
  Array retval;
  vtk_pointer->Update();
  return retval;
}

//@@Signature
//sfunction @vtkImageDataStreamer:UpdateWholeExtent vtkImageDataStreamerUpdateWholeExtentFunction
//input a0 
//output none
ArrayVector vtkImageDataStreamerUpdateWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UpdateWholeExtent ();this vtkAlgorithm UpdateWholeExtent  */
  if (arg.size() < 1) 
    throw Exception("Function UpdateWholeExtent for class vtkImageDataStreamer requires 1 argument(s)");
  vtkImageDataStreamer* vtk_pointer = GetVTKPointer<vtkImageDataStreamer>(arg[0]);
  Array retval;
  vtk_pointer->UpdateWholeExtent();
  return retval;
}

//@@Signature
//sfunction @vtkImageDataStreamer:SetExtentTranslator vtkImageDataStreamerSetExtentTranslatorFunction
//input a0 a1 
//output none
ArrayVector vtkImageDataStreamerSetExtentTranslatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetExtentTranslator (vtkExtentTranslator *); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtentTranslator for class vtkImageDataStreamer requires 2 argument(s)");
  vtkImageDataStreamer* vtk_pointer = GetVTKPointer<vtkImageDataStreamer>(arg[0]);
  Array retval;
  vtkExtentTranslator  *temp0;
  temp0 = GetVTKPointer<vtkExtentTranslator>(arg[1]);
  vtk_pointer->SetExtentTranslator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageDataStreamer:GetExtentTranslator vtkImageDataStreamerGetExtentTranslatorFunction
//input a0 
//output y
ArrayVector vtkImageDataStreamerGetExtentTranslatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtentTranslator *GetExtentTranslator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtentTranslator for class vtkImageDataStreamer requires 1 argument(s)");
  vtkImageDataStreamer* vtk_pointer = GetVTKPointer<vtkImageDataStreamer>(arg[0]);
  Array retval;
  vtkExtentTranslator  *temp20;
  temp20 = (vtk_pointer)->GetExtentTranslator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtentTranslator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageDataStreamer:display vtkImageDataStreamerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageDataStreamerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageDataStreamer* vtk_pointer = GetVTKPointer<vtkImageDataStreamer>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageDataStreamer:delete vtkImageDataStreamerDeleteFunction
//input varargin
//output none
ArrayVector vtkImageDataStreamerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageDataStreamer
//@@Section VTKImaging
//@@Usage
// To satisfy a request, this filter calls update on its input
// many times with smaller update extents.  All processing up stream
// streams smaller pieces.
//
//To create an instance of class vtkImageDataStreamer, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageDataStreamer
//@]
//@@Methods
//The class vtkImageDataStreamer has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageDataStreamer class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageDataStreamer = obj.NewInstance ()|
// \item @|vtkImageDataStreamer = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetNumberOfStreamDivisions (int )| -  Set how many pieces to divide the input into.
// void SetNumberOfStreamDivisions(int num);
// int GetNumberOfStreamDivisions();
//// \item @|int = obj.GetNumberOfStreamDivisions ()| -  Set how many pieces to divide the input into.
// void SetNumberOfStreamDivisions(int num);
// int GetNumberOfStreamDivisions();
//// \item @|obj.Update ()|
// \item @|obj.UpdateWholeExtent ()|
// \item @|obj.SetExtentTranslator (vtkExtentTranslator )| -  Get the extent translator that will be used to split the requests
//// \item @|vtkExtentTranslator = obj.GetExtentTranslator ()| -  Get the extent translator that will be used to split the requests
////\end{itemize}
//!
