#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageDecomposeFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageDecomposeFilter.h"

//@@Signature
//sfunction @vtkImageDecomposeFilter:vtkImageDecomposeFilter vtkImageDecomposeFilterConstructorFunction
//input a
//output p
//@@Parents vtkImageDecomposeFilter vtkImageIterateFilter 
ArrayVector vtkImageDecomposeFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageDecomposeFilter::New(),"vtkImageDecomposeFilter",eval);
  } else if (arg[0].className() == "vtkImageDecomposeFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageDecomposeFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageDecomposeFilter");
    vtkImageDecomposeFilter*q = reinterpret_cast<vtkImageDecomposeFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageDecomposeFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageDecomposeFilter:GetClassName vtkImageDecomposeFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageDecomposeFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageDecomposeFilter requires 1 argument(s)");
  vtkImageDecomposeFilter* vtk_pointer = GetVTKPointer<vtkImageDecomposeFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDecomposeFilter:IsA vtkImageDecomposeFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageDecomposeFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageDecomposeFilter requires 2 argument(s)");
  vtkImageDecomposeFilter* vtk_pointer = GetVTKPointer<vtkImageDecomposeFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDecomposeFilter:NewInstance vtkImageDecomposeFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageDecomposeFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageDecomposeFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageDecomposeFilter requires 1 argument(s)");
  vtkImageDecomposeFilter* vtk_pointer = GetVTKPointer<vtkImageDecomposeFilter>(arg[0]);
  Array retval;
  vtkImageDecomposeFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageDecomposeFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageDecomposeFilter:SafeDownCast vtkImageDecomposeFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageDecomposeFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageDecomposeFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageDecomposeFilter requires 2 argument(s)");
  vtkImageDecomposeFilter* vtk_pointer = GetVTKPointer<vtkImageDecomposeFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageDecomposeFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageDecomposeFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageDecomposeFilter:SetDimensionality vtkImageDecomposeFilterSetDimensionalityFunction
//input a0 a1 
//output none
ArrayVector vtkImageDecomposeFilterSetDimensionalityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDimensionality (int dim); */
  if (arg.size() < 2) 
    throw Exception("Function SetDimensionality for class vtkImageDecomposeFilter requires 2 argument(s)");
  vtkImageDecomposeFilter* vtk_pointer = GetVTKPointer<vtkImageDecomposeFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDimensionality(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageDecomposeFilter:GetDimensionality vtkImageDecomposeFilterGetDimensionalityFunction
//input a0 
//output y
ArrayVector vtkImageDecomposeFilterGetDimensionalityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDimensionality (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensionality for class vtkImageDecomposeFilter requires 1 argument(s)");
  vtkImageDecomposeFilter* vtk_pointer = GetVTKPointer<vtkImageDecomposeFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimensionality();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDecomposeFilter:display vtkImageDecomposeFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageDecomposeFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageDecomposeFilter* vtk_pointer = GetVTKPointer<vtkImageDecomposeFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageDecomposeFilter:delete vtkImageDecomposeFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkImageDecomposeFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageDecomposeFilter
//@@Section VTKImaging
//@@Usage
// This superclass molds the vtkImageIterateFilter superclass so
// it iterates over the axes.  The filter uses dimensionality to 
// determine how many axes to execute (starting from x).  
// The filter also provides convenience methods for permuting information
// retrieved from input, output and vtkImageData.
//
//To create an instance of class vtkImageDecomposeFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageDecomposeFilter
//@]
//@@Methods
//The class vtkImageDecomposeFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageDecomposeFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Construct an instance of vtkImageDecomposeFilter filter with default
// dimensionality 3.
//// \item @|int = obj.IsA (string name)| -  Construct an instance of vtkImageDecomposeFilter filter with default
// dimensionality 3.
//// \item @|vtkImageDecomposeFilter = obj.NewInstance ()| -  Construct an instance of vtkImageDecomposeFilter filter with default
// dimensionality 3.
//// \item @|vtkImageDecomposeFilter = obj.SafeDownCast (vtkObject o)| -  Construct an instance of vtkImageDecomposeFilter filter with default
// dimensionality 3.
//// \item @|obj.SetDimensionality (int dim)| -  Dimensionality is the number of axes which are considered during
// execution. To process images dimensionality would be set to 2.
//// \item @|int = obj.GetDimensionality ()| -  Dimensionality is the number of axes which are considered during
// execution. To process images dimensionality would be set to 2.
////\end{itemize}
//!
