#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageDifference object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageDifference.h"

//@@Signature
//sfunction @vtkImageDifference:vtkImageDifference vtkImageDifferenceConstructorFunction
//input a
//output p
//@@Parents vtkImageDifference vtkThreadedImageAlgorithm 
ArrayVector vtkImageDifferenceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageDifference::New(),"vtkImageDifference",eval);
  } else if (arg[0].className() == "vtkImageDifference") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageDifference"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageDifference");
    vtkImageDifference*q = reinterpret_cast<vtkImageDifference*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageDifference");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageDifference:GetClassName vtkImageDifferenceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageDifferenceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageDifference requires 1 argument(s)");
  vtkImageDifference* vtk_pointer = GetVTKPointer<vtkImageDifference>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDifference:IsA vtkImageDifferenceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageDifferenceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageDifference requires 2 argument(s)");
  vtkImageDifference* vtk_pointer = GetVTKPointer<vtkImageDifference>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDifference:NewInstance vtkImageDifferenceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageDifferenceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageDifference *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageDifference requires 1 argument(s)");
  vtkImageDifference* vtk_pointer = GetVTKPointer<vtkImageDifference>(arg[0]);
  Array retval;
  vtkImageDifference  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageDifference",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageDifference:SafeDownCast vtkImageDifferenceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageDifferenceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageDifference *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageDifference requires 2 argument(s)");
  vtkImageDifference* vtk_pointer = GetVTKPointer<vtkImageDifference>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageDifference  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageDifference",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageDifference:SetImage vtkImageDifferenceSetImageFunction
//input a0 a1 
//output none
ArrayVector vtkImageDifferenceSetImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImage (vtkDataObject *image);this SetInput image  */
  if (arg.size() < 2) 
    throw Exception("Function SetImage for class vtkImageDifference requires 2 argument(s)");
  vtkImageDifference* vtk_pointer = GetVTKPointer<vtkImageDifference>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetImage(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageDifference:GetImage vtkImageDifferenceGetImageFunction
//input a0 
//output y
ArrayVector vtkImageDifferenceGetImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetImage (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImage for class vtkImageDifference requires 1 argument(s)");
  vtkImageDifference* vtk_pointer = GetVTKPointer<vtkImageDifference>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetImage();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageDifference:GetError__1 vtkImageDifferenceGetError__1Function
//input a0 
//output y
ArrayVector vtkImageDifferenceGetError__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetError (void ); */
  if (arg.size() < 1) 
    throw Exception("Function GetError__1 for class vtkImageDifference requires 1 argument(s)");
  vtkImageDifference* vtk_pointer = GetVTKPointer<vtkImageDifference>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetError();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDifference:GetError__2 vtkImageDifferenceGetError__2Function
//input a0 a1 
//output none
ArrayVector vtkImageDifferenceGetError__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetError (double *e);e this GetError  */
  if (arg.size() < 2) 
    throw Exception("Function GetError__2 for class vtkImageDifference requires 2 argument(s)");
  vtkImageDifference* vtk_pointer = GetVTKPointer<vtkImageDifference>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->GetError(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageDifference:GetThresholdedError__1 vtkImageDifferenceGetThresholdedError__1Function
//input a0 
//output y
ArrayVector vtkImageDifferenceGetThresholdedError__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetThresholdedError (void ); */
  if (arg.size() < 1) 
    throw Exception("Function GetThresholdedError__1 for class vtkImageDifference requires 1 argument(s)");
  vtkImageDifference* vtk_pointer = GetVTKPointer<vtkImageDifference>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetThresholdedError();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDifference:GetThresholdedError__2 vtkImageDifferenceGetThresholdedError__2Function
//input a0 a1 
//output none
ArrayVector vtkImageDifferenceGetThresholdedError__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetThresholdedError (double *e);e this GetThresholdedError  */
  if (arg.size() < 2) 
    throw Exception("Function GetThresholdedError__2 for class vtkImageDifference requires 2 argument(s)");
  vtkImageDifference* vtk_pointer = GetVTKPointer<vtkImageDifference>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->GetThresholdedError(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageDifference:SetThreshold vtkImageDifferenceSetThresholdFunction
//input a0 a1 
//output none
ArrayVector vtkImageDifferenceSetThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetThreshold (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetThreshold for class vtkImageDifference requires 2 argument(s)");
  vtkImageDifference* vtk_pointer = GetVTKPointer<vtkImageDifference>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetThreshold(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageDifference:GetThreshold vtkImageDifferenceGetThresholdFunction
//input a0 
//output y
ArrayVector vtkImageDifferenceGetThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetThreshold (); */
  if (arg.size() < 1) 
    throw Exception("Function GetThreshold for class vtkImageDifference requires 1 argument(s)");
  vtkImageDifference* vtk_pointer = GetVTKPointer<vtkImageDifference>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetThreshold();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDifference:SetAllowShift vtkImageDifferenceSetAllowShiftFunction
//input a0 a1 
//output none
ArrayVector vtkImageDifferenceSetAllowShiftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAllowShift (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAllowShift for class vtkImageDifference requires 2 argument(s)");
  vtkImageDifference* vtk_pointer = GetVTKPointer<vtkImageDifference>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAllowShift(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageDifference:GetAllowShift vtkImageDifferenceGetAllowShiftFunction
//input a0 
//output y
ArrayVector vtkImageDifferenceGetAllowShiftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAllowShift (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAllowShift for class vtkImageDifference requires 1 argument(s)");
  vtkImageDifference* vtk_pointer = GetVTKPointer<vtkImageDifference>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAllowShift();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDifference:AllowShiftOn vtkImageDifferenceAllowShiftOnFunction
//input a0 
//output none
ArrayVector vtkImageDifferenceAllowShiftOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllowShiftOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AllowShiftOn for class vtkImageDifference requires 1 argument(s)");
  vtkImageDifference* vtk_pointer = GetVTKPointer<vtkImageDifference>(arg[0]);
  Array retval;
  vtk_pointer->AllowShiftOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageDifference:AllowShiftOff vtkImageDifferenceAllowShiftOffFunction
//input a0 
//output none
ArrayVector vtkImageDifferenceAllowShiftOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllowShiftOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AllowShiftOff for class vtkImageDifference requires 1 argument(s)");
  vtkImageDifference* vtk_pointer = GetVTKPointer<vtkImageDifference>(arg[0]);
  Array retval;
  vtk_pointer->AllowShiftOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageDifference:SetAveraging vtkImageDifferenceSetAveragingFunction
//input a0 a1 
//output none
ArrayVector vtkImageDifferenceSetAveragingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAveraging (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAveraging for class vtkImageDifference requires 2 argument(s)");
  vtkImageDifference* vtk_pointer = GetVTKPointer<vtkImageDifference>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAveraging(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageDifference:GetAveraging vtkImageDifferenceGetAveragingFunction
//input a0 
//output y
ArrayVector vtkImageDifferenceGetAveragingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAveraging (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAveraging for class vtkImageDifference requires 1 argument(s)");
  vtkImageDifference* vtk_pointer = GetVTKPointer<vtkImageDifference>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAveraging();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDifference:AveragingOn vtkImageDifferenceAveragingOnFunction
//input a0 
//output none
ArrayVector vtkImageDifferenceAveragingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AveragingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AveragingOn for class vtkImageDifference requires 1 argument(s)");
  vtkImageDifference* vtk_pointer = GetVTKPointer<vtkImageDifference>(arg[0]);
  Array retval;
  vtk_pointer->AveragingOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageDifference:AveragingOff vtkImageDifferenceAveragingOffFunction
//input a0 
//output none
ArrayVector vtkImageDifferenceAveragingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AveragingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AveragingOff for class vtkImageDifference requires 1 argument(s)");
  vtkImageDifference* vtk_pointer = GetVTKPointer<vtkImageDifference>(arg[0]);
  Array retval;
  vtk_pointer->AveragingOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageDifference:GetError vtkImageDifferenceGetErrorFunction
//input varargin
//output varargout
ArrayVector vtkImageDifferenceGetErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkImageDifferenceGetError__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageDifferenceGetError__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageDifferenceGetError");
}

//@@Signature
//sfunction @vtkImageDifference:GetThresholdedError vtkImageDifferenceGetThresholdedErrorFunction
//input varargin
//output varargout
ArrayVector vtkImageDifferenceGetThresholdedErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkImageDifferenceGetThresholdedError__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageDifferenceGetThresholdedError__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageDifferenceGetThresholdedError");
}

//@@Signature
//sfunction @vtkImageDifference:display vtkImageDifferenceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageDifferenceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageDifference* vtk_pointer = GetVTKPointer<vtkImageDifference>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageDifference:delete vtkImageDifferenceDeleteFunction
//input varargin
//output none
ArrayVector vtkImageDifferenceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageDifference
//@@Section VTKImaging
//@@Usage
// vtkImageDifference takes two rgb unsigned char images and compares them.
// It allows the images to be slightly different.  If AllowShift is on,
// then each pixel can be shifted by one pixel. Threshold is the allowable
// error for each pixel.
//
// This is not a symetric filter and the difference computed is not symetric
// when AllowShift is on. Specifically in that case a pixel in SetImage input
// will be compared to the matching pixel in the input as well as to the
// input's eight connected neighbors. BUT... the opposite is not true. So for
// example if a valid image (SetImage) has a single white pixel in it, it
// will not find a match in the input image if the input image is black
// (because none of the nine suspect pixels are white). In contrast, if there
// is a single white pixel in the input image and the valid image (SetImage)
// is all black it will match with no error because all it has to do is find
// black pixels and even though the input image has a white pixel, its
// neighbors are not white.
//
//To create an instance of class vtkImageDifference, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageDifference
//@]
//@@Methods
//The class vtkImageDifference has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageDifference class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageDifference = obj.NewInstance ()|
// \item @|vtkImageDifference = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetImage (vtkDataObject image)| -  Specify the Image to compare the input to.
//// \item @|vtkImageData = obj.GetImage ()| -  Specify the Image to compare the input to.
//// \item @|double = obj.GetError (void )| -  Return the total error in comparing the two images.
//// \item @|obj.GetError (double e)| -  Return the total error in comparing the two images.
//// \item @|double = obj.GetThresholdedError (void )| -  Return the total thresholded error in comparing the two images.
// The thresholded error is the error for a given pixel minus the
// threshold and clamped at a minimum of zero. 
//// \item @|obj.GetThresholdedError (double e)| -  Return the total thresholded error in comparing the two images.
// The thresholded error is the error for a given pixel minus the
// threshold and clamped at a minimum of zero. 
//// \item @|obj.SetThreshold (int )| -  Specify a threshold tolerance for pixel differences.
//// \item @|int = obj.GetThreshold ()| -  Specify a threshold tolerance for pixel differences.
//// \item @|obj.SetAllowShift (int )| -  Specify whether the comparison will allow a shift of one
// pixel between the images.  If set, then the minimum difference
// between input images will be used to determine the difference.
// Otherwise, the difference is computed directly between pixels
// of identical row/column values.
//// \item @|int = obj.GetAllowShift ()| -  Specify whether the comparison will allow a shift of one
// pixel between the images.  If set, then the minimum difference
// between input images will be used to determine the difference.
// Otherwise, the difference is computed directly between pixels
// of identical row/column values.
//// \item @|obj.AllowShiftOn ()| -  Specify whether the comparison will allow a shift of one
// pixel between the images.  If set, then the minimum difference
// between input images will be used to determine the difference.
// Otherwise, the difference is computed directly between pixels
// of identical row/column values.
//// \item @|obj.AllowShiftOff ()| -  Specify whether the comparison will allow a shift of one
// pixel between the images.  If set, then the minimum difference
// between input images will be used to determine the difference.
// Otherwise, the difference is computed directly between pixels
// of identical row/column values.
//// \item @|obj.SetAveraging (int )| -  Specify whether the comparison will include comparison of
// averaged 3x3 data between the images. For graphics renderings
// you normally would leave this on. For imaging operations it
// should be off.
//// \item @|int = obj.GetAveraging ()| -  Specify whether the comparison will include comparison of
// averaged 3x3 data between the images. For graphics renderings
// you normally would leave this on. For imaging operations it
// should be off.
//// \item @|obj.AveragingOn ()| -  Specify whether the comparison will include comparison of
// averaged 3x3 data between the images. For graphics renderings
// you normally would leave this on. For imaging operations it
// should be off.
//// \item @|obj.AveragingOff ()| -  Specify whether the comparison will include comparison of
// averaged 3x3 data between the images. For graphics renderings
// you normally would leave this on. For imaging operations it
// should be off.
////\end{itemize}
//!
