#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageDilateErode3D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageDilateErode3D.h"

//@@Signature
//sfunction @vtkImageDilateErode3D:vtkImageDilateErode3D vtkImageDilateErode3DConstructorFunction
//input a
//output p
//@@Parents vtkImageDilateErode3D vtkImageSpatialAlgorithm 
ArrayVector vtkImageDilateErode3DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageDilateErode3D::New(),"vtkImageDilateErode3D",eval);
  } else if (arg[0].className() == "vtkImageDilateErode3D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageDilateErode3D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageDilateErode3D");
    vtkImageDilateErode3D*q = reinterpret_cast<vtkImageDilateErode3D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageDilateErode3D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageDilateErode3D:GetClassName vtkImageDilateErode3DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageDilateErode3DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageDilateErode3D requires 1 argument(s)");
  vtkImageDilateErode3D* vtk_pointer = GetVTKPointer<vtkImageDilateErode3D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDilateErode3D:IsA vtkImageDilateErode3DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageDilateErode3DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageDilateErode3D requires 2 argument(s)");
  vtkImageDilateErode3D* vtk_pointer = GetVTKPointer<vtkImageDilateErode3D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDilateErode3D:NewInstance vtkImageDilateErode3DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageDilateErode3DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageDilateErode3D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageDilateErode3D requires 1 argument(s)");
  vtkImageDilateErode3D* vtk_pointer = GetVTKPointer<vtkImageDilateErode3D>(arg[0]);
  Array retval;
  vtkImageDilateErode3D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageDilateErode3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageDilateErode3D:SafeDownCast vtkImageDilateErode3DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageDilateErode3DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageDilateErode3D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageDilateErode3D requires 2 argument(s)");
  vtkImageDilateErode3D* vtk_pointer = GetVTKPointer<vtkImageDilateErode3D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageDilateErode3D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageDilateErode3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageDilateErode3D:SetKernelSize vtkImageDilateErode3DSetKernelSizeFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageDilateErode3DSetKernelSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKernelSize (int size0, int size1, int size2); */
  if (arg.size() < 4) 
    throw Exception("Function SetKernelSize for class vtkImageDilateErode3D requires 4 argument(s)");
  vtkImageDilateErode3D* vtk_pointer = GetVTKPointer<vtkImageDilateErode3D>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetKernelSize(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageDilateErode3D:SetDilateValue vtkImageDilateErode3DSetDilateValueFunction
//input a0 a1 
//output none
ArrayVector vtkImageDilateErode3DSetDilateValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDilateValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDilateValue for class vtkImageDilateErode3D requires 2 argument(s)");
  vtkImageDilateErode3D* vtk_pointer = GetVTKPointer<vtkImageDilateErode3D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDilateValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageDilateErode3D:GetDilateValue vtkImageDilateErode3DGetDilateValueFunction
//input a0 
//output y
ArrayVector vtkImageDilateErode3DGetDilateValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDilateValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDilateValue for class vtkImageDilateErode3D requires 1 argument(s)");
  vtkImageDilateErode3D* vtk_pointer = GetVTKPointer<vtkImageDilateErode3D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDilateValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDilateErode3D:SetErodeValue vtkImageDilateErode3DSetErodeValueFunction
//input a0 a1 
//output none
ArrayVector vtkImageDilateErode3DSetErodeValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetErodeValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetErodeValue for class vtkImageDilateErode3D requires 2 argument(s)");
  vtkImageDilateErode3D* vtk_pointer = GetVTKPointer<vtkImageDilateErode3D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetErodeValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageDilateErode3D:GetErodeValue vtkImageDilateErode3DGetErodeValueFunction
//input a0 
//output y
ArrayVector vtkImageDilateErode3DGetErodeValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetErodeValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetErodeValue for class vtkImageDilateErode3D requires 1 argument(s)");
  vtkImageDilateErode3D* vtk_pointer = GetVTKPointer<vtkImageDilateErode3D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetErodeValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDilateErode3D:display vtkImageDilateErode3DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageDilateErode3DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageDilateErode3D* vtk_pointer = GetVTKPointer<vtkImageDilateErode3D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageDilateErode3D:delete vtkImageDilateErode3DDeleteFunction
//input varargin
//output none
ArrayVector vtkImageDilateErode3DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageDilateErode3D
//@@Section VTKImaging
//@@Usage
// vtkImageDilateErode3D will dilate one value and erode another.
// It uses an elliptical foot print, and only erodes/dilates on the
// boundary of the two values.  The filter is restricted to the 
// X, Y, and Z axes for now.  It can degenerate to a 2 or 1 dimensional
// filter by setting the kernel size to 1 for a specific axis.
//
//To create an instance of class vtkImageDilateErode3D, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageDilateErode3D
//@]
//@@Methods
//The class vtkImageDilateErode3D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageDilateErode3D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Construct an instance of vtkImageDilateErode3D filter.
// By default zero values are dilated.
//// \item @|int = obj.IsA (string name)| -  Construct an instance of vtkImageDilateErode3D filter.
// By default zero values are dilated.
//// \item @|vtkImageDilateErode3D = obj.NewInstance ()| -  Construct an instance of vtkImageDilateErode3D filter.
// By default zero values are dilated.
//// \item @|vtkImageDilateErode3D = obj.SafeDownCast (vtkObject o)| -  Construct an instance of vtkImageDilateErode3D filter.
// By default zero values are dilated.
//// \item @|obj.SetKernelSize (int size0, int size1, int size2)| -  This method sets the size of the neighborhood.  It also sets the 
// default middle of the neighborhood and computes the elliptical foot print.
//// \item @|obj.SetDilateValue (double )| -  Set/Get the Dilate and Erode values to be used by this filter.
//// \item @|double = obj.GetDilateValue ()| -  Set/Get the Dilate and Erode values to be used by this filter.
//// \item @|obj.SetErodeValue (double )| -  Set/Get the Dilate and Erode values to be used by this filter.
//// \item @|double = obj.GetErodeValue ()| -  Set/Get the Dilate and Erode values to be used by this filter.
////\end{itemize}
//!
