#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageDivergence object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageDivergence.h"

//@@Signature
//sfunction @vtkImageDivergence:vtkImageDivergence vtkImageDivergenceConstructorFunction
//input a
//output p
//@@Parents vtkImageDivergence vtkThreadedImageAlgorithm 
ArrayVector vtkImageDivergenceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageDivergence::New(),"vtkImageDivergence",eval);
  } else if (arg[0].className() == "vtkImageDivergence") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageDivergence"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageDivergence");
    vtkImageDivergence*q = reinterpret_cast<vtkImageDivergence*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageDivergence");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageDivergence:GetClassName vtkImageDivergenceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageDivergenceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageDivergence requires 1 argument(s)");
  vtkImageDivergence* vtk_pointer = GetVTKPointer<vtkImageDivergence>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDivergence:IsA vtkImageDivergenceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageDivergenceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageDivergence requires 2 argument(s)");
  vtkImageDivergence* vtk_pointer = GetVTKPointer<vtkImageDivergence>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDivergence:NewInstance vtkImageDivergenceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageDivergenceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageDivergence *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageDivergence requires 1 argument(s)");
  vtkImageDivergence* vtk_pointer = GetVTKPointer<vtkImageDivergence>(arg[0]);
  Array retval;
  vtkImageDivergence  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageDivergence",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageDivergence:SafeDownCast vtkImageDivergenceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageDivergenceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageDivergence *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageDivergence requires 2 argument(s)");
  vtkImageDivergence* vtk_pointer = GetVTKPointer<vtkImageDivergence>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageDivergence  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageDivergence",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageDivergence:display vtkImageDivergenceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageDivergenceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageDivergence* vtk_pointer = GetVTKPointer<vtkImageDivergence>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageDivergence:delete vtkImageDivergenceDeleteFunction
//input varargin
//output none
ArrayVector vtkImageDivergenceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageDivergence
//@@Section VTKImaging
//@@Usage
// vtkImageDivergence takes a 3D vector field 
// and creates a scalar field which 
// which represents the rate of change of the vector field.
// The definition of Divergence:
// Given V = P(x,y,z), Q(x,y,z), R(x,y,z),
// Divergence = dP/dx + dQ/dy + dR/dz.
//
//To create an instance of class vtkImageDivergence, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageDivergence
//@]
//@@Methods
//The class vtkImageDivergence has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageDivergence class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageDivergence = obj.NewInstance ()|
// \item @|vtkImageDivergence = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
