#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageDotProduct object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageDotProduct.h"

//@@Signature
//sfunction @vtkImageDotProduct:vtkImageDotProduct vtkImageDotProductConstructorFunction
//input a
//output p
//@@Parents vtkImageDotProduct vtkThreadedImageAlgorithm 
ArrayVector vtkImageDotProductConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageDotProduct::New(),"vtkImageDotProduct",eval);
  } else if (arg[0].className() == "vtkImageDotProduct") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageDotProduct"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageDotProduct");
    vtkImageDotProduct*q = reinterpret_cast<vtkImageDotProduct*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageDotProduct");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageDotProduct:GetClassName vtkImageDotProductGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageDotProductGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageDotProduct requires 1 argument(s)");
  vtkImageDotProduct* vtk_pointer = GetVTKPointer<vtkImageDotProduct>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDotProduct:IsA vtkImageDotProductIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageDotProductIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageDotProduct requires 2 argument(s)");
  vtkImageDotProduct* vtk_pointer = GetVTKPointer<vtkImageDotProduct>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageDotProduct:NewInstance vtkImageDotProductNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageDotProductNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageDotProduct *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageDotProduct requires 1 argument(s)");
  vtkImageDotProduct* vtk_pointer = GetVTKPointer<vtkImageDotProduct>(arg[0]);
  Array retval;
  vtkImageDotProduct  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageDotProduct",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageDotProduct:SafeDownCast vtkImageDotProductSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageDotProductSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageDotProduct *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageDotProduct requires 2 argument(s)");
  vtkImageDotProduct* vtk_pointer = GetVTKPointer<vtkImageDotProduct>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageDotProduct  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageDotProduct",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageDotProduct:SetInput1 vtkImageDotProductSetInput1Function
//input a0 a1 
//output none
ArrayVector vtkImageDotProductSetInput1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput1 (vtkDataObject *in);this SetInput in  */
  if (arg.size() < 2) 
    throw Exception("Function SetInput1 for class vtkImageDotProduct requires 2 argument(s)");
  vtkImageDotProduct* vtk_pointer = GetVTKPointer<vtkImageDotProduct>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput1(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageDotProduct:SetInput2 vtkImageDotProductSetInput2Function
//input a0 a1 
//output none
ArrayVector vtkImageDotProductSetInput2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput2 (vtkDataObject *in);this SetInput in  */
  if (arg.size() < 2) 
    throw Exception("Function SetInput2 for class vtkImageDotProduct requires 2 argument(s)");
  vtkImageDotProduct* vtk_pointer = GetVTKPointer<vtkImageDotProduct>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput2(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageDotProduct:display vtkImageDotProductDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageDotProductDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageDotProduct* vtk_pointer = GetVTKPointer<vtkImageDotProduct>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageDotProduct:delete vtkImageDotProductDeleteFunction
//input varargin
//output none
ArrayVector vtkImageDotProductDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageDotProduct
//@@Section VTKImaging
//@@Usage
// vtkImageDotProduct interprets the scalar components of two images
// as vectors and takes the dot product vector by vector (pixel by pixel).
//
//To create an instance of class vtkImageDotProduct, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageDotProduct
//@]
//@@Methods
//The class vtkImageDotProduct has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageDotProduct class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageDotProduct = obj.NewInstance ()|
// \item @|vtkImageDotProduct = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput1 (vtkDataObject in)| -  Set the two inputs to this filter
//// \item @|obj.SetInput2 (vtkDataObject in)|
//\end{itemize}
//!
