#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageEllipsoidSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageEllipsoidSource.h"

//@@Signature
//sfunction @vtkImageEllipsoidSource:vtkImageEllipsoidSource vtkImageEllipsoidSourceConstructorFunction
//input a
//output p
//@@Parents vtkImageEllipsoidSource vtkImageAlgorithm 
ArrayVector vtkImageEllipsoidSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageEllipsoidSource::New(),"vtkImageEllipsoidSource",eval);
  } else if (arg[0].className() == "vtkImageEllipsoidSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageEllipsoidSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageEllipsoidSource");
    vtkImageEllipsoidSource*q = reinterpret_cast<vtkImageEllipsoidSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageEllipsoidSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageEllipsoidSource:GetClassName vtkImageEllipsoidSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageEllipsoidSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageEllipsoidSource requires 1 argument(s)");
  vtkImageEllipsoidSource* vtk_pointer = GetVTKPointer<vtkImageEllipsoidSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:IsA vtkImageEllipsoidSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageEllipsoidSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageEllipsoidSource requires 2 argument(s)");
  vtkImageEllipsoidSource* vtk_pointer = GetVTKPointer<vtkImageEllipsoidSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:NewInstance vtkImageEllipsoidSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageEllipsoidSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageEllipsoidSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageEllipsoidSource requires 1 argument(s)");
  vtkImageEllipsoidSource* vtk_pointer = GetVTKPointer<vtkImageEllipsoidSource>(arg[0]);
  Array retval;
  vtkImageEllipsoidSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageEllipsoidSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:SafeDownCast vtkImageEllipsoidSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageEllipsoidSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageEllipsoidSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageEllipsoidSource requires 2 argument(s)");
  vtkImageEllipsoidSource* vtk_pointer = GetVTKPointer<vtkImageEllipsoidSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageEllipsoidSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageEllipsoidSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:SetWholeExtent__1 vtkImageEllipsoidSourceSetWholeExtent__1Function
//input a0 a1 
//output none
ArrayVector vtkImageEllipsoidSourceSetWholeExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWholeExtent (int extent[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetWholeExtent__1 for class vtkImageEllipsoidSource requires 2 argument(s)");
  vtkImageEllipsoidSource* vtk_pointer = GetVTKPointer<vtkImageEllipsoidSource>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetWholeExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:SetWholeExtent__2 vtkImageEllipsoidSourceSetWholeExtent__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkImageEllipsoidSourceSetWholeExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWholeExtent (int minX, int maxX, int minY, int maxY, int minZ, int maxZ); */
  if (arg.size() < 7) 
    throw Exception("Function SetWholeExtent__2 for class vtkImageEllipsoidSource requires 7 argument(s)");
  vtkImageEllipsoidSource* vtk_pointer = GetVTKPointer<vtkImageEllipsoidSource>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:GetWholeExtent__1 vtkImageEllipsoidSourceGetWholeExtent__1Function
//input a0 a1 
//output none
ArrayVector vtkImageEllipsoidSourceGetWholeExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetWholeExtent (int extent[6]); */
  if (arg.size() < 2) 
    throw Exception("Function GetWholeExtent__1 for class vtkImageEllipsoidSource requires 2 argument(s)");
  vtkImageEllipsoidSource* vtk_pointer = GetVTKPointer<vtkImageEllipsoidSource>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->GetWholeExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:GetWholeExtent__2 vtkImageEllipsoidSourceGetWholeExtent__2Function
//input a0 
//output y
ArrayVector vtkImageEllipsoidSourceGetWholeExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int *GetWholeExtent ();return this WholeExtent  */
  if (arg.size() < 1) 
    throw Exception("Function GetWholeExtent__2 for class vtkImageEllipsoidSource requires 1 argument(s)");
  vtkImageEllipsoidSource* vtk_pointer = GetVTKPointer<vtkImageEllipsoidSource>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetWholeExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:SetCenter__1 vtkImageEllipsoidSourceSetCenter__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageEllipsoidSourceSetCenter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetCenter__1 for class vtkImageEllipsoidSource requires 4 argument(s)");
  vtkImageEllipsoidSource* vtk_pointer = GetVTKPointer<vtkImageEllipsoidSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCenter(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:SetCenter__2 vtkImageEllipsoidSourceSetCenter__2Function
//input a0 a1 
//output none
ArrayVector vtkImageEllipsoidSourceSetCenter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCenter__2 for class vtkImageEllipsoidSource requires 2 argument(s)");
  vtkImageEllipsoidSource* vtk_pointer = GetVTKPointer<vtkImageEllipsoidSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:GetCenter vtkImageEllipsoidSourceGetCenterFunction
//input a0 
//output y
ArrayVector vtkImageEllipsoidSourceGetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCenter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenter for class vtkImageEllipsoidSource requires 1 argument(s)");
  vtkImageEllipsoidSource* vtk_pointer = GetVTKPointer<vtkImageEllipsoidSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCenter();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:SetRadius__1 vtkImageEllipsoidSourceSetRadius__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageEllipsoidSourceSetRadius__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadius (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetRadius__1 for class vtkImageEllipsoidSource requires 4 argument(s)");
  vtkImageEllipsoidSource* vtk_pointer = GetVTKPointer<vtkImageEllipsoidSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetRadius(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:SetRadius__2 vtkImageEllipsoidSourceSetRadius__2Function
//input a0 a1 
//output none
ArrayVector vtkImageEllipsoidSourceSetRadius__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadius (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetRadius__2 for class vtkImageEllipsoidSource requires 2 argument(s)");
  vtkImageEllipsoidSource* vtk_pointer = GetVTKPointer<vtkImageEllipsoidSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:GetRadius vtkImageEllipsoidSourceGetRadiusFunction
//input a0 
//output y
ArrayVector vtkImageEllipsoidSourceGetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadius for class vtkImageEllipsoidSource requires 1 argument(s)");
  vtkImageEllipsoidSource* vtk_pointer = GetVTKPointer<vtkImageEllipsoidSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetRadius();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:SetInValue vtkImageEllipsoidSourceSetInValueFunction
//input a0 a1 
//output none
ArrayVector vtkImageEllipsoidSourceSetInValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInValue for class vtkImageEllipsoidSource requires 2 argument(s)");
  vtkImageEllipsoidSource* vtk_pointer = GetVTKPointer<vtkImageEllipsoidSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetInValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:GetInValue vtkImageEllipsoidSourceGetInValueFunction
//input a0 
//output y
ArrayVector vtkImageEllipsoidSourceGetInValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetInValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInValue for class vtkImageEllipsoidSource requires 1 argument(s)");
  vtkImageEllipsoidSource* vtk_pointer = GetVTKPointer<vtkImageEllipsoidSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetInValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:SetOutValue vtkImageEllipsoidSourceSetOutValueFunction
//input a0 a1 
//output none
ArrayVector vtkImageEllipsoidSourceSetOutValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutValue for class vtkImageEllipsoidSource requires 2 argument(s)");
  vtkImageEllipsoidSource* vtk_pointer = GetVTKPointer<vtkImageEllipsoidSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetOutValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:GetOutValue vtkImageEllipsoidSourceGetOutValueFunction
//input a0 
//output y
ArrayVector vtkImageEllipsoidSourceGetOutValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOutValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutValue for class vtkImageEllipsoidSource requires 1 argument(s)");
  vtkImageEllipsoidSource* vtk_pointer = GetVTKPointer<vtkImageEllipsoidSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOutValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:SetOutputScalarType vtkImageEllipsoidSourceSetOutputScalarTypeFunction
//input a0 a1 
//output none
ArrayVector vtkImageEllipsoidSourceSetOutputScalarTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputScalarType for class vtkImageEllipsoidSource requires 2 argument(s)");
  vtkImageEllipsoidSource* vtk_pointer = GetVTKPointer<vtkImageEllipsoidSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutputScalarType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:GetOutputScalarType vtkImageEllipsoidSourceGetOutputScalarTypeFunction
//input a0 
//output y
ArrayVector vtkImageEllipsoidSourceGetOutputScalarTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputScalarType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputScalarType for class vtkImageEllipsoidSource requires 1 argument(s)");
  vtkImageEllipsoidSource* vtk_pointer = GetVTKPointer<vtkImageEllipsoidSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutputScalarType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:SetOutputScalarTypeToFloat vtkImageEllipsoidSourceSetOutputScalarTypeToFloatFunction
//input a0 
//output none
ArrayVector vtkImageEllipsoidSourceSetOutputScalarTypeToFloatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToFloat ();this SetOutputScalarType VTK_FLOAT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToFloat for class vtkImageEllipsoidSource requires 1 argument(s)");
  vtkImageEllipsoidSource* vtk_pointer = GetVTKPointer<vtkImageEllipsoidSource>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToFloat();
  return retval;
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:SetOutputScalarTypeToDouble vtkImageEllipsoidSourceSetOutputScalarTypeToDoubleFunction
//input a0 
//output none
ArrayVector vtkImageEllipsoidSourceSetOutputScalarTypeToDoubleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToDouble ();this SetOutputScalarType VTK_DOUBLE  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToDouble for class vtkImageEllipsoidSource requires 1 argument(s)");
  vtkImageEllipsoidSource* vtk_pointer = GetVTKPointer<vtkImageEllipsoidSource>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToDouble();
  return retval;
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:SetOutputScalarTypeToLong vtkImageEllipsoidSourceSetOutputScalarTypeToLongFunction
//input a0 
//output none
ArrayVector vtkImageEllipsoidSourceSetOutputScalarTypeToLongFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToLong ();this SetOutputScalarType VTK_LONG  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToLong for class vtkImageEllipsoidSource requires 1 argument(s)");
  vtkImageEllipsoidSource* vtk_pointer = GetVTKPointer<vtkImageEllipsoidSource>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToLong();
  return retval;
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:SetOutputScalarTypeToUnsignedLong vtkImageEllipsoidSourceSetOutputScalarTypeToUnsignedLongFunction
//input a0 
//output none
ArrayVector vtkImageEllipsoidSourceSetOutputScalarTypeToUnsignedLongFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToUnsignedLong ();this SetOutputScalarType VTK_UNSIGNED_LONG  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToUnsignedLong for class vtkImageEllipsoidSource requires 1 argument(s)");
  vtkImageEllipsoidSource* vtk_pointer = GetVTKPointer<vtkImageEllipsoidSource>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToUnsignedLong();
  return retval;
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:SetOutputScalarTypeToInt vtkImageEllipsoidSourceSetOutputScalarTypeToIntFunction
//input a0 
//output none
ArrayVector vtkImageEllipsoidSourceSetOutputScalarTypeToIntFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToInt ();this SetOutputScalarType VTK_INT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToInt for class vtkImageEllipsoidSource requires 1 argument(s)");
  vtkImageEllipsoidSource* vtk_pointer = GetVTKPointer<vtkImageEllipsoidSource>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToInt();
  return retval;
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:SetOutputScalarTypeToUnsignedInt vtkImageEllipsoidSourceSetOutputScalarTypeToUnsignedIntFunction
//input a0 
//output none
ArrayVector vtkImageEllipsoidSourceSetOutputScalarTypeToUnsignedIntFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToUnsignedInt ();this SetOutputScalarType VTK_UNSIGNED_INT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToUnsignedInt for class vtkImageEllipsoidSource requires 1 argument(s)");
  vtkImageEllipsoidSource* vtk_pointer = GetVTKPointer<vtkImageEllipsoidSource>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToUnsignedInt();
  return retval;
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:SetOutputScalarTypeToShort vtkImageEllipsoidSourceSetOutputScalarTypeToShortFunction
//input a0 
//output none
ArrayVector vtkImageEllipsoidSourceSetOutputScalarTypeToShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToShort ();this SetOutputScalarType VTK_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToShort for class vtkImageEllipsoidSource requires 1 argument(s)");
  vtkImageEllipsoidSource* vtk_pointer = GetVTKPointer<vtkImageEllipsoidSource>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToShort();
  return retval;
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:SetOutputScalarTypeToUnsignedShort vtkImageEllipsoidSourceSetOutputScalarTypeToUnsignedShortFunction
//input a0 
//output none
ArrayVector vtkImageEllipsoidSourceSetOutputScalarTypeToUnsignedShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToUnsignedShort ();this SetOutputScalarType VTK_UNSIGNED_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToUnsignedShort for class vtkImageEllipsoidSource requires 1 argument(s)");
  vtkImageEllipsoidSource* vtk_pointer = GetVTKPointer<vtkImageEllipsoidSource>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToUnsignedShort();
  return retval;
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:SetOutputScalarTypeToChar vtkImageEllipsoidSourceSetOutputScalarTypeToCharFunction
//input a0 
//output none
ArrayVector vtkImageEllipsoidSourceSetOutputScalarTypeToCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToChar ();this SetOutputScalarType VTK_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToChar for class vtkImageEllipsoidSource requires 1 argument(s)");
  vtkImageEllipsoidSource* vtk_pointer = GetVTKPointer<vtkImageEllipsoidSource>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToChar();
  return retval;
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:SetOutputScalarTypeToUnsignedChar vtkImageEllipsoidSourceSetOutputScalarTypeToUnsignedCharFunction
//input a0 
//output none
ArrayVector vtkImageEllipsoidSourceSetOutputScalarTypeToUnsignedCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToUnsignedChar ();this SetOutputScalarType VTK_UNSIGNED_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToUnsignedChar for class vtkImageEllipsoidSource requires 1 argument(s)");
  vtkImageEllipsoidSource* vtk_pointer = GetVTKPointer<vtkImageEllipsoidSource>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToUnsignedChar();
  return retval;
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:SetWholeExtent vtkImageEllipsoidSourceSetWholeExtentFunction
//input varargin
//output varargout
ArrayVector vtkImageEllipsoidSourceSetWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageEllipsoidSourceSetWholeExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkImageEllipsoidSourceSetWholeExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageEllipsoidSourceSetWholeExtent");
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:GetWholeExtent vtkImageEllipsoidSourceGetWholeExtentFunction
//input varargin
//output varargout
ArrayVector vtkImageEllipsoidSourceGetWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageEllipsoidSourceGetWholeExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkImageEllipsoidSourceGetWholeExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageEllipsoidSourceGetWholeExtent");
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:SetCenter vtkImageEllipsoidSourceSetCenterFunction
//input varargin
//output varargout
ArrayVector vtkImageEllipsoidSourceSetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageEllipsoidSourceSetCenter__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageEllipsoidSourceSetCenter__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageEllipsoidSourceSetCenter");
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:SetRadius vtkImageEllipsoidSourceSetRadiusFunction
//input varargin
//output varargout
ArrayVector vtkImageEllipsoidSourceSetRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageEllipsoidSourceSetRadius__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageEllipsoidSourceSetRadius__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageEllipsoidSourceSetRadius");
}

//@@Signature
//sfunction @vtkImageEllipsoidSource:display vtkImageEllipsoidSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageEllipsoidSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageEllipsoidSource* vtk_pointer = GetVTKPointer<vtkImageEllipsoidSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageEllipsoidSource:delete vtkImageEllipsoidSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkImageEllipsoidSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageEllipsoidSource
//@@Section VTKImaging
//@@Usage
// vtkImageEllipsoidSource creates a binary image of a ellipsoid.  It was created
// as an example of a simple source, and to test the mask filter.
// It is also used internally in vtkImageDilateErode3D.
//
//To create an instance of class vtkImageEllipsoidSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageEllipsoidSource
//@]
//@@Methods
//The class vtkImageEllipsoidSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageEllipsoidSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageEllipsoidSource = obj.NewInstance ()|
// \item @|vtkImageEllipsoidSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetWholeExtent (int extent[6])| -  Set/Get the extent of the whole output image.
//// \item @|obj.SetWholeExtent (int minX, int maxX, int minY, int maxY, int minZ, int maxZ)| -  Set/Get the extent of the whole output image.
//// \item @|obj.GetWholeExtent (int extent[6])| -  Set/Get the extent of the whole output image.
//// \item @|int = obj.GetWholeExtent ()| -  Set/Get the center of the ellipsoid.
//// \item @|obj.SetCenter (double , double , double )| -  Set/Get the center of the ellipsoid.
//// \item @|obj.SetCenter (double  a[3])| -  Set/Get the center of the ellipsoid.
//// \item @|double = obj. GetCenter ()| -  Set/Get the center of the ellipsoid.
//// \item @|obj.SetRadius (double , double , double )| -  Set/Get the radius of the ellipsoid.
//// \item @|obj.SetRadius (double  a[3])| -  Set/Get the radius of the ellipsoid.
//// \item @|double = obj. GetRadius ()| -  Set/Get the radius of the ellipsoid.
//// \item @|obj.SetInValue (double )| -  Set/Get the inside pixel values.
//// \item @|double = obj.GetInValue ()| -  Set/Get the inside pixel values.
//// \item @|obj.SetOutValue (double )| -  Set/Get the outside pixel values.
//// \item @|double = obj.GetOutValue ()| -  Set/Get the outside pixel values.
//// \item @|obj.SetOutputScalarType (int )| -  Set what type of scalar data this source should generate.
//// \item @|int = obj.GetOutputScalarType ()| -  Set what type of scalar data this source should generate.
//// \item @|obj.SetOutputScalarTypeToFloat ()| -  Set what type of scalar data this source should generate.
//// \item @|obj.SetOutputScalarTypeToDouble ()| -  Set what type of scalar data this source should generate.
//// \item @|obj.SetOutputScalarTypeToLong ()| -  Set what type of scalar data this source should generate.
//// \item @|obj.SetOutputScalarTypeToUnsignedLong ()| -  Set what type of scalar data this source should generate.
//// \item @|obj.SetOutputScalarTypeToInt ()| -  Set what type of scalar data this source should generate.
//// \item @|obj.SetOutputScalarTypeToUnsignedInt ()| -  Set what type of scalar data this source should generate.
//// \item @|obj.SetOutputScalarTypeToShort ()| -  Set what type of scalar data this source should generate.
//// \item @|obj.SetOutputScalarTypeToUnsignedShort ()| -  Set what type of scalar data this source should generate.
//// \item @|obj.SetOutputScalarTypeToChar ()| -  Set what type of scalar data this source should generate.
//// \item @|obj.SetOutputScalarTypeToUnsignedChar ()|
//\end{itemize}
//!
