#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageEuclideanDistance object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageEuclideanDistance.h"

//@@Signature
//sfunction @vtkImageEuclideanDistance:vtkImageEuclideanDistance vtkImageEuclideanDistanceConstructorFunction
//input a
//output p
//@@Parents vtkImageEuclideanDistance vtkImageDecomposeFilter 
ArrayVector vtkImageEuclideanDistanceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageEuclideanDistance::New(),"vtkImageEuclideanDistance",eval);
  } else if (arg[0].className() == "vtkImageEuclideanDistance") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageEuclideanDistance"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageEuclideanDistance");
    vtkImageEuclideanDistance*q = reinterpret_cast<vtkImageEuclideanDistance*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageEuclideanDistance");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageEuclideanDistance:GetClassName vtkImageEuclideanDistanceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageEuclideanDistanceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageEuclideanDistance requires 1 argument(s)");
  vtkImageEuclideanDistance* vtk_pointer = GetVTKPointer<vtkImageEuclideanDistance>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageEuclideanDistance:IsA vtkImageEuclideanDistanceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageEuclideanDistanceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageEuclideanDistance requires 2 argument(s)");
  vtkImageEuclideanDistance* vtk_pointer = GetVTKPointer<vtkImageEuclideanDistance>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageEuclideanDistance:NewInstance vtkImageEuclideanDistanceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageEuclideanDistanceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageEuclideanDistance *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageEuclideanDistance requires 1 argument(s)");
  vtkImageEuclideanDistance* vtk_pointer = GetVTKPointer<vtkImageEuclideanDistance>(arg[0]);
  Array retval;
  vtkImageEuclideanDistance  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageEuclideanDistance",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageEuclideanDistance:SafeDownCast vtkImageEuclideanDistanceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageEuclideanDistanceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageEuclideanDistance *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageEuclideanDistance requires 2 argument(s)");
  vtkImageEuclideanDistance* vtk_pointer = GetVTKPointer<vtkImageEuclideanDistance>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageEuclideanDistance  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageEuclideanDistance",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageEuclideanDistance:SplitExtent vtkImageEuclideanDistanceSplitExtentFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkImageEuclideanDistanceSplitExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SplitExtent (int splitExt[6], int startExt[6], int num, int total); */
  if (arg.size() < 5) 
    throw Exception("Function SplitExtent for class vtkImageEuclideanDistance requires 5 argument(s)");
  vtkImageEuclideanDistance* vtk_pointer = GetVTKPointer<vtkImageEuclideanDistance>(arg[0]);
  Array retval;
  int    temp0[6];
  int    temp1[6];
  int      temp2;
  int      temp3;
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
  }
  if ( !arg[13].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[13].asDouble();
  if ( !arg[14].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[14].asDouble();
  temp20 = (vtk_pointer)->SplitExtent(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageEuclideanDistance:SetInitialize vtkImageEuclideanDistanceSetInitializeFunction
//input a0 a1 
//output none
ArrayVector vtkImageEuclideanDistanceSetInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInitialize (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInitialize for class vtkImageEuclideanDistance requires 2 argument(s)");
  vtkImageEuclideanDistance* vtk_pointer = GetVTKPointer<vtkImageEuclideanDistance>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInitialize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageEuclideanDistance:GetInitialize vtkImageEuclideanDistanceGetInitializeFunction
//input a0 
//output y
ArrayVector vtkImageEuclideanDistanceGetInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInitialize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInitialize for class vtkImageEuclideanDistance requires 1 argument(s)");
  vtkImageEuclideanDistance* vtk_pointer = GetVTKPointer<vtkImageEuclideanDistance>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInitialize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageEuclideanDistance:InitializeOn vtkImageEuclideanDistanceInitializeOnFunction
//input a0 
//output none
ArrayVector vtkImageEuclideanDistanceInitializeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InitializeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function InitializeOn for class vtkImageEuclideanDistance requires 1 argument(s)");
  vtkImageEuclideanDistance* vtk_pointer = GetVTKPointer<vtkImageEuclideanDistance>(arg[0]);
  Array retval;
  vtk_pointer->InitializeOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageEuclideanDistance:InitializeOff vtkImageEuclideanDistanceInitializeOffFunction
//input a0 
//output none
ArrayVector vtkImageEuclideanDistanceInitializeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InitializeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function InitializeOff for class vtkImageEuclideanDistance requires 1 argument(s)");
  vtkImageEuclideanDistance* vtk_pointer = GetVTKPointer<vtkImageEuclideanDistance>(arg[0]);
  Array retval;
  vtk_pointer->InitializeOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageEuclideanDistance:SetConsiderAnisotropy vtkImageEuclideanDistanceSetConsiderAnisotropyFunction
//input a0 a1 
//output none
ArrayVector vtkImageEuclideanDistanceSetConsiderAnisotropyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetConsiderAnisotropy (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetConsiderAnisotropy for class vtkImageEuclideanDistance requires 2 argument(s)");
  vtkImageEuclideanDistance* vtk_pointer = GetVTKPointer<vtkImageEuclideanDistance>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetConsiderAnisotropy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageEuclideanDistance:GetConsiderAnisotropy vtkImageEuclideanDistanceGetConsiderAnisotropyFunction
//input a0 
//output y
ArrayVector vtkImageEuclideanDistanceGetConsiderAnisotropyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetConsiderAnisotropy (); */
  if (arg.size() < 1) 
    throw Exception("Function GetConsiderAnisotropy for class vtkImageEuclideanDistance requires 1 argument(s)");
  vtkImageEuclideanDistance* vtk_pointer = GetVTKPointer<vtkImageEuclideanDistance>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetConsiderAnisotropy();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageEuclideanDistance:ConsiderAnisotropyOn vtkImageEuclideanDistanceConsiderAnisotropyOnFunction
//input a0 
//output none
ArrayVector vtkImageEuclideanDistanceConsiderAnisotropyOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ConsiderAnisotropyOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ConsiderAnisotropyOn for class vtkImageEuclideanDistance requires 1 argument(s)");
  vtkImageEuclideanDistance* vtk_pointer = GetVTKPointer<vtkImageEuclideanDistance>(arg[0]);
  Array retval;
  vtk_pointer->ConsiderAnisotropyOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageEuclideanDistance:ConsiderAnisotropyOff vtkImageEuclideanDistanceConsiderAnisotropyOffFunction
//input a0 
//output none
ArrayVector vtkImageEuclideanDistanceConsiderAnisotropyOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ConsiderAnisotropyOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ConsiderAnisotropyOff for class vtkImageEuclideanDistance requires 1 argument(s)");
  vtkImageEuclideanDistance* vtk_pointer = GetVTKPointer<vtkImageEuclideanDistance>(arg[0]);
  Array retval;
  vtk_pointer->ConsiderAnisotropyOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageEuclideanDistance:SetMaximumDistance vtkImageEuclideanDistanceSetMaximumDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkImageEuclideanDistanceSetMaximumDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumDistance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumDistance for class vtkImageEuclideanDistance requires 2 argument(s)");
  vtkImageEuclideanDistance* vtk_pointer = GetVTKPointer<vtkImageEuclideanDistance>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximumDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageEuclideanDistance:GetMaximumDistance vtkImageEuclideanDistanceGetMaximumDistanceFunction
//input a0 
//output y
ArrayVector vtkImageEuclideanDistanceGetMaximumDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumDistance for class vtkImageEuclideanDistance requires 1 argument(s)");
  vtkImageEuclideanDistance* vtk_pointer = GetVTKPointer<vtkImageEuclideanDistance>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageEuclideanDistance:SetAlgorithm vtkImageEuclideanDistanceSetAlgorithmFunction
//input a0 a1 
//output none
ArrayVector vtkImageEuclideanDistanceSetAlgorithmFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAlgorithm (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAlgorithm for class vtkImageEuclideanDistance requires 2 argument(s)");
  vtkImageEuclideanDistance* vtk_pointer = GetVTKPointer<vtkImageEuclideanDistance>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAlgorithm(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageEuclideanDistance:GetAlgorithm vtkImageEuclideanDistanceGetAlgorithmFunction
//input a0 
//output y
ArrayVector vtkImageEuclideanDistanceGetAlgorithmFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAlgorithm (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAlgorithm for class vtkImageEuclideanDistance requires 1 argument(s)");
  vtkImageEuclideanDistance* vtk_pointer = GetVTKPointer<vtkImageEuclideanDistance>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAlgorithm();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageEuclideanDistance:SetAlgorithmToSaito vtkImageEuclideanDistanceSetAlgorithmToSaitoFunction
//input a0 
//output none
ArrayVector vtkImageEuclideanDistanceSetAlgorithmToSaitoFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAlgorithmToSaito ();this SetAlgorithm VTK_EDT_SAITO  */
  if (arg.size() < 1) 
    throw Exception("Function SetAlgorithmToSaito for class vtkImageEuclideanDistance requires 1 argument(s)");
  vtkImageEuclideanDistance* vtk_pointer = GetVTKPointer<vtkImageEuclideanDistance>(arg[0]);
  Array retval;
  vtk_pointer->SetAlgorithmToSaito();
  return retval;
}

//@@Signature
//sfunction @vtkImageEuclideanDistance:SetAlgorithmToSaitoCached vtkImageEuclideanDistanceSetAlgorithmToSaitoCachedFunction
//input a0 
//output none
ArrayVector vtkImageEuclideanDistanceSetAlgorithmToSaitoCachedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAlgorithmToSaitoCached ();this SetAlgorithm VTK_EDT_SAITO_CACHED  */
  if (arg.size() < 1) 
    throw Exception("Function SetAlgorithmToSaitoCached for class vtkImageEuclideanDistance requires 1 argument(s)");
  vtkImageEuclideanDistance* vtk_pointer = GetVTKPointer<vtkImageEuclideanDistance>(arg[0]);
  Array retval;
  vtk_pointer->SetAlgorithmToSaitoCached();
  return retval;
}

//@@Signature
//sfunction @vtkImageEuclideanDistance:display vtkImageEuclideanDistanceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageEuclideanDistanceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageEuclideanDistance* vtk_pointer = GetVTKPointer<vtkImageEuclideanDistance>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageEuclideanDistance:delete vtkImageEuclideanDistanceDeleteFunction
//input varargin
//output none
ArrayVector vtkImageEuclideanDistanceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageEuclideanDistance
//@@Section VTKImaging
//@@Usage
// vtkImageEuclideanDistance implements the Euclidean DT using
// Saito's algorithm. The distance map produced contains the square of the
// Euclidean distance values. 
//
// The algorithm has a o(n^(D+1)) complexity over nxnx...xn images in D 
// dimensions. It is very efficient on relatively small images. Cuisenaire's
// algorithms should be used instead if n >> 500. These are not implemented
// yet.
//
// For the special case of images where the slice-size is a multiple of 
// 2^N with a large N (typically for 256x256 slices), Saito's algorithm 
// encounters a lot of cache conflicts during the 3rd iteration which can 
// slow it very significantly. In that case, one should use 
// ::SetAlgorithmToSaitoCached() instead for better performance. 
//
// References:
//
// T. Saito and J.I. Toriwaki. New algorithms for Euclidean distance 
// transformations of an n-dimensional digitised picture with applications.
// Pattern Recognition, 27(11). pp. 1551--1565, 1994. 
// 
// O. Cuisenaire. Distance Transformation: fast algorithms and applications
// to medical image processing. PhD Thesis, Universite catholique de Louvain,
// October 1999. http://ltswww.epfl.ch/~cuisenai/papers/oc_thesis.pdf 
//
//To create an instance of class vtkImageEuclideanDistance, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageEuclideanDistance
//@]
//@@Methods
//The class vtkImageEuclideanDistance has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageEuclideanDistance class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageEuclideanDistance = obj.NewInstance ()|
// \item @|vtkImageEuclideanDistance = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.SplitExtent (int splitExt[6], int startExt[6], int num, int total)| -  Used internally for streaming and threads.  
// Splits output update extent into num pieces.
// This method needs to be called num times.  Results must not overlap for
// consistent starting extent.  Subclass can override this method.
// This method returns the number of peices resulting from a
// successful split.  This can be from 1 to "total".  
// If 1 is returned, the extent cannot be split.
//// \item @|obj.SetInitialize (int )| -  Used to set all non-zero voxels to MaximumDistance before starting
// the distance transformation. Setting Initialize off keeps the current 
// value in the input image as starting point. This allows to superimpose 
// several distance maps. 
//// \item @|int = obj.GetInitialize ()| -  Used to set all non-zero voxels to MaximumDistance before starting
// the distance transformation. Setting Initialize off keeps the current 
// value in the input image as starting point. This allows to superimpose 
// several distance maps. 
//// \item @|obj.InitializeOn ()| -  Used to set all non-zero voxels to MaximumDistance before starting
// the distance transformation. Setting Initialize off keeps the current 
// value in the input image as starting point. This allows to superimpose 
// several distance maps. 
//// \item @|obj.InitializeOff ()| -  Used to set all non-zero voxels to MaximumDistance before starting
// the distance transformation. Setting Initialize off keeps the current 
// value in the input image as starting point. This allows to superimpose 
// several distance maps. 
//// \item @|obj.SetConsiderAnisotropy (int )| -  Used to define whether Spacing should be used in the computation of the
// distances 
//// \item @|int = obj.GetConsiderAnisotropy ()| -  Used to define whether Spacing should be used in the computation of the
// distances 
//// \item @|obj.ConsiderAnisotropyOn ()| -  Used to define whether Spacing should be used in the computation of the
// distances 
//// \item @|obj.ConsiderAnisotropyOff ()| -  Used to define whether Spacing should be used in the computation of the
// distances 
//// \item @|obj.SetMaximumDistance (double )| -  Any distance bigger than this->MaximumDistance will not ne computed but
// set to this->MaximumDistance instead. 
//// \item @|double = obj.GetMaximumDistance ()| -  Any distance bigger than this->MaximumDistance will not ne computed but
// set to this->MaximumDistance instead. 
//// \item @|obj.SetAlgorithm (int )| -  Selects a Euclidean DT algorithm. 
// 1. Saito
// 2. Saito-cached 
// More algorithms will be added later on. 
//// \item @|int = obj.GetAlgorithm ()| -  Selects a Euclidean DT algorithm. 
// 1. Saito
// 2. Saito-cached 
// More algorithms will be added later on. 
//// \item @|obj.SetAlgorithmToSaito ()| -  Selects a Euclidean DT algorithm. 
// 1. Saito
// 2. Saito-cached 
// More algorithms will be added later on. 
//// \item @|obj.SetAlgorithmToSaitoCached ()|
//\end{itemize}
//!
