#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageEuclideanToPolar object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageEuclideanToPolar.h"

//@@Signature
//sfunction @vtkImageEuclideanToPolar:vtkImageEuclideanToPolar vtkImageEuclideanToPolarConstructorFunction
//input a
//output p
//@@Parents vtkImageEuclideanToPolar vtkThreadedImageAlgorithm 
ArrayVector vtkImageEuclideanToPolarConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageEuclideanToPolar::New(),"vtkImageEuclideanToPolar",eval);
  } else if (arg[0].className() == "vtkImageEuclideanToPolar") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageEuclideanToPolar"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageEuclideanToPolar");
    vtkImageEuclideanToPolar*q = reinterpret_cast<vtkImageEuclideanToPolar*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageEuclideanToPolar");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageEuclideanToPolar:GetClassName vtkImageEuclideanToPolarGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageEuclideanToPolarGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageEuclideanToPolar requires 1 argument(s)");
  vtkImageEuclideanToPolar* vtk_pointer = GetVTKPointer<vtkImageEuclideanToPolar>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageEuclideanToPolar:IsA vtkImageEuclideanToPolarIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageEuclideanToPolarIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageEuclideanToPolar requires 2 argument(s)");
  vtkImageEuclideanToPolar* vtk_pointer = GetVTKPointer<vtkImageEuclideanToPolar>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageEuclideanToPolar:NewInstance vtkImageEuclideanToPolarNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageEuclideanToPolarNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageEuclideanToPolar *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageEuclideanToPolar requires 1 argument(s)");
  vtkImageEuclideanToPolar* vtk_pointer = GetVTKPointer<vtkImageEuclideanToPolar>(arg[0]);
  Array retval;
  vtkImageEuclideanToPolar  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageEuclideanToPolar",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageEuclideanToPolar:SafeDownCast vtkImageEuclideanToPolarSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageEuclideanToPolarSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageEuclideanToPolar *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageEuclideanToPolar requires 2 argument(s)");
  vtkImageEuclideanToPolar* vtk_pointer = GetVTKPointer<vtkImageEuclideanToPolar>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageEuclideanToPolar  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageEuclideanToPolar",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageEuclideanToPolar:SetThetaMaximum vtkImageEuclideanToPolarSetThetaMaximumFunction
//input a0 a1 
//output none
ArrayVector vtkImageEuclideanToPolarSetThetaMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetThetaMaximum (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetThetaMaximum for class vtkImageEuclideanToPolar requires 2 argument(s)");
  vtkImageEuclideanToPolar* vtk_pointer = GetVTKPointer<vtkImageEuclideanToPolar>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetThetaMaximum(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageEuclideanToPolar:GetThetaMaximum vtkImageEuclideanToPolarGetThetaMaximumFunction
//input a0 
//output y
ArrayVector vtkImageEuclideanToPolarGetThetaMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetThetaMaximum (); */
  if (arg.size() < 1) 
    throw Exception("Function GetThetaMaximum for class vtkImageEuclideanToPolar requires 1 argument(s)");
  vtkImageEuclideanToPolar* vtk_pointer = GetVTKPointer<vtkImageEuclideanToPolar>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetThetaMaximum();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageEuclideanToPolar:display vtkImageEuclideanToPolarDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageEuclideanToPolarDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageEuclideanToPolar* vtk_pointer = GetVTKPointer<vtkImageEuclideanToPolar>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageEuclideanToPolar:delete vtkImageEuclideanToPolarDeleteFunction
//input varargin
//output none
ArrayVector vtkImageEuclideanToPolarDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageEuclideanToPolar
//@@Section VTKImaging
//@@Usage
// For each pixel with vector components x,y, this filter outputs 
// theta in component0, and radius in component1.
//
//To create an instance of class vtkImageEuclideanToPolar, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageEuclideanToPolar
//@]
//@@Methods
//The class vtkImageEuclideanToPolar has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageEuclideanToPolar class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageEuclideanToPolar = obj.NewInstance ()|
// \item @|vtkImageEuclideanToPolar = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetThetaMaximum (double )| -  Theta is an angle. Maximum specifies when it maps back to 0.
// ThetaMaximum defaults to 255 instead of 2PI, because unsigned char
// is expected as input. The output type must be the same as input type.
//// \item @|double = obj.GetThetaMaximum ()| -  Theta is an angle. Maximum specifies when it maps back to 0.
// ThetaMaximum defaults to 255 instead of 2PI, because unsigned char
// is expected as input. The output type must be the same as input type.
////\end{itemize}
//!
