#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageExport object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageExport.h"

//@@Signature
//sfunction @vtkImageExport:vtkImageExport vtkImageExportConstructorFunction
//input a
//output p
//@@Parents vtkImageExport vtkImageAlgorithm 
ArrayVector vtkImageExportConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageExport::New(),"vtkImageExport",eval);
  } else if (arg[0].className() == "vtkImageExport") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageExport"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageExport");
    vtkImageExport*q = reinterpret_cast<vtkImageExport*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageExport");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageExport:GetClassName vtkImageExportGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageExportGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageExport requires 1 argument(s)");
  vtkImageExport* vtk_pointer = GetVTKPointer<vtkImageExport>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageExport:IsA vtkImageExportIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageExportIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageExport requires 2 argument(s)");
  vtkImageExport* vtk_pointer = GetVTKPointer<vtkImageExport>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageExport:NewInstance vtkImageExportNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageExportNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageExport *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageExport requires 1 argument(s)");
  vtkImageExport* vtk_pointer = GetVTKPointer<vtkImageExport>(arg[0]);
  Array retval;
  vtkImageExport  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageExport",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageExport:SafeDownCast vtkImageExportSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageExportSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageExport *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageExport requires 2 argument(s)");
  vtkImageExport* vtk_pointer = GetVTKPointer<vtkImageExport>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageExport  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageExport",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageExport:GetDataMemorySize vtkImageExportGetDataMemorySizeFunction
//input a0 
//output y
ArrayVector vtkImageExportGetDataMemorySizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataMemorySize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataMemorySize for class vtkImageExport requires 1 argument(s)");
  vtkImageExport* vtk_pointer = GetVTKPointer<vtkImageExport>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataMemorySize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageExport:GetDataDimensions__1 vtkImageExportGetDataDimensions__1Function
//input a0 a1 
//output none
ArrayVector vtkImageExportGetDataDimensions__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetDataDimensions (int *ptr); */
  if (arg.size() < 2) 
    throw Exception("Function GetDataDimensions__1 for class vtkImageExport requires 2 argument(s)");
  vtkImageExport* vtk_pointer = GetVTKPointer<vtkImageExport>(arg[0]);
  Array retval;
  int     *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  vtk_pointer->GetDataDimensions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageExport:GetDataDimensions__2 vtkImageExportGetDataDimensions__2Function
//input a0 
//output y
ArrayVector vtkImageExportGetDataDimensions__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int *GetDataDimensions ();this GetDataDimensions this DataDimensions return this DataDimensions  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataDimensions__2 for class vtkImageExport requires 1 argument(s)");
  vtkImageExport* vtk_pointer = GetVTKPointer<vtkImageExport>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetDataDimensions();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageExport:GetDataNumberOfScalarComponents vtkImageExportGetDataNumberOfScalarComponentsFunction
//input a0 
//output y
ArrayVector vtkImageExportGetDataNumberOfScalarComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataNumberOfScalarComponents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataNumberOfScalarComponents for class vtkImageExport requires 1 argument(s)");
  vtkImageExport* vtk_pointer = GetVTKPointer<vtkImageExport>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataNumberOfScalarComponents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageExport:GetDataScalarType vtkImageExportGetDataScalarTypeFunction
//input a0 
//output y
ArrayVector vtkImageExportGetDataScalarTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataScalarType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataScalarType for class vtkImageExport requires 1 argument(s)");
  vtkImageExport* vtk_pointer = GetVTKPointer<vtkImageExport>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataScalarType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageExport:GetDataScalarTypeAsString vtkImageExportGetDataScalarTypeAsStringFunction
//input a0 
//output y
ArrayVector vtkImageExportGetDataScalarTypeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetDataScalarTypeAsString ();return vtkImageScalarTypeNameMacro this GetDataScalarType  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataScalarTypeAsString for class vtkImageExport requires 1 argument(s)");
  vtkImageExport* vtk_pointer = GetVTKPointer<vtkImageExport>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDataScalarTypeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageExport:GetDataExtent__1 vtkImageExportGetDataExtent__1Function
//input a0 
//output y
ArrayVector vtkImageExportGetDataExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int *GetDataExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataExtent__1 for class vtkImageExport requires 1 argument(s)");
  vtkImageExport* vtk_pointer = GetVTKPointer<vtkImageExport>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetDataExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageExport:GetDataExtent__2 vtkImageExportGetDataExtent__2Function
//input a0 a1 
//output none
ArrayVector vtkImageExportGetDataExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetDataExtent (int *ptr); */
  if (arg.size() < 2) 
    throw Exception("Function GetDataExtent__2 for class vtkImageExport requires 2 argument(s)");
  vtkImageExport* vtk_pointer = GetVTKPointer<vtkImageExport>(arg[0]);
  Array retval;
  int     *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new int[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
      }
  vtk_pointer->GetDataExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageExport:GetDataSpacing__1 vtkImageExportGetDataSpacing__1Function
//input a0 
//output y
ArrayVector vtkImageExportGetDataSpacing__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetDataSpacing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataSpacing__1 for class vtkImageExport requires 1 argument(s)");
  vtkImageExport* vtk_pointer = GetVTKPointer<vtkImageExport>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetDataSpacing();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageExport:GetDataSpacing__2 vtkImageExportGetDataSpacing__2Function
//input a0 a1 
//output none
ArrayVector vtkImageExportGetDataSpacing__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetDataSpacing (double *ptr); */
  if (arg.size() < 2) 
    throw Exception("Function GetDataSpacing__2 for class vtkImageExport requires 2 argument(s)");
  vtkImageExport* vtk_pointer = GetVTKPointer<vtkImageExport>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->GetDataSpacing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageExport:GetDataOrigin__1 vtkImageExportGetDataOrigin__1Function
//input a0 
//output y
ArrayVector vtkImageExportGetDataOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetDataOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataOrigin__1 for class vtkImageExport requires 1 argument(s)");
  vtkImageExport* vtk_pointer = GetVTKPointer<vtkImageExport>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetDataOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageExport:GetDataOrigin__2 vtkImageExportGetDataOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkImageExportGetDataOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetDataOrigin (double *ptr); */
  if (arg.size() < 2) 
    throw Exception("Function GetDataOrigin__2 for class vtkImageExport requires 2 argument(s)");
  vtkImageExport* vtk_pointer = GetVTKPointer<vtkImageExport>(arg[0]);
  Array retval;
  double  *temp0;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  vtk_pointer->GetDataOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageExport:ImageLowerLeftOn vtkImageExportImageLowerLeftOnFunction
//input a0 
//output none
ArrayVector vtkImageExportImageLowerLeftOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ImageLowerLeftOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ImageLowerLeftOn for class vtkImageExport requires 1 argument(s)");
  vtkImageExport* vtk_pointer = GetVTKPointer<vtkImageExport>(arg[0]);
  Array retval;
  vtk_pointer->ImageLowerLeftOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageExport:ImageLowerLeftOff vtkImageExportImageLowerLeftOffFunction
//input a0 
//output none
ArrayVector vtkImageExportImageLowerLeftOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ImageLowerLeftOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ImageLowerLeftOff for class vtkImageExport requires 1 argument(s)");
  vtkImageExport* vtk_pointer = GetVTKPointer<vtkImageExport>(arg[0]);
  Array retval;
  vtk_pointer->ImageLowerLeftOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageExport:GetImageLowerLeft vtkImageExportGetImageLowerLeftFunction
//input a0 
//output y
ArrayVector vtkImageExportGetImageLowerLeftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetImageLowerLeft (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageLowerLeft for class vtkImageExport requires 1 argument(s)");
  vtkImageExport* vtk_pointer = GetVTKPointer<vtkImageExport>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetImageLowerLeft();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageExport:SetImageLowerLeft vtkImageExportSetImageLowerLeftFunction
//input a0 a1 
//output none
ArrayVector vtkImageExportSetImageLowerLeftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImageLowerLeft (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetImageLowerLeft for class vtkImageExport requires 2 argument(s)");
  vtkImageExport* vtk_pointer = GetVTKPointer<vtkImageExport>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetImageLowerLeft(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageExport:Export__1 vtkImageExportExport__1Function
//input a0 
//output none
ArrayVector vtkImageExportExport__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Export ();this Export this ExportVoidPointer  */
  if (arg.size() < 1) 
    throw Exception("Function Export__1 for class vtkImageExport requires 1 argument(s)");
  vtkImageExport* vtk_pointer = GetVTKPointer<vtkImageExport>(arg[0]);
  Array retval;
  vtk_pointer->Export();
  return retval;
}

//@@Signature
//sfunction @vtkImageExport:GetDataDimensions vtkImageExportGetDataDimensionsFunction
//input varargin
//output varargout
ArrayVector vtkImageExportGetDataDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageExportGetDataDimensions__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkImageExportGetDataDimensions__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageExportGetDataDimensions");
}

//@@Signature
//sfunction @vtkImageExport:GetDataExtent vtkImageExportGetDataExtentFunction
//input varargin
//output varargout
ArrayVector vtkImageExportGetDataExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkImageExportGetDataExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageExportGetDataExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageExportGetDataExtent");
}

//@@Signature
//sfunction @vtkImageExport:GetDataSpacing vtkImageExportGetDataSpacingFunction
//input varargin
//output varargout
ArrayVector vtkImageExportGetDataSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkImageExportGetDataSpacing__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageExportGetDataSpacing__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageExportGetDataSpacing");
}

//@@Signature
//sfunction @vtkImageExport:GetDataOrigin vtkImageExportGetDataOriginFunction
//input varargin
//output varargout
ArrayVector vtkImageExportGetDataOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkImageExportGetDataOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageExportGetDataOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageExportGetDataOrigin");
}

//@@Signature
//sfunction @vtkImageExport:Export vtkImageExportExportFunction
//input varargin
//output varargout
ArrayVector vtkImageExportExportFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkImageExportExport__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageExportExport");
}

//@@Signature
//sfunction @vtkImageExport:display vtkImageExportDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageExportDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageExport* vtk_pointer = GetVTKPointer<vtkImageExport>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageExport:delete vtkImageExportDeleteFunction
//input varargin
//output none
ArrayVector vtkImageExportDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageExport
//@@Section VTKImaging
//@@Usage
// vtkImageExport provides a way of exporting image data at the end
// of a pipeline to a third-party system or to a simple C array.
// Applications can use this to get direct access to the image data
// in memory.  A callback interface is provided to allow connection
// of the VTK pipeline to a third-party pipeline.  This interface
// conforms to the interface of vtkImageImport.
// In Python it is possible to use this class to write the image data
// into a python string that has been pre-allocated to be the correct
// size.
//
//To create an instance of class vtkImageExport, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageExport
//@]
//@@Methods
//The class vtkImageExport has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageExport class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageExport = obj.NewInstance ()|
// \item @|vtkImageExport = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDataMemorySize ()| -  Get the number of bytes required for the output C array.
//// \item @|obj.GetDataDimensions (int ptr)| -  Get the (x,y,z) index dimensions of the data.  Please note
// that C arrays are indexed in decreasing order, i.e. array[z][y][x]. 
//// \item @|int = obj.GetDataDimensions ()| -  Get the number of scalar components of the data.  Please note that
// when you index into a C array, the scalar component index comes
// last, i.e. array[z][y][x][c].
//// \item @|int = obj.GetDataNumberOfScalarComponents ()| -  Get the number of scalar components of the data.  Please note that
// when you index into a C array, the scalar component index comes
// last, i.e. array[z][y][x][c].
//// \item @|int = obj.GetDataScalarType ()| -  Get the scalar type of the data.  The scalar type of the C array
// must match the scalar type of the data.
//// \item @|string = obj.GetDataScalarTypeAsString ()| -  Get miscellaneous additional information about the data.
//// \item @|int = obj.GetDataExtent ()| -  Get miscellaneous additional information about the data.
//// \item @|obj.GetDataExtent (int ptr)| -  Get miscellaneous additional information about the data.
//// \item @|double = obj.GetDataSpacing ()| -  Get miscellaneous additional information about the data.
//// \item @|obj.GetDataSpacing (double ptr)| -  Get miscellaneous additional information about the data.
//// \item @|double = obj.GetDataOrigin ()| -  Get miscellaneous additional information about the data.
//// \item @|obj.GetDataOrigin (double ptr)| -  Get miscellaneous additional information about the data.
//// \item @|obj.ImageLowerLeftOn ()| -  Set/Get whether the data goes to the exported memory starting 
// in the lower left corner or upper left corner.  Default: On.
// When this flag is Off, the image will be flipped vertically
// before it is exported.
// WARNING: this flag is used only with the Export() method,
// it is ignored by GetPointerToData().
//// \item @|obj.ImageLowerLeftOff ()| -  Set/Get whether the data goes to the exported memory starting 
// in the lower left corner or upper left corner.  Default: On.
// When this flag is Off, the image will be flipped vertically
// before it is exported.
// WARNING: this flag is used only with the Export() method,
// it is ignored by GetPointerToData().
//// \item @|int = obj.GetImageLowerLeft ()| -  Set/Get whether the data goes to the exported memory starting 
// in the lower left corner or upper left corner.  Default: On.
// When this flag is Off, the image will be flipped vertically
// before it is exported.
// WARNING: this flag is used only with the Export() method,
// it is ignored by GetPointerToData().
//// \item @|obj.SetImageLowerLeft (int )| -  Set/Get whether the data goes to the exported memory starting 
// in the lower left corner or upper left corner.  Default: On.
// When this flag is Off, the image will be flipped vertically
// before it is exported.
// WARNING: this flag is used only with the Export() method,
// it is ignored by GetPointerToData().
//// \item @|obj.Export ()| -  The main interface: update the pipeline and export the image
// to the memory pointed to by SetExportVoidPointer().  You can
// also specify a void pointer when you call Export().
////\end{itemize}
//!
