#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageExtractComponents object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageExtractComponents.h"

//@@Signature
//sfunction @vtkImageExtractComponents:vtkImageExtractComponents vtkImageExtractComponentsConstructorFunction
//input a
//output p
//@@Parents vtkImageExtractComponents vtkThreadedImageAlgorithm 
ArrayVector vtkImageExtractComponentsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageExtractComponents::New(),"vtkImageExtractComponents",eval);
  } else if (arg[0].className() == "vtkImageExtractComponents") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageExtractComponents"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageExtractComponents");
    vtkImageExtractComponents*q = reinterpret_cast<vtkImageExtractComponents*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageExtractComponents");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageExtractComponents:GetClassName vtkImageExtractComponentsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageExtractComponentsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageExtractComponents requires 1 argument(s)");
  vtkImageExtractComponents* vtk_pointer = GetVTKPointer<vtkImageExtractComponents>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageExtractComponents:IsA vtkImageExtractComponentsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageExtractComponentsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageExtractComponents requires 2 argument(s)");
  vtkImageExtractComponents* vtk_pointer = GetVTKPointer<vtkImageExtractComponents>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageExtractComponents:NewInstance vtkImageExtractComponentsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageExtractComponentsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageExtractComponents *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageExtractComponents requires 1 argument(s)");
  vtkImageExtractComponents* vtk_pointer = GetVTKPointer<vtkImageExtractComponents>(arg[0]);
  Array retval;
  vtkImageExtractComponents  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageExtractComponents",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageExtractComponents:SafeDownCast vtkImageExtractComponentsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageExtractComponentsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageExtractComponents *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageExtractComponents requires 2 argument(s)");
  vtkImageExtractComponents* vtk_pointer = GetVTKPointer<vtkImageExtractComponents>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageExtractComponents  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageExtractComponents",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageExtractComponents:SetComponents__1 vtkImageExtractComponentsSetComponents__1Function
//input a0 a1 
//output none
ArrayVector vtkImageExtractComponentsSetComponents__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComponents (int c1); */
  if (arg.size() < 2) 
    throw Exception("Function SetComponents__1 for class vtkImageExtractComponents requires 2 argument(s)");
  vtkImageExtractComponents* vtk_pointer = GetVTKPointer<vtkImageExtractComponents>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComponents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageExtractComponents:SetComponents__2 vtkImageExtractComponentsSetComponents__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkImageExtractComponentsSetComponents__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComponents (int c1, int c2); */
  if (arg.size() < 3) 
    throw Exception("Function SetComponents__2 for class vtkImageExtractComponents requires 3 argument(s)");
  vtkImageExtractComponents* vtk_pointer = GetVTKPointer<vtkImageExtractComponents>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetComponents(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageExtractComponents:SetComponents__3 vtkImageExtractComponentsSetComponents__3Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageExtractComponentsSetComponents__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComponents (int c1, int c2, int c3); */
  if (arg.size() < 4) 
    throw Exception("Function SetComponents__3 for class vtkImageExtractComponents requires 4 argument(s)");
  vtkImageExtractComponents* vtk_pointer = GetVTKPointer<vtkImageExtractComponents>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetComponents(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageExtractComponents:GetComponents vtkImageExtractComponentsGetComponentsFunction
//input a0 
//output y
ArrayVector vtkImageExtractComponentsGetComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetComponents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComponents for class vtkImageExtractComponents requires 1 argument(s)");
  vtkImageExtractComponents* vtk_pointer = GetVTKPointer<vtkImageExtractComponents>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetComponents();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageExtractComponents:GetNumberOfComponents vtkImageExtractComponentsGetNumberOfComponentsFunction
//input a0 
//output y
ArrayVector vtkImageExtractComponentsGetNumberOfComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfComponents for class vtkImageExtractComponents requires 1 argument(s)");
  vtkImageExtractComponents* vtk_pointer = GetVTKPointer<vtkImageExtractComponents>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfComponents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageExtractComponents:SetComponents vtkImageExtractComponentsSetComponentsFunction
//input varargin
//output varargout
ArrayVector vtkImageExtractComponentsSetComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkImageExtractComponentsSetComponents__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkImageExtractComponentsSetComponents__2Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageExtractComponentsSetComponents__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageExtractComponentsSetComponents");
}

//@@Signature
//sfunction @vtkImageExtractComponents:display vtkImageExtractComponentsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageExtractComponentsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageExtractComponents* vtk_pointer = GetVTKPointer<vtkImageExtractComponents>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageExtractComponents:delete vtkImageExtractComponentsDeleteFunction
//input varargin
//output none
ArrayVector vtkImageExtractComponentsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageExtractComponents
//@@Section VTKImaging
//@@Usage
// vtkImageExtractComponents takes an input with any number of components
// and outputs some of them.  It does involve a copy of the data.
//
//To create an instance of class vtkImageExtractComponents, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageExtractComponents
//@]
//@@Methods
//The class vtkImageExtractComponents has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageExtractComponents class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageExtractComponents = obj.NewInstance ()|
// \item @|vtkImageExtractComponents = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetComponents (int c1)| -  Set/Get the components to extract.
//// \item @|obj.SetComponents (int c1, int c2)| -  Set/Get the components to extract.
//// \item @|obj.SetComponents (int c1, int c2, int c3)| -  Set/Get the components to extract.
//// \item @|int = obj. GetComponents ()| -  Set/Get the components to extract.
//// \item @|int = obj.GetNumberOfComponents ()| -  Get the number of components to extract. This is set implicitly by the 
// SetComponents() method.
////\end{itemize}
//!
