#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageFFT object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageFFT.h"

//@@Signature
//sfunction @vtkImageFFT:vtkImageFFT vtkImageFFTConstructorFunction
//input a
//output p
//@@Parents vtkImageFFT vtkImageFourierFilter 
ArrayVector vtkImageFFTConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageFFT::New(),"vtkImageFFT",eval);
  } else if (arg[0].className() == "vtkImageFFT") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageFFT"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageFFT");
    vtkImageFFT*q = reinterpret_cast<vtkImageFFT*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageFFT");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageFFT:GetClassName vtkImageFFTGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageFFTGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageFFT requires 1 argument(s)");
  vtkImageFFT* vtk_pointer = GetVTKPointer<vtkImageFFT>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageFFT:IsA vtkImageFFTIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageFFTIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageFFT requires 2 argument(s)");
  vtkImageFFT* vtk_pointer = GetVTKPointer<vtkImageFFT>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageFFT:NewInstance vtkImageFFTNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageFFTNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageFFT *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageFFT requires 1 argument(s)");
  vtkImageFFT* vtk_pointer = GetVTKPointer<vtkImageFFT>(arg[0]);
  Array retval;
  vtkImageFFT  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageFFT",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageFFT:SafeDownCast vtkImageFFTSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageFFTSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageFFT *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageFFT requires 2 argument(s)");
  vtkImageFFT* vtk_pointer = GetVTKPointer<vtkImageFFT>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageFFT  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageFFT",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageFFT:SplitExtent vtkImageFFTSplitExtentFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkImageFFTSplitExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int SplitExtent (int splitExt[6], int startExt[6], int num, int total); */
  if (arg.size() < 5) 
    throw Exception("Function SplitExtent for class vtkImageFFT requires 5 argument(s)");
  vtkImageFFT* vtk_pointer = GetVTKPointer<vtkImageFFT>(arg[0]);
  Array retval;
  int    temp0[6];
  int    temp1[6];
  int      temp2;
  int      temp3;
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
  }
  if ( !arg[13].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[13].asDouble();
  if ( !arg[14].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[14].asDouble();
  temp20 = (vtk_pointer)->SplitExtent(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageFFT:display vtkImageFFTDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageFFTDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageFFT* vtk_pointer = GetVTKPointer<vtkImageFFT>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageFFT:delete vtkImageFFTDeleteFunction
//input varargin
//output none
ArrayVector vtkImageFFTDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageFFT
//@@Section VTKImaging
//@@Usage
// vtkImageFFT implements a  fast Fourier transform.  The input
// can have real or complex data in any components and data types, but
// the output is always complex doubles with real values in component0, and
// imaginary values in component1.  The filter is fastest for images that
// have power of two sizes.  The filter uses a butterfly fitlers for each
// prime factor of the dimension.  This makes images with prime number dimensions 
// (i.e. 17x17) much slower to compute.  Multi dimensional (i.e volumes) 
// FFT's are decomposed so that each axis executes in series.
//
//To create an instance of class vtkImageFFT, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageFFT
//@]
//@@Methods
//The class vtkImageFFT has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageFFT class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageFFT = obj.NewInstance ()|
// \item @|vtkImageFFT = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.SplitExtent (int splitExt[6], int startExt[6], int num, int total)| -  Used internally for streaming and threads.  
// Splits output update extent into num pieces.
// This method needs to be called num times.  Results must not overlap for
// consistent starting extent.  Subclass can override this method.
// This method returns the number of pieces resulting from a
// successful split.  This can be from 1 to "total".  
// If 1 is returned, the extent cannot be split.
////\end{itemize}
//!
