#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageFlip object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageFlip.h"

//@@Signature
//sfunction @vtkImageFlip:vtkImageFlip vtkImageFlipConstructorFunction
//input a
//output p
//@@Parents vtkImageFlip vtkImageReslice 
ArrayVector vtkImageFlipConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageFlip::New(),"vtkImageFlip",eval);
  } else if (arg[0].className() == "vtkImageFlip") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageFlip"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageFlip");
    vtkImageFlip*q = reinterpret_cast<vtkImageFlip*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageFlip");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageFlip:GetClassName vtkImageFlipGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageFlipGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageFlip requires 1 argument(s)");
  vtkImageFlip* vtk_pointer = GetVTKPointer<vtkImageFlip>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageFlip:IsA vtkImageFlipIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageFlipIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageFlip requires 2 argument(s)");
  vtkImageFlip* vtk_pointer = GetVTKPointer<vtkImageFlip>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageFlip:NewInstance vtkImageFlipNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageFlipNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageFlip *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageFlip requires 1 argument(s)");
  vtkImageFlip* vtk_pointer = GetVTKPointer<vtkImageFlip>(arg[0]);
  Array retval;
  vtkImageFlip  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageFlip",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageFlip:SafeDownCast vtkImageFlipSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageFlipSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageFlip *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageFlip requires 2 argument(s)");
  vtkImageFlip* vtk_pointer = GetVTKPointer<vtkImageFlip>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageFlip  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageFlip",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageFlip:SetFilteredAxis vtkImageFlipSetFilteredAxisFunction
//input a0 a1 
//output none
ArrayVector vtkImageFlipSetFilteredAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFilteredAxis (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFilteredAxis for class vtkImageFlip requires 2 argument(s)");
  vtkImageFlip* vtk_pointer = GetVTKPointer<vtkImageFlip>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFilteredAxis(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageFlip:GetFilteredAxis vtkImageFlipGetFilteredAxisFunction
//input a0 
//output y
ArrayVector vtkImageFlipGetFilteredAxisFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFilteredAxis (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFilteredAxis for class vtkImageFlip requires 1 argument(s)");
  vtkImageFlip* vtk_pointer = GetVTKPointer<vtkImageFlip>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFilteredAxis();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageFlip:SetFlipAboutOrigin vtkImageFlipSetFlipAboutOriginFunction
//input a0 a1 
//output none
ArrayVector vtkImageFlipSetFlipAboutOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFlipAboutOrigin (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFlipAboutOrigin for class vtkImageFlip requires 2 argument(s)");
  vtkImageFlip* vtk_pointer = GetVTKPointer<vtkImageFlip>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFlipAboutOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageFlip:GetFlipAboutOrigin vtkImageFlipGetFlipAboutOriginFunction
//input a0 
//output y
ArrayVector vtkImageFlipGetFlipAboutOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFlipAboutOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFlipAboutOrigin for class vtkImageFlip requires 1 argument(s)");
  vtkImageFlip* vtk_pointer = GetVTKPointer<vtkImageFlip>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFlipAboutOrigin();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageFlip:FlipAboutOriginOn vtkImageFlipFlipAboutOriginOnFunction
//input a0 
//output none
ArrayVector vtkImageFlipFlipAboutOriginOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FlipAboutOriginOn (); */
  if (arg.size() < 1) 
    throw Exception("Function FlipAboutOriginOn for class vtkImageFlip requires 1 argument(s)");
  vtkImageFlip* vtk_pointer = GetVTKPointer<vtkImageFlip>(arg[0]);
  Array retval;
  vtk_pointer->FlipAboutOriginOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageFlip:FlipAboutOriginOff vtkImageFlipFlipAboutOriginOffFunction
//input a0 
//output none
ArrayVector vtkImageFlipFlipAboutOriginOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FlipAboutOriginOff (); */
  if (arg.size() < 1) 
    throw Exception("Function FlipAboutOriginOff for class vtkImageFlip requires 1 argument(s)");
  vtkImageFlip* vtk_pointer = GetVTKPointer<vtkImageFlip>(arg[0]);
  Array retval;
  vtk_pointer->FlipAboutOriginOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageFlip:SetFilteredAxes vtkImageFlipSetFilteredAxesFunction
//input a0 a1 
//output none
ArrayVector vtkImageFlipSetFilteredAxesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFilteredAxes (int axis);this SetFilteredAxis axis  */
  if (arg.size() < 2) 
    throw Exception("Function SetFilteredAxes for class vtkImageFlip requires 2 argument(s)");
  vtkImageFlip* vtk_pointer = GetVTKPointer<vtkImageFlip>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFilteredAxes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageFlip:GetFilteredAxes vtkImageFlipGetFilteredAxesFunction
//input a0 
//output y
ArrayVector vtkImageFlipGetFilteredAxesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFilteredAxes ();return this GetFilteredAxis  */
  if (arg.size() < 1) 
    throw Exception("Function GetFilteredAxes for class vtkImageFlip requires 1 argument(s)");
  vtkImageFlip* vtk_pointer = GetVTKPointer<vtkImageFlip>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFilteredAxes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageFlip:SetPreserveImageExtent vtkImageFlipSetPreserveImageExtentFunction
//input a0 a1 
//output none
ArrayVector vtkImageFlipSetPreserveImageExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPreserveImageExtent (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPreserveImageExtent for class vtkImageFlip requires 2 argument(s)");
  vtkImageFlip* vtk_pointer = GetVTKPointer<vtkImageFlip>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPreserveImageExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageFlip:GetPreserveImageExtent vtkImageFlipGetPreserveImageExtentFunction
//input a0 
//output y
ArrayVector vtkImageFlipGetPreserveImageExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPreserveImageExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPreserveImageExtent for class vtkImageFlip requires 1 argument(s)");
  vtkImageFlip* vtk_pointer = GetVTKPointer<vtkImageFlip>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPreserveImageExtent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageFlip:PreserveImageExtentOn vtkImageFlipPreserveImageExtentOnFunction
//input a0 
//output none
ArrayVector vtkImageFlipPreserveImageExtentOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PreserveImageExtentOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PreserveImageExtentOn for class vtkImageFlip requires 1 argument(s)");
  vtkImageFlip* vtk_pointer = GetVTKPointer<vtkImageFlip>(arg[0]);
  Array retval;
  vtk_pointer->PreserveImageExtentOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageFlip:PreserveImageExtentOff vtkImageFlipPreserveImageExtentOffFunction
//input a0 
//output none
ArrayVector vtkImageFlipPreserveImageExtentOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PreserveImageExtentOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PreserveImageExtentOff for class vtkImageFlip requires 1 argument(s)");
  vtkImageFlip* vtk_pointer = GetVTKPointer<vtkImageFlip>(arg[0]);
  Array retval;
  vtk_pointer->PreserveImageExtentOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageFlip:display vtkImageFlipDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageFlipDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageFlip* vtk_pointer = GetVTKPointer<vtkImageFlip>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageFlip:delete vtkImageFlipDeleteFunction
//input varargin
//output none
ArrayVector vtkImageFlipDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageFlip
//@@Section VTKImaging
//@@Usage
// vtkImageFlip will reflect the data along the filtered axis.  This filter is
// actually a thin wrapper around vtkImageReslice.
//
//To create an instance of class vtkImageFlip, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageFlip
//@]
//@@Methods
//The class vtkImageFlip has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageFlip class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageFlip = obj.NewInstance ()|
// \item @|vtkImageFlip = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFilteredAxis (int )| -  Specify which axis will be flipped.  This must be an integer
// between 0 (for x) and 2 (for z). Initial value is 0.
//// \item @|int = obj.GetFilteredAxis ()| -  Specify which axis will be flipped.  This must be an integer
// between 0 (for x) and 2 (for z). Initial value is 0.
//// \item @|obj.SetFlipAboutOrigin (int )| -  By default the image will be flipped about its center, and the
// Origin, Spacing and Extent of the output will be identical to
// the input.  However, if you have a coordinate system associated
// with the image and you want to use the flip to convert +ve values
// along one axis to -ve values (and vice versa) then you actually
// want to flip the image about coordinate (0,0,0) instead of about
// the center of the image.  This method will adjust the Origin of
// the output such that the flip occurs about (0,0,0).  Note that
// this method only changes the Origin (and hence the coordinate system)
// the output data: the actual pixel values are the same whether or not
// this method is used.  Also note that the Origin in this method name
// refers to (0,0,0) in the coordinate system associated with the image,
// it does not refer to the Origin ivar that is associated with a
// vtkImageData.
//// \item @|int = obj.GetFlipAboutOrigin ()| -  By default the image will be flipped about its center, and the
// Origin, Spacing and Extent of the output will be identical to
// the input.  However, if you have a coordinate system associated
// with the image and you want to use the flip to convert +ve values
// along one axis to -ve values (and vice versa) then you actually
// want to flip the image about coordinate (0,0,0) instead of about
// the center of the image.  This method will adjust the Origin of
// the output such that the flip occurs about (0,0,0).  Note that
// this method only changes the Origin (and hence the coordinate system)
// the output data: the actual pixel values are the same whether or not
// this method is used.  Also note that the Origin in this method name
// refers to (0,0,0) in the coordinate system associated with the image,
// it does not refer to the Origin ivar that is associated with a
// vtkImageData.
//// \item @|obj.FlipAboutOriginOn ()| -  By default the image will be flipped about its center, and the
// Origin, Spacing and Extent of the output will be identical to
// the input.  However, if you have a coordinate system associated
// with the image and you want to use the flip to convert +ve values
// along one axis to -ve values (and vice versa) then you actually
// want to flip the image about coordinate (0,0,0) instead of about
// the center of the image.  This method will adjust the Origin of
// the output such that the flip occurs about (0,0,0).  Note that
// this method only changes the Origin (and hence the coordinate system)
// the output data: the actual pixel values are the same whether or not
// this method is used.  Also note that the Origin in this method name
// refers to (0,0,0) in the coordinate system associated with the image,
// it does not refer to the Origin ivar that is associated with a
// vtkImageData.
//// \item @|obj.FlipAboutOriginOff ()| -  By default the image will be flipped about its center, and the
// Origin, Spacing and Extent of the output will be identical to
// the input.  However, if you have a coordinate system associated
// with the image and you want to use the flip to convert +ve values
// along one axis to -ve values (and vice versa) then you actually
// want to flip the image about coordinate (0,0,0) instead of about
// the center of the image.  This method will adjust the Origin of
// the output such that the flip occurs about (0,0,0).  Note that
// this method only changes the Origin (and hence the coordinate system)
// the output data: the actual pixel values are the same whether or not
// this method is used.  Also note that the Origin in this method name
// refers to (0,0,0) in the coordinate system associated with the image,
// it does not refer to the Origin ivar that is associated with a
// vtkImageData.
//// \item @|obj.SetFilteredAxes (int axis)| -  Keep the mis-named Axes variations around for compatibility with old
// scripts. Axis is singular, not plural...
//// \item @|int = obj.GetFilteredAxes ()| -  PreserveImageExtentOff wasn't covered by test scripts and its
// implementation was broken.  It is deprecated now and it has
// no effect (i.e. the ImageExtent is always preserved).
//// \item @|obj.SetPreserveImageExtent (int )| -  PreserveImageExtentOff wasn't covered by test scripts and its
// implementation was broken.  It is deprecated now and it has
// no effect (i.e. the ImageExtent is always preserved).
//// \item @|int = obj.GetPreserveImageExtent ()| -  PreserveImageExtentOff wasn't covered by test scripts and its
// implementation was broken.  It is deprecated now and it has
// no effect (i.e. the ImageExtent is always preserved).
//// \item @|obj.PreserveImageExtentOn ()| -  PreserveImageExtentOff wasn't covered by test scripts and its
// implementation was broken.  It is deprecated now and it has
// no effect (i.e. the ImageExtent is always preserved).
//// \item @|obj.PreserveImageExtentOff ()| -  PreserveImageExtentOff wasn't covered by test scripts and its
// implementation was broken.  It is deprecated now and it has
// no effect (i.e. the ImageExtent is always preserved).
////\end{itemize}
//!
