#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageFourierCenter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageFourierCenter.h"

//@@Signature
//sfunction @vtkImageFourierCenter:vtkImageFourierCenter vtkImageFourierCenterConstructorFunction
//input a
//output p
//@@Parents vtkImageFourierCenter vtkImageDecomposeFilter 
ArrayVector vtkImageFourierCenterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageFourierCenter::New(),"vtkImageFourierCenter",eval);
  } else if (arg[0].className() == "vtkImageFourierCenter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageFourierCenter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageFourierCenter");
    vtkImageFourierCenter*q = reinterpret_cast<vtkImageFourierCenter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageFourierCenter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageFourierCenter:GetClassName vtkImageFourierCenterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageFourierCenterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageFourierCenter requires 1 argument(s)");
  vtkImageFourierCenter* vtk_pointer = GetVTKPointer<vtkImageFourierCenter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageFourierCenter:IsA vtkImageFourierCenterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageFourierCenterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageFourierCenter requires 2 argument(s)");
  vtkImageFourierCenter* vtk_pointer = GetVTKPointer<vtkImageFourierCenter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageFourierCenter:NewInstance vtkImageFourierCenterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageFourierCenterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageFourierCenter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageFourierCenter requires 1 argument(s)");
  vtkImageFourierCenter* vtk_pointer = GetVTKPointer<vtkImageFourierCenter>(arg[0]);
  Array retval;
  vtkImageFourierCenter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageFourierCenter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageFourierCenter:SafeDownCast vtkImageFourierCenterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageFourierCenterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageFourierCenter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageFourierCenter requires 2 argument(s)");
  vtkImageFourierCenter* vtk_pointer = GetVTKPointer<vtkImageFourierCenter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageFourierCenter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageFourierCenter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageFourierCenter:display vtkImageFourierCenterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageFourierCenterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageFourierCenter* vtk_pointer = GetVTKPointer<vtkImageFourierCenter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageFourierCenter:delete vtkImageFourierCenterDeleteFunction
//input varargin
//output none
ArrayVector vtkImageFourierCenterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageFourierCenter
//@@Section VTKImaging
//@@Usage
// Is used for dispaying images in frequency space.  FFT converts spatial
// images into frequency space, but puts the zero frequency at the origin.
// This filter shifts the zero frequency to the center of the image.
// Input and output are assumed to be doubles.
//
//To create an instance of class vtkImageFourierCenter, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageFourierCenter
//@]
//@@Methods
//The class vtkImageFourierCenter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageFourierCenter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageFourierCenter = obj.NewInstance ()|
// \item @|vtkImageFourierCenter = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
