#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageFourierFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageFourierFilter.h"

//@@Signature
//sfunction @vtkImageFourierFilter:vtkImageFourierFilter vtkImageFourierFilterConstructorFunction
//input a
//output p
//@@Parents vtkImageFourierFilter vtkImageDecomposeFilter 
ArrayVector vtkImageFourierFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageFourierFilter::New(),"vtkImageFourierFilter",eval);
  } else if (arg[0].className() == "vtkImageFourierFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageFourierFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageFourierFilter");
    vtkImageFourierFilter*q = reinterpret_cast<vtkImageFourierFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageFourierFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageFourierFilter:GetClassName vtkImageFourierFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageFourierFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageFourierFilter requires 1 argument(s)");
  vtkImageFourierFilter* vtk_pointer = GetVTKPointer<vtkImageFourierFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageFourierFilter:IsA vtkImageFourierFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageFourierFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageFourierFilter requires 2 argument(s)");
  vtkImageFourierFilter* vtk_pointer = GetVTKPointer<vtkImageFourierFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageFourierFilter:NewInstance vtkImageFourierFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageFourierFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageFourierFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageFourierFilter requires 1 argument(s)");
  vtkImageFourierFilter* vtk_pointer = GetVTKPointer<vtkImageFourierFilter>(arg[0]);
  Array retval;
  vtkImageFourierFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageFourierFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageFourierFilter:SafeDownCast vtkImageFourierFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageFourierFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageFourierFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageFourierFilter requires 2 argument(s)");
  vtkImageFourierFilter* vtk_pointer = GetVTKPointer<vtkImageFourierFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageFourierFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageFourierFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageFourierFilter:display vtkImageFourierFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageFourierFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageFourierFilter* vtk_pointer = GetVTKPointer<vtkImageFourierFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageFourierFilter:delete vtkImageFourierFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkImageFourierFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageFourierFilter
//@@Section VTKImaging
//@@Usage
// vtkImageFourierFilter is a class of filters that use complex numbers
// this superclass is a container for methods that manipulate these structure
// including fast Fourier transforms.  Complex numbers may become a class.
// This should really be a helper class.
//
//To create an instance of class vtkImageFourierFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageFourierFilter
//@]
//@@Methods
//The class vtkImageFourierFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageFourierFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageFourierFilter = obj.NewInstance ()|
// \item @|vtkImageFourierFilter = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
