#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageGaussianSmooth object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageGaussianSmooth.h"

//@@Signature
//sfunction @vtkImageGaussianSmooth:vtkImageGaussianSmooth vtkImageGaussianSmoothConstructorFunction
//input a
//output p
//@@Parents vtkImageGaussianSmooth vtkThreadedImageAlgorithm 
ArrayVector vtkImageGaussianSmoothConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageGaussianSmooth::New(),"vtkImageGaussianSmooth",eval);
  } else if (arg[0].className() == "vtkImageGaussianSmooth") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageGaussianSmooth"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageGaussianSmooth");
    vtkImageGaussianSmooth*q = reinterpret_cast<vtkImageGaussianSmooth*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageGaussianSmooth");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageGaussianSmooth:GetClassName vtkImageGaussianSmoothGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageGaussianSmoothGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageGaussianSmooth requires 1 argument(s)");
  vtkImageGaussianSmooth* vtk_pointer = GetVTKPointer<vtkImageGaussianSmooth>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageGaussianSmooth:IsA vtkImageGaussianSmoothIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageGaussianSmoothIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageGaussianSmooth requires 2 argument(s)");
  vtkImageGaussianSmooth* vtk_pointer = GetVTKPointer<vtkImageGaussianSmooth>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageGaussianSmooth:NewInstance vtkImageGaussianSmoothNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageGaussianSmoothNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageGaussianSmooth *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageGaussianSmooth requires 1 argument(s)");
  vtkImageGaussianSmooth* vtk_pointer = GetVTKPointer<vtkImageGaussianSmooth>(arg[0]);
  Array retval;
  vtkImageGaussianSmooth  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageGaussianSmooth",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageGaussianSmooth:SafeDownCast vtkImageGaussianSmoothSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageGaussianSmoothSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageGaussianSmooth *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageGaussianSmooth requires 2 argument(s)");
  vtkImageGaussianSmooth* vtk_pointer = GetVTKPointer<vtkImageGaussianSmooth>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageGaussianSmooth  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageGaussianSmooth",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageGaussianSmooth:SetStandardDeviations__1 vtkImageGaussianSmoothSetStandardDeviations__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageGaussianSmoothSetStandardDeviations__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStandardDeviations (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetStandardDeviations__1 for class vtkImageGaussianSmooth requires 4 argument(s)");
  vtkImageGaussianSmooth* vtk_pointer = GetVTKPointer<vtkImageGaussianSmooth>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetStandardDeviations(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageGaussianSmooth:SetStandardDeviations__2 vtkImageGaussianSmoothSetStandardDeviations__2Function
//input a0 a1 
//output none
ArrayVector vtkImageGaussianSmoothSetStandardDeviations__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStandardDeviations (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetStandardDeviations__2 for class vtkImageGaussianSmooth requires 2 argument(s)");
  vtkImageGaussianSmooth* vtk_pointer = GetVTKPointer<vtkImageGaussianSmooth>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetStandardDeviations(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageGaussianSmooth:SetStandardDeviation__1 vtkImageGaussianSmoothSetStandardDeviation__1Function
//input a0 a1 
//output none
ArrayVector vtkImageGaussianSmoothSetStandardDeviation__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStandardDeviation (double std);this SetStandardDeviations std std std  */
  if (arg.size() < 2) 
    throw Exception("Function SetStandardDeviation__1 for class vtkImageGaussianSmooth requires 2 argument(s)");
  vtkImageGaussianSmooth* vtk_pointer = GetVTKPointer<vtkImageGaussianSmooth>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetStandardDeviation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageGaussianSmooth:SetStandardDeviations__3 vtkImageGaussianSmoothSetStandardDeviations__3Function
//input a0 a1 a2 
//output none
ArrayVector vtkImageGaussianSmoothSetStandardDeviations__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStandardDeviations (double a, double b);this SetStandardDeviations a b  */
  if (arg.size() < 3) 
    throw Exception("Function SetStandardDeviations__3 for class vtkImageGaussianSmooth requires 3 argument(s)");
  vtkImageGaussianSmooth* vtk_pointer = GetVTKPointer<vtkImageGaussianSmooth>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetStandardDeviations(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageGaussianSmooth:GetStandardDeviations vtkImageGaussianSmoothGetStandardDeviationsFunction
//input a0 
//output y
ArrayVector vtkImageGaussianSmoothGetStandardDeviationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetStandardDeviations (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStandardDeviations for class vtkImageGaussianSmooth requires 1 argument(s)");
  vtkImageGaussianSmooth* vtk_pointer = GetVTKPointer<vtkImageGaussianSmooth>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetStandardDeviations();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageGaussianSmooth:SetStandardDeviation__2 vtkImageGaussianSmoothSetStandardDeviation__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkImageGaussianSmoothSetStandardDeviation__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStandardDeviation (double a, double b);this SetStandardDeviations a b  */
  if (arg.size() < 3) 
    throw Exception("Function SetStandardDeviation__2 for class vtkImageGaussianSmooth requires 3 argument(s)");
  vtkImageGaussianSmooth* vtk_pointer = GetVTKPointer<vtkImageGaussianSmooth>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetStandardDeviation(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageGaussianSmooth:SetStandardDeviation__3 vtkImageGaussianSmoothSetStandardDeviation__3Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageGaussianSmoothSetStandardDeviation__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStandardDeviation (double a, double b, double c);this SetStandardDeviations a b c  */
  if (arg.size() < 4) 
    throw Exception("Function SetStandardDeviation__3 for class vtkImageGaussianSmooth requires 4 argument(s)");
  vtkImageGaussianSmooth* vtk_pointer = GetVTKPointer<vtkImageGaussianSmooth>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetStandardDeviation(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageGaussianSmooth:SetRadiusFactors__1 vtkImageGaussianSmoothSetRadiusFactors__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageGaussianSmoothSetRadiusFactors__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadiusFactors (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetRadiusFactors__1 for class vtkImageGaussianSmooth requires 4 argument(s)");
  vtkImageGaussianSmooth* vtk_pointer = GetVTKPointer<vtkImageGaussianSmooth>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetRadiusFactors(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageGaussianSmooth:SetRadiusFactors__2 vtkImageGaussianSmoothSetRadiusFactors__2Function
//input a0 a1 
//output none
ArrayVector vtkImageGaussianSmoothSetRadiusFactors__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadiusFactors (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetRadiusFactors__2 for class vtkImageGaussianSmooth requires 2 argument(s)");
  vtkImageGaussianSmooth* vtk_pointer = GetVTKPointer<vtkImageGaussianSmooth>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetRadiusFactors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageGaussianSmooth:SetRadiusFactors__3 vtkImageGaussianSmoothSetRadiusFactors__3Function
//input a0 a1 a2 
//output none
ArrayVector vtkImageGaussianSmoothSetRadiusFactors__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadiusFactors (double f, double f2);this SetRadiusFactors f f2  */
  if (arg.size() < 3) 
    throw Exception("Function SetRadiusFactors__3 for class vtkImageGaussianSmooth requires 3 argument(s)");
  vtkImageGaussianSmooth* vtk_pointer = GetVTKPointer<vtkImageGaussianSmooth>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetRadiusFactors(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageGaussianSmooth:SetRadiusFactor vtkImageGaussianSmoothSetRadiusFactorFunction
//input a0 a1 
//output none
ArrayVector vtkImageGaussianSmoothSetRadiusFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadiusFactor (double f);this SetRadiusFactors f f f  */
  if (arg.size() < 2) 
    throw Exception("Function SetRadiusFactor for class vtkImageGaussianSmooth requires 2 argument(s)");
  vtkImageGaussianSmooth* vtk_pointer = GetVTKPointer<vtkImageGaussianSmooth>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRadiusFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageGaussianSmooth:GetRadiusFactors vtkImageGaussianSmoothGetRadiusFactorsFunction
//input a0 
//output y
ArrayVector vtkImageGaussianSmoothGetRadiusFactorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetRadiusFactors (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadiusFactors for class vtkImageGaussianSmooth requires 1 argument(s)");
  vtkImageGaussianSmooth* vtk_pointer = GetVTKPointer<vtkImageGaussianSmooth>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetRadiusFactors();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageGaussianSmooth:SetDimensionality vtkImageGaussianSmoothSetDimensionalityFunction
//input a0 a1 
//output none
ArrayVector vtkImageGaussianSmoothSetDimensionalityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDimensionality (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDimensionality for class vtkImageGaussianSmooth requires 2 argument(s)");
  vtkImageGaussianSmooth* vtk_pointer = GetVTKPointer<vtkImageGaussianSmooth>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDimensionality(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageGaussianSmooth:GetDimensionality vtkImageGaussianSmoothGetDimensionalityFunction
//input a0 
//output y
ArrayVector vtkImageGaussianSmoothGetDimensionalityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDimensionality (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensionality for class vtkImageGaussianSmooth requires 1 argument(s)");
  vtkImageGaussianSmooth* vtk_pointer = GetVTKPointer<vtkImageGaussianSmooth>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimensionality();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageGaussianSmooth:SetStandardDeviations vtkImageGaussianSmoothSetStandardDeviationsFunction
//input varargin
//output varargout
ArrayVector vtkImageGaussianSmoothSetStandardDeviationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageGaussianSmoothSetStandardDeviations__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageGaussianSmoothSetStandardDeviations__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkImageGaussianSmoothSetStandardDeviations__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageGaussianSmoothSetStandardDeviations");
}

//@@Signature
//sfunction @vtkImageGaussianSmooth:SetStandardDeviation vtkImageGaussianSmoothSetStandardDeviationFunction
//input varargin
//output varargout
ArrayVector vtkImageGaussianSmoothSetStandardDeviationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkImageGaussianSmoothSetStandardDeviation__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkImageGaussianSmoothSetStandardDeviation__2Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageGaussianSmoothSetStandardDeviation__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageGaussianSmoothSetStandardDeviation");
}

//@@Signature
//sfunction @vtkImageGaussianSmooth:SetRadiusFactors vtkImageGaussianSmoothSetRadiusFactorsFunction
//input varargin
//output varargout
ArrayVector vtkImageGaussianSmoothSetRadiusFactorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageGaussianSmoothSetRadiusFactors__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageGaussianSmoothSetRadiusFactors__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkImageGaussianSmoothSetRadiusFactors__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageGaussianSmoothSetRadiusFactors");
}

//@@Signature
//sfunction @vtkImageGaussianSmooth:display vtkImageGaussianSmoothDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageGaussianSmoothDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageGaussianSmooth* vtk_pointer = GetVTKPointer<vtkImageGaussianSmooth>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageGaussianSmooth:delete vtkImageGaussianSmoothDeleteFunction
//input varargin
//output none
ArrayVector vtkImageGaussianSmoothDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageGaussianSmooth
//@@Section VTKImaging
//@@Usage
// vtkImageGaussianSmooth implements a convolution of the input image
// with a gaussian. Supports from one to three dimensional convolutions.
//
//To create an instance of class vtkImageGaussianSmooth, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageGaussianSmooth
//@]
//@@Methods
//The class vtkImageGaussianSmooth has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageGaussianSmooth class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageGaussianSmooth = obj.NewInstance ()|
// \item @|vtkImageGaussianSmooth = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetStandardDeviations (double , double , double )| -  Sets/Gets the Standard deviation of the gaussian in pixel units.
//// \item @|obj.SetStandardDeviations (double  a[3])| -  Sets/Gets the Standard deviation of the gaussian in pixel units.
//// \item @|obj.SetStandardDeviation (double std)| -  Sets/Gets the Standard deviation of the gaussian in pixel units.
//// \item @|obj.SetStandardDeviations (double a, double b)| -  Sets/Gets the Standard deviation of the gaussian in pixel units.
//// \item @|double = obj. GetStandardDeviations ()| -  Sets/Gets the Standard deviation of the gaussian in pixel units.
//// \item @|obj.SetStandardDeviation (double a, double b)| -  Sets/Gets the Standard deviation of the gaussian in pixel units.
// These methods are provided for compatibility with old scripts
//// \item @|obj.SetStandardDeviation (double a, double b, double c)| -  Sets/Gets the Radius Factors of the gaussian (no unit).
// The radius factors determine how far out the gaussian kernel will 
// go before being clamped to zero.
//// \item @|obj.SetRadiusFactors (double , double , double )| -  Sets/Gets the Radius Factors of the gaussian (no unit).
// The radius factors determine how far out the gaussian kernel will 
// go before being clamped to zero.
//// \item @|obj.SetRadiusFactors (double  a[3])| -  Sets/Gets the Radius Factors of the gaussian (no unit).
// The radius factors determine how far out the gaussian kernel will 
// go before being clamped to zero.
//// \item @|obj.SetRadiusFactors (double f, double f2)| -  Sets/Gets the Radius Factors of the gaussian (no unit).
// The radius factors determine how far out the gaussian kernel will 
// go before being clamped to zero.
//// \item @|obj.SetRadiusFactor (double f)| -  Sets/Gets the Radius Factors of the gaussian (no unit).
// The radius factors determine how far out the gaussian kernel will 
// go before being clamped to zero.
//// \item @|double = obj. GetRadiusFactors ()| -  Sets/Gets the Radius Factors of the gaussian (no unit).
// The radius factors determine how far out the gaussian kernel will 
// go before being clamped to zero.
//// \item @|obj.SetDimensionality (int )| -  Set/Get the dimensionality of this filter. This determines whether
// a one, two, or three dimensional gaussian is performed.
//// \item @|int = obj.GetDimensionality ()| -  Set/Get the dimensionality of this filter. This determines whether
// a one, two, or three dimensional gaussian is performed.
////\end{itemize}
//!
