#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageGaussianSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageGaussianSource.h"

//@@Signature
//sfunction @vtkImageGaussianSource:vtkImageGaussianSource vtkImageGaussianSourceConstructorFunction
//input a
//output p
//@@Parents vtkImageGaussianSource vtkImageAlgorithm 
ArrayVector vtkImageGaussianSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageGaussianSource::New(),"vtkImageGaussianSource",eval);
  } else if (arg[0].className() == "vtkImageGaussianSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageGaussianSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageGaussianSource");
    vtkImageGaussianSource*q = reinterpret_cast<vtkImageGaussianSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageGaussianSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageGaussianSource:GetClassName vtkImageGaussianSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageGaussianSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageGaussianSource requires 1 argument(s)");
  vtkImageGaussianSource* vtk_pointer = GetVTKPointer<vtkImageGaussianSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageGaussianSource:IsA vtkImageGaussianSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageGaussianSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageGaussianSource requires 2 argument(s)");
  vtkImageGaussianSource* vtk_pointer = GetVTKPointer<vtkImageGaussianSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageGaussianSource:NewInstance vtkImageGaussianSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageGaussianSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageGaussianSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageGaussianSource requires 1 argument(s)");
  vtkImageGaussianSource* vtk_pointer = GetVTKPointer<vtkImageGaussianSource>(arg[0]);
  Array retval;
  vtkImageGaussianSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageGaussianSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageGaussianSource:SafeDownCast vtkImageGaussianSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageGaussianSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageGaussianSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageGaussianSource requires 2 argument(s)");
  vtkImageGaussianSource* vtk_pointer = GetVTKPointer<vtkImageGaussianSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageGaussianSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageGaussianSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageGaussianSource:SetWholeExtent vtkImageGaussianSourceSetWholeExtentFunction
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkImageGaussianSourceSetWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWholeExtent (int xMinx, int xMax, int yMin, int yMax, int zMin, int zMax); */
  if (arg.size() < 7) 
    throw Exception("Function SetWholeExtent for class vtkImageGaussianSource requires 7 argument(s)");
  vtkImageGaussianSource* vtk_pointer = GetVTKPointer<vtkImageGaussianSource>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkImageGaussianSource:SetCenter__1 vtkImageGaussianSourceSetCenter__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageGaussianSourceSetCenter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetCenter__1 for class vtkImageGaussianSource requires 4 argument(s)");
  vtkImageGaussianSource* vtk_pointer = GetVTKPointer<vtkImageGaussianSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCenter(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageGaussianSource:SetCenter__2 vtkImageGaussianSourceSetCenter__2Function
//input a0 a1 
//output none
ArrayVector vtkImageGaussianSourceSetCenter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCenter__2 for class vtkImageGaussianSource requires 2 argument(s)");
  vtkImageGaussianSource* vtk_pointer = GetVTKPointer<vtkImageGaussianSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageGaussianSource:GetCenter vtkImageGaussianSourceGetCenterFunction
//input a0 
//output y
ArrayVector vtkImageGaussianSourceGetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCenter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenter for class vtkImageGaussianSource requires 1 argument(s)");
  vtkImageGaussianSource* vtk_pointer = GetVTKPointer<vtkImageGaussianSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCenter();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageGaussianSource:SetMaximum vtkImageGaussianSourceSetMaximumFunction
//input a0 a1 
//output none
ArrayVector vtkImageGaussianSourceSetMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximum (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximum for class vtkImageGaussianSource requires 2 argument(s)");
  vtkImageGaussianSource* vtk_pointer = GetVTKPointer<vtkImageGaussianSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximum(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageGaussianSource:GetMaximum vtkImageGaussianSourceGetMaximumFunction
//input a0 
//output y
ArrayVector vtkImageGaussianSourceGetMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximum (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximum for class vtkImageGaussianSource requires 1 argument(s)");
  vtkImageGaussianSource* vtk_pointer = GetVTKPointer<vtkImageGaussianSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximum();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageGaussianSource:SetStandardDeviation vtkImageGaussianSourceSetStandardDeviationFunction
//input a0 a1 
//output none
ArrayVector vtkImageGaussianSourceSetStandardDeviationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStandardDeviation (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetStandardDeviation for class vtkImageGaussianSource requires 2 argument(s)");
  vtkImageGaussianSource* vtk_pointer = GetVTKPointer<vtkImageGaussianSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetStandardDeviation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageGaussianSource:GetStandardDeviation vtkImageGaussianSourceGetStandardDeviationFunction
//input a0 
//output y
ArrayVector vtkImageGaussianSourceGetStandardDeviationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetStandardDeviation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStandardDeviation for class vtkImageGaussianSource requires 1 argument(s)");
  vtkImageGaussianSource* vtk_pointer = GetVTKPointer<vtkImageGaussianSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetStandardDeviation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageGaussianSource:SetCenter vtkImageGaussianSourceSetCenterFunction
//input varargin
//output varargout
ArrayVector vtkImageGaussianSourceSetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageGaussianSourceSetCenter__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageGaussianSourceSetCenter__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageGaussianSourceSetCenter");
}

//@@Signature
//sfunction @vtkImageGaussianSource:display vtkImageGaussianSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageGaussianSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageGaussianSource* vtk_pointer = GetVTKPointer<vtkImageGaussianSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageGaussianSource:delete vtkImageGaussianSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkImageGaussianSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageGaussianSource
//@@Section VTKImaging
//@@Usage
// vtkImageGaussianSource just produces images with pixel values determined 
// by a Gaussian.
//
//To create an instance of class vtkImageGaussianSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageGaussianSource
//@]
//@@Methods
//The class vtkImageGaussianSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageGaussianSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageGaussianSource = obj.NewInstance ()|
// \item @|vtkImageGaussianSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetWholeExtent (int xMinx, int xMax, int yMin, int yMax, int zMin, int zMax)| -  Set/Get the extent of the whole output image.
//// \item @|obj.SetCenter (double , double , double )| -  Set/Get the center of the Gaussian.
//// \item @|obj.SetCenter (double  a[3])| -  Set/Get the center of the Gaussian.
//// \item @|double = obj. GetCenter ()| -  Set/Get the center of the Gaussian.
//// \item @|obj.SetMaximum (double )| -  Set/Get the Maximum value of the gaussian
//// \item @|double = obj.GetMaximum ()| -  Set/Get the Maximum value of the gaussian
//// \item @|obj.SetStandardDeviation (double )| -  Set/Get the standard deviation of the gaussian
//// \item @|double = obj.GetStandardDeviation ()| -  Set/Get the standard deviation of the gaussian
////\end{itemize}
//!
