#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageGradient object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageGradient.h"

//@@Signature
//sfunction @vtkImageGradient:vtkImageGradient vtkImageGradientConstructorFunction
//input a
//output p
//@@Parents vtkImageGradient vtkThreadedImageAlgorithm 
ArrayVector vtkImageGradientConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageGradient::New(),"vtkImageGradient",eval);
  } else if (arg[0].className() == "vtkImageGradient") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageGradient"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageGradient");
    vtkImageGradient*q = reinterpret_cast<vtkImageGradient*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageGradient");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageGradient:GetClassName vtkImageGradientGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageGradientGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageGradient requires 1 argument(s)");
  vtkImageGradient* vtk_pointer = GetVTKPointer<vtkImageGradient>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageGradient:IsA vtkImageGradientIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageGradientIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageGradient requires 2 argument(s)");
  vtkImageGradient* vtk_pointer = GetVTKPointer<vtkImageGradient>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageGradient:NewInstance vtkImageGradientNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageGradientNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageGradient *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageGradient requires 1 argument(s)");
  vtkImageGradient* vtk_pointer = GetVTKPointer<vtkImageGradient>(arg[0]);
  Array retval;
  vtkImageGradient  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageGradient",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageGradient:SafeDownCast vtkImageGradientSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageGradientSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageGradient *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageGradient requires 2 argument(s)");
  vtkImageGradient* vtk_pointer = GetVTKPointer<vtkImageGradient>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageGradient  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageGradient",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageGradient:SetDimensionality vtkImageGradientSetDimensionalityFunction
//input a0 a1 
//output none
ArrayVector vtkImageGradientSetDimensionalityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDimensionality (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDimensionality for class vtkImageGradient requires 2 argument(s)");
  vtkImageGradient* vtk_pointer = GetVTKPointer<vtkImageGradient>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDimensionality(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageGradient:GetDimensionalityMinValue vtkImageGradientGetDimensionalityMinValueFunction
//input a0 
//output y
ArrayVector vtkImageGradientGetDimensionalityMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDimensionalityMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensionalityMinValue for class vtkImageGradient requires 1 argument(s)");
  vtkImageGradient* vtk_pointer = GetVTKPointer<vtkImageGradient>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimensionalityMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageGradient:GetDimensionalityMaxValue vtkImageGradientGetDimensionalityMaxValueFunction
//input a0 
//output y
ArrayVector vtkImageGradientGetDimensionalityMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDimensionalityMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensionalityMaxValue for class vtkImageGradient requires 1 argument(s)");
  vtkImageGradient* vtk_pointer = GetVTKPointer<vtkImageGradient>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimensionalityMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageGradient:GetDimensionality vtkImageGradientGetDimensionalityFunction
//input a0 
//output y
ArrayVector vtkImageGradientGetDimensionalityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDimensionality (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensionality for class vtkImageGradient requires 1 argument(s)");
  vtkImageGradient* vtk_pointer = GetVTKPointer<vtkImageGradient>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimensionality();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageGradient:SetHandleBoundaries vtkImageGradientSetHandleBoundariesFunction
//input a0 a1 
//output none
ArrayVector vtkImageGradientSetHandleBoundariesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHandleBoundaries (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHandleBoundaries for class vtkImageGradient requires 2 argument(s)");
  vtkImageGradient* vtk_pointer = GetVTKPointer<vtkImageGradient>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetHandleBoundaries(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageGradient:GetHandleBoundaries vtkImageGradientGetHandleBoundariesFunction
//input a0 
//output y
ArrayVector vtkImageGradientGetHandleBoundariesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetHandleBoundaries (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHandleBoundaries for class vtkImageGradient requires 1 argument(s)");
  vtkImageGradient* vtk_pointer = GetVTKPointer<vtkImageGradient>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetHandleBoundaries();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageGradient:HandleBoundariesOn vtkImageGradientHandleBoundariesOnFunction
//input a0 
//output none
ArrayVector vtkImageGradientHandleBoundariesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HandleBoundariesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function HandleBoundariesOn for class vtkImageGradient requires 1 argument(s)");
  vtkImageGradient* vtk_pointer = GetVTKPointer<vtkImageGradient>(arg[0]);
  Array retval;
  vtk_pointer->HandleBoundariesOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageGradient:HandleBoundariesOff vtkImageGradientHandleBoundariesOffFunction
//input a0 
//output none
ArrayVector vtkImageGradientHandleBoundariesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HandleBoundariesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function HandleBoundariesOff for class vtkImageGradient requires 1 argument(s)");
  vtkImageGradient* vtk_pointer = GetVTKPointer<vtkImageGradient>(arg[0]);
  Array retval;
  vtk_pointer->HandleBoundariesOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageGradient:display vtkImageGradientDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageGradientDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageGradient* vtk_pointer = GetVTKPointer<vtkImageGradient>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageGradient:delete vtkImageGradientDeleteFunction
//input varargin
//output none
ArrayVector vtkImageGradientDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageGradient
//@@Section VTKImaging
//@@Usage
// vtkImageGradient computes the gradient vector of an image.  The
// vector results are stored as scalar components. The Dimensionality
// determines whether to perform a 2d or 3d gradient. The default is
// two dimensional XY gradient.  OutputScalarType is always
// double. Gradient is computed using central differences.
//
//To create an instance of class vtkImageGradient, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageGradient
//@]
//@@Methods
//The class vtkImageGradient has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageGradient class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageGradient = obj.NewInstance ()|
// \item @|vtkImageGradient = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetDimensionality (int )| -  Determines how the input is interpreted (set of 2d slices ...)
//// \item @|int = obj.GetDimensionalityMinValue ()| -  Determines how the input is interpreted (set of 2d slices ...)
//// \item @|int = obj.GetDimensionalityMaxValue ()| -  Determines how the input is interpreted (set of 2d slices ...)
//// \item @|int = obj.GetDimensionality ()| -  Determines how the input is interpreted (set of 2d slices ...)
//// \item @|obj.SetHandleBoundaries (int )| -  Get/Set whether to handle boundaries.  If enabled, boundary
// pixels are treated as duplicated so that central differencing
// works for the boundary pixels.  If disabled, the output whole
// extent of the image is reduced by one pixel.
//// \item @|int = obj.GetHandleBoundaries ()| -  Get/Set whether to handle boundaries.  If enabled, boundary
// pixels are treated as duplicated so that central differencing
// works for the boundary pixels.  If disabled, the output whole
// extent of the image is reduced by one pixel.
//// \item @|obj.HandleBoundariesOn ()| -  Get/Set whether to handle boundaries.  If enabled, boundary
// pixels are treated as duplicated so that central differencing
// works for the boundary pixels.  If disabled, the output whole
// extent of the image is reduced by one pixel.
//// \item @|obj.HandleBoundariesOff ()| -  Get/Set whether to handle boundaries.  If enabled, boundary
// pixels are treated as duplicated so that central differencing
// works for the boundary pixels.  If disabled, the output whole
// extent of the image is reduced by one pixel.
////\end{itemize}
//!
