#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageGradientMagnitude object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageGradientMagnitude.h"

//@@Signature
//sfunction @vtkImageGradientMagnitude:vtkImageGradientMagnitude vtkImageGradientMagnitudeConstructorFunction
//input a
//output p
//@@Parents vtkImageGradientMagnitude vtkThreadedImageAlgorithm 
ArrayVector vtkImageGradientMagnitudeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageGradientMagnitude::New(),"vtkImageGradientMagnitude",eval);
  } else if (arg[0].className() == "vtkImageGradientMagnitude") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageGradientMagnitude"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageGradientMagnitude");
    vtkImageGradientMagnitude*q = reinterpret_cast<vtkImageGradientMagnitude*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageGradientMagnitude");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageGradientMagnitude:GetClassName vtkImageGradientMagnitudeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageGradientMagnitudeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageGradientMagnitude requires 1 argument(s)");
  vtkImageGradientMagnitude* vtk_pointer = GetVTKPointer<vtkImageGradientMagnitude>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageGradientMagnitude:IsA vtkImageGradientMagnitudeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageGradientMagnitudeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageGradientMagnitude requires 2 argument(s)");
  vtkImageGradientMagnitude* vtk_pointer = GetVTKPointer<vtkImageGradientMagnitude>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageGradientMagnitude:NewInstance vtkImageGradientMagnitudeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageGradientMagnitudeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageGradientMagnitude *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageGradientMagnitude requires 1 argument(s)");
  vtkImageGradientMagnitude* vtk_pointer = GetVTKPointer<vtkImageGradientMagnitude>(arg[0]);
  Array retval;
  vtkImageGradientMagnitude  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageGradientMagnitude",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageGradientMagnitude:SafeDownCast vtkImageGradientMagnitudeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageGradientMagnitudeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageGradientMagnitude *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageGradientMagnitude requires 2 argument(s)");
  vtkImageGradientMagnitude* vtk_pointer = GetVTKPointer<vtkImageGradientMagnitude>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageGradientMagnitude  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageGradientMagnitude",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageGradientMagnitude:SetHandleBoundaries vtkImageGradientMagnitudeSetHandleBoundariesFunction
//input a0 a1 
//output none
ArrayVector vtkImageGradientMagnitudeSetHandleBoundariesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHandleBoundaries (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHandleBoundaries for class vtkImageGradientMagnitude requires 2 argument(s)");
  vtkImageGradientMagnitude* vtk_pointer = GetVTKPointer<vtkImageGradientMagnitude>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetHandleBoundaries(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageGradientMagnitude:GetHandleBoundaries vtkImageGradientMagnitudeGetHandleBoundariesFunction
//input a0 
//output y
ArrayVector vtkImageGradientMagnitudeGetHandleBoundariesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetHandleBoundaries (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHandleBoundaries for class vtkImageGradientMagnitude requires 1 argument(s)");
  vtkImageGradientMagnitude* vtk_pointer = GetVTKPointer<vtkImageGradientMagnitude>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetHandleBoundaries();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageGradientMagnitude:HandleBoundariesOn vtkImageGradientMagnitudeHandleBoundariesOnFunction
//input a0 
//output none
ArrayVector vtkImageGradientMagnitudeHandleBoundariesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HandleBoundariesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function HandleBoundariesOn for class vtkImageGradientMagnitude requires 1 argument(s)");
  vtkImageGradientMagnitude* vtk_pointer = GetVTKPointer<vtkImageGradientMagnitude>(arg[0]);
  Array retval;
  vtk_pointer->HandleBoundariesOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageGradientMagnitude:HandleBoundariesOff vtkImageGradientMagnitudeHandleBoundariesOffFunction
//input a0 
//output none
ArrayVector vtkImageGradientMagnitudeHandleBoundariesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HandleBoundariesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function HandleBoundariesOff for class vtkImageGradientMagnitude requires 1 argument(s)");
  vtkImageGradientMagnitude* vtk_pointer = GetVTKPointer<vtkImageGradientMagnitude>(arg[0]);
  Array retval;
  vtk_pointer->HandleBoundariesOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageGradientMagnitude:SetDimensionality vtkImageGradientMagnitudeSetDimensionalityFunction
//input a0 a1 
//output none
ArrayVector vtkImageGradientMagnitudeSetDimensionalityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDimensionality (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDimensionality for class vtkImageGradientMagnitude requires 2 argument(s)");
  vtkImageGradientMagnitude* vtk_pointer = GetVTKPointer<vtkImageGradientMagnitude>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDimensionality(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageGradientMagnitude:GetDimensionalityMinValue vtkImageGradientMagnitudeGetDimensionalityMinValueFunction
//input a0 
//output y
ArrayVector vtkImageGradientMagnitudeGetDimensionalityMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDimensionalityMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensionalityMinValue for class vtkImageGradientMagnitude requires 1 argument(s)");
  vtkImageGradientMagnitude* vtk_pointer = GetVTKPointer<vtkImageGradientMagnitude>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimensionalityMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageGradientMagnitude:GetDimensionalityMaxValue vtkImageGradientMagnitudeGetDimensionalityMaxValueFunction
//input a0 
//output y
ArrayVector vtkImageGradientMagnitudeGetDimensionalityMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDimensionalityMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensionalityMaxValue for class vtkImageGradientMagnitude requires 1 argument(s)");
  vtkImageGradientMagnitude* vtk_pointer = GetVTKPointer<vtkImageGradientMagnitude>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimensionalityMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageGradientMagnitude:GetDimensionality vtkImageGradientMagnitudeGetDimensionalityFunction
//input a0 
//output y
ArrayVector vtkImageGradientMagnitudeGetDimensionalityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDimensionality (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensionality for class vtkImageGradientMagnitude requires 1 argument(s)");
  vtkImageGradientMagnitude* vtk_pointer = GetVTKPointer<vtkImageGradientMagnitude>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimensionality();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageGradientMagnitude:display vtkImageGradientMagnitudeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageGradientMagnitudeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageGradientMagnitude* vtk_pointer = GetVTKPointer<vtkImageGradientMagnitude>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageGradientMagnitude:delete vtkImageGradientMagnitudeDeleteFunction
//input varargin
//output none
ArrayVector vtkImageGradientMagnitudeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageGradientMagnitude
//@@Section VTKImaging
//@@Usage
// vtkImageGradientMagnitude computes the gradient magnitude of an image.
// Setting the dimensionality determines whether the gradient is computed on
// 2D images, or 3D volumes.  The default is two dimensional XY images.
//
//To create an instance of class vtkImageGradientMagnitude, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageGradientMagnitude
//@]
//@@Methods
//The class vtkImageGradientMagnitude has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageGradientMagnitude class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageGradientMagnitude = obj.NewInstance ()|
// \item @|vtkImageGradientMagnitude = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetHandleBoundaries (int )| -  If "HandleBoundariesOn" then boundary pixels are duplicated
// So central differences can get values.
//// \item @|int = obj.GetHandleBoundaries ()| -  If "HandleBoundariesOn" then boundary pixels are duplicated
// So central differences can get values.
//// \item @|obj.HandleBoundariesOn ()| -  If "HandleBoundariesOn" then boundary pixels are duplicated
// So central differences can get values.
//// \item @|obj.HandleBoundariesOff ()| -  If "HandleBoundariesOn" then boundary pixels are duplicated
// So central differences can get values.
//// \item @|obj.SetDimensionality (int )| -  Determines how the input is interpreted (set of 2d slices ...)
//// \item @|int = obj.GetDimensionalityMinValue ()| -  Determines how the input is interpreted (set of 2d slices ...)
//// \item @|int = obj.GetDimensionalityMaxValue ()| -  Determines how the input is interpreted (set of 2d slices ...)
//// \item @|int = obj.GetDimensionality ()| -  Determines how the input is interpreted (set of 2d slices ...)
////\end{itemize}
//!
