#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageGridSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageGridSource.h"

//@@Signature
//sfunction @vtkImageGridSource:vtkImageGridSource vtkImageGridSourceConstructorFunction
//input a
//output p
//@@Parents vtkImageGridSource vtkImageAlgorithm 
ArrayVector vtkImageGridSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageGridSource::New(),"vtkImageGridSource",eval);
  } else if (arg[0].className() == "vtkImageGridSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageGridSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageGridSource");
    vtkImageGridSource*q = reinterpret_cast<vtkImageGridSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageGridSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageGridSource:GetClassName vtkImageGridSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageGridSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageGridSource requires 1 argument(s)");
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageGridSource:IsA vtkImageGridSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageGridSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageGridSource requires 2 argument(s)");
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageGridSource:NewInstance vtkImageGridSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageGridSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageGridSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageGridSource requires 1 argument(s)");
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  Array retval;
  vtkImageGridSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageGridSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageGridSource:SafeDownCast vtkImageGridSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageGridSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageGridSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageGridSource requires 2 argument(s)");
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageGridSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageGridSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageGridSource:SetGridSpacing__1 vtkImageGridSourceSetGridSpacing__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageGridSourceSetGridSpacing__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGridSpacing (int , int , int ); */
  if (arg.size() < 4) 
    throw Exception("Function SetGridSpacing__1 for class vtkImageGridSource requires 4 argument(s)");
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetGridSpacing(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageGridSource:SetGridSpacing__2 vtkImageGridSourceSetGridSpacing__2Function
//input a0 a1 
//output none
ArrayVector vtkImageGridSourceSetGridSpacing__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGridSpacing (int  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetGridSpacing__2 for class vtkImageGridSource requires 2 argument(s)");
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetGridSpacing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageGridSource:GetGridSpacing vtkImageGridSourceGetGridSpacingFunction
//input a0 
//output y
ArrayVector vtkImageGridSourceGetGridSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetGridSpacing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGridSpacing for class vtkImageGridSource requires 1 argument(s)");
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetGridSpacing();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageGridSource:SetGridOrigin__1 vtkImageGridSourceSetGridOrigin__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageGridSourceSetGridOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGridOrigin (int , int , int ); */
  if (arg.size() < 4) 
    throw Exception("Function SetGridOrigin__1 for class vtkImageGridSource requires 4 argument(s)");
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetGridOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageGridSource:SetGridOrigin__2 vtkImageGridSourceSetGridOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkImageGridSourceSetGridOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGridOrigin (int  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetGridOrigin__2 for class vtkImageGridSource requires 2 argument(s)");
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetGridOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageGridSource:GetGridOrigin vtkImageGridSourceGetGridOriginFunction
//input a0 
//output y
ArrayVector vtkImageGridSourceGetGridOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetGridOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGridOrigin for class vtkImageGridSource requires 1 argument(s)");
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetGridOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageGridSource:SetLineValue vtkImageGridSourceSetLineValueFunction
//input a0 a1 
//output none
ArrayVector vtkImageGridSourceSetLineValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLineValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLineValue for class vtkImageGridSource requires 2 argument(s)");
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLineValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageGridSource:GetLineValue vtkImageGridSourceGetLineValueFunction
//input a0 
//output y
ArrayVector vtkImageGridSourceGetLineValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLineValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLineValue for class vtkImageGridSource requires 1 argument(s)");
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLineValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageGridSource:SetFillValue vtkImageGridSourceSetFillValueFunction
//input a0 a1 
//output none
ArrayVector vtkImageGridSourceSetFillValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFillValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFillValue for class vtkImageGridSource requires 2 argument(s)");
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetFillValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageGridSource:GetFillValue vtkImageGridSourceGetFillValueFunction
//input a0 
//output y
ArrayVector vtkImageGridSourceGetFillValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFillValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFillValue for class vtkImageGridSource requires 1 argument(s)");
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFillValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageGridSource:SetDataScalarType vtkImageGridSourceSetDataScalarTypeFunction
//input a0 a1 
//output none
ArrayVector vtkImageGridSourceSetDataScalarTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataScalarType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataScalarType for class vtkImageGridSource requires 2 argument(s)");
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDataScalarType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageGridSource:SetDataScalarTypeToDouble vtkImageGridSourceSetDataScalarTypeToDoubleFunction
//input a0 
//output none
ArrayVector vtkImageGridSourceSetDataScalarTypeToDoubleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataScalarTypeToDouble ();this SetDataScalarType VTK_DOUBLE  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataScalarTypeToDouble for class vtkImageGridSource requires 1 argument(s)");
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  Array retval;
  vtk_pointer->SetDataScalarTypeToDouble();
  return retval;
}

//@@Signature
//sfunction @vtkImageGridSource:SetDataScalarTypeToInt vtkImageGridSourceSetDataScalarTypeToIntFunction
//input a0 
//output none
ArrayVector vtkImageGridSourceSetDataScalarTypeToIntFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataScalarTypeToInt ();this SetDataScalarType VTK_INT  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataScalarTypeToInt for class vtkImageGridSource requires 1 argument(s)");
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  Array retval;
  vtk_pointer->SetDataScalarTypeToInt();
  return retval;
}

//@@Signature
//sfunction @vtkImageGridSource:SetDataScalarTypeToShort vtkImageGridSourceSetDataScalarTypeToShortFunction
//input a0 
//output none
ArrayVector vtkImageGridSourceSetDataScalarTypeToShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataScalarTypeToShort ();this SetDataScalarType VTK_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataScalarTypeToShort for class vtkImageGridSource requires 1 argument(s)");
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  Array retval;
  vtk_pointer->SetDataScalarTypeToShort();
  return retval;
}

//@@Signature
//sfunction @vtkImageGridSource:SetDataScalarTypeToUnsignedShort vtkImageGridSourceSetDataScalarTypeToUnsignedShortFunction
//input a0 
//output none
ArrayVector vtkImageGridSourceSetDataScalarTypeToUnsignedShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataScalarTypeToUnsignedShort ();this SetDataScalarType VTK_UNSIGNED_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataScalarTypeToUnsignedShort for class vtkImageGridSource requires 1 argument(s)");
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  Array retval;
  vtk_pointer->SetDataScalarTypeToUnsignedShort();
  return retval;
}

//@@Signature
//sfunction @vtkImageGridSource:SetDataScalarTypeToUnsignedChar vtkImageGridSourceSetDataScalarTypeToUnsignedCharFunction
//input a0 
//output none
ArrayVector vtkImageGridSourceSetDataScalarTypeToUnsignedCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataScalarTypeToUnsignedChar ();this SetDataScalarType VTK_UNSIGNED_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataScalarTypeToUnsignedChar for class vtkImageGridSource requires 1 argument(s)");
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  Array retval;
  vtk_pointer->SetDataScalarTypeToUnsignedChar();
  return retval;
}

//@@Signature
//sfunction @vtkImageGridSource:GetDataScalarType vtkImageGridSourceGetDataScalarTypeFunction
//input a0 
//output y
ArrayVector vtkImageGridSourceGetDataScalarTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataScalarType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataScalarType for class vtkImageGridSource requires 1 argument(s)");
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataScalarType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageGridSource:GetDataScalarTypeAsString vtkImageGridSourceGetDataScalarTypeAsStringFunction
//input a0 
//output y
ArrayVector vtkImageGridSourceGetDataScalarTypeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetDataScalarTypeAsString ();return vtkImageScalarTypeNameMacro this DataScalarType  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataScalarTypeAsString for class vtkImageGridSource requires 1 argument(s)");
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDataScalarTypeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageGridSource:SetDataExtent__1 vtkImageGridSourceSetDataExtent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkImageGridSourceSetDataExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataExtent (int , int , int , int , int , int ); */
  if (arg.size() < 7) 
    throw Exception("Function SetDataExtent__1 for class vtkImageGridSource requires 7 argument(s)");
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetDataExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkImageGridSource:SetDataExtent__2 vtkImageGridSourceSetDataExtent__2Function
//input a0 a1 
//output none
ArrayVector vtkImageGridSourceSetDataExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataExtent (int  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataExtent__2 for class vtkImageGridSource requires 2 argument(s)");
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetDataExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageGridSource:GetDataExtent vtkImageGridSourceGetDataExtentFunction
//input a0 
//output y
ArrayVector vtkImageGridSourceGetDataExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetDataExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataExtent for class vtkImageGridSource requires 1 argument(s)");
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetDataExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageGridSource:SetDataSpacing__1 vtkImageGridSourceSetDataSpacing__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageGridSourceSetDataSpacing__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataSpacing (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetDataSpacing__1 for class vtkImageGridSource requires 4 argument(s)");
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetDataSpacing(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageGridSource:SetDataSpacing__2 vtkImageGridSourceSetDataSpacing__2Function
//input a0 a1 
//output none
ArrayVector vtkImageGridSourceSetDataSpacing__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataSpacing (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataSpacing__2 for class vtkImageGridSource requires 2 argument(s)");
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetDataSpacing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageGridSource:GetDataSpacing vtkImageGridSourceGetDataSpacingFunction
//input a0 
//output y
ArrayVector vtkImageGridSourceGetDataSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetDataSpacing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataSpacing for class vtkImageGridSource requires 1 argument(s)");
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetDataSpacing();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageGridSource:SetDataOrigin__1 vtkImageGridSourceSetDataOrigin__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageGridSourceSetDataOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataOrigin (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetDataOrigin__1 for class vtkImageGridSource requires 4 argument(s)");
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetDataOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageGridSource:SetDataOrigin__2 vtkImageGridSourceSetDataOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkImageGridSourceSetDataOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataOrigin (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataOrigin__2 for class vtkImageGridSource requires 2 argument(s)");
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetDataOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageGridSource:GetDataOrigin vtkImageGridSourceGetDataOriginFunction
//input a0 
//output y
ArrayVector vtkImageGridSourceGetDataOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetDataOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataOrigin for class vtkImageGridSource requires 1 argument(s)");
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetDataOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageGridSource:SetGridSpacing vtkImageGridSourceSetGridSpacingFunction
//input varargin
//output varargout
ArrayVector vtkImageGridSourceSetGridSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageGridSourceSetGridSpacing__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageGridSourceSetGridSpacing__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageGridSourceSetGridSpacing");
}

//@@Signature
//sfunction @vtkImageGridSource:SetGridOrigin vtkImageGridSourceSetGridOriginFunction
//input varargin
//output varargout
ArrayVector vtkImageGridSourceSetGridOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageGridSourceSetGridOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageGridSourceSetGridOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageGridSourceSetGridOrigin");
}

//@@Signature
//sfunction @vtkImageGridSource:SetDataExtent vtkImageGridSourceSetDataExtentFunction
//input varargin
//output varargout
ArrayVector vtkImageGridSourceSetDataExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkImageGridSourceSetDataExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageGridSourceSetDataExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageGridSourceSetDataExtent");
}

//@@Signature
//sfunction @vtkImageGridSource:SetDataSpacing vtkImageGridSourceSetDataSpacingFunction
//input varargin
//output varargout
ArrayVector vtkImageGridSourceSetDataSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageGridSourceSetDataSpacing__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageGridSourceSetDataSpacing__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageGridSourceSetDataSpacing");
}

//@@Signature
//sfunction @vtkImageGridSource:SetDataOrigin vtkImageGridSourceSetDataOriginFunction
//input varargin
//output varargout
ArrayVector vtkImageGridSourceSetDataOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageGridSourceSetDataOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageGridSourceSetDataOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageGridSourceSetDataOrigin");
}

//@@Signature
//sfunction @vtkImageGridSource:display vtkImageGridSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageGridSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageGridSource* vtk_pointer = GetVTKPointer<vtkImageGridSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageGridSource:delete vtkImageGridSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkImageGridSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageGridSource
//@@Section VTKImaging
//@@Usage
// vtkImageGridSource produces an image of a grid.  The
// default output type is double.
//
//To create an instance of class vtkImageGridSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageGridSource
//@]
//@@Methods
//The class vtkImageGridSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageGridSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageGridSource = obj.NewInstance ()|
// \item @|vtkImageGridSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetGridSpacing (int , int , int )| -  Set/Get the grid spacing in pixel units.  Default (10,10,0).
// A value of zero means no grid.
//// \item @|obj.SetGridSpacing (int  a[3])| -  Set/Get the grid spacing in pixel units.  Default (10,10,0).
// A value of zero means no grid.
//// \item @|int = obj. GetGridSpacing ()| -  Set/Get the grid spacing in pixel units.  Default (10,10,0).
// A value of zero means no grid.
//// \item @|obj.SetGridOrigin (int , int , int )| -  Set/Get the grid origin, in ijk integer values.  Default (0,0,0).
//// \item @|obj.SetGridOrigin (int  a[3])| -  Set/Get the grid origin, in ijk integer values.  Default (0,0,0).
//// \item @|int = obj. GetGridOrigin ()| -  Set/Get the grid origin, in ijk integer values.  Default (0,0,0).
//// \item @|obj.SetLineValue (double )| -  Set the grey level of the lines. Default 1.0.
//// \item @|double = obj.GetLineValue ()| -  Set the grey level of the lines. Default 1.0.
//// \item @|obj.SetFillValue (double )| -  Set the grey level of the fill. Default 0.0.
//// \item @|double = obj.GetFillValue ()| -  Set the grey level of the fill. Default 0.0.
//// \item @|obj.SetDataScalarType (int )| -  Set/Get the data type of pixels in the imported data.
// As a convenience, the OutputScalarType is set to the same value.
//// \item @|obj.SetDataScalarTypeToDouble ()| -  Set/Get the data type of pixels in the imported data.
// As a convenience, the OutputScalarType is set to the same value.
//// \item @|obj.SetDataScalarTypeToInt ()| -  Set/Get the data type of pixels in the imported data.
// As a convenience, the OutputScalarType is set to the same value.
//// \item @|obj.SetDataScalarTypeToShort ()| -  Set/Get the data type of pixels in the imported data.
// As a convenience, the OutputScalarType is set to the same value.
//// \item @|obj.SetDataScalarTypeToUnsignedShort ()| -  Set/Get the data type of pixels in the imported data.
// As a convenience, the OutputScalarType is set to the same value.
//// \item @|obj.SetDataScalarTypeToUnsignedChar ()| -  Set/Get the data type of pixels in the imported data.
// As a convenience, the OutputScalarType is set to the same value.
//// \item @|int = obj.GetDataScalarType ()| -  Set/Get the data type of pixels in the imported data.
// As a convenience, the OutputScalarType is set to the same value.
//// \item @|string = obj.GetDataScalarTypeAsString ()| -  Set/Get the extent of the whole output image,
// Default: (0,255,0,255,0,0)
//// \item @|obj.SetDataExtent (int , int , int , int , int , int )| -  Set/Get the extent of the whole output image,
// Default: (0,255,0,255,0,0)
//// \item @|obj.SetDataExtent (int  a[6])| -  Set/Get the extent of the whole output image,
// Default: (0,255,0,255,0,0)
//// \item @|int = obj. GetDataExtent ()| -  Set/Get the extent of the whole output image,
// Default: (0,255,0,255,0,0)
//// \item @|obj.SetDataSpacing (double , double , double )| -  Set/Get the pixel spacing.
//// \item @|obj.SetDataSpacing (double  a[3])| -  Set/Get the pixel spacing.
//// \item @|double = obj. GetDataSpacing ()| -  Set/Get the pixel spacing.
//// \item @|obj.SetDataOrigin (double , double , double )| -  Set/Get the origin of the data.
//// \item @|obj.SetDataOrigin (double  a[3])| -  Set/Get the origin of the data.
//// \item @|double = obj. GetDataOrigin ()| -  Set/Get the origin of the data.
////\end{itemize}
//!
