#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageHSIToRGB object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageHSIToRGB.h"

//@@Signature
//sfunction @vtkImageHSIToRGB:vtkImageHSIToRGB vtkImageHSIToRGBConstructorFunction
//input a
//output p
//@@Parents vtkImageHSIToRGB vtkThreadedImageAlgorithm 
ArrayVector vtkImageHSIToRGBConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageHSIToRGB::New(),"vtkImageHSIToRGB",eval);
  } else if (arg[0].className() == "vtkImageHSIToRGB") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageHSIToRGB"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageHSIToRGB");
    vtkImageHSIToRGB*q = reinterpret_cast<vtkImageHSIToRGB*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageHSIToRGB");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageHSIToRGB:GetClassName vtkImageHSIToRGBGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageHSIToRGBGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageHSIToRGB requires 1 argument(s)");
  vtkImageHSIToRGB* vtk_pointer = GetVTKPointer<vtkImageHSIToRGB>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageHSIToRGB:IsA vtkImageHSIToRGBIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageHSIToRGBIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageHSIToRGB requires 2 argument(s)");
  vtkImageHSIToRGB* vtk_pointer = GetVTKPointer<vtkImageHSIToRGB>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageHSIToRGB:NewInstance vtkImageHSIToRGBNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageHSIToRGBNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageHSIToRGB *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageHSIToRGB requires 1 argument(s)");
  vtkImageHSIToRGB* vtk_pointer = GetVTKPointer<vtkImageHSIToRGB>(arg[0]);
  Array retval;
  vtkImageHSIToRGB  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageHSIToRGB",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageHSIToRGB:SafeDownCast vtkImageHSIToRGBSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageHSIToRGBSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageHSIToRGB *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageHSIToRGB requires 2 argument(s)");
  vtkImageHSIToRGB* vtk_pointer = GetVTKPointer<vtkImageHSIToRGB>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageHSIToRGB  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageHSIToRGB",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageHSIToRGB:SetMaximum vtkImageHSIToRGBSetMaximumFunction
//input a0 a1 
//output none
ArrayVector vtkImageHSIToRGBSetMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximum (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximum for class vtkImageHSIToRGB requires 2 argument(s)");
  vtkImageHSIToRGB* vtk_pointer = GetVTKPointer<vtkImageHSIToRGB>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximum(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageHSIToRGB:GetMaximum vtkImageHSIToRGBGetMaximumFunction
//input a0 
//output y
ArrayVector vtkImageHSIToRGBGetMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximum (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximum for class vtkImageHSIToRGB requires 1 argument(s)");
  vtkImageHSIToRGB* vtk_pointer = GetVTKPointer<vtkImageHSIToRGB>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximum();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageHSIToRGB:display vtkImageHSIToRGBDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageHSIToRGBDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageHSIToRGB* vtk_pointer = GetVTKPointer<vtkImageHSIToRGB>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageHSIToRGB:delete vtkImageHSIToRGBDeleteFunction
//input varargin
//output none
ArrayVector vtkImageHSIToRGBDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageHSIToRGB
//@@Section VTKImaging
//@@Usage
// For each pixel with hue, saturation and intensity components this filter
// outputs the color coded as red, green, blue.  Output type must be the same
// as input type.
//
//To create an instance of class vtkImageHSIToRGB, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageHSIToRGB
//@]
//@@Methods
//The class vtkImageHSIToRGB has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageHSIToRGB class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageHSIToRGB = obj.NewInstance ()|
// \item @|vtkImageHSIToRGB = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetMaximum (double )| -  Hue is an angle. Maximum specifies when it maps back to 0.
// HueMaximum defaults to 255 instead of 2PI, because unsigned char
// is expected as input.
// Maximum also specifies the maximum of the Saturation, and R, G, B.
//// \item @|double = obj.GetMaximum ()| -  Hue is an angle. Maximum specifies when it maps back to 0.
// HueMaximum defaults to 255 instead of 2PI, because unsigned char
// is expected as input.
// Maximum also specifies the maximum of the Saturation, and R, G, B.
////\end{itemize}
//!
