#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageHSVToRGB object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageHSVToRGB.h"

//@@Signature
//sfunction @vtkImageHSVToRGB:vtkImageHSVToRGB vtkImageHSVToRGBConstructorFunction
//input a
//output p
//@@Parents vtkImageHSVToRGB vtkThreadedImageAlgorithm 
ArrayVector vtkImageHSVToRGBConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageHSVToRGB::New(),"vtkImageHSVToRGB",eval);
  } else if (arg[0].className() == "vtkImageHSVToRGB") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageHSVToRGB"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageHSVToRGB");
    vtkImageHSVToRGB*q = reinterpret_cast<vtkImageHSVToRGB*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageHSVToRGB");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageHSVToRGB:GetClassName vtkImageHSVToRGBGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageHSVToRGBGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageHSVToRGB requires 1 argument(s)");
  vtkImageHSVToRGB* vtk_pointer = GetVTKPointer<vtkImageHSVToRGB>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageHSVToRGB:IsA vtkImageHSVToRGBIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageHSVToRGBIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageHSVToRGB requires 2 argument(s)");
  vtkImageHSVToRGB* vtk_pointer = GetVTKPointer<vtkImageHSVToRGB>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageHSVToRGB:NewInstance vtkImageHSVToRGBNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageHSVToRGBNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageHSVToRGB *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageHSVToRGB requires 1 argument(s)");
  vtkImageHSVToRGB* vtk_pointer = GetVTKPointer<vtkImageHSVToRGB>(arg[0]);
  Array retval;
  vtkImageHSVToRGB  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageHSVToRGB",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageHSVToRGB:SafeDownCast vtkImageHSVToRGBSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageHSVToRGBSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageHSVToRGB *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageHSVToRGB requires 2 argument(s)");
  vtkImageHSVToRGB* vtk_pointer = GetVTKPointer<vtkImageHSVToRGB>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageHSVToRGB  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageHSVToRGB",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageHSVToRGB:SetMaximum vtkImageHSVToRGBSetMaximumFunction
//input a0 a1 
//output none
ArrayVector vtkImageHSVToRGBSetMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximum (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximum for class vtkImageHSVToRGB requires 2 argument(s)");
  vtkImageHSVToRGB* vtk_pointer = GetVTKPointer<vtkImageHSVToRGB>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximum(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageHSVToRGB:GetMaximum vtkImageHSVToRGBGetMaximumFunction
//input a0 
//output y
ArrayVector vtkImageHSVToRGBGetMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximum (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximum for class vtkImageHSVToRGB requires 1 argument(s)");
  vtkImageHSVToRGB* vtk_pointer = GetVTKPointer<vtkImageHSVToRGB>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximum();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageHSVToRGB:display vtkImageHSVToRGBDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageHSVToRGBDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageHSVToRGB* vtk_pointer = GetVTKPointer<vtkImageHSVToRGB>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageHSVToRGB:delete vtkImageHSVToRGBDeleteFunction
//input varargin
//output none
ArrayVector vtkImageHSVToRGBDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageHSVToRGB
//@@Section VTKImaging
//@@Usage
// For each pixel with hue, saturation and value components this filter
// outputs the color coded as red, green, blue.  Output type must be the same
// as input type.
//
//To create an instance of class vtkImageHSVToRGB, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageHSVToRGB
//@]
//@@Methods
//The class vtkImageHSVToRGB has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageHSVToRGB class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageHSVToRGB = obj.NewInstance ()|
// \item @|vtkImageHSVToRGB = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetMaximum (double )| -  Hue is an angle. Maximum specifies when it maps back to 0.
// HueMaximum defaults to 255 instead of 2PI, because unsigned char
// is expected as input.
// Maximum also specifies the maximum of the Saturation, and R, G, B.
//// \item @|double = obj.GetMaximum ()| -  Hue is an angle. Maximum specifies when it maps back to 0.
// HueMaximum defaults to 255 instead of 2PI, because unsigned char
// is expected as input.
// Maximum also specifies the maximum of the Saturation, and R, G, B.
////\end{itemize}
//!
