#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageHybridMedian2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageHybridMedian2D.h"

//@@Signature
//sfunction @vtkImageHybridMedian2D:vtkImageHybridMedian2D vtkImageHybridMedian2DConstructorFunction
//input a
//output p
//@@Parents vtkImageHybridMedian2D vtkImageSpatialAlgorithm 
ArrayVector vtkImageHybridMedian2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageHybridMedian2D::New(),"vtkImageHybridMedian2D",eval);
  } else if (arg[0].className() == "vtkImageHybridMedian2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageHybridMedian2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageHybridMedian2D");
    vtkImageHybridMedian2D*q = reinterpret_cast<vtkImageHybridMedian2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageHybridMedian2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageHybridMedian2D:GetClassName vtkImageHybridMedian2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageHybridMedian2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageHybridMedian2D requires 1 argument(s)");
  vtkImageHybridMedian2D* vtk_pointer = GetVTKPointer<vtkImageHybridMedian2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageHybridMedian2D:IsA vtkImageHybridMedian2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageHybridMedian2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageHybridMedian2D requires 2 argument(s)");
  vtkImageHybridMedian2D* vtk_pointer = GetVTKPointer<vtkImageHybridMedian2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageHybridMedian2D:NewInstance vtkImageHybridMedian2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageHybridMedian2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageHybridMedian2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageHybridMedian2D requires 1 argument(s)");
  vtkImageHybridMedian2D* vtk_pointer = GetVTKPointer<vtkImageHybridMedian2D>(arg[0]);
  Array retval;
  vtkImageHybridMedian2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageHybridMedian2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageHybridMedian2D:SafeDownCast vtkImageHybridMedian2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageHybridMedian2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageHybridMedian2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageHybridMedian2D requires 2 argument(s)");
  vtkImageHybridMedian2D* vtk_pointer = GetVTKPointer<vtkImageHybridMedian2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageHybridMedian2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageHybridMedian2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageHybridMedian2D:display vtkImageHybridMedian2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageHybridMedian2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageHybridMedian2D* vtk_pointer = GetVTKPointer<vtkImageHybridMedian2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageHybridMedian2D:delete vtkImageHybridMedian2DDeleteFunction
//input varargin
//output none
ArrayVector vtkImageHybridMedian2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageHybridMedian2D
//@@Section VTKImaging
//@@Usage
// vtkImageHybridMedian2D is a median filter that preserves thin lines and
// corners.  It operates on a 5x5 pixel neighborhood.  It computes two values
// initially: the median of the + neighbors and the median of the x
// neighbors.  It then computes the median of these two values plus the center
// pixel.  This result of this second median is the output pixel value.
//
//To create an instance of class vtkImageHybridMedian2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageHybridMedian2D
//@]
//@@Methods
//The class vtkImageHybridMedian2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageHybridMedian2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageHybridMedian2D = obj.NewInstance ()|
// \item @|vtkImageHybridMedian2D = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
