#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageIdealHighPass object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageIdealHighPass.h"

//@@Signature
//sfunction @vtkImageIdealHighPass:vtkImageIdealHighPass vtkImageIdealHighPassConstructorFunction
//input a
//output p
//@@Parents vtkImageIdealHighPass vtkThreadedImageAlgorithm 
ArrayVector vtkImageIdealHighPassConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageIdealHighPass::New(),"vtkImageIdealHighPass",eval);
  } else if (arg[0].className() == "vtkImageIdealHighPass") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageIdealHighPass"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageIdealHighPass");
    vtkImageIdealHighPass*q = reinterpret_cast<vtkImageIdealHighPass*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageIdealHighPass");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageIdealHighPass:GetClassName vtkImageIdealHighPassGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageIdealHighPassGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageIdealHighPass requires 1 argument(s)");
  vtkImageIdealHighPass* vtk_pointer = GetVTKPointer<vtkImageIdealHighPass>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageIdealHighPass:IsA vtkImageIdealHighPassIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageIdealHighPassIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageIdealHighPass requires 2 argument(s)");
  vtkImageIdealHighPass* vtk_pointer = GetVTKPointer<vtkImageIdealHighPass>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageIdealHighPass:NewInstance vtkImageIdealHighPassNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageIdealHighPassNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageIdealHighPass *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageIdealHighPass requires 1 argument(s)");
  vtkImageIdealHighPass* vtk_pointer = GetVTKPointer<vtkImageIdealHighPass>(arg[0]);
  Array retval;
  vtkImageIdealHighPass  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageIdealHighPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageIdealHighPass:SafeDownCast vtkImageIdealHighPassSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageIdealHighPassSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageIdealHighPass *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageIdealHighPass requires 2 argument(s)");
  vtkImageIdealHighPass* vtk_pointer = GetVTKPointer<vtkImageIdealHighPass>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageIdealHighPass  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageIdealHighPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageIdealHighPass:SetCutOff__1 vtkImageIdealHighPassSetCutOff__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageIdealHighPassSetCutOff__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCutOff (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetCutOff__1 for class vtkImageIdealHighPass requires 4 argument(s)");
  vtkImageIdealHighPass* vtk_pointer = GetVTKPointer<vtkImageIdealHighPass>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCutOff(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageIdealHighPass:SetCutOff__2 vtkImageIdealHighPassSetCutOff__2Function
//input a0 a1 
//output none
ArrayVector vtkImageIdealHighPassSetCutOff__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCutOff (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCutOff__2 for class vtkImageIdealHighPass requires 2 argument(s)");
  vtkImageIdealHighPass* vtk_pointer = GetVTKPointer<vtkImageIdealHighPass>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCutOff(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageIdealHighPass:SetCutOff__3 vtkImageIdealHighPassSetCutOff__3Function
//input a0 a1 
//output none
ArrayVector vtkImageIdealHighPassSetCutOff__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCutOff (double v);this SetCutOff v v v  */
  if (arg.size() < 2) 
    throw Exception("Function SetCutOff__3 for class vtkImageIdealHighPass requires 2 argument(s)");
  vtkImageIdealHighPass* vtk_pointer = GetVTKPointer<vtkImageIdealHighPass>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCutOff(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageIdealHighPass:SetXCutOff vtkImageIdealHighPassSetXCutOffFunction
//input a0 a1 
//output none
ArrayVector vtkImageIdealHighPassSetXCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXCutOff (double v); */
  if (arg.size() < 2) 
    throw Exception("Function SetXCutOff for class vtkImageIdealHighPass requires 2 argument(s)");
  vtkImageIdealHighPass* vtk_pointer = GetVTKPointer<vtkImageIdealHighPass>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetXCutOff(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageIdealHighPass:SetYCutOff vtkImageIdealHighPassSetYCutOffFunction
//input a0 a1 
//output none
ArrayVector vtkImageIdealHighPassSetYCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYCutOff (double v); */
  if (arg.size() < 2) 
    throw Exception("Function SetYCutOff for class vtkImageIdealHighPass requires 2 argument(s)");
  vtkImageIdealHighPass* vtk_pointer = GetVTKPointer<vtkImageIdealHighPass>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetYCutOff(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageIdealHighPass:SetZCutOff vtkImageIdealHighPassSetZCutOffFunction
//input a0 a1 
//output none
ArrayVector vtkImageIdealHighPassSetZCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZCutOff (double v); */
  if (arg.size() < 2) 
    throw Exception("Function SetZCutOff for class vtkImageIdealHighPass requires 2 argument(s)");
  vtkImageIdealHighPass* vtk_pointer = GetVTKPointer<vtkImageIdealHighPass>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetZCutOff(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageIdealHighPass:GetCutOff vtkImageIdealHighPassGetCutOffFunction
//input a0 
//output y
ArrayVector vtkImageIdealHighPassGetCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCutOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCutOff for class vtkImageIdealHighPass requires 1 argument(s)");
  vtkImageIdealHighPass* vtk_pointer = GetVTKPointer<vtkImageIdealHighPass>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCutOff();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageIdealHighPass:GetXCutOff vtkImageIdealHighPassGetXCutOffFunction
//input a0 
//output y
ArrayVector vtkImageIdealHighPassGetXCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetXCutOff ();return this CutOff  */
  if (arg.size() < 1) 
    throw Exception("Function GetXCutOff for class vtkImageIdealHighPass requires 1 argument(s)");
  vtkImageIdealHighPass* vtk_pointer = GetVTKPointer<vtkImageIdealHighPass>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetXCutOff();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageIdealHighPass:GetYCutOff vtkImageIdealHighPassGetYCutOffFunction
//input a0 
//output y
ArrayVector vtkImageIdealHighPassGetYCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetYCutOff ();return this CutOff  */
  if (arg.size() < 1) 
    throw Exception("Function GetYCutOff for class vtkImageIdealHighPass requires 1 argument(s)");
  vtkImageIdealHighPass* vtk_pointer = GetVTKPointer<vtkImageIdealHighPass>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetYCutOff();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageIdealHighPass:GetZCutOff vtkImageIdealHighPassGetZCutOffFunction
//input a0 
//output y
ArrayVector vtkImageIdealHighPassGetZCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetZCutOff ();return this CutOff  */
  if (arg.size() < 1) 
    throw Exception("Function GetZCutOff for class vtkImageIdealHighPass requires 1 argument(s)");
  vtkImageIdealHighPass* vtk_pointer = GetVTKPointer<vtkImageIdealHighPass>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetZCutOff();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageIdealHighPass:SetCutOff vtkImageIdealHighPassSetCutOffFunction
//input varargin
//output varargout
ArrayVector vtkImageIdealHighPassSetCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageIdealHighPassSetCutOff__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageIdealHighPassSetCutOff__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkImageIdealHighPassSetCutOff__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageIdealHighPassSetCutOff");
}

//@@Signature
//sfunction @vtkImageIdealHighPass:display vtkImageIdealHighPassDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageIdealHighPassDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageIdealHighPass* vtk_pointer = GetVTKPointer<vtkImageIdealHighPass>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageIdealHighPass:delete vtkImageIdealHighPassDeleteFunction
//input varargin
//output none
ArrayVector vtkImageIdealHighPassDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageIdealHighPass
//@@Section VTKImaging
//@@Usage
// This filter only works on an image after it has been converted to
// frequency domain by a vtkImageFFT filter.  A vtkImageRFFT filter
// can be used to convert the output back into the spatial domain.
// vtkImageIdealHighPass just sets a portion of the image to zero.  The sharp
// cutoff in the frequence domain produces ringing in the spatial domain.
// Input and Output must be doubles.  Dimensionality is set when the axes are
// set.  Defaults to 2D on X and Y axes.
//
//To create an instance of class vtkImageIdealHighPass, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageIdealHighPass
//@]
//@@Methods
//The class vtkImageIdealHighPass has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageIdealHighPass class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageIdealHighPass = obj.NewInstance ()|
// \item @|vtkImageIdealHighPass = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCutOff (double , double , double )| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|obj.SetCutOff (double  a[3])| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|obj.SetCutOff (double v)| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|obj.SetXCutOff (double v)| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|obj.SetYCutOff (double v)| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|obj.SetZCutOff (double v)| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|double = obj. GetCutOff ()| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|double = obj.GetXCutOff ()| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|double = obj.GetYCutOff ()| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|double = obj.GetZCutOff ()|
//\end{itemize}
//!
