#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageIdealLowPass object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageIdealLowPass.h"

//@@Signature
//sfunction @vtkImageIdealLowPass:vtkImageIdealLowPass vtkImageIdealLowPassConstructorFunction
//input a
//output p
//@@Parents vtkImageIdealLowPass vtkThreadedImageAlgorithm 
ArrayVector vtkImageIdealLowPassConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageIdealLowPass::New(),"vtkImageIdealLowPass",eval);
  } else if (arg[0].className() == "vtkImageIdealLowPass") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageIdealLowPass"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageIdealLowPass");
    vtkImageIdealLowPass*q = reinterpret_cast<vtkImageIdealLowPass*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageIdealLowPass");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageIdealLowPass:GetClassName vtkImageIdealLowPassGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageIdealLowPassGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageIdealLowPass requires 1 argument(s)");
  vtkImageIdealLowPass* vtk_pointer = GetVTKPointer<vtkImageIdealLowPass>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageIdealLowPass:IsA vtkImageIdealLowPassIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageIdealLowPassIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageIdealLowPass requires 2 argument(s)");
  vtkImageIdealLowPass* vtk_pointer = GetVTKPointer<vtkImageIdealLowPass>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageIdealLowPass:NewInstance vtkImageIdealLowPassNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageIdealLowPassNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageIdealLowPass *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageIdealLowPass requires 1 argument(s)");
  vtkImageIdealLowPass* vtk_pointer = GetVTKPointer<vtkImageIdealLowPass>(arg[0]);
  Array retval;
  vtkImageIdealLowPass  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageIdealLowPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageIdealLowPass:SafeDownCast vtkImageIdealLowPassSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageIdealLowPassSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageIdealLowPass *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageIdealLowPass requires 2 argument(s)");
  vtkImageIdealLowPass* vtk_pointer = GetVTKPointer<vtkImageIdealLowPass>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageIdealLowPass  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageIdealLowPass",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageIdealLowPass:SetCutOff__1 vtkImageIdealLowPassSetCutOff__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageIdealLowPassSetCutOff__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCutOff (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetCutOff__1 for class vtkImageIdealLowPass requires 4 argument(s)");
  vtkImageIdealLowPass* vtk_pointer = GetVTKPointer<vtkImageIdealLowPass>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCutOff(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageIdealLowPass:SetCutOff__2 vtkImageIdealLowPassSetCutOff__2Function
//input a0 a1 
//output none
ArrayVector vtkImageIdealLowPassSetCutOff__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCutOff (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCutOff__2 for class vtkImageIdealLowPass requires 2 argument(s)");
  vtkImageIdealLowPass* vtk_pointer = GetVTKPointer<vtkImageIdealLowPass>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCutOff(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageIdealLowPass:SetCutOff__3 vtkImageIdealLowPassSetCutOff__3Function
//input a0 a1 
//output none
ArrayVector vtkImageIdealLowPassSetCutOff__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCutOff (double v);this SetCutOff v v v  */
  if (arg.size() < 2) 
    throw Exception("Function SetCutOff__3 for class vtkImageIdealLowPass requires 2 argument(s)");
  vtkImageIdealLowPass* vtk_pointer = GetVTKPointer<vtkImageIdealLowPass>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCutOff(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageIdealLowPass:SetXCutOff vtkImageIdealLowPassSetXCutOffFunction
//input a0 a1 
//output none
ArrayVector vtkImageIdealLowPassSetXCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXCutOff (double v); */
  if (arg.size() < 2) 
    throw Exception("Function SetXCutOff for class vtkImageIdealLowPass requires 2 argument(s)");
  vtkImageIdealLowPass* vtk_pointer = GetVTKPointer<vtkImageIdealLowPass>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetXCutOff(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageIdealLowPass:SetYCutOff vtkImageIdealLowPassSetYCutOffFunction
//input a0 a1 
//output none
ArrayVector vtkImageIdealLowPassSetYCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYCutOff (double v); */
  if (arg.size() < 2) 
    throw Exception("Function SetYCutOff for class vtkImageIdealLowPass requires 2 argument(s)");
  vtkImageIdealLowPass* vtk_pointer = GetVTKPointer<vtkImageIdealLowPass>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetYCutOff(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageIdealLowPass:SetZCutOff vtkImageIdealLowPassSetZCutOffFunction
//input a0 a1 
//output none
ArrayVector vtkImageIdealLowPassSetZCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZCutOff (double v); */
  if (arg.size() < 2) 
    throw Exception("Function SetZCutOff for class vtkImageIdealLowPass requires 2 argument(s)");
  vtkImageIdealLowPass* vtk_pointer = GetVTKPointer<vtkImageIdealLowPass>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetZCutOff(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageIdealLowPass:GetCutOff vtkImageIdealLowPassGetCutOffFunction
//input a0 
//output y
ArrayVector vtkImageIdealLowPassGetCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCutOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCutOff for class vtkImageIdealLowPass requires 1 argument(s)");
  vtkImageIdealLowPass* vtk_pointer = GetVTKPointer<vtkImageIdealLowPass>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCutOff();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageIdealLowPass:GetXCutOff vtkImageIdealLowPassGetXCutOffFunction
//input a0 
//output y
ArrayVector vtkImageIdealLowPassGetXCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetXCutOff ();return this CutOff  */
  if (arg.size() < 1) 
    throw Exception("Function GetXCutOff for class vtkImageIdealLowPass requires 1 argument(s)");
  vtkImageIdealLowPass* vtk_pointer = GetVTKPointer<vtkImageIdealLowPass>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetXCutOff();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageIdealLowPass:GetYCutOff vtkImageIdealLowPassGetYCutOffFunction
//input a0 
//output y
ArrayVector vtkImageIdealLowPassGetYCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetYCutOff ();return this CutOff  */
  if (arg.size() < 1) 
    throw Exception("Function GetYCutOff for class vtkImageIdealLowPass requires 1 argument(s)");
  vtkImageIdealLowPass* vtk_pointer = GetVTKPointer<vtkImageIdealLowPass>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetYCutOff();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageIdealLowPass:GetZCutOff vtkImageIdealLowPassGetZCutOffFunction
//input a0 
//output y
ArrayVector vtkImageIdealLowPassGetZCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetZCutOff ();return this CutOff  */
  if (arg.size() < 1) 
    throw Exception("Function GetZCutOff for class vtkImageIdealLowPass requires 1 argument(s)");
  vtkImageIdealLowPass* vtk_pointer = GetVTKPointer<vtkImageIdealLowPass>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetZCutOff();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageIdealLowPass:SetCutOff vtkImageIdealLowPassSetCutOffFunction
//input varargin
//output varargout
ArrayVector vtkImageIdealLowPassSetCutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageIdealLowPassSetCutOff__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageIdealLowPassSetCutOff__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkImageIdealLowPassSetCutOff__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageIdealLowPassSetCutOff");
}

//@@Signature
//sfunction @vtkImageIdealLowPass:display vtkImageIdealLowPassDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageIdealLowPassDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageIdealLowPass* vtk_pointer = GetVTKPointer<vtkImageIdealLowPass>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageIdealLowPass:delete vtkImageIdealLowPassDeleteFunction
//input varargin
//output none
ArrayVector vtkImageIdealLowPassDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageIdealLowPass
//@@Section VTKImaging
//@@Usage
// This filter only works on an image after it has been converted to
// frequency domain by a vtkImageFFT filter.  A vtkImageRFFT filter
// can be used to convert the output back into the spatial domain.
// vtkImageIdealLowPass just sets a portion of the image to zero.  The result
// is an image with a lot of ringing.  Input and Output must be doubles.
// Dimensionality is set when the axes are set.  Defaults to 2D on X and Y
// axes.
//
//To create an instance of class vtkImageIdealLowPass, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageIdealLowPass
//@]
//@@Methods
//The class vtkImageIdealLowPass has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageIdealLowPass class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageIdealLowPass = obj.NewInstance ()|
// \item @|vtkImageIdealLowPass = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCutOff (double , double , double )| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|obj.SetCutOff (double  a[3])| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|obj.SetCutOff (double v)| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|obj.SetXCutOff (double v)| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|obj.SetYCutOff (double v)| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|obj.SetZCutOff (double v)| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|double = obj. GetCutOff ()| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|double = obj.GetXCutOff ()| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|double = obj.GetYCutOff ()| -  Set/Get the cutoff frequency for each axis.
// The values are specified in the order X, Y, Z, Time.
// Units: Cycles per world unit (as defined by the data spacing).
//// \item @|double = obj.GetZCutOff ()|
//\end{itemize}
//!
