#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageImport object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageImport.h"

//@@Signature
//sfunction @vtkImageImport:vtkImageImport vtkImageImportConstructorFunction
//input a
//output p
//@@Parents vtkImageImport vtkImageAlgorithm 
ArrayVector vtkImageImportConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageImport::New(),"vtkImageImport",eval);
  } else if (arg[0].className() == "vtkImageImport") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageImport"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageImport");
    vtkImageImport*q = reinterpret_cast<vtkImageImport*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageImport");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageImport:GetClassName vtkImageImportGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageImportGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageImport requires 1 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:IsA vtkImageImportIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageImportIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageImport requires 2 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:NewInstance vtkImageImportNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageImportNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageImport *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageImport requires 1 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  vtkImageImport  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageImport",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:SafeDownCast vtkImageImportSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageImportSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageImport *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageImport requires 2 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageImport  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageImport",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:SetDataScalarType vtkImageImportSetDataScalarTypeFunction
//input a0 a1 
//output none
ArrayVector vtkImageImportSetDataScalarTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataScalarType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataScalarType for class vtkImageImport requires 2 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDataScalarType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:SetDataScalarTypeToDouble vtkImageImportSetDataScalarTypeToDoubleFunction
//input a0 
//output none
ArrayVector vtkImageImportSetDataScalarTypeToDoubleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataScalarTypeToDouble ();this SetDataScalarType VTK_DOUBLE  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataScalarTypeToDouble for class vtkImageImport requires 1 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  vtk_pointer->SetDataScalarTypeToDouble();
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:SetDataScalarTypeToFloat vtkImageImportSetDataScalarTypeToFloatFunction
//input a0 
//output none
ArrayVector vtkImageImportSetDataScalarTypeToFloatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataScalarTypeToFloat ();this SetDataScalarType VTK_FLOAT  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataScalarTypeToFloat for class vtkImageImport requires 1 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  vtk_pointer->SetDataScalarTypeToFloat();
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:SetDataScalarTypeToInt vtkImageImportSetDataScalarTypeToIntFunction
//input a0 
//output none
ArrayVector vtkImageImportSetDataScalarTypeToIntFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataScalarTypeToInt ();this SetDataScalarType VTK_INT  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataScalarTypeToInt for class vtkImageImport requires 1 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  vtk_pointer->SetDataScalarTypeToInt();
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:SetDataScalarTypeToShort vtkImageImportSetDataScalarTypeToShortFunction
//input a0 
//output none
ArrayVector vtkImageImportSetDataScalarTypeToShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataScalarTypeToShort ();this SetDataScalarType VTK_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataScalarTypeToShort for class vtkImageImport requires 1 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  vtk_pointer->SetDataScalarTypeToShort();
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:SetDataScalarTypeToUnsignedShort vtkImageImportSetDataScalarTypeToUnsignedShortFunction
//input a0 
//output none
ArrayVector vtkImageImportSetDataScalarTypeToUnsignedShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataScalarTypeToUnsignedShort ();this SetDataScalarType VTK_UNSIGNED_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataScalarTypeToUnsignedShort for class vtkImageImport requires 1 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  vtk_pointer->SetDataScalarTypeToUnsignedShort();
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:SetDataScalarTypeToUnsignedChar vtkImageImportSetDataScalarTypeToUnsignedCharFunction
//input a0 
//output none
ArrayVector vtkImageImportSetDataScalarTypeToUnsignedCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataScalarTypeToUnsignedChar ();this SetDataScalarType VTK_UNSIGNED_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataScalarTypeToUnsignedChar for class vtkImageImport requires 1 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  vtk_pointer->SetDataScalarTypeToUnsignedChar();
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:GetDataScalarType vtkImageImportGetDataScalarTypeFunction
//input a0 
//output y
ArrayVector vtkImageImportGetDataScalarTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataScalarType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataScalarType for class vtkImageImport requires 1 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataScalarType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:GetDataScalarTypeAsString vtkImageImportGetDataScalarTypeAsStringFunction
//input a0 
//output y
ArrayVector vtkImageImportGetDataScalarTypeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetDataScalarTypeAsString ();return vtkImageScalarTypeNameMacro this DataScalarType  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataScalarTypeAsString for class vtkImageImport requires 1 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDataScalarTypeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:SetNumberOfScalarComponents vtkImageImportSetNumberOfScalarComponentsFunction
//input a0 a1 
//output none
ArrayVector vtkImageImportSetNumberOfScalarComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfScalarComponents (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfScalarComponents for class vtkImageImport requires 2 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfScalarComponents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:GetNumberOfScalarComponents vtkImageImportGetNumberOfScalarComponentsFunction
//input a0 
//output y
ArrayVector vtkImageImportGetNumberOfScalarComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfScalarComponents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfScalarComponents for class vtkImageImport requires 1 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfScalarComponents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:SetDataExtent__1 vtkImageImportSetDataExtent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkImageImportSetDataExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataExtent (int , int , int , int , int , int ); */
  if (arg.size() < 7) 
    throw Exception("Function SetDataExtent__1 for class vtkImageImport requires 7 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetDataExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:SetDataExtent__2 vtkImageImportSetDataExtent__2Function
//input a0 a1 
//output none
ArrayVector vtkImageImportSetDataExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataExtent (int  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataExtent__2 for class vtkImageImport requires 2 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetDataExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:GetDataExtent vtkImageImportGetDataExtentFunction
//input a0 
//output y
ArrayVector vtkImageImportGetDataExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetDataExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataExtent for class vtkImageImport requires 1 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetDataExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:SetDataExtentToWholeExtent vtkImageImportSetDataExtentToWholeExtentFunction
//input a0 
//output none
ArrayVector vtkImageImportSetDataExtentToWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataExtentToWholeExtent ();this SetDataExtent this GetWholeExtent  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataExtentToWholeExtent for class vtkImageImport requires 1 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  vtk_pointer->SetDataExtentToWholeExtent();
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:SetDataSpacing__1 vtkImageImportSetDataSpacing__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageImportSetDataSpacing__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataSpacing (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetDataSpacing__1 for class vtkImageImport requires 4 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetDataSpacing(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:SetDataSpacing__2 vtkImageImportSetDataSpacing__2Function
//input a0 a1 
//output none
ArrayVector vtkImageImportSetDataSpacing__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataSpacing (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataSpacing__2 for class vtkImageImport requires 2 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetDataSpacing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:GetDataSpacing vtkImageImportGetDataSpacingFunction
//input a0 
//output y
ArrayVector vtkImageImportGetDataSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetDataSpacing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataSpacing for class vtkImageImport requires 1 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetDataSpacing();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:SetDataOrigin__1 vtkImageImportSetDataOrigin__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageImportSetDataOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataOrigin (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetDataOrigin__1 for class vtkImageImport requires 4 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetDataOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:SetDataOrigin__2 vtkImageImportSetDataOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkImageImportSetDataOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataOrigin (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataOrigin__2 for class vtkImageImport requires 2 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetDataOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:GetDataOrigin vtkImageImportGetDataOriginFunction
//input a0 
//output y
ArrayVector vtkImageImportGetDataOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetDataOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataOrigin for class vtkImageImport requires 1 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetDataOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:SetWholeExtent__1 vtkImageImportSetWholeExtent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkImageImportSetWholeExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWholeExtent (int , int , int , int , int , int ); */
  if (arg.size() < 7) 
    throw Exception("Function SetWholeExtent__1 for class vtkImageImport requires 7 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:SetWholeExtent__2 vtkImageImportSetWholeExtent__2Function
//input a0 a1 
//output none
ArrayVector vtkImageImportSetWholeExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWholeExtent (int  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetWholeExtent__2 for class vtkImageImport requires 2 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetWholeExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:GetWholeExtent vtkImageImportGetWholeExtentFunction
//input a0 
//output y
ArrayVector vtkImageImportGetWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetWholeExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWholeExtent for class vtkImageImport requires 1 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetWholeExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:SetScalarArrayName vtkImageImportSetScalarArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkImageImportSetScalarArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarArrayName for class vtkImageImport requires 2 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetScalarArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:GetScalarArrayName vtkImageImportGetScalarArrayNameFunction
//input a0 
//output y
ArrayVector vtkImageImportGetScalarArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetScalarArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarArrayName for class vtkImageImport requires 1 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetScalarArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:InvokePipelineModifiedCallbacks vtkImageImportInvokePipelineModifiedCallbacksFunction
//input a0 
//output y
ArrayVector vtkImageImportInvokePipelineModifiedCallbacksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int InvokePipelineModifiedCallbacks (); */
  if (arg.size() < 1) 
    throw Exception("Function InvokePipelineModifiedCallbacks for class vtkImageImport requires 1 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->InvokePipelineModifiedCallbacks();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:InvokeUpdateInformationCallbacks vtkImageImportInvokeUpdateInformationCallbacksFunction
//input a0 
//output none
ArrayVector vtkImageImportInvokeUpdateInformationCallbacksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InvokeUpdateInformationCallbacks (); */
  if (arg.size() < 1) 
    throw Exception("Function InvokeUpdateInformationCallbacks for class vtkImageImport requires 1 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  vtk_pointer->InvokeUpdateInformationCallbacks();
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:InvokeExecuteInformationCallbacks vtkImageImportInvokeExecuteInformationCallbacksFunction
//input a0 
//output none
ArrayVector vtkImageImportInvokeExecuteInformationCallbacksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InvokeExecuteInformationCallbacks (); */
  if (arg.size() < 1) 
    throw Exception("Function InvokeExecuteInformationCallbacks for class vtkImageImport requires 1 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  vtk_pointer->InvokeExecuteInformationCallbacks();
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:InvokeExecuteDataCallbacks vtkImageImportInvokeExecuteDataCallbacksFunction
//input a0 
//output none
ArrayVector vtkImageImportInvokeExecuteDataCallbacksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InvokeExecuteDataCallbacks (); */
  if (arg.size() < 1) 
    throw Exception("Function InvokeExecuteDataCallbacks for class vtkImageImport requires 1 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  vtk_pointer->InvokeExecuteDataCallbacks();
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:LegacyCheckWholeExtent vtkImageImportLegacyCheckWholeExtentFunction
//input a0 
//output none
ArrayVector vtkImageImportLegacyCheckWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LegacyCheckWholeExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function LegacyCheckWholeExtent for class vtkImageImport requires 1 argument(s)");
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  Array retval;
  vtk_pointer->LegacyCheckWholeExtent();
  return retval;
}

//@@Signature
//sfunction @vtkImageImport:SetImportVoidPointer vtkImageImportSetImportVoidPointerFunction
//input varargin
//output varargout
ArrayVector vtkImageImportSetImportVoidPointerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkImageImportSetImportVoidPointer");
}

//@@Signature
//sfunction @vtkImageImport:SetDataExtent vtkImageImportSetDataExtentFunction
//input varargin
//output varargout
ArrayVector vtkImageImportSetDataExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkImageImportSetDataExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageImportSetDataExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageImportSetDataExtent");
}

//@@Signature
//sfunction @vtkImageImport:SetDataSpacing vtkImageImportSetDataSpacingFunction
//input varargin
//output varargout
ArrayVector vtkImageImportSetDataSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageImportSetDataSpacing__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageImportSetDataSpacing__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageImportSetDataSpacing");
}

//@@Signature
//sfunction @vtkImageImport:SetDataOrigin vtkImageImportSetDataOriginFunction
//input varargin
//output varargout
ArrayVector vtkImageImportSetDataOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageImportSetDataOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageImportSetDataOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageImportSetDataOrigin");
}

//@@Signature
//sfunction @vtkImageImport:SetWholeExtent vtkImageImportSetWholeExtentFunction
//input varargin
//output varargout
ArrayVector vtkImageImportSetWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkImageImportSetWholeExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageImportSetWholeExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageImportSetWholeExtent");
}

//@@Signature
//sfunction @vtkImageImport:display vtkImageImportDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageImportDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageImport* vtk_pointer = GetVTKPointer<vtkImageImport>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageImport:delete vtkImageImportDeleteFunction
//input varargin
//output none
ArrayVector vtkImageImportDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageImport
//@@Section VTKImaging
//@@Usage
// vtkImageImport provides methods needed to import image data from a source
// independent of VTK, such as a simple C array or a third-party pipeline.
// Note that the VTK convention is for the image voxel index (0,0,0) to be
// the lower-left corner of the image, while most 2D image formats use
// the upper-left corner.  You can use vtkImageFlip to correct the 
// orientation after the image has been loaded into VTK.
// Note that is also possible to import the raw data from a Python string
// instead of from a C array. The array applies on scalar point data only, not
// on cell data.
//
//To create an instance of class vtkImageImport, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageImport
//@]
//@@Methods
//The class vtkImageImport has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageImport class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageImport = obj.NewInstance ()|
// \item @|vtkImageImport = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetDataScalarType (int )| -  Set/Get the data type of pixels in the imported data.  This is used
// as the scalar type of the Output.  Default: Short.
//// \item @|obj.SetDataScalarTypeToDouble ()| -  Set/Get the data type of pixels in the imported data.  This is used
// as the scalar type of the Output.  Default: Short.
//// \item @|obj.SetDataScalarTypeToFloat ()| -  Set/Get the data type of pixels in the imported data.  This is used
// as the scalar type of the Output.  Default: Short.
//// \item @|obj.SetDataScalarTypeToInt ()| -  Set/Get the data type of pixels in the imported data.  This is used
// as the scalar type of the Output.  Default: Short.
//// \item @|obj.SetDataScalarTypeToShort ()| -  Set/Get the data type of pixels in the imported data.  This is used
// as the scalar type of the Output.  Default: Short.
//// \item @|obj.SetDataScalarTypeToUnsignedShort ()| -  Set/Get the data type of pixels in the imported data.  This is used
// as the scalar type of the Output.  Default: Short.
//// \item @|obj.SetDataScalarTypeToUnsignedChar ()| -  Set/Get the data type of pixels in the imported data.  This is used
// as the scalar type of the Output.  Default: Short.
//// \item @|int = obj.GetDataScalarType ()| -  Set/Get the data type of pixels in the imported data.  This is used
// as the scalar type of the Output.  Default: Short.
//// \item @|string = obj.GetDataScalarTypeAsString ()| -  Set/Get the number of scalar components, for RGB images this must be 3.
// Default: 1.
//// \item @|obj.SetNumberOfScalarComponents (int )| -  Set/Get the number of scalar components, for RGB images this must be 3.
// Default: 1.
//// \item @|int = obj.GetNumberOfScalarComponents ()| -  Set/Get the number of scalar components, for RGB images this must be 3.
// Default: 1.
//// \item @|obj.SetDataExtent (int , int , int , int , int , int )| -  Get/Set the extent of the data buffer.  The dimensions of your data
// must be equal to (extent[1]-extent[0]+1) * (extent[3]-extent[2]+1) * 
// (extent[5]-DataExtent[4]+1).  For example, for a 2D image use
// (0,width-1, 0,height-1, 0,0).
//// \item @|obj.SetDataExtent (int  a[6])| -  Get/Set the extent of the data buffer.  The dimensions of your data
// must be equal to (extent[1]-extent[0]+1) * (extent[3]-extent[2]+1) * 
// (extent[5]-DataExtent[4]+1).  For example, for a 2D image use
// (0,width-1, 0,height-1, 0,0).
//// \item @|int = obj. GetDataExtent ()| -  Get/Set the extent of the data buffer.  The dimensions of your data
// must be equal to (extent[1]-extent[0]+1) * (extent[3]-extent[2]+1) * 
// (extent[5]-DataExtent[4]+1).  For example, for a 2D image use
// (0,width-1, 0,height-1, 0,0).
//// \item @|obj.SetDataExtentToWholeExtent ()| -  Set/Get the spacing (typically in mm) between image voxels.
// Default: (1.0, 1.0, 1.0).
//// \item @|obj.SetDataSpacing (double , double , double )| -  Set/Get the spacing (typically in mm) between image voxels.
// Default: (1.0, 1.0, 1.0).
//// \item @|obj.SetDataSpacing (double  a[3])| -  Set/Get the spacing (typically in mm) between image voxels.
// Default: (1.0, 1.0, 1.0).
//// \item @|double = obj. GetDataSpacing ()| -  Set/Get the spacing (typically in mm) between image voxels.
// Default: (1.0, 1.0, 1.0).
//// \item @|obj.SetDataOrigin (double , double , double )| -  Set/Get the origin of the data, i.e. the coordinates (usually in mm)
// of voxel (0,0,0).  Default: (0.0, 0.0, 0.0). 
//// \item @|obj.SetDataOrigin (double  a[3])| -  Set/Get the origin of the data, i.e. the coordinates (usually in mm)
// of voxel (0,0,0).  Default: (0.0, 0.0, 0.0). 
//// \item @|double = obj. GetDataOrigin ()| -  Set/Get the origin of the data, i.e. the coordinates (usually in mm)
// of voxel (0,0,0).  Default: (0.0, 0.0, 0.0). 
//// \item @|obj.SetWholeExtent (int , int , int , int , int , int )| -  Get/Set the whole extent of the image.  This is the largest possible
// extent.  Set the DataExtent to the extent of the image in the buffer
// pointed to by the ImportVoidPointer.
//// \item @|obj.SetWholeExtent (int  a[6])| -  Get/Set the whole extent of the image.  This is the largest possible
// extent.  Set the DataExtent to the extent of the image in the buffer
// pointed to by the ImportVoidPointer.
//// \item @|int = obj. GetWholeExtent ()| -  Get/Set the whole extent of the image.  This is the largest possible
// extent.  Set the DataExtent to the extent of the image in the buffer
// pointed to by the ImportVoidPointer.
//// \item @|obj.SetScalarArrayName (string )| -  Set/get the scalar array name for this data set. Initial value is
// "scalars".
//// \item @|string = obj.GetScalarArrayName ()| -  Set/get the scalar array name for this data set. Initial value is
// "scalars".
//// \item @|int = obj.InvokePipelineModifiedCallbacks ()| -  Invoke the appropriate callbacks
//// \item @|obj.InvokeUpdateInformationCallbacks ()| -  Invoke the appropriate callbacks
//// \item @|obj.InvokeExecuteInformationCallbacks ()| -  Invoke the appropriate callbacks
//// \item @|obj.InvokeExecuteDataCallbacks ()| -  Invoke the appropriate callbacks
//// \item @|obj.LegacyCheckWholeExtent ()| -  Invoke the appropriate callbacks
////\end{itemize}
//!
