#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageIslandRemoval2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageIslandRemoval2D.h"

//@@Signature
//sfunction @vtkImageIslandRemoval2D:vtkImageIslandRemoval2D vtkImageIslandRemoval2DConstructorFunction
//input a
//output p
//@@Parents vtkImageIslandRemoval2D vtkImageAlgorithm 
ArrayVector vtkImageIslandRemoval2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageIslandRemoval2D::New(),"vtkImageIslandRemoval2D",eval);
  } else if (arg[0].className() == "vtkImageIslandRemoval2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageIslandRemoval2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageIslandRemoval2D");
    vtkImageIslandRemoval2D*q = reinterpret_cast<vtkImageIslandRemoval2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageIslandRemoval2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageIslandRemoval2D:GetClassName vtkImageIslandRemoval2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageIslandRemoval2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageIslandRemoval2D requires 1 argument(s)");
  vtkImageIslandRemoval2D* vtk_pointer = GetVTKPointer<vtkImageIslandRemoval2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageIslandRemoval2D:IsA vtkImageIslandRemoval2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageIslandRemoval2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageIslandRemoval2D requires 2 argument(s)");
  vtkImageIslandRemoval2D* vtk_pointer = GetVTKPointer<vtkImageIslandRemoval2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageIslandRemoval2D:NewInstance vtkImageIslandRemoval2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageIslandRemoval2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageIslandRemoval2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageIslandRemoval2D requires 1 argument(s)");
  vtkImageIslandRemoval2D* vtk_pointer = GetVTKPointer<vtkImageIslandRemoval2D>(arg[0]);
  Array retval;
  vtkImageIslandRemoval2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageIslandRemoval2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageIslandRemoval2D:SafeDownCast vtkImageIslandRemoval2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageIslandRemoval2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageIslandRemoval2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageIslandRemoval2D requires 2 argument(s)");
  vtkImageIslandRemoval2D* vtk_pointer = GetVTKPointer<vtkImageIslandRemoval2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageIslandRemoval2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageIslandRemoval2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageIslandRemoval2D:SetAreaThreshold vtkImageIslandRemoval2DSetAreaThresholdFunction
//input a0 a1 
//output none
ArrayVector vtkImageIslandRemoval2DSetAreaThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAreaThreshold (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAreaThreshold for class vtkImageIslandRemoval2D requires 2 argument(s)");
  vtkImageIslandRemoval2D* vtk_pointer = GetVTKPointer<vtkImageIslandRemoval2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAreaThreshold(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageIslandRemoval2D:GetAreaThreshold vtkImageIslandRemoval2DGetAreaThresholdFunction
//input a0 
//output y
ArrayVector vtkImageIslandRemoval2DGetAreaThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAreaThreshold (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAreaThreshold for class vtkImageIslandRemoval2D requires 1 argument(s)");
  vtkImageIslandRemoval2D* vtk_pointer = GetVTKPointer<vtkImageIslandRemoval2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAreaThreshold();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageIslandRemoval2D:SetSquareNeighborhood vtkImageIslandRemoval2DSetSquareNeighborhoodFunction
//input a0 a1 
//output none
ArrayVector vtkImageIslandRemoval2DSetSquareNeighborhoodFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSquareNeighborhood (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSquareNeighborhood for class vtkImageIslandRemoval2D requires 2 argument(s)");
  vtkImageIslandRemoval2D* vtk_pointer = GetVTKPointer<vtkImageIslandRemoval2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSquareNeighborhood(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageIslandRemoval2D:GetSquareNeighborhood vtkImageIslandRemoval2DGetSquareNeighborhoodFunction
//input a0 
//output y
ArrayVector vtkImageIslandRemoval2DGetSquareNeighborhoodFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSquareNeighborhood (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSquareNeighborhood for class vtkImageIslandRemoval2D requires 1 argument(s)");
  vtkImageIslandRemoval2D* vtk_pointer = GetVTKPointer<vtkImageIslandRemoval2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSquareNeighborhood();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageIslandRemoval2D:SquareNeighborhoodOn vtkImageIslandRemoval2DSquareNeighborhoodOnFunction
//input a0 
//output none
ArrayVector vtkImageIslandRemoval2DSquareNeighborhoodOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SquareNeighborhoodOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SquareNeighborhoodOn for class vtkImageIslandRemoval2D requires 1 argument(s)");
  vtkImageIslandRemoval2D* vtk_pointer = GetVTKPointer<vtkImageIslandRemoval2D>(arg[0]);
  Array retval;
  vtk_pointer->SquareNeighborhoodOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageIslandRemoval2D:SquareNeighborhoodOff vtkImageIslandRemoval2DSquareNeighborhoodOffFunction
//input a0 
//output none
ArrayVector vtkImageIslandRemoval2DSquareNeighborhoodOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SquareNeighborhoodOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SquareNeighborhoodOff for class vtkImageIslandRemoval2D requires 1 argument(s)");
  vtkImageIslandRemoval2D* vtk_pointer = GetVTKPointer<vtkImageIslandRemoval2D>(arg[0]);
  Array retval;
  vtk_pointer->SquareNeighborhoodOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageIslandRemoval2D:SetIslandValue vtkImageIslandRemoval2DSetIslandValueFunction
//input a0 a1 
//output none
ArrayVector vtkImageIslandRemoval2DSetIslandValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIslandValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIslandValue for class vtkImageIslandRemoval2D requires 2 argument(s)");
  vtkImageIslandRemoval2D* vtk_pointer = GetVTKPointer<vtkImageIslandRemoval2D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetIslandValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageIslandRemoval2D:GetIslandValue vtkImageIslandRemoval2DGetIslandValueFunction
//input a0 
//output y
ArrayVector vtkImageIslandRemoval2DGetIslandValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetIslandValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIslandValue for class vtkImageIslandRemoval2D requires 1 argument(s)");
  vtkImageIslandRemoval2D* vtk_pointer = GetVTKPointer<vtkImageIslandRemoval2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetIslandValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageIslandRemoval2D:SetReplaceValue vtkImageIslandRemoval2DSetReplaceValueFunction
//input a0 a1 
//output none
ArrayVector vtkImageIslandRemoval2DSetReplaceValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReplaceValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReplaceValue for class vtkImageIslandRemoval2D requires 2 argument(s)");
  vtkImageIslandRemoval2D* vtk_pointer = GetVTKPointer<vtkImageIslandRemoval2D>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetReplaceValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageIslandRemoval2D:GetReplaceValue vtkImageIslandRemoval2DGetReplaceValueFunction
//input a0 
//output y
ArrayVector vtkImageIslandRemoval2DGetReplaceValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetReplaceValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReplaceValue for class vtkImageIslandRemoval2D requires 1 argument(s)");
  vtkImageIslandRemoval2D* vtk_pointer = GetVTKPointer<vtkImageIslandRemoval2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetReplaceValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageIslandRemoval2D:display vtkImageIslandRemoval2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageIslandRemoval2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageIslandRemoval2D* vtk_pointer = GetVTKPointer<vtkImageIslandRemoval2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageIslandRemoval2D:delete vtkImageIslandRemoval2DDeleteFunction
//input varargin
//output none
ArrayVector vtkImageIslandRemoval2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageIslandRemoval2D
//@@Section VTKImaging
//@@Usage
// vtkImageIslandRemoval2D computes the area of separate islands in 
// a mask image.  It removes any island that has less than AreaThreshold
// pixels.  Output has the same ScalarType as input.  It generates
// the whole 2D output image for any output request.
//
//To create an instance of class vtkImageIslandRemoval2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageIslandRemoval2D
//@]
//@@Methods
//The class vtkImageIslandRemoval2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageIslandRemoval2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Constructor: Sets default filter to be identity.
//// \item @|int = obj.IsA (string name)| -  Constructor: Sets default filter to be identity.
//// \item @|vtkImageIslandRemoval2D = obj.NewInstance ()| -  Constructor: Sets default filter to be identity.
//// \item @|vtkImageIslandRemoval2D = obj.SafeDownCast (vtkObject o)| -  Constructor: Sets default filter to be identity.
//// \item @|obj.SetAreaThreshold (int )| -  Set/Get the cutoff area for removal
//// \item @|int = obj.GetAreaThreshold ()| -  Set/Get the cutoff area for removal
//// \item @|obj.SetSquareNeighborhood (int )| -  Set/Get whether to use 4 or 8 neighbors
//// \item @|int = obj.GetSquareNeighborhood ()| -  Set/Get whether to use 4 or 8 neighbors
//// \item @|obj.SquareNeighborhoodOn ()| -  Set/Get whether to use 4 or 8 neighbors
//// \item @|obj.SquareNeighborhoodOff ()| -  Set/Get whether to use 4 or 8 neighbors
//// \item @|obj.SetIslandValue (double )| -  Set/Get the value to remove.
//// \item @|double = obj.GetIslandValue ()| -  Set/Get the value to remove.
//// \item @|obj.SetReplaceValue (double )| -  Set/Get the value to put in the place of removed pixels.
//// \item @|double = obj.GetReplaceValue ()| -  Set/Get the value to put in the place of removed pixels.
////\end{itemize}
//!
