#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageIterateFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageIterateFilter.h"

//@@Signature
//sfunction @vtkImageIterateFilter:vtkImageIterateFilter vtkImageIterateFilterConstructorFunction
//input a
//output p
//@@Parents vtkImageIterateFilter vtkThreadedImageAlgorithm 
ArrayVector vtkImageIterateFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageIterateFilter::New(),"vtkImageIterateFilter",eval);
  } else if (arg[0].className() == "vtkImageIterateFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageIterateFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageIterateFilter");
    vtkImageIterateFilter*q = reinterpret_cast<vtkImageIterateFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageIterateFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageIterateFilter:GetClassName vtkImageIterateFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageIterateFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageIterateFilter requires 1 argument(s)");
  vtkImageIterateFilter* vtk_pointer = GetVTKPointer<vtkImageIterateFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageIterateFilter:IsA vtkImageIterateFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageIterateFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageIterateFilter requires 2 argument(s)");
  vtkImageIterateFilter* vtk_pointer = GetVTKPointer<vtkImageIterateFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageIterateFilter:NewInstance vtkImageIterateFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageIterateFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageIterateFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageIterateFilter requires 1 argument(s)");
  vtkImageIterateFilter* vtk_pointer = GetVTKPointer<vtkImageIterateFilter>(arg[0]);
  Array retval;
  vtkImageIterateFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageIterateFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageIterateFilter:SafeDownCast vtkImageIterateFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageIterateFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageIterateFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageIterateFilter requires 2 argument(s)");
  vtkImageIterateFilter* vtk_pointer = GetVTKPointer<vtkImageIterateFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageIterateFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageIterateFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageIterateFilter:GetIteration vtkImageIterateFilterGetIterationFunction
//input a0 
//output y
ArrayVector vtkImageIterateFilterGetIterationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIteration (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIteration for class vtkImageIterateFilter requires 1 argument(s)");
  vtkImageIterateFilter* vtk_pointer = GetVTKPointer<vtkImageIterateFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIteration();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageIterateFilter:GetNumberOfIterations vtkImageIterateFilterGetNumberOfIterationsFunction
//input a0 
//output y
ArrayVector vtkImageIterateFilterGetNumberOfIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfIterations (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfIterations for class vtkImageIterateFilter requires 1 argument(s)");
  vtkImageIterateFilter* vtk_pointer = GetVTKPointer<vtkImageIterateFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfIterations();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageIterateFilter:display vtkImageIterateFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageIterateFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageIterateFilter* vtk_pointer = GetVTKPointer<vtkImageIterateFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageIterateFilter:delete vtkImageIterateFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkImageIterateFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageIterateFilter
//@@Section VTKImaging
//@@Usage
// vtkImageIterateFilter is a filter superclass that supports calling execute
// multiple times per update.  The largest hack/open issue is that the input
// and output caches are temporarily changed to "fool" the subclasses.  I
// believe the correct solution is to pass the in and out cache to the
// subclasses methods as arguments.  Now the data is passes.  Can the caches
// be passed, and data retrieved from the cache? 
//
//To create an instance of class vtkImageIterateFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageIterateFilter
//@]
//@@Methods
//The class vtkImageIterateFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageIterateFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageIterateFilter = obj.NewInstance ()|
// \item @|vtkImageIterateFilter = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetIteration ()| -  Get which iteration is current being performed. Normally the
// user will not access this method.
//// \item @|int = obj.GetNumberOfIterations ()| -  Get which iteration is current being performed. Normally the
// user will not access this method.
////\end{itemize}
//!
