#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageLaplacian object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageLaplacian.h"

//@@Signature
//sfunction @vtkImageLaplacian:vtkImageLaplacian vtkImageLaplacianConstructorFunction
//input a
//output p
//@@Parents vtkImageLaplacian vtkThreadedImageAlgorithm 
ArrayVector vtkImageLaplacianConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageLaplacian::New(),"vtkImageLaplacian",eval);
  } else if (arg[0].className() == "vtkImageLaplacian") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageLaplacian"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageLaplacian");
    vtkImageLaplacian*q = reinterpret_cast<vtkImageLaplacian*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageLaplacian");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageLaplacian:GetClassName vtkImageLaplacianGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageLaplacianGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageLaplacian requires 1 argument(s)");
  vtkImageLaplacian* vtk_pointer = GetVTKPointer<vtkImageLaplacian>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageLaplacian:IsA vtkImageLaplacianIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageLaplacianIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageLaplacian requires 2 argument(s)");
  vtkImageLaplacian* vtk_pointer = GetVTKPointer<vtkImageLaplacian>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageLaplacian:NewInstance vtkImageLaplacianNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageLaplacianNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageLaplacian *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageLaplacian requires 1 argument(s)");
  vtkImageLaplacian* vtk_pointer = GetVTKPointer<vtkImageLaplacian>(arg[0]);
  Array retval;
  vtkImageLaplacian  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageLaplacian",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageLaplacian:SafeDownCast vtkImageLaplacianSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageLaplacianSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageLaplacian *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageLaplacian requires 2 argument(s)");
  vtkImageLaplacian* vtk_pointer = GetVTKPointer<vtkImageLaplacian>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageLaplacian  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageLaplacian",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageLaplacian:SetDimensionality vtkImageLaplacianSetDimensionalityFunction
//input a0 a1 
//output none
ArrayVector vtkImageLaplacianSetDimensionalityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDimensionality (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDimensionality for class vtkImageLaplacian requires 2 argument(s)");
  vtkImageLaplacian* vtk_pointer = GetVTKPointer<vtkImageLaplacian>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDimensionality(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageLaplacian:GetDimensionalityMinValue vtkImageLaplacianGetDimensionalityMinValueFunction
//input a0 
//output y
ArrayVector vtkImageLaplacianGetDimensionalityMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDimensionalityMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensionalityMinValue for class vtkImageLaplacian requires 1 argument(s)");
  vtkImageLaplacian* vtk_pointer = GetVTKPointer<vtkImageLaplacian>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimensionalityMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageLaplacian:GetDimensionalityMaxValue vtkImageLaplacianGetDimensionalityMaxValueFunction
//input a0 
//output y
ArrayVector vtkImageLaplacianGetDimensionalityMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDimensionalityMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensionalityMaxValue for class vtkImageLaplacian requires 1 argument(s)");
  vtkImageLaplacian* vtk_pointer = GetVTKPointer<vtkImageLaplacian>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimensionalityMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageLaplacian:GetDimensionality vtkImageLaplacianGetDimensionalityFunction
//input a0 
//output y
ArrayVector vtkImageLaplacianGetDimensionalityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDimensionality (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensionality for class vtkImageLaplacian requires 1 argument(s)");
  vtkImageLaplacian* vtk_pointer = GetVTKPointer<vtkImageLaplacian>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimensionality();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageLaplacian:display vtkImageLaplacianDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageLaplacianDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageLaplacian* vtk_pointer = GetVTKPointer<vtkImageLaplacian>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageLaplacian:delete vtkImageLaplacianDeleteFunction
//input varargin
//output none
ArrayVector vtkImageLaplacianDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageLaplacian
//@@Section VTKImaging
//@@Usage
// vtkImageLaplacian computes the Laplacian (like a second derivative)
// of a scalar image.  The operation is the same as taking the
// divergence after a gradient.  Boundaries are handled, so the input
// is the same as the output.
// Dimensionality determines how the input regions are interpreted.
// (images, or volumes). The Dimensionality defaults to two.
//
//To create an instance of class vtkImageLaplacian, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageLaplacian
//@]
//@@Methods
//The class vtkImageLaplacian has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageLaplacian class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageLaplacian = obj.NewInstance ()|
// \item @|vtkImageLaplacian = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetDimensionality (int )| -  Determines how the input is interpreted (set of 2d slices ...)
//// \item @|int = obj.GetDimensionalityMinValue ()| -  Determines how the input is interpreted (set of 2d slices ...)
//// \item @|int = obj.GetDimensionalityMaxValue ()| -  Determines how the input is interpreted (set of 2d slices ...)
//// \item @|int = obj.GetDimensionality ()| -  Determines how the input is interpreted (set of 2d slices ...)
////\end{itemize}
//!
