#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageLogarithmicScale object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageLogarithmicScale.h"

//@@Signature
//sfunction @vtkImageLogarithmicScale:vtkImageLogarithmicScale vtkImageLogarithmicScaleConstructorFunction
//input a
//output p
//@@Parents vtkImageLogarithmicScale vtkThreadedImageAlgorithm 
ArrayVector vtkImageLogarithmicScaleConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageLogarithmicScale::New(),"vtkImageLogarithmicScale",eval);
  } else if (arg[0].className() == "vtkImageLogarithmicScale") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageLogarithmicScale"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageLogarithmicScale");
    vtkImageLogarithmicScale*q = reinterpret_cast<vtkImageLogarithmicScale*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageLogarithmicScale");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageLogarithmicScale:GetClassName vtkImageLogarithmicScaleGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageLogarithmicScaleGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageLogarithmicScale requires 1 argument(s)");
  vtkImageLogarithmicScale* vtk_pointer = GetVTKPointer<vtkImageLogarithmicScale>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageLogarithmicScale:IsA vtkImageLogarithmicScaleIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageLogarithmicScaleIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageLogarithmicScale requires 2 argument(s)");
  vtkImageLogarithmicScale* vtk_pointer = GetVTKPointer<vtkImageLogarithmicScale>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageLogarithmicScale:NewInstance vtkImageLogarithmicScaleNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageLogarithmicScaleNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageLogarithmicScale *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageLogarithmicScale requires 1 argument(s)");
  vtkImageLogarithmicScale* vtk_pointer = GetVTKPointer<vtkImageLogarithmicScale>(arg[0]);
  Array retval;
  vtkImageLogarithmicScale  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageLogarithmicScale",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageLogarithmicScale:SafeDownCast vtkImageLogarithmicScaleSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageLogarithmicScaleSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageLogarithmicScale *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageLogarithmicScale requires 2 argument(s)");
  vtkImageLogarithmicScale* vtk_pointer = GetVTKPointer<vtkImageLogarithmicScale>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageLogarithmicScale  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageLogarithmicScale",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageLogarithmicScale:SetConstant vtkImageLogarithmicScaleSetConstantFunction
//input a0 a1 
//output none
ArrayVector vtkImageLogarithmicScaleSetConstantFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetConstant (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetConstant for class vtkImageLogarithmicScale requires 2 argument(s)");
  vtkImageLogarithmicScale* vtk_pointer = GetVTKPointer<vtkImageLogarithmicScale>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetConstant(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageLogarithmicScale:GetConstant vtkImageLogarithmicScaleGetConstantFunction
//input a0 
//output y
ArrayVector vtkImageLogarithmicScaleGetConstantFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetConstant (); */
  if (arg.size() < 1) 
    throw Exception("Function GetConstant for class vtkImageLogarithmicScale requires 1 argument(s)");
  vtkImageLogarithmicScale* vtk_pointer = GetVTKPointer<vtkImageLogarithmicScale>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetConstant();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageLogarithmicScale:display vtkImageLogarithmicScaleDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageLogarithmicScaleDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageLogarithmicScale* vtk_pointer = GetVTKPointer<vtkImageLogarithmicScale>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageLogarithmicScale:delete vtkImageLogarithmicScaleDeleteFunction
//input varargin
//output none
ArrayVector vtkImageLogarithmicScaleDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageLogarithmicScale
//@@Section VTKImaging
//@@Usage
// vtkImageLogarithmicScale passes each pixel through the function
// c*log(1+x).  It also handles negative values with the function
// -c*log(1-x).
//
//To create an instance of class vtkImageLogarithmicScale, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageLogarithmicScale
//@]
//@@Methods
//The class vtkImageLogarithmicScale has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageLogarithmicScale class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageLogarithmicScale = obj.NewInstance ()|
// \item @|vtkImageLogarithmicScale = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetConstant (double )| -  Set/Get the scale factor for the logarithmic function.
//// \item @|double = obj.GetConstant ()| -  Set/Get the scale factor for the logarithmic function.
////\end{itemize}
//!
