#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageLogic object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageLogic.h"

//@@Signature
//sfunction @vtkImageLogic:vtkImageLogic vtkImageLogicConstructorFunction
//input a
//output p
//@@Parents vtkImageLogic vtkThreadedImageAlgorithm 
ArrayVector vtkImageLogicConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageLogic::New(),"vtkImageLogic",eval);
  } else if (arg[0].className() == "vtkImageLogic") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageLogic"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageLogic");
    vtkImageLogic*q = reinterpret_cast<vtkImageLogic*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageLogic");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageLogic:GetClassName vtkImageLogicGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageLogicGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageLogic requires 1 argument(s)");
  vtkImageLogic* vtk_pointer = GetVTKPointer<vtkImageLogic>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageLogic:IsA vtkImageLogicIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageLogicIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageLogic requires 2 argument(s)");
  vtkImageLogic* vtk_pointer = GetVTKPointer<vtkImageLogic>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageLogic:NewInstance vtkImageLogicNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageLogicNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageLogic *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageLogic requires 1 argument(s)");
  vtkImageLogic* vtk_pointer = GetVTKPointer<vtkImageLogic>(arg[0]);
  Array retval;
  vtkImageLogic  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageLogic",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageLogic:SafeDownCast vtkImageLogicSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageLogicSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageLogic *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageLogic requires 2 argument(s)");
  vtkImageLogic* vtk_pointer = GetVTKPointer<vtkImageLogic>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageLogic  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageLogic",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageLogic:SetOperation vtkImageLogicSetOperationFunction
//input a0 a1 
//output none
ArrayVector vtkImageLogicSetOperationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOperation for class vtkImageLogic requires 2 argument(s)");
  vtkImageLogic* vtk_pointer = GetVTKPointer<vtkImageLogic>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOperation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageLogic:GetOperation vtkImageLogicGetOperationFunction
//input a0 
//output y
ArrayVector vtkImageLogicGetOperationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOperation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOperation for class vtkImageLogic requires 1 argument(s)");
  vtkImageLogic* vtk_pointer = GetVTKPointer<vtkImageLogic>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOperation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageLogic:SetOperationToAnd vtkImageLogicSetOperationToAndFunction
//input a0 
//output none
ArrayVector vtkImageLogicSetOperationToAndFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToAnd ();this SetOperation VTK_AND  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToAnd for class vtkImageLogic requires 1 argument(s)");
  vtkImageLogic* vtk_pointer = GetVTKPointer<vtkImageLogic>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToAnd();
  return retval;
}

//@@Signature
//sfunction @vtkImageLogic:SetOperationToOr vtkImageLogicSetOperationToOrFunction
//input a0 
//output none
ArrayVector vtkImageLogicSetOperationToOrFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToOr ();this SetOperation VTK_OR  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToOr for class vtkImageLogic requires 1 argument(s)");
  vtkImageLogic* vtk_pointer = GetVTKPointer<vtkImageLogic>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToOr();
  return retval;
}

//@@Signature
//sfunction @vtkImageLogic:SetOperationToXor vtkImageLogicSetOperationToXorFunction
//input a0 
//output none
ArrayVector vtkImageLogicSetOperationToXorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToXor ();this SetOperation VTK_XOR  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToXor for class vtkImageLogic requires 1 argument(s)");
  vtkImageLogic* vtk_pointer = GetVTKPointer<vtkImageLogic>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToXor();
  return retval;
}

//@@Signature
//sfunction @vtkImageLogic:SetOperationToNand vtkImageLogicSetOperationToNandFunction
//input a0 
//output none
ArrayVector vtkImageLogicSetOperationToNandFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToNand ();this SetOperation VTK_NAND  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToNand for class vtkImageLogic requires 1 argument(s)");
  vtkImageLogic* vtk_pointer = GetVTKPointer<vtkImageLogic>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToNand();
  return retval;
}

//@@Signature
//sfunction @vtkImageLogic:SetOperationToNor vtkImageLogicSetOperationToNorFunction
//input a0 
//output none
ArrayVector vtkImageLogicSetOperationToNorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToNor ();this SetOperation VTK_NOR  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToNor for class vtkImageLogic requires 1 argument(s)");
  vtkImageLogic* vtk_pointer = GetVTKPointer<vtkImageLogic>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToNor();
  return retval;
}

//@@Signature
//sfunction @vtkImageLogic:SetOperationToNot vtkImageLogicSetOperationToNotFunction
//input a0 
//output none
ArrayVector vtkImageLogicSetOperationToNotFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToNot ();this SetOperation VTK_NOT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToNot for class vtkImageLogic requires 1 argument(s)");
  vtkImageLogic* vtk_pointer = GetVTKPointer<vtkImageLogic>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToNot();
  return retval;
}

//@@Signature
//sfunction @vtkImageLogic:SetOutputTrueValue vtkImageLogicSetOutputTrueValueFunction
//input a0 a1 
//output none
ArrayVector vtkImageLogicSetOutputTrueValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputTrueValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputTrueValue for class vtkImageLogic requires 2 argument(s)");
  vtkImageLogic* vtk_pointer = GetVTKPointer<vtkImageLogic>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetOutputTrueValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageLogic:GetOutputTrueValue vtkImageLogicGetOutputTrueValueFunction
//input a0 
//output y
ArrayVector vtkImageLogicGetOutputTrueValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOutputTrueValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputTrueValue for class vtkImageLogic requires 1 argument(s)");
  vtkImageLogic* vtk_pointer = GetVTKPointer<vtkImageLogic>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOutputTrueValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageLogic:SetInput1 vtkImageLogicSetInput1Function
//input a0 a1 
//output none
ArrayVector vtkImageLogicSetInput1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput1 (vtkDataObject *input);this SetInput input  */
  if (arg.size() < 2) 
    throw Exception("Function SetInput1 for class vtkImageLogic requires 2 argument(s)");
  vtkImageLogic* vtk_pointer = GetVTKPointer<vtkImageLogic>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput1(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageLogic:SetInput2 vtkImageLogicSetInput2Function
//input a0 a1 
//output none
ArrayVector vtkImageLogicSetInput2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput2 (vtkDataObject *input);this SetInput input  */
  if (arg.size() < 2) 
    throw Exception("Function SetInput2 for class vtkImageLogic requires 2 argument(s)");
  vtkImageLogic* vtk_pointer = GetVTKPointer<vtkImageLogic>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput2(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageLogic:display vtkImageLogicDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageLogicDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageLogic* vtk_pointer = GetVTKPointer<vtkImageLogic>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageLogic:delete vtkImageLogicDeleteFunction
//input varargin
//output none
ArrayVector vtkImageLogicDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageLogic
//@@Section VTKImaging
//@@Usage
// vtkImageLogic implements basic logic operations.
// SetOperation is used to select the filter's behavior.
// The filter can take two or one input. Inputs must have the same type.
//
//To create an instance of class vtkImageLogic, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageLogic
//@]
//@@Methods
//The class vtkImageLogic has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageLogic class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageLogic = obj.NewInstance ()|
// \item @|vtkImageLogic = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetOperation (int )| -  Set/Get the Operation to perform.
//// \item @|int = obj.GetOperation ()| -  Set/Get the Operation to perform.
//// \item @|obj.SetOperationToAnd ()| -  Set/Get the Operation to perform.
//// \item @|obj.SetOperationToOr ()| -  Set/Get the Operation to perform.
//// \item @|obj.SetOperationToXor ()| -  Set/Get the Operation to perform.
//// \item @|obj.SetOperationToNand ()| -  Set/Get the Operation to perform.
//// \item @|obj.SetOperationToNor ()| -  Set/Get the Operation to perform.
//// \item @|obj.SetOperationToNot ()| -  Set/Get the Operation to perform.
//// \item @|obj.SetOutputTrueValue (double )| -  Set the value to use for true in the output.
//// \item @|double = obj.GetOutputTrueValue ()| -  Set the value to use for true in the output.
//// \item @|obj.SetInput1 (vtkDataObject input)| -  Set the Input1 of this filter. 
//// \item @|obj.SetInput2 (vtkDataObject input)| -  Set the Input2 of this filter.
////\end{itemize}
//!
