#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageLuminance object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageLuminance.h"

//@@Signature
//sfunction @vtkImageLuminance:vtkImageLuminance vtkImageLuminanceConstructorFunction
//input a
//output p
//@@Parents vtkImageLuminance vtkThreadedImageAlgorithm 
ArrayVector vtkImageLuminanceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageLuminance::New(),"vtkImageLuminance",eval);
  } else if (arg[0].className() == "vtkImageLuminance") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageLuminance"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageLuminance");
    vtkImageLuminance*q = reinterpret_cast<vtkImageLuminance*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageLuminance");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageLuminance:GetClassName vtkImageLuminanceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageLuminanceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageLuminance requires 1 argument(s)");
  vtkImageLuminance* vtk_pointer = GetVTKPointer<vtkImageLuminance>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageLuminance:IsA vtkImageLuminanceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageLuminanceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageLuminance requires 2 argument(s)");
  vtkImageLuminance* vtk_pointer = GetVTKPointer<vtkImageLuminance>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageLuminance:NewInstance vtkImageLuminanceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageLuminanceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageLuminance *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageLuminance requires 1 argument(s)");
  vtkImageLuminance* vtk_pointer = GetVTKPointer<vtkImageLuminance>(arg[0]);
  Array retval;
  vtkImageLuminance  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageLuminance",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageLuminance:SafeDownCast vtkImageLuminanceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageLuminanceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageLuminance *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageLuminance requires 2 argument(s)");
  vtkImageLuminance* vtk_pointer = GetVTKPointer<vtkImageLuminance>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageLuminance  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageLuminance",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageLuminance:display vtkImageLuminanceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageLuminanceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageLuminance* vtk_pointer = GetVTKPointer<vtkImageLuminance>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageLuminance:delete vtkImageLuminanceDeleteFunction
//input varargin
//output none
ArrayVector vtkImageLuminanceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageLuminance
//@@Section VTKImaging
//@@Usage
// vtkImageLuminance calculates luminance from an rgb input.
//
//To create an instance of class vtkImageLuminance, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageLuminance
//@]
//@@Methods
//The class vtkImageLuminance has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageLuminance class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageLuminance = obj.NewInstance ()|
// \item @|vtkImageLuminance = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
