#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageMagnify object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageMagnify.h"

//@@Signature
//sfunction @vtkImageMagnify:vtkImageMagnify vtkImageMagnifyConstructorFunction
//input a
//output p
//@@Parents vtkImageMagnify vtkThreadedImageAlgorithm 
ArrayVector vtkImageMagnifyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageMagnify::New(),"vtkImageMagnify",eval);
  } else if (arg[0].className() == "vtkImageMagnify") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageMagnify"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageMagnify");
    vtkImageMagnify*q = reinterpret_cast<vtkImageMagnify*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageMagnify");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageMagnify:GetClassName vtkImageMagnifyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageMagnifyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageMagnify requires 1 argument(s)");
  vtkImageMagnify* vtk_pointer = GetVTKPointer<vtkImageMagnify>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMagnify:IsA vtkImageMagnifyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageMagnifyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageMagnify requires 2 argument(s)");
  vtkImageMagnify* vtk_pointer = GetVTKPointer<vtkImageMagnify>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMagnify:NewInstance vtkImageMagnifyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageMagnifyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageMagnify *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageMagnify requires 1 argument(s)");
  vtkImageMagnify* vtk_pointer = GetVTKPointer<vtkImageMagnify>(arg[0]);
  Array retval;
  vtkImageMagnify  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageMagnify",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageMagnify:SafeDownCast vtkImageMagnifySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageMagnifySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageMagnify *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageMagnify requires 2 argument(s)");
  vtkImageMagnify* vtk_pointer = GetVTKPointer<vtkImageMagnify>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageMagnify  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageMagnify",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageMagnify:SetMagnificationFactors__1 vtkImageMagnifySetMagnificationFactors__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageMagnifySetMagnificationFactors__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMagnificationFactors (int , int , int ); */
  if (arg.size() < 4) 
    throw Exception("Function SetMagnificationFactors__1 for class vtkImageMagnify requires 4 argument(s)");
  vtkImageMagnify* vtk_pointer = GetVTKPointer<vtkImageMagnify>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetMagnificationFactors(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageMagnify:SetMagnificationFactors__2 vtkImageMagnifySetMagnificationFactors__2Function
//input a0 a1 
//output none
ArrayVector vtkImageMagnifySetMagnificationFactors__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMagnificationFactors (int  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetMagnificationFactors__2 for class vtkImageMagnify requires 2 argument(s)");
  vtkImageMagnify* vtk_pointer = GetVTKPointer<vtkImageMagnify>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetMagnificationFactors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMagnify:GetMagnificationFactors vtkImageMagnifyGetMagnificationFactorsFunction
//input a0 
//output y
ArrayVector vtkImageMagnifyGetMagnificationFactorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetMagnificationFactors (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMagnificationFactors for class vtkImageMagnify requires 1 argument(s)");
  vtkImageMagnify* vtk_pointer = GetVTKPointer<vtkImageMagnify>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetMagnificationFactors();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageMagnify:SetInterpolate vtkImageMagnifySetInterpolateFunction
//input a0 a1 
//output none
ArrayVector vtkImageMagnifySetInterpolateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolate (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInterpolate for class vtkImageMagnify requires 2 argument(s)");
  vtkImageMagnify* vtk_pointer = GetVTKPointer<vtkImageMagnify>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInterpolate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMagnify:GetInterpolate vtkImageMagnifyGetInterpolateFunction
//input a0 
//output y
ArrayVector vtkImageMagnifyGetInterpolateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInterpolate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInterpolate for class vtkImageMagnify requires 1 argument(s)");
  vtkImageMagnify* vtk_pointer = GetVTKPointer<vtkImageMagnify>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInterpolate();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMagnify:InterpolateOn vtkImageMagnifyInterpolateOnFunction
//input a0 
//output none
ArrayVector vtkImageMagnifyInterpolateOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InterpolateOn (); */
  if (arg.size() < 1) 
    throw Exception("Function InterpolateOn for class vtkImageMagnify requires 1 argument(s)");
  vtkImageMagnify* vtk_pointer = GetVTKPointer<vtkImageMagnify>(arg[0]);
  Array retval;
  vtk_pointer->InterpolateOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageMagnify:InterpolateOff vtkImageMagnifyInterpolateOffFunction
//input a0 
//output none
ArrayVector vtkImageMagnifyInterpolateOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InterpolateOff (); */
  if (arg.size() < 1) 
    throw Exception("Function InterpolateOff for class vtkImageMagnify requires 1 argument(s)");
  vtkImageMagnify* vtk_pointer = GetVTKPointer<vtkImageMagnify>(arg[0]);
  Array retval;
  vtk_pointer->InterpolateOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageMagnify:SetMagnificationFactors vtkImageMagnifySetMagnificationFactorsFunction
//input varargin
//output varargout
ArrayVector vtkImageMagnifySetMagnificationFactorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageMagnifySetMagnificationFactors__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageMagnifySetMagnificationFactors__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageMagnifySetMagnificationFactors");
}

//@@Signature
//sfunction @vtkImageMagnify:display vtkImageMagnifyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageMagnifyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageMagnify* vtk_pointer = GetVTKPointer<vtkImageMagnify>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageMagnify:delete vtkImageMagnifyDeleteFunction
//input varargin
//output none
ArrayVector vtkImageMagnifyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageMagnify
//@@Section VTKImaging
//@@Usage
// vtkImageMagnify maps each pixel of the input onto a nxmx... region
// of the output.  Location (0,0,...) remains in the same place. The
// magnification occurs via pixel replication, or if Interpolate is on,
// by bilinear interpolation. Initially, interpolation is off and magnification
// factors are set to 1 in all directions.
//
//To create an instance of class vtkImageMagnify, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageMagnify
//@]
//@@Methods
//The class vtkImageMagnify has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageMagnify class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageMagnify = obj.NewInstance ()|
// \item @|vtkImageMagnify = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetMagnificationFactors (int , int , int )| -  Set/Get the integer magnification factors in the i-j-k directions.
// Initially, factors are set to 1 in all directions.
//// \item @|obj.SetMagnificationFactors (int  a[3])| -  Set/Get the integer magnification factors in the i-j-k directions.
// Initially, factors are set to 1 in all directions.
//// \item @|int = obj. GetMagnificationFactors ()| -  Set/Get the integer magnification factors in the i-j-k directions.
// Initially, factors are set to 1 in all directions.
//// \item @|obj.SetInterpolate (int )| -  Turn interpolation on and off (pixel replication is used when off).
// Initially, interpolation is off.
//// \item @|int = obj.GetInterpolate ()| -  Turn interpolation on and off (pixel replication is used when off).
// Initially, interpolation is off.
//// \item @|obj.InterpolateOn ()| -  Turn interpolation on and off (pixel replication is used when off).
// Initially, interpolation is off.
//// \item @|obj.InterpolateOff ()| -  Turn interpolation on and off (pixel replication is used when off).
// Initially, interpolation is off.
////\end{itemize}
//!
