#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageMagnitude object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageMagnitude.h"

//@@Signature
//sfunction @vtkImageMagnitude:vtkImageMagnitude vtkImageMagnitudeConstructorFunction
//input a
//output p
//@@Parents vtkImageMagnitude vtkThreadedImageAlgorithm 
ArrayVector vtkImageMagnitudeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageMagnitude::New(),"vtkImageMagnitude",eval);
  } else if (arg[0].className() == "vtkImageMagnitude") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageMagnitude"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageMagnitude");
    vtkImageMagnitude*q = reinterpret_cast<vtkImageMagnitude*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageMagnitude");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageMagnitude:GetClassName vtkImageMagnitudeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageMagnitudeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageMagnitude requires 1 argument(s)");
  vtkImageMagnitude* vtk_pointer = GetVTKPointer<vtkImageMagnitude>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMagnitude:IsA vtkImageMagnitudeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageMagnitudeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageMagnitude requires 2 argument(s)");
  vtkImageMagnitude* vtk_pointer = GetVTKPointer<vtkImageMagnitude>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMagnitude:NewInstance vtkImageMagnitudeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageMagnitudeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageMagnitude *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageMagnitude requires 1 argument(s)");
  vtkImageMagnitude* vtk_pointer = GetVTKPointer<vtkImageMagnitude>(arg[0]);
  Array retval;
  vtkImageMagnitude  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageMagnitude",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageMagnitude:SafeDownCast vtkImageMagnitudeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageMagnitudeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageMagnitude *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageMagnitude requires 2 argument(s)");
  vtkImageMagnitude* vtk_pointer = GetVTKPointer<vtkImageMagnitude>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageMagnitude  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageMagnitude",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageMagnitude:display vtkImageMagnitudeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageMagnitudeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageMagnitude* vtk_pointer = GetVTKPointer<vtkImageMagnitude>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageMagnitude:delete vtkImageMagnitudeDeleteFunction
//input varargin
//output none
ArrayVector vtkImageMagnitudeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageMagnitude
//@@Section VTKImaging
//@@Usage
// vtkImageMagnitude takes the magnitude of the components.
//
//To create an instance of class vtkImageMagnitude, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageMagnitude
//@]
//@@Methods
//The class vtkImageMagnitude has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageMagnitude class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageMagnitude = obj.NewInstance ()|
// \item @|vtkImageMagnitude = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
