#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageMandelbrotSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageMandelbrotSource.h"

//@@Signature
//sfunction @vtkImageMandelbrotSource:vtkImageMandelbrotSource vtkImageMandelbrotSourceConstructorFunction
//input a
//output p
//@@Parents vtkImageMandelbrotSource vtkImageAlgorithm 
ArrayVector vtkImageMandelbrotSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageMandelbrotSource::New(),"vtkImageMandelbrotSource",eval);
  } else if (arg[0].className() == "vtkImageMandelbrotSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageMandelbrotSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageMandelbrotSource");
    vtkImageMandelbrotSource*q = reinterpret_cast<vtkImageMandelbrotSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageMandelbrotSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageMandelbrotSource:GetClassName vtkImageMandelbrotSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageMandelbrotSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageMandelbrotSource requires 1 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:IsA vtkImageMandelbrotSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageMandelbrotSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageMandelbrotSource requires 2 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:NewInstance vtkImageMandelbrotSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageMandelbrotSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageMandelbrotSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageMandelbrotSource requires 1 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  vtkImageMandelbrotSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageMandelbrotSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:SafeDownCast vtkImageMandelbrotSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageMandelbrotSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageMandelbrotSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageMandelbrotSource requires 2 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageMandelbrotSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageMandelbrotSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:SetWholeExtent__1 vtkImageMandelbrotSourceSetWholeExtent__1Function
//input a0 a1 
//output none
ArrayVector vtkImageMandelbrotSourceSetWholeExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWholeExtent (int extent[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetWholeExtent__1 for class vtkImageMandelbrotSource requires 2 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetWholeExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:SetWholeExtent__2 vtkImageMandelbrotSourceSetWholeExtent__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkImageMandelbrotSourceSetWholeExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWholeExtent (int minX, int maxX, int minY, int maxY, int minZ, int maxZ); */
  if (arg.size() < 7) 
    throw Exception("Function SetWholeExtent__2 for class vtkImageMandelbrotSource requires 7 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:GetWholeExtent vtkImageMandelbrotSourceGetWholeExtentFunction
//input a0 
//output y
ArrayVector vtkImageMandelbrotSourceGetWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetWholeExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWholeExtent for class vtkImageMandelbrotSource requires 1 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetWholeExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:SetConstantSize vtkImageMandelbrotSourceSetConstantSizeFunction
//input a0 a1 
//output none
ArrayVector vtkImageMandelbrotSourceSetConstantSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetConstantSize (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetConstantSize for class vtkImageMandelbrotSource requires 2 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetConstantSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:GetConstantSize vtkImageMandelbrotSourceGetConstantSizeFunction
//input a0 
//output y
ArrayVector vtkImageMandelbrotSourceGetConstantSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetConstantSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetConstantSize for class vtkImageMandelbrotSource requires 1 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetConstantSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:ConstantSizeOn vtkImageMandelbrotSourceConstantSizeOnFunction
//input a0 
//output none
ArrayVector vtkImageMandelbrotSourceConstantSizeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ConstantSizeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ConstantSizeOn for class vtkImageMandelbrotSource requires 1 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  vtk_pointer->ConstantSizeOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:ConstantSizeOff vtkImageMandelbrotSourceConstantSizeOffFunction
//input a0 
//output none
ArrayVector vtkImageMandelbrotSourceConstantSizeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ConstantSizeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ConstantSizeOff for class vtkImageMandelbrotSource requires 1 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  vtk_pointer->ConstantSizeOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:SetProjectionAxes__1 vtkImageMandelbrotSourceSetProjectionAxes__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageMandelbrotSourceSetProjectionAxes__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionAxes (int x, int y, int z); */
  if (arg.size() < 4) 
    throw Exception("Function SetProjectionAxes__1 for class vtkImageMandelbrotSource requires 4 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetProjectionAxes(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:SetProjectionAxes__2 vtkImageMandelbrotSourceSetProjectionAxes__2Function
//input a0 a1 
//output none
ArrayVector vtkImageMandelbrotSourceSetProjectionAxes__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProjectionAxes (int a[3]);this SetProjectionAxes a a a  */
  if (arg.size() < 2) 
    throw Exception("Function SetProjectionAxes__2 for class vtkImageMandelbrotSource requires 2 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetProjectionAxes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:GetProjectionAxes vtkImageMandelbrotSourceGetProjectionAxesFunction
//input a0 
//output y
ArrayVector vtkImageMandelbrotSourceGetProjectionAxesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetProjectionAxes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectionAxes for class vtkImageMandelbrotSource requires 1 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetProjectionAxes();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:SetOriginCX__1 vtkImageMandelbrotSourceSetOriginCX__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkImageMandelbrotSourceSetOriginCX__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOriginCX (double , double , double , double ); */
  if (arg.size() < 5) 
    throw Exception("Function SetOriginCX__1 for class vtkImageMandelbrotSource requires 5 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetOriginCX(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:SetOriginCX__2 vtkImageMandelbrotSourceSetOriginCX__2Function
//input a0 a1 
//output none
ArrayVector vtkImageMandelbrotSourceSetOriginCX__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOriginCX (double  a[4]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOriginCX__2 for class vtkImageMandelbrotSource requires 2 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  double temp0[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOriginCX(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:GetOriginCX vtkImageMandelbrotSourceGetOriginCXFunction
//input a0 
//output y
ArrayVector vtkImageMandelbrotSourceGetOriginCXFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetOriginCX (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOriginCX for class vtkImageMandelbrotSource requires 1 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOriginCX();
  BasicArray<double> tempResult(NTuple(4,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:SetSampleCX__1 vtkImageMandelbrotSourceSetSampleCX__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkImageMandelbrotSourceSetSampleCX__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSampleCX (double , double , double , double ); */
  if (arg.size() < 5) 
    throw Exception("Function SetSampleCX__1 for class vtkImageMandelbrotSource requires 5 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetSampleCX(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:SetSampleCX__2 vtkImageMandelbrotSourceSetSampleCX__2Function
//input a0 a1 
//output none
ArrayVector vtkImageMandelbrotSourceSetSampleCX__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSampleCX (double  a[4]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSampleCX__2 for class vtkImageMandelbrotSource requires 2 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  double temp0[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetSampleCX(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:GetSampleCX vtkImageMandelbrotSourceGetSampleCXFunction
//input a0 
//output y
ArrayVector vtkImageMandelbrotSourceGetSampleCXFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetSampleCX (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSampleCX for class vtkImageMandelbrotSource requires 1 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetSampleCX();
  BasicArray<double> tempResult(NTuple(4,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:SetSizeCX vtkImageMandelbrotSourceSetSizeCXFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkImageMandelbrotSourceSetSizeCXFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSizeCX (double cReal, double cImag, double xReal, double xImag); */
  if (arg.size() < 5) 
    throw Exception("Function SetSizeCX for class vtkImageMandelbrotSource requires 5 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetSizeCX(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:GetSizeCX__1 vtkImageMandelbrotSourceGetSizeCX__1Function
//input a0 
//output y
ArrayVector vtkImageMandelbrotSourceGetSizeCX__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetSizeCX (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSizeCX__1 for class vtkImageMandelbrotSource requires 1 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetSizeCX();
  BasicArray<double> tempResult(NTuple(4,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:GetSizeCX__2 vtkImageMandelbrotSourceGetSizeCX__2Function
//input a0 a1 
//output none
ArrayVector vtkImageMandelbrotSourceGetSizeCX__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetSizeCX (double s[4]); */
  if (arg.size() < 2) 
    throw Exception("Function GetSizeCX__2 for class vtkImageMandelbrotSource requires 2 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  double temp0[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetSizeCX(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:SetMaximumNumberOfIterations vtkImageMandelbrotSourceSetMaximumNumberOfIterationsFunction
//input a0 a1 
//output none
ArrayVector vtkImageMandelbrotSourceSetMaximumNumberOfIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumNumberOfIterations (unsigned short ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumNumberOfIterations for class vtkImageMandelbrotSource requires 2 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  unsigned short    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned short) arg[1].asDouble();
  vtk_pointer->SetMaximumNumberOfIterations(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:GetMaximumNumberOfIterationsMinValue vtkImageMandelbrotSourceGetMaximumNumberOfIterationsMinValueFunction
//input a0 
//output y
ArrayVector vtkImageMandelbrotSourceGetMaximumNumberOfIterationsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned GetMaximumNumberOfIterationsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumNumberOfIterationsMinValue for class vtkImageMandelbrotSource requires 1 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  unsigned short    temp20;
  temp20 = (vtk_pointer)->GetMaximumNumberOfIterationsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:GetMaximumNumberOfIterationsMaxValue vtkImageMandelbrotSourceGetMaximumNumberOfIterationsMaxValueFunction
//input a0 
//output y
ArrayVector vtkImageMandelbrotSourceGetMaximumNumberOfIterationsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned GetMaximumNumberOfIterationsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumNumberOfIterationsMaxValue for class vtkImageMandelbrotSource requires 1 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  unsigned short    temp20;
  temp20 = (vtk_pointer)->GetMaximumNumberOfIterationsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:GetMaximumNumberOfIterations vtkImageMandelbrotSourceGetMaximumNumberOfIterationsFunction
//input a0 
//output y
ArrayVector vtkImageMandelbrotSourceGetMaximumNumberOfIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature short unsigned GetMaximumNumberOfIterations (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumNumberOfIterations for class vtkImageMandelbrotSource requires 1 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  unsigned short    temp20;
  temp20 = (vtk_pointer)->GetMaximumNumberOfIterations();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:Zoom vtkImageMandelbrotSourceZoomFunction
//input a0 a1 
//output none
ArrayVector vtkImageMandelbrotSourceZoomFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Zoom (double factor); */
  if (arg.size() < 2) 
    throw Exception("Function Zoom for class vtkImageMandelbrotSource requires 2 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->Zoom(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:Pan vtkImageMandelbrotSourcePanFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageMandelbrotSourcePanFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Pan (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function Pan for class vtkImageMandelbrotSource requires 4 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->Pan(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:CopyOriginAndSample vtkImageMandelbrotSourceCopyOriginAndSampleFunction
//input a0 a1 
//output none
ArrayVector vtkImageMandelbrotSourceCopyOriginAndSampleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CopyOriginAndSample (vtkImageMandelbrotSource *source); */
  if (arg.size() < 2) 
    throw Exception("Function CopyOriginAndSample for class vtkImageMandelbrotSource requires 2 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  vtkImageMandelbrotSource  *temp0;
  temp0 = GetVTKPointer<vtkImageMandelbrotSource>(arg[1]);
  vtk_pointer->CopyOriginAndSample(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:SetSubsampleRate vtkImageMandelbrotSourceSetSubsampleRateFunction
//input a0 a1 
//output none
ArrayVector vtkImageMandelbrotSourceSetSubsampleRateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSubsampleRate (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSubsampleRate for class vtkImageMandelbrotSource requires 2 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSubsampleRate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:GetSubsampleRateMinValue vtkImageMandelbrotSourceGetSubsampleRateMinValueFunction
//input a0 
//output y
ArrayVector vtkImageMandelbrotSourceGetSubsampleRateMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSubsampleRateMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSubsampleRateMinValue for class vtkImageMandelbrotSource requires 1 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSubsampleRateMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:GetSubsampleRateMaxValue vtkImageMandelbrotSourceGetSubsampleRateMaxValueFunction
//input a0 
//output y
ArrayVector vtkImageMandelbrotSourceGetSubsampleRateMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSubsampleRateMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSubsampleRateMaxValue for class vtkImageMandelbrotSource requires 1 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSubsampleRateMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:GetSubsampleRate vtkImageMandelbrotSourceGetSubsampleRateFunction
//input a0 
//output y
ArrayVector vtkImageMandelbrotSourceGetSubsampleRateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSubsampleRate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSubsampleRate for class vtkImageMandelbrotSource requires 1 argument(s)");
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSubsampleRate();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:SetWholeExtent vtkImageMandelbrotSourceSetWholeExtentFunction
//input varargin
//output varargout
ArrayVector vtkImageMandelbrotSourceSetWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageMandelbrotSourceSetWholeExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkImageMandelbrotSourceSetWholeExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageMandelbrotSourceSetWholeExtent");
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:SetProjectionAxes vtkImageMandelbrotSourceSetProjectionAxesFunction
//input varargin
//output varargout
ArrayVector vtkImageMandelbrotSourceSetProjectionAxesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageMandelbrotSourceSetProjectionAxes__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageMandelbrotSourceSetProjectionAxes__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageMandelbrotSourceSetProjectionAxes");
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:SetOriginCX vtkImageMandelbrotSourceSetOriginCXFunction
//input varargin
//output varargout
ArrayVector vtkImageMandelbrotSourceSetOriginCXFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkImageMandelbrotSourceSetOriginCX__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageMandelbrotSourceSetOriginCX__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageMandelbrotSourceSetOriginCX");
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:SetSampleCX vtkImageMandelbrotSourceSetSampleCXFunction
//input varargin
//output varargout
ArrayVector vtkImageMandelbrotSourceSetSampleCXFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkImageMandelbrotSourceSetSampleCX__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageMandelbrotSourceSetSampleCX__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageMandelbrotSourceSetSampleCX");
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:GetSizeCX vtkImageMandelbrotSourceGetSizeCXFunction
//input varargin
//output varargout
ArrayVector vtkImageMandelbrotSourceGetSizeCXFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkImageMandelbrotSourceGetSizeCX__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageMandelbrotSourceGetSizeCX__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageMandelbrotSourceGetSizeCX");
}

//@@Signature
//sfunction @vtkImageMandelbrotSource:display vtkImageMandelbrotSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageMandelbrotSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageMandelbrotSource* vtk_pointer = GetVTKPointer<vtkImageMandelbrotSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageMandelbrotSource:delete vtkImageMandelbrotSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkImageMandelbrotSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageMandelbrotSource
//@@Section VTKImaging
//@@Usage
// vtkImageMandelbrotSource creates an unsigned char image of the Mandelbrot
// set.  The values in the image are the number of iterations it takes for
// the magnitude of the value to get over 2.  The equation repeated is
// z = z^2 + C (z and C are complex).  Initial value of z is zero, and the 
// real value of C is mapped onto the x axis, and the imaginary value of C
// is mapped onto the Y Axis.  I was thinking of extending this source
// to generate Julia Sets (initial value of Z varies).  This would be 4
// possible parameters to vary, but there are no more 4d images :(
// The third dimension (z axis) is the imaginary value of the initial value.
//
//To create an instance of class vtkImageMandelbrotSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageMandelbrotSource
//@]
//@@Methods
//The class vtkImageMandelbrotSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageMandelbrotSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageMandelbrotSource = obj.NewInstance ()|
// \item @|vtkImageMandelbrotSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetWholeExtent (int extent[6])| -  Set/Get the extent of the whole output Volume.
//// \item @|obj.SetWholeExtent (int minX, int maxX, int minY, int maxY, int minZ, int maxZ)| -  Set/Get the extent of the whole output Volume.
//// \item @|int = obj. GetWholeExtent ()| -  Set/Get the extent of the whole output Volume.
//// \item @|obj.SetConstantSize (int )| -  This flag determines whether the Size or spacing of 
// a data set remain constant (when extent is changed).  
// By default, size remains constant.
//// \item @|int = obj.GetConstantSize ()| -  This flag determines whether the Size or spacing of 
// a data set remain constant (when extent is changed).  
// By default, size remains constant.
//// \item @|obj.ConstantSizeOn ()| -  This flag determines whether the Size or spacing of 
// a data set remain constant (when extent is changed).  
// By default, size remains constant.
//// \item @|obj.ConstantSizeOff ()| -  This flag determines whether the Size or spacing of 
// a data set remain constant (when extent is changed).  
// By default, size remains constant.
//// \item @|obj.SetProjectionAxes (int x, int y, int z)| -  Set the projection from  the 4D space (4 parameters / 2 imaginary numbers)
// to the axes of the 3D Volume. 
// 0=C_Real, 1=C_Imaginary, 2=X_Real, 4=X_Imaginary
//// \item @|obj.SetProjectionAxes (int a[3])| -  Set the projection from  the 4D space (4 parameters / 2 imaginary numbers)
// to the axes of the 3D Volume. 
// 0=C_Real, 1=C_Imaginary, 2=X_Real, 4=X_Imaginary
//// \item @|int = obj. GetProjectionAxes ()| -  Set the projection from  the 4D space (4 parameters / 2 imaginary numbers)
// to the axes of the 3D Volume. 
// 0=C_Real, 1=C_Imaginary, 2=X_Real, 4=X_Imaginary
//// \item @|obj.SetOriginCX (double , double , double , double )| -  Imaginary and real value for C (constant in equation) 
// and X (initial value).
//// \item @|obj.SetOriginCX (double  a[4])| -  Imaginary and real value for C (constant in equation) 
// and X (initial value).
//// \item @|double = obj. GetOriginCX ()| -  Imaginary and real value for C (constant in equation) 
// and X (initial value).
//void SetOriginCX(double cReal, double cImag, double xReal, double xImag);
//// \item @|obj.SetSampleCX (double , double , double , double )| -  Imaginary and real value for C (constant in equation) 
// and X (initial value).
//// \item @|obj.SetSampleCX (double  a[4])| -  Imaginary and real value for C (constant in equation) 
// and X (initial value).
//// \item @|double = obj. GetSampleCX ()| -  Imaginary and real value for C (constant in equation) 
// and X (initial value).
//void SetOriginCX(double cReal, double cImag, double xReal, double xImag);
//// \item @|obj.SetSizeCX (double cReal, double cImag, double xReal, double xImag)| -  Just a different way of setting the sample.  
// This sets the size of the 4D volume. 
// SampleCX is computed from size and extent.
// Size is ignored when a dimension i 0 (collapsed).
//// \item @|double = obj.GetSizeCX ()| -  Just a different way of setting the sample.  
// This sets the size of the 4D volume. 
// SampleCX is computed from size and extent.
// Size is ignored when a dimension i 0 (collapsed).
//// \item @|obj.GetSizeCX (double s[4])| -  Just a different way of setting the sample.  
// This sets the size of the 4D volume. 
// SampleCX is computed from size and extent.
// Size is ignored when a dimension i 0 (collapsed).
//// \item @|obj.SetMaximumNumberOfIterations (short )| -  The maximum number of cycles run to see if the value goes over 2
//// \item @|GetMaximumNumberOfIterationsMinValue = obj.()| -  The maximum number of cycles run to see if the value goes over 2
//// \item @|GetMaximumNumberOfIterationsMaxValue = obj.()| -  The maximum number of cycles run to see if the value goes over 2
//// \item @|short = obj.GetMaximumNumberOfIterations ()| -  The maximum number of cycles run to see if the value goes over 2
//// \item @|obj.Zoom (double factor)| -  Convienence for Viewer.  Pan 3D volume relative to spacing. 
// Zoom constant factor.
//// \item @|obj.Pan (double x, double y, double z)| -  Convienence for Viewer.  Pan 3D volume relative to spacing. 
// Zoom constant factor.
//// \item @|obj.CopyOriginAndSample (vtkImageMandelbrotSource source)| -  Convienence for Viewer.  Copy the OriginCX and the SpacingCX.
// What about other parameters ???
//// \item @|obj.SetSubsampleRate (int )| -  Set/Get a subsample rate.
//// \item @|int = obj.GetSubsampleRateMinValue ()| -  Set/Get a subsample rate.
//// \item @|int = obj.GetSubsampleRateMaxValue ()| -  Set/Get a subsample rate.
//// \item @|int = obj.GetSubsampleRate ()| -  Set/Get a subsample rate.
////\end{itemize}
//!
