#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageMapToColors object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageMapToColors.h"

//@@Signature
//sfunction @vtkImageMapToColors:vtkImageMapToColors vtkImageMapToColorsConstructorFunction
//input a
//output p
//@@Parents vtkImageMapToColors vtkThreadedImageAlgorithm 
ArrayVector vtkImageMapToColorsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageMapToColors::New(),"vtkImageMapToColors",eval);
  } else if (arg[0].className() == "vtkImageMapToColors") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageMapToColors"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageMapToColors");
    vtkImageMapToColors*q = reinterpret_cast<vtkImageMapToColors*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageMapToColors");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageMapToColors:GetClassName vtkImageMapToColorsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageMapToColorsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageMapToColors requires 1 argument(s)");
  vtkImageMapToColors* vtk_pointer = GetVTKPointer<vtkImageMapToColors>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMapToColors:IsA vtkImageMapToColorsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageMapToColorsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageMapToColors requires 2 argument(s)");
  vtkImageMapToColors* vtk_pointer = GetVTKPointer<vtkImageMapToColors>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMapToColors:NewInstance vtkImageMapToColorsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageMapToColorsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageMapToColors *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageMapToColors requires 1 argument(s)");
  vtkImageMapToColors* vtk_pointer = GetVTKPointer<vtkImageMapToColors>(arg[0]);
  Array retval;
  vtkImageMapToColors  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageMapToColors",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageMapToColors:SafeDownCast vtkImageMapToColorsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageMapToColorsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageMapToColors *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageMapToColors requires 2 argument(s)");
  vtkImageMapToColors* vtk_pointer = GetVTKPointer<vtkImageMapToColors>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageMapToColors  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageMapToColors",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageMapToColors:SetLookupTable vtkImageMapToColorsSetLookupTableFunction
//input a0 a1 
//output none
ArrayVector vtkImageMapToColorsSetLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLookupTable (vtkScalarsToColors *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLookupTable for class vtkImageMapToColors requires 2 argument(s)");
  vtkImageMapToColors* vtk_pointer = GetVTKPointer<vtkImageMapToColors>(arg[0]);
  Array retval;
  vtkScalarsToColors  *temp0;
  temp0 = GetVTKPointer<vtkScalarsToColors>(arg[1]);
  vtk_pointer->SetLookupTable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMapToColors:GetLookupTable vtkImageMapToColorsGetLookupTableFunction
//input a0 
//output y
ArrayVector vtkImageMapToColorsGetLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScalarsToColors *GetLookupTable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLookupTable for class vtkImageMapToColors requires 1 argument(s)");
  vtkImageMapToColors* vtk_pointer = GetVTKPointer<vtkImageMapToColors>(arg[0]);
  Array retval;
  vtkScalarsToColors  *temp20;
  temp20 = (vtk_pointer)->GetLookupTable();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScalarsToColors",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageMapToColors:SetOutputFormat vtkImageMapToColorsSetOutputFormatFunction
//input a0 a1 
//output none
ArrayVector vtkImageMapToColorsSetOutputFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputFormat (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputFormat for class vtkImageMapToColors requires 2 argument(s)");
  vtkImageMapToColors* vtk_pointer = GetVTKPointer<vtkImageMapToColors>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutputFormat(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMapToColors:GetOutputFormat vtkImageMapToColorsGetOutputFormatFunction
//input a0 
//output y
ArrayVector vtkImageMapToColorsGetOutputFormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputFormat (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputFormat for class vtkImageMapToColors requires 1 argument(s)");
  vtkImageMapToColors* vtk_pointer = GetVTKPointer<vtkImageMapToColors>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutputFormat();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMapToColors:SetOutputFormatToRGBA vtkImageMapToColorsSetOutputFormatToRGBAFunction
//input a0 
//output none
ArrayVector vtkImageMapToColorsSetOutputFormatToRGBAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputFormatToRGBA ();this OutputFormat VTK_RGBA  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputFormatToRGBA for class vtkImageMapToColors requires 1 argument(s)");
  vtkImageMapToColors* vtk_pointer = GetVTKPointer<vtkImageMapToColors>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputFormatToRGBA();
  return retval;
}

//@@Signature
//sfunction @vtkImageMapToColors:SetOutputFormatToRGB vtkImageMapToColorsSetOutputFormatToRGBFunction
//input a0 
//output none
ArrayVector vtkImageMapToColorsSetOutputFormatToRGBFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputFormatToRGB ();this OutputFormat VTK_RGB  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputFormatToRGB for class vtkImageMapToColors requires 1 argument(s)");
  vtkImageMapToColors* vtk_pointer = GetVTKPointer<vtkImageMapToColors>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputFormatToRGB();
  return retval;
}

//@@Signature
//sfunction @vtkImageMapToColors:SetOutputFormatToLuminanceAlpha vtkImageMapToColorsSetOutputFormatToLuminanceAlphaFunction
//input a0 
//output none
ArrayVector vtkImageMapToColorsSetOutputFormatToLuminanceAlphaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputFormatToLuminanceAlpha ();this OutputFormat VTK_LUMINANCE_ALPHA  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputFormatToLuminanceAlpha for class vtkImageMapToColors requires 1 argument(s)");
  vtkImageMapToColors* vtk_pointer = GetVTKPointer<vtkImageMapToColors>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputFormatToLuminanceAlpha();
  return retval;
}

//@@Signature
//sfunction @vtkImageMapToColors:SetOutputFormatToLuminance vtkImageMapToColorsSetOutputFormatToLuminanceFunction
//input a0 
//output none
ArrayVector vtkImageMapToColorsSetOutputFormatToLuminanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputFormatToLuminance ();this OutputFormat VTK_LUMINANCE  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputFormatToLuminance for class vtkImageMapToColors requires 1 argument(s)");
  vtkImageMapToColors* vtk_pointer = GetVTKPointer<vtkImageMapToColors>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputFormatToLuminance();
  return retval;
}

//@@Signature
//sfunction @vtkImageMapToColors:SetActiveComponent vtkImageMapToColorsSetActiveComponentFunction
//input a0 a1 
//output none
ArrayVector vtkImageMapToColorsSetActiveComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetActiveComponent (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetActiveComponent for class vtkImageMapToColors requires 2 argument(s)");
  vtkImageMapToColors* vtk_pointer = GetVTKPointer<vtkImageMapToColors>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetActiveComponent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMapToColors:GetActiveComponent vtkImageMapToColorsGetActiveComponentFunction
//input a0 
//output y
ArrayVector vtkImageMapToColorsGetActiveComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetActiveComponent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetActiveComponent for class vtkImageMapToColors requires 1 argument(s)");
  vtkImageMapToColors* vtk_pointer = GetVTKPointer<vtkImageMapToColors>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetActiveComponent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMapToColors:SetPassAlphaToOutput vtkImageMapToColorsSetPassAlphaToOutputFunction
//input a0 a1 
//output none
ArrayVector vtkImageMapToColorsSetPassAlphaToOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPassAlphaToOutput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPassAlphaToOutput for class vtkImageMapToColors requires 2 argument(s)");
  vtkImageMapToColors* vtk_pointer = GetVTKPointer<vtkImageMapToColors>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPassAlphaToOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMapToColors:PassAlphaToOutputOn vtkImageMapToColorsPassAlphaToOutputOnFunction
//input a0 
//output none
ArrayVector vtkImageMapToColorsPassAlphaToOutputOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassAlphaToOutputOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PassAlphaToOutputOn for class vtkImageMapToColors requires 1 argument(s)");
  vtkImageMapToColors* vtk_pointer = GetVTKPointer<vtkImageMapToColors>(arg[0]);
  Array retval;
  vtk_pointer->PassAlphaToOutputOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageMapToColors:PassAlphaToOutputOff vtkImageMapToColorsPassAlphaToOutputOffFunction
//input a0 
//output none
ArrayVector vtkImageMapToColorsPassAlphaToOutputOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassAlphaToOutputOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PassAlphaToOutputOff for class vtkImageMapToColors requires 1 argument(s)");
  vtkImageMapToColors* vtk_pointer = GetVTKPointer<vtkImageMapToColors>(arg[0]);
  Array retval;
  vtk_pointer->PassAlphaToOutputOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageMapToColors:GetPassAlphaToOutput vtkImageMapToColorsGetPassAlphaToOutputFunction
//input a0 
//output y
ArrayVector vtkImageMapToColorsGetPassAlphaToOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPassAlphaToOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPassAlphaToOutput for class vtkImageMapToColors requires 1 argument(s)");
  vtkImageMapToColors* vtk_pointer = GetVTKPointer<vtkImageMapToColors>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPassAlphaToOutput();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMapToColors:GetMTime vtkImageMapToColorsGetMTimeFunction
//input a0 
//output y
ArrayVector vtkImageMapToColorsGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkImageMapToColors requires 1 argument(s)");
  vtkImageMapToColors* vtk_pointer = GetVTKPointer<vtkImageMapToColors>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMapToColors:display vtkImageMapToColorsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageMapToColorsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageMapToColors* vtk_pointer = GetVTKPointer<vtkImageMapToColors>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageMapToColors:delete vtkImageMapToColorsDeleteFunction
//input varargin
//output none
ArrayVector vtkImageMapToColorsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageMapToColors
//@@Section VTKImaging
//@@Usage
// The vtkImageMapToColors filter will take an input image of any valid
// scalar type, and map the first component of the image through a
// lookup table.  The result is an image of type VTK_UNSIGNED_CHAR.
// If the lookup table is not set, or is set to NULL, then the input
// data will be passed through if it is already of type VTK_UNSIGNED_CHAR.
//
//To create an instance of class vtkImageMapToColors, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageMapToColors
//@]
//@@Methods
//The class vtkImageMapToColors has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageMapToColors class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageMapToColors = obj.NewInstance ()|
// \item @|vtkImageMapToColors = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetLookupTable (vtkScalarsToColors )| -  Set the lookup table.
//// \item @|vtkScalarsToColors = obj.GetLookupTable ()| -  Set the lookup table.
//// \item @|obj.SetOutputFormat (int )| -  Set the output format, the default is RGBA.  
//// \item @|int = obj.GetOutputFormat ()| -  Set the output format, the default is RGBA.  
//// \item @|obj.SetOutputFormatToRGBA ()| -  Set the output format, the default is RGBA.  
//// \item @|obj.SetOutputFormatToRGB ()| -  Set the output format, the default is RGBA.  
//// \item @|obj.SetOutputFormatToLuminanceAlpha ()| -  Set the output format, the default is RGBA.  
//// \item @|obj.SetOutputFormatToLuminance ()| -  Set the output format, the default is RGBA.  
//// \item @|obj.SetActiveComponent (int )| -  Set the component to map for multi-component images (default: 0)
//// \item @|int = obj.GetActiveComponent ()| -  Set the component to map for multi-component images (default: 0)
//// \item @|obj.SetPassAlphaToOutput (int )| -  Use the alpha component of the input when computing the alpha component
// of the output (useful when converting monochrome+alpha data to RGBA)
//// \item @|obj.PassAlphaToOutputOn ()| -  Use the alpha component of the input when computing the alpha component
// of the output (useful when converting monochrome+alpha data to RGBA)
//// \item @|obj.PassAlphaToOutputOff ()| -  Use the alpha component of the input when computing the alpha component
// of the output (useful when converting monochrome+alpha data to RGBA)
//// \item @|int = obj.GetPassAlphaToOutput ()| -  Use the alpha component of the input when computing the alpha component
// of the output (useful when converting monochrome+alpha data to RGBA)
//// \item @|long = obj.GetMTime ()| -  We need to check the modified time of the lookup table too.
////\end{itemize}
//!
