#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageMapToRGBA object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageMapToRGBA.h"

//@@Signature
//sfunction @vtkImageMapToRGBA:vtkImageMapToRGBA vtkImageMapToRGBAConstructorFunction
//input a
//output p
//@@Parents vtkImageMapToRGBA vtkImageMapToColors 
ArrayVector vtkImageMapToRGBAConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageMapToRGBA::New(),"vtkImageMapToRGBA",eval);
  } else if (arg[0].className() == "vtkImageMapToRGBA") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageMapToRGBA"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageMapToRGBA");
    vtkImageMapToRGBA*q = reinterpret_cast<vtkImageMapToRGBA*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageMapToRGBA");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageMapToRGBA:GetClassName vtkImageMapToRGBAGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageMapToRGBAGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageMapToRGBA requires 1 argument(s)");
  vtkImageMapToRGBA* vtk_pointer = GetVTKPointer<vtkImageMapToRGBA>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMapToRGBA:IsA vtkImageMapToRGBAIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageMapToRGBAIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageMapToRGBA requires 2 argument(s)");
  vtkImageMapToRGBA* vtk_pointer = GetVTKPointer<vtkImageMapToRGBA>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMapToRGBA:NewInstance vtkImageMapToRGBANewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageMapToRGBANewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageMapToRGBA *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageMapToRGBA requires 1 argument(s)");
  vtkImageMapToRGBA* vtk_pointer = GetVTKPointer<vtkImageMapToRGBA>(arg[0]);
  Array retval;
  vtkImageMapToRGBA  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageMapToRGBA",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageMapToRGBA:SafeDownCast vtkImageMapToRGBASafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageMapToRGBASafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageMapToRGBA *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageMapToRGBA requires 2 argument(s)");
  vtkImageMapToRGBA* vtk_pointer = GetVTKPointer<vtkImageMapToRGBA>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageMapToRGBA  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageMapToRGBA",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageMapToRGBA:display vtkImageMapToRGBADisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageMapToRGBADisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageMapToRGBA* vtk_pointer = GetVTKPointer<vtkImageMapToRGBA>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageMapToRGBA:delete vtkImageMapToRGBADeleteFunction
//input varargin
//output none
ArrayVector vtkImageMapToRGBADeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageMapToRGBA
//@@Section VTKImaging
//@@Usage
// This filter has been replaced by vtkImageMapToColors, which provided
// additional features.  Use vtkImageMapToColors instead.
//
//To create an instance of class vtkImageMapToRGBA, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageMapToRGBA
//@]
//@@Methods
//The class vtkImageMapToRGBA has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageMapToRGBA class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageMapToRGBA = obj.NewInstance ()|
// \item @|vtkImageMapToRGBA = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
