#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageMaskBits object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageMaskBits.h"

//@@Signature
//sfunction @vtkImageMaskBits:vtkImageMaskBits vtkImageMaskBitsConstructorFunction
//input a
//output p
//@@Parents vtkImageMaskBits vtkThreadedImageAlgorithm 
ArrayVector vtkImageMaskBitsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageMaskBits::New(),"vtkImageMaskBits",eval);
  } else if (arg[0].className() == "vtkImageMaskBits") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageMaskBits"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageMaskBits");
    vtkImageMaskBits*q = reinterpret_cast<vtkImageMaskBits*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageMaskBits");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageMaskBits:GetClassName vtkImageMaskBitsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageMaskBitsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageMaskBits requires 1 argument(s)");
  vtkImageMaskBits* vtk_pointer = GetVTKPointer<vtkImageMaskBits>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMaskBits:IsA vtkImageMaskBitsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageMaskBitsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageMaskBits requires 2 argument(s)");
  vtkImageMaskBits* vtk_pointer = GetVTKPointer<vtkImageMaskBits>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMaskBits:NewInstance vtkImageMaskBitsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageMaskBitsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageMaskBits *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageMaskBits requires 1 argument(s)");
  vtkImageMaskBits* vtk_pointer = GetVTKPointer<vtkImageMaskBits>(arg[0]);
  Array retval;
  vtkImageMaskBits  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageMaskBits",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageMaskBits:SafeDownCast vtkImageMaskBitsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageMaskBitsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageMaskBits *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageMaskBits requires 2 argument(s)");
  vtkImageMaskBits* vtk_pointer = GetVTKPointer<vtkImageMaskBits>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageMaskBits  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageMaskBits",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageMaskBits:SetMasks__1 vtkImageMaskBitsSetMasks__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkImageMaskBitsSetMasks__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMasks (unsigned int , unsigned int , unsigned int , unsigned int ); */
  if (arg.size() < 5) 
    throw Exception("Function SetMasks__1 for class vtkImageMaskBits requires 5 argument(s)");
  vtkImageMaskBits* vtk_pointer = GetVTKPointer<vtkImageMaskBits>(arg[0]);
  Array retval;
  unsigned int      temp0;
  unsigned int      temp1;
  unsigned int      temp2;
  unsigned int      temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (unsigned int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (unsigned int) arg[4].asDouble();
  vtk_pointer->SetMasks(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkImageMaskBits:SetMasks__2 vtkImageMaskBitsSetMasks__2Function
//input a0 a1 
//output none
ArrayVector vtkImageMaskBitsSetMasks__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMasks (unsigned int  a[4]); */
  if (arg.size() < 2) 
    throw Exception("Function SetMasks__2 for class vtkImageMaskBits requires 2 argument(s)");
  vtkImageMaskBits* vtk_pointer = GetVTKPointer<vtkImageMaskBits>(arg[0]);
  Array retval;
  unsigned int    temp0[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned int)data[k+1];
  }
  vtk_pointer->SetMasks(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMaskBits:SetMask vtkImageMaskBitsSetMaskFunction
//input a0 a1 
//output none
ArrayVector vtkImageMaskBitsSetMaskFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMask (unsigned int mask);this SetMasks mask mask mask mask  */
  if (arg.size() < 2) 
    throw Exception("Function SetMask for class vtkImageMaskBits requires 2 argument(s)");
  vtkImageMaskBits* vtk_pointer = GetVTKPointer<vtkImageMaskBits>(arg[0]);
  Array retval;
  unsigned int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  vtk_pointer->SetMask(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMaskBits:SetMasks__3 vtkImageMaskBitsSetMasks__3Function
//input a0 a1 a2 
//output none
ArrayVector vtkImageMaskBitsSetMasks__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMasks (unsigned int mask1, unsigned int mask2);this SetMasks mask1 mask2 xffffffff xffffffff  */
  if (arg.size() < 3) 
    throw Exception("Function SetMasks__3 for class vtkImageMaskBits requires 3 argument(s)");
  vtkImageMaskBits* vtk_pointer = GetVTKPointer<vtkImageMaskBits>(arg[0]);
  Array retval;
  unsigned int      temp0;
  unsigned int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned int) arg[2].asDouble();
  vtk_pointer->SetMasks(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageMaskBits:SetMasks__4 vtkImageMaskBitsSetMasks__4Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageMaskBitsSetMasks__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMasks (unsigned int mask1, unsigned int mask2, unsigned int mask3);this SetMasks mask1 mask2 mask3 xffffffff  */
  if (arg.size() < 4) 
    throw Exception("Function SetMasks__4 for class vtkImageMaskBits requires 4 argument(s)");
  vtkImageMaskBits* vtk_pointer = GetVTKPointer<vtkImageMaskBits>(arg[0]);
  Array retval;
  unsigned int      temp0;
  unsigned int      temp1;
  unsigned int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (unsigned int) arg[3].asDouble();
  vtk_pointer->SetMasks(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageMaskBits:GetMasks vtkImageMaskBitsGetMasksFunction
//input a0 
//output y
ArrayVector vtkImageMaskBitsGetMasksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned int  *GetMasks (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMasks for class vtkImageMaskBits requires 1 argument(s)");
  vtkImageMaskBits* vtk_pointer = GetVTKPointer<vtkImageMaskBits>(arg[0]);
  Array retval;
  unsigned int     *temp20;
  temp20 = (vtk_pointer)->GetMasks();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkImageMaskBits:SetOperation vtkImageMaskBitsSetOperationFunction
//input a0 a1 
//output none
ArrayVector vtkImageMaskBitsSetOperationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOperation for class vtkImageMaskBits requires 2 argument(s)");
  vtkImageMaskBits* vtk_pointer = GetVTKPointer<vtkImageMaskBits>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOperation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMaskBits:GetOperation vtkImageMaskBitsGetOperationFunction
//input a0 
//output y
ArrayVector vtkImageMaskBitsGetOperationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOperation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOperation for class vtkImageMaskBits requires 1 argument(s)");
  vtkImageMaskBits* vtk_pointer = GetVTKPointer<vtkImageMaskBits>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOperation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMaskBits:SetOperationToAnd vtkImageMaskBitsSetOperationToAndFunction
//input a0 
//output none
ArrayVector vtkImageMaskBitsSetOperationToAndFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToAnd ();this SetOperation VTK_AND  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToAnd for class vtkImageMaskBits requires 1 argument(s)");
  vtkImageMaskBits* vtk_pointer = GetVTKPointer<vtkImageMaskBits>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToAnd();
  return retval;
}

//@@Signature
//sfunction @vtkImageMaskBits:SetOperationToOr vtkImageMaskBitsSetOperationToOrFunction
//input a0 
//output none
ArrayVector vtkImageMaskBitsSetOperationToOrFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToOr ();this SetOperation VTK_OR  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToOr for class vtkImageMaskBits requires 1 argument(s)");
  vtkImageMaskBits* vtk_pointer = GetVTKPointer<vtkImageMaskBits>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToOr();
  return retval;
}

//@@Signature
//sfunction @vtkImageMaskBits:SetOperationToXor vtkImageMaskBitsSetOperationToXorFunction
//input a0 
//output none
ArrayVector vtkImageMaskBitsSetOperationToXorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToXor ();this SetOperation VTK_XOR  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToXor for class vtkImageMaskBits requires 1 argument(s)");
  vtkImageMaskBits* vtk_pointer = GetVTKPointer<vtkImageMaskBits>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToXor();
  return retval;
}

//@@Signature
//sfunction @vtkImageMaskBits:SetOperationToNand vtkImageMaskBitsSetOperationToNandFunction
//input a0 
//output none
ArrayVector vtkImageMaskBitsSetOperationToNandFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToNand ();this SetOperation VTK_NAND  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToNand for class vtkImageMaskBits requires 1 argument(s)");
  vtkImageMaskBits* vtk_pointer = GetVTKPointer<vtkImageMaskBits>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToNand();
  return retval;
}

//@@Signature
//sfunction @vtkImageMaskBits:SetOperationToNor vtkImageMaskBitsSetOperationToNorFunction
//input a0 
//output none
ArrayVector vtkImageMaskBitsSetOperationToNorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToNor ();this SetOperation VTK_NOR  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToNor for class vtkImageMaskBits requires 1 argument(s)");
  vtkImageMaskBits* vtk_pointer = GetVTKPointer<vtkImageMaskBits>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToNor();
  return retval;
}

//@@Signature
//sfunction @vtkImageMaskBits:SetMasks vtkImageMaskBitsSetMasksFunction
//input varargin
//output varargout
ArrayVector vtkImageMaskBitsSetMasksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkImageMaskBitsSetMasks__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkImageMaskBitsSetMasks__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkImageMaskBitsSetMasks__3Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageMaskBitsSetMasks__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageMaskBitsSetMasks");
}

//@@Signature
//sfunction @vtkImageMaskBits:display vtkImageMaskBitsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageMaskBitsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageMaskBits* vtk_pointer = GetVTKPointer<vtkImageMaskBits>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageMaskBits:delete vtkImageMaskBitsDeleteFunction
//input varargin
//output none
ArrayVector vtkImageMaskBitsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageMaskBits
//@@Section VTKImaging
//@@Usage
// vtkImageMaskBits applies a bit-mask pattern to each component.  The
// bit-mask can be applied using a variety of boolean bitwise operators.
//
//To create an instance of class vtkImageMaskBits, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageMaskBits
//@]
//@@Methods
//The class vtkImageMaskBits has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageMaskBits class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageMaskBits = obj.NewInstance ()|
// \item @|vtkImageMaskBits = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetMasks (int , int , int , int )| -  Set/Get the bit-masks. Default is 0xffffffff.
//// \item @|obj.SetMasks (int  a[4])| -  Set/Get the bit-masks. Default is 0xffffffff.
//// \item @|obj.SetMask (int mask)| -  Set/Get the bit-masks. Default is 0xffffffff.
//// \item @|obj.SetMasks (int mask1, int mask2)| -  Set/Get the bit-masks. Default is 0xffffffff.
//// \item @|obj.SetMasks (int mask1, int mask2, int mask3)| -  Set/Get the bit-masks. Default is 0xffffffff.
//// \item @|int = obj. GetMasks ()| -  Set/Get the bit-masks. Default is 0xffffffff.
//// \item @|obj.SetOperation (int )| -  Set/Get the boolean operator. Default is AND.
//// \item @|int = obj.GetOperation ()| -  Set/Get the boolean operator. Default is AND.
//// \item @|obj.SetOperationToAnd ()| -  Set/Get the boolean operator. Default is AND.
//// \item @|obj.SetOperationToOr ()| -  Set/Get the boolean operator. Default is AND.
//// \item @|obj.SetOperationToXor ()| -  Set/Get the boolean operator. Default is AND.
//// \item @|obj.SetOperationToNand ()| -  Set/Get the boolean operator. Default is AND.
//// \item @|obj.SetOperationToNor ()| -  Set/Get the boolean operator. Default is AND.
////\end{itemize}
//!
