#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageMathematics object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageMathematics.h"

//@@Signature
//sfunction @vtkImageMathematics:vtkImageMathematics vtkImageMathematicsConstructorFunction
//input a
//output p
//@@Parents vtkImageMathematics vtkThreadedImageAlgorithm 
ArrayVector vtkImageMathematicsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageMathematics::New(),"vtkImageMathematics",eval);
  } else if (arg[0].className() == "vtkImageMathematics") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageMathematics"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageMathematics");
    vtkImageMathematics*q = reinterpret_cast<vtkImageMathematics*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageMathematics");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageMathematics:GetClassName vtkImageMathematicsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageMathematicsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageMathematics requires 1 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:IsA vtkImageMathematicsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageMathematicsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageMathematics requires 2 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:NewInstance vtkImageMathematicsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageMathematicsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageMathematics *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageMathematics requires 1 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  vtkImageMathematics  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageMathematics",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:SafeDownCast vtkImageMathematicsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageMathematicsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageMathematics *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageMathematics requires 2 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageMathematics  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageMathematics",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:SetOperation vtkImageMathematicsSetOperationFunction
//input a0 a1 
//output none
ArrayVector vtkImageMathematicsSetOperationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOperation for class vtkImageMathematics requires 2 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOperation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:GetOperation vtkImageMathematicsGetOperationFunction
//input a0 
//output y
ArrayVector vtkImageMathematicsGetOperationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOperation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOperation for class vtkImageMathematics requires 1 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOperation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:SetOperationToAdd vtkImageMathematicsSetOperationToAddFunction
//input a0 
//output none
ArrayVector vtkImageMathematicsSetOperationToAddFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToAdd ();this SetOperation VTK_ADD  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToAdd for class vtkImageMathematics requires 1 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToAdd();
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:SetOperationToSubtract vtkImageMathematicsSetOperationToSubtractFunction
//input a0 
//output none
ArrayVector vtkImageMathematicsSetOperationToSubtractFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToSubtract ();this SetOperation VTK_SUBTRACT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToSubtract for class vtkImageMathematics requires 1 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToSubtract();
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:SetOperationToMultiply vtkImageMathematicsSetOperationToMultiplyFunction
//input a0 
//output none
ArrayVector vtkImageMathematicsSetOperationToMultiplyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToMultiply ();this SetOperation VTK_MULTIPLY  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToMultiply for class vtkImageMathematics requires 1 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToMultiply();
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:SetOperationToDivide vtkImageMathematicsSetOperationToDivideFunction
//input a0 
//output none
ArrayVector vtkImageMathematicsSetOperationToDivideFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToDivide ();this SetOperation VTK_DIVIDE  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToDivide for class vtkImageMathematics requires 1 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToDivide();
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:SetOperationToConjugate vtkImageMathematicsSetOperationToConjugateFunction
//input a0 
//output none
ArrayVector vtkImageMathematicsSetOperationToConjugateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToConjugate ();this SetOperation VTK_CONJUGATE  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToConjugate for class vtkImageMathematics requires 1 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToConjugate();
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:SetOperationToComplexMultiply vtkImageMathematicsSetOperationToComplexMultiplyFunction
//input a0 
//output none
ArrayVector vtkImageMathematicsSetOperationToComplexMultiplyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToComplexMultiply ();this SetOperation VTK_COMPLEX_MULTIPLY  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToComplexMultiply for class vtkImageMathematics requires 1 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToComplexMultiply();
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:SetOperationToInvert vtkImageMathematicsSetOperationToInvertFunction
//input a0 
//output none
ArrayVector vtkImageMathematicsSetOperationToInvertFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToInvert ();this SetOperation VTK_INVERT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToInvert for class vtkImageMathematics requires 1 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToInvert();
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:SetOperationToSin vtkImageMathematicsSetOperationToSinFunction
//input a0 
//output none
ArrayVector vtkImageMathematicsSetOperationToSinFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToSin ();this SetOperation VTK_SIN  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToSin for class vtkImageMathematics requires 1 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToSin();
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:SetOperationToCos vtkImageMathematicsSetOperationToCosFunction
//input a0 
//output none
ArrayVector vtkImageMathematicsSetOperationToCosFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToCos ();this SetOperation VTK_COS  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToCos for class vtkImageMathematics requires 1 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToCos();
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:SetOperationToExp vtkImageMathematicsSetOperationToExpFunction
//input a0 
//output none
ArrayVector vtkImageMathematicsSetOperationToExpFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToExp ();this SetOperation VTK_EXP  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToExp for class vtkImageMathematics requires 1 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToExp();
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:SetOperationToLog vtkImageMathematicsSetOperationToLogFunction
//input a0 
//output none
ArrayVector vtkImageMathematicsSetOperationToLogFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToLog ();this SetOperation VTK_LOG  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToLog for class vtkImageMathematics requires 1 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToLog();
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:SetOperationToAbsoluteValue vtkImageMathematicsSetOperationToAbsoluteValueFunction
//input a0 
//output none
ArrayVector vtkImageMathematicsSetOperationToAbsoluteValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToAbsoluteValue ();this SetOperation VTK_ABS  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToAbsoluteValue for class vtkImageMathematics requires 1 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToAbsoluteValue();
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:SetOperationToSquare vtkImageMathematicsSetOperationToSquareFunction
//input a0 
//output none
ArrayVector vtkImageMathematicsSetOperationToSquareFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToSquare ();this SetOperation VTK_SQR  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToSquare for class vtkImageMathematics requires 1 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToSquare();
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:SetOperationToSquareRoot vtkImageMathematicsSetOperationToSquareRootFunction
//input a0 
//output none
ArrayVector vtkImageMathematicsSetOperationToSquareRootFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToSquareRoot ();this SetOperation VTK_SQRT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToSquareRoot for class vtkImageMathematics requires 1 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToSquareRoot();
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:SetOperationToMin vtkImageMathematicsSetOperationToMinFunction
//input a0 
//output none
ArrayVector vtkImageMathematicsSetOperationToMinFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToMin ();this SetOperation VTK_MIN  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToMin for class vtkImageMathematics requires 1 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToMin();
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:SetOperationToMax vtkImageMathematicsSetOperationToMaxFunction
//input a0 
//output none
ArrayVector vtkImageMathematicsSetOperationToMaxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToMax ();this SetOperation VTK_MAX  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToMax for class vtkImageMathematics requires 1 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToMax();
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:SetOperationToATAN vtkImageMathematicsSetOperationToATANFunction
//input a0 
//output none
ArrayVector vtkImageMathematicsSetOperationToATANFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToATAN ();this SetOperation VTK_ATAN  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToATAN for class vtkImageMathematics requires 1 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToATAN();
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:SetOperationToATAN2 vtkImageMathematicsSetOperationToATAN2Function
//input a0 
//output none
ArrayVector vtkImageMathematicsSetOperationToATAN2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToATAN2 ();this SetOperation VTK_ATAN2  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToATAN2 for class vtkImageMathematics requires 1 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToATAN2();
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:SetOperationToMultiplyByK vtkImageMathematicsSetOperationToMultiplyByKFunction
//input a0 
//output none
ArrayVector vtkImageMathematicsSetOperationToMultiplyByKFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToMultiplyByK ();this SetOperation VTK_MULTIPLYBYK  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToMultiplyByK for class vtkImageMathematics requires 1 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToMultiplyByK();
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:SetOperationToAddConstant vtkImageMathematicsSetOperationToAddConstantFunction
//input a0 
//output none
ArrayVector vtkImageMathematicsSetOperationToAddConstantFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToAddConstant ();this SetOperation VTK_ADDC  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToAddConstant for class vtkImageMathematics requires 1 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToAddConstant();
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:SetOperationToReplaceCByK vtkImageMathematicsSetOperationToReplaceCByKFunction
//input a0 
//output none
ArrayVector vtkImageMathematicsSetOperationToReplaceCByKFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOperationToReplaceCByK ();this SetOperation VTK_REPLACECBYK  */
  if (arg.size() < 1) 
    throw Exception("Function SetOperationToReplaceCByK for class vtkImageMathematics requires 1 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  vtk_pointer->SetOperationToReplaceCByK();
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:SetConstantK vtkImageMathematicsSetConstantKFunction
//input a0 a1 
//output none
ArrayVector vtkImageMathematicsSetConstantKFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetConstantK (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetConstantK for class vtkImageMathematics requires 2 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetConstantK(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:GetConstantK vtkImageMathematicsGetConstantKFunction
//input a0 
//output y
ArrayVector vtkImageMathematicsGetConstantKFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetConstantK (); */
  if (arg.size() < 1) 
    throw Exception("Function GetConstantK for class vtkImageMathematics requires 1 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetConstantK();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:SetConstantC vtkImageMathematicsSetConstantCFunction
//input a0 a1 
//output none
ArrayVector vtkImageMathematicsSetConstantCFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetConstantC (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetConstantC for class vtkImageMathematics requires 2 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetConstantC(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:GetConstantC vtkImageMathematicsGetConstantCFunction
//input a0 
//output y
ArrayVector vtkImageMathematicsGetConstantCFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetConstantC (); */
  if (arg.size() < 1) 
    throw Exception("Function GetConstantC for class vtkImageMathematics requires 1 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetConstantC();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:SetDivideByZeroToC vtkImageMathematicsSetDivideByZeroToCFunction
//input a0 a1 
//output none
ArrayVector vtkImageMathematicsSetDivideByZeroToCFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDivideByZeroToC (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDivideByZeroToC for class vtkImageMathematics requires 2 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDivideByZeroToC(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:GetDivideByZeroToC vtkImageMathematicsGetDivideByZeroToCFunction
//input a0 
//output y
ArrayVector vtkImageMathematicsGetDivideByZeroToCFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDivideByZeroToC (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDivideByZeroToC for class vtkImageMathematics requires 1 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDivideByZeroToC();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:DivideByZeroToCOn vtkImageMathematicsDivideByZeroToCOnFunction
//input a0 
//output none
ArrayVector vtkImageMathematicsDivideByZeroToCOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DivideByZeroToCOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DivideByZeroToCOn for class vtkImageMathematics requires 1 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  vtk_pointer->DivideByZeroToCOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:DivideByZeroToCOff vtkImageMathematicsDivideByZeroToCOffFunction
//input a0 
//output none
ArrayVector vtkImageMathematicsDivideByZeroToCOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DivideByZeroToCOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DivideByZeroToCOff for class vtkImageMathematics requires 1 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  vtk_pointer->DivideByZeroToCOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:SetInput1 vtkImageMathematicsSetInput1Function
//input a0 a1 
//output none
ArrayVector vtkImageMathematicsSetInput1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput1 (vtkDataObject *in);this SetInput in  */
  if (arg.size() < 2) 
    throw Exception("Function SetInput1 for class vtkImageMathematics requires 2 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput1(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:SetInput2 vtkImageMathematicsSetInput2Function
//input a0 a1 
//output none
ArrayVector vtkImageMathematicsSetInput2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput2 (vtkDataObject *in);this SetInput in  */
  if (arg.size() < 2) 
    throw Exception("Function SetInput2 for class vtkImageMathematics requires 2 argument(s)");
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput2(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageMathematics:display vtkImageMathematicsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageMathematicsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageMathematics* vtk_pointer = GetVTKPointer<vtkImageMathematics>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageMathematics:delete vtkImageMathematicsDeleteFunction
//input varargin
//output none
ArrayVector vtkImageMathematicsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageMathematics
//@@Section VTKImaging
//@@Usage
// vtkImageMathematics implements basic mathematic operations SetOperation is
// used to select the filters behavior.  The filter can take two or one
// input.
//
//To create an instance of class vtkImageMathematics, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageMathematics
//@]
//@@Methods
//The class vtkImageMathematics has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageMathematics class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageMathematics = obj.NewInstance ()|
// \item @|vtkImageMathematics = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetOperation (int )| -  Set/Get the Operation to perform.
//// \item @|int = obj.GetOperation ()| -  Set/Get the Operation to perform.
//// \item @|obj.SetOperationToAdd ()| -  Set each pixel in the output image to the sum of the corresponding pixels
// in Input1 and Input2.
//// \item @|obj.SetOperationToSubtract ()| -  Set each pixel in the output image to the difference of the corresponding pixels
// in Input1 and Input2 (output = Input1 - Input2).
//// \item @|obj.SetOperationToMultiply ()| -  Set each pixel in the output image to the product of the corresponding pixels
// in Input1 and Input2.
//// \item @|obj.SetOperationToDivide ()| -  Set each pixel in the output image to the quotient of the corresponding pixels
// in Input1 and Input2 (Output = Input1 / Input2).
//// \item @|obj.SetOperationToConjugate ()|
// \item @|obj.SetOperationToComplexMultiply ()|
// \item @|obj.SetOperationToInvert ()| -  Set each pixel in the output image to 1 over the corresponding pixel
// in Input1 and Input2 (output = 1 / Input1). Input2 is not used.
//// \item @|obj.SetOperationToSin ()| -  Set each pixel in the output image to the sine of the corresponding pixel
// in Input1. Input2 is not used.
//// \item @|obj.SetOperationToCos ()| -  Set each pixel in the output image to the cosine of the corresponding pixel
// in Input1. Input2 is not used.
//// \item @|obj.SetOperationToExp ()| -  Set each pixel in the output image to the exponential of the corresponding pixel
// in Input1. Input2 is not used.
//// \item @|obj.SetOperationToLog ()| -  Set each pixel in the output image to the log of the corresponding pixel
// in Input1. Input2 is not used.
//// \item @|obj.SetOperationToAbsoluteValue ()| -  Set each pixel in the output image to the absolute value of the corresponding pixel
// in Input1. Input2 is not used.
//// \item @|obj.SetOperationToSquare ()| -  Set each pixel in the output image to the square of the corresponding pixel
// in Input1. Input2 is not used.
//// \item @|obj.SetOperationToSquareRoot ()| -  Set each pixel in the output image to the square root of the corresponding pixel
// in Input1. Input2 is not used.
//// \item @|obj.SetOperationToMin ()| -  Set each pixel in the output image to the minimum of the corresponding pixels
// in Input1 and Input2. (Output = min(Input1, Input2))
//// \item @|obj.SetOperationToMax ()| -  Set each pixel in the output image to the maximum of the corresponding pixels
// in Input1 and Input2. (Output = max(Input1, Input2))
//// \item @|obj.SetOperationToATAN ()| -  Set each pixel in the output image to the arctangent of the corresponding pixel
// in Input1. Input2 is not used.
//// \item @|obj.SetOperationToATAN2 ()|
// \item @|obj.SetOperationToMultiplyByK ()| -  Set each pixel in the output image to the product of ConstantK with the
// corresponding pixel in Input1. Input2 is not used.
//// \item @|obj.SetOperationToAddConstant ()| -  Set each pixel in the output image to the product of ConstantC with the
// corresponding pixel in Input1. Input2 is not used.
//// \item @|obj.SetOperationToReplaceCByK ()| -  Find every pixel in Input1 that equals ConstantC and set the corresponding pixels
// in the Output to ConstantK. Input2 is not used.
//// \item @|obj.SetConstantK (double )| -  A constant used by some operations (typically multiplicative). Default is 1.
//// \item @|double = obj.GetConstantK ()| -  A constant used by some operations (typically multiplicative). Default is 1.
//// \item @|obj.SetConstantC (double )| -  A constant used by some operations (typically additive). Default is 0.
//// \item @|double = obj.GetConstantC ()| -  A constant used by some operations (typically additive). Default is 0.
//// \item @|obj.SetDivideByZeroToC (int )| -  How to handle divide by zero. Default is 0.
//// \item @|int = obj.GetDivideByZeroToC ()| -  How to handle divide by zero. Default is 0.
//// \item @|obj.DivideByZeroToCOn ()| -  How to handle divide by zero. Default is 0.
//// \item @|obj.DivideByZeroToCOff ()| -  How to handle divide by zero. Default is 0.
//// \item @|obj.SetInput1 (vtkDataObject in)| -  Set the two inputs to this filter. For some operations, the second input
// is not used.
//// \item @|obj.SetInput2 (vtkDataObject in)|
//\end{itemize}
//!
