#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageMedian3D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageMedian3D.h"

//@@Signature
//sfunction @vtkImageMedian3D:vtkImageMedian3D vtkImageMedian3DConstructorFunction
//input a
//output p
//@@Parents vtkImageMedian3D vtkImageSpatialAlgorithm 
ArrayVector vtkImageMedian3DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageMedian3D::New(),"vtkImageMedian3D",eval);
  } else if (arg[0].className() == "vtkImageMedian3D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageMedian3D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageMedian3D");
    vtkImageMedian3D*q = reinterpret_cast<vtkImageMedian3D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageMedian3D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageMedian3D:GetClassName vtkImageMedian3DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageMedian3DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageMedian3D requires 1 argument(s)");
  vtkImageMedian3D* vtk_pointer = GetVTKPointer<vtkImageMedian3D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMedian3D:IsA vtkImageMedian3DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageMedian3DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageMedian3D requires 2 argument(s)");
  vtkImageMedian3D* vtk_pointer = GetVTKPointer<vtkImageMedian3D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMedian3D:NewInstance vtkImageMedian3DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageMedian3DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageMedian3D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageMedian3D requires 1 argument(s)");
  vtkImageMedian3D* vtk_pointer = GetVTKPointer<vtkImageMedian3D>(arg[0]);
  Array retval;
  vtkImageMedian3D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageMedian3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageMedian3D:SafeDownCast vtkImageMedian3DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageMedian3DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageMedian3D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageMedian3D requires 2 argument(s)");
  vtkImageMedian3D* vtk_pointer = GetVTKPointer<vtkImageMedian3D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageMedian3D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageMedian3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageMedian3D:SetKernelSize vtkImageMedian3DSetKernelSizeFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageMedian3DSetKernelSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKernelSize (int size0, int size1, int size2); */
  if (arg.size() < 4) 
    throw Exception("Function SetKernelSize for class vtkImageMedian3D requires 4 argument(s)");
  vtkImageMedian3D* vtk_pointer = GetVTKPointer<vtkImageMedian3D>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetKernelSize(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageMedian3D:GetNumberOfElements vtkImageMedian3DGetNumberOfElementsFunction
//input a0 
//output y
ArrayVector vtkImageMedian3DGetNumberOfElementsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfElements (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfElements for class vtkImageMedian3D requires 1 argument(s)");
  vtkImageMedian3D* vtk_pointer = GetVTKPointer<vtkImageMedian3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfElements();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMedian3D:display vtkImageMedian3DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageMedian3DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageMedian3D* vtk_pointer = GetVTKPointer<vtkImageMedian3D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageMedian3D:delete vtkImageMedian3DDeleteFunction
//input varargin
//output none
ArrayVector vtkImageMedian3DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageMedian3D
//@@Section VTKImaging
//@@Usage
// vtkImageMedian3D a Median filter that replaces each pixel with the 
// median value from a rectangular neighborhood around that pixel.
// Neighborhoods can be no more than 3 dimensional.  Setting one
// axis of the neighborhood kernelSize to 1 changes the filter
// into a 2D median.  
//
//To create an instance of class vtkImageMedian3D, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageMedian3D
//@]
//@@Methods
//The class vtkImageMedian3D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageMedian3D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageMedian3D = obj.NewInstance ()|
// \item @|vtkImageMedian3D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetKernelSize (int size0, int size1, int size2)| -  This method sets the size of the neighborhood.  It also sets the 
// default middle of the neighborhood 
//// \item @|int = obj.GetNumberOfElements ()| -  Return the number of elements in the median mask
////\end{itemize}
//!
