#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageMirrorPad object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageMirrorPad.h"

//@@Signature
//sfunction @vtkImageMirrorPad:vtkImageMirrorPad vtkImageMirrorPadConstructorFunction
//input a
//output p
//@@Parents vtkImageMirrorPad vtkImagePadFilter 
ArrayVector vtkImageMirrorPadConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageMirrorPad::New(),"vtkImageMirrorPad",eval);
  } else if (arg[0].className() == "vtkImageMirrorPad") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageMirrorPad"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageMirrorPad");
    vtkImageMirrorPad*q = reinterpret_cast<vtkImageMirrorPad*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageMirrorPad");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageMirrorPad:GetClassName vtkImageMirrorPadGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageMirrorPadGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageMirrorPad requires 1 argument(s)");
  vtkImageMirrorPad* vtk_pointer = GetVTKPointer<vtkImageMirrorPad>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMirrorPad:IsA vtkImageMirrorPadIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageMirrorPadIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageMirrorPad requires 2 argument(s)");
  vtkImageMirrorPad* vtk_pointer = GetVTKPointer<vtkImageMirrorPad>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageMirrorPad:NewInstance vtkImageMirrorPadNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageMirrorPadNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageMirrorPad *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageMirrorPad requires 1 argument(s)");
  vtkImageMirrorPad* vtk_pointer = GetVTKPointer<vtkImageMirrorPad>(arg[0]);
  Array retval;
  vtkImageMirrorPad  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageMirrorPad",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageMirrorPad:SafeDownCast vtkImageMirrorPadSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageMirrorPadSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageMirrorPad *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageMirrorPad requires 2 argument(s)");
  vtkImageMirrorPad* vtk_pointer = GetVTKPointer<vtkImageMirrorPad>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageMirrorPad  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageMirrorPad",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageMirrorPad:display vtkImageMirrorPadDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageMirrorPadDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageMirrorPad* vtk_pointer = GetVTKPointer<vtkImageMirrorPad>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageMirrorPad:delete vtkImageMirrorPadDeleteFunction
//input varargin
//output none
ArrayVector vtkImageMirrorPadDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageMirrorPad
//@@Section VTKImaging
//@@Usage
// vtkImageMirrorPad makes an image larger by filling extra pixels with
// a mirror image of the original image (mirror at image boundaries).  
//
//To create an instance of class vtkImageMirrorPad, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageMirrorPad
//@]
//@@Methods
//The class vtkImageMirrorPad has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageMirrorPad class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageMirrorPad = obj.NewInstance ()|
// \item @|vtkImageMirrorPad = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
