#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageNoiseSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageNoiseSource.h"

//@@Signature
//sfunction @vtkImageNoiseSource:vtkImageNoiseSource vtkImageNoiseSourceConstructorFunction
//input a
//output p
//@@Parents vtkImageNoiseSource vtkImageAlgorithm 
ArrayVector vtkImageNoiseSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageNoiseSource::New(),"vtkImageNoiseSource",eval);
  } else if (arg[0].className() == "vtkImageNoiseSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageNoiseSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageNoiseSource");
    vtkImageNoiseSource*q = reinterpret_cast<vtkImageNoiseSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageNoiseSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageNoiseSource:GetClassName vtkImageNoiseSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageNoiseSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageNoiseSource requires 1 argument(s)");
  vtkImageNoiseSource* vtk_pointer = GetVTKPointer<vtkImageNoiseSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageNoiseSource:IsA vtkImageNoiseSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageNoiseSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageNoiseSource requires 2 argument(s)");
  vtkImageNoiseSource* vtk_pointer = GetVTKPointer<vtkImageNoiseSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageNoiseSource:NewInstance vtkImageNoiseSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageNoiseSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageNoiseSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageNoiseSource requires 1 argument(s)");
  vtkImageNoiseSource* vtk_pointer = GetVTKPointer<vtkImageNoiseSource>(arg[0]);
  Array retval;
  vtkImageNoiseSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageNoiseSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageNoiseSource:SafeDownCast vtkImageNoiseSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageNoiseSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageNoiseSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageNoiseSource requires 2 argument(s)");
  vtkImageNoiseSource* vtk_pointer = GetVTKPointer<vtkImageNoiseSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageNoiseSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageNoiseSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageNoiseSource:SetMinimum vtkImageNoiseSourceSetMinimumFunction
//input a0 a1 
//output none
ArrayVector vtkImageNoiseSourceSetMinimumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimum (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinimum for class vtkImageNoiseSource requires 2 argument(s)");
  vtkImageNoiseSource* vtk_pointer = GetVTKPointer<vtkImageNoiseSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMinimum(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageNoiseSource:GetMinimum vtkImageNoiseSourceGetMinimumFunction
//input a0 
//output y
ArrayVector vtkImageNoiseSourceGetMinimumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinimum (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimum for class vtkImageNoiseSource requires 1 argument(s)");
  vtkImageNoiseSource* vtk_pointer = GetVTKPointer<vtkImageNoiseSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinimum();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageNoiseSource:SetMaximum vtkImageNoiseSourceSetMaximumFunction
//input a0 a1 
//output none
ArrayVector vtkImageNoiseSourceSetMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximum (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximum for class vtkImageNoiseSource requires 2 argument(s)");
  vtkImageNoiseSource* vtk_pointer = GetVTKPointer<vtkImageNoiseSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximum(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageNoiseSource:GetMaximum vtkImageNoiseSourceGetMaximumFunction
//input a0 
//output y
ArrayVector vtkImageNoiseSourceGetMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximum (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximum for class vtkImageNoiseSource requires 1 argument(s)");
  vtkImageNoiseSource* vtk_pointer = GetVTKPointer<vtkImageNoiseSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximum();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageNoiseSource:SetWholeExtent__1 vtkImageNoiseSourceSetWholeExtent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkImageNoiseSourceSetWholeExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWholeExtent (int xMinx, int xMax, int yMin, int yMax, int zMin, int zMax); */
  if (arg.size() < 7) 
    throw Exception("Function SetWholeExtent__1 for class vtkImageNoiseSource requires 7 argument(s)");
  vtkImageNoiseSource* vtk_pointer = GetVTKPointer<vtkImageNoiseSource>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkImageNoiseSource:SetWholeExtent__2 vtkImageNoiseSourceSetWholeExtent__2Function
//input a0 a1 
//output none
ArrayVector vtkImageNoiseSourceSetWholeExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWholeExtent (const int ext[6]);this SetWholeExtent ext ext ext ext ext ext  */
  if (arg.size() < 2) 
    throw Exception("Function SetWholeExtent__2 for class vtkImageNoiseSource requires 2 argument(s)");
  vtkImageNoiseSource* vtk_pointer = GetVTKPointer<vtkImageNoiseSource>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetWholeExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageNoiseSource:SetWholeExtent vtkImageNoiseSourceSetWholeExtentFunction
//input varargin
//output varargout
ArrayVector vtkImageNoiseSourceSetWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkImageNoiseSourceSetWholeExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageNoiseSourceSetWholeExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageNoiseSourceSetWholeExtent");
}

//@@Signature
//sfunction @vtkImageNoiseSource:display vtkImageNoiseSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageNoiseSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageNoiseSource* vtk_pointer = GetVTKPointer<vtkImageNoiseSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageNoiseSource:delete vtkImageNoiseSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkImageNoiseSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageNoiseSource
//@@Section VTKImaging
//@@Usage
// vtkImageNoiseSource just produces images filled with noise.  The only
// option now is uniform noise specified by a min and a max.  There is one
// major problem with this source. Every time it executes, it will output
// different pixel values.  This has important implications when a stream
// requests overlapping regions.  The same pixels will have different values
// on different updates.
//
//To create an instance of class vtkImageNoiseSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageNoiseSource
//@]
//@@Methods
//The class vtkImageNoiseSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageNoiseSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageNoiseSource = obj.NewInstance ()|
// \item @|vtkImageNoiseSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetMinimum (double )| -  Set/Get the minimum and maximum values for the generated noise.
//// \item @|double = obj.GetMinimum ()| -  Set/Get the minimum and maximum values for the generated noise.
//// \item @|obj.SetMaximum (double )| -  Set/Get the minimum and maximum values for the generated noise.
//// \item @|double = obj.GetMaximum ()| -  Set/Get the minimum and maximum values for the generated noise.
//// \item @|obj.SetWholeExtent (int xMinx, int xMax, int yMin, int yMax, int zMin, int zMax)| -  Set how large of an image to generate.
//// \item @|obj.SetWholeExtent (int ext[6])|
//\end{itemize}
//!
