#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageNonMaximumSuppression object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageNonMaximumSuppression.h"

//@@Signature
//sfunction @vtkImageNonMaximumSuppression:vtkImageNonMaximumSuppression vtkImageNonMaximumSuppressionConstructorFunction
//input a
//output p
//@@Parents vtkImageNonMaximumSuppression vtkThreadedImageAlgorithm 
ArrayVector vtkImageNonMaximumSuppressionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageNonMaximumSuppression::New(),"vtkImageNonMaximumSuppression",eval);
  } else if (arg[0].className() == "vtkImageNonMaximumSuppression") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageNonMaximumSuppression"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageNonMaximumSuppression");
    vtkImageNonMaximumSuppression*q = reinterpret_cast<vtkImageNonMaximumSuppression*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageNonMaximumSuppression");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageNonMaximumSuppression:GetClassName vtkImageNonMaximumSuppressionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageNonMaximumSuppressionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageNonMaximumSuppression requires 1 argument(s)");
  vtkImageNonMaximumSuppression* vtk_pointer = GetVTKPointer<vtkImageNonMaximumSuppression>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageNonMaximumSuppression:IsA vtkImageNonMaximumSuppressionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageNonMaximumSuppressionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageNonMaximumSuppression requires 2 argument(s)");
  vtkImageNonMaximumSuppression* vtk_pointer = GetVTKPointer<vtkImageNonMaximumSuppression>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageNonMaximumSuppression:NewInstance vtkImageNonMaximumSuppressionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageNonMaximumSuppressionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageNonMaximumSuppression *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageNonMaximumSuppression requires 1 argument(s)");
  vtkImageNonMaximumSuppression* vtk_pointer = GetVTKPointer<vtkImageNonMaximumSuppression>(arg[0]);
  Array retval;
  vtkImageNonMaximumSuppression  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageNonMaximumSuppression",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageNonMaximumSuppression:SafeDownCast vtkImageNonMaximumSuppressionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageNonMaximumSuppressionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageNonMaximumSuppression *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageNonMaximumSuppression requires 2 argument(s)");
  vtkImageNonMaximumSuppression* vtk_pointer = GetVTKPointer<vtkImageNonMaximumSuppression>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageNonMaximumSuppression  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageNonMaximumSuppression",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageNonMaximumSuppression:SetMagnitudeInput vtkImageNonMaximumSuppressionSetMagnitudeInputFunction
//input a0 a1 
//output none
ArrayVector vtkImageNonMaximumSuppressionSetMagnitudeInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMagnitudeInput (vtkImageData *input);this SetInput input  */
  if (arg.size() < 2) 
    throw Exception("Function SetMagnitudeInput for class vtkImageNonMaximumSuppression requires 2 argument(s)");
  vtkImageNonMaximumSuppression* vtk_pointer = GetVTKPointer<vtkImageNonMaximumSuppression>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetMagnitudeInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageNonMaximumSuppression:SetVectorInput vtkImageNonMaximumSuppressionSetVectorInputFunction
//input a0 a1 
//output none
ArrayVector vtkImageNonMaximumSuppressionSetVectorInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorInput (vtkImageData *input);this SetInput input  */
  if (arg.size() < 2) 
    throw Exception("Function SetVectorInput for class vtkImageNonMaximumSuppression requires 2 argument(s)");
  vtkImageNonMaximumSuppression* vtk_pointer = GetVTKPointer<vtkImageNonMaximumSuppression>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetVectorInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageNonMaximumSuppression:SetHandleBoundaries vtkImageNonMaximumSuppressionSetHandleBoundariesFunction
//input a0 a1 
//output none
ArrayVector vtkImageNonMaximumSuppressionSetHandleBoundariesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHandleBoundaries (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHandleBoundaries for class vtkImageNonMaximumSuppression requires 2 argument(s)");
  vtkImageNonMaximumSuppression* vtk_pointer = GetVTKPointer<vtkImageNonMaximumSuppression>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetHandleBoundaries(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageNonMaximumSuppression:GetHandleBoundaries vtkImageNonMaximumSuppressionGetHandleBoundariesFunction
//input a0 
//output y
ArrayVector vtkImageNonMaximumSuppressionGetHandleBoundariesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetHandleBoundaries (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHandleBoundaries for class vtkImageNonMaximumSuppression requires 1 argument(s)");
  vtkImageNonMaximumSuppression* vtk_pointer = GetVTKPointer<vtkImageNonMaximumSuppression>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetHandleBoundaries();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageNonMaximumSuppression:HandleBoundariesOn vtkImageNonMaximumSuppressionHandleBoundariesOnFunction
//input a0 
//output none
ArrayVector vtkImageNonMaximumSuppressionHandleBoundariesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HandleBoundariesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function HandleBoundariesOn for class vtkImageNonMaximumSuppression requires 1 argument(s)");
  vtkImageNonMaximumSuppression* vtk_pointer = GetVTKPointer<vtkImageNonMaximumSuppression>(arg[0]);
  Array retval;
  vtk_pointer->HandleBoundariesOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageNonMaximumSuppression:HandleBoundariesOff vtkImageNonMaximumSuppressionHandleBoundariesOffFunction
//input a0 
//output none
ArrayVector vtkImageNonMaximumSuppressionHandleBoundariesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HandleBoundariesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function HandleBoundariesOff for class vtkImageNonMaximumSuppression requires 1 argument(s)");
  vtkImageNonMaximumSuppression* vtk_pointer = GetVTKPointer<vtkImageNonMaximumSuppression>(arg[0]);
  Array retval;
  vtk_pointer->HandleBoundariesOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageNonMaximumSuppression:SetDimensionality vtkImageNonMaximumSuppressionSetDimensionalityFunction
//input a0 a1 
//output none
ArrayVector vtkImageNonMaximumSuppressionSetDimensionalityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDimensionality (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDimensionality for class vtkImageNonMaximumSuppression requires 2 argument(s)");
  vtkImageNonMaximumSuppression* vtk_pointer = GetVTKPointer<vtkImageNonMaximumSuppression>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDimensionality(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageNonMaximumSuppression:GetDimensionalityMinValue vtkImageNonMaximumSuppressionGetDimensionalityMinValueFunction
//input a0 
//output y
ArrayVector vtkImageNonMaximumSuppressionGetDimensionalityMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDimensionalityMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensionalityMinValue for class vtkImageNonMaximumSuppression requires 1 argument(s)");
  vtkImageNonMaximumSuppression* vtk_pointer = GetVTKPointer<vtkImageNonMaximumSuppression>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimensionalityMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageNonMaximumSuppression:GetDimensionalityMaxValue vtkImageNonMaximumSuppressionGetDimensionalityMaxValueFunction
//input a0 
//output y
ArrayVector vtkImageNonMaximumSuppressionGetDimensionalityMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDimensionalityMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensionalityMaxValue for class vtkImageNonMaximumSuppression requires 1 argument(s)");
  vtkImageNonMaximumSuppression* vtk_pointer = GetVTKPointer<vtkImageNonMaximumSuppression>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimensionalityMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageNonMaximumSuppression:GetDimensionality vtkImageNonMaximumSuppressionGetDimensionalityFunction
//input a0 
//output y
ArrayVector vtkImageNonMaximumSuppressionGetDimensionalityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDimensionality (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensionality for class vtkImageNonMaximumSuppression requires 1 argument(s)");
  vtkImageNonMaximumSuppression* vtk_pointer = GetVTKPointer<vtkImageNonMaximumSuppression>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimensionality();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageNonMaximumSuppression:display vtkImageNonMaximumSuppressionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageNonMaximumSuppressionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageNonMaximumSuppression* vtk_pointer = GetVTKPointer<vtkImageNonMaximumSuppression>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageNonMaximumSuppression:delete vtkImageNonMaximumSuppressionDeleteFunction
//input varargin
//output none
ArrayVector vtkImageNonMaximumSuppressionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageNonMaximumSuppression
//@@Section VTKImaging
//@@Usage
// vtkImageNonMaximumSuppression Sets to zero any pixel that is not a peak.
// If a pixel has a neighbor along the vector that has larger magnitude, the
// smaller pixel is set to zero.  The filter takes two inputs: a magnitude
// and a vector.  Output is magnitude information and is always in doubles.
// Typically this filter is used with vtkImageGradient and
// vtkImageGradientMagnitude as inputs.
//
//To create an instance of class vtkImageNonMaximumSuppression, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageNonMaximumSuppression
//@]
//@@Methods
//The class vtkImageNonMaximumSuppression has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageNonMaximumSuppression class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageNonMaximumSuppression = obj.NewInstance ()|
// \item @|vtkImageNonMaximumSuppression = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetMagnitudeInput (vtkImageData input)| -  Set the magnitude and vector inputs.
//// \item @|obj.SetVectorInput (vtkImageData input)| -  Set the magnitude and vector inputs.
//// \item @|obj.SetHandleBoundaries (int )| -  If "HandleBoundariesOn" then boundary pixels are duplicated
// So central differences can get values.
//// \item @|int = obj.GetHandleBoundaries ()| -  If "HandleBoundariesOn" then boundary pixels are duplicated
// So central differences can get values.
//// \item @|obj.HandleBoundariesOn ()| -  If "HandleBoundariesOn" then boundary pixels are duplicated
// So central differences can get values.
//// \item @|obj.HandleBoundariesOff ()| -  If "HandleBoundariesOn" then boundary pixels are duplicated
// So central differences can get values.
//// \item @|obj.SetDimensionality (int )| -  Determines how the input is interpreted (set of 2d slices or a 3D volume)
//// \item @|int = obj.GetDimensionalityMinValue ()| -  Determines how the input is interpreted (set of 2d slices or a 3D volume)
//// \item @|int = obj.GetDimensionalityMaxValue ()| -  Determines how the input is interpreted (set of 2d slices or a 3D volume)
//// \item @|int = obj.GetDimensionality ()| -  Determines how the input is interpreted (set of 2d slices or a 3D volume)
////\end{itemize}
//!
