#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageNormalize object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageNormalize.h"

//@@Signature
//sfunction @vtkImageNormalize:vtkImageNormalize vtkImageNormalizeConstructorFunction
//input a
//output p
//@@Parents vtkImageNormalize vtkThreadedImageAlgorithm 
ArrayVector vtkImageNormalizeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageNormalize::New(),"vtkImageNormalize",eval);
  } else if (arg[0].className() == "vtkImageNormalize") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageNormalize"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageNormalize");
    vtkImageNormalize*q = reinterpret_cast<vtkImageNormalize*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageNormalize");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageNormalize:GetClassName vtkImageNormalizeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageNormalizeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageNormalize requires 1 argument(s)");
  vtkImageNormalize* vtk_pointer = GetVTKPointer<vtkImageNormalize>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageNormalize:IsA vtkImageNormalizeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageNormalizeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageNormalize requires 2 argument(s)");
  vtkImageNormalize* vtk_pointer = GetVTKPointer<vtkImageNormalize>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageNormalize:NewInstance vtkImageNormalizeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageNormalizeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageNormalize *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageNormalize requires 1 argument(s)");
  vtkImageNormalize* vtk_pointer = GetVTKPointer<vtkImageNormalize>(arg[0]);
  Array retval;
  vtkImageNormalize  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageNormalize",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageNormalize:SafeDownCast vtkImageNormalizeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageNormalizeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageNormalize *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageNormalize requires 2 argument(s)");
  vtkImageNormalize* vtk_pointer = GetVTKPointer<vtkImageNormalize>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageNormalize  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageNormalize",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageNormalize:display vtkImageNormalizeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageNormalizeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageNormalize* vtk_pointer = GetVTKPointer<vtkImageNormalize>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageNormalize:delete vtkImageNormalizeDeleteFunction
//input varargin
//output none
ArrayVector vtkImageNormalizeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageNormalize
//@@Section VTKImaging
//@@Usage
// For each point, vtkImageNormalize normalizes the vector defined by the 
// scalar components.  If the magnitude of this vector is zero, the output
// vector is zero also.
//
//To create an instance of class vtkImageNormalize, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageNormalize
//@]
//@@Methods
//The class vtkImageNormalize has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageNormalize class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageNormalize = obj.NewInstance ()|
// \item @|vtkImageNormalize = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
