#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImagePadFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImagePadFilter.h"

//@@Signature
//sfunction @vtkImagePadFilter:vtkImagePadFilter vtkImagePadFilterConstructorFunction
//input a
//output p
//@@Parents vtkImagePadFilter vtkThreadedImageAlgorithm 
ArrayVector vtkImagePadFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImagePadFilter::New(),"vtkImagePadFilter",eval);
  } else if (arg[0].className() == "vtkImagePadFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImagePadFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImagePadFilter");
    vtkImagePadFilter*q = reinterpret_cast<vtkImagePadFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImagePadFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImagePadFilter:GetClassName vtkImagePadFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImagePadFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImagePadFilter requires 1 argument(s)");
  vtkImagePadFilter* vtk_pointer = GetVTKPointer<vtkImagePadFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePadFilter:IsA vtkImagePadFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImagePadFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImagePadFilter requires 2 argument(s)");
  vtkImagePadFilter* vtk_pointer = GetVTKPointer<vtkImagePadFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePadFilter:NewInstance vtkImagePadFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImagePadFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImagePadFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImagePadFilter requires 1 argument(s)");
  vtkImagePadFilter* vtk_pointer = GetVTKPointer<vtkImagePadFilter>(arg[0]);
  Array retval;
  vtkImagePadFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImagePadFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImagePadFilter:SafeDownCast vtkImagePadFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImagePadFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImagePadFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImagePadFilter requires 2 argument(s)");
  vtkImagePadFilter* vtk_pointer = GetVTKPointer<vtkImagePadFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImagePadFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImagePadFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImagePadFilter:SetOutputWholeExtent__1 vtkImagePadFilterSetOutputWholeExtent__1Function
//input a0 a1 
//output none
ArrayVector vtkImagePadFilterSetOutputWholeExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputWholeExtent (int extent[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputWholeExtent__1 for class vtkImagePadFilter requires 2 argument(s)");
  vtkImagePadFilter* vtk_pointer = GetVTKPointer<vtkImagePadFilter>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetOutputWholeExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePadFilter:SetOutputWholeExtent__2 vtkImagePadFilterSetOutputWholeExtent__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkImagePadFilterSetOutputWholeExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputWholeExtent (int minX, int maxX, int minY, int maxY, int minZ, int maxZ); */
  if (arg.size() < 7) 
    throw Exception("Function SetOutputWholeExtent__2 for class vtkImagePadFilter requires 7 argument(s)");
  vtkImagePadFilter* vtk_pointer = GetVTKPointer<vtkImagePadFilter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetOutputWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkImagePadFilter:GetOutputWholeExtent__1 vtkImagePadFilterGetOutputWholeExtent__1Function
//input a0 a1 
//output none
ArrayVector vtkImagePadFilterGetOutputWholeExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetOutputWholeExtent (int extent[6]); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutputWholeExtent__1 for class vtkImagePadFilter requires 2 argument(s)");
  vtkImagePadFilter* vtk_pointer = GetVTKPointer<vtkImagePadFilter>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->GetOutputWholeExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePadFilter:GetOutputWholeExtent__2 vtkImagePadFilterGetOutputWholeExtent__2Function
//input a0 
//output y
ArrayVector vtkImagePadFilterGetOutputWholeExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int *GetOutputWholeExtent ();return this OutputWholeExtent  */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputWholeExtent__2 for class vtkImagePadFilter requires 1 argument(s)");
  vtkImagePadFilter* vtk_pointer = GetVTKPointer<vtkImagePadFilter>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetOutputWholeExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImagePadFilter:SetOutputNumberOfScalarComponents vtkImagePadFilterSetOutputNumberOfScalarComponentsFunction
//input a0 a1 
//output none
ArrayVector vtkImagePadFilterSetOutputNumberOfScalarComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputNumberOfScalarComponents (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputNumberOfScalarComponents for class vtkImagePadFilter requires 2 argument(s)");
  vtkImagePadFilter* vtk_pointer = GetVTKPointer<vtkImagePadFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutputNumberOfScalarComponents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePadFilter:GetOutputNumberOfScalarComponents vtkImagePadFilterGetOutputNumberOfScalarComponentsFunction
//input a0 
//output y
ArrayVector vtkImagePadFilterGetOutputNumberOfScalarComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputNumberOfScalarComponents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputNumberOfScalarComponents for class vtkImagePadFilter requires 1 argument(s)");
  vtkImagePadFilter* vtk_pointer = GetVTKPointer<vtkImagePadFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutputNumberOfScalarComponents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePadFilter:SetOutputWholeExtent vtkImagePadFilterSetOutputWholeExtentFunction
//input varargin
//output varargout
ArrayVector vtkImagePadFilterSetOutputWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImagePadFilterSetOutputWholeExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkImagePadFilterSetOutputWholeExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImagePadFilterSetOutputWholeExtent");
}

//@@Signature
//sfunction @vtkImagePadFilter:GetOutputWholeExtent vtkImagePadFilterGetOutputWholeExtentFunction
//input varargin
//output varargout
ArrayVector vtkImagePadFilterGetOutputWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImagePadFilterGetOutputWholeExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkImagePadFilterGetOutputWholeExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImagePadFilterGetOutputWholeExtent");
}

//@@Signature
//sfunction @vtkImagePadFilter:display vtkImagePadFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImagePadFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImagePadFilter* vtk_pointer = GetVTKPointer<vtkImagePadFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImagePadFilter:delete vtkImagePadFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkImagePadFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImagePadFilter
//@@Section VTKImaging
//@@Usage
// vtkImagePadFilter Changes the image extent of an image.  If the image
// extent is larger than the input image extent, the extra pixels are
// filled by an algorithm determined by the subclass.
// The image extent of the output has to be specified.
//
//To create an instance of class vtkImagePadFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkImagePadFilter
//@]
//@@Methods
//The class vtkImagePadFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImagePadFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImagePadFilter = obj.NewInstance ()|
// \item @|vtkImagePadFilter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetOutputWholeExtent (int extent[6])| -  The image extent of the output has to be set explicitly.
//// \item @|obj.SetOutputWholeExtent (int minX, int maxX, int minY, int maxY, int minZ, int maxZ)| -  The image extent of the output has to be set explicitly.
//// \item @|obj.GetOutputWholeExtent (int extent[6])| -  The image extent of the output has to be set explicitly.
//// \item @|int = obj.GetOutputWholeExtent ()| -  Set/Get the number of output scalar components.
//// \item @|obj.SetOutputNumberOfScalarComponents (int )| -  Set/Get the number of output scalar components.
//// \item @|int = obj.GetOutputNumberOfScalarComponents ()| -  Set/Get the number of output scalar components.
////\end{itemize}
//!
