#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImagePermute object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImagePermute.h"

//@@Signature
//sfunction @vtkImagePermute:vtkImagePermute vtkImagePermuteConstructorFunction
//input a
//output p
//@@Parents vtkImagePermute vtkImageReslice 
ArrayVector vtkImagePermuteConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImagePermute::New(),"vtkImagePermute",eval);
  } else if (arg[0].className() == "vtkImagePermute") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImagePermute"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImagePermute");
    vtkImagePermute*q = reinterpret_cast<vtkImagePermute*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImagePermute");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImagePermute:GetClassName vtkImagePermuteGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImagePermuteGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImagePermute requires 1 argument(s)");
  vtkImagePermute* vtk_pointer = GetVTKPointer<vtkImagePermute>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePermute:IsA vtkImagePermuteIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImagePermuteIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImagePermute requires 2 argument(s)");
  vtkImagePermute* vtk_pointer = GetVTKPointer<vtkImagePermute>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImagePermute:NewInstance vtkImagePermuteNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImagePermuteNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImagePermute *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImagePermute requires 1 argument(s)");
  vtkImagePermute* vtk_pointer = GetVTKPointer<vtkImagePermute>(arg[0]);
  Array retval;
  vtkImagePermute  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImagePermute",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImagePermute:SafeDownCast vtkImagePermuteSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImagePermuteSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImagePermute *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImagePermute requires 2 argument(s)");
  vtkImagePermute* vtk_pointer = GetVTKPointer<vtkImagePermute>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImagePermute  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImagePermute",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImagePermute:SetFilteredAxes__1 vtkImagePermuteSetFilteredAxes__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImagePermuteSetFilteredAxes__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFilteredAxes (int x, int y, int z); */
  if (arg.size() < 4) 
    throw Exception("Function SetFilteredAxes__1 for class vtkImagePermute requires 4 argument(s)");
  vtkImagePermute* vtk_pointer = GetVTKPointer<vtkImagePermute>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetFilteredAxes(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImagePermute:SetFilteredAxes__2 vtkImagePermuteSetFilteredAxes__2Function
//input a0 a1 
//output none
ArrayVector vtkImagePermuteSetFilteredAxes__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFilteredAxes (const int xyz[3]);this SetFilteredAxes xyz xyz xyz  */
  if (arg.size() < 2) 
    throw Exception("Function SetFilteredAxes__2 for class vtkImagePermute requires 2 argument(s)");
  vtkImagePermute* vtk_pointer = GetVTKPointer<vtkImagePermute>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetFilteredAxes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImagePermute:GetFilteredAxes vtkImagePermuteGetFilteredAxesFunction
//input a0 
//output y
ArrayVector vtkImagePermuteGetFilteredAxesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetFilteredAxes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFilteredAxes for class vtkImagePermute requires 1 argument(s)");
  vtkImagePermute* vtk_pointer = GetVTKPointer<vtkImagePermute>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetFilteredAxes();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImagePermute:SetFilteredAxes vtkImagePermuteSetFilteredAxesFunction
//input varargin
//output varargout
ArrayVector vtkImagePermuteSetFilteredAxesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImagePermuteSetFilteredAxes__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImagePermuteSetFilteredAxes__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImagePermuteSetFilteredAxes");
}

//@@Signature
//sfunction @vtkImagePermute:display vtkImagePermuteDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImagePermuteDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImagePermute* vtk_pointer = GetVTKPointer<vtkImagePermute>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImagePermute:delete vtkImagePermuteDeleteFunction
//input varargin
//output none
ArrayVector vtkImagePermuteDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImagePermute
//@@Section VTKImaging
//@@Usage
// vtkImagePermute reorders the axes of the input. Filtered axes specify
// the input axes which become X, Y, Z.  The input has to have the
// same scalar type of the output. The filter does copy the 
// data when it executes. This filter is actually a very thin wrapper
// around vtkImageReslice.
//
//To create an instance of class vtkImagePermute, simply
//invoke its constructor as follows
//@[
//  obj = vtkImagePermute
//@]
//@@Methods
//The class vtkImagePermute has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImagePermute class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImagePermute = obj.NewInstance ()|
// \item @|vtkImagePermute = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFilteredAxes (int x, int y, int z)| -  The filtered axes are the input axes that get relabeled to X,Y,Z.
//// \item @|obj.SetFilteredAxes (int xyz[3])| -  The filtered axes are the input axes that get relabeled to X,Y,Z.
//// \item @|int = obj. GetFilteredAxes ()| -  The filtered axes are the input axes that get relabeled to X,Y,Z.
////\end{itemize}
//!
