#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageQuantizeRGBToIndex object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageQuantizeRGBToIndex.h"

//@@Signature
//sfunction @vtkImageQuantizeRGBToIndex:vtkImageQuantizeRGBToIndex vtkImageQuantizeRGBToIndexConstructorFunction
//input a
//output p
//@@Parents vtkImageQuantizeRGBToIndex vtkImageAlgorithm 
ArrayVector vtkImageQuantizeRGBToIndexConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageQuantizeRGBToIndex::New(),"vtkImageQuantizeRGBToIndex",eval);
  } else if (arg[0].className() == "vtkImageQuantizeRGBToIndex") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageQuantizeRGBToIndex"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageQuantizeRGBToIndex");
    vtkImageQuantizeRGBToIndex*q = reinterpret_cast<vtkImageQuantizeRGBToIndex*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageQuantizeRGBToIndex");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageQuantizeRGBToIndex:GetClassName vtkImageQuantizeRGBToIndexGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageQuantizeRGBToIndexGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageQuantizeRGBToIndex requires 1 argument(s)");
  vtkImageQuantizeRGBToIndex* vtk_pointer = GetVTKPointer<vtkImageQuantizeRGBToIndex>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageQuantizeRGBToIndex:IsA vtkImageQuantizeRGBToIndexIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageQuantizeRGBToIndexIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageQuantizeRGBToIndex requires 2 argument(s)");
  vtkImageQuantizeRGBToIndex* vtk_pointer = GetVTKPointer<vtkImageQuantizeRGBToIndex>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageQuantizeRGBToIndex:NewInstance vtkImageQuantizeRGBToIndexNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageQuantizeRGBToIndexNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageQuantizeRGBToIndex *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageQuantizeRGBToIndex requires 1 argument(s)");
  vtkImageQuantizeRGBToIndex* vtk_pointer = GetVTKPointer<vtkImageQuantizeRGBToIndex>(arg[0]);
  Array retval;
  vtkImageQuantizeRGBToIndex  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageQuantizeRGBToIndex",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageQuantizeRGBToIndex:SafeDownCast vtkImageQuantizeRGBToIndexSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageQuantizeRGBToIndexSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageQuantizeRGBToIndex *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageQuantizeRGBToIndex requires 2 argument(s)");
  vtkImageQuantizeRGBToIndex* vtk_pointer = GetVTKPointer<vtkImageQuantizeRGBToIndex>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageQuantizeRGBToIndex  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageQuantizeRGBToIndex",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageQuantizeRGBToIndex:SetNumberOfColors vtkImageQuantizeRGBToIndexSetNumberOfColorsFunction
//input a0 a1 
//output none
ArrayVector vtkImageQuantizeRGBToIndexSetNumberOfColorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfColors (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfColors for class vtkImageQuantizeRGBToIndex requires 2 argument(s)");
  vtkImageQuantizeRGBToIndex* vtk_pointer = GetVTKPointer<vtkImageQuantizeRGBToIndex>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfColors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageQuantizeRGBToIndex:GetNumberOfColorsMinValue vtkImageQuantizeRGBToIndexGetNumberOfColorsMinValueFunction
//input a0 
//output y
ArrayVector vtkImageQuantizeRGBToIndexGetNumberOfColorsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfColorsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfColorsMinValue for class vtkImageQuantizeRGBToIndex requires 1 argument(s)");
  vtkImageQuantizeRGBToIndex* vtk_pointer = GetVTKPointer<vtkImageQuantizeRGBToIndex>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfColorsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageQuantizeRGBToIndex:GetNumberOfColorsMaxValue vtkImageQuantizeRGBToIndexGetNumberOfColorsMaxValueFunction
//input a0 
//output y
ArrayVector vtkImageQuantizeRGBToIndexGetNumberOfColorsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfColorsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfColorsMaxValue for class vtkImageQuantizeRGBToIndex requires 1 argument(s)");
  vtkImageQuantizeRGBToIndex* vtk_pointer = GetVTKPointer<vtkImageQuantizeRGBToIndex>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfColorsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageQuantizeRGBToIndex:GetNumberOfColors vtkImageQuantizeRGBToIndexGetNumberOfColorsFunction
//input a0 
//output y
ArrayVector vtkImageQuantizeRGBToIndexGetNumberOfColorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfColors (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfColors for class vtkImageQuantizeRGBToIndex requires 1 argument(s)");
  vtkImageQuantizeRGBToIndex* vtk_pointer = GetVTKPointer<vtkImageQuantizeRGBToIndex>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfColors();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageQuantizeRGBToIndex:GetLookupTable vtkImageQuantizeRGBToIndexGetLookupTableFunction
//input a0 
//output y
ArrayVector vtkImageQuantizeRGBToIndexGetLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLookupTable *GetLookupTable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLookupTable for class vtkImageQuantizeRGBToIndex requires 1 argument(s)");
  vtkImageQuantizeRGBToIndex* vtk_pointer = GetVTKPointer<vtkImageQuantizeRGBToIndex>(arg[0]);
  Array retval;
  vtkLookupTable  *temp20;
  temp20 = (vtk_pointer)->GetLookupTable();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLookupTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageQuantizeRGBToIndex:GetInitializeExecuteTime vtkImageQuantizeRGBToIndexGetInitializeExecuteTimeFunction
//input a0 
//output y
ArrayVector vtkImageQuantizeRGBToIndexGetInitializeExecuteTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetInitializeExecuteTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInitializeExecuteTime for class vtkImageQuantizeRGBToIndex requires 1 argument(s)");
  vtkImageQuantizeRGBToIndex* vtk_pointer = GetVTKPointer<vtkImageQuantizeRGBToIndex>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetInitializeExecuteTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageQuantizeRGBToIndex:GetBuildTreeExecuteTime vtkImageQuantizeRGBToIndexGetBuildTreeExecuteTimeFunction
//input a0 
//output y
ArrayVector vtkImageQuantizeRGBToIndexGetBuildTreeExecuteTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetBuildTreeExecuteTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBuildTreeExecuteTime for class vtkImageQuantizeRGBToIndex requires 1 argument(s)");
  vtkImageQuantizeRGBToIndex* vtk_pointer = GetVTKPointer<vtkImageQuantizeRGBToIndex>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetBuildTreeExecuteTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageQuantizeRGBToIndex:GetLookupIndexExecuteTime vtkImageQuantizeRGBToIndexGetLookupIndexExecuteTimeFunction
//input a0 
//output y
ArrayVector vtkImageQuantizeRGBToIndexGetLookupIndexExecuteTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLookupIndexExecuteTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLookupIndexExecuteTime for class vtkImageQuantizeRGBToIndex requires 1 argument(s)");
  vtkImageQuantizeRGBToIndex* vtk_pointer = GetVTKPointer<vtkImageQuantizeRGBToIndex>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLookupIndexExecuteTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageQuantizeRGBToIndex:display vtkImageQuantizeRGBToIndexDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageQuantizeRGBToIndexDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageQuantizeRGBToIndex* vtk_pointer = GetVTKPointer<vtkImageQuantizeRGBToIndex>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageQuantizeRGBToIndex:delete vtkImageQuantizeRGBToIndexDeleteFunction
//input varargin
//output none
ArrayVector vtkImageQuantizeRGBToIndexDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageQuantizeRGBToIndex
//@@Section VTKImaging
//@@Usage
// vtkImageQuantizeRGBToIndex takes a 3 component RGB image as
// input and produces a one component index image as output, along with
// a lookup table that contains the color definitions for the index values.
// This filter works on the entire input extent - it does not perform
// streaming, and it does not supported threaded execution (because it has
// to process the entire image).
//
// To use this filter, you typically set the number of colors 
// (between 2 and 65536), execute it, and then retrieve the lookup table.
// The colors can then be using the lookup table and the image index.
//
//To create an instance of class vtkImageQuantizeRGBToIndex, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageQuantizeRGBToIndex
//@]
//@@Methods
//The class vtkImageQuantizeRGBToIndex has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageQuantizeRGBToIndex class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageQuantizeRGBToIndex = obj.NewInstance ()|
// \item @|vtkImageQuantizeRGBToIndex = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetNumberOfColors (int )| -  Set / Get the number of color index values to produce - must be 
// a number between 2 and 65536.
//// \item @|int = obj.GetNumberOfColorsMinValue ()| -  Set / Get the number of color index values to produce - must be 
// a number between 2 and 65536.
//// \item @|int = obj.GetNumberOfColorsMaxValue ()| -  Set / Get the number of color index values to produce - must be 
// a number between 2 and 65536.
//// \item @|int = obj.GetNumberOfColors ()| -  Set / Get the number of color index values to produce - must be 
// a number between 2 and 65536.
//// \item @|vtkLookupTable = obj.GetLookupTable ()| -  Get the resulting lookup table that contains the color definitions
// corresponding to the index values in the output image.
//// \item @|double = obj.GetInitializeExecuteTime ()|
// \item @|double = obj.GetBuildTreeExecuteTime ()|
// \item @|double = obj.GetLookupIndexExecuteTime ()|
//\end{itemize}
//!
