#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageRGBToHSI object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageRGBToHSI.h"

//@@Signature
//sfunction @vtkImageRGBToHSI:vtkImageRGBToHSI vtkImageRGBToHSIConstructorFunction
//input a
//output p
//@@Parents vtkImageRGBToHSI vtkThreadedImageAlgorithm 
ArrayVector vtkImageRGBToHSIConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageRGBToHSI::New(),"vtkImageRGBToHSI",eval);
  } else if (arg[0].className() == "vtkImageRGBToHSI") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageRGBToHSI"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageRGBToHSI");
    vtkImageRGBToHSI*q = reinterpret_cast<vtkImageRGBToHSI*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageRGBToHSI");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageRGBToHSI:GetClassName vtkImageRGBToHSIGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageRGBToHSIGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageRGBToHSI requires 1 argument(s)");
  vtkImageRGBToHSI* vtk_pointer = GetVTKPointer<vtkImageRGBToHSI>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageRGBToHSI:IsA vtkImageRGBToHSIIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageRGBToHSIIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageRGBToHSI requires 2 argument(s)");
  vtkImageRGBToHSI* vtk_pointer = GetVTKPointer<vtkImageRGBToHSI>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageRGBToHSI:NewInstance vtkImageRGBToHSINewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageRGBToHSINewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageRGBToHSI *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageRGBToHSI requires 1 argument(s)");
  vtkImageRGBToHSI* vtk_pointer = GetVTKPointer<vtkImageRGBToHSI>(arg[0]);
  Array retval;
  vtkImageRGBToHSI  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageRGBToHSI",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageRGBToHSI:SafeDownCast vtkImageRGBToHSISafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageRGBToHSISafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageRGBToHSI *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageRGBToHSI requires 2 argument(s)");
  vtkImageRGBToHSI* vtk_pointer = GetVTKPointer<vtkImageRGBToHSI>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageRGBToHSI  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageRGBToHSI",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageRGBToHSI:SetMaximum vtkImageRGBToHSISetMaximumFunction
//input a0 a1 
//output none
ArrayVector vtkImageRGBToHSISetMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximum (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximum for class vtkImageRGBToHSI requires 2 argument(s)");
  vtkImageRGBToHSI* vtk_pointer = GetVTKPointer<vtkImageRGBToHSI>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximum(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageRGBToHSI:GetMaximum vtkImageRGBToHSIGetMaximumFunction
//input a0 
//output y
ArrayVector vtkImageRGBToHSIGetMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximum (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximum for class vtkImageRGBToHSI requires 1 argument(s)");
  vtkImageRGBToHSI* vtk_pointer = GetVTKPointer<vtkImageRGBToHSI>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximum();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageRGBToHSI:display vtkImageRGBToHSIDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageRGBToHSIDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageRGBToHSI* vtk_pointer = GetVTKPointer<vtkImageRGBToHSI>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageRGBToHSI:delete vtkImageRGBToHSIDeleteFunction
//input varargin
//output none
ArrayVector vtkImageRGBToHSIDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageRGBToHSI
//@@Section VTKImaging
//@@Usage
// For each pixel with red, blue, and green components this
// filter output the color coded as hue, saturation and intensity.
// Output type must be the same as input type.
//
//To create an instance of class vtkImageRGBToHSI, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageRGBToHSI
//@]
//@@Methods
//The class vtkImageRGBToHSI has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageRGBToHSI class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageRGBToHSI = obj.NewInstance ()|
// \item @|vtkImageRGBToHSI = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetMaximum (double )| -  Hue is an angle. Maximum specifies when it maps back to 0.  HueMaximum
// defaults to 255 instead of 2PI, because unsigned char is expected as
// input.  Maximum also specifies the maximum of the Saturation.
//// \item @|double = obj.GetMaximum ()| -  Hue is an angle. Maximum specifies when it maps back to 0.  HueMaximum
// defaults to 255 instead of 2PI, because unsigned char is expected as
// input.  Maximum also specifies the maximum of the Saturation.
////\end{itemize}
//!
