#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageRGBToHSV object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageRGBToHSV.h"

//@@Signature
//sfunction @vtkImageRGBToHSV:vtkImageRGBToHSV vtkImageRGBToHSVConstructorFunction
//input a
//output p
//@@Parents vtkImageRGBToHSV vtkThreadedImageAlgorithm 
ArrayVector vtkImageRGBToHSVConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageRGBToHSV::New(),"vtkImageRGBToHSV",eval);
  } else if (arg[0].className() == "vtkImageRGBToHSV") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageRGBToHSV"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageRGBToHSV");
    vtkImageRGBToHSV*q = reinterpret_cast<vtkImageRGBToHSV*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageRGBToHSV");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageRGBToHSV:GetClassName vtkImageRGBToHSVGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageRGBToHSVGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageRGBToHSV requires 1 argument(s)");
  vtkImageRGBToHSV* vtk_pointer = GetVTKPointer<vtkImageRGBToHSV>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageRGBToHSV:IsA vtkImageRGBToHSVIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageRGBToHSVIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageRGBToHSV requires 2 argument(s)");
  vtkImageRGBToHSV* vtk_pointer = GetVTKPointer<vtkImageRGBToHSV>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageRGBToHSV:NewInstance vtkImageRGBToHSVNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageRGBToHSVNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageRGBToHSV *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageRGBToHSV requires 1 argument(s)");
  vtkImageRGBToHSV* vtk_pointer = GetVTKPointer<vtkImageRGBToHSV>(arg[0]);
  Array retval;
  vtkImageRGBToHSV  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageRGBToHSV",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageRGBToHSV:SafeDownCast vtkImageRGBToHSVSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageRGBToHSVSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageRGBToHSV *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageRGBToHSV requires 2 argument(s)");
  vtkImageRGBToHSV* vtk_pointer = GetVTKPointer<vtkImageRGBToHSV>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageRGBToHSV  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageRGBToHSV",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageRGBToHSV:SetMaximum vtkImageRGBToHSVSetMaximumFunction
//input a0 a1 
//output none
ArrayVector vtkImageRGBToHSVSetMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximum (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximum for class vtkImageRGBToHSV requires 2 argument(s)");
  vtkImageRGBToHSV* vtk_pointer = GetVTKPointer<vtkImageRGBToHSV>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximum(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageRGBToHSV:GetMaximum vtkImageRGBToHSVGetMaximumFunction
//input a0 
//output y
ArrayVector vtkImageRGBToHSVGetMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximum (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximum for class vtkImageRGBToHSV requires 1 argument(s)");
  vtkImageRGBToHSV* vtk_pointer = GetVTKPointer<vtkImageRGBToHSV>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximum();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageRGBToHSV:display vtkImageRGBToHSVDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageRGBToHSVDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageRGBToHSV* vtk_pointer = GetVTKPointer<vtkImageRGBToHSV>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageRGBToHSV:delete vtkImageRGBToHSVDeleteFunction
//input varargin
//output none
ArrayVector vtkImageRGBToHSVDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageRGBToHSV
//@@Section VTKImaging
//@@Usage
// For each pixel with red, blue, and green components this
// filter output the color coded as hue, saturation and value.
// Output type must be the same as input type.
//
//To create an instance of class vtkImageRGBToHSV, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageRGBToHSV
//@]
//@@Methods
//The class vtkImageRGBToHSV has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageRGBToHSV class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageRGBToHSV = obj.NewInstance ()|
// \item @|vtkImageRGBToHSV = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetMaximum (double )|
// \item @|double = obj.GetMaximum ()|
//\end{itemize}
//!
