#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageRange3D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageRange3D.h"

//@@Signature
//sfunction @vtkImageRange3D:vtkImageRange3D vtkImageRange3DConstructorFunction
//input a
//output p
//@@Parents vtkImageRange3D vtkImageSpatialAlgorithm 
ArrayVector vtkImageRange3DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageRange3D::New(),"vtkImageRange3D",eval);
  } else if (arg[0].className() == "vtkImageRange3D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageRange3D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageRange3D");
    vtkImageRange3D*q = reinterpret_cast<vtkImageRange3D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageRange3D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageRange3D:GetClassName vtkImageRange3DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageRange3DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageRange3D requires 1 argument(s)");
  vtkImageRange3D* vtk_pointer = GetVTKPointer<vtkImageRange3D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageRange3D:IsA vtkImageRange3DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageRange3DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageRange3D requires 2 argument(s)");
  vtkImageRange3D* vtk_pointer = GetVTKPointer<vtkImageRange3D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageRange3D:NewInstance vtkImageRange3DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageRange3DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageRange3D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageRange3D requires 1 argument(s)");
  vtkImageRange3D* vtk_pointer = GetVTKPointer<vtkImageRange3D>(arg[0]);
  Array retval;
  vtkImageRange3D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageRange3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageRange3D:SafeDownCast vtkImageRange3DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageRange3DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageRange3D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageRange3D requires 2 argument(s)");
  vtkImageRange3D* vtk_pointer = GetVTKPointer<vtkImageRange3D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageRange3D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageRange3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageRange3D:SetKernelSize vtkImageRange3DSetKernelSizeFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageRange3DSetKernelSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKernelSize (int size0, int size1, int size2); */
  if (arg.size() < 4) 
    throw Exception("Function SetKernelSize for class vtkImageRange3D requires 4 argument(s)");
  vtkImageRange3D* vtk_pointer = GetVTKPointer<vtkImageRange3D>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetKernelSize(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageRange3D:display vtkImageRange3DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageRange3DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageRange3D* vtk_pointer = GetVTKPointer<vtkImageRange3D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageRange3D:delete vtkImageRange3DDeleteFunction
//input varargin
//output none
ArrayVector vtkImageRange3DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageRange3D
//@@Section VTKImaging
//@@Usage
// vtkImageRange3D replaces a pixel with the maximum minus minimum over
// an ellipsoidal neighborhood.  If KernelSize of an axis is 1, no processing
// is done on that axis.
//
//To create an instance of class vtkImageRange3D, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageRange3D
//@]
//@@Methods
//The class vtkImageRange3D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageRange3D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageRange3D = obj.NewInstance ()|
// \item @|vtkImageRange3D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetKernelSize (int size0, int size1, int size2)| -  This method sets the size of the neighborhood.  It also sets the 
// default middle of the neighborhood and computes the elliptical foot print.
////\end{itemize}
//!
