#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageResample object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageResample.h"

//@@Signature
//sfunction @vtkImageResample:vtkImageResample vtkImageResampleConstructorFunction
//input a
//output p
//@@Parents vtkImageResample vtkImageReslice 
ArrayVector vtkImageResampleConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageResample::New(),"vtkImageResample",eval);
  } else if (arg[0].className() == "vtkImageResample") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageResample"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageResample");
    vtkImageResample*q = reinterpret_cast<vtkImageResample*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageResample");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageResample:GetClassName vtkImageResampleGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageResampleGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageResample requires 1 argument(s)");
  vtkImageResample* vtk_pointer = GetVTKPointer<vtkImageResample>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageResample:IsA vtkImageResampleIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageResampleIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageResample requires 2 argument(s)");
  vtkImageResample* vtk_pointer = GetVTKPointer<vtkImageResample>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageResample:NewInstance vtkImageResampleNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageResampleNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageResample *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageResample requires 1 argument(s)");
  vtkImageResample* vtk_pointer = GetVTKPointer<vtkImageResample>(arg[0]);
  Array retval;
  vtkImageResample  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageResample",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageResample:SafeDownCast vtkImageResampleSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageResampleSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageResample *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageResample requires 2 argument(s)");
  vtkImageResample* vtk_pointer = GetVTKPointer<vtkImageResample>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageResample  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageResample",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageResample:SetAxisOutputSpacing vtkImageResampleSetAxisOutputSpacingFunction
//input a0 a1 a2 
//output none
ArrayVector vtkImageResampleSetAxisOutputSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAxisOutputSpacing (int axis, double spacing); */
  if (arg.size() < 3) 
    throw Exception("Function SetAxisOutputSpacing for class vtkImageResample requires 3 argument(s)");
  vtkImageResample* vtk_pointer = GetVTKPointer<vtkImageResample>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetAxisOutputSpacing(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageResample:SetAxisMagnificationFactor vtkImageResampleSetAxisMagnificationFactorFunction
//input a0 a1 a2 
//output none
ArrayVector vtkImageResampleSetAxisMagnificationFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAxisMagnificationFactor (int axis, double factor); */
  if (arg.size() < 3) 
    throw Exception("Function SetAxisMagnificationFactor for class vtkImageResample requires 3 argument(s)");
  vtkImageResample* vtk_pointer = GetVTKPointer<vtkImageResample>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetAxisMagnificationFactor(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageResample:GetAxisMagnificationFactor vtkImageResampleGetAxisMagnificationFactorFunction
//input a0 a1 a2 
//output y
ArrayVector vtkImageResampleGetAxisMagnificationFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAxisMagnificationFactor (int axis, vtkInformation *inInfo); */
  if (arg.size() < 3) 
    throw Exception("Function GetAxisMagnificationFactor for class vtkImageResample requires 3 argument(s)");
  vtkImageResample* vtk_pointer = GetVTKPointer<vtkImageResample>(arg[0]);
  Array retval;
  int      temp0;
  vtkInformation  *temp1;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  temp20 = (vtk_pointer)->GetAxisMagnificationFactor(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageResample:SetDimensionality vtkImageResampleSetDimensionalityFunction
//input a0 a1 
//output none
ArrayVector vtkImageResampleSetDimensionalityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDimensionality (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDimensionality for class vtkImageResample requires 2 argument(s)");
  vtkImageResample* vtk_pointer = GetVTKPointer<vtkImageResample>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDimensionality(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageResample:GetDimensionality vtkImageResampleGetDimensionalityFunction
//input a0 
//output y
ArrayVector vtkImageResampleGetDimensionalityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDimensionality (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensionality for class vtkImageResample requires 1 argument(s)");
  vtkImageResample* vtk_pointer = GetVTKPointer<vtkImageResample>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimensionality();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageResample:display vtkImageResampleDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageResampleDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageResample* vtk_pointer = GetVTKPointer<vtkImageResample>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageResample:delete vtkImageResampleDeleteFunction
//input varargin
//output none
ArrayVector vtkImageResampleDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageResample
//@@Section VTKImaging
//@@Usage
// This filter produces an output with different spacing (and extent)
// than the input.  Linear interpolation can be used to resample the data.
// The Output spacing can be set explicitly or relative to input spacing
// with the SetAxisMagnificationFactor method.
//
//To create an instance of class vtkImageResample, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageResample
//@]
//@@Methods
//The class vtkImageResample has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageResample class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageResample = obj.NewInstance ()|
// \item @|vtkImageResample = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetAxisOutputSpacing (int axis, double spacing)| -  Set desired spacing.  
// Zero is a reserved value indicating spacing has not been set.
//// \item @|obj.SetAxisMagnificationFactor (int axis, double factor)| -  Set/Get Magnification factors.
// Zero is a reserved value indicating values have not been computed.
//// \item @|double = obj.GetAxisMagnificationFactor (int axis, vtkInformation inInfo)| -  Set/Get Magnification factors.
// Zero is a reserved value indicating values have not been computed.
//// \item @|obj.SetDimensionality (int )| -  Dimensionality is the number of axes which are considered during
// execution. To process images dimensionality would be set to 2.
// This has the same effect as setting the magnification of the third
// axis to 1.0
//// \item @|int = obj.GetDimensionality ()| -  Dimensionality is the number of axes which are considered during
// execution. To process images dimensionality would be set to 2.
// This has the same effect as setting the magnification of the third
// axis to 1.0
////\end{itemize}
//!
