#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageReslice object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageReslice.h"

//@@Signature
//sfunction @vtkImageReslice:vtkImageReslice vtkImageResliceConstructorFunction
//input a
//output p
//@@Parents vtkImageReslice vtkThreadedImageAlgorithm 
ArrayVector vtkImageResliceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageReslice::New(),"vtkImageReslice",eval);
  } else if (arg[0].className() == "vtkImageReslice") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageReslice"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageReslice");
    vtkImageReslice*q = reinterpret_cast<vtkImageReslice*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageReslice");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageReslice:GetClassName vtkImageResliceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageResliceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:IsA vtkImageResliceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageResliceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageReslice requires 2 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:NewInstance vtkImageResliceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageResliceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageReslice *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  vtkImageReslice  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageReslice",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SafeDownCast vtkImageResliceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageResliceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageReslice *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageReslice requires 2 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageReslice  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageReslice",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetResliceAxes vtkImageResliceSetResliceAxesFunction
//input a0 a1 
//output none
ArrayVector vtkImageResliceSetResliceAxesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetResliceAxes (vtkMatrix4x4 *); */
  if (arg.size() < 2) 
    throw Exception("Function SetResliceAxes for class vtkImageReslice requires 2 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp0;
  temp0 = GetVTKPointer<vtkMatrix4x4>(arg[1]);
  vtk_pointer->SetResliceAxes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:GetResliceAxes vtkImageResliceGetResliceAxesFunction
//input a0 
//output y
ArrayVector vtkImageResliceGetResliceAxesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMatrix4x4 *GetResliceAxes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResliceAxes for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp20;
  temp20 = (vtk_pointer)->GetResliceAxes();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMatrix4x4",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetResliceAxesDirectionCosines__1 vtkImageResliceSetResliceAxesDirectionCosines__1Function
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 a9 
//output none
ArrayVector vtkImageResliceSetResliceAxesDirectionCosines__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetResliceAxesDirectionCosines (double x0, double x1, double x2, double y0, double y1, double y2, double z0, double z1, double z2); */
  if (arg.size() < 10) 
    throw Exception("Function SetResliceAxesDirectionCosines__1 for class vtkImageReslice requires 10 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  double   temp6;
  double   temp7;
  double   temp8;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp6 = (double) arg[7].asDouble();
  if ( !arg[8].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp7 = (double) arg[8].asDouble();
  if ( !arg[9].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp8 = (double) arg[9].asDouble();
  vtk_pointer->SetResliceAxesDirectionCosines(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetResliceAxesDirectionCosines__2 vtkImageResliceSetResliceAxesDirectionCosines__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageResliceSetResliceAxesDirectionCosines__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetResliceAxesDirectionCosines (const double x[3], const double y[3], const double z[3]);this SetResliceAxesDirectionCosines x x x y y y z z z  */
  if (arg.size() < 4) 
    throw Exception("Function SetResliceAxesDirectionCosines__2 for class vtkImageReslice requires 4 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  vtk_pointer->SetResliceAxesDirectionCosines(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetResliceAxesDirectionCosines__3 vtkImageResliceSetResliceAxesDirectionCosines__3Function
//input a0 a1 
//output none
ArrayVector vtkImageResliceSetResliceAxesDirectionCosines__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetResliceAxesDirectionCosines (const double xyz[9]);this SetResliceAxesDirectionCosines xyz xyz xyz xyz xyz xyz xyz xyz xyz  */
  if (arg.size() < 2) 
    throw Exception("Function SetResliceAxesDirectionCosines__3 for class vtkImageReslice requires 2 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  double temp0[9];
  if ( !(arg[1].isVector() && arg[1].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetResliceAxesDirectionCosines(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:GetResliceAxesDirectionCosines__1 vtkImageResliceGetResliceAxesDirectionCosines__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageResliceGetResliceAxesDirectionCosines__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetResliceAxesDirectionCosines (double x[3], double y[3], double z[3]); */
  if (arg.size() < 4) 
    throw Exception("Function GetResliceAxesDirectionCosines__1 for class vtkImageReslice requires 4 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double temp2[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  vtk_pointer->GetResliceAxesDirectionCosines(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:GetResliceAxesDirectionCosines__2 vtkImageResliceGetResliceAxesDirectionCosines__2Function
//input a0 a1 
//output none
ArrayVector vtkImageResliceGetResliceAxesDirectionCosines__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetResliceAxesDirectionCosines (double xyz[9]);this GetResliceAxesDirectionCosines xyz xyz xyz  */
  if (arg.size() < 2) 
    throw Exception("Function GetResliceAxesDirectionCosines__2 for class vtkImageReslice requires 2 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  double temp0[9];
  if ( !(arg[1].isVector() && arg[1].length() == 9) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetResliceAxesDirectionCosines(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:GetResliceAxesDirectionCosines__3 vtkImageResliceGetResliceAxesDirectionCosines__3Function
//input a0 
//output y
ArrayVector vtkImageResliceGetResliceAxesDirectionCosines__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetResliceAxesDirectionCosines ();this GetResliceAxesDirectionCosines this ResliceAxesDirectionCosines return this ResliceAxesDirectionCosines  */
  if (arg.size() < 1) 
    throw Exception("Function GetResliceAxesDirectionCosines__3 for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetResliceAxesDirectionCosines();
  BasicArray<double> tempResult(NTuple(9,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  tempResult[7] = (double)temp20[6];
  tempResult[8] = (double)temp20[7];
  tempResult[9] = (double)temp20[8];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetResliceAxesOrigin__1 vtkImageResliceSetResliceAxesOrigin__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageResliceSetResliceAxesOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetResliceAxesOrigin (double x, double y, double z); */
  if (arg.size() < 4) 
    throw Exception("Function SetResliceAxesOrigin__1 for class vtkImageReslice requires 4 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetResliceAxesOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetResliceAxesOrigin__2 vtkImageResliceSetResliceAxesOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkImageResliceSetResliceAxesOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetResliceAxesOrigin (const double xyz[3]);this SetResliceAxesOrigin xyz xyz xyz  */
  if (arg.size() < 2) 
    throw Exception("Function SetResliceAxesOrigin__2 for class vtkImageReslice requires 2 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetResliceAxesOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:GetResliceAxesOrigin__1 vtkImageResliceGetResliceAxesOrigin__1Function
//input a0 a1 
//output none
ArrayVector vtkImageResliceGetResliceAxesOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetResliceAxesOrigin (double xyz[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetResliceAxesOrigin__1 for class vtkImageReslice requires 2 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetResliceAxesOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:GetResliceAxesOrigin__2 vtkImageResliceGetResliceAxesOrigin__2Function
//input a0 
//output y
ArrayVector vtkImageResliceGetResliceAxesOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetResliceAxesOrigin ();this GetResliceAxesOrigin this ResliceAxesOrigin return this ResliceAxesOrigin  */
  if (arg.size() < 1) 
    throw Exception("Function GetResliceAxesOrigin__2 for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetResliceAxesOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetResliceTransform vtkImageResliceSetResliceTransformFunction
//input a0 a1 
//output none
ArrayVector vtkImageResliceSetResliceTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetResliceTransform (vtkAbstractTransform *); */
  if (arg.size() < 2) 
    throw Exception("Function SetResliceTransform for class vtkImageReslice requires 2 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp0;
  temp0 = GetVTKPointer<vtkAbstractTransform>(arg[1]);
  vtk_pointer->SetResliceTransform(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:GetResliceTransform vtkImageResliceGetResliceTransformFunction
//input a0 
//output y
ArrayVector vtkImageResliceGetResliceTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractTransform *GetResliceTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResliceTransform for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->GetResliceTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetInformationInput vtkImageResliceSetInformationInputFunction
//input a0 a1 
//output none
ArrayVector vtkImageResliceSetInformationInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInformationInput (vtkImageData *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInformationInput for class vtkImageReslice requires 2 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetInformationInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:GetInformationInput vtkImageResliceGetInformationInputFunction
//input a0 
//output y
ArrayVector vtkImageResliceGetInformationInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetInformationInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInformationInput for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetInformationInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetTransformInputSampling vtkImageResliceSetTransformInputSamplingFunction
//input a0 a1 
//output none
ArrayVector vtkImageResliceSetTransformInputSamplingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTransformInputSampling (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTransformInputSampling for class vtkImageReslice requires 2 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTransformInputSampling(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:TransformInputSamplingOn vtkImageResliceTransformInputSamplingOnFunction
//input a0 
//output none
ArrayVector vtkImageResliceTransformInputSamplingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TransformInputSamplingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TransformInputSamplingOn for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  vtk_pointer->TransformInputSamplingOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:TransformInputSamplingOff vtkImageResliceTransformInputSamplingOffFunction
//input a0 
//output none
ArrayVector vtkImageResliceTransformInputSamplingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TransformInputSamplingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TransformInputSamplingOff for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  vtk_pointer->TransformInputSamplingOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:GetTransformInputSampling vtkImageResliceGetTransformInputSamplingFunction
//input a0 
//output y
ArrayVector vtkImageResliceGetTransformInputSamplingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTransformInputSampling (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTransformInputSampling for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTransformInputSampling();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetAutoCropOutput vtkImageResliceSetAutoCropOutputFunction
//input a0 a1 
//output none
ArrayVector vtkImageResliceSetAutoCropOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAutoCropOutput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAutoCropOutput for class vtkImageReslice requires 2 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAutoCropOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:AutoCropOutputOn vtkImageResliceAutoCropOutputOnFunction
//input a0 
//output none
ArrayVector vtkImageResliceAutoCropOutputOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutoCropOutputOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AutoCropOutputOn for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  vtk_pointer->AutoCropOutputOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:AutoCropOutputOff vtkImageResliceAutoCropOutputOffFunction
//input a0 
//output none
ArrayVector vtkImageResliceAutoCropOutputOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutoCropOutputOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AutoCropOutputOff for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  vtk_pointer->AutoCropOutputOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:GetAutoCropOutput vtkImageResliceGetAutoCropOutputFunction
//input a0 
//output y
ArrayVector vtkImageResliceGetAutoCropOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutoCropOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutoCropOutput for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutoCropOutput();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetWrap vtkImageResliceSetWrapFunction
//input a0 a1 
//output none
ArrayVector vtkImageResliceSetWrapFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWrap (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetWrap for class vtkImageReslice requires 2 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetWrap(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:GetWrap vtkImageResliceGetWrapFunction
//input a0 
//output y
ArrayVector vtkImageResliceGetWrapFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWrap (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWrap for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWrap();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:WrapOn vtkImageResliceWrapOnFunction
//input a0 
//output none
ArrayVector vtkImageResliceWrapOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WrapOn (); */
  if (arg.size() < 1) 
    throw Exception("Function WrapOn for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  vtk_pointer->WrapOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:WrapOff vtkImageResliceWrapOffFunction
//input a0 
//output none
ArrayVector vtkImageResliceWrapOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WrapOff (); */
  if (arg.size() < 1) 
    throw Exception("Function WrapOff for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  vtk_pointer->WrapOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetMirror vtkImageResliceSetMirrorFunction
//input a0 a1 
//output none
ArrayVector vtkImageResliceSetMirrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMirror (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMirror for class vtkImageReslice requires 2 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMirror(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:GetMirror vtkImageResliceGetMirrorFunction
//input a0 
//output y
ArrayVector vtkImageResliceGetMirrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMirror (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMirror for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMirror();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:MirrorOn vtkImageResliceMirrorOnFunction
//input a0 
//output none
ArrayVector vtkImageResliceMirrorOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MirrorOn (); */
  if (arg.size() < 1) 
    throw Exception("Function MirrorOn for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  vtk_pointer->MirrorOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:MirrorOff vtkImageResliceMirrorOffFunction
//input a0 
//output none
ArrayVector vtkImageResliceMirrorOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MirrorOff (); */
  if (arg.size() < 1) 
    throw Exception("Function MirrorOff for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  vtk_pointer->MirrorOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetBorder vtkImageResliceSetBorderFunction
//input a0 a1 
//output none
ArrayVector vtkImageResliceSetBorderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBorder (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBorder for class vtkImageReslice requires 2 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBorder(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:GetBorder vtkImageResliceGetBorderFunction
//input a0 
//output y
ArrayVector vtkImageResliceGetBorderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBorder (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBorder for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBorder();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:BorderOn vtkImageResliceBorderOnFunction
//input a0 
//output none
ArrayVector vtkImageResliceBorderOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BorderOn (); */
  if (arg.size() < 1) 
    throw Exception("Function BorderOn for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  vtk_pointer->BorderOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:BorderOff vtkImageResliceBorderOffFunction
//input a0 
//output none
ArrayVector vtkImageResliceBorderOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BorderOff (); */
  if (arg.size() < 1) 
    throw Exception("Function BorderOff for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  vtk_pointer->BorderOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetInterpolationMode vtkImageResliceSetInterpolationModeFunction
//input a0 a1 
//output none
ArrayVector vtkImageResliceSetInterpolationModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolationMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInterpolationMode for class vtkImageReslice requires 2 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInterpolationMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:GetInterpolationModeMinValue vtkImageResliceGetInterpolationModeMinValueFunction
//input a0 
//output y
ArrayVector vtkImageResliceGetInterpolationModeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInterpolationModeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInterpolationModeMinValue for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInterpolationModeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:GetInterpolationModeMaxValue vtkImageResliceGetInterpolationModeMaxValueFunction
//input a0 
//output y
ArrayVector vtkImageResliceGetInterpolationModeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInterpolationModeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInterpolationModeMaxValue for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInterpolationModeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:GetInterpolationMode vtkImageResliceGetInterpolationModeFunction
//input a0 
//output y
ArrayVector vtkImageResliceGetInterpolationModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInterpolationMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInterpolationMode for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInterpolationMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetInterpolationModeToNearestNeighbor vtkImageResliceSetInterpolationModeToNearestNeighborFunction
//input a0 
//output none
ArrayVector vtkImageResliceSetInterpolationModeToNearestNeighborFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolationModeToNearestNeighbor ();this SetInterpolationMode VTK_RESLICE_NEAREST  */
  if (arg.size() < 1) 
    throw Exception("Function SetInterpolationModeToNearestNeighbor for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  vtk_pointer->SetInterpolationModeToNearestNeighbor();
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetInterpolationModeToLinear vtkImageResliceSetInterpolationModeToLinearFunction
//input a0 
//output none
ArrayVector vtkImageResliceSetInterpolationModeToLinearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolationModeToLinear ();this SetInterpolationMode VTK_RESLICE_LINEAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetInterpolationModeToLinear for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  vtk_pointer->SetInterpolationModeToLinear();
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetInterpolationModeToCubic vtkImageResliceSetInterpolationModeToCubicFunction
//input a0 
//output none
ArrayVector vtkImageResliceSetInterpolationModeToCubicFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolationModeToCubic ();this SetInterpolationMode VTK_RESLICE_CUBIC  */
  if (arg.size() < 1) 
    throw Exception("Function SetInterpolationModeToCubic for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  vtk_pointer->SetInterpolationModeToCubic();
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:GetInterpolationModeAsString vtkImageResliceGetInterpolationModeAsStringFunction
//input a0 
//output y
ArrayVector vtkImageResliceGetInterpolationModeAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetInterpolationModeAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInterpolationModeAsString for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetInterpolationModeAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetOptimization vtkImageResliceSetOptimizationFunction
//input a0 a1 
//output none
ArrayVector vtkImageResliceSetOptimizationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOptimization (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOptimization for class vtkImageReslice requires 2 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOptimization(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:GetOptimization vtkImageResliceGetOptimizationFunction
//input a0 
//output y
ArrayVector vtkImageResliceGetOptimizationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOptimization (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOptimization for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOptimization();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:OptimizationOn vtkImageResliceOptimizationOnFunction
//input a0 
//output none
ArrayVector vtkImageResliceOptimizationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OptimizationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function OptimizationOn for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  vtk_pointer->OptimizationOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:OptimizationOff vtkImageResliceOptimizationOffFunction
//input a0 
//output none
ArrayVector vtkImageResliceOptimizationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OptimizationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function OptimizationOff for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  vtk_pointer->OptimizationOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetBackgroundColor__1 vtkImageResliceSetBackgroundColor__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkImageResliceSetBackgroundColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBackgroundColor (double , double , double , double ); */
  if (arg.size() < 5) 
    throw Exception("Function SetBackgroundColor__1 for class vtkImageReslice requires 5 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetBackgroundColor(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetBackgroundColor__2 vtkImageResliceSetBackgroundColor__2Function
//input a0 a1 
//output none
ArrayVector vtkImageResliceSetBackgroundColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBackgroundColor (double  a[4]); */
  if (arg.size() < 2) 
    throw Exception("Function SetBackgroundColor__2 for class vtkImageReslice requires 2 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  double temp0[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetBackgroundColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:GetBackgroundColor vtkImageResliceGetBackgroundColorFunction
//input a0 
//output y
ArrayVector vtkImageResliceGetBackgroundColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetBackgroundColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBackgroundColor for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBackgroundColor();
  BasicArray<double> tempResult(NTuple(4,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetBackgroundLevel vtkImageResliceSetBackgroundLevelFunction
//input a0 a1 
//output none
ArrayVector vtkImageResliceSetBackgroundLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBackgroundLevel (double v);this SetBackgroundColor v v v v  */
  if (arg.size() < 2) 
    throw Exception("Function SetBackgroundLevel for class vtkImageReslice requires 2 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetBackgroundLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:GetBackgroundLevel vtkImageResliceGetBackgroundLevelFunction
//input a0 
//output y
ArrayVector vtkImageResliceGetBackgroundLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetBackgroundLevel ();return this GetBackgroundColor  */
  if (arg.size() < 1) 
    throw Exception("Function GetBackgroundLevel for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetBackgroundLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetOutputSpacing__1 vtkImageResliceSetOutputSpacing__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageResliceSetOutputSpacing__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputSpacing (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetOutputSpacing__1 for class vtkImageReslice requires 4 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOutputSpacing(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetOutputSpacing__2 vtkImageResliceSetOutputSpacing__2Function
//input a0 a1 
//output none
ArrayVector vtkImageResliceSetOutputSpacing__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputSpacing (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputSpacing__2 for class vtkImageReslice requires 2 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOutputSpacing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:GetOutputSpacing vtkImageResliceGetOutputSpacingFunction
//input a0 
//output y
ArrayVector vtkImageResliceGetOutputSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetOutputSpacing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputSpacing for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOutputSpacing();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetOutputSpacingToDefault vtkImageResliceSetOutputSpacingToDefaultFunction
//input a0 
//output none
ArrayVector vtkImageResliceSetOutputSpacingToDefaultFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputSpacingToDefault ();this SetOutputSpacing VTK_DOUBLE_MAX VTK_DOUBLE_MAX VTK_DOUBLE_MAX  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputSpacingToDefault for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputSpacingToDefault();
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetOutputOrigin__1 vtkImageResliceSetOutputOrigin__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageResliceSetOutputOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputOrigin (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetOutputOrigin__1 for class vtkImageReslice requires 4 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOutputOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetOutputOrigin__2 vtkImageResliceSetOutputOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkImageResliceSetOutputOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputOrigin (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputOrigin__2 for class vtkImageReslice requires 2 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOutputOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:GetOutputOrigin vtkImageResliceGetOutputOriginFunction
//input a0 
//output y
ArrayVector vtkImageResliceGetOutputOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetOutputOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputOrigin for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOutputOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetOutputOriginToDefault vtkImageResliceSetOutputOriginToDefaultFunction
//input a0 
//output none
ArrayVector vtkImageResliceSetOutputOriginToDefaultFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputOriginToDefault ();this SetOutputOrigin VTK_DOUBLE_MAX VTK_DOUBLE_MAX VTK_DOUBLE_MAX  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputOriginToDefault for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputOriginToDefault();
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetOutputExtent__1 vtkImageResliceSetOutputExtent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkImageResliceSetOutputExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputExtent (int , int , int , int , int , int ); */
  if (arg.size() < 7) 
    throw Exception("Function SetOutputExtent__1 for class vtkImageReslice requires 7 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetOutputExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetOutputExtent__2 vtkImageResliceSetOutputExtent__2Function
//input a0 a1 
//output none
ArrayVector vtkImageResliceSetOutputExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputExtent (int  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputExtent__2 for class vtkImageReslice requires 2 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetOutputExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:GetOutputExtent vtkImageResliceGetOutputExtentFunction
//input a0 
//output y
ArrayVector vtkImageResliceGetOutputExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetOutputExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputExtent for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetOutputExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetOutputExtentToDefault vtkImageResliceSetOutputExtentToDefaultFunction
//input a0 
//output none
ArrayVector vtkImageResliceSetOutputExtentToDefaultFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputExtentToDefault ();this SetOutputExtent VTK_INT_MIN VTK_INT_MAX VTK_INT_MIN VTK_INT_MAX VTK_INT_MIN VTK_INT_MAX  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputExtentToDefault for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputExtentToDefault();
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetOutputDimensionality vtkImageResliceSetOutputDimensionalityFunction
//input a0 a1 
//output none
ArrayVector vtkImageResliceSetOutputDimensionalityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputDimensionality (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputDimensionality for class vtkImageReslice requires 2 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutputDimensionality(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:GetOutputDimensionality vtkImageResliceGetOutputDimensionalityFunction
//input a0 
//output y
ArrayVector vtkImageResliceGetOutputDimensionalityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputDimensionality (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputDimensionality for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutputDimensionality();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:GetMTime vtkImageResliceGetMTimeFunction
//input a0 
//output y
ArrayVector vtkImageResliceGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:ReportReferences vtkImageResliceReportReferencesFunction
//input a0 a1 
//output none
ArrayVector vtkImageResliceReportReferencesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ReportReferences (vtkGarbageCollector *); */
  if (arg.size() < 2) 
    throw Exception("Function ReportReferences for class vtkImageReslice requires 2 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  vtkGarbageCollector  *temp0;
  temp0 = GetVTKPointer<vtkGarbageCollector>(arg[1]);
  vtk_pointer->ReportReferences(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetInterpolate vtkImageResliceSetInterpolateFunction
//input a0 a1 
//output none
ArrayVector vtkImageResliceSetInterpolateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInterpolate (int t);if t this GetInterpolate this SetInterpolationModeToLinear else if t this GetInterpolate this SetInterpolationModeToNearestNeighbor  */
  if (arg.size() < 2) 
    throw Exception("Function SetInterpolate for class vtkImageReslice requires 2 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInterpolate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:InterpolateOn vtkImageResliceInterpolateOnFunction
//input a0 
//output none
ArrayVector vtkImageResliceInterpolateOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InterpolateOn ();this SetInterpolate  */
  if (arg.size() < 1) 
    throw Exception("Function InterpolateOn for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  vtk_pointer->InterpolateOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:InterpolateOff vtkImageResliceInterpolateOffFunction
//input a0 
//output none
ArrayVector vtkImageResliceInterpolateOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InterpolateOff ();this SetInterpolate  */
  if (arg.size() < 1) 
    throw Exception("Function InterpolateOff for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  vtk_pointer->InterpolateOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:GetInterpolate vtkImageResliceGetInterpolateFunction
//input a0 
//output y
ArrayVector vtkImageResliceGetInterpolateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInterpolate ();return this GetInterpolationMode VTK_RESLICE_NEAREST  */
  if (arg.size() < 1) 
    throw Exception("Function GetInterpolate for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInterpolate();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetStencil vtkImageResliceSetStencilFunction
//input a0 a1 
//output none
ArrayVector vtkImageResliceSetStencilFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStencil (vtkImageStencilData *stencil); */
  if (arg.size() < 2) 
    throw Exception("Function SetStencil for class vtkImageReslice requires 2 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  vtkImageStencilData  *temp0;
  temp0 = GetVTKPointer<vtkImageStencilData>(arg[1]);
  vtk_pointer->SetStencil(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:GetStencil vtkImageResliceGetStencilFunction
//input a0 
//output y
ArrayVector vtkImageResliceGetStencilFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageStencilData *GetStencil (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStencil for class vtkImageReslice requires 1 argument(s)");
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  Array retval;
  vtkImageStencilData  *temp20;
  temp20 = (vtk_pointer)->GetStencil();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageStencilData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageReslice:SetResliceAxesDirectionCosines vtkImageResliceSetResliceAxesDirectionCosinesFunction
//input varargin
//output varargout
ArrayVector vtkImageResliceSetResliceAxesDirectionCosinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 10) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]) && VTKIsScalarArg(arg[7]) && VTKIsScalarArg(arg[8]) && VTKIsScalarArg(arg[9]))
    return vtkImageResliceSetResliceAxesDirectionCosines__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkImageResliceSetResliceAxesDirectionCosines__2Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageResliceSetResliceAxesDirectionCosines__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageResliceSetResliceAxesDirectionCosines");
}

//@@Signature
//sfunction @vtkImageReslice:GetResliceAxesDirectionCosines vtkImageResliceGetResliceAxesDirectionCosinesFunction
//input varargin
//output varargout
ArrayVector vtkImageResliceGetResliceAxesDirectionCosinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkImageResliceGetResliceAxesDirectionCosines__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageResliceGetResliceAxesDirectionCosines__2Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkImageResliceGetResliceAxesDirectionCosines__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageResliceGetResliceAxesDirectionCosines");
}

//@@Signature
//sfunction @vtkImageReslice:SetResliceAxesOrigin vtkImageResliceSetResliceAxesOriginFunction
//input varargin
//output varargout
ArrayVector vtkImageResliceSetResliceAxesOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageResliceSetResliceAxesOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageResliceSetResliceAxesOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageResliceSetResliceAxesOrigin");
}

//@@Signature
//sfunction @vtkImageReslice:GetResliceAxesOrigin vtkImageResliceGetResliceAxesOriginFunction
//input varargin
//output varargout
ArrayVector vtkImageResliceGetResliceAxesOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageResliceGetResliceAxesOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkImageResliceGetResliceAxesOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageResliceGetResliceAxesOrigin");
}

//@@Signature
//sfunction @vtkImageReslice:SetBackgroundColor vtkImageResliceSetBackgroundColorFunction
//input varargin
//output varargout
ArrayVector vtkImageResliceSetBackgroundColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkImageResliceSetBackgroundColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageResliceSetBackgroundColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageResliceSetBackgroundColor");
}

//@@Signature
//sfunction @vtkImageReslice:SetOutputSpacing vtkImageResliceSetOutputSpacingFunction
//input varargin
//output varargout
ArrayVector vtkImageResliceSetOutputSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageResliceSetOutputSpacing__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageResliceSetOutputSpacing__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageResliceSetOutputSpacing");
}

//@@Signature
//sfunction @vtkImageReslice:SetOutputOrigin vtkImageResliceSetOutputOriginFunction
//input varargin
//output varargout
ArrayVector vtkImageResliceSetOutputOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageResliceSetOutputOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageResliceSetOutputOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageResliceSetOutputOrigin");
}

//@@Signature
//sfunction @vtkImageReslice:SetOutputExtent vtkImageResliceSetOutputExtentFunction
//input varargin
//output varargout
ArrayVector vtkImageResliceSetOutputExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkImageResliceSetOutputExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageResliceSetOutputExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageResliceSetOutputExtent");
}

//@@Signature
//sfunction @vtkImageReslice:display vtkImageResliceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageResliceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageReslice* vtk_pointer = GetVTKPointer<vtkImageReslice>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageReslice:delete vtkImageResliceDeleteFunction
//input varargin
//output none
ArrayVector vtkImageResliceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageReslice
//@@Section VTKImaging
//@@Usage
// vtkImageReslice is the swiss-army-knife of image geometry filters:  
// It can permute, rotate, flip, scale, resample, deform, and pad image
// data in any combination with reasonably high efficiency.  Simple
// operations such as permutation, resampling and padding are done
// with similar efficiently to the specialized vtkImagePermute,
// vtkImageResample, and vtkImagePad filters.  There are a number of
// tasks that vtkImageReslice is well suited for:
// <p>1) Application of simple rotations, scales, and translations to
// an image. It is often a good idea to use vtkImageChangeInformation
// to center the image first, so that scales and rotations occur around
// the center rather than around the lower-left corner of the image.
// <p>2) Resampling of one data set to match the voxel sampling of 
// a second data set via the SetInformationInput() method, e.g. for
// the purpose of comparing two images or combining two images.
// A transformation, either linear or nonlinear, can be applied 
// at the same time via the SetResliceTransform method if the two
// images are not in the same coordinate space.
// <p>3) Extraction of slices from an image volume.  The most convenient
// way to do this is to use SetResliceAxesDirectionCosines() to
// specify the orientation of the slice.  The direction cosines give
// the x, y, and z axes for the output volume.  The method 
// SetOutputDimensionality(2) is used to specify that want to output a
// slice rather than a volume.  The SetResliceAxesOrigin() command is
// used to provide an (x,y,z) point that the slice will pass through.
// You can use both the ResliceAxes and the ResliceTransform at the
// same time, in order to extract slices from a volume that you have
// applied a transformation to.
//
//To create an instance of class vtkImageReslice, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageReslice
//@]
//@@Methods
//The class vtkImageReslice has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageReslice class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageReslice = obj.NewInstance ()|
// \item @|vtkImageReslice = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetResliceAxes (vtkMatrix4x4 )| -  This method is used to set up the axes for the output voxels.
// The output Spacing, Origin, and Extent specify the locations
// of the voxels within the coordinate system defined by the axes.
// The ResliceAxes are used most often to permute the data, e.g.
// to extract ZY or XZ slices of a volume as 2D XY images.
// <p>The first column of the matrix specifies the x-axis 
// vector (the fourth element must be set to zero), the second
// column specifies the y-axis, and the third column the
// z-axis.  The fourth column is the origin of the
// axes (the fourth element must be set to one).  
// <p>An alternative to SetResliceAxes() is to use 
// SetResliceAxesDirectionCosines() to set the directions of the
// axes and SetResliceAxesOrigin() to set the origin of the axes.
//// \item @|vtkMatrix4x4 = obj.GetResliceAxes ()| -  This method is used to set up the axes for the output voxels.
// The output Spacing, Origin, and Extent specify the locations
// of the voxels within the coordinate system defined by the axes.
// The ResliceAxes are used most often to permute the data, e.g.
// to extract ZY or XZ slices of a volume as 2D XY images.
// <p>The first column of the matrix specifies the x-axis 
// vector (the fourth element must be set to zero), the second
// column specifies the y-axis, and the third column the
// z-axis.  The fourth column is the origin of the
// axes (the fourth element must be set to one).  
// <p>An alternative to SetResliceAxes() is to use 
// SetResliceAxesDirectionCosines() to set the directions of the
// axes and SetResliceAxesOrigin() to set the origin of the axes.
//// \item @|obj.SetResliceAxesDirectionCosines (double x0, double x1, double x2, double y0, double y1, double y2, double z0, double z1, double z2)| -  Specify the direction cosines for the ResliceAxes (i.e. the
// first three elements of each of the first three columns of 
// the ResliceAxes matrix).  This will modify the current
// ResliceAxes matrix, or create a new matrix if none exists.
//// \item @|obj.SetResliceAxesDirectionCosines (double x[3], double y[3], double z[3])| -  Specify the direction cosines for the ResliceAxes (i.e. the
// first three elements of each of the first three columns of 
// the ResliceAxes matrix).  This will modify the current
// ResliceAxes matrix, or create a new matrix if none exists.
//// \item @|obj.SetResliceAxesDirectionCosines (double xyz[9])| -  Specify the direction cosines for the ResliceAxes (i.e. the
// first three elements of each of the first three columns of 
// the ResliceAxes matrix).  This will modify the current
// ResliceAxes matrix, or create a new matrix if none exists.
//// \item @|obj.GetResliceAxesDirectionCosines (double x[3], double y[3], double z[3])| -  Specify the direction cosines for the ResliceAxes (i.e. the
// first three elements of each of the first three columns of 
// the ResliceAxes matrix).  This will modify the current
// ResliceAxes matrix, or create a new matrix if none exists.
//// \item @|obj.GetResliceAxesDirectionCosines (double xyz[9])| -  Specify the direction cosines for the ResliceAxes (i.e. the
// first three elements of each of the first three columns of 
// the ResliceAxes matrix).  This will modify the current
// ResliceAxes matrix, or create a new matrix if none exists.
//// \item @|double = obj.GetResliceAxesDirectionCosines ()| -  Specify the direction cosines for the ResliceAxes (i.e. the
// first three elements of each of the first three columns of 
// the ResliceAxes matrix).  This will modify the current
// ResliceAxes matrix, or create a new matrix if none exists.
//// \item @|obj.SetResliceAxesOrigin (double x, double y, double z)| -  Specify the origin for the ResliceAxes (i.e. the first three
// elements of the final column of the ResliceAxes matrix).
// This will modify the current ResliceAxes matrix, or create
// new matrix if none exists.
//// \item @|obj.SetResliceAxesOrigin (double xyz[3])| -  Specify the origin for the ResliceAxes (i.e. the first three
// elements of the final column of the ResliceAxes matrix).
// This will modify the current ResliceAxes matrix, or create
// new matrix if none exists.
//// \item @|obj.GetResliceAxesOrigin (double xyz[3])| -  Specify the origin for the ResliceAxes (i.e. the first three
// elements of the final column of the ResliceAxes matrix).
// This will modify the current ResliceAxes matrix, or create
// new matrix if none exists.
//// \item @|double = obj.GetResliceAxesOrigin ()| -  Specify the origin for the ResliceAxes (i.e. the first three
// elements of the final column of the ResliceAxes matrix).
// This will modify the current ResliceAxes matrix, or create
// new matrix if none exists.
//// \item @|obj.SetResliceTransform (vtkAbstractTransform )| -  Set a transform to be applied to the resampling grid that has
// been defined via the ResliceAxes and the output Origin, Spacing
// and Extent.  Note that applying a transform to the resampling
// grid (which lies in the output coordinate system) is
// equivalent to applying the inverse of that transform to
// the input volume.  Nonlinear transforms such as vtkGridTransform
// and vtkThinPlateSplineTransform can be used here.
//// \item @|vtkAbstractTransform = obj.GetResliceTransform ()| -  Set a transform to be applied to the resampling grid that has
// been defined via the ResliceAxes and the output Origin, Spacing
// and Extent.  Note that applying a transform to the resampling
// grid (which lies in the output coordinate system) is
// equivalent to applying the inverse of that transform to
// the input volume.  Nonlinear transforms such as vtkGridTransform
// and vtkThinPlateSplineTransform can be used here.
//// \item @|obj.SetInformationInput (vtkImageData )| -  Set a vtkImageData from which the default Spacing, Origin,
// and WholeExtent of the output will be copied.  The spacing,
// origin, and extent will be permuted according to the 
// ResliceAxes.  Any values set via SetOutputSpacing, 
// SetOutputOrigin, and SetOutputExtent will override these
// values.  By default, the Spacing, Origin, and WholeExtent
// of the Input are used.
//// \item @|vtkImageData = obj.GetInformationInput ()| -  Set a vtkImageData from which the default Spacing, Origin,
// and WholeExtent of the output will be copied.  The spacing,
// origin, and extent will be permuted according to the 
// ResliceAxes.  Any values set via SetOutputSpacing, 
// SetOutputOrigin, and SetOutputExtent will override these
// values.  By default, the Spacing, Origin, and WholeExtent
// of the Input are used.
//// \item @|obj.SetTransformInputSampling (int )| -  Specify whether to transform the spacing, origin and extent
// of the Input (or the InformationInput) according to the
// direction cosines and origin of the ResliceAxes before applying
// them as the default output spacing, origin and extent 
// (default: On).
//// \item @|obj.TransformInputSamplingOn ()| -  Specify whether to transform the spacing, origin and extent
// of the Input (or the InformationInput) according to the
// direction cosines and origin of the ResliceAxes before applying
// them as the default output spacing, origin and extent 
// (default: On).
//// \item @|obj.TransformInputSamplingOff ()| -  Specify whether to transform the spacing, origin and extent
// of the Input (or the InformationInput) according to the
// direction cosines and origin of the ResliceAxes before applying
// them as the default output spacing, origin and extent 
// (default: On).
//// \item @|int = obj.GetTransformInputSampling ()| -  Specify whether to transform the spacing, origin and extent
// of the Input (or the InformationInput) according to the
// direction cosines and origin of the ResliceAxes before applying
// them as the default output spacing, origin and extent 
// (default: On).
//// \item @|obj.SetAutoCropOutput (int )| -  Turn this on if you want to guarantee that the extent of the
// output will be large enough to ensure that none of the 
// data will be cropped (default: Off).
//// \item @|obj.AutoCropOutputOn ()| -  Turn this on if you want to guarantee that the extent of the
// output will be large enough to ensure that none of the 
// data will be cropped (default: Off).
//// \item @|obj.AutoCropOutputOff ()| -  Turn this on if you want to guarantee that the extent of the
// output will be large enough to ensure that none of the 
// data will be cropped (default: Off).
//// \item @|int = obj.GetAutoCropOutput ()| -  Turn this on if you want to guarantee that the extent of the
// output will be large enough to ensure that none of the 
// data will be cropped (default: Off).
//// \item @|obj.SetWrap (int )| -  Turn on wrap-pad feature (default: Off).
//// \item @|int = obj.GetWrap ()| -  Turn on wrap-pad feature (default: Off).
//// \item @|obj.WrapOn ()| -  Turn on wrap-pad feature (default: Off).
//// \item @|obj.WrapOff ()| -  Turn on wrap-pad feature (default: Off).
//// \item @|obj.SetMirror (int )| -  Turn on mirror-pad feature (default: Off).
// This will override the wrap-pad. 
//// \item @|int = obj.GetMirror ()| -  Turn on mirror-pad feature (default: Off).
// This will override the wrap-pad. 
//// \item @|obj.MirrorOn ()| -  Turn on mirror-pad feature (default: Off).
// This will override the wrap-pad. 
//// \item @|obj.MirrorOff ()| -  Turn on mirror-pad feature (default: Off).
// This will override the wrap-pad. 
//// \item @|obj.SetBorder (int )| -  Extend the apparent input border by a half voxel (default: On).
// This changes how interpolation is handled at the borders of the
// input image: if the center of an output voxel is beyond the edge
// of the input image, but is within a half voxel width of the edge
// (using the input voxel width), then the value of the output voxel
// is calculated as if the input's edge voxels were duplicated past
// the edges of the input.
// This has no effect if Mirror or Wrap are on.
//// \item @|int = obj.GetBorder ()| -  Extend the apparent input border by a half voxel (default: On).
// This changes how interpolation is handled at the borders of the
// input image: if the center of an output voxel is beyond the edge
// of the input image, but is within a half voxel width of the edge
// (using the input voxel width), then the value of the output voxel
// is calculated as if the input's edge voxels were duplicated past
// the edges of the input.
// This has no effect if Mirror or Wrap are on.
//// \item @|obj.BorderOn ()| -  Extend the apparent input border by a half voxel (default: On).
// This changes how interpolation is handled at the borders of the
// input image: if the center of an output voxel is beyond the edge
// of the input image, but is within a half voxel width of the edge
// (using the input voxel width), then the value of the output voxel
// is calculated as if the input's edge voxels were duplicated past
// the edges of the input.
// This has no effect if Mirror or Wrap are on.
//// \item @|obj.BorderOff ()| -  Extend the apparent input border by a half voxel (default: On).
// This changes how interpolation is handled at the borders of the
// input image: if the center of an output voxel is beyond the edge
// of the input image, but is within a half voxel width of the edge
// (using the input voxel width), then the value of the output voxel
// is calculated as if the input's edge voxels were duplicated past
// the edges of the input.
// This has no effect if Mirror or Wrap are on.
//// \item @|obj.SetInterpolationMode (int )| -  Set interpolation mode (default: nearest neighbor). 
//// \item @|int = obj.GetInterpolationModeMinValue ()| -  Set interpolation mode (default: nearest neighbor). 
//// \item @|int = obj.GetInterpolationModeMaxValue ()| -  Set interpolation mode (default: nearest neighbor). 
//// \item @|int = obj.GetInterpolationMode ()| -  Set interpolation mode (default: nearest neighbor). 
//// \item @|obj.SetInterpolationModeToNearestNeighbor ()| -  Set interpolation mode (default: nearest neighbor). 
//// \item @|obj.SetInterpolationModeToLinear ()| -  Set interpolation mode (default: nearest neighbor). 
//// \item @|obj.SetInterpolationModeToCubic ()| -  Set interpolation mode (default: nearest neighbor). 
//// \item @|string = obj.GetInterpolationModeAsString ()| -  Set interpolation mode (default: nearest neighbor). 
//// \item @|obj.SetOptimization (int )| -  Turn on and off optimizations (default on, they should only be
// turned off for testing purposes). 
//// \item @|int = obj.GetOptimization ()| -  Turn on and off optimizations (default on, they should only be
// turned off for testing purposes). 
//// \item @|obj.OptimizationOn ()| -  Turn on and off optimizations (default on, they should only be
// turned off for testing purposes). 
//// \item @|obj.OptimizationOff ()| -  Turn on and off optimizations (default on, they should only be
// turned off for testing purposes). 
//// \item @|obj.SetBackgroundColor (double , double , double , double )| -  Set the background color (for multi-component images).
//// \item @|obj.SetBackgroundColor (double  a[4])| -  Set the background color (for multi-component images).
//// \item @|double = obj. GetBackgroundColor ()| -  Set the background color (for multi-component images).
//// \item @|obj.SetBackgroundLevel (double v)| -  Set background grey level (for single-component images).
//// \item @|double = obj.GetBackgroundLevel ()| -  Set background grey level (for single-component images).
//// \item @|obj.SetOutputSpacing (double , double , double )| -  Set the voxel spacing for the output data.  The default output
// spacing is the input spacing permuted through the ResliceAxes.
//// \item @|obj.SetOutputSpacing (double  a[3])| -  Set the voxel spacing for the output data.  The default output
// spacing is the input spacing permuted through the ResliceAxes.
//// \item @|double = obj. GetOutputSpacing ()| -  Set the voxel spacing for the output data.  The default output
// spacing is the input spacing permuted through the ResliceAxes.
//// \item @|obj.SetOutputSpacingToDefault ()| -  Set the voxel spacing for the output data.  The default output
// spacing is the input spacing permuted through the ResliceAxes.
//// \item @|obj.SetOutputOrigin (double , double , double )| -  Set the origin for the output data.  The default output origin
// is the input origin permuted through the ResliceAxes.
//// \item @|obj.SetOutputOrigin (double  a[3])| -  Set the origin for the output data.  The default output origin
// is the input origin permuted through the ResliceAxes.
//// \item @|double = obj. GetOutputOrigin ()| -  Set the origin for the output data.  The default output origin
// is the input origin permuted through the ResliceAxes.
//// \item @|obj.SetOutputOriginToDefault ()| -  Set the origin for the output data.  The default output origin
// is the input origin permuted through the ResliceAxes.
//// \item @|obj.SetOutputExtent (int , int , int , int , int , int )| -  Set the extent for the output data.  The default output extent
// is the input extent permuted through the ResliceAxes.
//// \item @|obj.SetOutputExtent (int  a[6])| -  Set the extent for the output data.  The default output extent
// is the input extent permuted through the ResliceAxes.
//// \item @|int = obj. GetOutputExtent ()| -  Set the extent for the output data.  The default output extent
// is the input extent permuted through the ResliceAxes.
//// \item @|obj.SetOutputExtentToDefault ()| -  Set the extent for the output data.  The default output extent
// is the input extent permuted through the ResliceAxes.
//// \item @|obj.SetOutputDimensionality (int )| -  Force the dimensionality of the output to either 1, 2,
// 3 or 0 (default: 3).  If the dimensionality is 2D, then
// the Z extent of the output is forced to (0,0) and the Z
// origin of the output is forced to 0.0 (i.e. the output
// extent is confined to the xy plane).  If the dimensionality
// is 1D, the output extent is confined to the x axis.  
// For 0D, the output extent consists of a single voxel at 
// (0,0,0).
//// \item @|int = obj.GetOutputDimensionality ()| -  Force the dimensionality of the output to either 1, 2,
// 3 or 0 (default: 3).  If the dimensionality is 2D, then
// the Z extent of the output is forced to (0,0) and the Z
// origin of the output is forced to 0.0 (i.e. the output
// extent is confined to the xy plane).  If the dimensionality
// is 1D, the output extent is confined to the x axis.  
// For 0D, the output extent consists of a single voxel at 
// (0,0,0).
//// \item @|long = obj.GetMTime ()| -  When determining the modified time of the filter, 
// this check the modified time of the transform and matrix.
//// \item @|obj.ReportReferences (vtkGarbageCollector )| -  Report object referenced by instances of this class.
//// \item @|obj.SetInterpolate (int t)| -  Convenient methods for switching between nearest-neighbor and linear
// interpolation.  
// InterpolateOn() is equivalent to SetInterpolationModeToLinear() and
// InterpolateOff() is equivalent to SetInterpolationModeToNearestNeighbor().
// You should not use these methods if you use the SetInterpolationMode
// methods.
//// \item @|obj.InterpolateOn ()| -  Convenient methods for switching between nearest-neighbor and linear
// interpolation.  
// InterpolateOn() is equivalent to SetInterpolationModeToLinear() and
// InterpolateOff() is equivalent to SetInterpolationModeToNearestNeighbor().
// You should not use these methods if you use the SetInterpolationMode
// methods.
//// \item @|obj.InterpolateOff ()| -  Convenient methods for switching between nearest-neighbor and linear
// interpolation.  
// InterpolateOn() is equivalent to SetInterpolationModeToLinear() and
// InterpolateOff() is equivalent to SetInterpolationModeToNearestNeighbor().
// You should not use these methods if you use the SetInterpolationMode
// methods.
//// \item @|int = obj.GetInterpolate ()| -  Convenient methods for switching between nearest-neighbor and linear
// interpolation.  
// InterpolateOn() is equivalent to SetInterpolationModeToLinear() and
// InterpolateOff() is equivalent to SetInterpolationModeToNearestNeighbor().
// You should not use these methods if you use the SetInterpolationMode
// methods.
//// \item @|obj.SetStencil (vtkImageStencilData stencil)| -  Use a stencil to limit the calculations to a specific region of
// the output.  Portions of the output that are 'outside' the stencil
// will be cleared to the background color.  
//// \item @|vtkImageStencilData = obj.GetStencil ()| -  Use a stencil to limit the calculations to a specific region of
// the output.  Portions of the output that are 'outside' the stencil
// will be cleared to the background color.  
////\end{itemize}
//!
