#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageSeedConnectivity object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageSeedConnectivity.h"

//@@Signature
//sfunction @vtkImageSeedConnectivity:vtkImageSeedConnectivity vtkImageSeedConnectivityConstructorFunction
//input a
//output p
//@@Parents vtkImageSeedConnectivity vtkImageAlgorithm 
ArrayVector vtkImageSeedConnectivityConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageSeedConnectivity::New(),"vtkImageSeedConnectivity",eval);
  } else if (arg[0].className() == "vtkImageSeedConnectivity") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageSeedConnectivity"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageSeedConnectivity");
    vtkImageSeedConnectivity*q = reinterpret_cast<vtkImageSeedConnectivity*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageSeedConnectivity");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageSeedConnectivity:GetClassName vtkImageSeedConnectivityGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageSeedConnectivityGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageSeedConnectivity requires 1 argument(s)");
  vtkImageSeedConnectivity* vtk_pointer = GetVTKPointer<vtkImageSeedConnectivity>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageSeedConnectivity:IsA vtkImageSeedConnectivityIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageSeedConnectivityIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageSeedConnectivity requires 2 argument(s)");
  vtkImageSeedConnectivity* vtk_pointer = GetVTKPointer<vtkImageSeedConnectivity>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageSeedConnectivity:NewInstance vtkImageSeedConnectivityNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageSeedConnectivityNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageSeedConnectivity *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageSeedConnectivity requires 1 argument(s)");
  vtkImageSeedConnectivity* vtk_pointer = GetVTKPointer<vtkImageSeedConnectivity>(arg[0]);
  Array retval;
  vtkImageSeedConnectivity  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageSeedConnectivity",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageSeedConnectivity:SafeDownCast vtkImageSeedConnectivitySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageSeedConnectivitySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageSeedConnectivity *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageSeedConnectivity requires 2 argument(s)");
  vtkImageSeedConnectivity* vtk_pointer = GetVTKPointer<vtkImageSeedConnectivity>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageSeedConnectivity  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageSeedConnectivity",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageSeedConnectivity:RemoveAllSeeds vtkImageSeedConnectivityRemoveAllSeedsFunction
//input a0 
//output none
ArrayVector vtkImageSeedConnectivityRemoveAllSeedsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllSeeds (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllSeeds for class vtkImageSeedConnectivity requires 1 argument(s)");
  vtkImageSeedConnectivity* vtk_pointer = GetVTKPointer<vtkImageSeedConnectivity>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllSeeds();
  return retval;
}

//@@Signature
//sfunction @vtkImageSeedConnectivity:AddSeed__1 vtkImageSeedConnectivityAddSeed__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkImageSeedConnectivityAddSeed__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddSeed (int num, int *index); */
  if (arg.size() < 3) 
    throw Exception("Function AddSeed__1 for class vtkImageSeedConnectivity requires 3 argument(s)");
  vtkImageSeedConnectivity* vtk_pointer = GetVTKPointer<vtkImageSeedConnectivity>(arg[0]);
  Array retval;
  int      temp0;
  int     *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  vtk_pointer->AddSeed(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageSeedConnectivity:AddSeed__2 vtkImageSeedConnectivityAddSeed__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageSeedConnectivityAddSeed__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddSeed (int i0, int i1, int i2); */
  if (arg.size() < 4) 
    throw Exception("Function AddSeed__2 for class vtkImageSeedConnectivity requires 4 argument(s)");
  vtkImageSeedConnectivity* vtk_pointer = GetVTKPointer<vtkImageSeedConnectivity>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->AddSeed(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageSeedConnectivity:AddSeed__3 vtkImageSeedConnectivityAddSeed__3Function
//input a0 a1 a2 
//output none
ArrayVector vtkImageSeedConnectivityAddSeed__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddSeed (int i0, int i1); */
  if (arg.size() < 3) 
    throw Exception("Function AddSeed__3 for class vtkImageSeedConnectivity requires 3 argument(s)");
  vtkImageSeedConnectivity* vtk_pointer = GetVTKPointer<vtkImageSeedConnectivity>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->AddSeed(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageSeedConnectivity:SetInputConnectValue vtkImageSeedConnectivitySetInputConnectValueFunction
//input a0 a1 
//output none
ArrayVector vtkImageSeedConnectivitySetInputConnectValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputConnectValue (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInputConnectValue for class vtkImageSeedConnectivity requires 2 argument(s)");
  vtkImageSeedConnectivity* vtk_pointer = GetVTKPointer<vtkImageSeedConnectivity>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInputConnectValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageSeedConnectivity:GetInputConnectValue vtkImageSeedConnectivityGetInputConnectValueFunction
//input a0 
//output y
ArrayVector vtkImageSeedConnectivityGetInputConnectValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInputConnectValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInputConnectValue for class vtkImageSeedConnectivity requires 1 argument(s)");
  vtkImageSeedConnectivity* vtk_pointer = GetVTKPointer<vtkImageSeedConnectivity>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInputConnectValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageSeedConnectivity:SetOutputConnectedValue vtkImageSeedConnectivitySetOutputConnectedValueFunction
//input a0 a1 
//output none
ArrayVector vtkImageSeedConnectivitySetOutputConnectedValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputConnectedValue (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputConnectedValue for class vtkImageSeedConnectivity requires 2 argument(s)");
  vtkImageSeedConnectivity* vtk_pointer = GetVTKPointer<vtkImageSeedConnectivity>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutputConnectedValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageSeedConnectivity:GetOutputConnectedValue vtkImageSeedConnectivityGetOutputConnectedValueFunction
//input a0 
//output y
ArrayVector vtkImageSeedConnectivityGetOutputConnectedValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputConnectedValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputConnectedValue for class vtkImageSeedConnectivity requires 1 argument(s)");
  vtkImageSeedConnectivity* vtk_pointer = GetVTKPointer<vtkImageSeedConnectivity>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutputConnectedValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageSeedConnectivity:SetOutputUnconnectedValue vtkImageSeedConnectivitySetOutputUnconnectedValueFunction
//input a0 a1 
//output none
ArrayVector vtkImageSeedConnectivitySetOutputUnconnectedValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputUnconnectedValue (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputUnconnectedValue for class vtkImageSeedConnectivity requires 2 argument(s)");
  vtkImageSeedConnectivity* vtk_pointer = GetVTKPointer<vtkImageSeedConnectivity>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutputUnconnectedValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageSeedConnectivity:GetOutputUnconnectedValue vtkImageSeedConnectivityGetOutputUnconnectedValueFunction
//input a0 
//output y
ArrayVector vtkImageSeedConnectivityGetOutputUnconnectedValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputUnconnectedValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputUnconnectedValue for class vtkImageSeedConnectivity requires 1 argument(s)");
  vtkImageSeedConnectivity* vtk_pointer = GetVTKPointer<vtkImageSeedConnectivity>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutputUnconnectedValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageSeedConnectivity:GetConnector vtkImageSeedConnectivityGetConnectorFunction
//input a0 
//output y
ArrayVector vtkImageSeedConnectivityGetConnectorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageConnector *GetConnector (); */
  if (arg.size() < 1) 
    throw Exception("Function GetConnector for class vtkImageSeedConnectivity requires 1 argument(s)");
  vtkImageSeedConnectivity* vtk_pointer = GetVTKPointer<vtkImageSeedConnectivity>(arg[0]);
  Array retval;
  vtkImageConnector  *temp20;
  temp20 = (vtk_pointer)->GetConnector();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageConnector",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageSeedConnectivity:SetDimensionality vtkImageSeedConnectivitySetDimensionalityFunction
//input a0 a1 
//output none
ArrayVector vtkImageSeedConnectivitySetDimensionalityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDimensionality (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDimensionality for class vtkImageSeedConnectivity requires 2 argument(s)");
  vtkImageSeedConnectivity* vtk_pointer = GetVTKPointer<vtkImageSeedConnectivity>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDimensionality(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageSeedConnectivity:GetDimensionality vtkImageSeedConnectivityGetDimensionalityFunction
//input a0 
//output y
ArrayVector vtkImageSeedConnectivityGetDimensionalityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDimensionality (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensionality for class vtkImageSeedConnectivity requires 1 argument(s)");
  vtkImageSeedConnectivity* vtk_pointer = GetVTKPointer<vtkImageSeedConnectivity>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimensionality();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageSeedConnectivity:AddSeed vtkImageSeedConnectivityAddSeedFunction
//input varargin
//output varargout
ArrayVector vtkImageSeedConnectivityAddSeedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkImageSeedConnectivityAddSeed__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageSeedConnectivityAddSeed__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkImageSeedConnectivityAddSeed__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageSeedConnectivityAddSeed");
}

//@@Signature
//sfunction @vtkImageSeedConnectivity:display vtkImageSeedConnectivityDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageSeedConnectivityDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageSeedConnectivity* vtk_pointer = GetVTKPointer<vtkImageSeedConnectivity>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageSeedConnectivity:delete vtkImageSeedConnectivityDeleteFunction
//input varargin
//output none
ArrayVector vtkImageSeedConnectivityDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageSeedConnectivity
//@@Section VTKImaging
//@@Usage
// vtkImageSeedConnectivity marks pixels connected to user supplied seeds.
// The input must be unsigned char, and the output is also unsigned char.  If
// a seed supplied by the user does not have pixel value "InputTrueValue",
// then the image is scanned +x, +y, +z until a pixel is encountered with
// value "InputTrueValue".  This new pixel is used as the seed .  Any pixel
// with out value "InputTrueValue" is consider off.  The output pixels values
// are 0 for any off pixel in input, "OutputTrueValue" for any pixels
// connected to seeds, and "OutputUnconnectedValue" for any on pixels not
// connected to seeds.  The same seeds are used for all images in the image
// set.
//
//To create an instance of class vtkImageSeedConnectivity, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageSeedConnectivity
//@]
//@@Methods
//The class vtkImageSeedConnectivity has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageSeedConnectivity class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageSeedConnectivity = obj.NewInstance ()|
// \item @|vtkImageSeedConnectivity = obj.SafeDownCast (vtkObject o)|
// \item @|obj.RemoveAllSeeds ()| -  Methods for manipulating the seed pixels.
//// \item @|obj.AddSeed (int num, int index)| -  Methods for manipulating the seed pixels.
//// \item @|obj.AddSeed (int i0, int i1, int i2)| -  Methods for manipulating the seed pixels.
//// \item @|obj.AddSeed (int i0, int i1)| -  Methods for manipulating the seed pixels.
//// \item @|obj.SetInputConnectValue (int )| -  Set/Get what value is considered as connecting pixels.
//// \item @|int = obj.GetInputConnectValue ()| -  Set/Get what value is considered as connecting pixels.
//// \item @|obj.SetOutputConnectedValue (int )| -  Set/Get the value to set connected pixels to.
//// \item @|int = obj.GetOutputConnectedValue ()| -  Set/Get the value to set connected pixels to.
//// \item @|obj.SetOutputUnconnectedValue (int )| -  Set/Get the value to set unconnected pixels to.
//// \item @|int = obj.GetOutputUnconnectedValue ()| -  Set/Get the value to set unconnected pixels to.
//// \item @|vtkImageConnector = obj.GetConnector ()| -  Get the vtkImageCOnnector used by this filter.
//// \item @|obj.SetDimensionality (int )| -  Set the number of axes to use in connectivity.
//// \item @|int = obj.GetDimensionality ()| -  Set the number of axes to use in connectivity.
////\end{itemize}
//!
