#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageSeparableConvolution object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageSeparableConvolution.h"

//@@Signature
//sfunction @vtkImageSeparableConvolution:vtkImageSeparableConvolution vtkImageSeparableConvolutionConstructorFunction
//input a
//output p
//@@Parents vtkImageSeparableConvolution vtkImageDecomposeFilter 
ArrayVector vtkImageSeparableConvolutionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageSeparableConvolution::New(),"vtkImageSeparableConvolution",eval);
  } else if (arg[0].className() == "vtkImageSeparableConvolution") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageSeparableConvolution"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageSeparableConvolution");
    vtkImageSeparableConvolution*q = reinterpret_cast<vtkImageSeparableConvolution*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageSeparableConvolution");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageSeparableConvolution:GetClassName vtkImageSeparableConvolutionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageSeparableConvolutionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageSeparableConvolution requires 1 argument(s)");
  vtkImageSeparableConvolution* vtk_pointer = GetVTKPointer<vtkImageSeparableConvolution>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageSeparableConvolution:IsA vtkImageSeparableConvolutionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageSeparableConvolutionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageSeparableConvolution requires 2 argument(s)");
  vtkImageSeparableConvolution* vtk_pointer = GetVTKPointer<vtkImageSeparableConvolution>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageSeparableConvolution:NewInstance vtkImageSeparableConvolutionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageSeparableConvolutionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageSeparableConvolution *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageSeparableConvolution requires 1 argument(s)");
  vtkImageSeparableConvolution* vtk_pointer = GetVTKPointer<vtkImageSeparableConvolution>(arg[0]);
  Array retval;
  vtkImageSeparableConvolution  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageSeparableConvolution",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageSeparableConvolution:SafeDownCast vtkImageSeparableConvolutionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageSeparableConvolutionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageSeparableConvolution *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageSeparableConvolution requires 2 argument(s)");
  vtkImageSeparableConvolution* vtk_pointer = GetVTKPointer<vtkImageSeparableConvolution>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageSeparableConvolution  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageSeparableConvolution",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageSeparableConvolution:SetXKernel vtkImageSeparableConvolutionSetXKernelFunction
//input a0 a1 
//output none
ArrayVector vtkImageSeparableConvolutionSetXKernelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetXKernel (vtkFloatArray *); */
  if (arg.size() < 2) 
    throw Exception("Function SetXKernel for class vtkImageSeparableConvolution requires 2 argument(s)");
  vtkImageSeparableConvolution* vtk_pointer = GetVTKPointer<vtkImageSeparableConvolution>(arg[0]);
  Array retval;
  vtkFloatArray  *temp0;
  temp0 = GetVTKPointer<vtkFloatArray>(arg[1]);
  vtk_pointer->SetXKernel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageSeparableConvolution:GetXKernel vtkImageSeparableConvolutionGetXKernelFunction
//input a0 
//output y
ArrayVector vtkImageSeparableConvolutionGetXKernelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFloatArray *GetXKernel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXKernel for class vtkImageSeparableConvolution requires 1 argument(s)");
  vtkImageSeparableConvolution* vtk_pointer = GetVTKPointer<vtkImageSeparableConvolution>(arg[0]);
  Array retval;
  vtkFloatArray  *temp20;
  temp20 = (vtk_pointer)->GetXKernel();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFloatArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageSeparableConvolution:SetYKernel vtkImageSeparableConvolutionSetYKernelFunction
//input a0 a1 
//output none
ArrayVector vtkImageSeparableConvolutionSetYKernelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetYKernel (vtkFloatArray *); */
  if (arg.size() < 2) 
    throw Exception("Function SetYKernel for class vtkImageSeparableConvolution requires 2 argument(s)");
  vtkImageSeparableConvolution* vtk_pointer = GetVTKPointer<vtkImageSeparableConvolution>(arg[0]);
  Array retval;
  vtkFloatArray  *temp0;
  temp0 = GetVTKPointer<vtkFloatArray>(arg[1]);
  vtk_pointer->SetYKernel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageSeparableConvolution:GetYKernel vtkImageSeparableConvolutionGetYKernelFunction
//input a0 
//output y
ArrayVector vtkImageSeparableConvolutionGetYKernelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFloatArray *GetYKernel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYKernel for class vtkImageSeparableConvolution requires 1 argument(s)");
  vtkImageSeparableConvolution* vtk_pointer = GetVTKPointer<vtkImageSeparableConvolution>(arg[0]);
  Array retval;
  vtkFloatArray  *temp20;
  temp20 = (vtk_pointer)->GetYKernel();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFloatArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageSeparableConvolution:SetZKernel vtkImageSeparableConvolutionSetZKernelFunction
//input a0 a1 
//output none
ArrayVector vtkImageSeparableConvolutionSetZKernelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetZKernel (vtkFloatArray *); */
  if (arg.size() < 2) 
    throw Exception("Function SetZKernel for class vtkImageSeparableConvolution requires 2 argument(s)");
  vtkImageSeparableConvolution* vtk_pointer = GetVTKPointer<vtkImageSeparableConvolution>(arg[0]);
  Array retval;
  vtkFloatArray  *temp0;
  temp0 = GetVTKPointer<vtkFloatArray>(arg[1]);
  vtk_pointer->SetZKernel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageSeparableConvolution:GetZKernel vtkImageSeparableConvolutionGetZKernelFunction
//input a0 
//output y
ArrayVector vtkImageSeparableConvolutionGetZKernelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFloatArray *GetZKernel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZKernel for class vtkImageSeparableConvolution requires 1 argument(s)");
  vtkImageSeparableConvolution* vtk_pointer = GetVTKPointer<vtkImageSeparableConvolution>(arg[0]);
  Array retval;
  vtkFloatArray  *temp20;
  temp20 = (vtk_pointer)->GetZKernel();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFloatArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageSeparableConvolution:GetMTime vtkImageSeparableConvolutionGetMTimeFunction
//input a0 
//output y
ArrayVector vtkImageSeparableConvolutionGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkImageSeparableConvolution requires 1 argument(s)");
  vtkImageSeparableConvolution* vtk_pointer = GetVTKPointer<vtkImageSeparableConvolution>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageSeparableConvolution:display vtkImageSeparableConvolutionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageSeparableConvolutionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageSeparableConvolution* vtk_pointer = GetVTKPointer<vtkImageSeparableConvolution>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageSeparableConvolution:delete vtkImageSeparableConvolutionDeleteFunction
//input varargin
//output none
ArrayVector vtkImageSeparableConvolutionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageSeparableConvolution
//@@Section VTKImaging
//@@Usage
// vtkImageSeparableConvolution performs a convolution along the X, Y,
// and Z axes of an image, based on the three different 1D convolution
// kernels.  The kernels must be of odd size, and are considered to be
// centered at (int)((kernelsize - 1) / 2.0 ).  If a kernel is NULL,
// that dimension is skipped.  This filter is designed to efficiently
// convolve separable filters that can be decomposed into 1 or more 1D
// convolutions.  It also handles arbitrarly large kernel sizes, and
// uses edge replication to handle boundaries.
//
//To create an instance of class vtkImageSeparableConvolution, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageSeparableConvolution
//@]
//@@Methods
//The class vtkImageSeparableConvolution has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageSeparableConvolution class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageSeparableConvolution = obj.NewInstance ()|
// \item @|vtkImageSeparableConvolution = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetXKernel (vtkFloatArray )|
// \item @|vtkFloatArray = obj.GetXKernel ()|
// \item @|obj.SetYKernel (vtkFloatArray )|
// \item @|vtkFloatArray = obj.GetYKernel ()|
// \item @|obj.SetZKernel (vtkFloatArray )|
// \item @|vtkFloatArray = obj.GetZKernel ()|
// \item @|long = obj.GetMTime ()| -  Overload standard modified time function. If kernel arrays are modified,
// then this object is modified as well.
////\end{itemize}
//!
