#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageShiftScale object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageShiftScale.h"

//@@Signature
//sfunction @vtkImageShiftScale:vtkImageShiftScale vtkImageShiftScaleConstructorFunction
//input a
//output p
//@@Parents vtkImageShiftScale vtkThreadedImageAlgorithm 
ArrayVector vtkImageShiftScaleConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageShiftScale::New(),"vtkImageShiftScale",eval);
  } else if (arg[0].className() == "vtkImageShiftScale") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageShiftScale"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageShiftScale");
    vtkImageShiftScale*q = reinterpret_cast<vtkImageShiftScale*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageShiftScale");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageShiftScale:GetClassName vtkImageShiftScaleGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageShiftScaleGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageShiftScale requires 1 argument(s)");
  vtkImageShiftScale* vtk_pointer = GetVTKPointer<vtkImageShiftScale>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageShiftScale:IsA vtkImageShiftScaleIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageShiftScaleIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageShiftScale requires 2 argument(s)");
  vtkImageShiftScale* vtk_pointer = GetVTKPointer<vtkImageShiftScale>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageShiftScale:NewInstance vtkImageShiftScaleNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageShiftScaleNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageShiftScale *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageShiftScale requires 1 argument(s)");
  vtkImageShiftScale* vtk_pointer = GetVTKPointer<vtkImageShiftScale>(arg[0]);
  Array retval;
  vtkImageShiftScale  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageShiftScale",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageShiftScale:SafeDownCast vtkImageShiftScaleSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageShiftScaleSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageShiftScale *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageShiftScale requires 2 argument(s)");
  vtkImageShiftScale* vtk_pointer = GetVTKPointer<vtkImageShiftScale>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageShiftScale  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageShiftScale",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageShiftScale:SetShift vtkImageShiftScaleSetShiftFunction
//input a0 a1 
//output none
ArrayVector vtkImageShiftScaleSetShiftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShift (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetShift for class vtkImageShiftScale requires 2 argument(s)");
  vtkImageShiftScale* vtk_pointer = GetVTKPointer<vtkImageShiftScale>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetShift(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageShiftScale:GetShift vtkImageShiftScaleGetShiftFunction
//input a0 
//output y
ArrayVector vtkImageShiftScaleGetShiftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetShift (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShift for class vtkImageShiftScale requires 1 argument(s)");
  vtkImageShiftScale* vtk_pointer = GetVTKPointer<vtkImageShiftScale>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetShift();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageShiftScale:SetScale vtkImageShiftScaleSetScaleFunction
//input a0 a1 
//output none
ArrayVector vtkImageShiftScaleSetScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScale (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScale for class vtkImageShiftScale requires 2 argument(s)");
  vtkImageShiftScale* vtk_pointer = GetVTKPointer<vtkImageShiftScale>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageShiftScale:GetScale vtkImageShiftScaleGetScaleFunction
//input a0 
//output y
ArrayVector vtkImageShiftScaleGetScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetScale (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScale for class vtkImageShiftScale requires 1 argument(s)");
  vtkImageShiftScale* vtk_pointer = GetVTKPointer<vtkImageShiftScale>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetScale();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageShiftScale:SetOutputScalarType vtkImageShiftScaleSetOutputScalarTypeFunction
//input a0 a1 
//output none
ArrayVector vtkImageShiftScaleSetOutputScalarTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputScalarType for class vtkImageShiftScale requires 2 argument(s)");
  vtkImageShiftScale* vtk_pointer = GetVTKPointer<vtkImageShiftScale>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutputScalarType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageShiftScale:GetOutputScalarType vtkImageShiftScaleGetOutputScalarTypeFunction
//input a0 
//output y
ArrayVector vtkImageShiftScaleGetOutputScalarTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputScalarType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputScalarType for class vtkImageShiftScale requires 1 argument(s)");
  vtkImageShiftScale* vtk_pointer = GetVTKPointer<vtkImageShiftScale>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutputScalarType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageShiftScale:SetOutputScalarTypeToDouble vtkImageShiftScaleSetOutputScalarTypeToDoubleFunction
//input a0 
//output none
ArrayVector vtkImageShiftScaleSetOutputScalarTypeToDoubleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToDouble ();this SetOutputScalarType VTK_DOUBLE  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToDouble for class vtkImageShiftScale requires 1 argument(s)");
  vtkImageShiftScale* vtk_pointer = GetVTKPointer<vtkImageShiftScale>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToDouble();
  return retval;
}

//@@Signature
//sfunction @vtkImageShiftScale:SetOutputScalarTypeToFloat vtkImageShiftScaleSetOutputScalarTypeToFloatFunction
//input a0 
//output none
ArrayVector vtkImageShiftScaleSetOutputScalarTypeToFloatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToFloat ();this SetOutputScalarType VTK_FLOAT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToFloat for class vtkImageShiftScale requires 1 argument(s)");
  vtkImageShiftScale* vtk_pointer = GetVTKPointer<vtkImageShiftScale>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToFloat();
  return retval;
}

//@@Signature
//sfunction @vtkImageShiftScale:SetOutputScalarTypeToLong vtkImageShiftScaleSetOutputScalarTypeToLongFunction
//input a0 
//output none
ArrayVector vtkImageShiftScaleSetOutputScalarTypeToLongFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToLong ();this SetOutputScalarType VTK_LONG  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToLong for class vtkImageShiftScale requires 1 argument(s)");
  vtkImageShiftScale* vtk_pointer = GetVTKPointer<vtkImageShiftScale>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToLong();
  return retval;
}

//@@Signature
//sfunction @vtkImageShiftScale:SetOutputScalarTypeToUnsignedLong vtkImageShiftScaleSetOutputScalarTypeToUnsignedLongFunction
//input a0 
//output none
ArrayVector vtkImageShiftScaleSetOutputScalarTypeToUnsignedLongFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToUnsignedLong ();this SetOutputScalarType VTK_UNSIGNED_LONG  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToUnsignedLong for class vtkImageShiftScale requires 1 argument(s)");
  vtkImageShiftScale* vtk_pointer = GetVTKPointer<vtkImageShiftScale>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToUnsignedLong();
  return retval;
}

//@@Signature
//sfunction @vtkImageShiftScale:SetOutputScalarTypeToInt vtkImageShiftScaleSetOutputScalarTypeToIntFunction
//input a0 
//output none
ArrayVector vtkImageShiftScaleSetOutputScalarTypeToIntFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToInt ();this SetOutputScalarType VTK_INT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToInt for class vtkImageShiftScale requires 1 argument(s)");
  vtkImageShiftScale* vtk_pointer = GetVTKPointer<vtkImageShiftScale>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToInt();
  return retval;
}

//@@Signature
//sfunction @vtkImageShiftScale:SetOutputScalarTypeToUnsignedInt vtkImageShiftScaleSetOutputScalarTypeToUnsignedIntFunction
//input a0 
//output none
ArrayVector vtkImageShiftScaleSetOutputScalarTypeToUnsignedIntFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToUnsignedInt ();this SetOutputScalarType VTK_UNSIGNED_INT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToUnsignedInt for class vtkImageShiftScale requires 1 argument(s)");
  vtkImageShiftScale* vtk_pointer = GetVTKPointer<vtkImageShiftScale>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToUnsignedInt();
  return retval;
}

//@@Signature
//sfunction @vtkImageShiftScale:SetOutputScalarTypeToShort vtkImageShiftScaleSetOutputScalarTypeToShortFunction
//input a0 
//output none
ArrayVector vtkImageShiftScaleSetOutputScalarTypeToShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToShort ();this SetOutputScalarType VTK_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToShort for class vtkImageShiftScale requires 1 argument(s)");
  vtkImageShiftScale* vtk_pointer = GetVTKPointer<vtkImageShiftScale>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToShort();
  return retval;
}

//@@Signature
//sfunction @vtkImageShiftScale:SetOutputScalarTypeToUnsignedShort vtkImageShiftScaleSetOutputScalarTypeToUnsignedShortFunction
//input a0 
//output none
ArrayVector vtkImageShiftScaleSetOutputScalarTypeToUnsignedShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToUnsignedShort ();this SetOutputScalarType VTK_UNSIGNED_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToUnsignedShort for class vtkImageShiftScale requires 1 argument(s)");
  vtkImageShiftScale* vtk_pointer = GetVTKPointer<vtkImageShiftScale>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToUnsignedShort();
  return retval;
}

//@@Signature
//sfunction @vtkImageShiftScale:SetOutputScalarTypeToChar vtkImageShiftScaleSetOutputScalarTypeToCharFunction
//input a0 
//output none
ArrayVector vtkImageShiftScaleSetOutputScalarTypeToCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToChar ();this SetOutputScalarType VTK_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToChar for class vtkImageShiftScale requires 1 argument(s)");
  vtkImageShiftScale* vtk_pointer = GetVTKPointer<vtkImageShiftScale>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToChar();
  return retval;
}

//@@Signature
//sfunction @vtkImageShiftScale:SetOutputScalarTypeToUnsignedChar vtkImageShiftScaleSetOutputScalarTypeToUnsignedCharFunction
//input a0 
//output none
ArrayVector vtkImageShiftScaleSetOutputScalarTypeToUnsignedCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToUnsignedChar ();this SetOutputScalarType VTK_UNSIGNED_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToUnsignedChar for class vtkImageShiftScale requires 1 argument(s)");
  vtkImageShiftScale* vtk_pointer = GetVTKPointer<vtkImageShiftScale>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToUnsignedChar();
  return retval;
}

//@@Signature
//sfunction @vtkImageShiftScale:SetClampOverflow vtkImageShiftScaleSetClampOverflowFunction
//input a0 a1 
//output none
ArrayVector vtkImageShiftScaleSetClampOverflowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetClampOverflow (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetClampOverflow for class vtkImageShiftScale requires 2 argument(s)");
  vtkImageShiftScale* vtk_pointer = GetVTKPointer<vtkImageShiftScale>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetClampOverflow(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageShiftScale:GetClampOverflow vtkImageShiftScaleGetClampOverflowFunction
//input a0 
//output y
ArrayVector vtkImageShiftScaleGetClampOverflowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetClampOverflow (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClampOverflow for class vtkImageShiftScale requires 1 argument(s)");
  vtkImageShiftScale* vtk_pointer = GetVTKPointer<vtkImageShiftScale>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetClampOverflow();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageShiftScale:ClampOverflowOn vtkImageShiftScaleClampOverflowOnFunction
//input a0 
//output none
ArrayVector vtkImageShiftScaleClampOverflowOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClampOverflowOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ClampOverflowOn for class vtkImageShiftScale requires 1 argument(s)");
  vtkImageShiftScale* vtk_pointer = GetVTKPointer<vtkImageShiftScale>(arg[0]);
  Array retval;
  vtk_pointer->ClampOverflowOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageShiftScale:ClampOverflowOff vtkImageShiftScaleClampOverflowOffFunction
//input a0 
//output none
ArrayVector vtkImageShiftScaleClampOverflowOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClampOverflowOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ClampOverflowOff for class vtkImageShiftScale requires 1 argument(s)");
  vtkImageShiftScale* vtk_pointer = GetVTKPointer<vtkImageShiftScale>(arg[0]);
  Array retval;
  vtk_pointer->ClampOverflowOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageShiftScale:display vtkImageShiftScaleDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageShiftScaleDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageShiftScale* vtk_pointer = GetVTKPointer<vtkImageShiftScale>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageShiftScale:delete vtkImageShiftScaleDeleteFunction
//input varargin
//output none
ArrayVector vtkImageShiftScaleDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageShiftScale
//@@Section VTKImaging
//@@Usage
// With vtkImageShiftScale Pixels are shifted (a constant value added)
// and then scaled (multiplied by a scalar. As a convenience, this class 
// allows you to set the output scalar type similar to vtkImageCast. 
// This is because shift scale operations frequently convert data types.
//
//To create an instance of class vtkImageShiftScale, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageShiftScale
//@]
//@@Methods
//The class vtkImageShiftScale has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageShiftScale class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageShiftScale = obj.NewInstance ()|
// \item @|vtkImageShiftScale = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetShift (double )| -  Set/Get the shift value. This value is added to each pixel
//// \item @|double = obj.GetShift ()| -  Set/Get the shift value. This value is added to each pixel
//// \item @|obj.SetScale (double )| -  Set/Get the scale value. Each pixel is multiplied by this value.
//// \item @|double = obj.GetScale ()| -  Set/Get the scale value. Each pixel is multiplied by this value.
//// \item @|obj.SetOutputScalarType (int )| -  Set the desired output scalar type. The result of the shift 
// and scale operations is cast to the type specified.
//// \item @|int = obj.GetOutputScalarType ()| -  Set the desired output scalar type. The result of the shift 
// and scale operations is cast to the type specified.
//// \item @|obj.SetOutputScalarTypeToDouble ()| -  Set the desired output scalar type. The result of the shift 
// and scale operations is cast to the type specified.
//// \item @|obj.SetOutputScalarTypeToFloat ()| -  Set the desired output scalar type. The result of the shift 
// and scale operations is cast to the type specified.
//// \item @|obj.SetOutputScalarTypeToLong ()| -  Set the desired output scalar type. The result of the shift 
// and scale operations is cast to the type specified.
//// \item @|obj.SetOutputScalarTypeToUnsignedLong ()| -  Set the desired output scalar type. The result of the shift 
// and scale operations is cast to the type specified.
//// \item @|obj.SetOutputScalarTypeToInt ()| -  Set the desired output scalar type. The result of the shift 
// and scale operations is cast to the type specified.
//// \item @|obj.SetOutputScalarTypeToUnsignedInt ()| -  Set the desired output scalar type. The result of the shift 
// and scale operations is cast to the type specified.
//// \item @|obj.SetOutputScalarTypeToShort ()| -  Set the desired output scalar type. The result of the shift 
// and scale operations is cast to the type specified.
//// \item @|obj.SetOutputScalarTypeToUnsignedShort ()| -  Set the desired output scalar type. The result of the shift 
// and scale operations is cast to the type specified.
//// \item @|obj.SetOutputScalarTypeToChar ()| -  Set the desired output scalar type. The result of the shift 
// and scale operations is cast to the type specified.
//// \item @|obj.SetOutputScalarTypeToUnsignedChar ()| -  When the ClampOverflow flag is on, the data is thresholded so that
// the output value does not exceed the max or min of the data type.
// By default, ClampOverflow is off.
//// \item @|obj.SetClampOverflow (int )| -  When the ClampOverflow flag is on, the data is thresholded so that
// the output value does not exceed the max or min of the data type.
// By default, ClampOverflow is off.
//// \item @|int = obj.GetClampOverflow ()| -  When the ClampOverflow flag is on, the data is thresholded so that
// the output value does not exceed the max or min of the data type.
// By default, ClampOverflow is off.
//// \item @|obj.ClampOverflowOn ()| -  When the ClampOverflow flag is on, the data is thresholded so that
// the output value does not exceed the max or min of the data type.
// By default, ClampOverflow is off.
//// \item @|obj.ClampOverflowOff ()| -  When the ClampOverflow flag is on, the data is thresholded so that
// the output value does not exceed the max or min of the data type.
// By default, ClampOverflow is off.
////\end{itemize}
//!
