#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageShrink3D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageShrink3D.h"

//@@Signature
//sfunction @vtkImageShrink3D:vtkImageShrink3D vtkImageShrink3DConstructorFunction
//input a
//output p
//@@Parents vtkImageShrink3D vtkThreadedImageAlgorithm 
ArrayVector vtkImageShrink3DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageShrink3D::New(),"vtkImageShrink3D",eval);
  } else if (arg[0].className() == "vtkImageShrink3D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageShrink3D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageShrink3D");
    vtkImageShrink3D*q = reinterpret_cast<vtkImageShrink3D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageShrink3D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageShrink3D:GetClassName vtkImageShrink3DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageShrink3DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageShrink3D requires 1 argument(s)");
  vtkImageShrink3D* vtk_pointer = GetVTKPointer<vtkImageShrink3D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageShrink3D:IsA vtkImageShrink3DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageShrink3DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageShrink3D requires 2 argument(s)");
  vtkImageShrink3D* vtk_pointer = GetVTKPointer<vtkImageShrink3D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageShrink3D:NewInstance vtkImageShrink3DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageShrink3DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageShrink3D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageShrink3D requires 1 argument(s)");
  vtkImageShrink3D* vtk_pointer = GetVTKPointer<vtkImageShrink3D>(arg[0]);
  Array retval;
  vtkImageShrink3D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageShrink3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageShrink3D:SafeDownCast vtkImageShrink3DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageShrink3DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageShrink3D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageShrink3D requires 2 argument(s)");
  vtkImageShrink3D* vtk_pointer = GetVTKPointer<vtkImageShrink3D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageShrink3D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageShrink3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageShrink3D:SetShrinkFactors__1 vtkImageShrink3DSetShrinkFactors__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageShrink3DSetShrinkFactors__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShrinkFactors (int , int , int ); */
  if (arg.size() < 4) 
    throw Exception("Function SetShrinkFactors__1 for class vtkImageShrink3D requires 4 argument(s)");
  vtkImageShrink3D* vtk_pointer = GetVTKPointer<vtkImageShrink3D>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetShrinkFactors(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageShrink3D:SetShrinkFactors__2 vtkImageShrink3DSetShrinkFactors__2Function
//input a0 a1 
//output none
ArrayVector vtkImageShrink3DSetShrinkFactors__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShrinkFactors (int  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetShrinkFactors__2 for class vtkImageShrink3D requires 2 argument(s)");
  vtkImageShrink3D* vtk_pointer = GetVTKPointer<vtkImageShrink3D>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetShrinkFactors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageShrink3D:GetShrinkFactors vtkImageShrink3DGetShrinkFactorsFunction
//input a0 
//output y
ArrayVector vtkImageShrink3DGetShrinkFactorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetShrinkFactors (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShrinkFactors for class vtkImageShrink3D requires 1 argument(s)");
  vtkImageShrink3D* vtk_pointer = GetVTKPointer<vtkImageShrink3D>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetShrinkFactors();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageShrink3D:SetShift__1 vtkImageShrink3DSetShift__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageShrink3DSetShift__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShift (int , int , int ); */
  if (arg.size() < 4) 
    throw Exception("Function SetShift__1 for class vtkImageShrink3D requires 4 argument(s)");
  vtkImageShrink3D* vtk_pointer = GetVTKPointer<vtkImageShrink3D>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetShift(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageShrink3D:SetShift__2 vtkImageShrink3DSetShift__2Function
//input a0 a1 
//output none
ArrayVector vtkImageShrink3DSetShift__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShift (int  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetShift__2 for class vtkImageShrink3D requires 2 argument(s)");
  vtkImageShrink3D* vtk_pointer = GetVTKPointer<vtkImageShrink3D>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetShift(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageShrink3D:GetShift vtkImageShrink3DGetShiftFunction
//input a0 
//output y
ArrayVector vtkImageShrink3DGetShiftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetShift (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShift for class vtkImageShrink3D requires 1 argument(s)");
  vtkImageShrink3D* vtk_pointer = GetVTKPointer<vtkImageShrink3D>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetShift();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageShrink3D:SetAveraging vtkImageShrink3DSetAveragingFunction
//input a0 a1 
//output none
ArrayVector vtkImageShrink3DSetAveragingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAveraging (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAveraging for class vtkImageShrink3D requires 2 argument(s)");
  vtkImageShrink3D* vtk_pointer = GetVTKPointer<vtkImageShrink3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAveraging(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageShrink3D:GetAveraging vtkImageShrink3DGetAveragingFunction
//input a0 
//output y
ArrayVector vtkImageShrink3DGetAveragingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAveraging ();return this GetMean  */
  if (arg.size() < 1) 
    throw Exception("Function GetAveraging for class vtkImageShrink3D requires 1 argument(s)");
  vtkImageShrink3D* vtk_pointer = GetVTKPointer<vtkImageShrink3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAveraging();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageShrink3D:AveragingOn vtkImageShrink3DAveragingOnFunction
//input a0 
//output none
ArrayVector vtkImageShrink3DAveragingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AveragingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AveragingOn for class vtkImageShrink3D requires 1 argument(s)");
  vtkImageShrink3D* vtk_pointer = GetVTKPointer<vtkImageShrink3D>(arg[0]);
  Array retval;
  vtk_pointer->AveragingOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageShrink3D:AveragingOff vtkImageShrink3DAveragingOffFunction
//input a0 
//output none
ArrayVector vtkImageShrink3DAveragingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AveragingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AveragingOff for class vtkImageShrink3D requires 1 argument(s)");
  vtkImageShrink3D* vtk_pointer = GetVTKPointer<vtkImageShrink3D>(arg[0]);
  Array retval;
  vtk_pointer->AveragingOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageShrink3D:SetMean vtkImageShrink3DSetMeanFunction
//input a0 a1 
//output none
ArrayVector vtkImageShrink3DSetMeanFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMean (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMean for class vtkImageShrink3D requires 2 argument(s)");
  vtkImageShrink3D* vtk_pointer = GetVTKPointer<vtkImageShrink3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMean(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageShrink3D:GetMean vtkImageShrink3DGetMeanFunction
//input a0 
//output y
ArrayVector vtkImageShrink3DGetMeanFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMean (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMean for class vtkImageShrink3D requires 1 argument(s)");
  vtkImageShrink3D* vtk_pointer = GetVTKPointer<vtkImageShrink3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMean();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageShrink3D:MeanOn vtkImageShrink3DMeanOnFunction
//input a0 
//output none
ArrayVector vtkImageShrink3DMeanOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MeanOn (); */
  if (arg.size() < 1) 
    throw Exception("Function MeanOn for class vtkImageShrink3D requires 1 argument(s)");
  vtkImageShrink3D* vtk_pointer = GetVTKPointer<vtkImageShrink3D>(arg[0]);
  Array retval;
  vtk_pointer->MeanOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageShrink3D:MeanOff vtkImageShrink3DMeanOffFunction
//input a0 
//output none
ArrayVector vtkImageShrink3DMeanOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MeanOff (); */
  if (arg.size() < 1) 
    throw Exception("Function MeanOff for class vtkImageShrink3D requires 1 argument(s)");
  vtkImageShrink3D* vtk_pointer = GetVTKPointer<vtkImageShrink3D>(arg[0]);
  Array retval;
  vtk_pointer->MeanOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageShrink3D:SetMinimum vtkImageShrink3DSetMinimumFunction
//input a0 a1 
//output none
ArrayVector vtkImageShrink3DSetMinimumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimum (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinimum for class vtkImageShrink3D requires 2 argument(s)");
  vtkImageShrink3D* vtk_pointer = GetVTKPointer<vtkImageShrink3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMinimum(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageShrink3D:GetMinimum vtkImageShrink3DGetMinimumFunction
//input a0 
//output y
ArrayVector vtkImageShrink3DGetMinimumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMinimum (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimum for class vtkImageShrink3D requires 1 argument(s)");
  vtkImageShrink3D* vtk_pointer = GetVTKPointer<vtkImageShrink3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMinimum();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageShrink3D:MinimumOn vtkImageShrink3DMinimumOnFunction
//input a0 
//output none
ArrayVector vtkImageShrink3DMinimumOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MinimumOn (); */
  if (arg.size() < 1) 
    throw Exception("Function MinimumOn for class vtkImageShrink3D requires 1 argument(s)");
  vtkImageShrink3D* vtk_pointer = GetVTKPointer<vtkImageShrink3D>(arg[0]);
  Array retval;
  vtk_pointer->MinimumOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageShrink3D:MinimumOff vtkImageShrink3DMinimumOffFunction
//input a0 
//output none
ArrayVector vtkImageShrink3DMinimumOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MinimumOff (); */
  if (arg.size() < 1) 
    throw Exception("Function MinimumOff for class vtkImageShrink3D requires 1 argument(s)");
  vtkImageShrink3D* vtk_pointer = GetVTKPointer<vtkImageShrink3D>(arg[0]);
  Array retval;
  vtk_pointer->MinimumOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageShrink3D:SetMaximum vtkImageShrink3DSetMaximumFunction
//input a0 a1 
//output none
ArrayVector vtkImageShrink3DSetMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximum (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximum for class vtkImageShrink3D requires 2 argument(s)");
  vtkImageShrink3D* vtk_pointer = GetVTKPointer<vtkImageShrink3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximum(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageShrink3D:GetMaximum vtkImageShrink3DGetMaximumFunction
//input a0 
//output y
ArrayVector vtkImageShrink3DGetMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaximum (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximum for class vtkImageShrink3D requires 1 argument(s)");
  vtkImageShrink3D* vtk_pointer = GetVTKPointer<vtkImageShrink3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaximum();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageShrink3D:MaximumOn vtkImageShrink3DMaximumOnFunction
//input a0 
//output none
ArrayVector vtkImageShrink3DMaximumOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MaximumOn (); */
  if (arg.size() < 1) 
    throw Exception("Function MaximumOn for class vtkImageShrink3D requires 1 argument(s)");
  vtkImageShrink3D* vtk_pointer = GetVTKPointer<vtkImageShrink3D>(arg[0]);
  Array retval;
  vtk_pointer->MaximumOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageShrink3D:MaximumOff vtkImageShrink3DMaximumOffFunction
//input a0 
//output none
ArrayVector vtkImageShrink3DMaximumOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MaximumOff (); */
  if (arg.size() < 1) 
    throw Exception("Function MaximumOff for class vtkImageShrink3D requires 1 argument(s)");
  vtkImageShrink3D* vtk_pointer = GetVTKPointer<vtkImageShrink3D>(arg[0]);
  Array retval;
  vtk_pointer->MaximumOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageShrink3D:SetMedian vtkImageShrink3DSetMedianFunction
//input a0 a1 
//output none
ArrayVector vtkImageShrink3DSetMedianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMedian (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMedian for class vtkImageShrink3D requires 2 argument(s)");
  vtkImageShrink3D* vtk_pointer = GetVTKPointer<vtkImageShrink3D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMedian(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageShrink3D:GetMedian vtkImageShrink3DGetMedianFunction
//input a0 
//output y
ArrayVector vtkImageShrink3DGetMedianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMedian (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMedian for class vtkImageShrink3D requires 1 argument(s)");
  vtkImageShrink3D* vtk_pointer = GetVTKPointer<vtkImageShrink3D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMedian();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageShrink3D:MedianOn vtkImageShrink3DMedianOnFunction
//input a0 
//output none
ArrayVector vtkImageShrink3DMedianOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MedianOn (); */
  if (arg.size() < 1) 
    throw Exception("Function MedianOn for class vtkImageShrink3D requires 1 argument(s)");
  vtkImageShrink3D* vtk_pointer = GetVTKPointer<vtkImageShrink3D>(arg[0]);
  Array retval;
  vtk_pointer->MedianOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageShrink3D:MedianOff vtkImageShrink3DMedianOffFunction
//input a0 
//output none
ArrayVector vtkImageShrink3DMedianOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MedianOff (); */
  if (arg.size() < 1) 
    throw Exception("Function MedianOff for class vtkImageShrink3D requires 1 argument(s)");
  vtkImageShrink3D* vtk_pointer = GetVTKPointer<vtkImageShrink3D>(arg[0]);
  Array retval;
  vtk_pointer->MedianOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageShrink3D:SetShrinkFactors vtkImageShrink3DSetShrinkFactorsFunction
//input varargin
//output varargout
ArrayVector vtkImageShrink3DSetShrinkFactorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageShrink3DSetShrinkFactors__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageShrink3DSetShrinkFactors__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageShrink3DSetShrinkFactors");
}

//@@Signature
//sfunction @vtkImageShrink3D:SetShift vtkImageShrink3DSetShiftFunction
//input varargin
//output varargout
ArrayVector vtkImageShrink3DSetShiftFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageShrink3DSetShift__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageShrink3DSetShift__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageShrink3DSetShift");
}

//@@Signature
//sfunction @vtkImageShrink3D:display vtkImageShrink3DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageShrink3DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageShrink3D* vtk_pointer = GetVTKPointer<vtkImageShrink3D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageShrink3D:delete vtkImageShrink3DDeleteFunction
//input varargin
//output none
ArrayVector vtkImageShrink3DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageShrink3D
//@@Section VTKImaging
//@@Usage
// vtkImageShrink3D shrinks an image by sub sampling on a 
// uniform grid (integer multiples).  
//
//To create an instance of class vtkImageShrink3D, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageShrink3D
//@]
//@@Methods
//The class vtkImageShrink3D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageShrink3D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageShrink3D = obj.NewInstance ()|
// \item @|vtkImageShrink3D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetShrinkFactors (int , int , int )| -  Set/Get the shrink factors
//// \item @|obj.SetShrinkFactors (int  a[3])| -  Set/Get the shrink factors
//// \item @|int = obj. GetShrinkFactors ()| -  Set/Get the shrink factors
//// \item @|obj.SetShift (int , int , int )| -  Set/Get the pixel to use as origin.
//// \item @|obj.SetShift (int  a[3])| -  Set/Get the pixel to use as origin.
//// \item @|int = obj. GetShift ()| -  Set/Get the pixel to use as origin.
//// \item @|obj.SetAveraging (int )| -  Choose Mean, Minimum, Maximum, Median or sub sampling.
// The neighborhood operations are not centered on the sampled pixel.
// This may cause a half pixel shift in your output image.
// You can changed "Shift" to get around this.
// vtkImageGaussianSmooth or vtkImageMean with strides.
//// \item @|int = obj.GetAveraging ()| -  Choose Mean, Minimum, Maximum, Median or sub sampling.
// The neighborhood operations are not centered on the sampled pixel.
// This may cause a half pixel shift in your output image.
// You can changed "Shift" to get around this.
// vtkImageGaussianSmooth or vtkImageMean with strides.
//// \item @|obj.AveragingOn ()| -  Choose Mean, Minimum, Maximum, Median or sub sampling.
// The neighborhood operations are not centered on the sampled pixel.
// This may cause a half pixel shift in your output image.
// You can changed "Shift" to get around this.
// vtkImageGaussianSmooth or vtkImageMean with strides.
//// \item @|obj.AveragingOff ()| -  Choose Mean, Minimum, Maximum, Median or sub sampling.
// The neighborhood operations are not centered on the sampled pixel.
// This may cause a half pixel shift in your output image.
// You can changed "Shift" to get around this.
// vtkImageGaussianSmooth or vtkImageMean with strides.
//// \item @|obj.SetMean (int )|
// \item @|int = obj.GetMean ()|
// \item @|obj.MeanOn ()|
// \item @|obj.MeanOff ()|
// \item @|obj.SetMinimum (int )|
// \item @|int = obj.GetMinimum ()|
// \item @|obj.MinimumOn ()|
// \item @|obj.MinimumOff ()|
// \item @|obj.SetMaximum (int )|
// \item @|int = obj.GetMaximum ()|
// \item @|obj.MaximumOn ()|
// \item @|obj.MaximumOff ()|
// \item @|obj.SetMedian (int )|
// \item @|int = obj.GetMedian ()|
// \item @|obj.MedianOn ()|
// \item @|obj.MedianOff ()|
//\end{itemize}
//!
