#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageSinusoidSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageSinusoidSource.h"

//@@Signature
//sfunction @vtkImageSinusoidSource:vtkImageSinusoidSource vtkImageSinusoidSourceConstructorFunction
//input a
//output p
//@@Parents vtkImageSinusoidSource vtkImageAlgorithm 
ArrayVector vtkImageSinusoidSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageSinusoidSource::New(),"vtkImageSinusoidSource",eval);
  } else if (arg[0].className() == "vtkImageSinusoidSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageSinusoidSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageSinusoidSource");
    vtkImageSinusoidSource*q = reinterpret_cast<vtkImageSinusoidSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageSinusoidSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageSinusoidSource:GetClassName vtkImageSinusoidSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageSinusoidSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageSinusoidSource requires 1 argument(s)");
  vtkImageSinusoidSource* vtk_pointer = GetVTKPointer<vtkImageSinusoidSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageSinusoidSource:IsA vtkImageSinusoidSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageSinusoidSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageSinusoidSource requires 2 argument(s)");
  vtkImageSinusoidSource* vtk_pointer = GetVTKPointer<vtkImageSinusoidSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageSinusoidSource:NewInstance vtkImageSinusoidSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageSinusoidSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageSinusoidSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageSinusoidSource requires 1 argument(s)");
  vtkImageSinusoidSource* vtk_pointer = GetVTKPointer<vtkImageSinusoidSource>(arg[0]);
  Array retval;
  vtkImageSinusoidSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageSinusoidSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageSinusoidSource:SafeDownCast vtkImageSinusoidSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageSinusoidSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageSinusoidSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageSinusoidSource requires 2 argument(s)");
  vtkImageSinusoidSource* vtk_pointer = GetVTKPointer<vtkImageSinusoidSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageSinusoidSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageSinusoidSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageSinusoidSource:SetWholeExtent vtkImageSinusoidSourceSetWholeExtentFunction
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkImageSinusoidSourceSetWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWholeExtent (int xMinx, int xMax, int yMin, int yMax, int zMin, int zMax); */
  if (arg.size() < 7) 
    throw Exception("Function SetWholeExtent for class vtkImageSinusoidSource requires 7 argument(s)");
  vtkImageSinusoidSource* vtk_pointer = GetVTKPointer<vtkImageSinusoidSource>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkImageSinusoidSource:SetDirection__1 vtkImageSinusoidSourceSetDirection__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageSinusoidSourceSetDirection__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDirection (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetDirection__1 for class vtkImageSinusoidSource requires 4 argument(s)");
  vtkImageSinusoidSource* vtk_pointer = GetVTKPointer<vtkImageSinusoidSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetDirection(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageSinusoidSource:SetDirection__2 vtkImageSinusoidSourceSetDirection__2Function
//input a0 a1 
//output none
ArrayVector vtkImageSinusoidSourceSetDirection__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDirection (double dir[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDirection__2 for class vtkImageSinusoidSource requires 2 argument(s)");
  vtkImageSinusoidSource* vtk_pointer = GetVTKPointer<vtkImageSinusoidSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetDirection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageSinusoidSource:GetDirection vtkImageSinusoidSourceGetDirectionFunction
//input a0 
//output y
ArrayVector vtkImageSinusoidSourceGetDirectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetDirection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDirection for class vtkImageSinusoidSource requires 1 argument(s)");
  vtkImageSinusoidSource* vtk_pointer = GetVTKPointer<vtkImageSinusoidSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetDirection();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageSinusoidSource:SetPeriod vtkImageSinusoidSourceSetPeriodFunction
//input a0 a1 
//output none
ArrayVector vtkImageSinusoidSourceSetPeriodFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPeriod (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPeriod for class vtkImageSinusoidSource requires 2 argument(s)");
  vtkImageSinusoidSource* vtk_pointer = GetVTKPointer<vtkImageSinusoidSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetPeriod(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageSinusoidSource:GetPeriod vtkImageSinusoidSourceGetPeriodFunction
//input a0 
//output y
ArrayVector vtkImageSinusoidSourceGetPeriodFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPeriod (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPeriod for class vtkImageSinusoidSource requires 1 argument(s)");
  vtkImageSinusoidSource* vtk_pointer = GetVTKPointer<vtkImageSinusoidSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPeriod();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageSinusoidSource:SetPhase vtkImageSinusoidSourceSetPhaseFunction
//input a0 a1 
//output none
ArrayVector vtkImageSinusoidSourceSetPhaseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPhase (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPhase for class vtkImageSinusoidSource requires 2 argument(s)");
  vtkImageSinusoidSource* vtk_pointer = GetVTKPointer<vtkImageSinusoidSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetPhase(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageSinusoidSource:GetPhase vtkImageSinusoidSourceGetPhaseFunction
//input a0 
//output y
ArrayVector vtkImageSinusoidSourceGetPhaseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPhase (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPhase for class vtkImageSinusoidSource requires 1 argument(s)");
  vtkImageSinusoidSource* vtk_pointer = GetVTKPointer<vtkImageSinusoidSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPhase();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageSinusoidSource:SetAmplitude vtkImageSinusoidSourceSetAmplitudeFunction
//input a0 a1 
//output none
ArrayVector vtkImageSinusoidSourceSetAmplitudeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAmplitude (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAmplitude for class vtkImageSinusoidSource requires 2 argument(s)");
  vtkImageSinusoidSource* vtk_pointer = GetVTKPointer<vtkImageSinusoidSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetAmplitude(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageSinusoidSource:GetAmplitude vtkImageSinusoidSourceGetAmplitudeFunction
//input a0 
//output y
ArrayVector vtkImageSinusoidSourceGetAmplitudeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAmplitude (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAmplitude for class vtkImageSinusoidSource requires 1 argument(s)");
  vtkImageSinusoidSource* vtk_pointer = GetVTKPointer<vtkImageSinusoidSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAmplitude();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageSinusoidSource:SetDirection vtkImageSinusoidSourceSetDirectionFunction
//input varargin
//output varargout
ArrayVector vtkImageSinusoidSourceSetDirectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageSinusoidSourceSetDirection__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageSinusoidSourceSetDirection__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageSinusoidSourceSetDirection");
}

//@@Signature
//sfunction @vtkImageSinusoidSource:display vtkImageSinusoidSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageSinusoidSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageSinusoidSource* vtk_pointer = GetVTKPointer<vtkImageSinusoidSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageSinusoidSource:delete vtkImageSinusoidSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkImageSinusoidSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageSinusoidSource
//@@Section VTKImaging
//@@Usage
// vtkImageSinusoidSource just produces images with pixel values determined 
// by a sinusoid.
//
//To create an instance of class vtkImageSinusoidSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageSinusoidSource
//@]
//@@Methods
//The class vtkImageSinusoidSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageSinusoidSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageSinusoidSource = obj.NewInstance ()|
// \item @|vtkImageSinusoidSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetWholeExtent (int xMinx, int xMax, int yMin, int yMax, int zMin, int zMax)| -  Set/Get the extent of the whole output image.
//// \item @|obj.SetDirection (double , double , double )| -  Set/Get the direction vector which determines the sinusoidal
// orientation. The magnitude is ignored.
//// \item @|obj.SetDirection (double dir[3])| -  Set/Get the direction vector which determines the sinusoidal
// orientation. The magnitude is ignored.
//// \item @|double = obj. GetDirection ()| -  Set/Get the direction vector which determines the sinusoidal
// orientation. The magnitude is ignored.
//// \item @|obj.SetPeriod (double )| -  Set/Get the period of the sinusoid in pixels.
//// \item @|double = obj.GetPeriod ()| -  Set/Get the period of the sinusoid in pixels.
//// \item @|obj.SetPhase (double )| -  Set/Get the phase: 0->2Pi.  0 => Cosine, pi/2 => Sine.
//// \item @|double = obj.GetPhase ()| -  Set/Get the phase: 0->2Pi.  0 => Cosine, pi/2 => Sine.
//// \item @|obj.SetAmplitude (double )| -  Set/Get the magnitude of the sinusoid.
//// \item @|double = obj.GetAmplitude ()| -  Set/Get the magnitude of the sinusoid.
////\end{itemize}
//!
