#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageSkeleton2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageSkeleton2D.h"

//@@Signature
//sfunction @vtkImageSkeleton2D:vtkImageSkeleton2D vtkImageSkeleton2DConstructorFunction
//input a
//output p
//@@Parents vtkImageSkeleton2D vtkImageIterateFilter 
ArrayVector vtkImageSkeleton2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageSkeleton2D::New(),"vtkImageSkeleton2D",eval);
  } else if (arg[0].className() == "vtkImageSkeleton2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageSkeleton2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageSkeleton2D");
    vtkImageSkeleton2D*q = reinterpret_cast<vtkImageSkeleton2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageSkeleton2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageSkeleton2D:GetClassName vtkImageSkeleton2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageSkeleton2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageSkeleton2D requires 1 argument(s)");
  vtkImageSkeleton2D* vtk_pointer = GetVTKPointer<vtkImageSkeleton2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageSkeleton2D:IsA vtkImageSkeleton2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageSkeleton2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageSkeleton2D requires 2 argument(s)");
  vtkImageSkeleton2D* vtk_pointer = GetVTKPointer<vtkImageSkeleton2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageSkeleton2D:NewInstance vtkImageSkeleton2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageSkeleton2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageSkeleton2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageSkeleton2D requires 1 argument(s)");
  vtkImageSkeleton2D* vtk_pointer = GetVTKPointer<vtkImageSkeleton2D>(arg[0]);
  Array retval;
  vtkImageSkeleton2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageSkeleton2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageSkeleton2D:SafeDownCast vtkImageSkeleton2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageSkeleton2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageSkeleton2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageSkeleton2D requires 2 argument(s)");
  vtkImageSkeleton2D* vtk_pointer = GetVTKPointer<vtkImageSkeleton2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageSkeleton2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageSkeleton2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageSkeleton2D:SetPrune vtkImageSkeleton2DSetPruneFunction
//input a0 a1 
//output none
ArrayVector vtkImageSkeleton2DSetPruneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPrune (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPrune for class vtkImageSkeleton2D requires 2 argument(s)");
  vtkImageSkeleton2D* vtk_pointer = GetVTKPointer<vtkImageSkeleton2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPrune(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageSkeleton2D:GetPrune vtkImageSkeleton2DGetPruneFunction
//input a0 
//output y
ArrayVector vtkImageSkeleton2DGetPruneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPrune (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPrune for class vtkImageSkeleton2D requires 1 argument(s)");
  vtkImageSkeleton2D* vtk_pointer = GetVTKPointer<vtkImageSkeleton2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPrune();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageSkeleton2D:PruneOn vtkImageSkeleton2DPruneOnFunction
//input a0 
//output none
ArrayVector vtkImageSkeleton2DPruneOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PruneOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PruneOn for class vtkImageSkeleton2D requires 1 argument(s)");
  vtkImageSkeleton2D* vtk_pointer = GetVTKPointer<vtkImageSkeleton2D>(arg[0]);
  Array retval;
  vtk_pointer->PruneOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageSkeleton2D:PruneOff vtkImageSkeleton2DPruneOffFunction
//input a0 
//output none
ArrayVector vtkImageSkeleton2DPruneOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PruneOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PruneOff for class vtkImageSkeleton2D requires 1 argument(s)");
  vtkImageSkeleton2D* vtk_pointer = GetVTKPointer<vtkImageSkeleton2D>(arg[0]);
  Array retval;
  vtk_pointer->PruneOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageSkeleton2D:SetNumberOfIterations vtkImageSkeleton2DSetNumberOfIterationsFunction
//input a0 a1 
//output none
ArrayVector vtkImageSkeleton2DSetNumberOfIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfIterations (int num); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfIterations for class vtkImageSkeleton2D requires 2 argument(s)");
  vtkImageSkeleton2D* vtk_pointer = GetVTKPointer<vtkImageSkeleton2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfIterations(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageSkeleton2D:display vtkImageSkeleton2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageSkeleton2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageSkeleton2D* vtk_pointer = GetVTKPointer<vtkImageSkeleton2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageSkeleton2D:delete vtkImageSkeleton2DDeleteFunction
//input varargin
//output none
ArrayVector vtkImageSkeleton2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageSkeleton2D
//@@Section VTKImaging
//@@Usage
// vtkImageSkeleton2D should leave only single pixel width lines
// of non-zero-valued pixels (values of 1 are not allowed).  
// It works by erosion on a 3x3 neighborhood with special rules.
// The number of iterations determines how far the filter can erode.
// There are three pruning levels:  
//  prune == 0 will leave traces on all angles...
//  prune == 1 will not leave traces on 135 degree angles, but will on 90.
//  prune == 2 does not leave traces on any angles leaving only closed loops.
// Prune defaults to zero. The output scalar type is the same as the input.
//
//To create an instance of class vtkImageSkeleton2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageSkeleton2D
//@]
//@@Methods
//The class vtkImageSkeleton2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageSkeleton2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageSkeleton2D = obj.NewInstance ()|
// \item @|vtkImageSkeleton2D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPrune (int )| -  When prune is on, only closed loops are left unchanged.
//// \item @|int = obj.GetPrune ()| -  When prune is on, only closed loops are left unchanged.
//// \item @|obj.PruneOn ()| -  When prune is on, only closed loops are left unchanged.
//// \item @|obj.PruneOff ()| -  When prune is on, only closed loops are left unchanged.
//// \item @|obj.SetNumberOfIterations (int num)| -  Sets the number of cycles in the erosion.
////\end{itemize}
//!
