#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageSobel2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageSobel2D.h"

//@@Signature
//sfunction @vtkImageSobel2D:vtkImageSobel2D vtkImageSobel2DConstructorFunction
//input a
//output p
//@@Parents vtkImageSobel2D vtkImageSpatialAlgorithm 
ArrayVector vtkImageSobel2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageSobel2D::New(),"vtkImageSobel2D",eval);
  } else if (arg[0].className() == "vtkImageSobel2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageSobel2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageSobel2D");
    vtkImageSobel2D*q = reinterpret_cast<vtkImageSobel2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageSobel2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageSobel2D:GetClassName vtkImageSobel2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageSobel2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageSobel2D requires 1 argument(s)");
  vtkImageSobel2D* vtk_pointer = GetVTKPointer<vtkImageSobel2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageSobel2D:IsA vtkImageSobel2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageSobel2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageSobel2D requires 2 argument(s)");
  vtkImageSobel2D* vtk_pointer = GetVTKPointer<vtkImageSobel2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageSobel2D:NewInstance vtkImageSobel2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageSobel2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageSobel2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageSobel2D requires 1 argument(s)");
  vtkImageSobel2D* vtk_pointer = GetVTKPointer<vtkImageSobel2D>(arg[0]);
  Array retval;
  vtkImageSobel2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageSobel2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageSobel2D:SafeDownCast vtkImageSobel2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageSobel2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageSobel2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageSobel2D requires 2 argument(s)");
  vtkImageSobel2D* vtk_pointer = GetVTKPointer<vtkImageSobel2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageSobel2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageSobel2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageSobel2D:display vtkImageSobel2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageSobel2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageSobel2D* vtk_pointer = GetVTKPointer<vtkImageSobel2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageSobel2D:delete vtkImageSobel2DDeleteFunction
//input varargin
//output none
ArrayVector vtkImageSobel2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageSobel2D
//@@Section VTKImaging
//@@Usage
// vtkImageSobel2D computes a vector field from a scalar field by using
// Sobel functions.  The number of vector components is 2 because
// the input is an image.  Output is always doubles.
//
//To create an instance of class vtkImageSobel2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageSobel2D
//@]
//@@Methods
//The class vtkImageSobel2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageSobel2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageSobel2D = obj.NewInstance ()|
// \item @|vtkImageSobel2D = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
