#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageSobel3D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageSobel3D.h"

//@@Signature
//sfunction @vtkImageSobel3D:vtkImageSobel3D vtkImageSobel3DConstructorFunction
//input a
//output p
//@@Parents vtkImageSobel3D vtkImageSpatialAlgorithm 
ArrayVector vtkImageSobel3DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageSobel3D::New(),"vtkImageSobel3D",eval);
  } else if (arg[0].className() == "vtkImageSobel3D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageSobel3D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageSobel3D");
    vtkImageSobel3D*q = reinterpret_cast<vtkImageSobel3D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageSobel3D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageSobel3D:GetClassName vtkImageSobel3DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageSobel3DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageSobel3D requires 1 argument(s)");
  vtkImageSobel3D* vtk_pointer = GetVTKPointer<vtkImageSobel3D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageSobel3D:IsA vtkImageSobel3DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageSobel3DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageSobel3D requires 2 argument(s)");
  vtkImageSobel3D* vtk_pointer = GetVTKPointer<vtkImageSobel3D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageSobel3D:NewInstance vtkImageSobel3DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageSobel3DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageSobel3D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageSobel3D requires 1 argument(s)");
  vtkImageSobel3D* vtk_pointer = GetVTKPointer<vtkImageSobel3D>(arg[0]);
  Array retval;
  vtkImageSobel3D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageSobel3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageSobel3D:SafeDownCast vtkImageSobel3DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageSobel3DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageSobel3D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageSobel3D requires 2 argument(s)");
  vtkImageSobel3D* vtk_pointer = GetVTKPointer<vtkImageSobel3D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageSobel3D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageSobel3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageSobel3D:display vtkImageSobel3DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageSobel3DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageSobel3D* vtk_pointer = GetVTKPointer<vtkImageSobel3D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageSobel3D:delete vtkImageSobel3DDeleteFunction
//input varargin
//output none
ArrayVector vtkImageSobel3DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageSobel3D
//@@Section VTKImaging
//@@Usage
// vtkImageSobel3D computes a vector field from a scalar field by using
// Sobel functions.  The number of vector components is 3 because
// the input is a volume.  Output is always doubles.  A little creative 
// liberty was used to extend the 2D sobel kernels into 3D.
//
//To create an instance of class vtkImageSobel3D, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageSobel3D
//@]
//@@Methods
//The class vtkImageSobel3D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageSobel3D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageSobel3D = obj.NewInstance ()|
// \item @|vtkImageSobel3D = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
