#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageSpatialAlgorithm object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageSpatialAlgorithm.h"

//@@Signature
//sfunction @vtkImageSpatialAlgorithm:vtkImageSpatialAlgorithm vtkImageSpatialAlgorithmConstructorFunction
//input a
//output p
//@@Parents vtkImageSpatialAlgorithm vtkThreadedImageAlgorithm 
ArrayVector vtkImageSpatialAlgorithmConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageSpatialAlgorithm::New(),"vtkImageSpatialAlgorithm",eval);
  } else if (arg[0].className() == "vtkImageSpatialAlgorithm") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageSpatialAlgorithm"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageSpatialAlgorithm");
    vtkImageSpatialAlgorithm*q = reinterpret_cast<vtkImageSpatialAlgorithm*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageSpatialAlgorithm");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageSpatialAlgorithm:GetClassName vtkImageSpatialAlgorithmGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageSpatialAlgorithmGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageSpatialAlgorithm requires 1 argument(s)");
  vtkImageSpatialAlgorithm* vtk_pointer = GetVTKPointer<vtkImageSpatialAlgorithm>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageSpatialAlgorithm:IsA vtkImageSpatialAlgorithmIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageSpatialAlgorithmIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageSpatialAlgorithm requires 2 argument(s)");
  vtkImageSpatialAlgorithm* vtk_pointer = GetVTKPointer<vtkImageSpatialAlgorithm>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageSpatialAlgorithm:NewInstance vtkImageSpatialAlgorithmNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageSpatialAlgorithmNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageSpatialAlgorithm *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageSpatialAlgorithm requires 1 argument(s)");
  vtkImageSpatialAlgorithm* vtk_pointer = GetVTKPointer<vtkImageSpatialAlgorithm>(arg[0]);
  Array retval;
  vtkImageSpatialAlgorithm  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageSpatialAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageSpatialAlgorithm:SafeDownCast vtkImageSpatialAlgorithmSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageSpatialAlgorithmSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageSpatialAlgorithm *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageSpatialAlgorithm requires 2 argument(s)");
  vtkImageSpatialAlgorithm* vtk_pointer = GetVTKPointer<vtkImageSpatialAlgorithm>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageSpatialAlgorithm  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageSpatialAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageSpatialAlgorithm:GetKernelSize vtkImageSpatialAlgorithmGetKernelSizeFunction
//input a0 
//output y
ArrayVector vtkImageSpatialAlgorithmGetKernelSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetKernelSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKernelSize for class vtkImageSpatialAlgorithm requires 1 argument(s)");
  vtkImageSpatialAlgorithm* vtk_pointer = GetVTKPointer<vtkImageSpatialAlgorithm>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetKernelSize();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageSpatialAlgorithm:GetKernelMiddle vtkImageSpatialAlgorithmGetKernelMiddleFunction
//input a0 
//output y
ArrayVector vtkImageSpatialAlgorithmGetKernelMiddleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetKernelMiddle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKernelMiddle for class vtkImageSpatialAlgorithm requires 1 argument(s)");
  vtkImageSpatialAlgorithm* vtk_pointer = GetVTKPointer<vtkImageSpatialAlgorithm>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetKernelMiddle();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageSpatialAlgorithm:display vtkImageSpatialAlgorithmDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageSpatialAlgorithmDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageSpatialAlgorithm* vtk_pointer = GetVTKPointer<vtkImageSpatialAlgorithm>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageSpatialAlgorithm:delete vtkImageSpatialAlgorithmDeleteFunction
//input varargin
//output none
ArrayVector vtkImageSpatialAlgorithmDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageSpatialAlgorithm
//@@Section VTKImaging
//@@Usage
// vtkImageSpatialAlgorithm is a super class for filters that operate on an
// input neighborhood for each output pixel. It handles even sized
// neighborhoods, but their can be a half pixel shift associated with
// processing.  This superclass has some logic for handling boundaries.  It
// can split regions into boundary and non-boundary pieces and call different
// execute methods.
//
//To create an instance of class vtkImageSpatialAlgorithm, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageSpatialAlgorithm
//@]
//@@Methods
//The class vtkImageSpatialAlgorithm has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageSpatialAlgorithm class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageSpatialAlgorithm = obj.NewInstance ()|
// \item @|vtkImageSpatialAlgorithm = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj. GetKernelSize ()| -  Get the Kernel size.
//// \item @|int = obj. GetKernelMiddle ()| -  Get the Kernel middle.
////\end{itemize}
//!
