#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageSpatialFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageSpatialFilter.h"

//@@Signature
//sfunction @vtkImageSpatialFilter:vtkImageSpatialFilter vtkImageSpatialFilterConstructorFunction
//input a
//output p
//@@Parents vtkImageSpatialFilter vtkImageToImageFilter 
ArrayVector vtkImageSpatialFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageSpatialFilter::New(),"vtkImageSpatialFilter",eval);
  } else if (arg[0].className() == "vtkImageSpatialFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageSpatialFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageSpatialFilter");
    vtkImageSpatialFilter*q = reinterpret_cast<vtkImageSpatialFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageSpatialFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageSpatialFilter:GetClassName vtkImageSpatialFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageSpatialFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageSpatialFilter requires 1 argument(s)");
  vtkImageSpatialFilter* vtk_pointer = GetVTKPointer<vtkImageSpatialFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageSpatialFilter:IsA vtkImageSpatialFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageSpatialFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageSpatialFilter requires 2 argument(s)");
  vtkImageSpatialFilter* vtk_pointer = GetVTKPointer<vtkImageSpatialFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageSpatialFilter:NewInstance vtkImageSpatialFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageSpatialFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageSpatialFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageSpatialFilter requires 1 argument(s)");
  vtkImageSpatialFilter* vtk_pointer = GetVTKPointer<vtkImageSpatialFilter>(arg[0]);
  Array retval;
  vtkImageSpatialFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageSpatialFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageSpatialFilter:SafeDownCast vtkImageSpatialFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageSpatialFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageSpatialFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageSpatialFilter requires 2 argument(s)");
  vtkImageSpatialFilter* vtk_pointer = GetVTKPointer<vtkImageSpatialFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageSpatialFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageSpatialFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageSpatialFilter:GetKernelSize vtkImageSpatialFilterGetKernelSizeFunction
//input a0 
//output y
ArrayVector vtkImageSpatialFilterGetKernelSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetKernelSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKernelSize for class vtkImageSpatialFilter requires 1 argument(s)");
  vtkImageSpatialFilter* vtk_pointer = GetVTKPointer<vtkImageSpatialFilter>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetKernelSize();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageSpatialFilter:GetKernelMiddle vtkImageSpatialFilterGetKernelMiddleFunction
//input a0 
//output y
ArrayVector vtkImageSpatialFilterGetKernelMiddleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetKernelMiddle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKernelMiddle for class vtkImageSpatialFilter requires 1 argument(s)");
  vtkImageSpatialFilter* vtk_pointer = GetVTKPointer<vtkImageSpatialFilter>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetKernelMiddle();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageSpatialFilter:ExecuteInformation vtkImageSpatialFilterExecuteInformationFunction
//input varargin
//output varargout
ArrayVector vtkImageSpatialFilterExecuteInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkImageSpatialFilterExecuteInformation");
}

//@@Signature
//sfunction @vtkImageSpatialFilter:display vtkImageSpatialFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageSpatialFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageSpatialFilter* vtk_pointer = GetVTKPointer<vtkImageSpatialFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageSpatialFilter:delete vtkImageSpatialFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkImageSpatialFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageSpatialFilter
//@@Section VTKImaging
//@@Usage
// vtkImageSpatialFilter is a super class for filters that operate on an
// input neighborhood for each output pixel. It handles even sized
// neighborhoods, but their can be a half pixel shift associated with
// processing.  This superclass has some logic for handling boundaries.  It
// can split regions into boundary and non-boundary pieces and call different
// execute methods.
// .SECTION Warning
// This used to be the parent class for most imaging filter in VTK4.x, now 
// this role has been replaced by vtkImageSpatialAlgorithm. You should consider
// using vtkImageSpatialAlgorithm instead, when writing filter for VTK5 and above.
// This class was kept to ensure full backward compatibility.
// .SECTION See also
// vtkSimpleImageToImageFilter vtkImageToImageFilter vtkImageSpatialAlgorithm 
//
//To create an instance of class vtkImageSpatialFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageSpatialFilter
//@]
//@@Methods
//The class vtkImageSpatialFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageSpatialFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageSpatialFilter = obj.NewInstance ()|
// \item @|vtkImageSpatialFilter = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj. GetKernelSize ()| -  Get the Kernel size.
//// \item @|int = obj. GetKernelMiddle ()| -  Get the Kernel middle.
////\end{itemize}
//!
