#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageStencil object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageStencil.h"

//@@Signature
//sfunction @vtkImageStencil:vtkImageStencil vtkImageStencilConstructorFunction
//input a
//output p
//@@Parents vtkImageStencil vtkThreadedImageAlgorithm 
ArrayVector vtkImageStencilConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageStencil::New(),"vtkImageStencil",eval);
  } else if (arg[0].className() == "vtkImageStencil") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageStencil"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageStencil");
    vtkImageStencil*q = reinterpret_cast<vtkImageStencil*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageStencil");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageStencil:GetClassName vtkImageStencilGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageStencilGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageStencil requires 1 argument(s)");
  vtkImageStencil* vtk_pointer = GetVTKPointer<vtkImageStencil>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageStencil:IsA vtkImageStencilIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageStencilIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageStencil requires 2 argument(s)");
  vtkImageStencil* vtk_pointer = GetVTKPointer<vtkImageStencil>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageStencil:NewInstance vtkImageStencilNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageStencilNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageStencil *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageStencil requires 1 argument(s)");
  vtkImageStencil* vtk_pointer = GetVTKPointer<vtkImageStencil>(arg[0]);
  Array retval;
  vtkImageStencil  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageStencil",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencil:SafeDownCast vtkImageStencilSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageStencilSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageStencil *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageStencil requires 2 argument(s)");
  vtkImageStencil* vtk_pointer = GetVTKPointer<vtkImageStencil>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageStencil  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageStencil",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencil:SetStencil vtkImageStencilSetStencilFunction
//input a0 a1 
//output none
ArrayVector vtkImageStencilSetStencilFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetStencil (vtkImageStencilData *stencil); */
  if (arg.size() < 2) 
    throw Exception("Function SetStencil for class vtkImageStencil requires 2 argument(s)");
  vtkImageStencil* vtk_pointer = GetVTKPointer<vtkImageStencil>(arg[0]);
  Array retval;
  vtkImageStencilData  *temp0;
  temp0 = GetVTKPointer<vtkImageStencilData>(arg[1]);
  vtk_pointer->SetStencil(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencil:GetStencil vtkImageStencilGetStencilFunction
//input a0 
//output y
ArrayVector vtkImageStencilGetStencilFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageStencilData *GetStencil (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStencil for class vtkImageStencil requires 1 argument(s)");
  vtkImageStencil* vtk_pointer = GetVTKPointer<vtkImageStencil>(arg[0]);
  Array retval;
  vtkImageStencilData  *temp20;
  temp20 = (vtk_pointer)->GetStencil();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageStencilData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencil:SetReverseStencil vtkImageStencilSetReverseStencilFunction
//input a0 a1 
//output none
ArrayVector vtkImageStencilSetReverseStencilFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReverseStencil (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReverseStencil for class vtkImageStencil requires 2 argument(s)");
  vtkImageStencil* vtk_pointer = GetVTKPointer<vtkImageStencil>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReverseStencil(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencil:ReverseStencilOn vtkImageStencilReverseStencilOnFunction
//input a0 
//output none
ArrayVector vtkImageStencilReverseStencilOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReverseStencilOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReverseStencilOn for class vtkImageStencil requires 1 argument(s)");
  vtkImageStencil* vtk_pointer = GetVTKPointer<vtkImageStencil>(arg[0]);
  Array retval;
  vtk_pointer->ReverseStencilOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageStencil:ReverseStencilOff vtkImageStencilReverseStencilOffFunction
//input a0 
//output none
ArrayVector vtkImageStencilReverseStencilOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReverseStencilOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReverseStencilOff for class vtkImageStencil requires 1 argument(s)");
  vtkImageStencil* vtk_pointer = GetVTKPointer<vtkImageStencil>(arg[0]);
  Array retval;
  vtk_pointer->ReverseStencilOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageStencil:GetReverseStencil vtkImageStencilGetReverseStencilFunction
//input a0 
//output y
ArrayVector vtkImageStencilGetReverseStencilFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReverseStencil (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReverseStencil for class vtkImageStencil requires 1 argument(s)");
  vtkImageStencil* vtk_pointer = GetVTKPointer<vtkImageStencil>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReverseStencil();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageStencil:SetBackgroundInput vtkImageStencilSetBackgroundInputFunction
//input a0 a1 
//output none
ArrayVector vtkImageStencilSetBackgroundInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetBackgroundInput (vtkImageData *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetBackgroundInput for class vtkImageStencil requires 2 argument(s)");
  vtkImageStencil* vtk_pointer = GetVTKPointer<vtkImageStencil>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetBackgroundInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencil:GetBackgroundInput vtkImageStencilGetBackgroundInputFunction
//input a0 
//output y
ArrayVector vtkImageStencilGetBackgroundInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetBackgroundInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBackgroundInput for class vtkImageStencil requires 1 argument(s)");
  vtkImageStencil* vtk_pointer = GetVTKPointer<vtkImageStencil>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetBackgroundInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencil:SetBackgroundValue vtkImageStencilSetBackgroundValueFunction
//input a0 a1 
//output none
ArrayVector vtkImageStencilSetBackgroundValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBackgroundValue (double val);this SetBackgroundColor val val val val  */
  if (arg.size() < 2) 
    throw Exception("Function SetBackgroundValue for class vtkImageStencil requires 2 argument(s)");
  vtkImageStencil* vtk_pointer = GetVTKPointer<vtkImageStencil>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetBackgroundValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencil:GetBackgroundValue vtkImageStencilGetBackgroundValueFunction
//input a0 
//output y
ArrayVector vtkImageStencilGetBackgroundValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetBackgroundValue ();return this BackgroundColor  */
  if (arg.size() < 1) 
    throw Exception("Function GetBackgroundValue for class vtkImageStencil requires 1 argument(s)");
  vtkImageStencil* vtk_pointer = GetVTKPointer<vtkImageStencil>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetBackgroundValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageStencil:SetBackgroundColor__1 vtkImageStencilSetBackgroundColor__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkImageStencilSetBackgroundColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBackgroundColor (double , double , double , double ); */
  if (arg.size() < 5) 
    throw Exception("Function SetBackgroundColor__1 for class vtkImageStencil requires 5 argument(s)");
  vtkImageStencil* vtk_pointer = GetVTKPointer<vtkImageStencil>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetBackgroundColor(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencil:SetBackgroundColor__2 vtkImageStencilSetBackgroundColor__2Function
//input a0 a1 
//output none
ArrayVector vtkImageStencilSetBackgroundColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBackgroundColor (double  a[4]); */
  if (arg.size() < 2) 
    throw Exception("Function SetBackgroundColor__2 for class vtkImageStencil requires 2 argument(s)");
  vtkImageStencil* vtk_pointer = GetVTKPointer<vtkImageStencil>(arg[0]);
  Array retval;
  double temp0[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetBackgroundColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencil:GetBackgroundColor vtkImageStencilGetBackgroundColorFunction
//input a0 
//output y
ArrayVector vtkImageStencilGetBackgroundColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetBackgroundColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBackgroundColor for class vtkImageStencil requires 1 argument(s)");
  vtkImageStencil* vtk_pointer = GetVTKPointer<vtkImageStencil>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetBackgroundColor();
  BasicArray<double> tempResult(NTuple(4,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencil:SetBackgroundColor vtkImageStencilSetBackgroundColorFunction
//input varargin
//output varargout
ArrayVector vtkImageStencilSetBackgroundColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkImageStencilSetBackgroundColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageStencilSetBackgroundColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageStencilSetBackgroundColor");
}

//@@Signature
//sfunction @vtkImageStencil:display vtkImageStencilDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageStencilDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageStencil* vtk_pointer = GetVTKPointer<vtkImageStencil>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageStencil:delete vtkImageStencilDeleteFunction
//input varargin
//output none
ArrayVector vtkImageStencilDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageStencil
//@@Section VTKImaging
//@@Usage
// vtkImageStencil will combine two images together using a stencil.
// The stencil should be provided in the form of a vtkImageStencilData,
//
//To create an instance of class vtkImageStencil, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageStencil
//@]
//@@Methods
//The class vtkImageStencil has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageStencil class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageStencil = obj.NewInstance ()|
// \item @|vtkImageStencil = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetStencil (vtkImageStencilData stencil)| -  Specify the stencil to use.  The stencil can be created
// from a vtkImplicitFunction or a vtkPolyData.
//// \item @|vtkImageStencilData = obj.GetStencil ()| -  Specify the stencil to use.  The stencil can be created
// from a vtkImplicitFunction or a vtkPolyData.
//// \item @|obj.SetReverseStencil (int )| -  Reverse the stencil.
//// \item @|obj.ReverseStencilOn ()| -  Reverse the stencil.
//// \item @|obj.ReverseStencilOff ()| -  Reverse the stencil.
//// \item @|int = obj.GetReverseStencil ()| -  Reverse the stencil.
//// \item @|obj.SetBackgroundInput (vtkImageData input)| -  NOTE: Not yet implemented, use SetBackgroundValue instead.
// Set the second input.  This image will be used for the 'outside' of the
// stencil.  If not set, the output voxels will be filled with
// BackgroundValue instead.
//// \item @|vtkImageData = obj.GetBackgroundInput ()| -  NOTE: Not yet implemented, use SetBackgroundValue instead.
// Set the second input.  This image will be used for the 'outside' of the
// stencil.  If not set, the output voxels will be filled with
// BackgroundValue instead.
//// \item @|obj.SetBackgroundValue (double val)| -  Set the default output value to use when the second input is not set.
//// \item @|double = obj.GetBackgroundValue ()| -  Set the default output value to use when the second input is not set.
//// \item @|obj.SetBackgroundColor (double , double , double , double )| -  Set the default color to use when the second input is not set.
// This is like SetBackgroundValue, but for multi-component images.
//// \item @|obj.SetBackgroundColor (double  a[4])| -  Set the default color to use when the second input is not set.
// This is like SetBackgroundValue, but for multi-component images.
//// \item @|double = obj. GetBackgroundColor ()| -  Set the default color to use when the second input is not set.
// This is like SetBackgroundValue, but for multi-component images.
////\end{itemize}
//!
