#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageStencilData object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageStencilData.h"

//@@Signature
//sfunction @vtkImageStencilData:vtkImageStencilData vtkImageStencilDataConstructorFunction
//input a
//output p
//@@Parents vtkImageStencilData vtkDataObject 
ArrayVector vtkImageStencilDataConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageStencilData::New(),"vtkImageStencilData",eval);
  } else if (arg[0].className() == "vtkImageStencilData") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageStencilData"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageStencilData");
    vtkImageStencilData*q = reinterpret_cast<vtkImageStencilData*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageStencilData");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageStencilData:GetClassName vtkImageStencilDataGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageStencilDataGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageStencilData requires 1 argument(s)");
  vtkImageStencilData* vtk_pointer = GetVTKPointer<vtkImageStencilData>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilData:IsA vtkImageStencilDataIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageStencilDataIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageStencilData requires 2 argument(s)");
  vtkImageStencilData* vtk_pointer = GetVTKPointer<vtkImageStencilData>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilData:NewInstance vtkImageStencilDataNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageStencilDataNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageStencilData *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageStencilData requires 1 argument(s)");
  vtkImageStencilData* vtk_pointer = GetVTKPointer<vtkImageStencilData>(arg[0]);
  Array retval;
  vtkImageStencilData  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageStencilData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilData:SafeDownCast vtkImageStencilDataSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageStencilDataSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageStencilData *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageStencilData requires 2 argument(s)");
  vtkImageStencilData* vtk_pointer = GetVTKPointer<vtkImageStencilData>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageStencilData  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageStencilData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilData:Initialize vtkImageStencilDataInitializeFunction
//input a0 
//output none
ArrayVector vtkImageStencilDataInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkImageStencilData requires 1 argument(s)");
  vtkImageStencilData* vtk_pointer = GetVTKPointer<vtkImageStencilData>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilData:DeepCopy vtkImageStencilDataDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkImageStencilDataDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopy (vtkDataObject *o); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkImageStencilData requires 2 argument(s)");
  vtkImageStencilData* vtk_pointer = GetVTKPointer<vtkImageStencilData>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilData:ShallowCopy vtkImageStencilDataShallowCopyFunction
//input a0 a1 
//output none
ArrayVector vtkImageStencilDataShallowCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ShallowCopy (vtkDataObject *f); */
  if (arg.size() < 2) 
    throw Exception("Function ShallowCopy for class vtkImageStencilData requires 2 argument(s)");
  vtkImageStencilData* vtk_pointer = GetVTKPointer<vtkImageStencilData>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->ShallowCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilData:InternalImageStencilDataCopy vtkImageStencilDataInternalImageStencilDataCopyFunction
//input a0 a1 
//output none
ArrayVector vtkImageStencilDataInternalImageStencilDataCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InternalImageStencilDataCopy (vtkImageStencilData *s); */
  if (arg.size() < 2) 
    throw Exception("Function InternalImageStencilDataCopy for class vtkImageStencilData requires 2 argument(s)");
  vtkImageStencilData* vtk_pointer = GetVTKPointer<vtkImageStencilData>(arg[0]);
  Array retval;
  vtkImageStencilData  *temp0;
  temp0 = GetVTKPointer<vtkImageStencilData>(arg[1]);
  vtk_pointer->InternalImageStencilDataCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilData:GetDataObjectType vtkImageStencilDataGetDataObjectTypeFunction
//input a0 
//output y
ArrayVector vtkImageStencilDataGetDataObjectTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataObjectType ();return VTK_DATA_OBJECT  */
  if (arg.size() < 1) 
    throw Exception("Function GetDataObjectType for class vtkImageStencilData requires 1 argument(s)");
  vtkImageStencilData* vtk_pointer = GetVTKPointer<vtkImageStencilData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataObjectType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilData:GetExtentType vtkImageStencilDataGetExtentTypeFunction
//input a0 
//output y
ArrayVector vtkImageStencilDataGetExtentTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetExtentType ();return VTK_3D_EXTENT  */
  if (arg.size() < 1) 
    throw Exception("Function GetExtentType for class vtkImageStencilData requires 1 argument(s)");
  vtkImageStencilData* vtk_pointer = GetVTKPointer<vtkImageStencilData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetExtentType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilData:InsertNextExtent vtkImageStencilDataInsertNextExtentFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkImageStencilDataInsertNextExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertNextExtent (int r1, int r2, int yIdx, int zIdx); */
  if (arg.size() < 5) 
    throw Exception("Function InsertNextExtent for class vtkImageStencilData requires 5 argument(s)");
  vtkImageStencilData* vtk_pointer = GetVTKPointer<vtkImageStencilData>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->InsertNextExtent(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilData:InsertAndMergeExtent vtkImageStencilDataInsertAndMergeExtentFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkImageStencilDataInsertAndMergeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InsertAndMergeExtent (int r1, int r2, int yIdx, int zIdx); */
  if (arg.size() < 5) 
    throw Exception("Function InsertAndMergeExtent for class vtkImageStencilData requires 5 argument(s)");
  vtkImageStencilData* vtk_pointer = GetVTKPointer<vtkImageStencilData>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->InsertAndMergeExtent(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilData:RemoveExtent vtkImageStencilDataRemoveExtentFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkImageStencilDataRemoveExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveExtent (int r1, int r2, int yIdx, int zIdx); */
  if (arg.size() < 5) 
    throw Exception("Function RemoveExtent for class vtkImageStencilData requires 5 argument(s)");
  vtkImageStencilData* vtk_pointer = GetVTKPointer<vtkImageStencilData>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->RemoveExtent(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilData:SetSpacing__1 vtkImageStencilDataSetSpacing__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageStencilDataSetSpacing__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpacing (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetSpacing__1 for class vtkImageStencilData requires 4 argument(s)");
  vtkImageStencilData* vtk_pointer = GetVTKPointer<vtkImageStencilData>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetSpacing(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilData:SetSpacing__2 vtkImageStencilDataSetSpacing__2Function
//input a0 a1 
//output none
ArrayVector vtkImageStencilDataSetSpacing__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpacing (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSpacing__2 for class vtkImageStencilData requires 2 argument(s)");
  vtkImageStencilData* vtk_pointer = GetVTKPointer<vtkImageStencilData>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetSpacing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilData:GetSpacing vtkImageStencilDataGetSpacingFunction
//input a0 
//output y
ArrayVector vtkImageStencilDataGetSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetSpacing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSpacing for class vtkImageStencilData requires 1 argument(s)");
  vtkImageStencilData* vtk_pointer = GetVTKPointer<vtkImageStencilData>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetSpacing();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilData:SetOrigin__1 vtkImageStencilDataSetOrigin__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageStencilDataSetOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetOrigin__1 for class vtkImageStencilData requires 4 argument(s)");
  vtkImageStencilData* vtk_pointer = GetVTKPointer<vtkImageStencilData>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilData:SetOrigin__2 vtkImageStencilDataSetOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkImageStencilDataSetOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrigin__2 for class vtkImageStencilData requires 2 argument(s)");
  vtkImageStencilData* vtk_pointer = GetVTKPointer<vtkImageStencilData>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilData:GetOrigin vtkImageStencilDataGetOriginFunction
//input a0 
//output y
ArrayVector vtkImageStencilDataGetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrigin for class vtkImageStencilData requires 1 argument(s)");
  vtkImageStencilData* vtk_pointer = GetVTKPointer<vtkImageStencilData>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilData:SetExtent__1 vtkImageStencilDataSetExtent__1Function
//input a0 a1 
//output none
ArrayVector vtkImageStencilDataSetExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtent (int extent[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtent__1 for class vtkImageStencilData requires 2 argument(s)");
  vtkImageStencilData* vtk_pointer = GetVTKPointer<vtkImageStencilData>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilData:SetExtent__2 vtkImageStencilDataSetExtent__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkImageStencilDataSetExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtent (int x1, int x2, int y1, int y2, int z1, int z2); */
  if (arg.size() < 7) 
    throw Exception("Function SetExtent__2 for class vtkImageStencilData requires 7 argument(s)");
  vtkImageStencilData* vtk_pointer = GetVTKPointer<vtkImageStencilData>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilData:GetExtent vtkImageStencilDataGetExtentFunction
//input a0 
//output y
ArrayVector vtkImageStencilDataGetExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtent for class vtkImageStencilData requires 1 argument(s)");
  vtkImageStencilData* vtk_pointer = GetVTKPointer<vtkImageStencilData>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilData:AllocateExtents vtkImageStencilDataAllocateExtentsFunction
//input a0 
//output none
ArrayVector vtkImageStencilDataAllocateExtentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllocateExtents (); */
  if (arg.size() < 1) 
    throw Exception("Function AllocateExtents for class vtkImageStencilData requires 1 argument(s)");
  vtkImageStencilData* vtk_pointer = GetVTKPointer<vtkImageStencilData>(arg[0]);
  Array retval;
  vtk_pointer->AllocateExtents();
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilData:Fill vtkImageStencilDataFillFunction
//input a0 
//output none
ArrayVector vtkImageStencilDataFillFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Fill (); */
  if (arg.size() < 1) 
    throw Exception("Function Fill for class vtkImageStencilData requires 1 argument(s)");
  vtkImageStencilData* vtk_pointer = GetVTKPointer<vtkImageStencilData>(arg[0]);
  Array retval;
  vtk_pointer->Fill();
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilData:CopyInformationToPipeline vtkImageStencilDataCopyInformationToPipelineFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkImageStencilDataCopyInformationToPipelineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyInformationToPipeline (vtkInformation *request, vtkInformation *input, vtkInformation *output, int forceCopy); */
  if (arg.size() < 5) 
    throw Exception("Function CopyInformationToPipeline for class vtkImageStencilData requires 5 argument(s)");
  vtkImageStencilData* vtk_pointer = GetVTKPointer<vtkImageStencilData>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  vtkInformation  *temp1;
  vtkInformation  *temp2;
  int      temp3;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  temp2 = GetVTKPointer<vtkInformation>(arg[3]);
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  vtk_pointer->CopyInformationToPipeline(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilData:CopyInformationFromPipeline vtkImageStencilDataCopyInformationFromPipelineFunction
//input a0 a1 
//output none
ArrayVector vtkImageStencilDataCopyInformationFromPipelineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyInformationFromPipeline (vtkInformation *request); */
  if (arg.size() < 2) 
    throw Exception("Function CopyInformationFromPipeline for class vtkImageStencilData requires 2 argument(s)");
  vtkImageStencilData* vtk_pointer = GetVTKPointer<vtkImageStencilData>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  vtk_pointer->CopyInformationFromPipeline(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilData:Add vtkImageStencilDataAddFunction
//input a0 a1 
//output none
ArrayVector vtkImageStencilDataAddFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Add (vtkImageStencilData *); */
  if (arg.size() < 2) 
    throw Exception("Function Add for class vtkImageStencilData requires 2 argument(s)");
  vtkImageStencilData* vtk_pointer = GetVTKPointer<vtkImageStencilData>(arg[0]);
  Array retval;
  vtkImageStencilData  *temp0;
  temp0 = GetVTKPointer<vtkImageStencilData>(arg[1]);
  vtk_pointer->Add(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilData:Subtract vtkImageStencilDataSubtractFunction
//input a0 a1 
//output none
ArrayVector vtkImageStencilDataSubtractFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Subtract (vtkImageStencilData *); */
  if (arg.size() < 2) 
    throw Exception("Function Subtract for class vtkImageStencilData requires 2 argument(s)");
  vtkImageStencilData* vtk_pointer = GetVTKPointer<vtkImageStencilData>(arg[0]);
  Array retval;
  vtkImageStencilData  *temp0;
  temp0 = GetVTKPointer<vtkImageStencilData>(arg[1]);
  vtk_pointer->Subtract(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilData:Replace vtkImageStencilDataReplaceFunction
//input a0 a1 
//output none
ArrayVector vtkImageStencilDataReplaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Replace (vtkImageStencilData *); */
  if (arg.size() < 2) 
    throw Exception("Function Replace for class vtkImageStencilData requires 2 argument(s)");
  vtkImageStencilData* vtk_pointer = GetVTKPointer<vtkImageStencilData>(arg[0]);
  Array retval;
  vtkImageStencilData  *temp0;
  temp0 = GetVTKPointer<vtkImageStencilData>(arg[1]);
  vtk_pointer->Replace(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilData:Clip vtkImageStencilDataClipFunction
//input a0 a1 
//output y
ArrayVector vtkImageStencilDataClipFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Clip (int extent[6]); */
  if (arg.size() < 2) 
    throw Exception("Function Clip for class vtkImageStencilData requires 2 argument(s)");
  vtkImageStencilData* vtk_pointer = GetVTKPointer<vtkImageStencilData>(arg[0]);
  Array retval;
  int    temp0[6];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  temp20 = (vtk_pointer)->Clip(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilData:SetSpacing vtkImageStencilDataSetSpacingFunction
//input varargin
//output varargout
ArrayVector vtkImageStencilDataSetSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageStencilDataSetSpacing__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageStencilDataSetSpacing__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageStencilDataSetSpacing");
}

//@@Signature
//sfunction @vtkImageStencilData:SetOrigin vtkImageStencilDataSetOriginFunction
//input varargin
//output varargout
ArrayVector vtkImageStencilDataSetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageStencilDataSetOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageStencilDataSetOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageStencilDataSetOrigin");
}

//@@Signature
//sfunction @vtkImageStencilData:SetExtent vtkImageStencilDataSetExtentFunction
//input varargin
//output varargout
ArrayVector vtkImageStencilDataSetExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageStencilDataSetExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkImageStencilDataSetExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageStencilDataSetExtent");
}

//@@Signature
//sfunction @vtkImageStencilData:display vtkImageStencilDataDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageStencilDataDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageStencilData* vtk_pointer = GetVTKPointer<vtkImageStencilData>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageStencilData:delete vtkImageStencilDataDeleteFunction
//input varargin
//output none
ArrayVector vtkImageStencilDataDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageStencilData
//@@Section VTKImaging
//@@Usage
// vtkImageStencilData describes an image stencil in a manner which is
// efficient both in terms of speed and storage space.  The stencil extents
// are stored for each x-row across the image (multiple extents per row if
// necessary) and can be retrieved via the GetNextExtent() method.
//
//To create an instance of class vtkImageStencilData, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageStencilData
//@]
//@@Methods
//The class vtkImageStencilData has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageStencilData class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageStencilData = obj.NewInstance ()|
// \item @|vtkImageStencilData = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Initialize ()|
// \item @|obj.DeepCopy (vtkDataObject o)|
// \item @|obj.ShallowCopy (vtkDataObject f)|
// \item @|obj.InternalImageStencilDataCopy (vtkImageStencilData s)|
// \item @|int = obj.GetDataObjectType ()| -  The extent type is 3D, just like vtkImageData.
//// \item @|int = obj.GetExtentType ()| -  The extent type is 3D, just like vtkImageData.
//// \item @|obj.InsertNextExtent (int r1, int r2, int yIdx, int zIdx)| -  This method is used by vtkImageStencilDataSource to add an x 
// sub extent [r1,r2] for the x row (yIdx,zIdx).  The specified sub
// extent must not intersect any other sub extents along the same x row.
// As well, r1 and r2 must both be within the total x extent
// [Extent[0],Extent[1]].
//// \item @|obj.InsertAndMergeExtent (int r1, int r2, int yIdx, int zIdx)| -  Similar to InsertNextExtent, except that the extent (r1,r2) at yIdx, 
// zIdx is merged with other extents, (if any) on that row. So a 
// unique extent may not necessarily be added. For instance, if an extent 
// [5,11] already exists adding an extent, [7,9] will not affect the 
// stencil. Likewise adding [10, 13] will replace the existing extent 
// with [5,13].
//// \item @|obj.RemoveExtent (int r1, int r2, int yIdx, int zIdx)| -  Remove the extent from (r1,r2) at yIdx, zIdx
//// \item @|obj.SetSpacing (double , double , double )| -  Set the desired spacing for the stencil.
// This must be called before the stencil is Updated, ideally 
// in the ExecuteInformation method of the imaging filter that
// is using the stencil.
//// \item @|obj.SetSpacing (double  a[3])| -  Set the desired spacing for the stencil.
// This must be called before the stencil is Updated, ideally 
// in the ExecuteInformation method of the imaging filter that
// is using the stencil.
//// \item @|double = obj. GetSpacing ()| -  Set the desired spacing for the stencil.
// This must be called before the stencil is Updated, ideally 
// in the ExecuteInformation method of the imaging filter that
// is using the stencil.
//// \item @|obj.SetOrigin (double , double , double )| -  Set the desired origin for the stencil.
// This must be called before the stencil is Updated, ideally 
// in the ExecuteInformation method of the imaging filter that
// is using the stencil.
//// \item @|obj.SetOrigin (double  a[3])| -  Set the desired origin for the stencil.
// This must be called before the stencil is Updated, ideally 
// in the ExecuteInformation method of the imaging filter that
// is using the stencil.
//// \item @|double = obj. GetOrigin ()| -  Set the desired origin for the stencil.
// This must be called before the stencil is Updated, ideally 
// in the ExecuteInformation method of the imaging filter that
// is using the stencil.
//// \item @|obj.SetExtent (int extent[6])| -  Set the extent of the data.  This is should be called only 
// by vtkImageStencilSource, as it is part of the basic pipeline
// functionality.
//// \item @|obj.SetExtent (int x1, int x2, int y1, int y2, int z1, int z2)| -  Set the extent of the data.  This is should be called only 
// by vtkImageStencilSource, as it is part of the basic pipeline
// functionality.
//// \item @|int = obj. GetExtent ()| -  Set the extent of the data.  This is should be called only 
// by vtkImageStencilSource, as it is part of the basic pipeline
// functionality.
//// \item @|obj.AllocateExtents ()| -  Allocate space for the sub-extents.  This is called by
// vtkImageStencilSource.
//// \item @|obj.Fill ()| -  Fill the sub-extents.
//// \item @|obj.CopyInformationToPipeline (vtkInformation request, vtkInformation input, vtkInformation output, int forceCopy)| -  Override these to handle origin, spacing, scalar type, and scalar
// number of components.  See vtkDataObject for details.
//// \item @|obj.CopyInformationFromPipeline (vtkInformation request)| -  Override these to handle origin, spacing, scalar type, and scalar
// number of components.  See vtkDataObject for details.
//// \item @|obj.Add (vtkImageStencilData )| -  Add merges the stencil supplied as argument into Self.
//// \item @|obj.Subtract (vtkImageStencilData )| -  Subtract removes the portion of the stencil, supplied as argument, 
// that lies within Self from Self.   
//// \item @|obj.Replace (vtkImageStencilData )| -  Replaces the portion of the stencil, supplied as argument, 
// that lies within Self from Self.   
//// \item @|int = obj.Clip (int extent[6])| -  Clip the stencil with the supplied extents. In other words, discard data
// outside the specified extents. Return 1 if something changed.
////\end{itemize}
//!
