#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageStencilSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageStencilSource.h"

//@@Signature
//sfunction @vtkImageStencilSource:vtkImageStencilSource vtkImageStencilSourceConstructorFunction
//input a
//output p
//@@Parents vtkImageStencilSource vtkAlgorithm 
ArrayVector vtkImageStencilSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageStencilSource::New(),"vtkImageStencilSource",eval);
  } else if (arg[0].className() == "vtkImageStencilSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageStencilSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageStencilSource");
    vtkImageStencilSource*q = reinterpret_cast<vtkImageStencilSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageStencilSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageStencilSource:GetClassName vtkImageStencilSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageStencilSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageStencilSource requires 1 argument(s)");
  vtkImageStencilSource* vtk_pointer = GetVTKPointer<vtkImageStencilSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilSource:IsA vtkImageStencilSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageStencilSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageStencilSource requires 2 argument(s)");
  vtkImageStencilSource* vtk_pointer = GetVTKPointer<vtkImageStencilSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilSource:NewInstance vtkImageStencilSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageStencilSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageStencilSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageStencilSource requires 1 argument(s)");
  vtkImageStencilSource* vtk_pointer = GetVTKPointer<vtkImageStencilSource>(arg[0]);
  Array retval;
  vtkImageStencilSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageStencilSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilSource:SafeDownCast vtkImageStencilSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageStencilSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageStencilSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageStencilSource requires 2 argument(s)");
  vtkImageStencilSource* vtk_pointer = GetVTKPointer<vtkImageStencilSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageStencilSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageStencilSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilSource:SetOutput vtkImageStencilSourceSetOutputFunction
//input a0 a1 
//output none
ArrayVector vtkImageStencilSourceSetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutput (vtkImageStencilData *output); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutput for class vtkImageStencilSource requires 2 argument(s)");
  vtkImageStencilSource* vtk_pointer = GetVTKPointer<vtkImageStencilSource>(arg[0]);
  Array retval;
  vtkImageStencilData  *temp0;
  temp0 = GetVTKPointer<vtkImageStencilData>(arg[1]);
  vtk_pointer->SetOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilSource:GetOutput vtkImageStencilSourceGetOutputFunction
//input a0 
//output y
ArrayVector vtkImageStencilSourceGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageStencilData *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput for class vtkImageStencilSource requires 1 argument(s)");
  vtkImageStencilSource* vtk_pointer = GetVTKPointer<vtkImageStencilSource>(arg[0]);
  Array retval;
  vtkImageStencilData  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageStencilData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageStencilSource:display vtkImageStencilSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageStencilSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageStencilSource* vtk_pointer = GetVTKPointer<vtkImageStencilSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageStencilSource:delete vtkImageStencilSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkImageStencilSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageStencilSource
//@@Section VTKImaging
//@@Usage
// vtkImageStencilSource is a superclass for filters that generate image
// stencils.  Given a clipping object such as a vtkImplicitFunction, it
// will set up a list of clipping extents for each x-row through the
// image data.  The extents for each x-row can be retrieved via the 
// GetNextExtent() method after the extent lists have been built
// with the BuildExtents() method.  For large images, using clipping
// extents is much more memory efficient (and slightly more time-efficient)
// than building a mask.  This class can be subclassed to allow clipping
// with objects other than vtkImplicitFunction.
//
//To create an instance of class vtkImageStencilSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageStencilSource
//@]
//@@Methods
//The class vtkImageStencilSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageStencilSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageStencilSource = obj.NewInstance ()|
// \item @|vtkImageStencilSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetOutput (vtkImageStencilData output)| -  Get or set the output for this source.
//// \item @|vtkImageStencilData = obj.GetOutput ()| -  Get or set the output for this source.
////\end{itemize}
//!
