#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageThreshold object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageThreshold.h"

//@@Signature
//sfunction @vtkImageThreshold:vtkImageThreshold vtkImageThresholdConstructorFunction
//input a
//output p
//@@Parents vtkImageThreshold vtkThreadedImageAlgorithm 
ArrayVector vtkImageThresholdConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageThreshold::New(),"vtkImageThreshold",eval);
  } else if (arg[0].className() == "vtkImageThreshold") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageThreshold"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageThreshold");
    vtkImageThreshold*q = reinterpret_cast<vtkImageThreshold*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageThreshold");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageThreshold:GetClassName vtkImageThresholdGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageThresholdGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageThreshold requires 1 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:IsA vtkImageThresholdIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageThresholdIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageThreshold requires 2 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:NewInstance vtkImageThresholdNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageThresholdNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageThreshold *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageThreshold requires 1 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  vtkImageThreshold  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageThreshold",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:SafeDownCast vtkImageThresholdSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageThresholdSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageThreshold *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageThreshold requires 2 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageThreshold  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageThreshold",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:ThresholdByUpper vtkImageThresholdThresholdByUpperFunction
//input a0 a1 
//output none
ArrayVector vtkImageThresholdThresholdByUpperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThresholdByUpper (double thresh); */
  if (arg.size() < 2) 
    throw Exception("Function ThresholdByUpper for class vtkImageThreshold requires 2 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->ThresholdByUpper(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:ThresholdByLower vtkImageThresholdThresholdByLowerFunction
//input a0 a1 
//output none
ArrayVector vtkImageThresholdThresholdByLowerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThresholdByLower (double thresh); */
  if (arg.size() < 2) 
    throw Exception("Function ThresholdByLower for class vtkImageThreshold requires 2 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->ThresholdByLower(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:ThresholdBetween vtkImageThresholdThresholdBetweenFunction
//input a0 a1 a2 
//output none
ArrayVector vtkImageThresholdThresholdBetweenFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThresholdBetween (double lower, double upper); */
  if (arg.size() < 3) 
    throw Exception("Function ThresholdBetween for class vtkImageThreshold requires 3 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->ThresholdBetween(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:SetReplaceIn vtkImageThresholdSetReplaceInFunction
//input a0 a1 
//output none
ArrayVector vtkImageThresholdSetReplaceInFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReplaceIn (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReplaceIn for class vtkImageThreshold requires 2 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReplaceIn(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:GetReplaceIn vtkImageThresholdGetReplaceInFunction
//input a0 
//output y
ArrayVector vtkImageThresholdGetReplaceInFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReplaceIn (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReplaceIn for class vtkImageThreshold requires 1 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReplaceIn();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:ReplaceInOn vtkImageThresholdReplaceInOnFunction
//input a0 
//output none
ArrayVector vtkImageThresholdReplaceInOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReplaceInOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReplaceInOn for class vtkImageThreshold requires 1 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  vtk_pointer->ReplaceInOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:ReplaceInOff vtkImageThresholdReplaceInOffFunction
//input a0 
//output none
ArrayVector vtkImageThresholdReplaceInOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReplaceInOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReplaceInOff for class vtkImageThreshold requires 1 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  vtk_pointer->ReplaceInOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:SetInValue vtkImageThresholdSetInValueFunction
//input a0 a1 
//output none
ArrayVector vtkImageThresholdSetInValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInValue (double val); */
  if (arg.size() < 2) 
    throw Exception("Function SetInValue for class vtkImageThreshold requires 2 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetInValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:GetInValue vtkImageThresholdGetInValueFunction
//input a0 
//output y
ArrayVector vtkImageThresholdGetInValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetInValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInValue for class vtkImageThreshold requires 1 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetInValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:SetReplaceOut vtkImageThresholdSetReplaceOutFunction
//input a0 a1 
//output none
ArrayVector vtkImageThresholdSetReplaceOutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReplaceOut (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReplaceOut for class vtkImageThreshold requires 2 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReplaceOut(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:GetReplaceOut vtkImageThresholdGetReplaceOutFunction
//input a0 
//output y
ArrayVector vtkImageThresholdGetReplaceOutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReplaceOut (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReplaceOut for class vtkImageThreshold requires 1 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReplaceOut();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:ReplaceOutOn vtkImageThresholdReplaceOutOnFunction
//input a0 
//output none
ArrayVector vtkImageThresholdReplaceOutOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReplaceOutOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReplaceOutOn for class vtkImageThreshold requires 1 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  vtk_pointer->ReplaceOutOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:ReplaceOutOff vtkImageThresholdReplaceOutOffFunction
//input a0 
//output none
ArrayVector vtkImageThresholdReplaceOutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReplaceOutOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReplaceOutOff for class vtkImageThreshold requires 1 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  vtk_pointer->ReplaceOutOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:SetOutValue vtkImageThresholdSetOutValueFunction
//input a0 a1 
//output none
ArrayVector vtkImageThresholdSetOutValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutValue (double val); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutValue for class vtkImageThreshold requires 2 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetOutValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:GetOutValue vtkImageThresholdGetOutValueFunction
//input a0 
//output y
ArrayVector vtkImageThresholdGetOutValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetOutValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutValue for class vtkImageThreshold requires 1 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetOutValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:GetUpperThreshold vtkImageThresholdGetUpperThresholdFunction
//input a0 
//output y
ArrayVector vtkImageThresholdGetUpperThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetUpperThreshold (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUpperThreshold for class vtkImageThreshold requires 1 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetUpperThreshold();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:GetLowerThreshold vtkImageThresholdGetLowerThresholdFunction
//input a0 
//output y
ArrayVector vtkImageThresholdGetLowerThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLowerThreshold (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLowerThreshold for class vtkImageThreshold requires 1 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLowerThreshold();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:SetOutputScalarType vtkImageThresholdSetOutputScalarTypeFunction
//input a0 a1 
//output none
ArrayVector vtkImageThresholdSetOutputScalarTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputScalarType for class vtkImageThreshold requires 2 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutputScalarType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:GetOutputScalarType vtkImageThresholdGetOutputScalarTypeFunction
//input a0 
//output y
ArrayVector vtkImageThresholdGetOutputScalarTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputScalarType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputScalarType for class vtkImageThreshold requires 1 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutputScalarType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:SetOutputScalarTypeToDouble vtkImageThresholdSetOutputScalarTypeToDoubleFunction
//input a0 
//output none
ArrayVector vtkImageThresholdSetOutputScalarTypeToDoubleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToDouble ();this SetOutputScalarType VTK_DOUBLE  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToDouble for class vtkImageThreshold requires 1 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToDouble();
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:SetOutputScalarTypeToFloat vtkImageThresholdSetOutputScalarTypeToFloatFunction
//input a0 
//output none
ArrayVector vtkImageThresholdSetOutputScalarTypeToFloatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToFloat ();this SetOutputScalarType VTK_FLOAT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToFloat for class vtkImageThreshold requires 1 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToFloat();
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:SetOutputScalarTypeToLong vtkImageThresholdSetOutputScalarTypeToLongFunction
//input a0 
//output none
ArrayVector vtkImageThresholdSetOutputScalarTypeToLongFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToLong ();this SetOutputScalarType VTK_LONG  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToLong for class vtkImageThreshold requires 1 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToLong();
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:SetOutputScalarTypeToUnsignedLong vtkImageThresholdSetOutputScalarTypeToUnsignedLongFunction
//input a0 
//output none
ArrayVector vtkImageThresholdSetOutputScalarTypeToUnsignedLongFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToUnsignedLong ();this SetOutputScalarType VTK_UNSIGNED_LONG  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToUnsignedLong for class vtkImageThreshold requires 1 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToUnsignedLong();
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:SetOutputScalarTypeToInt vtkImageThresholdSetOutputScalarTypeToIntFunction
//input a0 
//output none
ArrayVector vtkImageThresholdSetOutputScalarTypeToIntFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToInt ();this SetOutputScalarType VTK_INT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToInt for class vtkImageThreshold requires 1 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToInt();
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:SetOutputScalarTypeToUnsignedInt vtkImageThresholdSetOutputScalarTypeToUnsignedIntFunction
//input a0 
//output none
ArrayVector vtkImageThresholdSetOutputScalarTypeToUnsignedIntFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToUnsignedInt ();this SetOutputScalarType VTK_UNSIGNED_INT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToUnsignedInt for class vtkImageThreshold requires 1 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToUnsignedInt();
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:SetOutputScalarTypeToShort vtkImageThresholdSetOutputScalarTypeToShortFunction
//input a0 
//output none
ArrayVector vtkImageThresholdSetOutputScalarTypeToShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToShort ();this SetOutputScalarType VTK_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToShort for class vtkImageThreshold requires 1 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToShort();
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:SetOutputScalarTypeToUnsignedShort vtkImageThresholdSetOutputScalarTypeToUnsignedShortFunction
//input a0 
//output none
ArrayVector vtkImageThresholdSetOutputScalarTypeToUnsignedShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToUnsignedShort ();this SetOutputScalarType VTK_UNSIGNED_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToUnsignedShort for class vtkImageThreshold requires 1 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToUnsignedShort();
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:SetOutputScalarTypeToChar vtkImageThresholdSetOutputScalarTypeToCharFunction
//input a0 
//output none
ArrayVector vtkImageThresholdSetOutputScalarTypeToCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToChar ();this SetOutputScalarType VTK_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToChar for class vtkImageThreshold requires 1 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToChar();
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:SetOutputScalarTypeToSignedChar vtkImageThresholdSetOutputScalarTypeToSignedCharFunction
//input a0 
//output none
ArrayVector vtkImageThresholdSetOutputScalarTypeToSignedCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToSignedChar ();this SetOutputScalarType VTK_SIGNED_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToSignedChar for class vtkImageThreshold requires 1 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToSignedChar();
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:SetOutputScalarTypeToUnsignedChar vtkImageThresholdSetOutputScalarTypeToUnsignedCharFunction
//input a0 
//output none
ArrayVector vtkImageThresholdSetOutputScalarTypeToUnsignedCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToUnsignedChar ();this SetOutputScalarType VTK_UNSIGNED_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToUnsignedChar for class vtkImageThreshold requires 1 argument(s)");
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToUnsignedChar();
  return retval;
}

//@@Signature
//sfunction @vtkImageThreshold:display vtkImageThresholdDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageThresholdDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageThreshold* vtk_pointer = GetVTKPointer<vtkImageThreshold>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageThreshold:delete vtkImageThresholdDeleteFunction
//input varargin
//output none
ArrayVector vtkImageThresholdDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageThreshold
//@@Section VTKImaging
//@@Usage
// vtkImageThreshold can do binary or continuous thresholding for lower, upper
// or a range of data.  The output data type may be different than the
// output, but defaults to the same type.
//
//To create an instance of class vtkImageThreshold, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageThreshold
//@]
//@@Methods
//The class vtkImageThreshold has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageThreshold class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageThreshold = obj.NewInstance ()|
// \item @|vtkImageThreshold = obj.SafeDownCast (vtkObject o)|
// \item @|obj.ThresholdByUpper (double thresh)| -  The values greater than or equal to the value match.
//// \item @|obj.ThresholdByLower (double thresh)| -  The values less than or equal to the value match.
//// \item @|obj.ThresholdBetween (double lower, double upper)| -  The values in a range (inclusive) match
//// \item @|obj.SetReplaceIn (int )| -  Determines whether to replace the pixel in range with InValue
//// \item @|int = obj.GetReplaceIn ()| -  Determines whether to replace the pixel in range with InValue
//// \item @|obj.ReplaceInOn ()| -  Determines whether to replace the pixel in range with InValue
//// \item @|obj.ReplaceInOff ()| -  Determines whether to replace the pixel in range with InValue
//// \item @|obj.SetInValue (double val)| -  Replace the in range pixels with this value.
//// \item @|double = obj.GetInValue ()| -  Replace the in range pixels with this value.
//// \item @|obj.SetReplaceOut (int )| -  Determines whether to replace the pixel out of range with OutValue
//// \item @|int = obj.GetReplaceOut ()| -  Determines whether to replace the pixel out of range with OutValue
//// \item @|obj.ReplaceOutOn ()| -  Determines whether to replace the pixel out of range with OutValue
//// \item @|obj.ReplaceOutOff ()| -  Determines whether to replace the pixel out of range with OutValue
//// \item @|obj.SetOutValue (double val)| -  Replace the in range pixels with this value.
//// \item @|double = obj.GetOutValue ()| -  Replace the in range pixels with this value.
//// \item @|double = obj.GetUpperThreshold ()| -  Get the Upper and Lower thresholds.
//// \item @|double = obj.GetLowerThreshold ()| -  Get the Upper and Lower thresholds.
//// \item @|obj.SetOutputScalarType (int )| -  Set the desired output scalar type to cast to
//// \item @|int = obj.GetOutputScalarType ()| -  Set the desired output scalar type to cast to
//// \item @|obj.SetOutputScalarTypeToDouble ()| -  Set the desired output scalar type to cast to
//// \item @|obj.SetOutputScalarTypeToFloat ()| -  Set the desired output scalar type to cast to
//// \item @|obj.SetOutputScalarTypeToLong ()| -  Set the desired output scalar type to cast to
//// \item @|obj.SetOutputScalarTypeToUnsignedLong ()| -  Set the desired output scalar type to cast to
//// \item @|obj.SetOutputScalarTypeToInt ()| -  Set the desired output scalar type to cast to
//// \item @|obj.SetOutputScalarTypeToUnsignedInt ()| -  Set the desired output scalar type to cast to
//// \item @|obj.SetOutputScalarTypeToShort ()| -  Set the desired output scalar type to cast to
//// \item @|obj.SetOutputScalarTypeToUnsignedShort ()| -  Set the desired output scalar type to cast to
//// \item @|obj.SetOutputScalarTypeToChar ()| -  Set the desired output scalar type to cast to
//// \item @|obj.SetOutputScalarTypeToSignedChar ()| -  Set the desired output scalar type to cast to
//// \item @|obj.SetOutputScalarTypeToUnsignedChar ()|
//\end{itemize}
//!
