#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageToImageStencil object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageToImageStencil.h"

//@@Signature
//sfunction @vtkImageToImageStencil:vtkImageToImageStencil vtkImageToImageStencilConstructorFunction
//input a
//output p
//@@Parents vtkImageToImageStencil vtkImageStencilSource 
ArrayVector vtkImageToImageStencilConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageToImageStencil::New(),"vtkImageToImageStencil",eval);
  } else if (arg[0].className() == "vtkImageToImageStencil") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageToImageStencil"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageToImageStencil");
    vtkImageToImageStencil*q = reinterpret_cast<vtkImageToImageStencil*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageToImageStencil");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageToImageStencil:GetClassName vtkImageToImageStencilGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageToImageStencilGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageToImageStencil requires 1 argument(s)");
  vtkImageToImageStencil* vtk_pointer = GetVTKPointer<vtkImageToImageStencil>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToImageStencil:IsA vtkImageToImageStencilIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageToImageStencilIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageToImageStencil requires 2 argument(s)");
  vtkImageToImageStencil* vtk_pointer = GetVTKPointer<vtkImageToImageStencil>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToImageStencil:NewInstance vtkImageToImageStencilNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageToImageStencilNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageToImageStencil *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageToImageStencil requires 1 argument(s)");
  vtkImageToImageStencil* vtk_pointer = GetVTKPointer<vtkImageToImageStencil>(arg[0]);
  Array retval;
  vtkImageToImageStencil  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageToImageStencil",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageToImageStencil:SafeDownCast vtkImageToImageStencilSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageToImageStencilSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageToImageStencil *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageToImageStencil requires 2 argument(s)");
  vtkImageToImageStencil* vtk_pointer = GetVTKPointer<vtkImageToImageStencil>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageToImageStencil  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageToImageStencil",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageToImageStencil:SetInput vtkImageToImageStencilSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkImageToImageStencilSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkImageData *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkImageToImageStencil requires 2 argument(s)");
  vtkImageToImageStencil* vtk_pointer = GetVTKPointer<vtkImageToImageStencil>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageToImageStencil:GetInput vtkImageToImageStencilGetInputFunction
//input a0 
//output y
ArrayVector vtkImageToImageStencilGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkImageToImageStencil requires 1 argument(s)");
  vtkImageToImageStencil* vtk_pointer = GetVTKPointer<vtkImageToImageStencil>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageToImageStencil:ThresholdByUpper vtkImageToImageStencilThresholdByUpperFunction
//input a0 a1 
//output none
ArrayVector vtkImageToImageStencilThresholdByUpperFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThresholdByUpper (double thresh); */
  if (arg.size() < 2) 
    throw Exception("Function ThresholdByUpper for class vtkImageToImageStencil requires 2 argument(s)");
  vtkImageToImageStencil* vtk_pointer = GetVTKPointer<vtkImageToImageStencil>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->ThresholdByUpper(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageToImageStencil:ThresholdByLower vtkImageToImageStencilThresholdByLowerFunction
//input a0 a1 
//output none
ArrayVector vtkImageToImageStencilThresholdByLowerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThresholdByLower (double thresh); */
  if (arg.size() < 2) 
    throw Exception("Function ThresholdByLower for class vtkImageToImageStencil requires 2 argument(s)");
  vtkImageToImageStencil* vtk_pointer = GetVTKPointer<vtkImageToImageStencil>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->ThresholdByLower(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageToImageStencil:ThresholdBetween vtkImageToImageStencilThresholdBetweenFunction
//input a0 a1 a2 
//output none
ArrayVector vtkImageToImageStencilThresholdBetweenFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThresholdBetween (double lower, double upper); */
  if (arg.size() < 3) 
    throw Exception("Function ThresholdBetween for class vtkImageToImageStencil requires 3 argument(s)");
  vtkImageToImageStencil* vtk_pointer = GetVTKPointer<vtkImageToImageStencil>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->ThresholdBetween(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageToImageStencil:SetUpperThreshold vtkImageToImageStencilSetUpperThresholdFunction
//input a0 a1 
//output none
ArrayVector vtkImageToImageStencilSetUpperThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUpperThreshold (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUpperThreshold for class vtkImageToImageStencil requires 2 argument(s)");
  vtkImageToImageStencil* vtk_pointer = GetVTKPointer<vtkImageToImageStencil>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetUpperThreshold(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageToImageStencil:GetUpperThreshold vtkImageToImageStencilGetUpperThresholdFunction
//input a0 
//output y
ArrayVector vtkImageToImageStencilGetUpperThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetUpperThreshold (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUpperThreshold for class vtkImageToImageStencil requires 1 argument(s)");
  vtkImageToImageStencil* vtk_pointer = GetVTKPointer<vtkImageToImageStencil>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetUpperThreshold();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToImageStencil:SetLowerThreshold vtkImageToImageStencilSetLowerThresholdFunction
//input a0 a1 
//output none
ArrayVector vtkImageToImageStencilSetLowerThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLowerThreshold (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLowerThreshold for class vtkImageToImageStencil requires 2 argument(s)");
  vtkImageToImageStencil* vtk_pointer = GetVTKPointer<vtkImageToImageStencil>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLowerThreshold(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageToImageStencil:GetLowerThreshold vtkImageToImageStencilGetLowerThresholdFunction
//input a0 
//output y
ArrayVector vtkImageToImageStencilGetLowerThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLowerThreshold (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLowerThreshold for class vtkImageToImageStencil requires 1 argument(s)");
  vtkImageToImageStencil* vtk_pointer = GetVTKPointer<vtkImageToImageStencil>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLowerThreshold();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageToImageStencil:display vtkImageToImageStencilDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageToImageStencilDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageToImageStencil* vtk_pointer = GetVTKPointer<vtkImageToImageStencil>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageToImageStencil:delete vtkImageToImageStencilDeleteFunction
//input varargin
//output none
ArrayVector vtkImageToImageStencilDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageToImageStencil
//@@Section VTKImaging
//@@Usage
// vtkImageToImageStencil will convert a vtkImageData into an stencil
// that can be used with vtkImageStecil or other vtk classes that apply
// a stencil to an image.
//
//To create an instance of class vtkImageToImageStencil, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageToImageStencil
//@]
//@@Methods
//The class vtkImageToImageStencil has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageToImageStencil class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageToImageStencil = obj.NewInstance ()|
// \item @|vtkImageToImageStencil = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput (vtkImageData input)| -  Specify the image data to convert into a stencil.
//// \item @|vtkImageData = obj.GetInput ()| -  Specify the image data to convert into a stencil.
//// \item @|obj.ThresholdByUpper (double thresh)| -  The values greater than or equal to the value match.
//// \item @|obj.ThresholdByLower (double thresh)| -  The values less than or equal to the value match.
//// \item @|obj.ThresholdBetween (double lower, double upper)| -  The values in a range (inclusive) match
//// \item @|obj.SetUpperThreshold (double )| -  Get the Upper and Lower thresholds.
//// \item @|double = obj.GetUpperThreshold ()| -  Get the Upper and Lower thresholds.
//// \item @|obj.SetLowerThreshold (double )| -  Get the Upper and Lower thresholds.
//// \item @|double = obj.GetLowerThreshold ()| -  Get the Upper and Lower thresholds.
////\end{itemize}
//!
