#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageTranslateExtent object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageTranslateExtent.h"

//@@Signature
//sfunction @vtkImageTranslateExtent:vtkImageTranslateExtent vtkImageTranslateExtentConstructorFunction
//input a
//output p
//@@Parents vtkImageTranslateExtent vtkImageAlgorithm 
ArrayVector vtkImageTranslateExtentConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageTranslateExtent::New(),"vtkImageTranslateExtent",eval);
  } else if (arg[0].className() == "vtkImageTranslateExtent") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageTranslateExtent"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageTranslateExtent");
    vtkImageTranslateExtent*q = reinterpret_cast<vtkImageTranslateExtent*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageTranslateExtent");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageTranslateExtent:GetClassName vtkImageTranslateExtentGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageTranslateExtentGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageTranslateExtent requires 1 argument(s)");
  vtkImageTranslateExtent* vtk_pointer = GetVTKPointer<vtkImageTranslateExtent>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageTranslateExtent:IsA vtkImageTranslateExtentIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageTranslateExtentIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageTranslateExtent requires 2 argument(s)");
  vtkImageTranslateExtent* vtk_pointer = GetVTKPointer<vtkImageTranslateExtent>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageTranslateExtent:NewInstance vtkImageTranslateExtentNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageTranslateExtentNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageTranslateExtent *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageTranslateExtent requires 1 argument(s)");
  vtkImageTranslateExtent* vtk_pointer = GetVTKPointer<vtkImageTranslateExtent>(arg[0]);
  Array retval;
  vtkImageTranslateExtent  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageTranslateExtent",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageTranslateExtent:SafeDownCast vtkImageTranslateExtentSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageTranslateExtentSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageTranslateExtent *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageTranslateExtent requires 2 argument(s)");
  vtkImageTranslateExtent* vtk_pointer = GetVTKPointer<vtkImageTranslateExtent>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageTranslateExtent  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageTranslateExtent",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageTranslateExtent:SetTranslation__1 vtkImageTranslateExtentSetTranslation__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageTranslateExtentSetTranslation__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTranslation (int , int , int ); */
  if (arg.size() < 4) 
    throw Exception("Function SetTranslation__1 for class vtkImageTranslateExtent requires 4 argument(s)");
  vtkImageTranslateExtent* vtk_pointer = GetVTKPointer<vtkImageTranslateExtent>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetTranslation(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageTranslateExtent:SetTranslation__2 vtkImageTranslateExtentSetTranslation__2Function
//input a0 a1 
//output none
ArrayVector vtkImageTranslateExtentSetTranslation__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTranslation (int  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetTranslation__2 for class vtkImageTranslateExtent requires 2 argument(s)");
  vtkImageTranslateExtent* vtk_pointer = GetVTKPointer<vtkImageTranslateExtent>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetTranslation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageTranslateExtent:GetTranslation vtkImageTranslateExtentGetTranslationFunction
//input a0 
//output y
ArrayVector vtkImageTranslateExtentGetTranslationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetTranslation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTranslation for class vtkImageTranslateExtent requires 1 argument(s)");
  vtkImageTranslateExtent* vtk_pointer = GetVTKPointer<vtkImageTranslateExtent>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetTranslation();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageTranslateExtent:SetTranslation vtkImageTranslateExtentSetTranslationFunction
//input varargin
//output varargout
ArrayVector vtkImageTranslateExtentSetTranslationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkImageTranslateExtentSetTranslation__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageTranslateExtentSetTranslation__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageTranslateExtentSetTranslation");
}

//@@Signature
//sfunction @vtkImageTranslateExtent:display vtkImageTranslateExtentDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageTranslateExtentDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageTranslateExtent* vtk_pointer = GetVTKPointer<vtkImageTranslateExtent>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageTranslateExtent:delete vtkImageTranslateExtentDeleteFunction
//input varargin
//output none
ArrayVector vtkImageTranslateExtentDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageTranslateExtent
//@@Section VTKImaging
//@@Usage
// vtkImageTranslateExtent  shift the whole extent, but does not
// change the data.
//
//To create an instance of class vtkImageTranslateExtent, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageTranslateExtent
//@]
//@@Methods
//The class vtkImageTranslateExtent has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageTranslateExtent class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageTranslateExtent = obj.NewInstance ()|
// \item @|vtkImageTranslateExtent = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetTranslation (int , int , int )| -  Delta to change "WholeExtent". -1 changes 0->10 to -1->9.
//// \item @|obj.SetTranslation (int  a[3])| -  Delta to change "WholeExtent". -1 changes 0->10 to -1->9.
//// \item @|int = obj. GetTranslation ()| -  Delta to change "WholeExtent". -1 changes 0->10 to -1->9.
////\end{itemize}
//!
