#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageVariance3D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageVariance3D.h"

//@@Signature
//sfunction @vtkImageVariance3D:vtkImageVariance3D vtkImageVariance3DConstructorFunction
//input a
//output p
//@@Parents vtkImageVariance3D vtkImageSpatialAlgorithm 
ArrayVector vtkImageVariance3DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageVariance3D::New(),"vtkImageVariance3D",eval);
  } else if (arg[0].className() == "vtkImageVariance3D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageVariance3D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageVariance3D");
    vtkImageVariance3D*q = reinterpret_cast<vtkImageVariance3D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageVariance3D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageVariance3D:GetClassName vtkImageVariance3DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageVariance3DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageVariance3D requires 1 argument(s)");
  vtkImageVariance3D* vtk_pointer = GetVTKPointer<vtkImageVariance3D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageVariance3D:IsA vtkImageVariance3DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageVariance3DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageVariance3D requires 2 argument(s)");
  vtkImageVariance3D* vtk_pointer = GetVTKPointer<vtkImageVariance3D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageVariance3D:NewInstance vtkImageVariance3DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageVariance3DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageVariance3D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageVariance3D requires 1 argument(s)");
  vtkImageVariance3D* vtk_pointer = GetVTKPointer<vtkImageVariance3D>(arg[0]);
  Array retval;
  vtkImageVariance3D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageVariance3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageVariance3D:SafeDownCast vtkImageVariance3DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageVariance3DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageVariance3D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageVariance3D requires 2 argument(s)");
  vtkImageVariance3D* vtk_pointer = GetVTKPointer<vtkImageVariance3D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageVariance3D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageVariance3D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageVariance3D:SetKernelSize vtkImageVariance3DSetKernelSizeFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkImageVariance3DSetKernelSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKernelSize (int size0, int size1, int size2); */
  if (arg.size() < 4) 
    throw Exception("Function SetKernelSize for class vtkImageVariance3D requires 4 argument(s)");
  vtkImageVariance3D* vtk_pointer = GetVTKPointer<vtkImageVariance3D>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetKernelSize(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkImageVariance3D:display vtkImageVariance3DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageVariance3DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageVariance3D* vtk_pointer = GetVTKPointer<vtkImageVariance3D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageVariance3D:delete vtkImageVariance3DDeleteFunction
//input varargin
//output none
ArrayVector vtkImageVariance3DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageVariance3D
//@@Section VTKImaging
//@@Usage
// vtkImageVariance3D replaces each pixel with a measurement of 
// pixel variance in a elliptical neighborhood centered on that pixel.
// The value computed is not exactly the variance.
// The difference between the neighbor values and center value is computed
// and squared for each neighbor.  These values are summed and divided by
// the total number of neighbors to produce the output value.
//
//To create an instance of class vtkImageVariance3D, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageVariance3D
//@]
//@@Methods
//The class vtkImageVariance3D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageVariance3D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageVariance3D = obj.NewInstance ()|
// \item @|vtkImageVariance3D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetKernelSize (int size0, int size1, int size2)| -  This method sets the size of the neighborhood.  It also sets the default
// middle of the neighborhood and computes the Elliptical foot print.
////\end{itemize}
//!
