#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageWeightedSum object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageWeightedSum.h"

//@@Signature
//sfunction @vtkImageWeightedSum:vtkImageWeightedSum vtkImageWeightedSumConstructorFunction
//input a
//output p
//@@Parents vtkImageWeightedSum vtkThreadedImageAlgorithm 
ArrayVector vtkImageWeightedSumConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageWeightedSum::New(),"vtkImageWeightedSum",eval);
  } else if (arg[0].className() == "vtkImageWeightedSum") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageWeightedSum"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageWeightedSum");
    vtkImageWeightedSum*q = reinterpret_cast<vtkImageWeightedSum*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageWeightedSum");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageWeightedSum:GetClassName vtkImageWeightedSumGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageWeightedSumGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageWeightedSum requires 1 argument(s)");
  vtkImageWeightedSum* vtk_pointer = GetVTKPointer<vtkImageWeightedSum>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageWeightedSum:IsA vtkImageWeightedSumIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageWeightedSumIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageWeightedSum requires 2 argument(s)");
  vtkImageWeightedSum* vtk_pointer = GetVTKPointer<vtkImageWeightedSum>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageWeightedSum:NewInstance vtkImageWeightedSumNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageWeightedSumNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageWeightedSum *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageWeightedSum requires 1 argument(s)");
  vtkImageWeightedSum* vtk_pointer = GetVTKPointer<vtkImageWeightedSum>(arg[0]);
  Array retval;
  vtkImageWeightedSum  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageWeightedSum",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageWeightedSum:SafeDownCast vtkImageWeightedSumSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageWeightedSumSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageWeightedSum *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageWeightedSum requires 2 argument(s)");
  vtkImageWeightedSum* vtk_pointer = GetVTKPointer<vtkImageWeightedSum>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageWeightedSum  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageWeightedSum",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageWeightedSum:SetWeights vtkImageWeightedSumSetWeightsFunction
//input a0 a1 
//output none
ArrayVector vtkImageWeightedSumSetWeightsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetWeights (vtkDoubleArray *); */
  if (arg.size() < 2) 
    throw Exception("Function SetWeights for class vtkImageWeightedSum requires 2 argument(s)");
  vtkImageWeightedSum* vtk_pointer = GetVTKPointer<vtkImageWeightedSum>(arg[0]);
  Array retval;
  vtkDoubleArray  *temp0;
  temp0 = GetVTKPointer<vtkDoubleArray>(arg[1]);
  vtk_pointer->SetWeights(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageWeightedSum:GetWeights vtkImageWeightedSumGetWeightsFunction
//input a0 
//output y
ArrayVector vtkImageWeightedSumGetWeightsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDoubleArray *GetWeights (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWeights for class vtkImageWeightedSum requires 1 argument(s)");
  vtkImageWeightedSum* vtk_pointer = GetVTKPointer<vtkImageWeightedSum>(arg[0]);
  Array retval;
  vtkDoubleArray  *temp20;
  temp20 = (vtk_pointer)->GetWeights();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDoubleArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageWeightedSum:SetWeight vtkImageWeightedSumSetWeightFunction
//input a0 a1 a2 
//output none
ArrayVector vtkImageWeightedSumSetWeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetWeight (vtkIdType id, double weight); */
  if (arg.size() < 3) 
    throw Exception("Function SetWeight for class vtkImageWeightedSum requires 3 argument(s)");
  vtkImageWeightedSum* vtk_pointer = GetVTKPointer<vtkImageWeightedSum>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetWeight(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageWeightedSum:GetNormalizeByWeight vtkImageWeightedSumGetNormalizeByWeightFunction
//input a0 
//output y
ArrayVector vtkImageWeightedSumGetNormalizeByWeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNormalizeByWeight (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalizeByWeight for class vtkImageWeightedSum requires 1 argument(s)");
  vtkImageWeightedSum* vtk_pointer = GetVTKPointer<vtkImageWeightedSum>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNormalizeByWeight();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageWeightedSum:SetNormalizeByWeight vtkImageWeightedSumSetNormalizeByWeightFunction
//input a0 a1 
//output none
ArrayVector vtkImageWeightedSumSetNormalizeByWeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalizeByWeight (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormalizeByWeight for class vtkImageWeightedSum requires 2 argument(s)");
  vtkImageWeightedSum* vtk_pointer = GetVTKPointer<vtkImageWeightedSum>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNormalizeByWeight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageWeightedSum:GetNormalizeByWeightMinValue vtkImageWeightedSumGetNormalizeByWeightMinValueFunction
//input a0 
//output y
ArrayVector vtkImageWeightedSumGetNormalizeByWeightMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNormalizeByWeightMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalizeByWeightMinValue for class vtkImageWeightedSum requires 1 argument(s)");
  vtkImageWeightedSum* vtk_pointer = GetVTKPointer<vtkImageWeightedSum>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNormalizeByWeightMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageWeightedSum:GetNormalizeByWeightMaxValue vtkImageWeightedSumGetNormalizeByWeightMaxValueFunction
//input a0 
//output y
ArrayVector vtkImageWeightedSumGetNormalizeByWeightMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNormalizeByWeightMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalizeByWeightMaxValue for class vtkImageWeightedSum requires 1 argument(s)");
  vtkImageWeightedSum* vtk_pointer = GetVTKPointer<vtkImageWeightedSum>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNormalizeByWeightMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageWeightedSum:NormalizeByWeightOn vtkImageWeightedSumNormalizeByWeightOnFunction
//input a0 
//output none
ArrayVector vtkImageWeightedSumNormalizeByWeightOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalizeByWeightOn (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalizeByWeightOn for class vtkImageWeightedSum requires 1 argument(s)");
  vtkImageWeightedSum* vtk_pointer = GetVTKPointer<vtkImageWeightedSum>(arg[0]);
  Array retval;
  vtk_pointer->NormalizeByWeightOn();
  return retval;
}

//@@Signature
//sfunction @vtkImageWeightedSum:NormalizeByWeightOff vtkImageWeightedSumNormalizeByWeightOffFunction
//input a0 
//output none
ArrayVector vtkImageWeightedSumNormalizeByWeightOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalizeByWeightOff (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalizeByWeightOff for class vtkImageWeightedSum requires 1 argument(s)");
  vtkImageWeightedSum* vtk_pointer = GetVTKPointer<vtkImageWeightedSum>(arg[0]);
  Array retval;
  vtk_pointer->NormalizeByWeightOff();
  return retval;
}

//@@Signature
//sfunction @vtkImageWeightedSum:CalculateTotalWeight vtkImageWeightedSumCalculateTotalWeightFunction
//input a0 
//output y
ArrayVector vtkImageWeightedSumCalculateTotalWeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double CalculateTotalWeight (); */
  if (arg.size() < 1) 
    throw Exception("Function CalculateTotalWeight for class vtkImageWeightedSum requires 1 argument(s)");
  vtkImageWeightedSum* vtk_pointer = GetVTKPointer<vtkImageWeightedSum>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->CalculateTotalWeight();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageWeightedSum:display vtkImageWeightedSumDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageWeightedSumDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageWeightedSum* vtk_pointer = GetVTKPointer<vtkImageWeightedSum>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageWeightedSum:delete vtkImageWeightedSumDeleteFunction
//input varargin
//output none
ArrayVector vtkImageWeightedSumDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageWeightedSum
//@@Section VTKImaging
//@@Usage
// All weights are normalized so they will sum to 1.
// Images must have the same extents. Output is 
//
// .SECTION Thanks
// The original author of this class is Lauren O'Donnell (MIT) for Slicer
//
//To create an instance of class vtkImageWeightedSum, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageWeightedSum
//@]
//@@Methods
//The class vtkImageWeightedSum has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageWeightedSum class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageWeightedSum = obj.NewInstance ()|
// \item @|vtkImageWeightedSum = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetWeights (vtkDoubleArray )| -  The weights control the contribution of each input to the sum.
// They will be normalized to sum to 1 before filter execution.
//// \item @|vtkDoubleArray = obj.GetWeights ()| -  The weights control the contribution of each input to the sum.
// They will be normalized to sum to 1 before filter execution.
//// \item @|obj.SetWeight (vtkIdType id, double weight)| -  Change a specific weight. Reallocation is done
//// \item @|int = obj.GetNormalizeByWeight ()| -  Setting NormalizeByWeight on will divide the
// final result by the total weight of the component functions.
// This process does not otherwise normalize the weighted sum
// By default, NormalizeByWeight is on.
//// \item @|obj.SetNormalizeByWeight (int )| -  Setting NormalizeByWeight on will divide the
// final result by the total weight of the component functions.
// This process does not otherwise normalize the weighted sum
// By default, NormalizeByWeight is on.
//// \item @|int = obj.GetNormalizeByWeightMinValue ()| -  Setting NormalizeByWeight on will divide the
// final result by the total weight of the component functions.
// This process does not otherwise normalize the weighted sum
// By default, NormalizeByWeight is on.
//// \item @|int = obj.GetNormalizeByWeightMaxValue ()| -  Setting NormalizeByWeight on will divide the
// final result by the total weight of the component functions.
// This process does not otherwise normalize the weighted sum
// By default, NormalizeByWeight is on.
//// \item @|obj.NormalizeByWeightOn ()| -  Setting NormalizeByWeight on will divide the
// final result by the total weight of the component functions.
// This process does not otherwise normalize the weighted sum
// By default, NormalizeByWeight is on.
//// \item @|obj.NormalizeByWeightOff ()| -  Setting NormalizeByWeight on will divide the
// final result by the total weight of the component functions.
// This process does not otherwise normalize the weighted sum
// By default, NormalizeByWeight is on.
//// \item @|double = obj.CalculateTotalWeight ()| -  Compute the total value of all the weight
////\end{itemize}
//!
