#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageWrapPad object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageWrapPad.h"

//@@Signature
//sfunction @vtkImageWrapPad:vtkImageWrapPad vtkImageWrapPadConstructorFunction
//input a
//output p
//@@Parents vtkImageWrapPad vtkImagePadFilter 
ArrayVector vtkImageWrapPadConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageWrapPad::New(),"vtkImageWrapPad",eval);
  } else if (arg[0].className() == "vtkImageWrapPad") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageWrapPad"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageWrapPad");
    vtkImageWrapPad*q = reinterpret_cast<vtkImageWrapPad*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageWrapPad");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageWrapPad:GetClassName vtkImageWrapPadGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageWrapPadGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageWrapPad requires 1 argument(s)");
  vtkImageWrapPad* vtk_pointer = GetVTKPointer<vtkImageWrapPad>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageWrapPad:IsA vtkImageWrapPadIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageWrapPadIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageWrapPad requires 2 argument(s)");
  vtkImageWrapPad* vtk_pointer = GetVTKPointer<vtkImageWrapPad>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageWrapPad:NewInstance vtkImageWrapPadNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageWrapPadNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageWrapPad *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageWrapPad requires 1 argument(s)");
  vtkImageWrapPad* vtk_pointer = GetVTKPointer<vtkImageWrapPad>(arg[0]);
  Array retval;
  vtkImageWrapPad  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageWrapPad",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageWrapPad:SafeDownCast vtkImageWrapPadSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageWrapPadSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageWrapPad *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageWrapPad requires 2 argument(s)");
  vtkImageWrapPad* vtk_pointer = GetVTKPointer<vtkImageWrapPad>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageWrapPad  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageWrapPad",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageWrapPad:display vtkImageWrapPadDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageWrapPadDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageWrapPad* vtk_pointer = GetVTKPointer<vtkImageWrapPad>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageWrapPad:delete vtkImageWrapPadDeleteFunction
//input varargin
//output none
ArrayVector vtkImageWrapPadDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageWrapPad
//@@Section VTKImaging
//@@Usage
// vtkImageWrapPad performs a modulo operation on the output pixel index
// to determine the source input index.  The new image extent of the
// output has to be specified.  Input has to be the same scalar type as 
// output.
//
//To create an instance of class vtkImageWrapPad, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageWrapPad
//@]
//@@Methods
//The class vtkImageWrapPad has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageWrapPad class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageWrapPad = obj.NewInstance ()|
// \item @|vtkImageWrapPad = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
