#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPointLoad object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPointLoad.h"

//@@Signature
//sfunction @vtkPointLoad:vtkPointLoad vtkPointLoadConstructorFunction
//input a
//output p
//@@Parents vtkPointLoad vtkImageAlgorithm 
ArrayVector vtkPointLoadConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPointLoad::New(),"vtkPointLoad",eval);
  } else if (arg[0].className() == "vtkPointLoad") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPointLoad"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPointLoad");
    vtkPointLoad*q = reinterpret_cast<vtkPointLoad*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPointLoad");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPointLoad:GetClassName vtkPointLoadGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPointLoadGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPointLoad requires 1 argument(s)");
  vtkPointLoad* vtk_pointer = GetVTKPointer<vtkPointLoad>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointLoad:IsA vtkPointLoadIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPointLoadIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPointLoad requires 2 argument(s)");
  vtkPointLoad* vtk_pointer = GetVTKPointer<vtkPointLoad>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointLoad:NewInstance vtkPointLoadNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPointLoadNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointLoad *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPointLoad requires 1 argument(s)");
  vtkPointLoad* vtk_pointer = GetVTKPointer<vtkPointLoad>(arg[0]);
  Array retval;
  vtkPointLoad  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointLoad",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointLoad:SafeDownCast vtkPointLoadSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPointLoadSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPointLoad *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPointLoad requires 2 argument(s)");
  vtkPointLoad* vtk_pointer = GetVTKPointer<vtkPointLoad>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPointLoad  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPointLoad",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPointLoad:SetLoadValue vtkPointLoadSetLoadValueFunction
//input a0 a1 
//output none
ArrayVector vtkPointLoadSetLoadValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLoadValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLoadValue for class vtkPointLoad requires 2 argument(s)");
  vtkPointLoad* vtk_pointer = GetVTKPointer<vtkPointLoad>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLoadValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointLoad:GetLoadValue vtkPointLoadGetLoadValueFunction
//input a0 
//output y
ArrayVector vtkPointLoadGetLoadValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLoadValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLoadValue for class vtkPointLoad requires 1 argument(s)");
  vtkPointLoad* vtk_pointer = GetVTKPointer<vtkPointLoad>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLoadValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointLoad:SetSampleDimensions__1 vtkPointLoadSetSampleDimensions__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPointLoadSetSampleDimensions__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSampleDimensions (int i, int j, int k); */
  if (arg.size() < 4) 
    throw Exception("Function SetSampleDimensions__1 for class vtkPointLoad requires 4 argument(s)");
  vtkPointLoad* vtk_pointer = GetVTKPointer<vtkPointLoad>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetSampleDimensions(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPointLoad:SetSampleDimensions__2 vtkPointLoadSetSampleDimensions__2Function
//input a0 a1 
//output none
ArrayVector vtkPointLoadSetSampleDimensions__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSampleDimensions (int dim[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSampleDimensions__2 for class vtkPointLoad requires 2 argument(s)");
  vtkPointLoad* vtk_pointer = GetVTKPointer<vtkPointLoad>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetSampleDimensions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointLoad:GetSampleDimensions vtkPointLoadGetSampleDimensionsFunction
//input a0 
//output y
ArrayVector vtkPointLoadGetSampleDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetSampleDimensions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSampleDimensions for class vtkPointLoad requires 1 argument(s)");
  vtkPointLoad* vtk_pointer = GetVTKPointer<vtkPointLoad>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetSampleDimensions();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPointLoad:SetModelBounds__1 vtkPointLoadSetModelBounds__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkPointLoadSetModelBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetModelBounds (double , double , double , double , double , double ); */
  if (arg.size() < 7) 
    throw Exception("Function SetModelBounds__1 for class vtkPointLoad requires 7 argument(s)");
  vtkPointLoad* vtk_pointer = GetVTKPointer<vtkPointLoad>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkPointLoad:SetModelBounds__2 vtkPointLoadSetModelBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkPointLoadSetModelBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetModelBounds (double  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetModelBounds__2 for class vtkPointLoad requires 2 argument(s)");
  vtkPointLoad* vtk_pointer = GetVTKPointer<vtkPointLoad>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetModelBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointLoad:GetModelBounds vtkPointLoadGetModelBoundsFunction
//input a0 
//output y
ArrayVector vtkPointLoadGetModelBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetModelBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetModelBounds for class vtkPointLoad requires 1 argument(s)");
  vtkPointLoad* vtk_pointer = GetVTKPointer<vtkPointLoad>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetModelBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPointLoad:SetPoissonsRatio vtkPointLoadSetPoissonsRatioFunction
//input a0 a1 
//output none
ArrayVector vtkPointLoadSetPoissonsRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPoissonsRatio (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPoissonsRatio for class vtkPointLoad requires 2 argument(s)");
  vtkPointLoad* vtk_pointer = GetVTKPointer<vtkPointLoad>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetPoissonsRatio(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointLoad:GetPoissonsRatio vtkPointLoadGetPoissonsRatioFunction
//input a0 
//output y
ArrayVector vtkPointLoadGetPoissonsRatioFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPoissonsRatio (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPoissonsRatio for class vtkPointLoad requires 1 argument(s)");
  vtkPointLoad* vtk_pointer = GetVTKPointer<vtkPointLoad>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPoissonsRatio();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointLoad:SetComputeEffectiveStress vtkPointLoadSetComputeEffectiveStressFunction
//input a0 a1 
//output none
ArrayVector vtkPointLoadSetComputeEffectiveStressFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeEffectiveStress (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeEffectiveStress for class vtkPointLoad requires 2 argument(s)");
  vtkPointLoad* vtk_pointer = GetVTKPointer<vtkPointLoad>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeEffectiveStress(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPointLoad:GetComputeEffectiveStress vtkPointLoadGetComputeEffectiveStressFunction
//input a0 
//output y
ArrayVector vtkPointLoadGetComputeEffectiveStressFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeEffectiveStress ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeEffectiveStress for class vtkPointLoad requires 1 argument(s)");
  vtkPointLoad* vtk_pointer = GetVTKPointer<vtkPointLoad>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeEffectiveStress();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPointLoad:ComputeEffectiveStressOn vtkPointLoadComputeEffectiveStressOnFunction
//input a0 
//output none
ArrayVector vtkPointLoadComputeEffectiveStressOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeEffectiveStressOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeEffectiveStressOn for class vtkPointLoad requires 1 argument(s)");
  vtkPointLoad* vtk_pointer = GetVTKPointer<vtkPointLoad>(arg[0]);
  Array retval;
  vtk_pointer->ComputeEffectiveStressOn();
  return retval;
}

//@@Signature
//sfunction @vtkPointLoad:ComputeEffectiveStressOff vtkPointLoadComputeEffectiveStressOffFunction
//input a0 
//output none
ArrayVector vtkPointLoadComputeEffectiveStressOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeEffectiveStressOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeEffectiveStressOff for class vtkPointLoad requires 1 argument(s)");
  vtkPointLoad* vtk_pointer = GetVTKPointer<vtkPointLoad>(arg[0]);
  Array retval;
  vtk_pointer->ComputeEffectiveStressOff();
  return retval;
}

//@@Signature
//sfunction @vtkPointLoad:SetSampleDimensions vtkPointLoadSetSampleDimensionsFunction
//input varargin
//output varargout
ArrayVector vtkPointLoadSetSampleDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPointLoadSetSampleDimensions__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPointLoadSetSampleDimensions__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPointLoadSetSampleDimensions");
}

//@@Signature
//sfunction @vtkPointLoad:SetModelBounds vtkPointLoadSetModelBoundsFunction
//input varargin
//output varargout
ArrayVector vtkPointLoadSetModelBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkPointLoadSetModelBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPointLoadSetModelBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPointLoadSetModelBounds");
}

//@@Signature
//sfunction @vtkPointLoad:display vtkPointLoadDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPointLoadDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPointLoad* vtk_pointer = GetVTKPointer<vtkPointLoad>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPointLoad:delete vtkPointLoadDeleteFunction
//input varargin
//output none
ArrayVector vtkPointLoadDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPointLoad
//@@Section VTKImaging
//@@Usage
// vtkPointLoad is a source object that computes stress tensors on a volume. 
// The tensors are computed from the application of a point load on a 
// semi-infinite domain. (The analytical results are adapted from Saada - see 
// text.) It also is possible to compute effective stress scalars if desired.
// This object serves as a specialized data generator for some of the examples
// in the text.
//
//To create an instance of class vtkPointLoad, simply
//invoke its constructor as follows
//@[
//  obj = vtkPointLoad
//@]
//@@Methods
//The class vtkPointLoad has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPointLoad class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPointLoad = obj.NewInstance ()|
// \item @|vtkPointLoad = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetLoadValue (double )| -  Set/Get value of applied load.
//// \item @|double = obj.GetLoadValue ()| -  Set/Get value of applied load.
//// \item @|obj.SetSampleDimensions (int i, int j, int k)| -  Specify the dimensions of the volume. A stress tensor will be computed for
// each point in the volume.
//// \item @|obj.SetSampleDimensions (int dim[3])| -  Specify the dimensions of the volume. A stress tensor will be computed for
// each point in the volume.
//// \item @|int = obj. GetSampleDimensions ()| -  Specify the dimensions of the volume. A stress tensor will be computed for
// each point in the volume.
//// \item @|obj.SetModelBounds (double , double , double , double , double , double )| -  Specify the region in space over which the tensors are computed. The point
// load is assumed to be applied at top center of the volume.
//// \item @|obj.SetModelBounds (double  a[6])| -  Specify the region in space over which the tensors are computed. The point
// load is assumed to be applied at top center of the volume.
//// \item @|double = obj. GetModelBounds ()| -  Specify the region in space over which the tensors are computed. The point
// load is assumed to be applied at top center of the volume.
//// \item @|obj.SetPoissonsRatio (double )| -  Set/Get Poisson's ratio.
//// \item @|double = obj.GetPoissonsRatio ()| -  Set/Get Poisson's ratio.
//// \item @|obj.SetComputeEffectiveStress (int )| -  Turn on/off computation of effective stress scalar. These methods do 
// nothing. The effective stress is always computed.
//// \item @|int = obj.GetComputeEffectiveStress ()| -  Turn on/off computation of effective stress scalar. These methods do 
// nothing. The effective stress is always computed.
//// \item @|obj.ComputeEffectiveStressOn ()| -  Turn on/off computation of effective stress scalar. These methods do 
// nothing. The effective stress is always computed.
//// \item @|obj.ComputeEffectiveStressOff ()| -  Turn on/off computation of effective stress scalar. These methods do 
// nothing. The effective stress is always computed.
////\end{itemize}
//!
