#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRTAnalyticSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRTAnalyticSource.h"

//@@Signature
//sfunction @vtkRTAnalyticSource:vtkRTAnalyticSource vtkRTAnalyticSourceConstructorFunction
//input a
//output p
//@@Parents vtkRTAnalyticSource vtkImageAlgorithm 
ArrayVector vtkRTAnalyticSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRTAnalyticSource::New(),"vtkRTAnalyticSource",eval);
  } else if (arg[0].className() == "vtkRTAnalyticSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRTAnalyticSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRTAnalyticSource");
    vtkRTAnalyticSource*q = reinterpret_cast<vtkRTAnalyticSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRTAnalyticSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRTAnalyticSource:GetClassName vtkRTAnalyticSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRTAnalyticSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRTAnalyticSource requires 1 argument(s)");
  vtkRTAnalyticSource* vtk_pointer = GetVTKPointer<vtkRTAnalyticSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRTAnalyticSource:IsA vtkRTAnalyticSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRTAnalyticSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRTAnalyticSource requires 2 argument(s)");
  vtkRTAnalyticSource* vtk_pointer = GetVTKPointer<vtkRTAnalyticSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRTAnalyticSource:NewInstance vtkRTAnalyticSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRTAnalyticSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRTAnalyticSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRTAnalyticSource requires 1 argument(s)");
  vtkRTAnalyticSource* vtk_pointer = GetVTKPointer<vtkRTAnalyticSource>(arg[0]);
  Array retval;
  vtkRTAnalyticSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRTAnalyticSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRTAnalyticSource:SafeDownCast vtkRTAnalyticSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRTAnalyticSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRTAnalyticSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRTAnalyticSource requires 2 argument(s)");
  vtkRTAnalyticSource* vtk_pointer = GetVTKPointer<vtkRTAnalyticSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRTAnalyticSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRTAnalyticSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRTAnalyticSource:SetWholeExtent vtkRTAnalyticSourceSetWholeExtentFunction
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkRTAnalyticSourceSetWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWholeExtent (int xMinx, int xMax, int yMin, int yMax, int zMin, int zMax); */
  if (arg.size() < 7) 
    throw Exception("Function SetWholeExtent for class vtkRTAnalyticSource requires 7 argument(s)");
  vtkRTAnalyticSource* vtk_pointer = GetVTKPointer<vtkRTAnalyticSource>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkRTAnalyticSource:GetWholeExtent vtkRTAnalyticSourceGetWholeExtentFunction
//input a0 
//output y
ArrayVector vtkRTAnalyticSourceGetWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetWholeExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWholeExtent for class vtkRTAnalyticSource requires 1 argument(s)");
  vtkRTAnalyticSource* vtk_pointer = GetVTKPointer<vtkRTAnalyticSource>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetWholeExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkRTAnalyticSource:SetCenter__1 vtkRTAnalyticSourceSetCenter__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkRTAnalyticSourceSetCenter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetCenter__1 for class vtkRTAnalyticSource requires 4 argument(s)");
  vtkRTAnalyticSource* vtk_pointer = GetVTKPointer<vtkRTAnalyticSource>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCenter(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkRTAnalyticSource:SetCenter__2 vtkRTAnalyticSourceSetCenter__2Function
//input a0 a1 
//output none
ArrayVector vtkRTAnalyticSourceSetCenter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCenter (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCenter__2 for class vtkRTAnalyticSource requires 2 argument(s)");
  vtkRTAnalyticSource* vtk_pointer = GetVTKPointer<vtkRTAnalyticSource>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCenter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRTAnalyticSource:GetCenter vtkRTAnalyticSourceGetCenterFunction
//input a0 
//output y
ArrayVector vtkRTAnalyticSourceGetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCenter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCenter for class vtkRTAnalyticSource requires 1 argument(s)");
  vtkRTAnalyticSource* vtk_pointer = GetVTKPointer<vtkRTAnalyticSource>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCenter();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkRTAnalyticSource:SetMaximum vtkRTAnalyticSourceSetMaximumFunction
//input a0 a1 
//output none
ArrayVector vtkRTAnalyticSourceSetMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximum (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximum for class vtkRTAnalyticSource requires 2 argument(s)");
  vtkRTAnalyticSource* vtk_pointer = GetVTKPointer<vtkRTAnalyticSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximum(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRTAnalyticSource:GetMaximum vtkRTAnalyticSourceGetMaximumFunction
//input a0 
//output y
ArrayVector vtkRTAnalyticSourceGetMaximumFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximum (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximum for class vtkRTAnalyticSource requires 1 argument(s)");
  vtkRTAnalyticSource* vtk_pointer = GetVTKPointer<vtkRTAnalyticSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximum();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRTAnalyticSource:SetStandardDeviation vtkRTAnalyticSourceSetStandardDeviationFunction
//input a0 a1 
//output none
ArrayVector vtkRTAnalyticSourceSetStandardDeviationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStandardDeviation (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetStandardDeviation for class vtkRTAnalyticSource requires 2 argument(s)");
  vtkRTAnalyticSource* vtk_pointer = GetVTKPointer<vtkRTAnalyticSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetStandardDeviation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRTAnalyticSource:GetStandardDeviation vtkRTAnalyticSourceGetStandardDeviationFunction
//input a0 
//output y
ArrayVector vtkRTAnalyticSourceGetStandardDeviationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetStandardDeviation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStandardDeviation for class vtkRTAnalyticSource requires 1 argument(s)");
  vtkRTAnalyticSource* vtk_pointer = GetVTKPointer<vtkRTAnalyticSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetStandardDeviation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRTAnalyticSource:SetXFreq vtkRTAnalyticSourceSetXFreqFunction
//input a0 a1 
//output none
ArrayVector vtkRTAnalyticSourceSetXFreqFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXFreq (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetXFreq for class vtkRTAnalyticSource requires 2 argument(s)");
  vtkRTAnalyticSource* vtk_pointer = GetVTKPointer<vtkRTAnalyticSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetXFreq(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRTAnalyticSource:GetXFreq vtkRTAnalyticSourceGetXFreqFunction
//input a0 
//output y
ArrayVector vtkRTAnalyticSourceGetXFreqFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetXFreq (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXFreq for class vtkRTAnalyticSource requires 1 argument(s)");
  vtkRTAnalyticSource* vtk_pointer = GetVTKPointer<vtkRTAnalyticSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetXFreq();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRTAnalyticSource:SetYFreq vtkRTAnalyticSourceSetYFreqFunction
//input a0 a1 
//output none
ArrayVector vtkRTAnalyticSourceSetYFreqFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYFreq (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetYFreq for class vtkRTAnalyticSource requires 2 argument(s)");
  vtkRTAnalyticSource* vtk_pointer = GetVTKPointer<vtkRTAnalyticSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetYFreq(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRTAnalyticSource:GetYFreq vtkRTAnalyticSourceGetYFreqFunction
//input a0 
//output y
ArrayVector vtkRTAnalyticSourceGetYFreqFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetYFreq (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYFreq for class vtkRTAnalyticSource requires 1 argument(s)");
  vtkRTAnalyticSource* vtk_pointer = GetVTKPointer<vtkRTAnalyticSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetYFreq();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRTAnalyticSource:SetZFreq vtkRTAnalyticSourceSetZFreqFunction
//input a0 a1 
//output none
ArrayVector vtkRTAnalyticSourceSetZFreqFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZFreq (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetZFreq for class vtkRTAnalyticSource requires 2 argument(s)");
  vtkRTAnalyticSource* vtk_pointer = GetVTKPointer<vtkRTAnalyticSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetZFreq(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRTAnalyticSource:GetZFreq vtkRTAnalyticSourceGetZFreqFunction
//input a0 
//output y
ArrayVector vtkRTAnalyticSourceGetZFreqFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetZFreq (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZFreq for class vtkRTAnalyticSource requires 1 argument(s)");
  vtkRTAnalyticSource* vtk_pointer = GetVTKPointer<vtkRTAnalyticSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetZFreq();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRTAnalyticSource:SetXMag vtkRTAnalyticSourceSetXMagFunction
//input a0 a1 
//output none
ArrayVector vtkRTAnalyticSourceSetXMagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXMag (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetXMag for class vtkRTAnalyticSource requires 2 argument(s)");
  vtkRTAnalyticSource* vtk_pointer = GetVTKPointer<vtkRTAnalyticSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetXMag(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRTAnalyticSource:GetXMag vtkRTAnalyticSourceGetXMagFunction
//input a0 
//output y
ArrayVector vtkRTAnalyticSourceGetXMagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetXMag (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXMag for class vtkRTAnalyticSource requires 1 argument(s)");
  vtkRTAnalyticSource* vtk_pointer = GetVTKPointer<vtkRTAnalyticSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetXMag();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRTAnalyticSource:SetYMag vtkRTAnalyticSourceSetYMagFunction
//input a0 a1 
//output none
ArrayVector vtkRTAnalyticSourceSetYMagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYMag (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetYMag for class vtkRTAnalyticSource requires 2 argument(s)");
  vtkRTAnalyticSource* vtk_pointer = GetVTKPointer<vtkRTAnalyticSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetYMag(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRTAnalyticSource:GetYMag vtkRTAnalyticSourceGetYMagFunction
//input a0 
//output y
ArrayVector vtkRTAnalyticSourceGetYMagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetYMag (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYMag for class vtkRTAnalyticSource requires 1 argument(s)");
  vtkRTAnalyticSource* vtk_pointer = GetVTKPointer<vtkRTAnalyticSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetYMag();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRTAnalyticSource:SetZMag vtkRTAnalyticSourceSetZMagFunction
//input a0 a1 
//output none
ArrayVector vtkRTAnalyticSourceSetZMagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZMag (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetZMag for class vtkRTAnalyticSource requires 2 argument(s)");
  vtkRTAnalyticSource* vtk_pointer = GetVTKPointer<vtkRTAnalyticSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetZMag(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRTAnalyticSource:GetZMag vtkRTAnalyticSourceGetZMagFunction
//input a0 
//output y
ArrayVector vtkRTAnalyticSourceGetZMagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetZMag (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZMag for class vtkRTAnalyticSource requires 1 argument(s)");
  vtkRTAnalyticSource* vtk_pointer = GetVTKPointer<vtkRTAnalyticSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetZMag();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRTAnalyticSource:SetSubsampleRate vtkRTAnalyticSourceSetSubsampleRateFunction
//input a0 a1 
//output none
ArrayVector vtkRTAnalyticSourceSetSubsampleRateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSubsampleRate (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSubsampleRate for class vtkRTAnalyticSource requires 2 argument(s)");
  vtkRTAnalyticSource* vtk_pointer = GetVTKPointer<vtkRTAnalyticSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSubsampleRate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRTAnalyticSource:GetSubsampleRate vtkRTAnalyticSourceGetSubsampleRateFunction
//input a0 
//output y
ArrayVector vtkRTAnalyticSourceGetSubsampleRateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSubsampleRate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSubsampleRate for class vtkRTAnalyticSource requires 1 argument(s)");
  vtkRTAnalyticSource* vtk_pointer = GetVTKPointer<vtkRTAnalyticSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSubsampleRate();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRTAnalyticSource:SetCenter vtkRTAnalyticSourceSetCenterFunction
//input varargin
//output varargout
ArrayVector vtkRTAnalyticSourceSetCenterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkRTAnalyticSourceSetCenter__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkRTAnalyticSourceSetCenter__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRTAnalyticSourceSetCenter");
}

//@@Signature
//sfunction @vtkRTAnalyticSource:display vtkRTAnalyticSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRTAnalyticSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRTAnalyticSource* vtk_pointer = GetVTKPointer<vtkRTAnalyticSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRTAnalyticSource:delete vtkRTAnalyticSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkRTAnalyticSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRTAnalyticSource
//@@Section VTKImaging
//@@Usage
// vtkRTAnalyticSource just produces images with pixel values determined 
// by a Maximum*Gaussian*XMag*sin(XFreq*x)*sin(YFreq*y)*cos(ZFreq*z)
// Values are float scalars on point data with name "RTData".
//
//To create an instance of class vtkRTAnalyticSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkRTAnalyticSource
//@]
//@@Methods
//The class vtkRTAnalyticSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRTAnalyticSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRTAnalyticSource = obj.NewInstance ()|
// \item @|vtkRTAnalyticSource = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetWholeExtent (int xMinx, int xMax, int yMin, int yMax, int zMin, int zMax)| -  Set/Get the extent of the whole output image. Initial value is
// {-10,10,-10,10,-10,10}
//// \item @|int = obj. GetWholeExtent ()| -  Set/Get the extent of the whole output image. Initial value is
// {-10,10,-10,10,-10,10}
//// \item @|obj.SetCenter (double , double , double )| -  Set/Get the center of function. Initial value is {0.0,0.0,0.0}
//// \item @|obj.SetCenter (double  a[3])| -  Set/Get the center of function. Initial value is {0.0,0.0,0.0}
//// \item @|double = obj. GetCenter ()| -  Set/Get the center of function. Initial value is {0.0,0.0,0.0}
//// \item @|obj.SetMaximum (double )| -  Set/Get the Maximum value of the function. Initial value is 255.0.
//// \item @|double = obj.GetMaximum ()| -  Set/Get the Maximum value of the function. Initial value is 255.0.
//// \item @|obj.SetStandardDeviation (double )| -  Set/Get the standard deviation of the function. Initial value is 0.5.
//// \item @|double = obj.GetStandardDeviation ()| -  Set/Get the standard deviation of the function. Initial value is 0.5.
//// \item @|obj.SetXFreq (double )| -  Set/Get the natural frequency in x. Initial value is 60.
//// \item @|double = obj.GetXFreq ()| -  Set/Get the natural frequency in x. Initial value is 60.
//// \item @|obj.SetYFreq (double )| -  Set/Get the natural frequency in y. Initial value is 30.
//// \item @|double = obj.GetYFreq ()| -  Set/Get the natural frequency in y. Initial value is 30.
//// \item @|obj.SetZFreq (double )| -  Set/Get the natural frequency in z. Initial value is 40.
//// \item @|double = obj.GetZFreq ()| -  Set/Get the natural frequency in z. Initial value is 40.
//// \item @|obj.SetXMag (double )| -  Set/Get the magnitude in x. Initial value is 10.
//// \item @|double = obj.GetXMag ()| -  Set/Get the magnitude in x. Initial value is 10.
//// \item @|obj.SetYMag (double )| -  Set/Get the magnitude in y. Initial value is 18.
//// \item @|double = obj.GetYMag ()| -  Set/Get the magnitude in y. Initial value is 18.
//// \item @|obj.SetZMag (double )| -  Set/Get the magnitude in z. Initial value is 5.
//// \item @|double = obj.GetZMag ()| -  Set/Get the magnitude in z. Initial value is 5.
//// \item @|obj.SetSubsampleRate (int )| -  Set/Get the sub-sample rate. Initial value is 1.
//// \item @|int = obj.GetSubsampleRate ()| -  Set/Get the sub-sample rate. Initial value is 1.
////\end{itemize}
//!
