#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSampleFunction object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSampleFunction.h"

//@@Signature
//sfunction @vtkSampleFunction:vtkSampleFunction vtkSampleFunctionConstructorFunction
//input a
//output p
//@@Parents vtkSampleFunction vtkImageAlgorithm 
ArrayVector vtkSampleFunctionConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSampleFunction::New(),"vtkSampleFunction",eval);
  } else if (arg[0].className() == "vtkSampleFunction") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSampleFunction"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSampleFunction");
    vtkSampleFunction*q = reinterpret_cast<vtkSampleFunction*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSampleFunction");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSampleFunction:GetClassName vtkSampleFunctionGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSampleFunctionGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSampleFunction requires 1 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:IsA vtkSampleFunctionIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSampleFunctionIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSampleFunction requires 2 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:NewInstance vtkSampleFunctionNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSampleFunctionNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSampleFunction *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSampleFunction requires 1 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  vtkSampleFunction  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSampleFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:SafeDownCast vtkSampleFunctionSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSampleFunctionSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSampleFunction *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSampleFunction requires 2 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSampleFunction  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSampleFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:SetImplicitFunction vtkSampleFunctionSetImplicitFunctionFunction
//input a0 a1 
//output none
ArrayVector vtkSampleFunctionSetImplicitFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetImplicitFunction (vtkImplicitFunction *); */
  if (arg.size() < 2) 
    throw Exception("Function SetImplicitFunction for class vtkSampleFunction requires 2 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp0;
  temp0 = GetVTKPointer<vtkImplicitFunction>(arg[1]);
  vtk_pointer->SetImplicitFunction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:GetImplicitFunction vtkSampleFunctionGetImplicitFunctionFunction
//input a0 
//output y
ArrayVector vtkSampleFunctionGetImplicitFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImplicitFunction *GetImplicitFunction (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImplicitFunction for class vtkSampleFunction requires 1 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  vtkImplicitFunction  *temp20;
  temp20 = (vtk_pointer)->GetImplicitFunction();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImplicitFunction",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:SetOutputScalarType vtkSampleFunctionSetOutputScalarTypeFunction
//input a0 a1 
//output none
ArrayVector vtkSampleFunctionSetOutputScalarTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputScalarType for class vtkSampleFunction requires 2 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutputScalarType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:GetOutputScalarType vtkSampleFunctionGetOutputScalarTypeFunction
//input a0 
//output y
ArrayVector vtkSampleFunctionGetOutputScalarTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputScalarType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputScalarType for class vtkSampleFunction requires 1 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutputScalarType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:SetOutputScalarTypeToDouble vtkSampleFunctionSetOutputScalarTypeToDoubleFunction
//input a0 
//output none
ArrayVector vtkSampleFunctionSetOutputScalarTypeToDoubleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToDouble ();this SetOutputScalarType VTK_DOUBLE  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToDouble for class vtkSampleFunction requires 1 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToDouble();
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:SetOutputScalarTypeToFloat vtkSampleFunctionSetOutputScalarTypeToFloatFunction
//input a0 
//output none
ArrayVector vtkSampleFunctionSetOutputScalarTypeToFloatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToFloat ();this SetOutputScalarType VTK_FLOAT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToFloat for class vtkSampleFunction requires 1 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToFloat();
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:SetOutputScalarTypeToLong vtkSampleFunctionSetOutputScalarTypeToLongFunction
//input a0 
//output none
ArrayVector vtkSampleFunctionSetOutputScalarTypeToLongFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToLong ();this SetOutputScalarType VTK_LONG  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToLong for class vtkSampleFunction requires 1 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToLong();
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:SetOutputScalarTypeToUnsignedLong vtkSampleFunctionSetOutputScalarTypeToUnsignedLongFunction
//input a0 
//output none
ArrayVector vtkSampleFunctionSetOutputScalarTypeToUnsignedLongFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToUnsignedLong ();this SetOutputScalarType VTK_UNSIGNED_LONG  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToUnsignedLong for class vtkSampleFunction requires 1 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToUnsignedLong();
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:SetOutputScalarTypeToInt vtkSampleFunctionSetOutputScalarTypeToIntFunction
//input a0 
//output none
ArrayVector vtkSampleFunctionSetOutputScalarTypeToIntFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToInt ();this SetOutputScalarType VTK_INT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToInt for class vtkSampleFunction requires 1 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToInt();
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:SetOutputScalarTypeToUnsignedInt vtkSampleFunctionSetOutputScalarTypeToUnsignedIntFunction
//input a0 
//output none
ArrayVector vtkSampleFunctionSetOutputScalarTypeToUnsignedIntFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToUnsignedInt ();this SetOutputScalarType VTK_UNSIGNED_INT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToUnsignedInt for class vtkSampleFunction requires 1 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToUnsignedInt();
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:SetOutputScalarTypeToShort vtkSampleFunctionSetOutputScalarTypeToShortFunction
//input a0 
//output none
ArrayVector vtkSampleFunctionSetOutputScalarTypeToShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToShort ();this SetOutputScalarType VTK_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToShort for class vtkSampleFunction requires 1 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToShort();
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:SetOutputScalarTypeToUnsignedShort vtkSampleFunctionSetOutputScalarTypeToUnsignedShortFunction
//input a0 
//output none
ArrayVector vtkSampleFunctionSetOutputScalarTypeToUnsignedShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToUnsignedShort ();this SetOutputScalarType VTK_UNSIGNED_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToUnsignedShort for class vtkSampleFunction requires 1 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToUnsignedShort();
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:SetOutputScalarTypeToChar vtkSampleFunctionSetOutputScalarTypeToCharFunction
//input a0 
//output none
ArrayVector vtkSampleFunctionSetOutputScalarTypeToCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToChar ();this SetOutputScalarType VTK_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToChar for class vtkSampleFunction requires 1 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToChar();
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:SetOutputScalarTypeToUnsignedChar vtkSampleFunctionSetOutputScalarTypeToUnsignedCharFunction
//input a0 
//output none
ArrayVector vtkSampleFunctionSetOutputScalarTypeToUnsignedCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputScalarTypeToUnsignedChar ();this SetOutputScalarType VTK_UNSIGNED_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetOutputScalarTypeToUnsignedChar for class vtkSampleFunction requires 1 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  vtk_pointer->SetOutputScalarTypeToUnsignedChar();
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:SetScalars vtkSampleFunctionSetScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkSampleFunctionSetScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetScalars (vtkDataArray *da); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalars for class vtkSampleFunction requires 2 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  vtk_pointer->SetScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:SetSampleDimensions__1 vtkSampleFunctionSetSampleDimensions__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkSampleFunctionSetSampleDimensions__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSampleDimensions (int i, int j, int k); */
  if (arg.size() < 4) 
    throw Exception("Function SetSampleDimensions__1 for class vtkSampleFunction requires 4 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetSampleDimensions(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:SetSampleDimensions__2 vtkSampleFunctionSetSampleDimensions__2Function
//input a0 a1 
//output none
ArrayVector vtkSampleFunctionSetSampleDimensions__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSampleDimensions (int dim[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSampleDimensions__2 for class vtkSampleFunction requires 2 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetSampleDimensions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:GetSampleDimensions vtkSampleFunctionGetSampleDimensionsFunction
//input a0 
//output y
ArrayVector vtkSampleFunctionGetSampleDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetSampleDimensions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSampleDimensions for class vtkSampleFunction requires 1 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetSampleDimensions();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:SetModelBounds__1 vtkSampleFunctionSetModelBounds__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkSampleFunctionSetModelBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetModelBounds (double , double , double , double , double , double ); */
  if (arg.size() < 7) 
    throw Exception("Function SetModelBounds__1 for class vtkSampleFunction requires 7 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:SetModelBounds__2 vtkSampleFunctionSetModelBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkSampleFunctionSetModelBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetModelBounds (double  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetModelBounds__2 for class vtkSampleFunction requires 2 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetModelBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:GetModelBounds vtkSampleFunctionGetModelBoundsFunction
//input a0 
//output y
ArrayVector vtkSampleFunctionGetModelBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetModelBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetModelBounds for class vtkSampleFunction requires 1 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetModelBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:SetCapping vtkSampleFunctionSetCappingFunction
//input a0 a1 
//output none
ArrayVector vtkSampleFunctionSetCappingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCapping (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCapping for class vtkSampleFunction requires 2 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCapping(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:GetCapping vtkSampleFunctionGetCappingFunction
//input a0 
//output y
ArrayVector vtkSampleFunctionGetCappingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCapping (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCapping for class vtkSampleFunction requires 1 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCapping();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:CappingOn vtkSampleFunctionCappingOnFunction
//input a0 
//output none
ArrayVector vtkSampleFunctionCappingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CappingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CappingOn for class vtkSampleFunction requires 1 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  vtk_pointer->CappingOn();
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:CappingOff vtkSampleFunctionCappingOffFunction
//input a0 
//output none
ArrayVector vtkSampleFunctionCappingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CappingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CappingOff for class vtkSampleFunction requires 1 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  vtk_pointer->CappingOff();
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:SetCapValue vtkSampleFunctionSetCapValueFunction
//input a0 a1 
//output none
ArrayVector vtkSampleFunctionSetCapValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCapValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCapValue for class vtkSampleFunction requires 2 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCapValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:GetCapValue vtkSampleFunctionGetCapValueFunction
//input a0 
//output y
ArrayVector vtkSampleFunctionGetCapValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCapValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCapValue for class vtkSampleFunction requires 1 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCapValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:SetComputeNormals vtkSampleFunctionSetComputeNormalsFunction
//input a0 a1 
//output none
ArrayVector vtkSampleFunctionSetComputeNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComputeNormals (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComputeNormals for class vtkSampleFunction requires 2 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComputeNormals(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:GetComputeNormals vtkSampleFunctionGetComputeNormalsFunction
//input a0 
//output y
ArrayVector vtkSampleFunctionGetComputeNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComputeNormals (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComputeNormals for class vtkSampleFunction requires 1 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComputeNormals();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:ComputeNormalsOn vtkSampleFunctionComputeNormalsOnFunction
//input a0 
//output none
ArrayVector vtkSampleFunctionComputeNormalsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeNormalsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeNormalsOn for class vtkSampleFunction requires 1 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  vtk_pointer->ComputeNormalsOn();
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:ComputeNormalsOff vtkSampleFunctionComputeNormalsOffFunction
//input a0 
//output none
ArrayVector vtkSampleFunctionComputeNormalsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeNormalsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ComputeNormalsOff for class vtkSampleFunction requires 1 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  vtk_pointer->ComputeNormalsOff();
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:SetScalarArrayName vtkSampleFunctionSetScalarArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkSampleFunctionSetScalarArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarArrayName for class vtkSampleFunction requires 2 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetScalarArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:GetScalarArrayName vtkSampleFunctionGetScalarArrayNameFunction
//input a0 
//output y
ArrayVector vtkSampleFunctionGetScalarArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetScalarArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarArrayName for class vtkSampleFunction requires 1 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetScalarArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:SetNormalArrayName vtkSampleFunctionSetNormalArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkSampleFunctionSetNormalArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormalArrayName for class vtkSampleFunction requires 2 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetNormalArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:GetNormalArrayName vtkSampleFunctionGetNormalArrayNameFunction
//input a0 
//output y
ArrayVector vtkSampleFunctionGetNormalArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetNormalArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalArrayName for class vtkSampleFunction requires 1 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetNormalArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:GetMTime vtkSampleFunctionGetMTimeFunction
//input a0 
//output y
ArrayVector vtkSampleFunctionGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkSampleFunction requires 1 argument(s)");
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSampleFunction:SetSampleDimensions vtkSampleFunctionSetSampleDimensionsFunction
//input varargin
//output varargout
ArrayVector vtkSampleFunctionSetSampleDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkSampleFunctionSetSampleDimensions__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkSampleFunctionSetSampleDimensions__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSampleFunctionSetSampleDimensions");
}

//@@Signature
//sfunction @vtkSampleFunction:SetModelBounds vtkSampleFunctionSetModelBoundsFunction
//input varargin
//output varargout
ArrayVector vtkSampleFunctionSetModelBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkSampleFunctionSetModelBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkSampleFunctionSetModelBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSampleFunctionSetModelBounds");
}

//@@Signature
//sfunction @vtkSampleFunction:display vtkSampleFunctionDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSampleFunctionDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSampleFunction* vtk_pointer = GetVTKPointer<vtkSampleFunction>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSampleFunction:delete vtkSampleFunctionDeleteFunction
//input varargin
//output none
ArrayVector vtkSampleFunctionDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSampleFunction
//@@Section VTKImaging
//@@Usage
// vtkSampleFunction is a source object that evaluates an implicit function
// and normals at each point in a vtkStructuredPoints. The user can specify
// the sample dimensions and location in space to perform the sampling. To
// create closed surfaces (in conjunction with the vtkContourFilter), capping
// can be turned on to set a particular value on the boundaries of the sample
// space.
//
//To create an instance of class vtkSampleFunction, simply
//invoke its constructor as follows
//@[
//  obj = vtkSampleFunction
//@]
//@@Methods
//The class vtkSampleFunction has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSampleFunction class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSampleFunction = obj.NewInstance ()|
// \item @|vtkSampleFunction = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetImplicitFunction (vtkImplicitFunction )| -  Specify the implicit function to use to generate data.
//// \item @|vtkImplicitFunction = obj.GetImplicitFunction ()| -  Specify the implicit function to use to generate data.
//// \item @|obj.SetOutputScalarType (int )| -  Set what type of scalar data this source should generate.
//// \item @|int = obj.GetOutputScalarType ()| -  Set what type of scalar data this source should generate.
//// \item @|obj.SetOutputScalarTypeToDouble ()| -  Set what type of scalar data this source should generate.
//// \item @|obj.SetOutputScalarTypeToFloat ()| -  Set what type of scalar data this source should generate.
//// \item @|obj.SetOutputScalarTypeToLong ()| -  Set what type of scalar data this source should generate.
//// \item @|obj.SetOutputScalarTypeToUnsignedLong ()| -  Set what type of scalar data this source should generate.
//// \item @|obj.SetOutputScalarTypeToInt ()| -  Set what type of scalar data this source should generate.
//// \item @|obj.SetOutputScalarTypeToUnsignedInt ()| -  Set what type of scalar data this source should generate.
//// \item @|obj.SetOutputScalarTypeToShort ()| -  Set what type of scalar data this source should generate.
//// \item @|obj.SetOutputScalarTypeToUnsignedShort ()| -  Set what type of scalar data this source should generate.
//// \item @|obj.SetOutputScalarTypeToChar ()| -  Set what type of scalar data this source should generate.
//// \item @|obj.SetOutputScalarTypeToUnsignedChar ()| -  Control the type of the scalars object by explicitly providing a scalar
// object.  THIS IS DEPRECATED, although it still works!!! Please use
// SetOutputScalarType instead.
//// \item @|obj.SetScalars (vtkDataArray da)| -  Control the type of the scalars object by explicitly providing a scalar
// object.  THIS IS DEPRECATED, although it still works!!! Please use
// SetOutputScalarType instead.
//// \item @|obj.SetSampleDimensions (int i, int j, int k)| -  Specify the dimensions of the data on which to sample.
//// \item @|obj.SetSampleDimensions (int dim[3])| -  Specify the dimensions of the data on which to sample.
//// \item @|int = obj. GetSampleDimensions ()| -  Specify the dimensions of the data on which to sample.
//// \item @|obj.SetModelBounds (double , double , double , double , double , double )| -  Specify the region in space over which the sampling occurs. The
// bounds is specified as (xMin,xMax, yMin,yMax, zMin,zMax).
//// \item @|obj.SetModelBounds (double  a[6])| -  Specify the region in space over which the sampling occurs. The
// bounds is specified as (xMin,xMax, yMin,yMax, zMin,zMax).
//// \item @|double = obj. GetModelBounds ()| -  Specify the region in space over which the sampling occurs. The
// bounds is specified as (xMin,xMax, yMin,yMax, zMin,zMax).
//// \item @|obj.SetCapping (int )| -  Turn on/off capping. If capping is on, then the outer boundaries of the
// structured point set are set to cap value. This can be used to insure
// surfaces are closed.
//// \item @|int = obj.GetCapping ()| -  Turn on/off capping. If capping is on, then the outer boundaries of the
// structured point set are set to cap value. This can be used to insure
// surfaces are closed.
//// \item @|obj.CappingOn ()| -  Turn on/off capping. If capping is on, then the outer boundaries of the
// structured point set are set to cap value. This can be used to insure
// surfaces are closed.
//// \item @|obj.CappingOff ()| -  Turn on/off capping. If capping is on, then the outer boundaries of the
// structured point set are set to cap value. This can be used to insure
// surfaces are closed.
//// \item @|obj.SetCapValue (double )| -  Set the cap value.
//// \item @|double = obj.GetCapValue ()| -  Set the cap value.
//// \item @|obj.SetComputeNormals (int )| -  Turn on/off the computation of normals (normals are float values).
//// \item @|int = obj.GetComputeNormals ()| -  Turn on/off the computation of normals (normals are float values).
//// \item @|obj.ComputeNormalsOn ()| -  Turn on/off the computation of normals (normals are float values).
//// \item @|obj.ComputeNormalsOff ()| -  Turn on/off the computation of normals (normals are float values).
//// \item @|obj.SetScalarArrayName (string )| -  Set/get the scalar array name for this data set. Initial value is
// "scalars".
//// \item @|string = obj.GetScalarArrayName ()| -  Set/get the scalar array name for this data set. Initial value is
// "scalars".
//// \item @|obj.SetNormalArrayName (string )| -  Set/get the normal array name for this data set. Initial value is
// "normals".
//// \item @|string = obj.GetNormalArrayName ()| -  Set/get the normal array name for this data set. Initial value is
// "normals".
//// \item @|long = obj.GetMTime ()| -  Return the MTime also considering the implicit function.
////\end{itemize}
//!
