#include "VTKWrap.hpp"

// FreeMat wrapper for vtkShepardMethod object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkShepardMethod.h"

//@@Signature
//sfunction @vtkShepardMethod:vtkShepardMethod vtkShepardMethodConstructorFunction
//input a
//output p
//@@Parents vtkShepardMethod vtkImageAlgorithm 
ArrayVector vtkShepardMethodConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkShepardMethod::New(),"vtkShepardMethod",eval);
  } else if (arg[0].className() == "vtkShepardMethod") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkShepardMethod"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkShepardMethod");
    vtkShepardMethod*q = reinterpret_cast<vtkShepardMethod*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkShepardMethod");
    return ret;
  }
}
//@@Signature
//sfunction @vtkShepardMethod:GetClassName vtkShepardMethodGetClassNameFunction
//input a0 
//output y
ArrayVector vtkShepardMethodGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkShepardMethod requires 1 argument(s)");
  vtkShepardMethod* vtk_pointer = GetVTKPointer<vtkShepardMethod>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShepardMethod:IsA vtkShepardMethodIsAFunction
//input a0 a1 
//output y
ArrayVector vtkShepardMethodIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkShepardMethod requires 2 argument(s)");
  vtkShepardMethod* vtk_pointer = GetVTKPointer<vtkShepardMethod>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShepardMethod:NewInstance vtkShepardMethodNewInstanceFunction
//input a0 
//output y
ArrayVector vtkShepardMethodNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkShepardMethod *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkShepardMethod requires 1 argument(s)");
  vtkShepardMethod* vtk_pointer = GetVTKPointer<vtkShepardMethod>(arg[0]);
  Array retval;
  vtkShepardMethod  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkShepardMethod",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkShepardMethod:SafeDownCast vtkShepardMethodSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkShepardMethodSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkShepardMethod *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkShepardMethod requires 2 argument(s)");
  vtkShepardMethod* vtk_pointer = GetVTKPointer<vtkShepardMethod>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkShepardMethod  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkShepardMethod",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkShepardMethod:ComputeModelBounds vtkShepardMethodComputeModelBoundsFunction
//input a0 a1 a2 
//output y
ArrayVector vtkShepardMethodComputeModelBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double ComputeModelBounds (double origin[3], double ar[3]); */
  if (arg.size() < 3) 
    throw Exception("Function ComputeModelBounds for class vtkShepardMethod requires 3 argument(s)");
  vtkShepardMethod* vtk_pointer = GetVTKPointer<vtkShepardMethod>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ComputeModelBounds(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShepardMethod:GetSampleDimensions vtkShepardMethodGetSampleDimensionsFunction
//input a0 
//output y
ArrayVector vtkShepardMethodGetSampleDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetSampleDimensions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSampleDimensions for class vtkShepardMethod requires 1 argument(s)");
  vtkShepardMethod* vtk_pointer = GetVTKPointer<vtkShepardMethod>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetSampleDimensions();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkShepardMethod:SetSampleDimensions__1 vtkShepardMethodSetSampleDimensions__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkShepardMethodSetSampleDimensions__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSampleDimensions (int i, int j, int k); */
  if (arg.size() < 4) 
    throw Exception("Function SetSampleDimensions__1 for class vtkShepardMethod requires 4 argument(s)");
  vtkShepardMethod* vtk_pointer = GetVTKPointer<vtkShepardMethod>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetSampleDimensions(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkShepardMethod:SetSampleDimensions__2 vtkShepardMethodSetSampleDimensions__2Function
//input a0 a1 
//output none
ArrayVector vtkShepardMethodSetSampleDimensions__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSampleDimensions (int dim[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSampleDimensions__2 for class vtkShepardMethod requires 2 argument(s)");
  vtkShepardMethod* vtk_pointer = GetVTKPointer<vtkShepardMethod>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetSampleDimensions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkShepardMethod:SetMaximumDistance vtkShepardMethodSetMaximumDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkShepardMethodSetMaximumDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumDistance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumDistance for class vtkShepardMethod requires 2 argument(s)");
  vtkShepardMethod* vtk_pointer = GetVTKPointer<vtkShepardMethod>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximumDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkShepardMethod:GetMaximumDistanceMinValue vtkShepardMethodGetMaximumDistanceMinValueFunction
//input a0 
//output y
ArrayVector vtkShepardMethodGetMaximumDistanceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumDistanceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumDistanceMinValue for class vtkShepardMethod requires 1 argument(s)");
  vtkShepardMethod* vtk_pointer = GetVTKPointer<vtkShepardMethod>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumDistanceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShepardMethod:GetMaximumDistanceMaxValue vtkShepardMethodGetMaximumDistanceMaxValueFunction
//input a0 
//output y
ArrayVector vtkShepardMethodGetMaximumDistanceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumDistanceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumDistanceMaxValue for class vtkShepardMethod requires 1 argument(s)");
  vtkShepardMethod* vtk_pointer = GetVTKPointer<vtkShepardMethod>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumDistanceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShepardMethod:GetMaximumDistance vtkShepardMethodGetMaximumDistanceFunction
//input a0 
//output y
ArrayVector vtkShepardMethodGetMaximumDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumDistance for class vtkShepardMethod requires 1 argument(s)");
  vtkShepardMethod* vtk_pointer = GetVTKPointer<vtkShepardMethod>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShepardMethod:SetModelBounds__1 vtkShepardMethodSetModelBounds__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkShepardMethodSetModelBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetModelBounds (double , double , double , double , double , double ); */
  if (arg.size() < 7) 
    throw Exception("Function SetModelBounds__1 for class vtkShepardMethod requires 7 argument(s)");
  vtkShepardMethod* vtk_pointer = GetVTKPointer<vtkShepardMethod>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkShepardMethod:SetModelBounds__2 vtkShepardMethodSetModelBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkShepardMethodSetModelBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetModelBounds (double  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetModelBounds__2 for class vtkShepardMethod requires 2 argument(s)");
  vtkShepardMethod* vtk_pointer = GetVTKPointer<vtkShepardMethod>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetModelBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkShepardMethod:GetModelBounds vtkShepardMethodGetModelBoundsFunction
//input a0 
//output y
ArrayVector vtkShepardMethodGetModelBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetModelBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetModelBounds for class vtkShepardMethod requires 1 argument(s)");
  vtkShepardMethod* vtk_pointer = GetVTKPointer<vtkShepardMethod>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetModelBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkShepardMethod:SetNullValue vtkShepardMethodSetNullValueFunction
//input a0 a1 
//output none
ArrayVector vtkShepardMethodSetNullValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNullValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNullValue for class vtkShepardMethod requires 2 argument(s)");
  vtkShepardMethod* vtk_pointer = GetVTKPointer<vtkShepardMethod>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetNullValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkShepardMethod:GetNullValue vtkShepardMethodGetNullValueFunction
//input a0 
//output y
ArrayVector vtkShepardMethodGetNullValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetNullValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNullValue for class vtkShepardMethod requires 1 argument(s)");
  vtkShepardMethod* vtk_pointer = GetVTKPointer<vtkShepardMethod>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetNullValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShepardMethod:SetSampleDimensions vtkShepardMethodSetSampleDimensionsFunction
//input varargin
//output varargout
ArrayVector vtkShepardMethodSetSampleDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkShepardMethodSetSampleDimensions__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkShepardMethodSetSampleDimensions__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkShepardMethodSetSampleDimensions");
}

//@@Signature
//sfunction @vtkShepardMethod:SetModelBounds vtkShepardMethodSetModelBoundsFunction
//input varargin
//output varargout
ArrayVector vtkShepardMethodSetModelBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkShepardMethodSetModelBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkShepardMethodSetModelBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkShepardMethodSetModelBounds");
}

//@@Signature
//sfunction @vtkShepardMethod:display vtkShepardMethodDisplayFunction
//input varargin
//output varargout
ArrayVector vtkShepardMethodDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkShepardMethod* vtk_pointer = GetVTKPointer<vtkShepardMethod>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkShepardMethod:delete vtkShepardMethodDeleteFunction
//input varargin
//output none
ArrayVector vtkShepardMethodDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkShepardMethod
//@@Section VTKImaging
//@@Usage
// vtkShepardMethod is a filter used to visualize unstructured point data using
// Shepard's method. The method works by resampling the unstructured points 
// onto a structured points set. The influence functions are described as 
// "inverse distance weighted". Once the structured points are computed, the 
// usual visualization techniques (e.g., iso-contouring or volume rendering)
// can be used visualize the structured points.
//
//To create an instance of class vtkShepardMethod, simply
//invoke its constructor as follows
//@[
//  obj = vtkShepardMethod
//@]
//@@Methods
//The class vtkShepardMethod has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkShepardMethod class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkShepardMethod = obj.NewInstance ()|
// \item @|vtkShepardMethod = obj.SafeDownCast (vtkObject o)|
// \item @|double = obj.ComputeModelBounds (double origin[3], double ar[3])| -  Compute ModelBounds from input geometry.
//// \item @|int = obj. GetSampleDimensions ()| -  Specify i-j-k dimensions on which to sample input points.
//// \item @|obj.SetSampleDimensions (int i, int j, int k)| -  Set the i-j-k dimensions on which to sample the distance function.
//// \item @|obj.SetSampleDimensions (int dim[3])| -  Set the i-j-k dimensions on which to sample the distance function.
//// \item @|obj.SetMaximumDistance (double )| -  Specify influence distance of each input point. This distance is a 
// fraction of the length of the diagonal of the sample space. Thus, values 
// of 1.0 will cause each input point to influence all points in the 
// structured point dataset. Values less than 1.0 can improve performance
// significantly.
//// \item @|double = obj.GetMaximumDistanceMinValue ()| -  Specify influence distance of each input point. This distance is a 
// fraction of the length of the diagonal of the sample space. Thus, values 
// of 1.0 will cause each input point to influence all points in the 
// structured point dataset. Values less than 1.0 can improve performance
// significantly.
//// \item @|double = obj.GetMaximumDistanceMaxValue ()| -  Specify influence distance of each input point. This distance is a 
// fraction of the length of the diagonal of the sample space. Thus, values 
// of 1.0 will cause each input point to influence all points in the 
// structured point dataset. Values less than 1.0 can improve performance
// significantly.
//// \item @|double = obj.GetMaximumDistance ()| -  Specify influence distance of each input point. This distance is a 
// fraction of the length of the diagonal of the sample space. Thus, values 
// of 1.0 will cause each input point to influence all points in the 
// structured point dataset. Values less than 1.0 can improve performance
// significantly.
//// \item @|obj.SetModelBounds (double , double , double , double , double , double )| -  Specify the position in space to perform the sampling.
//// \item @|obj.SetModelBounds (double  a[6])| -  Specify the position in space to perform the sampling.
//// \item @|double = obj. GetModelBounds ()| -  Specify the position in space to perform the sampling.
//// \item @|obj.SetNullValue (double )| -  Set the Null value for output points not receiving a contribution from the
// input points.
//// \item @|double = obj.GetNullValue ()| -  Set the Null value for output points not receiving a contribution from the
// input points.
////\end{itemize}
//!
