#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSimpleImageFilterExample object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSimpleImageFilterExample.h"

//@@Signature
//sfunction @vtkSimpleImageFilterExample:vtkSimpleImageFilterExample vtkSimpleImageFilterExampleConstructorFunction
//input a
//output p
//@@Parents vtkSimpleImageFilterExample vtkSimpleImageToImageFilter 
ArrayVector vtkSimpleImageFilterExampleConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSimpleImageFilterExample::New(),"vtkSimpleImageFilterExample",eval);
  } else if (arg[0].className() == "vtkSimpleImageFilterExample") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSimpleImageFilterExample"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSimpleImageFilterExample");
    vtkSimpleImageFilterExample*q = reinterpret_cast<vtkSimpleImageFilterExample*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSimpleImageFilterExample");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSimpleImageFilterExample:GetClassName vtkSimpleImageFilterExampleGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSimpleImageFilterExampleGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSimpleImageFilterExample requires 1 argument(s)");
  vtkSimpleImageFilterExample* vtk_pointer = GetVTKPointer<vtkSimpleImageFilterExample>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimpleImageFilterExample:IsA vtkSimpleImageFilterExampleIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSimpleImageFilterExampleIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSimpleImageFilterExample requires 2 argument(s)");
  vtkSimpleImageFilterExample* vtk_pointer = GetVTKPointer<vtkSimpleImageFilterExample>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimpleImageFilterExample:NewInstance vtkSimpleImageFilterExampleNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSimpleImageFilterExampleNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSimpleImageFilterExample *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSimpleImageFilterExample requires 1 argument(s)");
  vtkSimpleImageFilterExample* vtk_pointer = GetVTKPointer<vtkSimpleImageFilterExample>(arg[0]);
  Array retval;
  vtkSimpleImageFilterExample  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSimpleImageFilterExample",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSimpleImageFilterExample:SafeDownCast vtkSimpleImageFilterExampleSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSimpleImageFilterExampleSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSimpleImageFilterExample *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSimpleImageFilterExample requires 2 argument(s)");
  vtkSimpleImageFilterExample* vtk_pointer = GetVTKPointer<vtkSimpleImageFilterExample>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSimpleImageFilterExample  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSimpleImageFilterExample",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSimpleImageFilterExample:display vtkSimpleImageFilterExampleDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSimpleImageFilterExampleDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSimpleImageFilterExample* vtk_pointer = GetVTKPointer<vtkSimpleImageFilterExample>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSimpleImageFilterExample:delete vtkSimpleImageFilterExampleDeleteFunction
//input varargin
//output none
ArrayVector vtkSimpleImageFilterExampleDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSimpleImageFilterExample
//@@Section VTKImaging
//@@Usage
// This is an example of a simple image-image filter. It copies it's input
// to it's output (point by point). It shows how templates can be used
// to support various data types.
// .SECTION See also
// vtkSimpleImageToImageFilter
//
//To create an instance of class vtkSimpleImageFilterExample, simply
//invoke its constructor as follows
//@[
//  obj = vtkSimpleImageFilterExample
//@]
//@@Methods
//The class vtkSimpleImageFilterExample has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSimpleImageFilterExample class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSimpleImageFilterExample = obj.NewInstance ()|
// \item @|vtkSimpleImageFilterExample = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
