#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSurfaceReconstructionFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSurfaceReconstructionFilter.h"

//@@Signature
//sfunction @vtkSurfaceReconstructionFilter:vtkSurfaceReconstructionFilter vtkSurfaceReconstructionFilterConstructorFunction
//input a
//output p
//@@Parents vtkSurfaceReconstructionFilter vtkImageAlgorithm 
ArrayVector vtkSurfaceReconstructionFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSurfaceReconstructionFilter::New(),"vtkSurfaceReconstructionFilter",eval);
  } else if (arg[0].className() == "vtkSurfaceReconstructionFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSurfaceReconstructionFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSurfaceReconstructionFilter");
    vtkSurfaceReconstructionFilter*q = reinterpret_cast<vtkSurfaceReconstructionFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSurfaceReconstructionFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSurfaceReconstructionFilter:GetClassName vtkSurfaceReconstructionFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSurfaceReconstructionFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSurfaceReconstructionFilter requires 1 argument(s)");
  vtkSurfaceReconstructionFilter* vtk_pointer = GetVTKPointer<vtkSurfaceReconstructionFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceReconstructionFilter:IsA vtkSurfaceReconstructionFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSurfaceReconstructionFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSurfaceReconstructionFilter requires 2 argument(s)");
  vtkSurfaceReconstructionFilter* vtk_pointer = GetVTKPointer<vtkSurfaceReconstructionFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceReconstructionFilter:NewInstance vtkSurfaceReconstructionFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSurfaceReconstructionFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSurfaceReconstructionFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSurfaceReconstructionFilter requires 1 argument(s)");
  vtkSurfaceReconstructionFilter* vtk_pointer = GetVTKPointer<vtkSurfaceReconstructionFilter>(arg[0]);
  Array retval;
  vtkSurfaceReconstructionFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSurfaceReconstructionFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceReconstructionFilter:SafeDownCast vtkSurfaceReconstructionFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSurfaceReconstructionFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSurfaceReconstructionFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSurfaceReconstructionFilter requires 2 argument(s)");
  vtkSurfaceReconstructionFilter* vtk_pointer = GetVTKPointer<vtkSurfaceReconstructionFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSurfaceReconstructionFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSurfaceReconstructionFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceReconstructionFilter:GetNeighborhoodSize vtkSurfaceReconstructionFilterGetNeighborhoodSizeFunction
//input a0 
//output y
ArrayVector vtkSurfaceReconstructionFilterGetNeighborhoodSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNeighborhoodSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNeighborhoodSize for class vtkSurfaceReconstructionFilter requires 1 argument(s)");
  vtkSurfaceReconstructionFilter* vtk_pointer = GetVTKPointer<vtkSurfaceReconstructionFilter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNeighborhoodSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceReconstructionFilter:SetNeighborhoodSize vtkSurfaceReconstructionFilterSetNeighborhoodSizeFunction
//input a0 a1 
//output none
ArrayVector vtkSurfaceReconstructionFilterSetNeighborhoodSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNeighborhoodSize (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNeighborhoodSize for class vtkSurfaceReconstructionFilter requires 2 argument(s)");
  vtkSurfaceReconstructionFilter* vtk_pointer = GetVTKPointer<vtkSurfaceReconstructionFilter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNeighborhoodSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceReconstructionFilter:GetSampleSpacing vtkSurfaceReconstructionFilterGetSampleSpacingFunction
//input a0 
//output y
ArrayVector vtkSurfaceReconstructionFilterGetSampleSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSampleSpacing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSampleSpacing for class vtkSurfaceReconstructionFilter requires 1 argument(s)");
  vtkSurfaceReconstructionFilter* vtk_pointer = GetVTKPointer<vtkSurfaceReconstructionFilter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSampleSpacing();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceReconstructionFilter:SetSampleSpacing vtkSurfaceReconstructionFilterSetSampleSpacingFunction
//input a0 a1 
//output none
ArrayVector vtkSurfaceReconstructionFilterSetSampleSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSampleSpacing (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSampleSpacing for class vtkSurfaceReconstructionFilter requires 2 argument(s)");
  vtkSurfaceReconstructionFilter* vtk_pointer = GetVTKPointer<vtkSurfaceReconstructionFilter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetSampleSpacing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSurfaceReconstructionFilter:display vtkSurfaceReconstructionFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSurfaceReconstructionFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSurfaceReconstructionFilter* vtk_pointer = GetVTKPointer<vtkSurfaceReconstructionFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSurfaceReconstructionFilter:delete vtkSurfaceReconstructionFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkSurfaceReconstructionFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSurfaceReconstructionFilter
//@@Section VTKImaging
//@@Usage
// vtkSurfaceReconstructionFilter takes a list of points assumed to lie on
// the surface of a solid 3D object. A signed measure of the distance to the
// surface is computed and sampled on a regular grid. The grid can then be
// contoured at zero to extract the surface. The default values for
// neighborhood size and sample spacing should give reasonable results for
// most uses but can be set if desired. This procedure is based on the PhD
// work of Hugues Hoppe: http://www.research.microsoft.com/~hoppe
//
//To create an instance of class vtkSurfaceReconstructionFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkSurfaceReconstructionFilter
//@]
//@@Methods
//The class vtkSurfaceReconstructionFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSurfaceReconstructionFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSurfaceReconstructionFilter = obj.NewInstance ()|
// \item @|vtkSurfaceReconstructionFilter = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetNeighborhoodSize ()| -  Specify the number of neighbors each point has, used for estimating the
// local surface orientation.  The default value of 20 should be OK for
// most applications, higher values can be specified if the spread of
// points is uneven. Values as low as 10 may yield adequate results for
// some surfaces. Higher values cause the algorithm to take longer. Higher
// values will cause errors on sharp boundaries.
//// \item @|obj.SetNeighborhoodSize (int )| -  Specify the number of neighbors each point has, used for estimating the
// local surface orientation.  The default value of 20 should be OK for
// most applications, higher values can be specified if the spread of
// points is uneven. Values as low as 10 may yield adequate results for
// some surfaces. Higher values cause the algorithm to take longer. Higher
// values will cause errors on sharp boundaries.
//// \item @|double = obj.GetSampleSpacing ()| -  Specify the spacing of the 3D sampling grid. If not set, a
// reasonable guess will be made.
//// \item @|obj.SetSampleSpacing (double )| -  Specify the spacing of the 3D sampling grid. If not set, a
// reasonable guess will be made.
////\end{itemize}
//!
