#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTriangularTexture object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTriangularTexture.h"

//@@Signature
//sfunction @vtkTriangularTexture:vtkTriangularTexture vtkTriangularTextureConstructorFunction
//input a
//output p
//@@Parents vtkTriangularTexture vtkImageAlgorithm 
ArrayVector vtkTriangularTextureConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTriangularTexture::New(),"vtkTriangularTexture",eval);
  } else if (arg[0].className() == "vtkTriangularTexture") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTriangularTexture"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTriangularTexture");
    vtkTriangularTexture*q = reinterpret_cast<vtkTriangularTexture*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTriangularTexture");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTriangularTexture:GetClassName vtkTriangularTextureGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTriangularTextureGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTriangularTexture requires 1 argument(s)");
  vtkTriangularTexture* vtk_pointer = GetVTKPointer<vtkTriangularTexture>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangularTexture:IsA vtkTriangularTextureIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTriangularTextureIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTriangularTexture requires 2 argument(s)");
  vtkTriangularTexture* vtk_pointer = GetVTKPointer<vtkTriangularTexture>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangularTexture:NewInstance vtkTriangularTextureNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTriangularTextureNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTriangularTexture *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTriangularTexture requires 1 argument(s)");
  vtkTriangularTexture* vtk_pointer = GetVTKPointer<vtkTriangularTexture>(arg[0]);
  Array retval;
  vtkTriangularTexture  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTriangularTexture",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTriangularTexture:SafeDownCast vtkTriangularTextureSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTriangularTextureSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTriangularTexture *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTriangularTexture requires 2 argument(s)");
  vtkTriangularTexture* vtk_pointer = GetVTKPointer<vtkTriangularTexture>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTriangularTexture  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTriangularTexture",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTriangularTexture:SetScaleFactor vtkTriangularTextureSetScaleFactorFunction
//input a0 a1 
//output none
ArrayVector vtkTriangularTextureSetScaleFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScaleFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScaleFactor for class vtkTriangularTexture requires 2 argument(s)");
  vtkTriangularTexture* vtk_pointer = GetVTKPointer<vtkTriangularTexture>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetScaleFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTriangularTexture:GetScaleFactor vtkTriangularTextureGetScaleFactorFunction
//input a0 
//output y
ArrayVector vtkTriangularTextureGetScaleFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetScaleFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScaleFactor for class vtkTriangularTexture requires 1 argument(s)");
  vtkTriangularTexture* vtk_pointer = GetVTKPointer<vtkTriangularTexture>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetScaleFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangularTexture:SetXSize vtkTriangularTextureSetXSizeFunction
//input a0 a1 
//output none
ArrayVector vtkTriangularTextureSetXSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXSize (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetXSize for class vtkTriangularTexture requires 2 argument(s)");
  vtkTriangularTexture* vtk_pointer = GetVTKPointer<vtkTriangularTexture>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetXSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTriangularTexture:GetXSize vtkTriangularTextureGetXSizeFunction
//input a0 
//output y
ArrayVector vtkTriangularTextureGetXSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetXSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXSize for class vtkTriangularTexture requires 1 argument(s)");
  vtkTriangularTexture* vtk_pointer = GetVTKPointer<vtkTriangularTexture>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetXSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangularTexture:SetYSize vtkTriangularTextureSetYSizeFunction
//input a0 a1 
//output none
ArrayVector vtkTriangularTextureSetYSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYSize (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetYSize for class vtkTriangularTexture requires 2 argument(s)");
  vtkTriangularTexture* vtk_pointer = GetVTKPointer<vtkTriangularTexture>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetYSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTriangularTexture:GetYSize vtkTriangularTextureGetYSizeFunction
//input a0 
//output y
ArrayVector vtkTriangularTextureGetYSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetYSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYSize for class vtkTriangularTexture requires 1 argument(s)");
  vtkTriangularTexture* vtk_pointer = GetVTKPointer<vtkTriangularTexture>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetYSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangularTexture:SetTexturePattern vtkTriangularTextureSetTexturePatternFunction
//input a0 a1 
//output none
ArrayVector vtkTriangularTextureSetTexturePatternFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTexturePattern (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTexturePattern for class vtkTriangularTexture requires 2 argument(s)");
  vtkTriangularTexture* vtk_pointer = GetVTKPointer<vtkTriangularTexture>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTexturePattern(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTriangularTexture:GetTexturePatternMinValue vtkTriangularTextureGetTexturePatternMinValueFunction
//input a0 
//output y
ArrayVector vtkTriangularTextureGetTexturePatternMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTexturePatternMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTexturePatternMinValue for class vtkTriangularTexture requires 1 argument(s)");
  vtkTriangularTexture* vtk_pointer = GetVTKPointer<vtkTriangularTexture>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTexturePatternMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangularTexture:GetTexturePatternMaxValue vtkTriangularTextureGetTexturePatternMaxValueFunction
//input a0 
//output y
ArrayVector vtkTriangularTextureGetTexturePatternMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTexturePatternMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTexturePatternMaxValue for class vtkTriangularTexture requires 1 argument(s)");
  vtkTriangularTexture* vtk_pointer = GetVTKPointer<vtkTriangularTexture>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTexturePatternMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangularTexture:GetTexturePattern vtkTriangularTextureGetTexturePatternFunction
//input a0 
//output y
ArrayVector vtkTriangularTextureGetTexturePatternFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTexturePattern (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTexturePattern for class vtkTriangularTexture requires 1 argument(s)");
  vtkTriangularTexture* vtk_pointer = GetVTKPointer<vtkTriangularTexture>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTexturePattern();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTriangularTexture:display vtkTriangularTextureDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTriangularTextureDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTriangularTexture* vtk_pointer = GetVTKPointer<vtkTriangularTexture>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTriangularTexture:delete vtkTriangularTextureDeleteFunction
//input varargin
//output none
ArrayVector vtkTriangularTextureDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTriangularTexture
//@@Section VTKImaging
//@@Usage
// vtkTriangularTexture is a filter that generates a 2D texture map based on 
// the paper "Opacity-modulating Triangular Textures for Irregular Surfaces,"
// by Penny Rheingans, IEEE Visualization '96, pp. 219-225.
// The textures assume texture coordinates of (0,0), (1.0) and
// (.5, sqrt(3)/2). The sequence of texture values is the same along each
// edge of the triangular texture map. So, the assignment order of texture
// coordinates is arbitrary.
//
//To create an instance of class vtkTriangularTexture, simply
//invoke its constructor as follows
//@[
//  obj = vtkTriangularTexture
//@]
//@@Methods
//The class vtkTriangularTexture has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTriangularTexture class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTriangularTexture = obj.NewInstance ()|
// \item @|vtkTriangularTexture = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetScaleFactor (double )| -  Set a Scale Factor.
//// \item @|double = obj.GetScaleFactor ()| -  Set a Scale Factor.
//// \item @|obj.SetXSize (int )| -  Set the X texture map dimension. Default is 64.
//// \item @|int = obj.GetXSize ()| -  Set the X texture map dimension. Default is 64.
//// \item @|obj.SetYSize (int )| -  Set the Y texture map dimension. Default is 64.
//// \item @|int = obj.GetYSize ()| -  Set the Y texture map dimension. Default is 64.
//// \item @|obj.SetTexturePattern (int )| -  Set the texture pattern.
//    1 = opaque at centroid (default)
//    2 = opaque at vertices
//    3 = opaque in rings around vertices
//// \item @|int = obj.GetTexturePatternMinValue ()| -  Set the texture pattern.
//    1 = opaque at centroid (default)
//    2 = opaque at vertices
//    3 = opaque in rings around vertices
//// \item @|int = obj.GetTexturePatternMaxValue ()| -  Set the texture pattern.
//    1 = opaque at centroid (default)
//    2 = opaque at vertices
//    3 = opaque in rings around vertices
//// \item @|int = obj.GetTexturePattern ()| -  Set the texture pattern.
//    1 = opaque at centroid (default)
//    2 = opaque at vertices
//    3 = opaque in rings around vertices
////\end{itemize}
//!
