#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVoxelModeller object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVoxelModeller.h"

//@@Signature
//sfunction @vtkVoxelModeller:vtkVoxelModeller vtkVoxelModellerConstructorFunction
//input a
//output p
//@@Parents vtkVoxelModeller vtkImageAlgorithm 
ArrayVector vtkVoxelModellerConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVoxelModeller::New(),"vtkVoxelModeller",eval);
  } else if (arg[0].className() == "vtkVoxelModeller") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVoxelModeller"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVoxelModeller");
    vtkVoxelModeller*q = reinterpret_cast<vtkVoxelModeller*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVoxelModeller");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVoxelModeller:GetClassName vtkVoxelModellerGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVoxelModellerGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVoxelModeller requires 1 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:IsA vtkVoxelModellerIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVoxelModellerIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVoxelModeller requires 2 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:NewInstance vtkVoxelModellerNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVoxelModellerNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVoxelModeller *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVoxelModeller requires 1 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  vtkVoxelModeller  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVoxelModeller",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:SafeDownCast vtkVoxelModellerSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVoxelModellerSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVoxelModeller *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVoxelModeller requires 2 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVoxelModeller  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVoxelModeller",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:ComputeModelBounds vtkVoxelModellerComputeModelBoundsFunction
//input a0 a1 a2 
//output y
ArrayVector vtkVoxelModellerComputeModelBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double ComputeModelBounds (double origin[3], double ar[3]); */
  if (arg.size() < 3) 
    throw Exception("Function ComputeModelBounds for class vtkVoxelModeller requires 3 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->ComputeModelBounds(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:SetSampleDimensions__1 vtkVoxelModellerSetSampleDimensions__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkVoxelModellerSetSampleDimensions__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSampleDimensions (int i, int j, int k); */
  if (arg.size() < 4) 
    throw Exception("Function SetSampleDimensions__1 for class vtkVoxelModeller requires 4 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetSampleDimensions(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:SetSampleDimensions__2 vtkVoxelModellerSetSampleDimensions__2Function
//input a0 a1 
//output none
ArrayVector vtkVoxelModellerSetSampleDimensions__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSampleDimensions (int dim[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSampleDimensions__2 for class vtkVoxelModeller requires 2 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetSampleDimensions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:GetSampleDimensions vtkVoxelModellerGetSampleDimensionsFunction
//input a0 
//output y
ArrayVector vtkVoxelModellerGetSampleDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetSampleDimensions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSampleDimensions for class vtkVoxelModeller requires 1 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetSampleDimensions();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:SetMaximumDistance vtkVoxelModellerSetMaximumDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkVoxelModellerSetMaximumDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumDistance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumDistance for class vtkVoxelModeller requires 2 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaximumDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:GetMaximumDistanceMinValue vtkVoxelModellerGetMaximumDistanceMinValueFunction
//input a0 
//output y
ArrayVector vtkVoxelModellerGetMaximumDistanceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumDistanceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumDistanceMinValue for class vtkVoxelModeller requires 1 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumDistanceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:GetMaximumDistanceMaxValue vtkVoxelModellerGetMaximumDistanceMaxValueFunction
//input a0 
//output y
ArrayVector vtkVoxelModellerGetMaximumDistanceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumDistanceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumDistanceMaxValue for class vtkVoxelModeller requires 1 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumDistanceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:GetMaximumDistance vtkVoxelModellerGetMaximumDistanceFunction
//input a0 
//output y
ArrayVector vtkVoxelModellerGetMaximumDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumDistance for class vtkVoxelModeller requires 1 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:SetModelBounds__1 vtkVoxelModellerSetModelBounds__1Function
//input a0 a1 
//output none
ArrayVector vtkVoxelModellerSetModelBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetModelBounds (double bounds[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetModelBounds__1 for class vtkVoxelModeller requires 2 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetModelBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:SetModelBounds__2 vtkVoxelModellerSetModelBounds__2Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkVoxelModellerSetModelBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetModelBounds (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax); */
  if (arg.size() < 7) 
    throw Exception("Function SetModelBounds__2 for class vtkVoxelModeller requires 7 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetModelBounds(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:GetModelBounds vtkVoxelModellerGetModelBoundsFunction
//input a0 
//output y
ArrayVector vtkVoxelModellerGetModelBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetModelBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetModelBounds for class vtkVoxelModeller requires 1 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetModelBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:SetScalarType vtkVoxelModellerSetScalarTypeFunction
//input a0 a1 
//output none
ArrayVector vtkVoxelModellerSetScalarTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarType for class vtkVoxelModeller requires 2 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScalarType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:SetScalarTypeToFloat vtkVoxelModellerSetScalarTypeToFloatFunction
//input a0 
//output none
ArrayVector vtkVoxelModellerSetScalarTypeToFloatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToFloat ();this SetScalarType VTK_FLOAT  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToFloat for class vtkVoxelModeller requires 1 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToFloat();
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:SetScalarTypeToDouble vtkVoxelModellerSetScalarTypeToDoubleFunction
//input a0 
//output none
ArrayVector vtkVoxelModellerSetScalarTypeToDoubleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToDouble ();this SetScalarType VTK_DOUBLE  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToDouble for class vtkVoxelModeller requires 1 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToDouble();
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:SetScalarTypeToInt vtkVoxelModellerSetScalarTypeToIntFunction
//input a0 
//output none
ArrayVector vtkVoxelModellerSetScalarTypeToIntFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToInt ();this SetScalarType VTK_INT  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToInt for class vtkVoxelModeller requires 1 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToInt();
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:SetScalarTypeToUnsignedInt vtkVoxelModellerSetScalarTypeToUnsignedIntFunction
//input a0 
//output none
ArrayVector vtkVoxelModellerSetScalarTypeToUnsignedIntFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToUnsignedInt ();this SetScalarType VTK_UNSIGNED_INT  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToUnsignedInt for class vtkVoxelModeller requires 1 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToUnsignedInt();
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:SetScalarTypeToLong vtkVoxelModellerSetScalarTypeToLongFunction
//input a0 
//output none
ArrayVector vtkVoxelModellerSetScalarTypeToLongFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToLong ();this SetScalarType VTK_LONG  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToLong for class vtkVoxelModeller requires 1 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToLong();
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:SetScalarTypeToUnsignedLong vtkVoxelModellerSetScalarTypeToUnsignedLongFunction
//input a0 
//output none
ArrayVector vtkVoxelModellerSetScalarTypeToUnsignedLongFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToUnsignedLong ();this SetScalarType VTK_UNSIGNED_LONG  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToUnsignedLong for class vtkVoxelModeller requires 1 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToUnsignedLong();
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:SetScalarTypeToShort vtkVoxelModellerSetScalarTypeToShortFunction
//input a0 
//output none
ArrayVector vtkVoxelModellerSetScalarTypeToShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToShort ();this SetScalarType VTK_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToShort for class vtkVoxelModeller requires 1 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToShort();
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:SetScalarTypeToUnsignedShort vtkVoxelModellerSetScalarTypeToUnsignedShortFunction
//input a0 
//output none
ArrayVector vtkVoxelModellerSetScalarTypeToUnsignedShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToUnsignedShort ();this SetScalarType VTK_UNSIGNED_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToUnsignedShort for class vtkVoxelModeller requires 1 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToUnsignedShort();
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:SetScalarTypeToUnsignedChar vtkVoxelModellerSetScalarTypeToUnsignedCharFunction
//input a0 
//output none
ArrayVector vtkVoxelModellerSetScalarTypeToUnsignedCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToUnsignedChar ();this SetScalarType VTK_UNSIGNED_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToUnsignedChar for class vtkVoxelModeller requires 1 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToUnsignedChar();
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:SetScalarTypeToChar vtkVoxelModellerSetScalarTypeToCharFunction
//input a0 
//output none
ArrayVector vtkVoxelModellerSetScalarTypeToCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToChar ();this SetScalarType VTK_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToChar for class vtkVoxelModeller requires 1 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToChar();
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:SetScalarTypeToBit vtkVoxelModellerSetScalarTypeToBitFunction
//input a0 
//output none
ArrayVector vtkVoxelModellerSetScalarTypeToBitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToBit ();this SetScalarType VTK_BIT  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToBit for class vtkVoxelModeller requires 1 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToBit();
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:GetScalarType vtkVoxelModellerGetScalarTypeFunction
//input a0 
//output y
ArrayVector vtkVoxelModellerGetScalarTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarType for class vtkVoxelModeller requires 1 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScalarType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:SetForegroundValue vtkVoxelModellerSetForegroundValueFunction
//input a0 a1 
//output none
ArrayVector vtkVoxelModellerSetForegroundValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetForegroundValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetForegroundValue for class vtkVoxelModeller requires 2 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetForegroundValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:GetForegroundValue vtkVoxelModellerGetForegroundValueFunction
//input a0 
//output y
ArrayVector vtkVoxelModellerGetForegroundValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetForegroundValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetForegroundValue for class vtkVoxelModeller requires 1 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetForegroundValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:SetBackgroundValue vtkVoxelModellerSetBackgroundValueFunction
//input a0 a1 
//output none
ArrayVector vtkVoxelModellerSetBackgroundValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBackgroundValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBackgroundValue for class vtkVoxelModeller requires 2 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetBackgroundValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:GetBackgroundValue vtkVoxelModellerGetBackgroundValueFunction
//input a0 
//output y
ArrayVector vtkVoxelModellerGetBackgroundValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetBackgroundValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBackgroundValue for class vtkVoxelModeller requires 1 argument(s)");
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetBackgroundValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVoxelModeller:SetSampleDimensions vtkVoxelModellerSetSampleDimensionsFunction
//input varargin
//output varargout
ArrayVector vtkVoxelModellerSetSampleDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkVoxelModellerSetSampleDimensions__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkVoxelModellerSetSampleDimensions__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVoxelModellerSetSampleDimensions");
}

//@@Signature
//sfunction @vtkVoxelModeller:SetModelBounds vtkVoxelModellerSetModelBoundsFunction
//input varargin
//output varargout
ArrayVector vtkVoxelModellerSetModelBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkVoxelModellerSetModelBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkVoxelModellerSetModelBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVoxelModellerSetModelBounds");
}

//@@Signature
//sfunction @vtkVoxelModeller:display vtkVoxelModellerDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVoxelModellerDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVoxelModeller* vtk_pointer = GetVTKPointer<vtkVoxelModeller>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVoxelModeller:delete vtkVoxelModellerDeleteFunction
//input varargin
//output none
ArrayVector vtkVoxelModellerDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVoxelModeller
//@@Section VTKImaging
//@@Usage
// vtkVoxelModeller is a filter that converts an arbitrary data set to a
// structured point (i.e., voxel) representation. It is very similar to 
// vtkImplicitModeller, except that it doesn't record distance; instead it
// records occupancy. By default it supports a compact output of 0/1
// VTK_BIT. Other vtk scalar types can be specified. The Foreground and
// Background values of the output can also be specified.
// NOTE: Not all vtk filters/readers/writers support the VTK_BIT
// scalar type. You may want to use VTK_CHAR as an alternative.
//
//To create an instance of class vtkVoxelModeller, simply
//invoke its constructor as follows
//@[
//  obj = vtkVoxelModeller
//@]
//@@Methods
//The class vtkVoxelModeller has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVoxelModeller class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVoxelModeller = obj.NewInstance ()|
// \item @|vtkVoxelModeller = obj.SafeDownCast (vtkObject o)|
// \item @|double = obj.ComputeModelBounds (double origin[3], double ar[3])| -  Compute the ModelBounds based on the input geometry.
//// \item @|obj.SetSampleDimensions (int i, int j, int k)| -  Set the i-j-k dimensions on which to sample the distance function.
// Default is (50, 50, 50)
//// \item @|obj.SetSampleDimensions (int dim[3])| -  Set the i-j-k dimensions on which to sample the distance function.
// Default is (50, 50, 50)
//// \item @|int = obj. GetSampleDimensions ()| -  Set the i-j-k dimensions on which to sample the distance function.
// Default is (50, 50, 50)
//// \item @|obj.SetMaximumDistance (double )| -  Specify distance away from surface of input geometry to sample. Smaller
// values make large increases in performance. Default is 1.0.
//// \item @|double = obj.GetMaximumDistanceMinValue ()| -  Specify distance away from surface of input geometry to sample. Smaller
// values make large increases in performance. Default is 1.0.
//// \item @|double = obj.GetMaximumDistanceMaxValue ()| -  Specify distance away from surface of input geometry to sample. Smaller
// values make large increases in performance. Default is 1.0.
//// \item @|double = obj.GetMaximumDistance ()| -  Specify distance away from surface of input geometry to sample. Smaller
// values make large increases in performance. Default is 1.0.
//// \item @|obj.SetModelBounds (double bounds[6])| -  Specify the position in space to perform the voxelization.
// Default is (0, 0, 0, 0, 0, 0)
//// \item @|obj.SetModelBounds (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax)| -  Specify the position in space to perform the voxelization.
// Default is (0, 0, 0, 0, 0, 0)
//// \item @|double = obj. GetModelBounds ()| -  Specify the position in space to perform the voxelization.
// Default is (0, 0, 0, 0, 0, 0)
//// \item @|obj.SetScalarType (int )| -  Control the scalar type of the output image. The default is
// VTK_BIT.
// NOTE: Not all filters/readers/writers support the VTK_BIT
// scalar type. You may want to use VTK_CHAR as an alternative.
//// \item @|obj.SetScalarTypeToFloat ()| -  Control the scalar type of the output image. The default is
// VTK_BIT.
// NOTE: Not all filters/readers/writers support the VTK_BIT
// scalar type. You may want to use VTK_CHAR as an alternative.
//// \item @|obj.SetScalarTypeToDouble ()| -  Control the scalar type of the output image. The default is
// VTK_BIT.
// NOTE: Not all filters/readers/writers support the VTK_BIT
// scalar type. You may want to use VTK_CHAR as an alternative.
//// \item @|obj.SetScalarTypeToInt ()| -  Control the scalar type of the output image. The default is
// VTK_BIT.
// NOTE: Not all filters/readers/writers support the VTK_BIT
// scalar type. You may want to use VTK_CHAR as an alternative.
//// \item @|obj.SetScalarTypeToUnsignedInt ()| -  Control the scalar type of the output image. The default is
// VTK_BIT.
// NOTE: Not all filters/readers/writers support the VTK_BIT
// scalar type. You may want to use VTK_CHAR as an alternative.
//// \item @|obj.SetScalarTypeToLong ()| -  Control the scalar type of the output image. The default is
// VTK_BIT.
// NOTE: Not all filters/readers/writers support the VTK_BIT
// scalar type. You may want to use VTK_CHAR as an alternative.
//// \item @|obj.SetScalarTypeToUnsignedLong ()| -  Control the scalar type of the output image. The default is
// VTK_BIT.
// NOTE: Not all filters/readers/writers support the VTK_BIT
// scalar type. You may want to use VTK_CHAR as an alternative.
//// \item @|obj.SetScalarTypeToShort ()| -  Control the scalar type of the output image. The default is
// VTK_BIT.
// NOTE: Not all filters/readers/writers support the VTK_BIT
// scalar type. You may want to use VTK_CHAR as an alternative.
//// \item @|obj.SetScalarTypeToUnsignedShort ()| -  Control the scalar type of the output image. The default is
// VTK_BIT.
// NOTE: Not all filters/readers/writers support the VTK_BIT
// scalar type. You may want to use VTK_CHAR as an alternative.
//// \item @|obj.SetScalarTypeToUnsignedChar ()| -  Control the scalar type of the output image. The default is
// VTK_BIT.
// NOTE: Not all filters/readers/writers support the VTK_BIT
// scalar type. You may want to use VTK_CHAR as an alternative.
//// \item @|obj.SetScalarTypeToChar ()| -  Control the scalar type of the output image. The default is
// VTK_BIT.
// NOTE: Not all filters/readers/writers support the VTK_BIT
// scalar type. You may want to use VTK_CHAR as an alternative.
//// \item @|obj.SetScalarTypeToBit ()| -  Control the scalar type of the output image. The default is
// VTK_BIT.
// NOTE: Not all filters/readers/writers support the VTK_BIT
// scalar type. You may want to use VTK_CHAR as an alternative.
//// \item @|int = obj.GetScalarType ()| -  Control the scalar type of the output image. The default is
// VTK_BIT.
// NOTE: Not all filters/readers/writers support the VTK_BIT
// scalar type. You may want to use VTK_CHAR as an alternative.
//// \item @|obj.SetForegroundValue (double )| -  Set the Foreground/Background values of the output. The
// Foreground value is set when a voxel is occupied. The Background
// value is set when a voxel is not occupied.
// The default ForegroundValue is 1. The default BackgroundValue is
// 0.
//// \item @|double = obj.GetForegroundValue ()| -  Set the Foreground/Background values of the output. The
// Foreground value is set when a voxel is occupied. The Background
// value is set when a voxel is not occupied.
// The default ForegroundValue is 1. The default BackgroundValue is
// 0.
//// \item @|obj.SetBackgroundValue (double )| -  Set the Foreground/Background values of the output. The
// Foreground value is set when a voxel is occupied. The Background
// value is set when a voxel is not occupied.
// The default ForegroundValue is 1. The default BackgroundValue is
// 0.
//// \item @|double = obj.GetBackgroundValue ()| -  Set the Foreground/Background values of the output. The
// Foreground value is set when a voxel is occupied. The Background
// value is set when a voxel is not occupied.
// The default ForegroundValue is 1. The default BackgroundValue is
// 0.
////\end{itemize}
//!
