#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAddMembershipArray object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAddMembershipArray.h"

//@@Signature
//sfunction @vtkAddMembershipArray:vtkAddMembershipArray vtkAddMembershipArrayConstructorFunction
//input a
//output p
//@@Parents vtkAddMembershipArray vtkPassInputTypeAlgorithm 
ArrayVector vtkAddMembershipArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAddMembershipArray::New(),"vtkAddMembershipArray",eval);
  } else if (arg[0].className() == "vtkAddMembershipArray") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAddMembershipArray"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAddMembershipArray");
    vtkAddMembershipArray*q = reinterpret_cast<vtkAddMembershipArray*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAddMembershipArray");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAddMembershipArray:GetClassName vtkAddMembershipArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAddMembershipArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAddMembershipArray requires 1 argument(s)");
  vtkAddMembershipArray* vtk_pointer = GetVTKPointer<vtkAddMembershipArray>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAddMembershipArray:IsA vtkAddMembershipArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAddMembershipArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAddMembershipArray requires 2 argument(s)");
  vtkAddMembershipArray* vtk_pointer = GetVTKPointer<vtkAddMembershipArray>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAddMembershipArray:NewInstance vtkAddMembershipArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAddMembershipArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAddMembershipArray *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAddMembershipArray requires 1 argument(s)");
  vtkAddMembershipArray* vtk_pointer = GetVTKPointer<vtkAddMembershipArray>(arg[0]);
  Array retval;
  vtkAddMembershipArray  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAddMembershipArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAddMembershipArray:SafeDownCast vtkAddMembershipArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAddMembershipArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAddMembershipArray *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAddMembershipArray requires 2 argument(s)");
  vtkAddMembershipArray* vtk_pointer = GetVTKPointer<vtkAddMembershipArray>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAddMembershipArray  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAddMembershipArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAddMembershipArray:GetFieldType vtkAddMembershipArrayGetFieldTypeFunction
//input a0 
//output y
ArrayVector vtkAddMembershipArrayGetFieldTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFieldType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFieldType for class vtkAddMembershipArray requires 1 argument(s)");
  vtkAddMembershipArray* vtk_pointer = GetVTKPointer<vtkAddMembershipArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFieldType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAddMembershipArray:SetFieldType vtkAddMembershipArraySetFieldTypeFunction
//input a0 a1 
//output none
ArrayVector vtkAddMembershipArraySetFieldTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFieldType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFieldType for class vtkAddMembershipArray requires 2 argument(s)");
  vtkAddMembershipArray* vtk_pointer = GetVTKPointer<vtkAddMembershipArray>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFieldType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAddMembershipArray:GetFieldTypeMinValue vtkAddMembershipArrayGetFieldTypeMinValueFunction
//input a0 
//output y
ArrayVector vtkAddMembershipArrayGetFieldTypeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFieldTypeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFieldTypeMinValue for class vtkAddMembershipArray requires 1 argument(s)");
  vtkAddMembershipArray* vtk_pointer = GetVTKPointer<vtkAddMembershipArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFieldTypeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAddMembershipArray:GetFieldTypeMaxValue vtkAddMembershipArrayGetFieldTypeMaxValueFunction
//input a0 
//output y
ArrayVector vtkAddMembershipArrayGetFieldTypeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFieldTypeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFieldTypeMaxValue for class vtkAddMembershipArray requires 1 argument(s)");
  vtkAddMembershipArray* vtk_pointer = GetVTKPointer<vtkAddMembershipArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFieldTypeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAddMembershipArray:SetOutputArrayName vtkAddMembershipArraySetOutputArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkAddMembershipArraySetOutputArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputArrayName for class vtkAddMembershipArray requires 2 argument(s)");
  vtkAddMembershipArray* vtk_pointer = GetVTKPointer<vtkAddMembershipArray>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetOutputArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAddMembershipArray:GetOutputArrayName vtkAddMembershipArrayGetOutputArrayNameFunction
//input a0 
//output y
ArrayVector vtkAddMembershipArrayGetOutputArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetOutputArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputArrayName for class vtkAddMembershipArray requires 1 argument(s)");
  vtkAddMembershipArray* vtk_pointer = GetVTKPointer<vtkAddMembershipArray>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetOutputArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAddMembershipArray:SetInputArrayName vtkAddMembershipArraySetInputArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkAddMembershipArraySetInputArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInputArrayName for class vtkAddMembershipArray requires 2 argument(s)");
  vtkAddMembershipArray* vtk_pointer = GetVTKPointer<vtkAddMembershipArray>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetInputArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAddMembershipArray:GetInputArrayName vtkAddMembershipArrayGetInputArrayNameFunction
//input a0 
//output y
ArrayVector vtkAddMembershipArrayGetInputArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetInputArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInputArrayName for class vtkAddMembershipArray requires 1 argument(s)");
  vtkAddMembershipArray* vtk_pointer = GetVTKPointer<vtkAddMembershipArray>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetInputArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAddMembershipArray:SetInputValues vtkAddMembershipArraySetInputValuesFunction
//input a0 a1 
//output none
ArrayVector vtkAddMembershipArraySetInputValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputValues (vtkAbstractArray *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInputValues for class vtkAddMembershipArray requires 2 argument(s)");
  vtkAddMembershipArray* vtk_pointer = GetVTKPointer<vtkAddMembershipArray>(arg[0]);
  Array retval;
  vtkAbstractArray  *temp0;
  temp0 = GetVTKPointer<vtkAbstractArray>(arg[1]);
  vtk_pointer->SetInputValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAddMembershipArray:GetInputValues vtkAddMembershipArrayGetInputValuesFunction
//input a0 
//output y
ArrayVector vtkAddMembershipArrayGetInputValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractArray *GetInputValues (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInputValues for class vtkAddMembershipArray requires 1 argument(s)");
  vtkAddMembershipArray* vtk_pointer = GetVTKPointer<vtkAddMembershipArray>(arg[0]);
  Array retval;
  vtkAbstractArray  *temp20;
  temp20 = (vtk_pointer)->GetInputValues();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAddMembershipArray:display vtkAddMembershipArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAddMembershipArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAddMembershipArray* vtk_pointer = GetVTKPointer<vtkAddMembershipArray>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAddMembershipArray:delete vtkAddMembershipArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkAddMembershipArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAddMembershipArray
//@@Section VTKInfovis
//@@Usage
// This filter takes an input selection, vtkDataSetAttribute
// information, and data object and adds a bit array to the output 
// vtkDataSetAttributes indicating whether each index was selected or not.
//
//To create an instance of class vtkAddMembershipArray, simply
//invoke its constructor as follows
//@[
//  obj = vtkAddMembershipArray
//@]
//@@Methods
//The class vtkAddMembershipArray has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAddMembershipArray class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAddMembershipArray = obj.NewInstance ()|
// \item @|vtkAddMembershipArray = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetFieldType ()| -  The field type to add the membership array to.
//// \item @|obj.SetFieldType (int )| -  The field type to add the membership array to.
//// \item @|int = obj.GetFieldTypeMinValue ()| -  The field type to add the membership array to.
//// \item @|int = obj.GetFieldTypeMaxValue ()| -  The field type to add the membership array to.
//// \item @|obj.SetOutputArrayName (string )| -  The name of the array added to the output vtkDataSetAttributes 
// indicating membership. Defaults to "membership".
//// \item @|string = obj.GetOutputArrayName ()| -  The name of the array added to the output vtkDataSetAttributes 
// indicating membership. Defaults to "membership".
//// \item @|obj.SetInputArrayName (string )|
// \item @|string = obj.GetInputArrayName ()|
// \item @|obj.SetInputValues (vtkAbstractArray )|
// \item @|vtkAbstractArray = obj.GetInputValues ()|
//\end{itemize}
//!
