#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAdjacencyMatrixToEdgeTable object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAdjacencyMatrixToEdgeTable.h"

//@@Signature
//sfunction @vtkAdjacencyMatrixToEdgeTable:vtkAdjacencyMatrixToEdgeTable vtkAdjacencyMatrixToEdgeTableConstructorFunction
//input a
//output p
//@@Parents vtkAdjacencyMatrixToEdgeTable vtkTableAlgorithm 
ArrayVector vtkAdjacencyMatrixToEdgeTableConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAdjacencyMatrixToEdgeTable::New(),"vtkAdjacencyMatrixToEdgeTable",eval);
  } else if (arg[0].className() == "vtkAdjacencyMatrixToEdgeTable") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAdjacencyMatrixToEdgeTable"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAdjacencyMatrixToEdgeTable");
    vtkAdjacencyMatrixToEdgeTable*q = reinterpret_cast<vtkAdjacencyMatrixToEdgeTable*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAdjacencyMatrixToEdgeTable");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAdjacencyMatrixToEdgeTable:GetClassName vtkAdjacencyMatrixToEdgeTableGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAdjacencyMatrixToEdgeTableGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAdjacencyMatrixToEdgeTable requires 1 argument(s)");
  vtkAdjacencyMatrixToEdgeTable* vtk_pointer = GetVTKPointer<vtkAdjacencyMatrixToEdgeTable>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAdjacencyMatrixToEdgeTable:IsA vtkAdjacencyMatrixToEdgeTableIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAdjacencyMatrixToEdgeTableIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAdjacencyMatrixToEdgeTable requires 2 argument(s)");
  vtkAdjacencyMatrixToEdgeTable* vtk_pointer = GetVTKPointer<vtkAdjacencyMatrixToEdgeTable>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAdjacencyMatrixToEdgeTable:NewInstance vtkAdjacencyMatrixToEdgeTableNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAdjacencyMatrixToEdgeTableNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAdjacencyMatrixToEdgeTable *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAdjacencyMatrixToEdgeTable requires 1 argument(s)");
  vtkAdjacencyMatrixToEdgeTable* vtk_pointer = GetVTKPointer<vtkAdjacencyMatrixToEdgeTable>(arg[0]);
  Array retval;
  vtkAdjacencyMatrixToEdgeTable  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAdjacencyMatrixToEdgeTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAdjacencyMatrixToEdgeTable:SafeDownCast vtkAdjacencyMatrixToEdgeTableSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAdjacencyMatrixToEdgeTableSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAdjacencyMatrixToEdgeTable *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAdjacencyMatrixToEdgeTable requires 2 argument(s)");
  vtkAdjacencyMatrixToEdgeTable* vtk_pointer = GetVTKPointer<vtkAdjacencyMatrixToEdgeTable>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAdjacencyMatrixToEdgeTable  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAdjacencyMatrixToEdgeTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAdjacencyMatrixToEdgeTable:GetSourceDimension vtkAdjacencyMatrixToEdgeTableGetSourceDimensionFunction
//input a0 
//output y
ArrayVector vtkAdjacencyMatrixToEdgeTableGetSourceDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetSourceDimension (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSourceDimension for class vtkAdjacencyMatrixToEdgeTable requires 1 argument(s)");
  vtkAdjacencyMatrixToEdgeTable* vtk_pointer = GetVTKPointer<vtkAdjacencyMatrixToEdgeTable>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetSourceDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAdjacencyMatrixToEdgeTable:SetSourceDimension vtkAdjacencyMatrixToEdgeTableSetSourceDimensionFunction
//input a0 a1 
//output none
ArrayVector vtkAdjacencyMatrixToEdgeTableSetSourceDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSourceDimension (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSourceDimension for class vtkAdjacencyMatrixToEdgeTable requires 2 argument(s)");
  vtkAdjacencyMatrixToEdgeTable* vtk_pointer = GetVTKPointer<vtkAdjacencyMatrixToEdgeTable>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSourceDimension(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAdjacencyMatrixToEdgeTable:GetValueArrayName vtkAdjacencyMatrixToEdgeTableGetValueArrayNameFunction
//input a0 
//output y
ArrayVector vtkAdjacencyMatrixToEdgeTableGetValueArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetValueArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetValueArrayName for class vtkAdjacencyMatrixToEdgeTable requires 1 argument(s)");
  vtkAdjacencyMatrixToEdgeTable* vtk_pointer = GetVTKPointer<vtkAdjacencyMatrixToEdgeTable>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetValueArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAdjacencyMatrixToEdgeTable:SetValueArrayName vtkAdjacencyMatrixToEdgeTableSetValueArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkAdjacencyMatrixToEdgeTableSetValueArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValueArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetValueArrayName for class vtkAdjacencyMatrixToEdgeTable requires 2 argument(s)");
  vtkAdjacencyMatrixToEdgeTable* vtk_pointer = GetVTKPointer<vtkAdjacencyMatrixToEdgeTable>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetValueArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAdjacencyMatrixToEdgeTable:GetMinimumCount vtkAdjacencyMatrixToEdgeTableGetMinimumCountFunction
//input a0 
//output y
ArrayVector vtkAdjacencyMatrixToEdgeTableGetMinimumCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetMinimumCount (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumCount for class vtkAdjacencyMatrixToEdgeTable requires 1 argument(s)");
  vtkAdjacencyMatrixToEdgeTable* vtk_pointer = GetVTKPointer<vtkAdjacencyMatrixToEdgeTable>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetMinimumCount();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAdjacencyMatrixToEdgeTable:SetMinimumCount vtkAdjacencyMatrixToEdgeTableSetMinimumCountFunction
//input a0 a1 
//output none
ArrayVector vtkAdjacencyMatrixToEdgeTableSetMinimumCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimumCount (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinimumCount for class vtkAdjacencyMatrixToEdgeTable requires 2 argument(s)");
  vtkAdjacencyMatrixToEdgeTable* vtk_pointer = GetVTKPointer<vtkAdjacencyMatrixToEdgeTable>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMinimumCount(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAdjacencyMatrixToEdgeTable:GetMinimumThreshold vtkAdjacencyMatrixToEdgeTableGetMinimumThresholdFunction
//input a0 
//output y
ArrayVector vtkAdjacencyMatrixToEdgeTableGetMinimumThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinimumThreshold (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumThreshold for class vtkAdjacencyMatrixToEdgeTable requires 1 argument(s)");
  vtkAdjacencyMatrixToEdgeTable* vtk_pointer = GetVTKPointer<vtkAdjacencyMatrixToEdgeTable>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinimumThreshold();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAdjacencyMatrixToEdgeTable:SetMinimumThreshold vtkAdjacencyMatrixToEdgeTableSetMinimumThresholdFunction
//input a0 a1 
//output none
ArrayVector vtkAdjacencyMatrixToEdgeTableSetMinimumThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimumThreshold (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinimumThreshold for class vtkAdjacencyMatrixToEdgeTable requires 2 argument(s)");
  vtkAdjacencyMatrixToEdgeTable* vtk_pointer = GetVTKPointer<vtkAdjacencyMatrixToEdgeTable>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMinimumThreshold(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAdjacencyMatrixToEdgeTable:display vtkAdjacencyMatrixToEdgeTableDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAdjacencyMatrixToEdgeTableDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAdjacencyMatrixToEdgeTable* vtk_pointer = GetVTKPointer<vtkAdjacencyMatrixToEdgeTable>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAdjacencyMatrixToEdgeTable:delete vtkAdjacencyMatrixToEdgeTableDeleteFunction
//input varargin
//output none
ArrayVector vtkAdjacencyMatrixToEdgeTableDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAdjacencyMatrixToEdgeTable
//@@Section VTKInfovis
//@@Usage
// Treats a dense 2-way array of doubles as an adacency matrix and converts it into a
// vtkTable suitable for use as an edge table with vtkTableToGraph.
//
//To create an instance of class vtkAdjacencyMatrixToEdgeTable, simply
//invoke its constructor as follows
//@[
//  obj = vtkAdjacencyMatrixToEdgeTable
//@]
//@@Methods
//The class vtkAdjacencyMatrixToEdgeTable has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAdjacencyMatrixToEdgeTable class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAdjacencyMatrixToEdgeTable = obj.NewInstance ()|
// \item @|vtkAdjacencyMatrixToEdgeTable = obj.SafeDownCast (vtkObject o)|
// \item @|vtkIdType = obj.GetSourceDimension ()| -  Specifies whether rows or columns become the "source" in the output edge table.
// 0 = rows, 1 = columns.  Default: 0
//// \item @|obj.SetSourceDimension (vtkIdType )| -  Specifies whether rows or columns become the "source" in the output edge table.
// 0 = rows, 1 = columns.  Default: 0
//// \item @|string = obj.GetValueArrayName ()| -  Controls the name of the output table column that contains edge weights.
// Default: "value"
//// \item @|obj.SetValueArrayName (string )| -  Controls the name of the output table column that contains edge weights.
// Default: "value"
//// \item @|vtkIdType = obj.GetMinimumCount ()| -  Specifies the minimum number of adjacent edges to include for each source vertex.
// Default: 0
//// \item @|obj.SetMinimumCount (vtkIdType )| -  Specifies the minimum number of adjacent edges to include for each source vertex.
// Default: 0
//// \item @|double = obj.GetMinimumThreshold ()| -  Specifies a minimum threshold that an edge weight must exceed to be included in
// the output.
// Default: 0.5
//// \item @|obj.SetMinimumThreshold (double )| -  Specifies a minimum threshold that an edge weight must exceed to be included in
// the output.
// Default: 0.5
////\end{itemize}
//!
