#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAppendPoints object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAppendPoints.h"

//@@Signature
//sfunction @vtkAppendPoints:vtkAppendPoints vtkAppendPointsConstructorFunction
//input a
//output p
//@@Parents vtkAppendPoints vtkPolyDataAlgorithm 
ArrayVector vtkAppendPointsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAppendPoints::New(),"vtkAppendPoints",eval);
  } else if (arg[0].className() == "vtkAppendPoints") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAppendPoints"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAppendPoints");
    vtkAppendPoints*q = reinterpret_cast<vtkAppendPoints*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAppendPoints");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAppendPoints:GetClassName vtkAppendPointsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAppendPointsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAppendPoints requires 1 argument(s)");
  vtkAppendPoints* vtk_pointer = GetVTKPointer<vtkAppendPoints>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAppendPoints:IsA vtkAppendPointsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAppendPointsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAppendPoints requires 2 argument(s)");
  vtkAppendPoints* vtk_pointer = GetVTKPointer<vtkAppendPoints>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAppendPoints:NewInstance vtkAppendPointsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAppendPointsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAppendPoints *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAppendPoints requires 1 argument(s)");
  vtkAppendPoints* vtk_pointer = GetVTKPointer<vtkAppendPoints>(arg[0]);
  Array retval;
  vtkAppendPoints  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAppendPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAppendPoints:SafeDownCast vtkAppendPointsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAppendPointsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAppendPoints *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAppendPoints requires 2 argument(s)");
  vtkAppendPoints* vtk_pointer = GetVTKPointer<vtkAppendPoints>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAppendPoints  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAppendPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAppendPoints:SetInputIdArrayName vtkAppendPointsSetInputIdArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkAppendPointsSetInputIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputIdArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInputIdArrayName for class vtkAppendPoints requires 2 argument(s)");
  vtkAppendPoints* vtk_pointer = GetVTKPointer<vtkAppendPoints>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetInputIdArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAppendPoints:GetInputIdArrayName vtkAppendPointsGetInputIdArrayNameFunction
//input a0 
//output y
ArrayVector vtkAppendPointsGetInputIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetInputIdArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInputIdArrayName for class vtkAppendPoints requires 1 argument(s)");
  vtkAppendPoints* vtk_pointer = GetVTKPointer<vtkAppendPoints>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetInputIdArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAppendPoints:display vtkAppendPointsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAppendPointsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAppendPoints* vtk_pointer = GetVTKPointer<vtkAppendPoints>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAppendPoints:delete vtkAppendPointsDeleteFunction
//input varargin
//output none
ArrayVector vtkAppendPointsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAppendPoints
//@@Section VTKInfovis
//@@Usage
// vtkAppendPoints is a filter that appends the points and assoicated data
// of one or more polygonal (vtkPolyData) datasets. This filter can optionally 
// add a new array marking the input index that the point came from.
//
//To create an instance of class vtkAppendPoints, simply
//invoke its constructor as follows
//@[
//  obj = vtkAppendPoints
//@]
//@@Methods
//The class vtkAppendPoints has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAppendPoints class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAppendPoints = obj.NewInstance ()|
// \item @|vtkAppendPoints = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInputIdArrayName (string )| -  Sets the output array name to fill with the input connection index
// for each point. This provides a way to trace a point back to a
// particular input. If this is NULL (the default), the array is not generated.
//// \item @|string = obj.GetInputIdArrayName ()| -  Sets the output array name to fill with the input connection index
// for each point. This provides a way to trace a point back to a
// particular input. If this is NULL (the default), the array is not generated.
////\end{itemize}
//!
