#include "VTKWrap.hpp"

// FreeMat wrapper for vtkApplyColors object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkApplyColors.h"

//@@Signature
//sfunction @vtkApplyColors:vtkApplyColors vtkApplyColorsConstructorFunction
//input a
//output p
//@@Parents vtkApplyColors vtkPassInputTypeAlgorithm 
ArrayVector vtkApplyColorsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkApplyColors::New(),"vtkApplyColors",eval);
  } else if (arg[0].className() == "vtkApplyColors") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkApplyColors"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkApplyColors");
    vtkApplyColors*q = reinterpret_cast<vtkApplyColors*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkApplyColors");
    return ret;
  }
}
//@@Signature
//sfunction @vtkApplyColors:GetClassName vtkApplyColorsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkApplyColorsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkApplyColors requires 1 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:IsA vtkApplyColorsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkApplyColorsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkApplyColors requires 2 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:NewInstance vtkApplyColorsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkApplyColorsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkApplyColors *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkApplyColors requires 1 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  vtkApplyColors  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkApplyColors",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:SafeDownCast vtkApplyColorsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkApplyColorsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkApplyColors *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkApplyColors requires 2 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkApplyColors  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkApplyColors",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:SetPointLookupTable vtkApplyColorsSetPointLookupTableFunction
//input a0 a1 
//output none
ArrayVector vtkApplyColorsSetPointLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetPointLookupTable (vtkScalarsToColors *lut); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointLookupTable for class vtkApplyColors requires 2 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  vtkScalarsToColors  *temp0;
  temp0 = GetVTKPointer<vtkScalarsToColors>(arg[1]);
  vtk_pointer->SetPointLookupTable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:GetPointLookupTable vtkApplyColorsGetPointLookupTableFunction
//input a0 
//output y
ArrayVector vtkApplyColorsGetPointLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScalarsToColors *GetPointLookupTable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointLookupTable for class vtkApplyColors requires 1 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  vtkScalarsToColors  *temp20;
  temp20 = (vtk_pointer)->GetPointLookupTable();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScalarsToColors",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:SetUsePointLookupTable vtkApplyColorsSetUsePointLookupTableFunction
//input a0 a1 
//output none
ArrayVector vtkApplyColorsSetUsePointLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUsePointLookupTable (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUsePointLookupTable for class vtkApplyColors requires 2 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetUsePointLookupTable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:GetUsePointLookupTable vtkApplyColorsGetUsePointLookupTableFunction
//input a0 
//output y
ArrayVector vtkApplyColorsGetUsePointLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetUsePointLookupTable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUsePointLookupTable for class vtkApplyColors requires 1 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetUsePointLookupTable();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:UsePointLookupTableOn vtkApplyColorsUsePointLookupTableOnFunction
//input a0 
//output none
ArrayVector vtkApplyColorsUsePointLookupTableOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UsePointLookupTableOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UsePointLookupTableOn for class vtkApplyColors requires 1 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  vtk_pointer->UsePointLookupTableOn();
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:UsePointLookupTableOff vtkApplyColorsUsePointLookupTableOffFunction
//input a0 
//output none
ArrayVector vtkApplyColorsUsePointLookupTableOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UsePointLookupTableOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UsePointLookupTableOff for class vtkApplyColors requires 1 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  vtk_pointer->UsePointLookupTableOff();
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:SetScalePointLookupTable vtkApplyColorsSetScalePointLookupTableFunction
//input a0 a1 
//output none
ArrayVector vtkApplyColorsSetScalePointLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalePointLookupTable (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalePointLookupTable for class vtkApplyColors requires 2 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetScalePointLookupTable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:GetScalePointLookupTable vtkApplyColorsGetScalePointLookupTableFunction
//input a0 
//output y
ArrayVector vtkApplyColorsGetScalePointLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetScalePointLookupTable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalePointLookupTable for class vtkApplyColors requires 1 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetScalePointLookupTable();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:ScalePointLookupTableOn vtkApplyColorsScalePointLookupTableOnFunction
//input a0 
//output none
ArrayVector vtkApplyColorsScalePointLookupTableOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScalePointLookupTableOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ScalePointLookupTableOn for class vtkApplyColors requires 1 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  vtk_pointer->ScalePointLookupTableOn();
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:ScalePointLookupTableOff vtkApplyColorsScalePointLookupTableOffFunction
//input a0 
//output none
ArrayVector vtkApplyColorsScalePointLookupTableOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScalePointLookupTableOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ScalePointLookupTableOff for class vtkApplyColors requires 1 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  vtk_pointer->ScalePointLookupTableOff();
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:SetDefaultPointColor__1 vtkApplyColorsSetDefaultPointColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkApplyColorsSetDefaultPointColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDefaultPointColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetDefaultPointColor__1 for class vtkApplyColors requires 4 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetDefaultPointColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:SetDefaultPointColor__2 vtkApplyColorsSetDefaultPointColor__2Function
//input a0 a1 
//output none
ArrayVector vtkApplyColorsSetDefaultPointColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDefaultPointColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDefaultPointColor__2 for class vtkApplyColors requires 2 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetDefaultPointColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:GetDefaultPointColor vtkApplyColorsGetDefaultPointColorFunction
//input a0 
//output y
ArrayVector vtkApplyColorsGetDefaultPointColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetDefaultPointColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultPointColor for class vtkApplyColors requires 1 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetDefaultPointColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:SetDefaultPointOpacity vtkApplyColorsSetDefaultPointOpacityFunction
//input a0 a1 
//output none
ArrayVector vtkApplyColorsSetDefaultPointOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDefaultPointOpacity (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDefaultPointOpacity for class vtkApplyColors requires 2 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDefaultPointOpacity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:GetDefaultPointOpacity vtkApplyColorsGetDefaultPointOpacityFunction
//input a0 
//output y
ArrayVector vtkApplyColorsGetDefaultPointOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDefaultPointOpacity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultPointOpacity for class vtkApplyColors requires 1 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDefaultPointOpacity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:SetSelectedPointColor__1 vtkApplyColorsSetSelectedPointColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkApplyColorsSetSelectedPointColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectedPointColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetSelectedPointColor__1 for class vtkApplyColors requires 4 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetSelectedPointColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:SetSelectedPointColor__2 vtkApplyColorsSetSelectedPointColor__2Function
//input a0 a1 
//output none
ArrayVector vtkApplyColorsSetSelectedPointColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectedPointColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectedPointColor__2 for class vtkApplyColors requires 2 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetSelectedPointColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:GetSelectedPointColor vtkApplyColorsGetSelectedPointColorFunction
//input a0 
//output y
ArrayVector vtkApplyColorsGetSelectedPointColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetSelectedPointColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedPointColor for class vtkApplyColors requires 1 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetSelectedPointColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:SetSelectedPointOpacity vtkApplyColorsSetSelectedPointOpacityFunction
//input a0 a1 
//output none
ArrayVector vtkApplyColorsSetSelectedPointOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectedPointOpacity (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectedPointOpacity for class vtkApplyColors requires 2 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetSelectedPointOpacity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:GetSelectedPointOpacity vtkApplyColorsGetSelectedPointOpacityFunction
//input a0 
//output y
ArrayVector vtkApplyColorsGetSelectedPointOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSelectedPointOpacity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedPointOpacity for class vtkApplyColors requires 1 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSelectedPointOpacity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:SetPointColorOutputArrayName vtkApplyColorsSetPointColorOutputArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkApplyColorsSetPointColorOutputArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointColorOutputArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetPointColorOutputArrayName for class vtkApplyColors requires 2 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetPointColorOutputArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:GetPointColorOutputArrayName vtkApplyColorsGetPointColorOutputArrayNameFunction
//input a0 
//output y
ArrayVector vtkApplyColorsGetPointColorOutputArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetPointColorOutputArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointColorOutputArrayName for class vtkApplyColors requires 1 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetPointColorOutputArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:SetCellLookupTable vtkApplyColorsSetCellLookupTableFunction
//input a0 a1 
//output none
ArrayVector vtkApplyColorsSetCellLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCellLookupTable (vtkScalarsToColors *lut); */
  if (arg.size() < 2) 
    throw Exception("Function SetCellLookupTable for class vtkApplyColors requires 2 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  vtkScalarsToColors  *temp0;
  temp0 = GetVTKPointer<vtkScalarsToColors>(arg[1]);
  vtk_pointer->SetCellLookupTable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:GetCellLookupTable vtkApplyColorsGetCellLookupTableFunction
//input a0 
//output y
ArrayVector vtkApplyColorsGetCellLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScalarsToColors *GetCellLookupTable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellLookupTable for class vtkApplyColors requires 1 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  vtkScalarsToColors  *temp20;
  temp20 = (vtk_pointer)->GetCellLookupTable();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScalarsToColors",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:SetUseCellLookupTable vtkApplyColorsSetUseCellLookupTableFunction
//input a0 a1 
//output none
ArrayVector vtkApplyColorsSetUseCellLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseCellLookupTable (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseCellLookupTable for class vtkApplyColors requires 2 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetUseCellLookupTable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:GetUseCellLookupTable vtkApplyColorsGetUseCellLookupTableFunction
//input a0 
//output y
ArrayVector vtkApplyColorsGetUseCellLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetUseCellLookupTable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseCellLookupTable for class vtkApplyColors requires 1 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetUseCellLookupTable();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:UseCellLookupTableOn vtkApplyColorsUseCellLookupTableOnFunction
//input a0 
//output none
ArrayVector vtkApplyColorsUseCellLookupTableOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseCellLookupTableOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseCellLookupTableOn for class vtkApplyColors requires 1 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  vtk_pointer->UseCellLookupTableOn();
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:UseCellLookupTableOff vtkApplyColorsUseCellLookupTableOffFunction
//input a0 
//output none
ArrayVector vtkApplyColorsUseCellLookupTableOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseCellLookupTableOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseCellLookupTableOff for class vtkApplyColors requires 1 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  vtk_pointer->UseCellLookupTableOff();
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:SetScaleCellLookupTable vtkApplyColorsSetScaleCellLookupTableFunction
//input a0 a1 
//output none
ArrayVector vtkApplyColorsSetScaleCellLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScaleCellLookupTable (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScaleCellLookupTable for class vtkApplyColors requires 2 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetScaleCellLookupTable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:GetScaleCellLookupTable vtkApplyColorsGetScaleCellLookupTableFunction
//input a0 
//output y
ArrayVector vtkApplyColorsGetScaleCellLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetScaleCellLookupTable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScaleCellLookupTable for class vtkApplyColors requires 1 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetScaleCellLookupTable();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:ScaleCellLookupTableOn vtkApplyColorsScaleCellLookupTableOnFunction
//input a0 
//output none
ArrayVector vtkApplyColorsScaleCellLookupTableOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScaleCellLookupTableOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ScaleCellLookupTableOn for class vtkApplyColors requires 1 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  vtk_pointer->ScaleCellLookupTableOn();
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:ScaleCellLookupTableOff vtkApplyColorsScaleCellLookupTableOffFunction
//input a0 
//output none
ArrayVector vtkApplyColorsScaleCellLookupTableOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScaleCellLookupTableOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ScaleCellLookupTableOff for class vtkApplyColors requires 1 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  vtk_pointer->ScaleCellLookupTableOff();
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:SetDefaultCellColor__1 vtkApplyColorsSetDefaultCellColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkApplyColorsSetDefaultCellColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDefaultCellColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetDefaultCellColor__1 for class vtkApplyColors requires 4 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetDefaultCellColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:SetDefaultCellColor__2 vtkApplyColorsSetDefaultCellColor__2Function
//input a0 a1 
//output none
ArrayVector vtkApplyColorsSetDefaultCellColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDefaultCellColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDefaultCellColor__2 for class vtkApplyColors requires 2 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetDefaultCellColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:GetDefaultCellColor vtkApplyColorsGetDefaultCellColorFunction
//input a0 
//output y
ArrayVector vtkApplyColorsGetDefaultCellColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetDefaultCellColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultCellColor for class vtkApplyColors requires 1 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetDefaultCellColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:SetDefaultCellOpacity vtkApplyColorsSetDefaultCellOpacityFunction
//input a0 a1 
//output none
ArrayVector vtkApplyColorsSetDefaultCellOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDefaultCellOpacity (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDefaultCellOpacity for class vtkApplyColors requires 2 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDefaultCellOpacity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:GetDefaultCellOpacity vtkApplyColorsGetDefaultCellOpacityFunction
//input a0 
//output y
ArrayVector vtkApplyColorsGetDefaultCellOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDefaultCellOpacity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultCellOpacity for class vtkApplyColors requires 1 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDefaultCellOpacity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:SetSelectedCellColor__1 vtkApplyColorsSetSelectedCellColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkApplyColorsSetSelectedCellColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectedCellColor (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetSelectedCellColor__1 for class vtkApplyColors requires 4 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetSelectedCellColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:SetSelectedCellColor__2 vtkApplyColorsSetSelectedCellColor__2Function
//input a0 a1 
//output none
ArrayVector vtkApplyColorsSetSelectedCellColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectedCellColor (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectedCellColor__2 for class vtkApplyColors requires 2 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetSelectedCellColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:GetSelectedCellColor vtkApplyColorsGetSelectedCellColorFunction
//input a0 
//output y
ArrayVector vtkApplyColorsGetSelectedCellColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetSelectedCellColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedCellColor for class vtkApplyColors requires 1 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetSelectedCellColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:SetSelectedCellOpacity vtkApplyColorsSetSelectedCellOpacityFunction
//input a0 a1 
//output none
ArrayVector vtkApplyColorsSetSelectedCellOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectedCellOpacity (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectedCellOpacity for class vtkApplyColors requires 2 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetSelectedCellOpacity(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:GetSelectedCellOpacity vtkApplyColorsGetSelectedCellOpacityFunction
//input a0 
//output y
ArrayVector vtkApplyColorsGetSelectedCellOpacityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSelectedCellOpacity (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedCellOpacity for class vtkApplyColors requires 1 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSelectedCellOpacity();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:SetCellColorOutputArrayName vtkApplyColorsSetCellColorOutputArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkApplyColorsSetCellColorOutputArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellColorOutputArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetCellColorOutputArrayName for class vtkApplyColors requires 2 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetCellColorOutputArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:GetCellColorOutputArrayName vtkApplyColorsGetCellColorOutputArrayNameFunction
//input a0 
//output y
ArrayVector vtkApplyColorsGetCellColorOutputArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetCellColorOutputArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellColorOutputArrayName for class vtkApplyColors requires 1 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetCellColorOutputArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:SetUseCurrentAnnotationColor vtkApplyColorsSetUseCurrentAnnotationColorFunction
//input a0 a1 
//output none
ArrayVector vtkApplyColorsSetUseCurrentAnnotationColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseCurrentAnnotationColor (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseCurrentAnnotationColor for class vtkApplyColors requires 2 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetUseCurrentAnnotationColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:GetUseCurrentAnnotationColor vtkApplyColorsGetUseCurrentAnnotationColorFunction
//input a0 
//output y
ArrayVector vtkApplyColorsGetUseCurrentAnnotationColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetUseCurrentAnnotationColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseCurrentAnnotationColor for class vtkApplyColors requires 1 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetUseCurrentAnnotationColor();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:UseCurrentAnnotationColorOn vtkApplyColorsUseCurrentAnnotationColorOnFunction
//input a0 
//output none
ArrayVector vtkApplyColorsUseCurrentAnnotationColorOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseCurrentAnnotationColorOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseCurrentAnnotationColorOn for class vtkApplyColors requires 1 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  vtk_pointer->UseCurrentAnnotationColorOn();
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:UseCurrentAnnotationColorOff vtkApplyColorsUseCurrentAnnotationColorOffFunction
//input a0 
//output none
ArrayVector vtkApplyColorsUseCurrentAnnotationColorOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseCurrentAnnotationColorOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseCurrentAnnotationColorOff for class vtkApplyColors requires 1 argument(s)");
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  Array retval;
  vtk_pointer->UseCurrentAnnotationColorOff();
  return retval;
}

//@@Signature
//sfunction @vtkApplyColors:SetDefaultPointColor vtkApplyColorsSetDefaultPointColorFunction
//input varargin
//output varargout
ArrayVector vtkApplyColorsSetDefaultPointColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkApplyColorsSetDefaultPointColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkApplyColorsSetDefaultPointColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkApplyColorsSetDefaultPointColor");
}

//@@Signature
//sfunction @vtkApplyColors:SetSelectedPointColor vtkApplyColorsSetSelectedPointColorFunction
//input varargin
//output varargout
ArrayVector vtkApplyColorsSetSelectedPointColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkApplyColorsSetSelectedPointColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkApplyColorsSetSelectedPointColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkApplyColorsSetSelectedPointColor");
}

//@@Signature
//sfunction @vtkApplyColors:SetDefaultCellColor vtkApplyColorsSetDefaultCellColorFunction
//input varargin
//output varargout
ArrayVector vtkApplyColorsSetDefaultCellColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkApplyColorsSetDefaultCellColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkApplyColorsSetDefaultCellColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkApplyColorsSetDefaultCellColor");
}

//@@Signature
//sfunction @vtkApplyColors:SetSelectedCellColor vtkApplyColorsSetSelectedCellColorFunction
//input varargin
//output varargout
ArrayVector vtkApplyColorsSetSelectedCellColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkApplyColorsSetSelectedCellColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkApplyColorsSetSelectedCellColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkApplyColorsSetSelectedCellColor");
}

//@@Signature
//sfunction @vtkApplyColors:display vtkApplyColorsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkApplyColorsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkApplyColors* vtk_pointer = GetVTKPointer<vtkApplyColors>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkApplyColors:delete vtkApplyColorsDeleteFunction
//input varargin
//output none
ArrayVector vtkApplyColorsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkApplyColors
//@@Section VTKInfovis
//@@Usage
// vtkApplyColors performs a coloring of the dataset using default colors,
// lookup tables, annotations, and/or a selection. The output is a
// four-component vtkUnsignedCharArray containing RGBA tuples for each
// element in the dataset. The first input is the dataset to be colored, which
// may be a vtkTable, vtkGraph subclass, or vtkDataSet subclass. The API
// of this algorithm refers to "points" and "cells". For vtkGraph, the
// "points" refer to the graph vertices and "cells" refer to graph edges.
// For vtkTable, "points" refer to table rows. For vtkDataSet subclasses, the
// meaning is obvious.
//
// The second (optional) input is a vtkAnnotationLayers object, which stores
// a list of annotation layers, with each layer holding a list of
// vtkAnnotation objects. The annotation specifies a subset of data along with
// other properties, including color. For annotations with color properties,
// this algorithm will use the color to color elements, using a "top one wins"
// strategy.
//
// The third (optional) input is a vtkSelection object, meant for specifying
// the current selection. You can control the color of the selection.
//
// The algorithm takes two input arrays, specified with
// SetInputArrayToProcess(0, 0, 0, vtkDataObject::FIELD_ASSOCIATION_POINTS, name)
// and
// SetInputArrayToProcess(1, 0, 0, vtkDataObject::FIELD_ASSOCIATION_CELLS, name).
// These set the point and cell data arrays to use to color the data with
// the associated lookup table. For vtkGraph, vtkTable inputs, you would use
// FIELD_ASSOCIATION_VERTICES, FIELD_ASSOCIATION_EDGES, or
// FIELD_ASSOCIATION_ROWS as appropriate.
//
// To use the color array generated here, you should do the following:
//
//  mapper->SetScalarModeToUseCellFieldData();
//  mapper->SelectColorArray("vtkApplyColors color");
//  mapper->SetScalarVisibility(true);
//
// Colors are assigned with the following priorities:
// <ol>
// <li> If an item is part of the selection, it is colored with that color.
// <li> Otherwise, if the item is part of an annotation, it is colored
//      with the color of the final (top) annotation in the set of layers.
// <li> Otherwise, if the lookup table is used, it is colored using the
//      lookup table color for the data value of the element.
// <li> Otherwise it will be colored with the default color.
// </ol>
//
// Note: The opacity of an unselected item is defined by the multiplication
// of default opacity, lookup table opacity, and annotation opacity, where
// opacity is taken as a number from 0 to 1. So items will never be more opaque
// than any of these three opacities. Selected items are always given the
// selection opacity directly.
//
//To create an instance of class vtkApplyColors, simply
//invoke its constructor as follows
//@[
//  obj = vtkApplyColors
//@]
//@@Methods
//The class vtkApplyColors has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkApplyColors class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkApplyColors = obj.NewInstance ()|
// \item @|vtkApplyColors = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPointLookupTable (vtkScalarsToColors lut)| -  The lookup table to use for point colors. This is only used if
// input array 0 is set and UsePointLookupTable is on.
//// \item @|vtkScalarsToColors = obj.GetPointLookupTable ()| -  The lookup table to use for point colors. This is only used if
// input array 0 is set and UsePointLookupTable is on.
//// \item @|obj.SetUsePointLookupTable (bool )| -  If on, uses the point lookup table to set the colors of unannotated,
// unselected elements of the data.
//// \item @|bool = obj.GetUsePointLookupTable ()| -  If on, uses the point lookup table to set the colors of unannotated,
// unselected elements of the data.
//// \item @|obj.UsePointLookupTableOn ()| -  If on, uses the point lookup table to set the colors of unannotated,
// unselected elements of the data.
//// \item @|obj.UsePointLookupTableOff ()| -  If on, uses the point lookup table to set the colors of unannotated,
// unselected elements of the data.
//// \item @|obj.SetScalePointLookupTable (bool )| -  If on, uses the range of the data to scale the lookup table range.
// Otherwise, uses the range defined in the lookup table.
//// \item @|bool = obj.GetScalePointLookupTable ()| -  If on, uses the range of the data to scale the lookup table range.
// Otherwise, uses the range defined in the lookup table.
//// \item @|obj.ScalePointLookupTableOn ()| -  If on, uses the range of the data to scale the lookup table range.
// Otherwise, uses the range defined in the lookup table.
//// \item @|obj.ScalePointLookupTableOff ()| -  If on, uses the range of the data to scale the lookup table range.
// Otherwise, uses the range defined in the lookup table.
//// \item @|obj.SetDefaultPointColor (double , double , double )| -  The default point color for all unannotated, unselected elements
// of the data. This is used if UsePointLookupTable is off.
//// \item @|obj.SetDefaultPointColor (double  a[3])| -  The default point color for all unannotated, unselected elements
// of the data. This is used if UsePointLookupTable is off.
//// \item @|double = obj. GetDefaultPointColor ()| -  The default point color for all unannotated, unselected elements
// of the data. This is used if UsePointLookupTable is off.
//// \item @|obj.SetDefaultPointOpacity (double )| -  The default point opacity for all unannotated, unselected elements
// of the data. This is used if UsePointLookupTable is off.
//// \item @|double = obj.GetDefaultPointOpacity ()| -  The default point opacity for all unannotated, unselected elements
// of the data. This is used if UsePointLookupTable is off.
//// \item @|obj.SetSelectedPointColor (double , double , double )| -  The point color for all selected elements of the data.
// This is used if the selection input is available.
//// \item @|obj.SetSelectedPointColor (double  a[3])| -  The point color for all selected elements of the data.
// This is used if the selection input is available.
//// \item @|double = obj. GetSelectedPointColor ()| -  The point color for all selected elements of the data.
// This is used if the selection input is available.
//// \item @|obj.SetSelectedPointOpacity (double )| -  The point opacity for all selected elements of the data.
// This is used if the selection input is available.
//// \item @|double = obj.GetSelectedPointOpacity ()| -  The point opacity for all selected elements of the data.
// This is used if the selection input is available.
//// \item @|obj.SetPointColorOutputArrayName (string )| -  The output array name for the point color RGBA array.
// Default is "vtkApplyColors color".
//// \item @|string = obj.GetPointColorOutputArrayName ()| -  The output array name for the point color RGBA array.
// Default is "vtkApplyColors color".
//// \item @|obj.SetCellLookupTable (vtkScalarsToColors lut)| -  The lookup table to use for cell colors. This is only used if
// input array 1 is set and UseCellLookupTable is on.
//// \item @|vtkScalarsToColors = obj.GetCellLookupTable ()| -  The lookup table to use for cell colors. This is only used if
// input array 1 is set and UseCellLookupTable is on.
//// \item @|obj.SetUseCellLookupTable (bool )| -  If on, uses the cell lookup table to set the colors of unannotated,
// unselected elements of the data.
//// \item @|bool = obj.GetUseCellLookupTable ()| -  If on, uses the cell lookup table to set the colors of unannotated,
// unselected elements of the data.
//// \item @|obj.UseCellLookupTableOn ()| -  If on, uses the cell lookup table to set the colors of unannotated,
// unselected elements of the data.
//// \item @|obj.UseCellLookupTableOff ()| -  If on, uses the cell lookup table to set the colors of unannotated,
// unselected elements of the data.
//// \item @|obj.SetScaleCellLookupTable (bool )| -  If on, uses the range of the data to scale the lookup table range.
// Otherwise, uses the range defined in the lookup table.
//// \item @|bool = obj.GetScaleCellLookupTable ()| -  If on, uses the range of the data to scale the lookup table range.
// Otherwise, uses the range defined in the lookup table.
//// \item @|obj.ScaleCellLookupTableOn ()| -  If on, uses the range of the data to scale the lookup table range.
// Otherwise, uses the range defined in the lookup table.
//// \item @|obj.ScaleCellLookupTableOff ()| -  If on, uses the range of the data to scale the lookup table range.
// Otherwise, uses the range defined in the lookup table.
//// \item @|obj.SetDefaultCellColor (double , double , double )| -  The default cell color for all unannotated, unselected elements
// of the data. This is used if UseCellLookupTable is off.
//// \item @|obj.SetDefaultCellColor (double  a[3])| -  The default cell color for all unannotated, unselected elements
// of the data. This is used if UseCellLookupTable is off.
//// \item @|double = obj. GetDefaultCellColor ()| -  The default cell color for all unannotated, unselected elements
// of the data. This is used if UseCellLookupTable is off.
//// \item @|obj.SetDefaultCellOpacity (double )| -  The default cell opacity for all unannotated, unselected elements
// of the data. This is used if UseCellLookupTable is off.
//// \item @|double = obj.GetDefaultCellOpacity ()| -  The default cell opacity for all unannotated, unselected elements
// of the data. This is used if UseCellLookupTable is off.
//// \item @|obj.SetSelectedCellColor (double , double , double )| -  The cell color for all selected elements of the data.
// This is used if the selection input is available.
//// \item @|obj.SetSelectedCellColor (double  a[3])| -  The cell color for all selected elements of the data.
// This is used if the selection input is available.
//// \item @|double = obj. GetSelectedCellColor ()| -  The cell color for all selected elements of the data.
// This is used if the selection input is available.
//// \item @|obj.SetSelectedCellOpacity (double )| -  The cell opacity for all selected elements of the data.
// This is used if the selection input is available.
//// \item @|double = obj.GetSelectedCellOpacity ()| -  The cell opacity for all selected elements of the data.
// This is used if the selection input is available.
//// \item @|obj.SetCellColorOutputArrayName (string )| -  The output array name for the cell color RGBA array.
// Default is "vtkApplyColors color".
//// \item @|string = obj.GetCellColorOutputArrayName ()| -  The output array name for the cell color RGBA array.
// Default is "vtkApplyColors color".
//// \item @|obj.SetUseCurrentAnnotationColor (bool )| -  Use the annotation to color the current annotation
// (i.e. the current selection). Otherwise use the selection
// color attributes of this filter.
//// \item @|bool = obj.GetUseCurrentAnnotationColor ()| -  Use the annotation to color the current annotation
// (i.e. the current selection). Otherwise use the selection
// color attributes of this filter.
//// \item @|obj.UseCurrentAnnotationColorOn ()| -  Use the annotation to color the current annotation
// (i.e. the current selection). Otherwise use the selection
// color attributes of this filter.
//// \item @|obj.UseCurrentAnnotationColorOff ()| -  Use the annotation to color the current annotation
// (i.e. the current selection). Otherwise use the selection
// color attributes of this filter.
////\end{itemize}
//!
