#include "VTKWrap.hpp"

// FreeMat wrapper for vtkApplyIcons object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkApplyIcons.h"

//@@Signature
//sfunction @vtkApplyIcons:vtkApplyIcons vtkApplyIconsConstructorFunction
//input a
//output p
//@@Parents vtkApplyIcons vtkPassInputTypeAlgorithm 
ArrayVector vtkApplyIconsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkApplyIcons::New(),"vtkApplyIcons",eval);
  } else if (arg[0].className() == "vtkApplyIcons") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkApplyIcons"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkApplyIcons");
    vtkApplyIcons*q = reinterpret_cast<vtkApplyIcons*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkApplyIcons");
    return ret;
  }
}
//@@Signature
//sfunction @vtkApplyIcons:GetClassName vtkApplyIconsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkApplyIconsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkApplyIcons requires 1 argument(s)");
  vtkApplyIcons* vtk_pointer = GetVTKPointer<vtkApplyIcons>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkApplyIcons:IsA vtkApplyIconsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkApplyIconsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkApplyIcons requires 2 argument(s)");
  vtkApplyIcons* vtk_pointer = GetVTKPointer<vtkApplyIcons>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkApplyIcons:NewInstance vtkApplyIconsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkApplyIconsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkApplyIcons *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkApplyIcons requires 1 argument(s)");
  vtkApplyIcons* vtk_pointer = GetVTKPointer<vtkApplyIcons>(arg[0]);
  Array retval;
  vtkApplyIcons  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkApplyIcons",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkApplyIcons:SafeDownCast vtkApplyIconsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkApplyIconsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkApplyIcons *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkApplyIcons requires 2 argument(s)");
  vtkApplyIcons* vtk_pointer = GetVTKPointer<vtkApplyIcons>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkApplyIcons  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkApplyIcons",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkApplyIcons:SetIconType__1 vtkApplyIconsSetIconType__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkApplyIconsSetIconType__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIconType (double v, int icon);this SetIconType vtkVariant v icon  */
  if (arg.size() < 3) 
    throw Exception("Function SetIconType__1 for class vtkApplyIcons requires 3 argument(s)");
  vtkApplyIcons* vtk_pointer = GetVTKPointer<vtkApplyIcons>(arg[0]);
  Array retval;
  double   temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetIconType(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkApplyIcons:SetIconType__2 vtkApplyIconsSetIconType__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkApplyIconsSetIconType__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIconType (const char *v, int icon);this SetIconType vtkVariant v icon  */
  if (arg.size() < 3) 
    throw Exception("Function SetIconType__2 for class vtkApplyIcons requires 3 argument(s)");
  vtkApplyIcons* vtk_pointer = GetVTKPointer<vtkApplyIcons>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetIconType(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkApplyIcons:ClearAllIconTypes vtkApplyIconsClearAllIconTypesFunction
//input a0 
//output none
ArrayVector vtkApplyIconsClearAllIconTypesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClearAllIconTypes (); */
  if (arg.size() < 1) 
    throw Exception("Function ClearAllIconTypes for class vtkApplyIcons requires 1 argument(s)");
  vtkApplyIcons* vtk_pointer = GetVTKPointer<vtkApplyIcons>(arg[0]);
  Array retval;
  vtk_pointer->ClearAllIconTypes();
  return retval;
}

//@@Signature
//sfunction @vtkApplyIcons:SetUseLookupTable vtkApplyIconsSetUseLookupTableFunction
//input a0 a1 
//output none
ArrayVector vtkApplyIconsSetUseLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseLookupTable (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseLookupTable for class vtkApplyIcons requires 2 argument(s)");
  vtkApplyIcons* vtk_pointer = GetVTKPointer<vtkApplyIcons>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetUseLookupTable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkApplyIcons:GetUseLookupTable vtkApplyIconsGetUseLookupTableFunction
//input a0 
//output y
ArrayVector vtkApplyIconsGetUseLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetUseLookupTable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseLookupTable for class vtkApplyIcons requires 1 argument(s)");
  vtkApplyIcons* vtk_pointer = GetVTKPointer<vtkApplyIcons>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetUseLookupTable();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkApplyIcons:UseLookupTableOn vtkApplyIconsUseLookupTableOnFunction
//input a0 
//output none
ArrayVector vtkApplyIconsUseLookupTableOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseLookupTableOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseLookupTableOn for class vtkApplyIcons requires 1 argument(s)");
  vtkApplyIcons* vtk_pointer = GetVTKPointer<vtkApplyIcons>(arg[0]);
  Array retval;
  vtk_pointer->UseLookupTableOn();
  return retval;
}

//@@Signature
//sfunction @vtkApplyIcons:UseLookupTableOff vtkApplyIconsUseLookupTableOffFunction
//input a0 
//output none
ArrayVector vtkApplyIconsUseLookupTableOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseLookupTableOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseLookupTableOff for class vtkApplyIcons requires 1 argument(s)");
  vtkApplyIcons* vtk_pointer = GetVTKPointer<vtkApplyIcons>(arg[0]);
  Array retval;
  vtk_pointer->UseLookupTableOff();
  return retval;
}

//@@Signature
//sfunction @vtkApplyIcons:SetDefaultIcon vtkApplyIconsSetDefaultIconFunction
//input a0 a1 
//output none
ArrayVector vtkApplyIconsSetDefaultIconFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDefaultIcon (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDefaultIcon for class vtkApplyIcons requires 2 argument(s)");
  vtkApplyIcons* vtk_pointer = GetVTKPointer<vtkApplyIcons>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDefaultIcon(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkApplyIcons:GetDefaultIcon vtkApplyIconsGetDefaultIconFunction
//input a0 
//output y
ArrayVector vtkApplyIconsGetDefaultIconFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDefaultIcon (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultIcon for class vtkApplyIcons requires 1 argument(s)");
  vtkApplyIcons* vtk_pointer = GetVTKPointer<vtkApplyIcons>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDefaultIcon();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkApplyIcons:SetSelectedIcon vtkApplyIconsSetSelectedIconFunction
//input a0 a1 
//output none
ArrayVector vtkApplyIconsSetSelectedIconFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectedIcon (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectedIcon for class vtkApplyIcons requires 2 argument(s)");
  vtkApplyIcons* vtk_pointer = GetVTKPointer<vtkApplyIcons>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSelectedIcon(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkApplyIcons:GetSelectedIcon vtkApplyIconsGetSelectedIconFunction
//input a0 
//output y
ArrayVector vtkApplyIconsGetSelectedIconFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSelectedIcon (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectedIcon for class vtkApplyIcons requires 1 argument(s)");
  vtkApplyIcons* vtk_pointer = GetVTKPointer<vtkApplyIcons>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSelectedIcon();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkApplyIcons:SetIconOutputArrayName vtkApplyIconsSetIconOutputArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkApplyIconsSetIconOutputArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIconOutputArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetIconOutputArrayName for class vtkApplyIcons requires 2 argument(s)");
  vtkApplyIcons* vtk_pointer = GetVTKPointer<vtkApplyIcons>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetIconOutputArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkApplyIcons:GetIconOutputArrayName vtkApplyIconsGetIconOutputArrayNameFunction
//input a0 
//output y
ArrayVector vtkApplyIconsGetIconOutputArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetIconOutputArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIconOutputArrayName for class vtkApplyIcons requires 1 argument(s)");
  vtkApplyIcons* vtk_pointer = GetVTKPointer<vtkApplyIcons>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetIconOutputArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkApplyIcons:SetSelectionMode vtkApplyIconsSetSelectionModeFunction
//input a0 a1 
//output none
ArrayVector vtkApplyIconsSetSelectionModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectionMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectionMode for class vtkApplyIcons requires 2 argument(s)");
  vtkApplyIcons* vtk_pointer = GetVTKPointer<vtkApplyIcons>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSelectionMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkApplyIcons:GetSelectionMode vtkApplyIconsGetSelectionModeFunction
//input a0 
//output y
ArrayVector vtkApplyIconsGetSelectionModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSelectionMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSelectionMode for class vtkApplyIcons requires 1 argument(s)");
  vtkApplyIcons* vtk_pointer = GetVTKPointer<vtkApplyIcons>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSelectionMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkApplyIcons:SetSelectionModeToSelectedIcon vtkApplyIconsSetSelectionModeToSelectedIconFunction
//input a0 
//output none
ArrayVector vtkApplyIconsSetSelectionModeToSelectedIconFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSelectionModeToSelectedIcon ();this SetSelectionMode SELECTED_ICON  */
  if (arg.size() < 1) 
    throw Exception("Function SetSelectionModeToSelectedIcon for class vtkApplyIcons requires 1 argument(s)");
  vtkApplyIcons* vtk_pointer = GetVTKPointer<vtkApplyIcons>(arg[0]);
  Array retval;
  vtk_pointer->SetSelectionModeToSelectedIcon();
  return retval;
}

//@@Signature
//sfunction @vtkApplyIcons:SetSelectionModeToSelectedOffset vtkApplyIconsSetSelectionModeToSelectedOffsetFunction
//input a0 
//output none
ArrayVector vtkApplyIconsSetSelectionModeToSelectedOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSelectionModeToSelectedOffset ();this SetSelectionMode SELECTED_OFFSET  */
  if (arg.size() < 1) 
    throw Exception("Function SetSelectionModeToSelectedOffset for class vtkApplyIcons requires 1 argument(s)");
  vtkApplyIcons* vtk_pointer = GetVTKPointer<vtkApplyIcons>(arg[0]);
  Array retval;
  vtk_pointer->SetSelectionModeToSelectedOffset();
  return retval;
}

//@@Signature
//sfunction @vtkApplyIcons:SetSelectionModeToAnnotationIcon vtkApplyIconsSetSelectionModeToAnnotationIconFunction
//input a0 
//output none
ArrayVector vtkApplyIconsSetSelectionModeToAnnotationIconFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSelectionModeToAnnotationIcon ();this SetSelectionMode ANNOTATION_ICON  */
  if (arg.size() < 1) 
    throw Exception("Function SetSelectionModeToAnnotationIcon for class vtkApplyIcons requires 1 argument(s)");
  vtkApplyIcons* vtk_pointer = GetVTKPointer<vtkApplyIcons>(arg[0]);
  Array retval;
  vtk_pointer->SetSelectionModeToAnnotationIcon();
  return retval;
}

//@@Signature
//sfunction @vtkApplyIcons:SetSelectionModeToIgnoreSelection vtkApplyIconsSetSelectionModeToIgnoreSelectionFunction
//input a0 
//output none
ArrayVector vtkApplyIconsSetSelectionModeToIgnoreSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSelectionModeToIgnoreSelection ();this SetSelectionMode IGNORE_SELECTION  */
  if (arg.size() < 1) 
    throw Exception("Function SetSelectionModeToIgnoreSelection for class vtkApplyIcons requires 1 argument(s)");
  vtkApplyIcons* vtk_pointer = GetVTKPointer<vtkApplyIcons>(arg[0]);
  Array retval;
  vtk_pointer->SetSelectionModeToIgnoreSelection();
  return retval;
}

//@@Signature
//sfunction @vtkApplyIcons:SetAttributeType vtkApplyIconsSetAttributeTypeFunction
//input a0 a1 
//output none
ArrayVector vtkApplyIconsSetAttributeTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAttributeType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAttributeType for class vtkApplyIcons requires 2 argument(s)");
  vtkApplyIcons* vtk_pointer = GetVTKPointer<vtkApplyIcons>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAttributeType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkApplyIcons:GetAttributeType vtkApplyIconsGetAttributeTypeFunction
//input a0 
//output y
ArrayVector vtkApplyIconsGetAttributeTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAttributeType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAttributeType for class vtkApplyIcons requires 1 argument(s)");
  vtkApplyIcons* vtk_pointer = GetVTKPointer<vtkApplyIcons>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAttributeType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkApplyIcons:SetIconType vtkApplyIconsSetIconTypeFunction
//input varargin
//output varargout
ArrayVector vtkApplyIconsSetIconTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkApplyIconsSetIconType__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkApplyIconsSetIconType__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkApplyIconsSetIconType");
}

//@@Signature
//sfunction @vtkApplyIcons:display vtkApplyIconsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkApplyIconsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkApplyIcons* vtk_pointer = GetVTKPointer<vtkApplyIcons>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkApplyIcons:delete vtkApplyIconsDeleteFunction
//input varargin
//output none
ArrayVector vtkApplyIconsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkApplyIcons
//@@Section VTKInfovis
//@@Usage
// vtkApplyIcons performs a iconing of the dataset using default icons,
// lookup tables, annotations, and/or a selection. The output is a
// vtkIntArray containing the icon index for each
// element in the dataset. The first input is the dataset to be iconed, which
// may be a vtkTable, vtkGraph subclass, or vtkDataSet subclass.
//
// The second (optional) input is a vtkAnnotationLayers object, which stores
// a list of annotation layers, with each layer holding a list of
// vtkAnnotation objects. The annotation specifies a subset of data along with
// other properties, including icon. For annotations with icon properties,
// this algorithm will use the icon index of annotated elements,
// using a "top one wins" strategy.
//
// The third (optional) input is a vtkSelection object, meant for specifying
// the current selection. You can control the icon of the selection, or whether
// there is a set of selected icons at a particular offset in the icon sheet.
//
// The algorithm takes an input array, specified with
// SetInputArrayToProcess(0, 0, 0, vtkDataObject::FIELD_ASSOCIATION_POINTS, name)
// This sets data arrays to use to icon the data with
// the associated lookup table. For vtkGraph and vtkTable inputs, you would use
// FIELD_ASSOCIATION_VERTICES, FIELD_ASSOCIATION_EDGES, or
// FIELD_ASSOCIATION_ROWS as appropriate. The icon array will be added to the same
// set of attributes that the input array came from. If there is no input array,
// the icon array will be applied to the attributes associated with the
// AttributeType parameter.
//
// Icons are assigned with the following priorities:
// <ol>
// <li> If an item is part of the selection, it is glyphed with that icon.
// <li> Otherwise, if the item is part of an annotation, it is glyphed
//      with the icon of the final (top) annotation in the set of layers.
// <li> Otherwise, if a lookup table is used, it is glyphed using the
//      lookup table icon for the data value of the element.
// <li> Otherwise it will be glyphed with the default icon.
// </ol>
//
//To create an instance of class vtkApplyIcons, simply
//invoke its constructor as follows
//@[
//  obj = vtkApplyIcons
//@]
//@@Methods
//The class vtkApplyIcons has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkApplyIcons class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkApplyIcons = obj.NewInstance ()|
// \item @|vtkApplyIcons = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetIconType (double v, int icon)| -  Edits the lookup table to use for point icons. This is only used if
// input array 0 is set and UsePointLookupTable is on.
//// \item @|obj.SetIconType (string v, int icon)| -  Edits the lookup table to use for point icons. This is only used if
// input array 0 is set and UsePointLookupTable is on.
//// \item @|obj.ClearAllIconTypes ()| -  Edits the lookup table to use for point icons. This is only used if
// input array 0 is set and UsePointLookupTable is on.
//// \item @|obj.SetUseLookupTable (bool )| -  If on, uses the point lookup table to set the colors of unannotated,
// unselected elements of the data.
//// \item @|bool = obj.GetUseLookupTable ()| -  If on, uses the point lookup table to set the colors of unannotated,
// unselected elements of the data.
//// \item @|obj.UseLookupTableOn ()| -  If on, uses the point lookup table to set the colors of unannotated,
// unselected elements of the data.
//// \item @|obj.UseLookupTableOff ()| -  If on, uses the point lookup table to set the colors of unannotated,
// unselected elements of the data.
//// \item @|obj.SetDefaultIcon (int )| -  The default point icon for all unannotated, unselected elements
// of the data. This is used if UsePointLookupTable is off.
//// \item @|int = obj.GetDefaultIcon ()| -  The default point icon for all unannotated, unselected elements
// of the data. This is used if UsePointLookupTable is off.
//// \item @|obj.SetSelectedIcon (int )| -  The point icon for all selected elements of the data.
// This is used if the annotation input has a current selection.
//// \item @|int = obj.GetSelectedIcon ()| -  The point icon for all selected elements of the data.
// This is used if the annotation input has a current selection.
//// \item @|obj.SetIconOutputArrayName (string )| -  The output array name for the point icon index array.
// Default is "vtkApplyIcons icon".
//// \item @|string = obj.GetIconOutputArrayName ()| -  The output array name for the point icon index array.
// Default is "vtkApplyIcons icon".
//// \item @|obj.SetSelectionMode (int )| -  Changes the behavior of the icon to use for selected items.
// <ul>
// <li>SELECTED_ICON uses SelectedIcon as the icon for all selected elements.
// <li>SELECTED_OFFSET uses SelectedIcon as an offset to add to all selected elements.
// <li>ANNOTATION_ICON uses the ICON_INDEX() property of the current annotation.
// <li>IGNORE_SELECTION does not change the icon based on the current selection.
// </ul>
// The default is IGNORE_SELECTION.
//// \item @|int = obj.GetSelectionMode ()| -  Changes the behavior of the icon to use for selected items.
// <ul>
// <li>SELECTED_ICON uses SelectedIcon as the icon for all selected elements.
// <li>SELECTED_OFFSET uses SelectedIcon as an offset to add to all selected elements.
// <li>ANNOTATION_ICON uses the ICON_INDEX() property of the current annotation.
// <li>IGNORE_SELECTION does not change the icon based on the current selection.
// </ul>
// The default is IGNORE_SELECTION.
//// \item @|obj.SetSelectionModeToSelectedIcon ()| -  Changes the behavior of the icon to use for selected items.
// <ul>
// <li>SELECTED_ICON uses SelectedIcon as the icon for all selected elements.
// <li>SELECTED_OFFSET uses SelectedIcon as an offset to add to all selected elements.
// <li>ANNOTATION_ICON uses the ICON_INDEX() property of the current annotation.
// <li>IGNORE_SELECTION does not change the icon based on the current selection.
// </ul>
// The default is IGNORE_SELECTION.
//// \item @|obj.SetSelectionModeToSelectedOffset ()| -  Changes the behavior of the icon to use for selected items.
// <ul>
// <li>SELECTED_ICON uses SelectedIcon as the icon for all selected elements.
// <li>SELECTED_OFFSET uses SelectedIcon as an offset to add to all selected elements.
// <li>ANNOTATION_ICON uses the ICON_INDEX() property of the current annotation.
// <li>IGNORE_SELECTION does not change the icon based on the current selection.
// </ul>
// The default is IGNORE_SELECTION.
//// \item @|obj.SetSelectionModeToAnnotationIcon ()| -  Changes the behavior of the icon to use for selected items.
// <ul>
// <li>SELECTED_ICON uses SelectedIcon as the icon for all selected elements.
// <li>SELECTED_OFFSET uses SelectedIcon as an offset to add to all selected elements.
// <li>ANNOTATION_ICON uses the ICON_INDEX() property of the current annotation.
// <li>IGNORE_SELECTION does not change the icon based on the current selection.
// </ul>
// The default is IGNORE_SELECTION.
//// \item @|obj.SetSelectionModeToIgnoreSelection ()| -  The attribute type to append the icon array to, used only if the
// input array is not specified or does not exist. This is set to one
// of the AttributeTypes enum in vtkDataObject (e.g. POINT, CELL, VERTEX
// EDGE, FIELD).
//// \item @|obj.SetAttributeType (int )| -  The attribute type to append the icon array to, used only if the
// input array is not specified or does not exist. This is set to one
// of the AttributeTypes enum in vtkDataObject (e.g. POINT, CELL, VERTEX
// EDGE, FIELD).
//// \item @|int = obj.GetAttributeType ()| -  The attribute type to append the icon array to, used only if the
// input array is not specified or does not exist. This is set to one
// of the AttributeTypes enum in vtkDataObject (e.g. POINT, CELL, VERTEX
// EDGE, FIELD).
////\end{itemize}
//!
