#include "VTKWrap.hpp"

// FreeMat wrapper for vtkArcParallelEdgeStrategy object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkArcParallelEdgeStrategy.h"

//@@Signature
//sfunction @vtkArcParallelEdgeStrategy:vtkArcParallelEdgeStrategy vtkArcParallelEdgeStrategyConstructorFunction
//input a
//output p
//@@Parents vtkArcParallelEdgeStrategy vtkEdgeLayoutStrategy 
ArrayVector vtkArcParallelEdgeStrategyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkArcParallelEdgeStrategy::New(),"vtkArcParallelEdgeStrategy",eval);
  } else if (arg[0].className() == "vtkArcParallelEdgeStrategy") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkArcParallelEdgeStrategy"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkArcParallelEdgeStrategy");
    vtkArcParallelEdgeStrategy*q = reinterpret_cast<vtkArcParallelEdgeStrategy*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkArcParallelEdgeStrategy");
    return ret;
  }
}
//@@Signature
//sfunction @vtkArcParallelEdgeStrategy:GetClassName vtkArcParallelEdgeStrategyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkArcParallelEdgeStrategyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkArcParallelEdgeStrategy requires 1 argument(s)");
  vtkArcParallelEdgeStrategy* vtk_pointer = GetVTKPointer<vtkArcParallelEdgeStrategy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArcParallelEdgeStrategy:IsA vtkArcParallelEdgeStrategyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkArcParallelEdgeStrategyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkArcParallelEdgeStrategy requires 2 argument(s)");
  vtkArcParallelEdgeStrategy* vtk_pointer = GetVTKPointer<vtkArcParallelEdgeStrategy>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArcParallelEdgeStrategy:NewInstance vtkArcParallelEdgeStrategyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkArcParallelEdgeStrategyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkArcParallelEdgeStrategy *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkArcParallelEdgeStrategy requires 1 argument(s)");
  vtkArcParallelEdgeStrategy* vtk_pointer = GetVTKPointer<vtkArcParallelEdgeStrategy>(arg[0]);
  Array retval;
  vtkArcParallelEdgeStrategy  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArcParallelEdgeStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkArcParallelEdgeStrategy:SafeDownCast vtkArcParallelEdgeStrategySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkArcParallelEdgeStrategySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkArcParallelEdgeStrategy *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkArcParallelEdgeStrategy requires 2 argument(s)");
  vtkArcParallelEdgeStrategy* vtk_pointer = GetVTKPointer<vtkArcParallelEdgeStrategy>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkArcParallelEdgeStrategy  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArcParallelEdgeStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkArcParallelEdgeStrategy:Layout vtkArcParallelEdgeStrategyLayoutFunction
//input a0 
//output none
ArrayVector vtkArcParallelEdgeStrategyLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Layout (); */
  if (arg.size() < 1) 
    throw Exception("Function Layout for class vtkArcParallelEdgeStrategy requires 1 argument(s)");
  vtkArcParallelEdgeStrategy* vtk_pointer = GetVTKPointer<vtkArcParallelEdgeStrategy>(arg[0]);
  Array retval;
  vtk_pointer->Layout();
  return retval;
}

//@@Signature
//sfunction @vtkArcParallelEdgeStrategy:GetNumberOfSubdivisions vtkArcParallelEdgeStrategyGetNumberOfSubdivisionsFunction
//input a0 
//output y
ArrayVector vtkArcParallelEdgeStrategyGetNumberOfSubdivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSubdivisions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSubdivisions for class vtkArcParallelEdgeStrategy requires 1 argument(s)");
  vtkArcParallelEdgeStrategy* vtk_pointer = GetVTKPointer<vtkArcParallelEdgeStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSubdivisions();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArcParallelEdgeStrategy:SetNumberOfSubdivisions vtkArcParallelEdgeStrategySetNumberOfSubdivisionsFunction
//input a0 a1 
//output none
ArrayVector vtkArcParallelEdgeStrategySetNumberOfSubdivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfSubdivisions (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfSubdivisions for class vtkArcParallelEdgeStrategy requires 2 argument(s)");
  vtkArcParallelEdgeStrategy* vtk_pointer = GetVTKPointer<vtkArcParallelEdgeStrategy>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfSubdivisions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArcParallelEdgeStrategy:display vtkArcParallelEdgeStrategyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkArcParallelEdgeStrategyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkArcParallelEdgeStrategy* vtk_pointer = GetVTKPointer<vtkArcParallelEdgeStrategy>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkArcParallelEdgeStrategy:delete vtkArcParallelEdgeStrategyDeleteFunction
//input varargin
//output none
ArrayVector vtkArcParallelEdgeStrategyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkArcParallelEdgeStrategy
//@@Section VTKInfovis
//@@Usage
// Parallel edges are drawn as arcs, and self-loops are drawn as ovals.
// When only one edge connects two vertices it is drawn as a straight line.
//
//To create an instance of class vtkArcParallelEdgeStrategy, simply
//invoke its constructor as follows
//@[
//  obj = vtkArcParallelEdgeStrategy
//@]
//@@Methods
//The class vtkArcParallelEdgeStrategy has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkArcParallelEdgeStrategy class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkArcParallelEdgeStrategy = obj.NewInstance ()|
// \item @|vtkArcParallelEdgeStrategy = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Layout ()| -  This is the layout method where the graph that was
// set in SetGraph() is laid out.
//// \item @|int = obj.GetNumberOfSubdivisions ()| -  Get/Set the number of subdivisions on each edge.
//// \item @|obj.SetNumberOfSubdivisions (int )| -  Get/Set the number of subdivisions on each edge.
////\end{itemize}
//!
