#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAreaLayout object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAreaLayout.h"

//@@Signature
//sfunction @vtkAreaLayout:vtkAreaLayout vtkAreaLayoutConstructorFunction
//input a
//output p
//@@Parents vtkAreaLayout vtkTreeAlgorithm 
ArrayVector vtkAreaLayoutConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAreaLayout::New(),"vtkAreaLayout",eval);
  } else if (arg[0].className() == "vtkAreaLayout") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAreaLayout"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAreaLayout");
    vtkAreaLayout*q = reinterpret_cast<vtkAreaLayout*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAreaLayout");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAreaLayout:GetClassName vtkAreaLayoutGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAreaLayoutGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAreaLayout requires 1 argument(s)");
  vtkAreaLayout* vtk_pointer = GetVTKPointer<vtkAreaLayout>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAreaLayout:IsA vtkAreaLayoutIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAreaLayoutIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAreaLayout requires 2 argument(s)");
  vtkAreaLayout* vtk_pointer = GetVTKPointer<vtkAreaLayout>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAreaLayout:NewInstance vtkAreaLayoutNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAreaLayoutNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAreaLayout *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAreaLayout requires 1 argument(s)");
  vtkAreaLayout* vtk_pointer = GetVTKPointer<vtkAreaLayout>(arg[0]);
  Array retval;
  vtkAreaLayout  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAreaLayout",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAreaLayout:SafeDownCast vtkAreaLayoutSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAreaLayoutSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAreaLayout *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAreaLayout requires 2 argument(s)");
  vtkAreaLayout* vtk_pointer = GetVTKPointer<vtkAreaLayout>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAreaLayout  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAreaLayout",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAreaLayout:SetSizeArrayName vtkAreaLayoutSetSizeArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkAreaLayoutSetSizeArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSizeArrayName (const char *name);this SetInputArrayToProcess vtkDataObject FIELD_ASSOCIATION_VERTICES name  */
  if (arg.size() < 2) 
    throw Exception("Function SetSizeArrayName for class vtkAreaLayout requires 2 argument(s)");
  vtkAreaLayout* vtk_pointer = GetVTKPointer<vtkAreaLayout>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetSizeArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAreaLayout:GetAreaArrayName vtkAreaLayoutGetAreaArrayNameFunction
//input a0 
//output y
ArrayVector vtkAreaLayoutGetAreaArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetAreaArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAreaArrayName for class vtkAreaLayout requires 1 argument(s)");
  vtkAreaLayout* vtk_pointer = GetVTKPointer<vtkAreaLayout>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetAreaArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAreaLayout:SetAreaArrayName vtkAreaLayoutSetAreaArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkAreaLayoutSetAreaArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAreaArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetAreaArrayName for class vtkAreaLayout requires 2 argument(s)");
  vtkAreaLayout* vtk_pointer = GetVTKPointer<vtkAreaLayout>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetAreaArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAreaLayout:GetEdgeRoutingPoints vtkAreaLayoutGetEdgeRoutingPointsFunction
//input a0 
//output y
ArrayVector vtkAreaLayoutGetEdgeRoutingPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetEdgeRoutingPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeRoutingPoints for class vtkAreaLayout requires 1 argument(s)");
  vtkAreaLayout* vtk_pointer = GetVTKPointer<vtkAreaLayout>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetEdgeRoutingPoints();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkAreaLayout:SetEdgeRoutingPoints vtkAreaLayoutSetEdgeRoutingPointsFunction
//input a0 a1 
//output none
ArrayVector vtkAreaLayoutSetEdgeRoutingPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeRoutingPoints (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeRoutingPoints for class vtkAreaLayout requires 2 argument(s)");
  vtkAreaLayout* vtk_pointer = GetVTKPointer<vtkAreaLayout>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetEdgeRoutingPoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAreaLayout:EdgeRoutingPointsOn vtkAreaLayoutEdgeRoutingPointsOnFunction
//input a0 
//output none
ArrayVector vtkAreaLayoutEdgeRoutingPointsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EdgeRoutingPointsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function EdgeRoutingPointsOn for class vtkAreaLayout requires 1 argument(s)");
  vtkAreaLayout* vtk_pointer = GetVTKPointer<vtkAreaLayout>(arg[0]);
  Array retval;
  vtk_pointer->EdgeRoutingPointsOn();
  return retval;
}

//@@Signature
//sfunction @vtkAreaLayout:EdgeRoutingPointsOff vtkAreaLayoutEdgeRoutingPointsOffFunction
//input a0 
//output none
ArrayVector vtkAreaLayoutEdgeRoutingPointsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EdgeRoutingPointsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function EdgeRoutingPointsOff for class vtkAreaLayout requires 1 argument(s)");
  vtkAreaLayout* vtk_pointer = GetVTKPointer<vtkAreaLayout>(arg[0]);
  Array retval;
  vtk_pointer->EdgeRoutingPointsOff();
  return retval;
}

//@@Signature
//sfunction @vtkAreaLayout:GetLayoutStrategy vtkAreaLayoutGetLayoutStrategyFunction
//input a0 
//output y
ArrayVector vtkAreaLayoutGetLayoutStrategyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAreaLayoutStrategy *GetLayoutStrategy (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLayoutStrategy for class vtkAreaLayout requires 1 argument(s)");
  vtkAreaLayout* vtk_pointer = GetVTKPointer<vtkAreaLayout>(arg[0]);
  Array retval;
  vtkAreaLayoutStrategy  *temp20;
  temp20 = (vtk_pointer)->GetLayoutStrategy();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAreaLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAreaLayout:SetLayoutStrategy vtkAreaLayoutSetLayoutStrategyFunction
//input a0 a1 
//output none
ArrayVector vtkAreaLayoutSetLayoutStrategyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutStrategy (vtkAreaLayoutStrategy *strategy); */
  if (arg.size() < 2) 
    throw Exception("Function SetLayoutStrategy for class vtkAreaLayout requires 2 argument(s)");
  vtkAreaLayout* vtk_pointer = GetVTKPointer<vtkAreaLayout>(arg[0]);
  Array retval;
  vtkAreaLayoutStrategy  *temp0;
  temp0 = GetVTKPointer<vtkAreaLayoutStrategy>(arg[1]);
  vtk_pointer->SetLayoutStrategy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAreaLayout:GetMTime vtkAreaLayoutGetMTimeFunction
//input a0 
//output y
ArrayVector vtkAreaLayoutGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkAreaLayout requires 1 argument(s)");
  vtkAreaLayout* vtk_pointer = GetVTKPointer<vtkAreaLayout>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAreaLayout:FindVertex vtkAreaLayoutFindVertexFunction
//input a0 a1 
//output y
ArrayVector vtkAreaLayoutFindVertexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType FindVertex (float pnt[2]); */
  if (arg.size() < 2) 
    throw Exception("Function FindVertex for class vtkAreaLayout requires 2 argument(s)");
  vtkAreaLayout* vtk_pointer = GetVTKPointer<vtkAreaLayout>(arg[0]);
  Array retval;
  float  temp0[2];
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  temp20 = (vtk_pointer)->FindVertex(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAreaLayout:GetBoundingArea vtkAreaLayoutGetBoundingAreaFunction
//input a0 a1 a2 
//output none
ArrayVector vtkAreaLayoutGetBoundingAreaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetBoundingArea (vtkIdType id, float *sinfo); */
  if (arg.size() < 3) 
    throw Exception("Function GetBoundingArea for class vtkAreaLayout requires 3 argument(s)");
  vtkAreaLayout* vtk_pointer = GetVTKPointer<vtkAreaLayout>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  float   *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new float[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
      }
  vtk_pointer->GetBoundingArea(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkAreaLayout:display vtkAreaLayoutDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAreaLayoutDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAreaLayout* vtk_pointer = GetVTKPointer<vtkAreaLayout>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAreaLayout:delete vtkAreaLayoutDeleteFunction
//input varargin
//output none
ArrayVector vtkAreaLayoutDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAreaLayout
//@@Section VTKInfovis
//@@Usage
// vtkAreaLayout assigns sector regions to each vertex in the tree,
// creating a tree ring.  The data is added as a data array with four
// components per tuple representing the location and size of the
// sector using the format (StartAngle, EndAngle, innerRadius, outerRadius).
//
// This algorithm relies on a helper class to perform the actual layout.
// This helper class is a subclass of vtkAreaLayoutStrategy.
//
// .SECTION Thanks
// Thanks to Jason Shepherd from Sandia National Laboratories
// for help developing this class.
//
//To create an instance of class vtkAreaLayout, simply
//invoke its constructor as follows
//@[
//  obj = vtkAreaLayout
//@]
//@@Methods
//The class vtkAreaLayout has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAreaLayout class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAreaLayout = obj.NewInstance ()|
// \item @|vtkAreaLayout = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetSizeArrayName (string name)| -  The name for the array created for the area for each vertex.
// The rectangles are stored in a quadruple float array
// (startAngle, endAngle, innerRadius, outerRadius).
// For rectangular layouts, this is (minx, maxx, miny, maxy).
//// \item @|string = obj.GetAreaArrayName ()| -  The name for the array created for the area for each vertex.
// The rectangles are stored in a quadruple float array
// (startAngle, endAngle, innerRadius, outerRadius).
// For rectangular layouts, this is (minx, maxx, miny, maxy).
//// \item @|obj.SetAreaArrayName (string )| -  The name for the array created for the area for each vertex.
// The rectangles are stored in a quadruple float array
// (startAngle, endAngle, innerRadius, outerRadius).
// For rectangular layouts, this is (minx, maxx, miny, maxy).
//// \item @|bool = obj.GetEdgeRoutingPoints ()| -  Whether to output a second output tree with vertex locations
// appropriate for routing bundled edges. Default is on.
//// \item @|obj.SetEdgeRoutingPoints (bool )| -  Whether to output a second output tree with vertex locations
// appropriate for routing bundled edges. Default is on.
//// \item @|obj.EdgeRoutingPointsOn ()| -  Whether to output a second output tree with vertex locations
// appropriate for routing bundled edges. Default is on.
//// \item @|obj.EdgeRoutingPointsOff ()| -  Whether to output a second output tree with vertex locations
// appropriate for routing bundled edges. Default is on.
//// \item @|vtkAreaLayoutStrategy = obj.GetLayoutStrategy ()| -  The strategy to use when laying out the tree map.
//// \item @|obj.SetLayoutStrategy (vtkAreaLayoutStrategy strategy)| -  The strategy to use when laying out the tree map.
//// \item @|long = obj.GetMTime ()| -  Get the modification time of the layout algorithm.
//// \item @|vtkIdType = obj.FindVertex (float pnt[2])| -  Get the vertex whose area contains the point, or return -1
// if no vertex area covers the point.
//// \item @|obj.GetBoundingArea (vtkIdType id, float sinfo)| -  The bounding area information for a certain vertex id.
////\end{itemize}
//!
