#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAreaLayoutStrategy object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAreaLayoutStrategy.h"

//@@Signature
//sfunction @vtkAreaLayoutStrategy:vtkAreaLayoutStrategy vtkAreaLayoutStrategyConstructorFunction
//input a
//output p
//@@Parents vtkAreaLayoutStrategy vtkObject 
ArrayVector vtkAreaLayoutStrategyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAreaLayoutStrategy::New(),"vtkAreaLayoutStrategy",eval);
  } else if (arg[0].className() == "vtkAreaLayoutStrategy") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAreaLayoutStrategy"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAreaLayoutStrategy");
    vtkAreaLayoutStrategy*q = reinterpret_cast<vtkAreaLayoutStrategy*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAreaLayoutStrategy");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAreaLayoutStrategy:GetClassName vtkAreaLayoutStrategyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAreaLayoutStrategyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAreaLayoutStrategy requires 1 argument(s)");
  vtkAreaLayoutStrategy* vtk_pointer = GetVTKPointer<vtkAreaLayoutStrategy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAreaLayoutStrategy:IsA vtkAreaLayoutStrategyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAreaLayoutStrategyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAreaLayoutStrategy requires 2 argument(s)");
  vtkAreaLayoutStrategy* vtk_pointer = GetVTKPointer<vtkAreaLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAreaLayoutStrategy:NewInstance vtkAreaLayoutStrategyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAreaLayoutStrategyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAreaLayoutStrategy *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAreaLayoutStrategy requires 1 argument(s)");
  vtkAreaLayoutStrategy* vtk_pointer = GetVTKPointer<vtkAreaLayoutStrategy>(arg[0]);
  Array retval;
  vtkAreaLayoutStrategy  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAreaLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAreaLayoutStrategy:SafeDownCast vtkAreaLayoutStrategySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAreaLayoutStrategySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAreaLayoutStrategy *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAreaLayoutStrategy requires 2 argument(s)");
  vtkAreaLayoutStrategy* vtk_pointer = GetVTKPointer<vtkAreaLayoutStrategy>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAreaLayoutStrategy  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAreaLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAreaLayoutStrategy:Layout vtkAreaLayoutStrategyLayoutFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkAreaLayoutStrategyLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Layout (vtkTree *inputTree, vtkDataArray *areaArray, vtkDataArray *sizeArray) = 0; */
  if (arg.size() < 4) 
    throw Exception("Function Layout for class vtkAreaLayoutStrategy requires 4 argument(s)");
  vtkAreaLayoutStrategy* vtk_pointer = GetVTKPointer<vtkAreaLayoutStrategy>(arg[0]);
  Array retval;
  vtkTree  *temp0;
  vtkDataArray  *temp1;
  vtkDataArray  *temp2;
  temp0 = GetVTKPointer<vtkTree>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkDataArray>(arg[3]);
  vtk_pointer->Layout(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkAreaLayoutStrategy:LayoutEdgePoints vtkAreaLayoutStrategyLayoutEdgePointsFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkAreaLayoutStrategyLayoutEdgePointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void LayoutEdgePoints (vtkTree *inputTree, vtkDataArray *areaArray, vtkDataArray *sizeArray, vtkTree *edgeLayoutTree); */
  if (arg.size() < 5) 
    throw Exception("Function LayoutEdgePoints for class vtkAreaLayoutStrategy requires 5 argument(s)");
  vtkAreaLayoutStrategy* vtk_pointer = GetVTKPointer<vtkAreaLayoutStrategy>(arg[0]);
  Array retval;
  vtkTree  *temp0;
  vtkDataArray  *temp1;
  vtkDataArray  *temp2;
  vtkTree  *temp3;
  temp0 = GetVTKPointer<vtkTree>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkDataArray>(arg[3]);
  temp3 = GetVTKPointer<vtkTree>(arg[4]);
  vtk_pointer->LayoutEdgePoints(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkAreaLayoutStrategy:FindVertex vtkAreaLayoutStrategyFindVertexFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkAreaLayoutStrategyFindVertexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType FindVertex (vtkTree *tree, vtkDataArray *array, float pnt[2]) = 0; */
  if (arg.size() < 4) 
    throw Exception("Function FindVertex for class vtkAreaLayoutStrategy requires 4 argument(s)");
  vtkAreaLayoutStrategy* vtk_pointer = GetVTKPointer<vtkAreaLayoutStrategy>(arg[0]);
  Array retval;
  vtkTree  *temp0;
  vtkDataArray  *temp1;
  float  temp2[2];
  vtkIdType   temp20;
  temp0 = GetVTKPointer<vtkTree>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  if ( !(arg[3].isVector() && arg[3].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (float)data[k+1];
  }
  temp20 = (vtk_pointer)->FindVertex(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAreaLayoutStrategy:SetShrinkPercentage vtkAreaLayoutStrategySetShrinkPercentageFunction
//input a0 a1 
//output none
ArrayVector vtkAreaLayoutStrategySetShrinkPercentageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShrinkPercentage (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetShrinkPercentage for class vtkAreaLayoutStrategy requires 2 argument(s)");
  vtkAreaLayoutStrategy* vtk_pointer = GetVTKPointer<vtkAreaLayoutStrategy>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetShrinkPercentage(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAreaLayoutStrategy:GetShrinkPercentageMinValue vtkAreaLayoutStrategyGetShrinkPercentageMinValueFunction
//input a0 
//output y
ArrayVector vtkAreaLayoutStrategyGetShrinkPercentageMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetShrinkPercentageMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShrinkPercentageMinValue for class vtkAreaLayoutStrategy requires 1 argument(s)");
  vtkAreaLayoutStrategy* vtk_pointer = GetVTKPointer<vtkAreaLayoutStrategy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetShrinkPercentageMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAreaLayoutStrategy:GetShrinkPercentageMaxValue vtkAreaLayoutStrategyGetShrinkPercentageMaxValueFunction
//input a0 
//output y
ArrayVector vtkAreaLayoutStrategyGetShrinkPercentageMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetShrinkPercentageMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShrinkPercentageMaxValue for class vtkAreaLayoutStrategy requires 1 argument(s)");
  vtkAreaLayoutStrategy* vtk_pointer = GetVTKPointer<vtkAreaLayoutStrategy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetShrinkPercentageMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAreaLayoutStrategy:GetShrinkPercentage vtkAreaLayoutStrategyGetShrinkPercentageFunction
//input a0 
//output y
ArrayVector vtkAreaLayoutStrategyGetShrinkPercentageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetShrinkPercentage (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShrinkPercentage for class vtkAreaLayoutStrategy requires 1 argument(s)");
  vtkAreaLayoutStrategy* vtk_pointer = GetVTKPointer<vtkAreaLayoutStrategy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetShrinkPercentage();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAreaLayoutStrategy:display vtkAreaLayoutStrategyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAreaLayoutStrategyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAreaLayoutStrategy* vtk_pointer = GetVTKPointer<vtkAreaLayoutStrategy>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAreaLayoutStrategy:delete vtkAreaLayoutStrategyDeleteFunction
//input varargin
//output none
ArrayVector vtkAreaLayoutStrategyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAreaLayoutStrategy
//@@Section VTKInfovis
//@@Usage
// All subclasses of this class perform a area layout on a tree.
// This involves assigning a region to each vertex in the tree,
// and placing that information in a data array with four components per
// tuple representing (innerRadius, outerRadius, startAngle, endAngle).
//
// Instances of subclasses of this class may be assigned as the layout
// strategy to vtkAreaLayout
//
// .SECTION Thanks
// Thanks to Jason Shepherd from Sandia National Laboratories
// for help developing this class.
//
//To create an instance of class vtkAreaLayoutStrategy, simply
//invoke its constructor as follows
//@[
//  obj = vtkAreaLayoutStrategy
//@]
//@@Methods
//The class vtkAreaLayoutStrategy has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAreaLayoutStrategy class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAreaLayoutStrategy = obj.NewInstance ()|
// \item @|vtkAreaLayoutStrategy = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Layout (vtkTree inputTree, vtkDataArray areaArray, vtkDataArray sizeArray)| -  Perform the layout of the input tree, and store the sector
// bounds of each vertex as a tuple in a data array.
// For radial layout, this is
// (innerRadius, outerRadius, startAngle, endAngle).
// For rectangular layout, this is
// (xmin, xmax, ymin, ymax).
//
// The sizeArray may be NULL, or may contain the desired
// size of each vertex in the tree.
//// \item @|obj.LayoutEdgePoints (vtkTree inputTree, vtkDataArray areaArray, vtkDataArray sizeArray, vtkTree edgeLayoutTree)|
// \item @|vtkIdType = obj.FindVertex (vtkTree tree, vtkDataArray array, float pnt[2])| -  Returns the vertex id that contains pnt (or -1 if no one contains it)
//// \item @|obj.SetShrinkPercentage (double )|
// \item @|double = obj.GetShrinkPercentageMinValue ()|
// \item @|double = obj.GetShrinkPercentageMaxValue ()|
// \item @|double = obj.GetShrinkPercentage ()|
//\end{itemize}
//!
