#include "VTKWrap.hpp"

// FreeMat wrapper for vtkArrayNorm object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkArrayNorm.h"

//@@Signature
//sfunction @vtkArrayNorm:vtkArrayNorm vtkArrayNormConstructorFunction
//input a
//output p
//@@Parents vtkArrayNorm vtkArrayDataAlgorithm 
ArrayVector vtkArrayNormConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkArrayNorm::New(),"vtkArrayNorm",eval);
  } else if (arg[0].className() == "vtkArrayNorm") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkArrayNorm"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkArrayNorm");
    vtkArrayNorm*q = reinterpret_cast<vtkArrayNorm*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkArrayNorm");
    return ret;
  }
}
//@@Signature
//sfunction @vtkArrayNorm:GetClassName vtkArrayNormGetClassNameFunction
//input a0 
//output y
ArrayVector vtkArrayNormGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkArrayNorm requires 1 argument(s)");
  vtkArrayNorm* vtk_pointer = GetVTKPointer<vtkArrayNorm>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayNorm:IsA vtkArrayNormIsAFunction
//input a0 a1 
//output y
ArrayVector vtkArrayNormIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkArrayNorm requires 2 argument(s)");
  vtkArrayNorm* vtk_pointer = GetVTKPointer<vtkArrayNorm>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayNorm:NewInstance vtkArrayNormNewInstanceFunction
//input a0 
//output y
ArrayVector vtkArrayNormNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkArrayNorm *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkArrayNorm requires 1 argument(s)");
  vtkArrayNorm* vtk_pointer = GetVTKPointer<vtkArrayNorm>(arg[0]);
  Array retval;
  vtkArrayNorm  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArrayNorm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkArrayNorm:SafeDownCast vtkArrayNormSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkArrayNormSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkArrayNorm *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkArrayNorm requires 2 argument(s)");
  vtkArrayNorm* vtk_pointer = GetVTKPointer<vtkArrayNorm>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkArrayNorm  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArrayNorm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkArrayNorm:GetDimension vtkArrayNormGetDimensionFunction
//input a0 
//output y
ArrayVector vtkArrayNormGetDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDimension (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimension for class vtkArrayNorm requires 1 argument(s)");
  vtkArrayNorm* vtk_pointer = GetVTKPointer<vtkArrayNorm>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayNorm:SetDimension vtkArrayNormSetDimensionFunction
//input a0 a1 
//output none
ArrayVector vtkArrayNormSetDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDimension (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDimension for class vtkArrayNorm requires 2 argument(s)");
  vtkArrayNorm* vtk_pointer = GetVTKPointer<vtkArrayNorm>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDimension(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArrayNorm:GetL vtkArrayNormGetLFunction
//input a0 
//output y
ArrayVector vtkArrayNormGetLFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetL (); */
  if (arg.size() < 1) 
    throw Exception("Function GetL for class vtkArrayNorm requires 1 argument(s)");
  vtkArrayNorm* vtk_pointer = GetVTKPointer<vtkArrayNorm>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetL();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayNorm:SetL vtkArrayNormSetLFunction
//input a0 a1 
//output none
ArrayVector vtkArrayNormSetLFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetL (int value); */
  if (arg.size() < 2) 
    throw Exception("Function SetL for class vtkArrayNorm requires 2 argument(s)");
  vtkArrayNorm* vtk_pointer = GetVTKPointer<vtkArrayNorm>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetL(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArrayNorm:SetInvert vtkArrayNormSetInvertFunction
//input a0 a1 
//output none
ArrayVector vtkArrayNormSetInvertFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInvert (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInvert for class vtkArrayNorm requires 2 argument(s)");
  vtkArrayNorm* vtk_pointer = GetVTKPointer<vtkArrayNorm>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetInvert(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArrayNorm:GetInvert vtkArrayNormGetInvertFunction
//input a0 
//output y
ArrayVector vtkArrayNormGetInvertFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInvert (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInvert for class vtkArrayNorm requires 1 argument(s)");
  vtkArrayNorm* vtk_pointer = GetVTKPointer<vtkArrayNorm>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInvert();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayNorm:display vtkArrayNormDisplayFunction
//input varargin
//output varargout
ArrayVector vtkArrayNormDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkArrayNorm* vtk_pointer = GetVTKPointer<vtkArrayNorm>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkArrayNorm:delete vtkArrayNormDeleteFunction
//input varargin
//output none
ArrayVector vtkArrayNormDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkArrayNorm
//@@Section VTKInfovis
//@@Usage
// Given an input matrix (vtkTypedArray<double>), computes the L-norm for each
// vector along either dimension, storing the results in a dense output
// vector (1D vtkDenseArray<double>).  The caller may optionally request the
// inverse norm as output (useful for subsequent normalization), and may limit
// the computation to a "window" of vector elements, to avoid data copying.
//
// .SECTION Thanks
// Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.
//
//To create an instance of class vtkArrayNorm, simply
//invoke its constructor as follows
//@[
//  obj = vtkArrayNorm
//@]
//@@Methods
//The class vtkArrayNorm has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkArrayNorm class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkArrayNorm = obj.NewInstance ()|
// \item @|vtkArrayNorm = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDimension ()| -  Controls the dimension along which norms will be computed.  For input matrices,
// For input matrices, use "0" (rows) or "1" (columns). Default: 0
//// \item @|obj.SetDimension (int )| -  Controls the dimension along which norms will be computed.  For input matrices,
// For input matrices, use "0" (rows) or "1" (columns). Default: 0
//// \item @|int = obj.GetL ()| -  Controls the L-value.  Default: 2
//// \item @|obj.SetL (int value)| -  Controls the L-value.  Default: 2
//// \item @|obj.SetInvert (int )| -  Controls whether to invert output values.  Default: false
//// \item @|int = obj.GetInvert ()| -  Controls whether to invert output values.  Default: false
////\end{itemize}
//!
