#include "VTKWrap.hpp"

// FreeMat wrapper for vtkArrayToTable object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkArrayToTable.h"

//@@Signature
//sfunction @vtkArrayToTable:vtkArrayToTable vtkArrayToTableConstructorFunction
//input a
//output p
//@@Parents vtkArrayToTable vtkTableAlgorithm 
ArrayVector vtkArrayToTableConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkArrayToTable::New(),"vtkArrayToTable",eval);
  } else if (arg[0].className() == "vtkArrayToTable") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkArrayToTable"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkArrayToTable");
    vtkArrayToTable*q = reinterpret_cast<vtkArrayToTable*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkArrayToTable");
    return ret;
  }
}
//@@Signature
//sfunction @vtkArrayToTable:GetClassName vtkArrayToTableGetClassNameFunction
//input a0 
//output y
ArrayVector vtkArrayToTableGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkArrayToTable requires 1 argument(s)");
  vtkArrayToTable* vtk_pointer = GetVTKPointer<vtkArrayToTable>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayToTable:IsA vtkArrayToTableIsAFunction
//input a0 a1 
//output y
ArrayVector vtkArrayToTableIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkArrayToTable requires 2 argument(s)");
  vtkArrayToTable* vtk_pointer = GetVTKPointer<vtkArrayToTable>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayToTable:NewInstance vtkArrayToTableNewInstanceFunction
//input a0 
//output y
ArrayVector vtkArrayToTableNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkArrayToTable *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkArrayToTable requires 1 argument(s)");
  vtkArrayToTable* vtk_pointer = GetVTKPointer<vtkArrayToTable>(arg[0]);
  Array retval;
  vtkArrayToTable  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArrayToTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkArrayToTable:SafeDownCast vtkArrayToTableSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkArrayToTableSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkArrayToTable *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkArrayToTable requires 2 argument(s)");
  vtkArrayToTable* vtk_pointer = GetVTKPointer<vtkArrayToTable>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkArrayToTable  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArrayToTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkArrayToTable:display vtkArrayToTableDisplayFunction
//input varargin
//output varargout
ArrayVector vtkArrayToTableDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkArrayToTable* vtk_pointer = GetVTKPointer<vtkArrayToTable>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkArrayToTable:delete vtkArrayToTableDeleteFunction
//input varargin
//output none
ArrayVector vtkArrayToTableDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
