#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAssignCoordinates object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAssignCoordinates.h"

//@@Signature
//sfunction @vtkAssignCoordinates:vtkAssignCoordinates vtkAssignCoordinatesConstructorFunction
//input a
//output p
//@@Parents vtkAssignCoordinates vtkPassInputTypeAlgorithm 
ArrayVector vtkAssignCoordinatesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAssignCoordinates::New(),"vtkAssignCoordinates",eval);
  } else if (arg[0].className() == "vtkAssignCoordinates") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAssignCoordinates"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAssignCoordinates");
    vtkAssignCoordinates*q = reinterpret_cast<vtkAssignCoordinates*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAssignCoordinates");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAssignCoordinates:GetClassName vtkAssignCoordinatesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAssignCoordinatesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAssignCoordinates requires 1 argument(s)");
  vtkAssignCoordinates* vtk_pointer = GetVTKPointer<vtkAssignCoordinates>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAssignCoordinates:IsA vtkAssignCoordinatesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAssignCoordinatesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAssignCoordinates requires 2 argument(s)");
  vtkAssignCoordinates* vtk_pointer = GetVTKPointer<vtkAssignCoordinates>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAssignCoordinates:NewInstance vtkAssignCoordinatesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAssignCoordinatesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAssignCoordinates *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAssignCoordinates requires 1 argument(s)");
  vtkAssignCoordinates* vtk_pointer = GetVTKPointer<vtkAssignCoordinates>(arg[0]);
  Array retval;
  vtkAssignCoordinates  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAssignCoordinates",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAssignCoordinates:SafeDownCast vtkAssignCoordinatesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAssignCoordinatesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAssignCoordinates *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAssignCoordinates requires 2 argument(s)");
  vtkAssignCoordinates* vtk_pointer = GetVTKPointer<vtkAssignCoordinates>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAssignCoordinates  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAssignCoordinates",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAssignCoordinates:SetXCoordArrayName vtkAssignCoordinatesSetXCoordArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkAssignCoordinatesSetXCoordArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXCoordArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetXCoordArrayName for class vtkAssignCoordinates requires 2 argument(s)");
  vtkAssignCoordinates* vtk_pointer = GetVTKPointer<vtkAssignCoordinates>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetXCoordArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAssignCoordinates:GetXCoordArrayName vtkAssignCoordinatesGetXCoordArrayNameFunction
//input a0 
//output y
ArrayVector vtkAssignCoordinatesGetXCoordArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetXCoordArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXCoordArrayName for class vtkAssignCoordinates requires 1 argument(s)");
  vtkAssignCoordinates* vtk_pointer = GetVTKPointer<vtkAssignCoordinates>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetXCoordArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAssignCoordinates:SetYCoordArrayName vtkAssignCoordinatesSetYCoordArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkAssignCoordinatesSetYCoordArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYCoordArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetYCoordArrayName for class vtkAssignCoordinates requires 2 argument(s)");
  vtkAssignCoordinates* vtk_pointer = GetVTKPointer<vtkAssignCoordinates>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetYCoordArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAssignCoordinates:GetYCoordArrayName vtkAssignCoordinatesGetYCoordArrayNameFunction
//input a0 
//output y
ArrayVector vtkAssignCoordinatesGetYCoordArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetYCoordArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYCoordArrayName for class vtkAssignCoordinates requires 1 argument(s)");
  vtkAssignCoordinates* vtk_pointer = GetVTKPointer<vtkAssignCoordinates>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetYCoordArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAssignCoordinates:SetZCoordArrayName vtkAssignCoordinatesSetZCoordArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkAssignCoordinatesSetZCoordArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZCoordArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetZCoordArrayName for class vtkAssignCoordinates requires 2 argument(s)");
  vtkAssignCoordinates* vtk_pointer = GetVTKPointer<vtkAssignCoordinates>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetZCoordArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAssignCoordinates:GetZCoordArrayName vtkAssignCoordinatesGetZCoordArrayNameFunction
//input a0 
//output y
ArrayVector vtkAssignCoordinatesGetZCoordArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetZCoordArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZCoordArrayName for class vtkAssignCoordinates requires 1 argument(s)");
  vtkAssignCoordinates* vtk_pointer = GetVTKPointer<vtkAssignCoordinates>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetZCoordArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAssignCoordinates:SetJitter vtkAssignCoordinatesSetJitterFunction
//input a0 a1 
//output none
ArrayVector vtkAssignCoordinatesSetJitterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetJitter (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetJitter for class vtkAssignCoordinates requires 2 argument(s)");
  vtkAssignCoordinates* vtk_pointer = GetVTKPointer<vtkAssignCoordinates>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetJitter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAssignCoordinates:display vtkAssignCoordinatesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAssignCoordinatesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAssignCoordinates* vtk_pointer = GetVTKPointer<vtkAssignCoordinates>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAssignCoordinates:delete vtkAssignCoordinatesDeleteFunction
//input varargin
//output none
ArrayVector vtkAssignCoordinatesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAssignCoordinates
//@@Section VTKInfovis
//@@Usage
// Given two(or three) arrays take the values in those arrays and simply assign 
// them to the coordinates of the vertices. Yes you could do this with the array 
// calculator, but your mom wears army boots so we're not going to.  
//
//To create an instance of class vtkAssignCoordinates, simply
//invoke its constructor as follows
//@[
//  obj = vtkAssignCoordinates
//@]
//@@Methods
//The class vtkAssignCoordinates has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAssignCoordinates class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAssignCoordinates = obj.NewInstance ()|
// \item @|vtkAssignCoordinates = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetXCoordArrayName (string )| -  Set the x coordinate array name. 
//// \item @|string = obj.GetXCoordArrayName ()| -  Set the x coordinate array name. 
//// \item @|obj.SetYCoordArrayName (string )| -  Set the y coordinate array name. 
//// \item @|string = obj.GetYCoordArrayName ()| -  Set the y coordinate array name. 
//// \item @|obj.SetZCoordArrayName (string )| -  Set the z coordinate array name. 
//// \item @|string = obj.GetZCoordArrayName ()| -  Set the z coordinate array name. 
//// \item @|obj.SetJitter (bool )| -  Set if you want a random jitter
////\end{itemize}
//!
