#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAssignCoordinatesLayoutStrategy object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAssignCoordinatesLayoutStrategy.h"

//@@Signature
//sfunction @vtkAssignCoordinatesLayoutStrategy:vtkAssignCoordinatesLayoutStrategy vtkAssignCoordinatesLayoutStrategyConstructorFunction
//input a
//output p
//@@Parents vtkAssignCoordinatesLayoutStrategy vtkGraphLayoutStrategy 
ArrayVector vtkAssignCoordinatesLayoutStrategyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAssignCoordinatesLayoutStrategy::New(),"vtkAssignCoordinatesLayoutStrategy",eval);
  } else if (arg[0].className() == "vtkAssignCoordinatesLayoutStrategy") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAssignCoordinatesLayoutStrategy"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAssignCoordinatesLayoutStrategy");
    vtkAssignCoordinatesLayoutStrategy*q = reinterpret_cast<vtkAssignCoordinatesLayoutStrategy*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAssignCoordinatesLayoutStrategy");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAssignCoordinatesLayoutStrategy:GetClassName vtkAssignCoordinatesLayoutStrategyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAssignCoordinatesLayoutStrategyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAssignCoordinatesLayoutStrategy requires 1 argument(s)");
  vtkAssignCoordinatesLayoutStrategy* vtk_pointer = GetVTKPointer<vtkAssignCoordinatesLayoutStrategy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAssignCoordinatesLayoutStrategy:IsA vtkAssignCoordinatesLayoutStrategyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAssignCoordinatesLayoutStrategyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAssignCoordinatesLayoutStrategy requires 2 argument(s)");
  vtkAssignCoordinatesLayoutStrategy* vtk_pointer = GetVTKPointer<vtkAssignCoordinatesLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAssignCoordinatesLayoutStrategy:NewInstance vtkAssignCoordinatesLayoutStrategyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAssignCoordinatesLayoutStrategyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAssignCoordinatesLayoutStrategy *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAssignCoordinatesLayoutStrategy requires 1 argument(s)");
  vtkAssignCoordinatesLayoutStrategy* vtk_pointer = GetVTKPointer<vtkAssignCoordinatesLayoutStrategy>(arg[0]);
  Array retval;
  vtkAssignCoordinatesLayoutStrategy  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAssignCoordinatesLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAssignCoordinatesLayoutStrategy:SafeDownCast vtkAssignCoordinatesLayoutStrategySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAssignCoordinatesLayoutStrategySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAssignCoordinatesLayoutStrategy *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAssignCoordinatesLayoutStrategy requires 2 argument(s)");
  vtkAssignCoordinatesLayoutStrategy* vtk_pointer = GetVTKPointer<vtkAssignCoordinatesLayoutStrategy>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAssignCoordinatesLayoutStrategy  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAssignCoordinatesLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAssignCoordinatesLayoutStrategy:SetXCoordArrayName vtkAssignCoordinatesLayoutStrategySetXCoordArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkAssignCoordinatesLayoutStrategySetXCoordArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetXCoordArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetXCoordArrayName for class vtkAssignCoordinatesLayoutStrategy requires 2 argument(s)");
  vtkAssignCoordinatesLayoutStrategy* vtk_pointer = GetVTKPointer<vtkAssignCoordinatesLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetXCoordArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAssignCoordinatesLayoutStrategy:GetXCoordArrayName vtkAssignCoordinatesLayoutStrategyGetXCoordArrayNameFunction
//input a0 
//output y
ArrayVector vtkAssignCoordinatesLayoutStrategyGetXCoordArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetXCoordArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXCoordArrayName for class vtkAssignCoordinatesLayoutStrategy requires 1 argument(s)");
  vtkAssignCoordinatesLayoutStrategy* vtk_pointer = GetVTKPointer<vtkAssignCoordinatesLayoutStrategy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetXCoordArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAssignCoordinatesLayoutStrategy:SetYCoordArrayName vtkAssignCoordinatesLayoutStrategySetYCoordArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkAssignCoordinatesLayoutStrategySetYCoordArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetYCoordArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetYCoordArrayName for class vtkAssignCoordinatesLayoutStrategy requires 2 argument(s)");
  vtkAssignCoordinatesLayoutStrategy* vtk_pointer = GetVTKPointer<vtkAssignCoordinatesLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetYCoordArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAssignCoordinatesLayoutStrategy:GetYCoordArrayName vtkAssignCoordinatesLayoutStrategyGetYCoordArrayNameFunction
//input a0 
//output y
ArrayVector vtkAssignCoordinatesLayoutStrategyGetYCoordArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetYCoordArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYCoordArrayName for class vtkAssignCoordinatesLayoutStrategy requires 1 argument(s)");
  vtkAssignCoordinatesLayoutStrategy* vtk_pointer = GetVTKPointer<vtkAssignCoordinatesLayoutStrategy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetYCoordArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAssignCoordinatesLayoutStrategy:SetZCoordArrayName vtkAssignCoordinatesLayoutStrategySetZCoordArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkAssignCoordinatesLayoutStrategySetZCoordArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetZCoordArrayName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetZCoordArrayName for class vtkAssignCoordinatesLayoutStrategy requires 2 argument(s)");
  vtkAssignCoordinatesLayoutStrategy* vtk_pointer = GetVTKPointer<vtkAssignCoordinatesLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetZCoordArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAssignCoordinatesLayoutStrategy:GetZCoordArrayName vtkAssignCoordinatesLayoutStrategyGetZCoordArrayNameFunction
//input a0 
//output y
ArrayVector vtkAssignCoordinatesLayoutStrategyGetZCoordArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetZCoordArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZCoordArrayName for class vtkAssignCoordinatesLayoutStrategy requires 1 argument(s)");
  vtkAssignCoordinatesLayoutStrategy* vtk_pointer = GetVTKPointer<vtkAssignCoordinatesLayoutStrategy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetZCoordArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAssignCoordinatesLayoutStrategy:Layout vtkAssignCoordinatesLayoutStrategyLayoutFunction
//input a0 
//output none
ArrayVector vtkAssignCoordinatesLayoutStrategyLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Layout (); */
  if (arg.size() < 1) 
    throw Exception("Function Layout for class vtkAssignCoordinatesLayoutStrategy requires 1 argument(s)");
  vtkAssignCoordinatesLayoutStrategy* vtk_pointer = GetVTKPointer<vtkAssignCoordinatesLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->Layout();
  return retval;
}

//@@Signature
//sfunction @vtkAssignCoordinatesLayoutStrategy:display vtkAssignCoordinatesLayoutStrategyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAssignCoordinatesLayoutStrategyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAssignCoordinatesLayoutStrategy* vtk_pointer = GetVTKPointer<vtkAssignCoordinatesLayoutStrategy>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAssignCoordinatesLayoutStrategy:delete vtkAssignCoordinatesLayoutStrategyDeleteFunction
//input varargin
//output none
ArrayVector vtkAssignCoordinatesLayoutStrategyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAssignCoordinatesLayoutStrategy
//@@Section VTKInfovis
//@@Usage
// Uses vtkAssignCoordinates to use values from arrays as the x, y, and z coordinates.
//
//To create an instance of class vtkAssignCoordinatesLayoutStrategy, simply
//invoke its constructor as follows
//@[
//  obj = vtkAssignCoordinatesLayoutStrategy
//@]
//@@Methods
//The class vtkAssignCoordinatesLayoutStrategy has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAssignCoordinatesLayoutStrategy class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAssignCoordinatesLayoutStrategy = obj.NewInstance ()|
// \item @|vtkAssignCoordinatesLayoutStrategy = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetXCoordArrayName (string name)| -  The array to use for the x coordinate values.
//// \item @|string = obj.GetXCoordArrayName ()| -  The array to use for the x coordinate values.
//// \item @|obj.SetYCoordArrayName (string name)| -  The array to use for the y coordinate values.
//// \item @|string = obj.GetYCoordArrayName ()| -  The array to use for the y coordinate values.
//// \item @|obj.SetZCoordArrayName (string name)| -  The array to use for the z coordinate values.
//// \item @|string = obj.GetZCoordArrayName ()| -  The array to use for the z coordinate values.
//// \item @|obj.Layout ()| -  Perform the random layout.
////\end{itemize}
//!
