#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBivariateStatisticsAlgorithm object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBivariateStatisticsAlgorithm.h"

//@@Signature
//sfunction @vtkBivariateStatisticsAlgorithm:vtkBivariateStatisticsAlgorithm vtkBivariateStatisticsAlgorithmConstructorFunction
//input a
//output p
//@@Parents vtkBivariateStatisticsAlgorithm vtkStatisticsAlgorithm 
ArrayVector vtkBivariateStatisticsAlgorithmConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBivariateStatisticsAlgorithm::New(),"vtkBivariateStatisticsAlgorithm",eval);
  } else if (arg[0].className() == "vtkBivariateStatisticsAlgorithm") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBivariateStatisticsAlgorithm"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBivariateStatisticsAlgorithm");
    vtkBivariateStatisticsAlgorithm*q = reinterpret_cast<vtkBivariateStatisticsAlgorithm*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBivariateStatisticsAlgorithm");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBivariateStatisticsAlgorithm:GetClassName vtkBivariateStatisticsAlgorithmGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBivariateStatisticsAlgorithmGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBivariateStatisticsAlgorithm requires 1 argument(s)");
  vtkBivariateStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkBivariateStatisticsAlgorithm>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBivariateStatisticsAlgorithm:IsA vtkBivariateStatisticsAlgorithmIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBivariateStatisticsAlgorithmIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBivariateStatisticsAlgorithm requires 2 argument(s)");
  vtkBivariateStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkBivariateStatisticsAlgorithm>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBivariateStatisticsAlgorithm:NewInstance vtkBivariateStatisticsAlgorithmNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBivariateStatisticsAlgorithmNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBivariateStatisticsAlgorithm *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBivariateStatisticsAlgorithm requires 1 argument(s)");
  vtkBivariateStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkBivariateStatisticsAlgorithm>(arg[0]);
  Array retval;
  vtkBivariateStatisticsAlgorithm  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBivariateStatisticsAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBivariateStatisticsAlgorithm:SafeDownCast vtkBivariateStatisticsAlgorithmSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBivariateStatisticsAlgorithmSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBivariateStatisticsAlgorithm *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBivariateStatisticsAlgorithm requires 2 argument(s)");
  vtkBivariateStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkBivariateStatisticsAlgorithm>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBivariateStatisticsAlgorithm  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBivariateStatisticsAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBivariateStatisticsAlgorithm:AddColumnPair vtkBivariateStatisticsAlgorithmAddColumnPairFunction
//input a0 a1 a2 
//output none
ArrayVector vtkBivariateStatisticsAlgorithmAddColumnPairFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddColumnPair (const char *namColX, const char *namColY); */
  if (arg.size() < 3) 
    throw Exception("Function AddColumnPair for class vtkBivariateStatisticsAlgorithm requires 3 argument(s)");
  vtkBivariateStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkBivariateStatisticsAlgorithm>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->AddColumnPair(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkBivariateStatisticsAlgorithm:RequestSelectedColumns vtkBivariateStatisticsAlgorithmRequestSelectedColumnsFunction
//input a0 
//output y
ArrayVector vtkBivariateStatisticsAlgorithmRequestSelectedColumnsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RequestSelectedColumns (); */
  if (arg.size() < 1) 
    throw Exception("Function RequestSelectedColumns for class vtkBivariateStatisticsAlgorithm requires 1 argument(s)");
  vtkBivariateStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkBivariateStatisticsAlgorithm>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->RequestSelectedColumns();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBivariateStatisticsAlgorithm:display vtkBivariateStatisticsAlgorithmDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBivariateStatisticsAlgorithmDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBivariateStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkBivariateStatisticsAlgorithm>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBivariateStatisticsAlgorithm:delete vtkBivariateStatisticsAlgorithmDeleteFunction
//input varargin
//output none
ArrayVector vtkBivariateStatisticsAlgorithmDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBivariateStatisticsAlgorithm
//@@Section VTKInfovis
//@@Usage
// This class specializes statistics algorithms to the bivariate case, where
// a number of pairs of columns of interest can be selected in the input data set.
// This is done by the means of the following functions:
//
// ResetColumns() - reset the list of columns of interest.
// Add/RemoveColum( namColX, namColY ) - try to add/remove column pair ( namColX,
// namColy ) to/from the list.
// SetColumnStatus ( namCol, status ) - mostly for UI wrapping purposes, try to 
// add/remove (depending on status) namCol from a list of buffered columns, from
// which all possible pairs are generated.
// The verb "try" is used in the sense that neither attempting to 
// repeat an existing entry nor to remove a non-existent entry will work.
// 
// .SECTION Thanks
// Thanks to Philippe Pebay and David Thompson from Sandia National Laboratories 
// for implementing this class.
//
//To create an instance of class vtkBivariateStatisticsAlgorithm, simply
//invoke its constructor as follows
//@[
//  obj = vtkBivariateStatisticsAlgorithm
//@]
//@@Methods
//The class vtkBivariateStatisticsAlgorithm has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBivariateStatisticsAlgorithm class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkBivariateStatisticsAlgorithm = obj.NewInstance ()|
// \item @|vtkBivariateStatisticsAlgorithm = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddColumnPair (string namColX, string namColY)| -  Convenience method to create a request with a single column name pair 
//  (\p namColX, \p namColY) in a single call; this is the preferred method to select 
// columns pairs, ensuring selection consistency (a pair of columns per request).
//
// Unlike SetColumnStatus(), you need not call RequestSelectedColumns() after AddColumnPair().
//
// Warning: \p namColX and \p namColY are only checked for their validity as strings;
// no check is made that either are valid column names.
//// \item @|int = obj.RequestSelectedColumns ()| -  Use the current column status values to produce a new request for statistics
// to be produced when RequestData() is called.
// Unlike the superclass implementation, this version adds a new request for every
// possible pairing of the selected columns
// instead of a single request containing all the columns.
////\end{itemize}
//!
