#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBoxLayoutStrategy object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBoxLayoutStrategy.h"

//@@Signature
//sfunction @vtkBoxLayoutStrategy:vtkBoxLayoutStrategy vtkBoxLayoutStrategyConstructorFunction
//input a
//output p
//@@Parents vtkBoxLayoutStrategy vtkTreeMapLayoutStrategy 
ArrayVector vtkBoxLayoutStrategyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBoxLayoutStrategy::New(),"vtkBoxLayoutStrategy",eval);
  } else if (arg[0].className() == "vtkBoxLayoutStrategy") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBoxLayoutStrategy"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBoxLayoutStrategy");
    vtkBoxLayoutStrategy*q = reinterpret_cast<vtkBoxLayoutStrategy*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBoxLayoutStrategy");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBoxLayoutStrategy:GetClassName vtkBoxLayoutStrategyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBoxLayoutStrategyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBoxLayoutStrategy requires 1 argument(s)");
  vtkBoxLayoutStrategy* vtk_pointer = GetVTKPointer<vtkBoxLayoutStrategy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoxLayoutStrategy:IsA vtkBoxLayoutStrategyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBoxLayoutStrategyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBoxLayoutStrategy requires 2 argument(s)");
  vtkBoxLayoutStrategy* vtk_pointer = GetVTKPointer<vtkBoxLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBoxLayoutStrategy:NewInstance vtkBoxLayoutStrategyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBoxLayoutStrategyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBoxLayoutStrategy *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBoxLayoutStrategy requires 1 argument(s)");
  vtkBoxLayoutStrategy* vtk_pointer = GetVTKPointer<vtkBoxLayoutStrategy>(arg[0]);
  Array retval;
  vtkBoxLayoutStrategy  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBoxLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBoxLayoutStrategy:SafeDownCast vtkBoxLayoutStrategySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBoxLayoutStrategySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBoxLayoutStrategy *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBoxLayoutStrategy requires 2 argument(s)");
  vtkBoxLayoutStrategy* vtk_pointer = GetVTKPointer<vtkBoxLayoutStrategy>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBoxLayoutStrategy  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBoxLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBoxLayoutStrategy:Layout vtkBoxLayoutStrategyLayoutFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkBoxLayoutStrategyLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Layout (vtkTree *inputTree, vtkDataArray *coordsArray, vtkDataArray *sizeArray); */
  if (arg.size() < 4) 
    throw Exception("Function Layout for class vtkBoxLayoutStrategy requires 4 argument(s)");
  vtkBoxLayoutStrategy* vtk_pointer = GetVTKPointer<vtkBoxLayoutStrategy>(arg[0]);
  Array retval;
  vtkTree  *temp0;
  vtkDataArray  *temp1;
  vtkDataArray  *temp2;
  temp0 = GetVTKPointer<vtkTree>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkDataArray>(arg[3]);
  vtk_pointer->Layout(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkBoxLayoutStrategy:display vtkBoxLayoutStrategyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBoxLayoutStrategyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBoxLayoutStrategy* vtk_pointer = GetVTKPointer<vtkBoxLayoutStrategy>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBoxLayoutStrategy:delete vtkBoxLayoutStrategyDeleteFunction
//input varargin
//output none
ArrayVector vtkBoxLayoutStrategyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBoxLayoutStrategy
//@@Section VTKInfovis
//@@Usage
// vtkBoxLayoutStrategy recursively partitions the space for children vertices
// in a tree-map into square regions (or regions very close to a square).
//
// .SECTION Thanks
// Thanks to Brian Wylie from Sandia National Laboratories for creating this class.
//
//To create an instance of class vtkBoxLayoutStrategy, simply
//invoke its constructor as follows
//@[
//  obj = vtkBoxLayoutStrategy
//@]
//@@Methods
//The class vtkBoxLayoutStrategy has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBoxLayoutStrategy class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkBoxLayoutStrategy = obj.NewInstance ()|
// \item @|vtkBoxLayoutStrategy = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Layout (vtkTree inputTree, vtkDataArray coordsArray, vtkDataArray sizeArray)| -  Perform the layout of a tree and place the results as 4-tuples in
// coordsArray (Xmin, Xmax, Ymin, Ymax).
////\end{itemize}
//!
