#include "VTKWrap.hpp"

// FreeMat wrapper for vtkChacoGraphReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkChacoGraphReader.h"

//@@Signature
//sfunction @vtkChacoGraphReader:vtkChacoGraphReader vtkChacoGraphReaderConstructorFunction
//input a
//output p
//@@Parents vtkChacoGraphReader vtkUndirectedGraphAlgorithm 
ArrayVector vtkChacoGraphReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkChacoGraphReader::New(),"vtkChacoGraphReader",eval);
  } else if (arg[0].className() == "vtkChacoGraphReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkChacoGraphReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkChacoGraphReader");
    vtkChacoGraphReader*q = reinterpret_cast<vtkChacoGraphReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkChacoGraphReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkChacoGraphReader:GetClassName vtkChacoGraphReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkChacoGraphReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkChacoGraphReader requires 1 argument(s)");
  vtkChacoGraphReader* vtk_pointer = GetVTKPointer<vtkChacoGraphReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkChacoGraphReader:IsA vtkChacoGraphReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkChacoGraphReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkChacoGraphReader requires 2 argument(s)");
  vtkChacoGraphReader* vtk_pointer = GetVTKPointer<vtkChacoGraphReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkChacoGraphReader:NewInstance vtkChacoGraphReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkChacoGraphReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkChacoGraphReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkChacoGraphReader requires 1 argument(s)");
  vtkChacoGraphReader* vtk_pointer = GetVTKPointer<vtkChacoGraphReader>(arg[0]);
  Array retval;
  vtkChacoGraphReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkChacoGraphReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkChacoGraphReader:SafeDownCast vtkChacoGraphReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkChacoGraphReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkChacoGraphReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkChacoGraphReader requires 2 argument(s)");
  vtkChacoGraphReader* vtk_pointer = GetVTKPointer<vtkChacoGraphReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkChacoGraphReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkChacoGraphReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkChacoGraphReader:GetFileName vtkChacoGraphReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkChacoGraphReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkChacoGraphReader requires 1 argument(s)");
  vtkChacoGraphReader* vtk_pointer = GetVTKPointer<vtkChacoGraphReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkChacoGraphReader:SetFileName vtkChacoGraphReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkChacoGraphReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkChacoGraphReader requires 2 argument(s)");
  vtkChacoGraphReader* vtk_pointer = GetVTKPointer<vtkChacoGraphReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkChacoGraphReader:display vtkChacoGraphReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkChacoGraphReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkChacoGraphReader* vtk_pointer = GetVTKPointer<vtkChacoGraphReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkChacoGraphReader:delete vtkChacoGraphReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkChacoGraphReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkChacoGraphReader
//@@Section VTKInfovis
//@@Usage
// vtkChacoGraphReader reads in files in the Chaco format into a vtkGraph.
// An example is the following
// <code>
// 10 13
// 2 6 10
// 1 3
// 2 4 8
// 3 5
// 4 6 10
// 1 5 7
// 6 8
// 3 7 9
// 8 10
// 1 5 9
// </code>
// The first line specifies the number of vertices and edges
// in the graph. Each additional line contains the vertices adjacent
// to a particular vertex.  In this example, vertex 1 is adjacent to
// 2, 6 and 10, vertex 2 is adjacent to 1 and 3, etc.  Since Chaco ids
// start at 1 and VTK ids start at 0, the vertex ids in the vtkGraph
// will be 1 less than the Chaco ids.
//
//To create an instance of class vtkChacoGraphReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkChacoGraphReader
//@]
//@@Methods
//The class vtkChacoGraphReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkChacoGraphReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkChacoGraphReader = obj.NewInstance ()|
// \item @|vtkChacoGraphReader = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetFileName ()| -  The Chaco file name.
//// \item @|obj.SetFileName (string )| -  The Chaco file name.
////\end{itemize}
//!
