#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCircularLayoutStrategy object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCircularLayoutStrategy.h"

//@@Signature
//sfunction @vtkCircularLayoutStrategy:vtkCircularLayoutStrategy vtkCircularLayoutStrategyConstructorFunction
//input a
//output p
//@@Parents vtkCircularLayoutStrategy vtkGraphLayoutStrategy 
ArrayVector vtkCircularLayoutStrategyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCircularLayoutStrategy::New(),"vtkCircularLayoutStrategy",eval);
  } else if (arg[0].className() == "vtkCircularLayoutStrategy") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCircularLayoutStrategy"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCircularLayoutStrategy");
    vtkCircularLayoutStrategy*q = reinterpret_cast<vtkCircularLayoutStrategy*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCircularLayoutStrategy");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCircularLayoutStrategy:GetClassName vtkCircularLayoutStrategyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCircularLayoutStrategyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCircularLayoutStrategy requires 1 argument(s)");
  vtkCircularLayoutStrategy* vtk_pointer = GetVTKPointer<vtkCircularLayoutStrategy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCircularLayoutStrategy:IsA vtkCircularLayoutStrategyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCircularLayoutStrategyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCircularLayoutStrategy requires 2 argument(s)");
  vtkCircularLayoutStrategy* vtk_pointer = GetVTKPointer<vtkCircularLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCircularLayoutStrategy:NewInstance vtkCircularLayoutStrategyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCircularLayoutStrategyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCircularLayoutStrategy *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCircularLayoutStrategy requires 1 argument(s)");
  vtkCircularLayoutStrategy* vtk_pointer = GetVTKPointer<vtkCircularLayoutStrategy>(arg[0]);
  Array retval;
  vtkCircularLayoutStrategy  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCircularLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCircularLayoutStrategy:SafeDownCast vtkCircularLayoutStrategySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCircularLayoutStrategySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCircularLayoutStrategy *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCircularLayoutStrategy requires 2 argument(s)");
  vtkCircularLayoutStrategy* vtk_pointer = GetVTKPointer<vtkCircularLayoutStrategy>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCircularLayoutStrategy  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCircularLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCircularLayoutStrategy:Layout vtkCircularLayoutStrategyLayoutFunction
//input a0 
//output none
ArrayVector vtkCircularLayoutStrategyLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Layout (); */
  if (arg.size() < 1) 
    throw Exception("Function Layout for class vtkCircularLayoutStrategy requires 1 argument(s)");
  vtkCircularLayoutStrategy* vtk_pointer = GetVTKPointer<vtkCircularLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->Layout();
  return retval;
}

//@@Signature
//sfunction @vtkCircularLayoutStrategy:display vtkCircularLayoutStrategyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCircularLayoutStrategyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCircularLayoutStrategy* vtk_pointer = GetVTKPointer<vtkCircularLayoutStrategy>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCircularLayoutStrategy:delete vtkCircularLayoutStrategyDeleteFunction
//input varargin
//output none
ArrayVector vtkCircularLayoutStrategyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCircularLayoutStrategy
//@@Section VTKInfovis
//@@Usage
// Assigns points to the vertices around a circle with unit radius.
//
//To create an instance of class vtkCircularLayoutStrategy, simply
//invoke its constructor as follows
//@[
//  obj = vtkCircularLayoutStrategy
//@]
//@@Methods
//The class vtkCircularLayoutStrategy has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCircularLayoutStrategy class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCircularLayoutStrategy = obj.NewInstance ()|
// \item @|vtkCircularLayoutStrategy = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Layout ()| -  Perform the layout.
////\end{itemize}
//!
