#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCollapseGraph object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCollapseGraph.h"

//@@Signature
//sfunction @vtkCollapseGraph:vtkCollapseGraph vtkCollapseGraphConstructorFunction
//input a
//output p
//@@Parents vtkCollapseGraph vtkGraphAlgorithm 
ArrayVector vtkCollapseGraphConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCollapseGraph::New(),"vtkCollapseGraph",eval);
  } else if (arg[0].className() == "vtkCollapseGraph") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCollapseGraph"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCollapseGraph");
    vtkCollapseGraph*q = reinterpret_cast<vtkCollapseGraph*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCollapseGraph");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCollapseGraph:GetClassName vtkCollapseGraphGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCollapseGraphGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCollapseGraph requires 1 argument(s)");
  vtkCollapseGraph* vtk_pointer = GetVTKPointer<vtkCollapseGraph>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCollapseGraph:IsA vtkCollapseGraphIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCollapseGraphIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCollapseGraph requires 2 argument(s)");
  vtkCollapseGraph* vtk_pointer = GetVTKPointer<vtkCollapseGraph>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCollapseGraph:NewInstance vtkCollapseGraphNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCollapseGraphNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCollapseGraph *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCollapseGraph requires 1 argument(s)");
  vtkCollapseGraph* vtk_pointer = GetVTKPointer<vtkCollapseGraph>(arg[0]);
  Array retval;
  vtkCollapseGraph  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCollapseGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCollapseGraph:SafeDownCast vtkCollapseGraphSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCollapseGraphSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCollapseGraph *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCollapseGraph requires 2 argument(s)");
  vtkCollapseGraph* vtk_pointer = GetVTKPointer<vtkCollapseGraph>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCollapseGraph  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCollapseGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCollapseGraph:SetGraphConnection vtkCollapseGraphSetGraphConnectionFunction
//input a0 a1 
//output none
ArrayVector vtkCollapseGraphSetGraphConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGraphConnection (vtkAlgorithmOutput *); */
  if (arg.size() < 2) 
    throw Exception("Function SetGraphConnection for class vtkCollapseGraph requires 2 argument(s)");
  vtkCollapseGraph* vtk_pointer = GetVTKPointer<vtkCollapseGraph>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->SetGraphConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCollapseGraph:SetSelectionConnection vtkCollapseGraphSetSelectionConnectionFunction
//input a0 a1 
//output none
ArrayVector vtkCollapseGraphSetSelectionConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectionConnection (vtkAlgorithmOutput *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectionConnection for class vtkCollapseGraph requires 2 argument(s)");
  vtkCollapseGraph* vtk_pointer = GetVTKPointer<vtkCollapseGraph>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->SetSelectionConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCollapseGraph:display vtkCollapseGraphDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCollapseGraphDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCollapseGraph* vtk_pointer = GetVTKPointer<vtkCollapseGraph>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCollapseGraph:delete vtkCollapseGraphDeleteFunction
//input varargin
//output none
ArrayVector vtkCollapseGraphDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCollapseGraph
//@@Section VTKInfovis
//@@Usage
//
// vtkCollapseGraph "collapses" vertices onto their neighbors, while maintaining
// connectivity.  Two inputs are required - a graph (directed or undirected),
// and a vertex selection that can be converted to indices.
//
// Conceptually, each of the vertices specified in the input selection
// expands, "swallowing" adacent vertices.  Edges to-or-from the "swallowed"
// vertices become edges to-or-from the expanding vertices, maintaining the
// overall graph connectivity.
//
// In the case of directed graphs, expanding vertices only swallow vertices that
// are connected via out edges.  This rule provides intuitive behavior when
// working with trees, so that "child" vertices collapse into their parents
// when the parents are part of the input selection.
//
// Input port 0: graph
// Input port 1: selection
//
//To create an instance of class vtkCollapseGraph, simply
//invoke its constructor as follows
//@[
//  obj = vtkCollapseGraph
//@]
//@@Methods
//The class vtkCollapseGraph has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCollapseGraph class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCollapseGraph = obj.NewInstance ()|
// \item @|vtkCollapseGraph = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetGraphConnection (vtkAlgorithmOutput )|
// \item @|obj.SetSelectionConnection (vtkAlgorithmOutput )|
//\end{itemize}
//!
