#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCollapseVerticesByArray object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCollapseVerticesByArray.h"

//@@Signature
//sfunction @vtkCollapseVerticesByArray:vtkCollapseVerticesByArray vtkCollapseVerticesByArrayConstructorFunction
//input a
//output p
//@@Parents vtkCollapseVerticesByArray vtkGraphAlgorithm 
ArrayVector vtkCollapseVerticesByArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCollapseVerticesByArray::New(),"vtkCollapseVerticesByArray",eval);
  } else if (arg[0].className() == "vtkCollapseVerticesByArray") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCollapseVerticesByArray"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCollapseVerticesByArray");
    vtkCollapseVerticesByArray*q = reinterpret_cast<vtkCollapseVerticesByArray*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCollapseVerticesByArray");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCollapseVerticesByArray:GetClassName vtkCollapseVerticesByArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCollapseVerticesByArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCollapseVerticesByArray requires 1 argument(s)");
  vtkCollapseVerticesByArray* vtk_pointer = GetVTKPointer<vtkCollapseVerticesByArray>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCollapseVerticesByArray:IsA vtkCollapseVerticesByArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCollapseVerticesByArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCollapseVerticesByArray requires 2 argument(s)");
  vtkCollapseVerticesByArray* vtk_pointer = GetVTKPointer<vtkCollapseVerticesByArray>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCollapseVerticesByArray:NewInstance vtkCollapseVerticesByArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCollapseVerticesByArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCollapseVerticesByArray *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCollapseVerticesByArray requires 1 argument(s)");
  vtkCollapseVerticesByArray* vtk_pointer = GetVTKPointer<vtkCollapseVerticesByArray>(arg[0]);
  Array retval;
  vtkCollapseVerticesByArray  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCollapseVerticesByArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCollapseVerticesByArray:SafeDownCast vtkCollapseVerticesByArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCollapseVerticesByArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCollapseVerticesByArray *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCollapseVerticesByArray requires 2 argument(s)");
  vtkCollapseVerticesByArray* vtk_pointer = GetVTKPointer<vtkCollapseVerticesByArray>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCollapseVerticesByArray  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCollapseVerticesByArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCollapseVerticesByArray:GetAllowSelfLoops vtkCollapseVerticesByArrayGetAllowSelfLoopsFunction
//input a0 
//output y
ArrayVector vtkCollapseVerticesByArrayGetAllowSelfLoopsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetAllowSelfLoops (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAllowSelfLoops for class vtkCollapseVerticesByArray requires 1 argument(s)");
  vtkCollapseVerticesByArray* vtk_pointer = GetVTKPointer<vtkCollapseVerticesByArray>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetAllowSelfLoops();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkCollapseVerticesByArray:SetAllowSelfLoops vtkCollapseVerticesByArraySetAllowSelfLoopsFunction
//input a0 a1 
//output none
ArrayVector vtkCollapseVerticesByArraySetAllowSelfLoopsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAllowSelfLoops (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAllowSelfLoops for class vtkCollapseVerticesByArray requires 2 argument(s)");
  vtkCollapseVerticesByArray* vtk_pointer = GetVTKPointer<vtkCollapseVerticesByArray>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetAllowSelfLoops(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCollapseVerticesByArray:AllowSelfLoopsOn vtkCollapseVerticesByArrayAllowSelfLoopsOnFunction
//input a0 
//output none
ArrayVector vtkCollapseVerticesByArrayAllowSelfLoopsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllowSelfLoopsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AllowSelfLoopsOn for class vtkCollapseVerticesByArray requires 1 argument(s)");
  vtkCollapseVerticesByArray* vtk_pointer = GetVTKPointer<vtkCollapseVerticesByArray>(arg[0]);
  Array retval;
  vtk_pointer->AllowSelfLoopsOn();
  return retval;
}

//@@Signature
//sfunction @vtkCollapseVerticesByArray:AllowSelfLoopsOff vtkCollapseVerticesByArrayAllowSelfLoopsOffFunction
//input a0 
//output none
ArrayVector vtkCollapseVerticesByArrayAllowSelfLoopsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllowSelfLoopsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AllowSelfLoopsOff for class vtkCollapseVerticesByArray requires 1 argument(s)");
  vtkCollapseVerticesByArray* vtk_pointer = GetVTKPointer<vtkCollapseVerticesByArray>(arg[0]);
  Array retval;
  vtk_pointer->AllowSelfLoopsOff();
  return retval;
}

//@@Signature
//sfunction @vtkCollapseVerticesByArray:AddAggregateEdgeArray vtkCollapseVerticesByArrayAddAggregateEdgeArrayFunction
//input a0 a1 
//output none
ArrayVector vtkCollapseVerticesByArrayAddAggregateEdgeArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddAggregateEdgeArray (const char *arrName); */
  if (arg.size() < 2) 
    throw Exception("Function AddAggregateEdgeArray for class vtkCollapseVerticesByArray requires 2 argument(s)");
  vtkCollapseVerticesByArray* vtk_pointer = GetVTKPointer<vtkCollapseVerticesByArray>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->AddAggregateEdgeArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCollapseVerticesByArray:ClearAggregateEdgeArray vtkCollapseVerticesByArrayClearAggregateEdgeArrayFunction
//input a0 
//output none
ArrayVector vtkCollapseVerticesByArrayClearAggregateEdgeArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClearAggregateEdgeArray (); */
  if (arg.size() < 1) 
    throw Exception("Function ClearAggregateEdgeArray for class vtkCollapseVerticesByArray requires 1 argument(s)");
  vtkCollapseVerticesByArray* vtk_pointer = GetVTKPointer<vtkCollapseVerticesByArray>(arg[0]);
  Array retval;
  vtk_pointer->ClearAggregateEdgeArray();
  return retval;
}

//@@Signature
//sfunction @vtkCollapseVerticesByArray:GetVertexArray vtkCollapseVerticesByArrayGetVertexArrayFunction
//input a0 
//output y
ArrayVector vtkCollapseVerticesByArrayGetVertexArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetVertexArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertexArray for class vtkCollapseVerticesByArray requires 1 argument(s)");
  vtkCollapseVerticesByArray* vtk_pointer = GetVTKPointer<vtkCollapseVerticesByArray>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetVertexArray();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCollapseVerticesByArray:SetVertexArray vtkCollapseVerticesByArraySetVertexArrayFunction
//input a0 a1 
//output none
ArrayVector vtkCollapseVerticesByArraySetVertexArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVertexArray (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetVertexArray for class vtkCollapseVerticesByArray requires 2 argument(s)");
  vtkCollapseVerticesByArray* vtk_pointer = GetVTKPointer<vtkCollapseVerticesByArray>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetVertexArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCollapseVerticesByArray:display vtkCollapseVerticesByArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCollapseVerticesByArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCollapseVerticesByArray* vtk_pointer = GetVTKPointer<vtkCollapseVerticesByArray>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCollapseVerticesByArray:delete vtkCollapseVerticesByArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkCollapseVerticesByArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCollapseVerticesByArray
//@@Section VTKInfovis
//@@Usage
// vtkCollapseVerticesByArray is a class which collapses the graph using
// a vertex array as the key. So if the graph has vertices sharing common
// traits then this class combines all these vertices into one. This class
// does not perform aggregation on vertex data but allow to do so for edge data.
// Users can choose one or more edge data arrays for aggregation using
// AddAggregateEdgeArray function.
//
// .SECTION Thanks
//
//
//To create an instance of class vtkCollapseVerticesByArray, simply
//invoke its constructor as follows
//@[
//  obj = vtkCollapseVerticesByArray
//@]
//@@Methods
//The class vtkCollapseVerticesByArray has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCollapseVerticesByArray class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCollapseVerticesByArray = obj.NewInstance ()|
// \item @|vtkCollapseVerticesByArray = obj.SafeDownCast (vtkObject o)|
// \item @|bool = obj.GetAllowSelfLoops ()| -  Boolean to allow self loops during collapse.
//// \item @|obj.SetAllowSelfLoops (bool )| -  Boolean to allow self loops during collapse.
//// \item @|obj.AllowSelfLoopsOn ()| -  Boolean to allow self loops during collapse.
//// \item @|obj.AllowSelfLoopsOff ()| -  Boolean to allow self loops during collapse.
//// \item @|obj.AddAggregateEdgeArray (string arrName)| -  Add arrays on which aggregation of data is allowed.
// Default if replaced by the last value.
//// \item @|obj.ClearAggregateEdgeArray ()| -  Clear the list of arrays on which aggregation was set to allow.
//// \item @|string = obj.GetVertexArray ()| -  Set the array using which perform the collapse.
//// \item @|obj.SetVertexArray (string )| -  Set the array using which perform the collapse.
////\end{itemize}
//!
