#include "VTKWrap.hpp"

// FreeMat wrapper for vtkConeLayoutStrategy object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkConeLayoutStrategy.h"

//@@Signature
//sfunction @vtkConeLayoutStrategy:vtkConeLayoutStrategy vtkConeLayoutStrategyConstructorFunction
//input a
//output p
//@@Parents vtkConeLayoutStrategy vtkGraphLayoutStrategy 
ArrayVector vtkConeLayoutStrategyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkConeLayoutStrategy::New(),"vtkConeLayoutStrategy",eval);
  } else if (arg[0].className() == "vtkConeLayoutStrategy") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkConeLayoutStrategy"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkConeLayoutStrategy");
    vtkConeLayoutStrategy*q = reinterpret_cast<vtkConeLayoutStrategy*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkConeLayoutStrategy");
    return ret;
  }
}
//@@Signature
//sfunction @vtkConeLayoutStrategy:GetClassName vtkConeLayoutStrategyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkConeLayoutStrategyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkConeLayoutStrategy requires 1 argument(s)");
  vtkConeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConeLayoutStrategy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConeLayoutStrategy:IsA vtkConeLayoutStrategyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkConeLayoutStrategyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkConeLayoutStrategy requires 2 argument(s)");
  vtkConeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConeLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConeLayoutStrategy:NewInstance vtkConeLayoutStrategyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkConeLayoutStrategyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkConeLayoutStrategy *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkConeLayoutStrategy requires 1 argument(s)");
  vtkConeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConeLayoutStrategy>(arg[0]);
  Array retval;
  vtkConeLayoutStrategy  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkConeLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConeLayoutStrategy:SafeDownCast vtkConeLayoutStrategySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkConeLayoutStrategySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkConeLayoutStrategy *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkConeLayoutStrategy requires 2 argument(s)");
  vtkConeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConeLayoutStrategy>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkConeLayoutStrategy  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkConeLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConeLayoutStrategy:SetCompactness vtkConeLayoutStrategySetCompactnessFunction
//input a0 a1 
//output none
ArrayVector vtkConeLayoutStrategySetCompactnessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCompactness (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCompactness for class vtkConeLayoutStrategy requires 2 argument(s)");
  vtkConeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConeLayoutStrategy>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCompactness(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConeLayoutStrategy:GetCompactness vtkConeLayoutStrategyGetCompactnessFunction
//input a0 
//output y
ArrayVector vtkConeLayoutStrategyGetCompactnessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetCompactness (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCompactness for class vtkConeLayoutStrategy requires 1 argument(s)");
  vtkConeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConeLayoutStrategy>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetCompactness();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConeLayoutStrategy:SetCompression vtkConeLayoutStrategySetCompressionFunction
//input a0 a1 
//output none
ArrayVector vtkConeLayoutStrategySetCompressionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCompression (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCompression for class vtkConeLayoutStrategy requires 2 argument(s)");
  vtkConeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConeLayoutStrategy>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCompression(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConeLayoutStrategy:GetCompression vtkConeLayoutStrategyGetCompressionFunction
//input a0 
//output y
ArrayVector vtkConeLayoutStrategyGetCompressionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCompression (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCompression for class vtkConeLayoutStrategy requires 1 argument(s)");
  vtkConeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConeLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCompression();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConeLayoutStrategy:CompressionOn vtkConeLayoutStrategyCompressionOnFunction
//input a0 
//output none
ArrayVector vtkConeLayoutStrategyCompressionOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CompressionOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CompressionOn for class vtkConeLayoutStrategy requires 1 argument(s)");
  vtkConeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConeLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->CompressionOn();
  return retval;
}

//@@Signature
//sfunction @vtkConeLayoutStrategy:CompressionOff vtkConeLayoutStrategyCompressionOffFunction
//input a0 
//output none
ArrayVector vtkConeLayoutStrategyCompressionOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CompressionOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CompressionOff for class vtkConeLayoutStrategy requires 1 argument(s)");
  vtkConeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConeLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->CompressionOff();
  return retval;
}

//@@Signature
//sfunction @vtkConeLayoutStrategy:SetSpacing vtkConeLayoutStrategySetSpacingFunction
//input a0 a1 
//output none
ArrayVector vtkConeLayoutStrategySetSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpacing (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSpacing for class vtkConeLayoutStrategy requires 2 argument(s)");
  vtkConeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConeLayoutStrategy>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetSpacing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConeLayoutStrategy:GetSpacing vtkConeLayoutStrategyGetSpacingFunction
//input a0 
//output y
ArrayVector vtkConeLayoutStrategyGetSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetSpacing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSpacing for class vtkConeLayoutStrategy requires 1 argument(s)");
  vtkConeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConeLayoutStrategy>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetSpacing();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConeLayoutStrategy:Layout vtkConeLayoutStrategyLayoutFunction
//input a0 
//output none
ArrayVector vtkConeLayoutStrategyLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Layout (); */
  if (arg.size() < 1) 
    throw Exception("Function Layout for class vtkConeLayoutStrategy requires 1 argument(s)");
  vtkConeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConeLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->Layout();
  return retval;
}

//@@Signature
//sfunction @vtkConeLayoutStrategy:display vtkConeLayoutStrategyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkConeLayoutStrategyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkConeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConeLayoutStrategy>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkConeLayoutStrategy:delete vtkConeLayoutStrategyDeleteFunction
//input varargin
//output none
ArrayVector vtkConeLayoutStrategyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkConeLayoutStrategy
//@@Section VTKInfovis
//@@Usage
// vtkConeLayoutStrategy positions the nodes of a tree(forest) in 3D 
// space based on the cone-tree approach first described by 
// Robertson, Mackinlay and Card in Proc. CHI'91.  This
// implementation incorporates refinements to the layout 
// developed by Carriere and Kazman, and by Auber.
//
// The input graph must be a forest (i.e. a set of trees, or a 
// single tree); in the case of a forest, the input will be
// converted to a single tree by introducing a new root node, 
// and connecting each root in the input forest to the meta-root. 
// The tree is then laid out, after which the meta-root is removed.  
//
// The cones are positioned so that children lie in planes parallel
// to the X-Y plane, with the axis of cones parallel to Z, and
// with Z coordinate increasing with distance of nodes from the root.
//
// .SECTION Thanks
// Thanks to David Duke from the University of Leeds for providing this 
// implementation.
//
//To create an instance of class vtkConeLayoutStrategy, simply
//invoke its constructor as follows
//@[
//  obj = vtkConeLayoutStrategy
//@]
//@@Methods
//The class vtkConeLayoutStrategy has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkConeLayoutStrategy class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkConeLayoutStrategy = obj.NewInstance ()|
// \item @|vtkConeLayoutStrategy = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCompactness (float )| -  Determine the compactness, the ratio between the
// average width of a cone in the tree, and the 
// height of the cone.  The default setting is 0.75
// which (empirically) seems reasonable, but this
// will need adapting depending on the data.
//// \item @|float = obj.GetCompactness ()| -  Determine the compactness, the ratio between the
// average width of a cone in the tree, and the 
// height of the cone.  The default setting is 0.75
// which (empirically) seems reasonable, but this
// will need adapting depending on the data.
//// \item @|obj.SetCompression (int )| -  Determine if layout should be compressed, i.e. the 
// layout puts children closer together, possibly allowing
// sub-trees to overlap.  This is useful if the tree is 
// actually the spanning tree of a graph.  For "real" trees, 
// non-compressed layout is best, and is the default.
//// \item @|int = obj.GetCompression ()| -  Determine if layout should be compressed, i.e. the 
// layout puts children closer together, possibly allowing
// sub-trees to overlap.  This is useful if the tree is 
// actually the spanning tree of a graph.  For "real" trees, 
// non-compressed layout is best, and is the default.
//// \item @|obj.CompressionOn ()| -  Determine if layout should be compressed, i.e. the 
// layout puts children closer together, possibly allowing
// sub-trees to overlap.  This is useful if the tree is 
// actually the spanning tree of a graph.  For "real" trees, 
// non-compressed layout is best, and is the default.
//// \item @|obj.CompressionOff ()| -  Determine if layout should be compressed, i.e. the 
// layout puts children closer together, possibly allowing
// sub-trees to overlap.  This is useful if the tree is 
// actually the spanning tree of a graph.  For "real" trees, 
// non-compressed layout is best, and is the default.
//// \item @|obj.SetSpacing (float )| -  Set the spacing parameter that affects space between
// layers of the tree.  If compression is on, Spacing is the
// actual distance between layers.  If compression is off, 
// actual distance also includes a factor of the compactness
// and maximum cone radius.
//// \item @|float = obj.GetSpacing ()| -  Set the spacing parameter that affects space between
// layers of the tree.  If compression is on, Spacing is the
// actual distance between layers.  If compression is off, 
// actual distance also includes a factor of the compactness
// and maximum cone radius.
//// \item @|obj.Layout ()| -  Perform the layout.
////\end{itemize}
//!
