#include "VTKWrap.hpp"

// FreeMat wrapper for vtkConstrained2DLayoutStrategy object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkConstrained2DLayoutStrategy.h"

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:vtkConstrained2DLayoutStrategy vtkConstrained2DLayoutStrategyConstructorFunction
//input a
//output p
//@@Parents vtkConstrained2DLayoutStrategy vtkGraphLayoutStrategy 
ArrayVector vtkConstrained2DLayoutStrategyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkConstrained2DLayoutStrategy::New(),"vtkConstrained2DLayoutStrategy",eval);
  } else if (arg[0].className() == "vtkConstrained2DLayoutStrategy") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkConstrained2DLayoutStrategy"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkConstrained2DLayoutStrategy");
    vtkConstrained2DLayoutStrategy*q = reinterpret_cast<vtkConstrained2DLayoutStrategy*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkConstrained2DLayoutStrategy");
    return ret;
  }
}
//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:GetClassName vtkConstrained2DLayoutStrategyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkConstrained2DLayoutStrategyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkConstrained2DLayoutStrategy requires 1 argument(s)");
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:IsA vtkConstrained2DLayoutStrategyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkConstrained2DLayoutStrategyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkConstrained2DLayoutStrategy requires 2 argument(s)");
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:NewInstance vtkConstrained2DLayoutStrategyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkConstrained2DLayoutStrategyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkConstrained2DLayoutStrategy *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkConstrained2DLayoutStrategy requires 1 argument(s)");
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  Array retval;
  vtkConstrained2DLayoutStrategy  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkConstrained2DLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:SafeDownCast vtkConstrained2DLayoutStrategySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkConstrained2DLayoutStrategySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkConstrained2DLayoutStrategy *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkConstrained2DLayoutStrategy requires 2 argument(s)");
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkConstrained2DLayoutStrategy  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkConstrained2DLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:SetRandomSeed vtkConstrained2DLayoutStrategySetRandomSeedFunction
//input a0 a1 
//output none
ArrayVector vtkConstrained2DLayoutStrategySetRandomSeedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRandomSeed (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRandomSeed for class vtkConstrained2DLayoutStrategy requires 2 argument(s)");
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRandomSeed(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:GetRandomSeedMinValue vtkConstrained2DLayoutStrategyGetRandomSeedMinValueFunction
//input a0 
//output y
ArrayVector vtkConstrained2DLayoutStrategyGetRandomSeedMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRandomSeedMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRandomSeedMinValue for class vtkConstrained2DLayoutStrategy requires 1 argument(s)");
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRandomSeedMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:GetRandomSeedMaxValue vtkConstrained2DLayoutStrategyGetRandomSeedMaxValueFunction
//input a0 
//output y
ArrayVector vtkConstrained2DLayoutStrategyGetRandomSeedMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRandomSeedMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRandomSeedMaxValue for class vtkConstrained2DLayoutStrategy requires 1 argument(s)");
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRandomSeedMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:GetRandomSeed vtkConstrained2DLayoutStrategyGetRandomSeedFunction
//input a0 
//output y
ArrayVector vtkConstrained2DLayoutStrategyGetRandomSeedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRandomSeed (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRandomSeed for class vtkConstrained2DLayoutStrategy requires 1 argument(s)");
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRandomSeed();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:SetMaxNumberOfIterations vtkConstrained2DLayoutStrategySetMaxNumberOfIterationsFunction
//input a0 a1 
//output none
ArrayVector vtkConstrained2DLayoutStrategySetMaxNumberOfIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxNumberOfIterations (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxNumberOfIterations for class vtkConstrained2DLayoutStrategy requires 2 argument(s)");
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaxNumberOfIterations(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:GetMaxNumberOfIterationsMinValue vtkConstrained2DLayoutStrategyGetMaxNumberOfIterationsMinValueFunction
//input a0 
//output y
ArrayVector vtkConstrained2DLayoutStrategyGetMaxNumberOfIterationsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxNumberOfIterationsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxNumberOfIterationsMinValue for class vtkConstrained2DLayoutStrategy requires 1 argument(s)");
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxNumberOfIterationsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:GetMaxNumberOfIterationsMaxValue vtkConstrained2DLayoutStrategyGetMaxNumberOfIterationsMaxValueFunction
//input a0 
//output y
ArrayVector vtkConstrained2DLayoutStrategyGetMaxNumberOfIterationsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxNumberOfIterationsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxNumberOfIterationsMaxValue for class vtkConstrained2DLayoutStrategy requires 1 argument(s)");
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxNumberOfIterationsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:GetMaxNumberOfIterations vtkConstrained2DLayoutStrategyGetMaxNumberOfIterationsFunction
//input a0 
//output y
ArrayVector vtkConstrained2DLayoutStrategyGetMaxNumberOfIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxNumberOfIterations (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxNumberOfIterations for class vtkConstrained2DLayoutStrategy requires 1 argument(s)");
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxNumberOfIterations();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:SetIterationsPerLayout vtkConstrained2DLayoutStrategySetIterationsPerLayoutFunction
//input a0 a1 
//output none
ArrayVector vtkConstrained2DLayoutStrategySetIterationsPerLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIterationsPerLayout (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIterationsPerLayout for class vtkConstrained2DLayoutStrategy requires 2 argument(s)");
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIterationsPerLayout(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:GetIterationsPerLayoutMinValue vtkConstrained2DLayoutStrategyGetIterationsPerLayoutMinValueFunction
//input a0 
//output y
ArrayVector vtkConstrained2DLayoutStrategyGetIterationsPerLayoutMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIterationsPerLayoutMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIterationsPerLayoutMinValue for class vtkConstrained2DLayoutStrategy requires 1 argument(s)");
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIterationsPerLayoutMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:GetIterationsPerLayoutMaxValue vtkConstrained2DLayoutStrategyGetIterationsPerLayoutMaxValueFunction
//input a0 
//output y
ArrayVector vtkConstrained2DLayoutStrategyGetIterationsPerLayoutMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIterationsPerLayoutMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIterationsPerLayoutMaxValue for class vtkConstrained2DLayoutStrategy requires 1 argument(s)");
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIterationsPerLayoutMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:GetIterationsPerLayout vtkConstrained2DLayoutStrategyGetIterationsPerLayoutFunction
//input a0 
//output y
ArrayVector vtkConstrained2DLayoutStrategyGetIterationsPerLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIterationsPerLayout (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIterationsPerLayout for class vtkConstrained2DLayoutStrategy requires 1 argument(s)");
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIterationsPerLayout();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:SetInitialTemperature vtkConstrained2DLayoutStrategySetInitialTemperatureFunction
//input a0 a1 
//output none
ArrayVector vtkConstrained2DLayoutStrategySetInitialTemperatureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInitialTemperature (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInitialTemperature for class vtkConstrained2DLayoutStrategy requires 2 argument(s)");
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetInitialTemperature(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:GetInitialTemperatureMinValue vtkConstrained2DLayoutStrategyGetInitialTemperatureMinValueFunction
//input a0 
//output y
ArrayVector vtkConstrained2DLayoutStrategyGetInitialTemperatureMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetInitialTemperatureMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInitialTemperatureMinValue for class vtkConstrained2DLayoutStrategy requires 1 argument(s)");
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetInitialTemperatureMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:GetInitialTemperatureMaxValue vtkConstrained2DLayoutStrategyGetInitialTemperatureMaxValueFunction
//input a0 
//output y
ArrayVector vtkConstrained2DLayoutStrategyGetInitialTemperatureMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetInitialTemperatureMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInitialTemperatureMaxValue for class vtkConstrained2DLayoutStrategy requires 1 argument(s)");
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetInitialTemperatureMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:GetInitialTemperature vtkConstrained2DLayoutStrategyGetInitialTemperatureFunction
//input a0 
//output y
ArrayVector vtkConstrained2DLayoutStrategyGetInitialTemperatureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetInitialTemperature (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInitialTemperature for class vtkConstrained2DLayoutStrategy requires 1 argument(s)");
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetInitialTemperature();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:SetCoolDownRate vtkConstrained2DLayoutStrategySetCoolDownRateFunction
//input a0 a1 
//output none
ArrayVector vtkConstrained2DLayoutStrategySetCoolDownRateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCoolDownRate (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCoolDownRate for class vtkConstrained2DLayoutStrategy requires 2 argument(s)");
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCoolDownRate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:GetCoolDownRateMinValue vtkConstrained2DLayoutStrategyGetCoolDownRateMinValueFunction
//input a0 
//output y
ArrayVector vtkConstrained2DLayoutStrategyGetCoolDownRateMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCoolDownRateMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCoolDownRateMinValue for class vtkConstrained2DLayoutStrategy requires 1 argument(s)");
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCoolDownRateMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:GetCoolDownRateMaxValue vtkConstrained2DLayoutStrategyGetCoolDownRateMaxValueFunction
//input a0 
//output y
ArrayVector vtkConstrained2DLayoutStrategyGetCoolDownRateMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCoolDownRateMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCoolDownRateMaxValue for class vtkConstrained2DLayoutStrategy requires 1 argument(s)");
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCoolDownRateMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:GetCoolDownRate vtkConstrained2DLayoutStrategyGetCoolDownRateFunction
//input a0 
//output y
ArrayVector vtkConstrained2DLayoutStrategyGetCoolDownRateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCoolDownRate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCoolDownRate for class vtkConstrained2DLayoutStrategy requires 1 argument(s)");
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCoolDownRate();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:SetRestDistance vtkConstrained2DLayoutStrategySetRestDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkConstrained2DLayoutStrategySetRestDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRestDistance (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRestDistance for class vtkConstrained2DLayoutStrategy requires 2 argument(s)");
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRestDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:GetRestDistance vtkConstrained2DLayoutStrategyGetRestDistanceFunction
//input a0 
//output y
ArrayVector vtkConstrained2DLayoutStrategyGetRestDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetRestDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRestDistance for class vtkConstrained2DLayoutStrategy requires 1 argument(s)");
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetRestDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:Initialize vtkConstrained2DLayoutStrategyInitializeFunction
//input a0 
//output none
ArrayVector vtkConstrained2DLayoutStrategyInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkConstrained2DLayoutStrategy requires 1 argument(s)");
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:Layout vtkConstrained2DLayoutStrategyLayoutFunction
//input a0 
//output none
ArrayVector vtkConstrained2DLayoutStrategyLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Layout (); */
  if (arg.size() < 1) 
    throw Exception("Function Layout for class vtkConstrained2DLayoutStrategy requires 1 argument(s)");
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->Layout();
  return retval;
}

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:IsLayoutComplete vtkConstrained2DLayoutStrategyIsLayoutCompleteFunction
//input a0 
//output y
ArrayVector vtkConstrained2DLayoutStrategyIsLayoutCompleteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsLayoutComplete ();return this LayoutComplete  */
  if (arg.size() < 1) 
    throw Exception("Function IsLayoutComplete for class vtkConstrained2DLayoutStrategy requires 1 argument(s)");
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsLayoutComplete();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:SetInputArrayName vtkConstrained2DLayoutStrategySetInputArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkConstrained2DLayoutStrategySetInputArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInputArrayName for class vtkConstrained2DLayoutStrategy requires 2 argument(s)");
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetInputArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:GetInputArrayName vtkConstrained2DLayoutStrategyGetInputArrayNameFunction
//input a0 
//output y
ArrayVector vtkConstrained2DLayoutStrategyGetInputArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetInputArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInputArrayName for class vtkConstrained2DLayoutStrategy requires 1 argument(s)");
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetInputArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkConstrained2DLayoutStrategy:display vtkConstrained2DLayoutStrategyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkConstrained2DLayoutStrategyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkConstrained2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkConstrained2DLayoutStrategy>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkConstrained2DLayoutStrategy:delete vtkConstrained2DLayoutStrategyDeleteFunction
//input varargin
//output none
ArrayVector vtkConstrained2DLayoutStrategyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkConstrained2DLayoutStrategy
//@@Section VTKInfovis
//@@Usage
// This class is a density grid based force directed layout strategy.
// Also please note that 'fast' is relative to quite slow. :)
// The layout running time is O(V+E) with an extremely high constant.
// .SECTION Thanks
// We would like to thank Mothra for distracting Godzilla while we
// wrote this class. 
//
//To create an instance of class vtkConstrained2DLayoutStrategy, simply
//invoke its constructor as follows
//@[
//  obj = vtkConstrained2DLayoutStrategy
//@]
//@@Methods
//The class vtkConstrained2DLayoutStrategy has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkConstrained2DLayoutStrategy class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkConstrained2DLayoutStrategy = obj.NewInstance ()|
// \item @|vtkConstrained2DLayoutStrategy = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetRandomSeed (int )| -  Seed the random number generator used to jitter point positions.
// This has a significant effect on their final positions when
// the layout is complete.
//// \item @|int = obj.GetRandomSeedMinValue ()| -  Seed the random number generator used to jitter point positions.
// This has a significant effect on their final positions when
// the layout is complete.
//// \item @|int = obj.GetRandomSeedMaxValue ()| -  Seed the random number generator used to jitter point positions.
// This has a significant effect on their final positions when
// the layout is complete.
//// \item @|int = obj.GetRandomSeed ()| -  Seed the random number generator used to jitter point positions.
// This has a significant effect on their final positions when
// the layout is complete.
//// \item @|obj.SetMaxNumberOfIterations (int )| -  Set/Get the maximum number of iterations to be used.
// The higher this number, the more iterations through the algorithm
// is possible, and thus, the more the graph gets modified.
// The default is '100' for no particular reason
// Note: The strong recommendation is that you do not change
// this parameter. :)
//// \item @|int = obj.GetMaxNumberOfIterationsMinValue ()| -  Set/Get the maximum number of iterations to be used.
// The higher this number, the more iterations through the algorithm
// is possible, and thus, the more the graph gets modified.
// The default is '100' for no particular reason
// Note: The strong recommendation is that you do not change
// this parameter. :)
//// \item @|int = obj.GetMaxNumberOfIterationsMaxValue ()| -  Set/Get the maximum number of iterations to be used.
// The higher this number, the more iterations through the algorithm
// is possible, and thus, the more the graph gets modified.
// The default is '100' for no particular reason
// Note: The strong recommendation is that you do not change
// this parameter. :)
//// \item @|int = obj.GetMaxNumberOfIterations ()| -  Set/Get the maximum number of iterations to be used.
// The higher this number, the more iterations through the algorithm
// is possible, and thus, the more the graph gets modified.
// The default is '100' for no particular reason
// Note: The strong recommendation is that you do not change
// this parameter. :)
//// \item @|obj.SetIterationsPerLayout (int )| -  Set/Get the number of iterations per layout.
// The only use for this ivar is for the application
// to do visualizations of the layout before it's complete.
// The default is '100' to match the default 'MaxNumberOfIterations'
// Note: Changing this parameter is just fine :)
//// \item @|int = obj.GetIterationsPerLayoutMinValue ()| -  Set/Get the number of iterations per layout.
// The only use for this ivar is for the application
// to do visualizations of the layout before it's complete.
// The default is '100' to match the default 'MaxNumberOfIterations'
// Note: Changing this parameter is just fine :)
//// \item @|int = obj.GetIterationsPerLayoutMaxValue ()| -  Set/Get the number of iterations per layout.
// The only use for this ivar is for the application
// to do visualizations of the layout before it's complete.
// The default is '100' to match the default 'MaxNumberOfIterations'
// Note: Changing this parameter is just fine :)
//// \item @|int = obj.GetIterationsPerLayout ()| -  Set/Get the number of iterations per layout.
// The only use for this ivar is for the application
// to do visualizations of the layout before it's complete.
// The default is '100' to match the default 'MaxNumberOfIterations'
// Note: Changing this parameter is just fine :)
//// \item @|obj.SetInitialTemperature (float )| -  Set the initial temperature.  The temperature default is '5'
// for no particular reason
// Note: The strong recommendation is that you do not change
// this parameter. :)
//// \item @|float = obj.GetInitialTemperatureMinValue ()| -  Set the initial temperature.  The temperature default is '5'
// for no particular reason
// Note: The strong recommendation is that you do not change
// this parameter. :)
//// \item @|float = obj.GetInitialTemperatureMaxValue ()| -  Set the initial temperature.  The temperature default is '5'
// for no particular reason
// Note: The strong recommendation is that you do not change
// this parameter. :)
//// \item @|float = obj.GetInitialTemperature ()| -  Set the initial temperature.  The temperature default is '5'
// for no particular reason
// Note: The strong recommendation is that you do not change
// this parameter. :)
//// \item @|obj.SetCoolDownRate (double )| -  Set/Get the Cool-down rate.
// The higher this number is, the longer it will take to "cool-down",
// and thus, the more the graph will be modified. The default is '10'
// for no particular reason. 
// Note: The strong recommendation is that you do not change
// this parameter. :)
//// \item @|double = obj.GetCoolDownRateMinValue ()| -  Set/Get the Cool-down rate.
// The higher this number is, the longer it will take to "cool-down",
// and thus, the more the graph will be modified. The default is '10'
// for no particular reason. 
// Note: The strong recommendation is that you do not change
// this parameter. :)
//// \item @|double = obj.GetCoolDownRateMaxValue ()| -  Set/Get the Cool-down rate.
// The higher this number is, the longer it will take to "cool-down",
// and thus, the more the graph will be modified. The default is '10'
// for no particular reason. 
// Note: The strong recommendation is that you do not change
// this parameter. :)
//// \item @|double = obj.GetCoolDownRate ()| -  Set/Get the Cool-down rate.
// The higher this number is, the longer it will take to "cool-down",
// and thus, the more the graph will be modified. The default is '10'
// for no particular reason. 
// Note: The strong recommendation is that you do not change
// this parameter. :)
//// \item @|obj.SetRestDistance (float )| -  Manually set the resting distance. Otherwise the
// distance is computed automatically.
//// \item @|float = obj.GetRestDistance ()| -  Manually set the resting distance. Otherwise the
// distance is computed automatically.
//// \item @|obj.Initialize ()| -  This strategy sets up some data structures
// for faster processing of each Layout() call
//// \item @|obj.Layout ()| -  This is the layout method where the graph that was
// set in SetGraph() is laid out. The method can either
// entirely layout the graph or iteratively lay out the
// graph. If you have an iterative layout please implement
// the IsLayoutComplete() method.
//// \item @|int = obj.IsLayoutComplete ()| -  Set/Get the input constraint array name. If no input array 
// name is set then the name 'constraint' is used.
//// \item @|obj.SetInputArrayName (string )| -  Set/Get the input constraint array name. If no input array 
// name is set then the name 'constraint' is used.
//// \item @|string = obj.GetInputArrayName ()| -  Set/Get the input constraint array name. If no input array 
// name is set then the name 'constraint' is used.
////\end{itemize}
//!
