#include "VTKWrap.hpp"

// FreeMat wrapper for vtkContingencyStatistics object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkContingencyStatistics.h"

//@@Signature
//sfunction @vtkContingencyStatistics:vtkContingencyStatistics vtkContingencyStatisticsConstructorFunction
//input a
//output p
//@@Parents vtkContingencyStatistics vtkBivariateStatisticsAlgorithm 
ArrayVector vtkContingencyStatisticsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkContingencyStatistics::New(),"vtkContingencyStatistics",eval);
  } else if (arg[0].className() == "vtkContingencyStatistics") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkContingencyStatistics"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkContingencyStatistics");
    vtkContingencyStatistics*q = reinterpret_cast<vtkContingencyStatistics*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkContingencyStatistics");
    return ret;
  }
}
//@@Signature
//sfunction @vtkContingencyStatistics:GetClassName vtkContingencyStatisticsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkContingencyStatisticsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkContingencyStatistics requires 1 argument(s)");
  vtkContingencyStatistics* vtk_pointer = GetVTKPointer<vtkContingencyStatistics>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContingencyStatistics:IsA vtkContingencyStatisticsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkContingencyStatisticsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkContingencyStatistics requires 2 argument(s)");
  vtkContingencyStatistics* vtk_pointer = GetVTKPointer<vtkContingencyStatistics>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkContingencyStatistics:NewInstance vtkContingencyStatisticsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkContingencyStatisticsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkContingencyStatistics *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkContingencyStatistics requires 1 argument(s)");
  vtkContingencyStatistics* vtk_pointer = GetVTKPointer<vtkContingencyStatistics>(arg[0]);
  Array retval;
  vtkContingencyStatistics  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkContingencyStatistics",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkContingencyStatistics:SafeDownCast vtkContingencyStatisticsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkContingencyStatisticsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkContingencyStatistics *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkContingencyStatistics requires 2 argument(s)");
  vtkContingencyStatistics* vtk_pointer = GetVTKPointer<vtkContingencyStatistics>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkContingencyStatistics  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkContingencyStatistics",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkContingencyStatistics:Aggregate vtkContingencyStatisticsAggregateFunction
//input a0 a1 a2 
//output none
ArrayVector vtkContingencyStatisticsAggregateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Aggregate (vtkDataObjectCollection *, vtkDataObject *);return  */
  if (arg.size() < 3) 
    throw Exception("Function Aggregate for class vtkContingencyStatistics requires 3 argument(s)");
  vtkContingencyStatistics* vtk_pointer = GetVTKPointer<vtkContingencyStatistics>(arg[0]);
  Array retval;
  vtkDataObjectCollection  *temp0;
  vtkDataObject  *temp1;
  temp0 = GetVTKPointer<vtkDataObjectCollection>(arg[1]);
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->Aggregate(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkContingencyStatistics:display vtkContingencyStatisticsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkContingencyStatisticsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkContingencyStatistics* vtk_pointer = GetVTKPointer<vtkContingencyStatistics>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkContingencyStatistics:delete vtkContingencyStatisticsDeleteFunction
//input varargin
//output none
ArrayVector vtkContingencyStatisticsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkContingencyStatistics
//@@Section VTKInfovis
//@@Usage
// Given a pair of columns of interest, this class provides the
// following functionalities, depending on the execution mode it is executed in:
// * Learn: calculate contigency tables and corresponding discrete bivariate
//   probability distribution. 
// * Assess: given two columns of interest with the same number of entries as
//   input in port INPUT_DATA, and a corresponding bivariate probability distribution,
//  
// .SECTION Thanks
// Thanks to Philippe Pebay and David Thompson from Sandia National Laboratories 
// for implementing this class.
//
//To create an instance of class vtkContingencyStatistics, simply
//invoke its constructor as follows
//@[
//  obj = vtkContingencyStatistics
//@]
//@@Methods
//The class vtkContingencyStatistics has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkContingencyStatistics class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkContingencyStatistics = obj.NewInstance ()|
// \item @|vtkContingencyStatistics = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Aggregate (vtkDataObjectCollection , vtkDataObject )| -  Given a collection of models, calculate aggregate model
// NB: not implemented
////\end{itemize}
//!
