#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCorrelativeStatistics object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCorrelativeStatistics.h"

//@@Signature
//sfunction @vtkCorrelativeStatistics:vtkCorrelativeStatistics vtkCorrelativeStatisticsConstructorFunction
//input a
//output p
//@@Parents vtkCorrelativeStatistics vtkBivariateStatisticsAlgorithm 
ArrayVector vtkCorrelativeStatisticsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCorrelativeStatistics::New(),"vtkCorrelativeStatistics",eval);
  } else if (arg[0].className() == "vtkCorrelativeStatistics") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCorrelativeStatistics"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCorrelativeStatistics");
    vtkCorrelativeStatistics*q = reinterpret_cast<vtkCorrelativeStatistics*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCorrelativeStatistics");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCorrelativeStatistics:GetClassName vtkCorrelativeStatisticsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCorrelativeStatisticsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCorrelativeStatistics requires 1 argument(s)");
  vtkCorrelativeStatistics* vtk_pointer = GetVTKPointer<vtkCorrelativeStatistics>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCorrelativeStatistics:IsA vtkCorrelativeStatisticsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCorrelativeStatisticsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCorrelativeStatistics requires 2 argument(s)");
  vtkCorrelativeStatistics* vtk_pointer = GetVTKPointer<vtkCorrelativeStatistics>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCorrelativeStatistics:NewInstance vtkCorrelativeStatisticsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCorrelativeStatisticsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCorrelativeStatistics *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCorrelativeStatistics requires 1 argument(s)");
  vtkCorrelativeStatistics* vtk_pointer = GetVTKPointer<vtkCorrelativeStatistics>(arg[0]);
  Array retval;
  vtkCorrelativeStatistics  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCorrelativeStatistics",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCorrelativeStatistics:SafeDownCast vtkCorrelativeStatisticsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCorrelativeStatisticsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCorrelativeStatistics *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCorrelativeStatistics requires 2 argument(s)");
  vtkCorrelativeStatistics* vtk_pointer = GetVTKPointer<vtkCorrelativeStatistics>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCorrelativeStatistics  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCorrelativeStatistics",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCorrelativeStatistics:Aggregate vtkCorrelativeStatisticsAggregateFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCorrelativeStatisticsAggregateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Aggregate (vtkDataObjectCollection *, vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function Aggregate for class vtkCorrelativeStatistics requires 3 argument(s)");
  vtkCorrelativeStatistics* vtk_pointer = GetVTKPointer<vtkCorrelativeStatistics>(arg[0]);
  Array retval;
  vtkDataObjectCollection  *temp0;
  vtkDataObject  *temp1;
  temp0 = GetVTKPointer<vtkDataObjectCollection>(arg[1]);
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->Aggregate(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCorrelativeStatistics:display vtkCorrelativeStatisticsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCorrelativeStatisticsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCorrelativeStatistics* vtk_pointer = GetVTKPointer<vtkCorrelativeStatistics>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCorrelativeStatistics:delete vtkCorrelativeStatisticsDeleteFunction
//input varargin
//output none
ArrayVector vtkCorrelativeStatisticsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCorrelativeStatistics
//@@Section VTKInfovis
//@@Usage
// Given a selection of pairs of columns of interest, this class provides the
// following functionalities, depending on the execution mode it is executed in:
// * Learn: calculate means, unbiased variance and covariance estimators of
//   column pairs, and corresponding linear regressions and linear correlation 
//   coefficient. More precisely, Learn calculates the sums; if \p finalize
//   is set to true (default), the final statistics are calculated with the 
//   function CalculateFromSums. Otherwise, only raw sums are output; this 
//   option is made for efficient parallel calculations.
//   Note that CalculateFromSums is a static function, so that it can be used
//   directly with no need to instantiate a vtkCorrelativeStatistics object.
// * Assess: given two data vectors X and Y with the same number of entries as
//   input in port INPUT_DATA, and reference means, variances, and covariance, along
//   with an acceptable threshold t>1, assess all pairs of values of (X,Y) 
//   whose relative PDF (assuming a bivariate Gaussian model) is below t.
//  
// .SECTION Thanks
// Thanks to Philippe Pebay and David Thompson from Sandia National Laboratories 
// for implementing this class.
//
//To create an instance of class vtkCorrelativeStatistics, simply
//invoke its constructor as follows
//@[
//  obj = vtkCorrelativeStatistics
//@]
//@@Methods
//The class vtkCorrelativeStatistics has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCorrelativeStatistics class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCorrelativeStatistics = obj.NewInstance ()|
// \item @|vtkCorrelativeStatistics = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Aggregate (vtkDataObjectCollection , vtkDataObject )| -  Given a collection of models, calculate aggregate model
////\end{itemize}
//!
