#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCosmicTreeLayoutStrategy object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCosmicTreeLayoutStrategy.h"

//@@Signature
//sfunction @vtkCosmicTreeLayoutStrategy:vtkCosmicTreeLayoutStrategy vtkCosmicTreeLayoutStrategyConstructorFunction
//input a
//output p
//@@Parents vtkCosmicTreeLayoutStrategy vtkGraphLayoutStrategy 
ArrayVector vtkCosmicTreeLayoutStrategyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCosmicTreeLayoutStrategy::New(),"vtkCosmicTreeLayoutStrategy",eval);
  } else if (arg[0].className() == "vtkCosmicTreeLayoutStrategy") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCosmicTreeLayoutStrategy"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCosmicTreeLayoutStrategy");
    vtkCosmicTreeLayoutStrategy*q = reinterpret_cast<vtkCosmicTreeLayoutStrategy*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCosmicTreeLayoutStrategy");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCosmicTreeLayoutStrategy:GetClassName vtkCosmicTreeLayoutStrategyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCosmicTreeLayoutStrategyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCosmicTreeLayoutStrategy requires 1 argument(s)");
  vtkCosmicTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkCosmicTreeLayoutStrategy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCosmicTreeLayoutStrategy:IsA vtkCosmicTreeLayoutStrategyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCosmicTreeLayoutStrategyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCosmicTreeLayoutStrategy requires 2 argument(s)");
  vtkCosmicTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkCosmicTreeLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCosmicTreeLayoutStrategy:NewInstance vtkCosmicTreeLayoutStrategyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCosmicTreeLayoutStrategyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCosmicTreeLayoutStrategy *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCosmicTreeLayoutStrategy requires 1 argument(s)");
  vtkCosmicTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkCosmicTreeLayoutStrategy>(arg[0]);
  Array retval;
  vtkCosmicTreeLayoutStrategy  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCosmicTreeLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCosmicTreeLayoutStrategy:SafeDownCast vtkCosmicTreeLayoutStrategySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCosmicTreeLayoutStrategySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCosmicTreeLayoutStrategy *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCosmicTreeLayoutStrategy requires 2 argument(s)");
  vtkCosmicTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkCosmicTreeLayoutStrategy>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCosmicTreeLayoutStrategy  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCosmicTreeLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCosmicTreeLayoutStrategy:Layout vtkCosmicTreeLayoutStrategyLayoutFunction
//input a0 
//output none
ArrayVector vtkCosmicTreeLayoutStrategyLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Layout (); */
  if (arg.size() < 1) 
    throw Exception("Function Layout for class vtkCosmicTreeLayoutStrategy requires 1 argument(s)");
  vtkCosmicTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkCosmicTreeLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->Layout();
  return retval;
}

//@@Signature
//sfunction @vtkCosmicTreeLayoutStrategy:SetSizeLeafNodesOnly vtkCosmicTreeLayoutStrategySetSizeLeafNodesOnlyFunction
//input a0 a1 
//output none
ArrayVector vtkCosmicTreeLayoutStrategySetSizeLeafNodesOnlyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSizeLeafNodesOnly (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSizeLeafNodesOnly for class vtkCosmicTreeLayoutStrategy requires 2 argument(s)");
  vtkCosmicTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkCosmicTreeLayoutStrategy>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSizeLeafNodesOnly(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCosmicTreeLayoutStrategy:GetSizeLeafNodesOnly vtkCosmicTreeLayoutStrategyGetSizeLeafNodesOnlyFunction
//input a0 
//output y
ArrayVector vtkCosmicTreeLayoutStrategyGetSizeLeafNodesOnlyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSizeLeafNodesOnly (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSizeLeafNodesOnly for class vtkCosmicTreeLayoutStrategy requires 1 argument(s)");
  vtkCosmicTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkCosmicTreeLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSizeLeafNodesOnly();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCosmicTreeLayoutStrategy:SizeLeafNodesOnlyOn vtkCosmicTreeLayoutStrategySizeLeafNodesOnlyOnFunction
//input a0 
//output none
ArrayVector vtkCosmicTreeLayoutStrategySizeLeafNodesOnlyOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SizeLeafNodesOnlyOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SizeLeafNodesOnlyOn for class vtkCosmicTreeLayoutStrategy requires 1 argument(s)");
  vtkCosmicTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkCosmicTreeLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->SizeLeafNodesOnlyOn();
  return retval;
}

//@@Signature
//sfunction @vtkCosmicTreeLayoutStrategy:SizeLeafNodesOnlyOff vtkCosmicTreeLayoutStrategySizeLeafNodesOnlyOffFunction
//input a0 
//output none
ArrayVector vtkCosmicTreeLayoutStrategySizeLeafNodesOnlyOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SizeLeafNodesOnlyOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SizeLeafNodesOnlyOff for class vtkCosmicTreeLayoutStrategy requires 1 argument(s)");
  vtkCosmicTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkCosmicTreeLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->SizeLeafNodesOnlyOff();
  return retval;
}

//@@Signature
//sfunction @vtkCosmicTreeLayoutStrategy:SetLayoutDepth vtkCosmicTreeLayoutStrategySetLayoutDepthFunction
//input a0 a1 
//output none
ArrayVector vtkCosmicTreeLayoutStrategySetLayoutDepthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutDepth (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLayoutDepth for class vtkCosmicTreeLayoutStrategy requires 2 argument(s)");
  vtkCosmicTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkCosmicTreeLayoutStrategy>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLayoutDepth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCosmicTreeLayoutStrategy:GetLayoutDepth vtkCosmicTreeLayoutStrategyGetLayoutDepthFunction
//input a0 
//output y
ArrayVector vtkCosmicTreeLayoutStrategyGetLayoutDepthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLayoutDepth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLayoutDepth for class vtkCosmicTreeLayoutStrategy requires 1 argument(s)");
  vtkCosmicTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkCosmicTreeLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLayoutDepth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCosmicTreeLayoutStrategy:SetLayoutRoot vtkCosmicTreeLayoutStrategySetLayoutRootFunction
//input a0 a1 
//output none
ArrayVector vtkCosmicTreeLayoutStrategySetLayoutRootFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutRoot (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLayoutRoot for class vtkCosmicTreeLayoutStrategy requires 2 argument(s)");
  vtkCosmicTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkCosmicTreeLayoutStrategy>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLayoutRoot(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCosmicTreeLayoutStrategy:GetLayoutRoot vtkCosmicTreeLayoutStrategyGetLayoutRootFunction
//input a0 
//output y
ArrayVector vtkCosmicTreeLayoutStrategyGetLayoutRootFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetLayoutRoot (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLayoutRoot for class vtkCosmicTreeLayoutStrategy requires 1 argument(s)");
  vtkCosmicTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkCosmicTreeLayoutStrategy>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetLayoutRoot();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCosmicTreeLayoutStrategy:SetNodeSizeArrayName vtkCosmicTreeLayoutStrategySetNodeSizeArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkCosmicTreeLayoutStrategySetNodeSizeArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNodeSizeArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetNodeSizeArrayName for class vtkCosmicTreeLayoutStrategy requires 2 argument(s)");
  vtkCosmicTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkCosmicTreeLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetNodeSizeArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCosmicTreeLayoutStrategy:GetNodeSizeArrayName vtkCosmicTreeLayoutStrategyGetNodeSizeArrayNameFunction
//input a0 
//output y
ArrayVector vtkCosmicTreeLayoutStrategyGetNodeSizeArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetNodeSizeArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNodeSizeArrayName for class vtkCosmicTreeLayoutStrategy requires 1 argument(s)");
  vtkCosmicTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkCosmicTreeLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetNodeSizeArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCosmicTreeLayoutStrategy:display vtkCosmicTreeLayoutStrategyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCosmicTreeLayoutStrategyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCosmicTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkCosmicTreeLayoutStrategy>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCosmicTreeLayoutStrategy:delete vtkCosmicTreeLayoutStrategyDeleteFunction
//input varargin
//output none
ArrayVector vtkCosmicTreeLayoutStrategyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCosmicTreeLayoutStrategy
//@@Section VTKInfovis
//@@Usage
// This layout strategy takes an input tree and places all the children of a
// node into a containing circle. The placement is such that each child
// placed can be represented with a circle tangent to the containing circle
// and (usually) 2 other children. The interior of the circle is left empty
// so that graph edges drawn on top of the tree will not obfuscate the tree.
// However, when one child is much larger than all the others, it may
// encroach on the center of the containing circle; that's OK, because it's
// large enough not to be obscured by edges drawn atop it.
//
// .SECTION Thanks
// Thanks to the galaxy and David Thompson hierarchically nested inside it
// for inspiring this layout strategy.
//
//To create an instance of class vtkCosmicTreeLayoutStrategy, simply
//invoke its constructor as follows
//@[
//  obj = vtkCosmicTreeLayoutStrategy
//@]
//@@Methods
//The class vtkCosmicTreeLayoutStrategy has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCosmicTreeLayoutStrategy class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCosmicTreeLayoutStrategy = obj.NewInstance ()|
// \item @|vtkCosmicTreeLayoutStrategy = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Layout ()| -  Perform the layout.
//// \item @|obj.SetSizeLeafNodesOnly (int )| -  Should node size specifications be obeyed at leaf nodes only or
// (with scaling as required to meet constraints) at every node in
// the tree?
// This defaults to true, so that leaf nodes are scaled according to
// the size specification provided, and the parent node sizes are
// calculated by the algorithm.
//// \item @|int = obj.GetSizeLeafNodesOnly ()| -  Should node size specifications be obeyed at leaf nodes only or
// (with scaling as required to meet constraints) at every node in
// the tree?
// This defaults to true, so that leaf nodes are scaled according to
// the size specification provided, and the parent node sizes are
// calculated by the algorithm.
//// \item @|obj.SizeLeafNodesOnlyOn ()| -  Should node size specifications be obeyed at leaf nodes only or
// (with scaling as required to meet constraints) at every node in
// the tree?
// This defaults to true, so that leaf nodes are scaled according to
// the size specification provided, and the parent node sizes are
// calculated by the algorithm.
//// \item @|obj.SizeLeafNodesOnlyOff ()| -  Should node size specifications be obeyed at leaf nodes only or
// (with scaling as required to meet constraints) at every node in
// the tree?
// This defaults to true, so that leaf nodes are scaled according to
// the size specification provided, and the parent node sizes are
// calculated by the algorithm.
//// \item @|obj.SetLayoutDepth (int )| -  How many levels of the tree should be laid out?
// For large trees, you may wish to set the root and maximum depth
// in order to retrieve the layout for the visible portion of the tree.
// When this value is zero or negative, all nodes below and including
// the LayoutRoot will be presented.
// This defaults to 0.
//// \item @|int = obj.GetLayoutDepth ()| -  How many levels of the tree should be laid out?
// For large trees, you may wish to set the root and maximum depth
// in order to retrieve the layout for the visible portion of the tree.
// When this value is zero or negative, all nodes below and including
// the LayoutRoot will be presented.
// This defaults to 0.
//// \item @|obj.SetLayoutRoot (vtkIdType )| -  What is the top-most tree node to lay out?
// This node will become the largest containing circle in the layout.
// Use this in combination with SetLayoutDepth to retrieve the
// layout of a subtree of interest for rendering.
// Setting LayoutRoot to a negative number signals that the root node
// of the tree should be used as the root node of the layout.
// This defaults to -1.
//// \item @|vtkIdType = obj.GetLayoutRoot ()| -  What is the top-most tree node to lay out?
// This node will become the largest containing circle in the layout.
// Use this in combination with SetLayoutDepth to retrieve the
// layout of a subtree of interest for rendering.
// Setting LayoutRoot to a negative number signals that the root node
// of the tree should be used as the root node of the layout.
// This defaults to -1.
//// \item @|obj.SetNodeSizeArrayName (string )| -  Set the array to be used for sizing nodes.
// If this is set to an empty string or NULL (the default),
// then all leaf nodes (or all nodes, when SizeLeafNodesOnly is false)
// will be assigned a unit size.
//// \item @|string = obj.GetNodeSizeArrayName ()| -  Set the array to be used for sizing nodes.
// If this is set to an empty string or NULL (the default),
// then all leaf nodes (or all nodes, when SizeLeafNodesOnly is false)
// will be assigned a unit size.
////\end{itemize}
//!
