#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataObjectToTable object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataObjectToTable.h"

//@@Signature
//sfunction @vtkDataObjectToTable:vtkDataObjectToTable vtkDataObjectToTableConstructorFunction
//input a
//output p
//@@Parents vtkDataObjectToTable vtkTableAlgorithm 
ArrayVector vtkDataObjectToTableConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataObjectToTable::New(),"vtkDataObjectToTable",eval);
  } else if (arg[0].className() == "vtkDataObjectToTable") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataObjectToTable"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataObjectToTable");
    vtkDataObjectToTable*q = reinterpret_cast<vtkDataObjectToTable*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataObjectToTable");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataObjectToTable:GetClassName vtkDataObjectToTableGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataObjectToTableGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataObjectToTable requires 1 argument(s)");
  vtkDataObjectToTable* vtk_pointer = GetVTKPointer<vtkDataObjectToTable>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToTable:IsA vtkDataObjectToTableIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataObjectToTableIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataObjectToTable requires 2 argument(s)");
  vtkDataObjectToTable* vtk_pointer = GetVTKPointer<vtkDataObjectToTable>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToTable:NewInstance vtkDataObjectToTableNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataObjectToTableNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObjectToTable *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataObjectToTable requires 1 argument(s)");
  vtkDataObjectToTable* vtk_pointer = GetVTKPointer<vtkDataObjectToTable>(arg[0]);
  Array retval;
  vtkDataObjectToTable  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObjectToTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToTable:SafeDownCast vtkDataObjectToTableSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataObjectToTableSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObjectToTable *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataObjectToTable requires 2 argument(s)");
  vtkDataObjectToTable* vtk_pointer = GetVTKPointer<vtkDataObjectToTable>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataObjectToTable  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObjectToTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToTable:GetFieldType vtkDataObjectToTableGetFieldTypeFunction
//input a0 
//output y
ArrayVector vtkDataObjectToTableGetFieldTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFieldType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFieldType for class vtkDataObjectToTable requires 1 argument(s)");
  vtkDataObjectToTable* vtk_pointer = GetVTKPointer<vtkDataObjectToTable>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFieldType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToTable:SetFieldType vtkDataObjectToTableSetFieldTypeFunction
//input a0 a1 
//output none
ArrayVector vtkDataObjectToTableSetFieldTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFieldType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFieldType for class vtkDataObjectToTable requires 2 argument(s)");
  vtkDataObjectToTable* vtk_pointer = GetVTKPointer<vtkDataObjectToTable>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFieldType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToTable:GetFieldTypeMinValue vtkDataObjectToTableGetFieldTypeMinValueFunction
//input a0 
//output y
ArrayVector vtkDataObjectToTableGetFieldTypeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFieldTypeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFieldTypeMinValue for class vtkDataObjectToTable requires 1 argument(s)");
  vtkDataObjectToTable* vtk_pointer = GetVTKPointer<vtkDataObjectToTable>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFieldTypeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToTable:GetFieldTypeMaxValue vtkDataObjectToTableGetFieldTypeMaxValueFunction
//input a0 
//output y
ArrayVector vtkDataObjectToTableGetFieldTypeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFieldTypeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFieldTypeMaxValue for class vtkDataObjectToTable requires 1 argument(s)");
  vtkDataObjectToTable* vtk_pointer = GetVTKPointer<vtkDataObjectToTable>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFieldTypeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectToTable:display vtkDataObjectToTableDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectToTableDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataObjectToTable* vtk_pointer = GetVTKPointer<vtkDataObjectToTable>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataObjectToTable:delete vtkDataObjectToTableDeleteFunction
//input varargin
//output none
ArrayVector vtkDataObjectToTableDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataObjectToTable
//@@Section VTKInfovis
//@@Usage
// This filter is used to extract either the field, cell or point data of 
// any data object as a table.
//
//To create an instance of class vtkDataObjectToTable, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataObjectToTable
//@]
//@@Methods
//The class vtkDataObjectToTable has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataObjectToTable class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataObjectToTable = obj.NewInstance ()|
// \item @|vtkDataObjectToTable = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetFieldType ()| -  The field type to copy into the output table.
// Should be one of FIELD_DATA, POINT_DATA, CELL_DATA, VERTEX_DATA, EDGE_DATA.
//// \item @|obj.SetFieldType (int )| -  The field type to copy into the output table.
// Should be one of FIELD_DATA, POINT_DATA, CELL_DATA, VERTEX_DATA, EDGE_DATA.
//// \item @|int = obj.GetFieldTypeMinValue ()| -  The field type to copy into the output table.
// Should be one of FIELD_DATA, POINT_DATA, CELL_DATA, VERTEX_DATA, EDGE_DATA.
//// \item @|int = obj.GetFieldTypeMaxValue ()| -  The field type to copy into the output table.
// Should be one of FIELD_DATA, POINT_DATA, CELL_DATA, VERTEX_DATA, EDGE_DATA.
////\end{itemize}
//!
