#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDelimitedTextReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDelimitedTextReader.h"

//@@Signature
//sfunction @vtkDelimitedTextReader:vtkDelimitedTextReader vtkDelimitedTextReaderConstructorFunction
//input a
//output p
//@@Parents vtkDelimitedTextReader vtkTableAlgorithm 
ArrayVector vtkDelimitedTextReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDelimitedTextReader::New(),"vtkDelimitedTextReader",eval);
  } else if (arg[0].className() == "vtkDelimitedTextReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDelimitedTextReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDelimitedTextReader");
    vtkDelimitedTextReader*q = reinterpret_cast<vtkDelimitedTextReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDelimitedTextReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDelimitedTextReader:GetClassName vtkDelimitedTextReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDelimitedTextReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDelimitedTextReader requires 1 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:IsA vtkDelimitedTextReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDelimitedTextReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDelimitedTextReader requires 2 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:NewInstance vtkDelimitedTextReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDelimitedTextReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDelimitedTextReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDelimitedTextReader requires 1 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  vtkDelimitedTextReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDelimitedTextReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:SafeDownCast vtkDelimitedTextReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDelimitedTextReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDelimitedTextReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDelimitedTextReader requires 2 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDelimitedTextReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDelimitedTextReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:GetFileName vtkDelimitedTextReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkDelimitedTextReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkDelimitedTextReader requires 1 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:SetFileName vtkDelimitedTextReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkDelimitedTextReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkDelimitedTextReader requires 2 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:GetUnicodeCharacterSet vtkDelimitedTextReaderGetUnicodeCharacterSetFunction
//input a0 
//output y
ArrayVector vtkDelimitedTextReaderGetUnicodeCharacterSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetUnicodeCharacterSet (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUnicodeCharacterSet for class vtkDelimitedTextReader requires 1 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetUnicodeCharacterSet();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:SetUnicodeCharacterSet vtkDelimitedTextReaderSetUnicodeCharacterSetFunction
//input a0 a1 
//output none
ArrayVector vtkDelimitedTextReaderSetUnicodeCharacterSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUnicodeCharacterSet (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetUnicodeCharacterSet for class vtkDelimitedTextReader requires 2 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetUnicodeCharacterSet(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:SetUTF8RecordDelimiters vtkDelimitedTextReaderSetUTF8RecordDelimitersFunction
//input a0 a1 
//output none
ArrayVector vtkDelimitedTextReaderSetUTF8RecordDelimitersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUTF8RecordDelimiters (const char *delimiters); */
  if (arg.size() < 2) 
    throw Exception("Function SetUTF8RecordDelimiters for class vtkDelimitedTextReader requires 2 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetUTF8RecordDelimiters(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:GetUTF8RecordDelimiters vtkDelimitedTextReaderGetUTF8RecordDelimitersFunction
//input a0 
//output y
ArrayVector vtkDelimitedTextReaderGetUTF8RecordDelimitersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetUTF8RecordDelimiters (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUTF8RecordDelimiters for class vtkDelimitedTextReader requires 1 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetUTF8RecordDelimiters();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:SetFieldDelimiterCharacters vtkDelimitedTextReaderSetFieldDelimiterCharactersFunction
//input a0 a1 
//output none
ArrayVector vtkDelimitedTextReaderSetFieldDelimiterCharactersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFieldDelimiterCharacters (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFieldDelimiterCharacters for class vtkDelimitedTextReader requires 2 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFieldDelimiterCharacters(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:GetFieldDelimiterCharacters vtkDelimitedTextReaderGetFieldDelimiterCharactersFunction
//input a0 
//output y
ArrayVector vtkDelimitedTextReaderGetFieldDelimiterCharactersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFieldDelimiterCharacters (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFieldDelimiterCharacters for class vtkDelimitedTextReader requires 1 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFieldDelimiterCharacters();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:SetUTF8FieldDelimiters vtkDelimitedTextReaderSetUTF8FieldDelimitersFunction
//input a0 a1 
//output none
ArrayVector vtkDelimitedTextReaderSetUTF8FieldDelimitersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUTF8FieldDelimiters (const char *delimiters); */
  if (arg.size() < 2) 
    throw Exception("Function SetUTF8FieldDelimiters for class vtkDelimitedTextReader requires 2 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetUTF8FieldDelimiters(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:GetUTF8FieldDelimiters vtkDelimitedTextReaderGetUTF8FieldDelimitersFunction
//input a0 
//output y
ArrayVector vtkDelimitedTextReaderGetUTF8FieldDelimitersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetUTF8FieldDelimiters (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUTF8FieldDelimiters for class vtkDelimitedTextReader requires 1 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetUTF8FieldDelimiters();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:GetStringDelimiter vtkDelimitedTextReaderGetStringDelimiterFunction
//input a0 
//output y
ArrayVector vtkDelimitedTextReaderGetStringDelimiterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char GetStringDelimiter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStringDelimiter for class vtkDelimitedTextReader requires 1 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  char     temp20;
  temp20 = (vtk_pointer)->GetStringDelimiter();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:SetStringDelimiter vtkDelimitedTextReaderSetStringDelimiterFunction
//input a0 a1 
//output none
ArrayVector vtkDelimitedTextReaderSetStringDelimiterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStringDelimiter (char ); */
  if (arg.size() < 2) 
    throw Exception("Function SetStringDelimiter for class vtkDelimitedTextReader requires 2 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  char     temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (char) arg[1].asDouble();
  vtk_pointer->SetStringDelimiter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:SetUTF8StringDelimiters vtkDelimitedTextReaderSetUTF8StringDelimitersFunction
//input a0 a1 
//output none
ArrayVector vtkDelimitedTextReaderSetUTF8StringDelimitersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUTF8StringDelimiters (const char *delimiters); */
  if (arg.size() < 2) 
    throw Exception("Function SetUTF8StringDelimiters for class vtkDelimitedTextReader requires 2 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetUTF8StringDelimiters(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:GetUTF8StringDelimiters vtkDelimitedTextReaderGetUTF8StringDelimitersFunction
//input a0 
//output y
ArrayVector vtkDelimitedTextReaderGetUTF8StringDelimitersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetUTF8StringDelimiters (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUTF8StringDelimiters for class vtkDelimitedTextReader requires 1 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetUTF8StringDelimiters();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:SetUseStringDelimiter vtkDelimitedTextReaderSetUseStringDelimiterFunction
//input a0 a1 
//output none
ArrayVector vtkDelimitedTextReaderSetUseStringDelimiterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseStringDelimiter (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseStringDelimiter for class vtkDelimitedTextReader requires 2 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetUseStringDelimiter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:GetUseStringDelimiter vtkDelimitedTextReaderGetUseStringDelimiterFunction
//input a0 
//output y
ArrayVector vtkDelimitedTextReaderGetUseStringDelimiterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetUseStringDelimiter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseStringDelimiter for class vtkDelimitedTextReader requires 1 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetUseStringDelimiter();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:UseStringDelimiterOn vtkDelimitedTextReaderUseStringDelimiterOnFunction
//input a0 
//output none
ArrayVector vtkDelimitedTextReaderUseStringDelimiterOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseStringDelimiterOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseStringDelimiterOn for class vtkDelimitedTextReader requires 1 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  vtk_pointer->UseStringDelimiterOn();
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:UseStringDelimiterOff vtkDelimitedTextReaderUseStringDelimiterOffFunction
//input a0 
//output none
ArrayVector vtkDelimitedTextReaderUseStringDelimiterOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseStringDelimiterOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseStringDelimiterOff for class vtkDelimitedTextReader requires 1 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  vtk_pointer->UseStringDelimiterOff();
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:GetHaveHeaders vtkDelimitedTextReaderGetHaveHeadersFunction
//input a0 
//output y
ArrayVector vtkDelimitedTextReaderGetHaveHeadersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetHaveHeaders (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHaveHeaders for class vtkDelimitedTextReader requires 1 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetHaveHeaders();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:SetHaveHeaders vtkDelimitedTextReaderSetHaveHeadersFunction
//input a0 a1 
//output none
ArrayVector vtkDelimitedTextReaderSetHaveHeadersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHaveHeaders (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHaveHeaders for class vtkDelimitedTextReader requires 2 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetHaveHeaders(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:SetMergeConsecutiveDelimiters vtkDelimitedTextReaderSetMergeConsecutiveDelimitersFunction
//input a0 a1 
//output none
ArrayVector vtkDelimitedTextReaderSetMergeConsecutiveDelimitersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMergeConsecutiveDelimiters (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMergeConsecutiveDelimiters for class vtkDelimitedTextReader requires 2 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetMergeConsecutiveDelimiters(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:GetMergeConsecutiveDelimiters vtkDelimitedTextReaderGetMergeConsecutiveDelimitersFunction
//input a0 
//output y
ArrayVector vtkDelimitedTextReaderGetMergeConsecutiveDelimitersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetMergeConsecutiveDelimiters (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMergeConsecutiveDelimiters for class vtkDelimitedTextReader requires 1 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetMergeConsecutiveDelimiters();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:MergeConsecutiveDelimitersOn vtkDelimitedTextReaderMergeConsecutiveDelimitersOnFunction
//input a0 
//output none
ArrayVector vtkDelimitedTextReaderMergeConsecutiveDelimitersOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MergeConsecutiveDelimitersOn (); */
  if (arg.size() < 1) 
    throw Exception("Function MergeConsecutiveDelimitersOn for class vtkDelimitedTextReader requires 1 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  vtk_pointer->MergeConsecutiveDelimitersOn();
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:MergeConsecutiveDelimitersOff vtkDelimitedTextReaderMergeConsecutiveDelimitersOffFunction
//input a0 
//output none
ArrayVector vtkDelimitedTextReaderMergeConsecutiveDelimitersOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MergeConsecutiveDelimitersOff (); */
  if (arg.size() < 1) 
    throw Exception("Function MergeConsecutiveDelimitersOff for class vtkDelimitedTextReader requires 1 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  vtk_pointer->MergeConsecutiveDelimitersOff();
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:GetMaxRecords vtkDelimitedTextReaderGetMaxRecordsFunction
//input a0 
//output y
ArrayVector vtkDelimitedTextReaderGetMaxRecordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetMaxRecords (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxRecords for class vtkDelimitedTextReader requires 1 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetMaxRecords();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:SetMaxRecords vtkDelimitedTextReaderSetMaxRecordsFunction
//input a0 a1 
//output none
ArrayVector vtkDelimitedTextReaderSetMaxRecordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxRecords (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxRecords for class vtkDelimitedTextReader requires 2 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaxRecords(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:SetDetectNumericColumns vtkDelimitedTextReaderSetDetectNumericColumnsFunction
//input a0 a1 
//output none
ArrayVector vtkDelimitedTextReaderSetDetectNumericColumnsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDetectNumericColumns (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDetectNumericColumns for class vtkDelimitedTextReader requires 2 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetDetectNumericColumns(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:GetDetectNumericColumns vtkDelimitedTextReaderGetDetectNumericColumnsFunction
//input a0 
//output y
ArrayVector vtkDelimitedTextReaderGetDetectNumericColumnsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetDetectNumericColumns (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDetectNumericColumns for class vtkDelimitedTextReader requires 1 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetDetectNumericColumns();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:DetectNumericColumnsOn vtkDelimitedTextReaderDetectNumericColumnsOnFunction
//input a0 
//output none
ArrayVector vtkDelimitedTextReaderDetectNumericColumnsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DetectNumericColumnsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DetectNumericColumnsOn for class vtkDelimitedTextReader requires 1 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  vtk_pointer->DetectNumericColumnsOn();
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:DetectNumericColumnsOff vtkDelimitedTextReaderDetectNumericColumnsOffFunction
//input a0 
//output none
ArrayVector vtkDelimitedTextReaderDetectNumericColumnsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DetectNumericColumnsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DetectNumericColumnsOff for class vtkDelimitedTextReader requires 1 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  vtk_pointer->DetectNumericColumnsOff();
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:SetPedigreeIdArrayName vtkDelimitedTextReaderSetPedigreeIdArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkDelimitedTextReaderSetPedigreeIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPedigreeIdArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetPedigreeIdArrayName for class vtkDelimitedTextReader requires 2 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetPedigreeIdArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:GetPedigreeIdArrayName vtkDelimitedTextReaderGetPedigreeIdArrayNameFunction
//input a0 
//output y
ArrayVector vtkDelimitedTextReaderGetPedigreeIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetPedigreeIdArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPedigreeIdArrayName for class vtkDelimitedTextReader requires 1 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetPedigreeIdArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:SetGeneratePedigreeIds vtkDelimitedTextReaderSetGeneratePedigreeIdsFunction
//input a0 a1 
//output none
ArrayVector vtkDelimitedTextReaderSetGeneratePedigreeIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGeneratePedigreeIds (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGeneratePedigreeIds for class vtkDelimitedTextReader requires 2 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetGeneratePedigreeIds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:GetGeneratePedigreeIds vtkDelimitedTextReaderGetGeneratePedigreeIdsFunction
//input a0 
//output y
ArrayVector vtkDelimitedTextReaderGetGeneratePedigreeIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetGeneratePedigreeIds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGeneratePedigreeIds for class vtkDelimitedTextReader requires 1 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetGeneratePedigreeIds();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:GeneratePedigreeIdsOn vtkDelimitedTextReaderGeneratePedigreeIdsOnFunction
//input a0 
//output none
ArrayVector vtkDelimitedTextReaderGeneratePedigreeIdsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GeneratePedigreeIdsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GeneratePedigreeIdsOn for class vtkDelimitedTextReader requires 1 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  vtk_pointer->GeneratePedigreeIdsOn();
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:GeneratePedigreeIdsOff vtkDelimitedTextReaderGeneratePedigreeIdsOffFunction
//input a0 
//output none
ArrayVector vtkDelimitedTextReaderGeneratePedigreeIdsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GeneratePedigreeIdsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GeneratePedigreeIdsOff for class vtkDelimitedTextReader requires 1 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  vtk_pointer->GeneratePedigreeIdsOff();
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:SetOutputPedigreeIds vtkDelimitedTextReaderSetOutputPedigreeIdsFunction
//input a0 a1 
//output none
ArrayVector vtkDelimitedTextReaderSetOutputPedigreeIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputPedigreeIds (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputPedigreeIds for class vtkDelimitedTextReader requires 2 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetOutputPedigreeIds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:GetOutputPedigreeIds vtkDelimitedTextReaderGetOutputPedigreeIdsFunction
//input a0 
//output y
ArrayVector vtkDelimitedTextReaderGetOutputPedigreeIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetOutputPedigreeIds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputPedigreeIds for class vtkDelimitedTextReader requires 1 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetOutputPedigreeIds();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:OutputPedigreeIdsOn vtkDelimitedTextReaderOutputPedigreeIdsOnFunction
//input a0 
//output none
ArrayVector vtkDelimitedTextReaderOutputPedigreeIdsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutputPedigreeIdsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function OutputPedigreeIdsOn for class vtkDelimitedTextReader requires 1 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  vtk_pointer->OutputPedigreeIdsOn();
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:OutputPedigreeIdsOff vtkDelimitedTextReaderOutputPedigreeIdsOffFunction
//input a0 
//output none
ArrayVector vtkDelimitedTextReaderOutputPedigreeIdsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OutputPedigreeIdsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function OutputPedigreeIdsOff for class vtkDelimitedTextReader requires 1 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  vtk_pointer->OutputPedigreeIdsOff();
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:GetLastError vtkDelimitedTextReaderGetLastErrorFunction
//input a0 
//output y
ArrayVector vtkDelimitedTextReaderGetLastErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStdString GetLastError (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLastError for class vtkDelimitedTextReader requires 1 argument(s)");
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetLastError();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextReader:display vtkDelimitedTextReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDelimitedTextReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDelimitedTextReader* vtk_pointer = GetVTKPointer<vtkDelimitedTextReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDelimitedTextReader:delete vtkDelimitedTextReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkDelimitedTextReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDelimitedTextReader
//@@Section VTKInfovis
//@@Usage
// vtkDelimitedTextReader is an interface for pulling in data from a
// flat, delimited ascii or unicode text file (delimiter can be any character).
//
// The behavior of the reader with respect to ascii or unicode input is controlled
// by the SetUnicodeCharacterSet() method.  By default (without calling SetUnicodeCharacterSet()),
// the reader will expect to read ascii text and will output vtkStdString columns.  Use 
// the Set and Get methods to set delimiters that do not contain UTF8 in the name when operating 
// the reader in default ascii mode.  If the SetUnicodeCharacterSet() method is called, the reader 
// will output vtkUnicodeString columns in the output table.  In addition, it is necessary to use 
// the Set and Get methods that contain UTF8 in the name to specify delimiters when operating in 
// unicode mode.
//
// This class emits ProgressEvent for every 100 lines it reads.
//
// .SECTION Thanks
// Thanks to Andy Wilson, Brian Wylie, Tim Shead, and Thomas Otahal
// from Sandia National Laboratories for implementing this class.
// 
//
//To create an instance of class vtkDelimitedTextReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkDelimitedTextReader
//@]
//@@Methods
//The class vtkDelimitedTextReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDelimitedTextReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDelimitedTextReader = obj.NewInstance ()|
// \item @|vtkDelimitedTextReader = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetFileName ()|
// \item @|obj.SetFileName (string )|
// \item @|string = obj.GetUnicodeCharacterSet ()| -  Specifies the character set used in the input file.  Valid character set
// names will be drawn from the list maintained by the Internet Assigned Name
// Authority at
//
//   http://www.iana.org/assignments/character-sets
//
// Where multiple aliases are provided for a character set, the preferred MIME name
// will be used.  vtkUnicodeDelimitedTextReader currently supports "US-ASCII", "UTF-8",
// "UTF-16", "UTF-16BE", and "UTF-16LE" character sets.
//// \item @|obj.SetUnicodeCharacterSet (string )| -  Specifies the character set used in the input file.  Valid character set
// names will be drawn from the list maintained by the Internet Assigned Name
// Authority at
//
//   http://www.iana.org/assignments/character-sets
//
// Where multiple aliases are provided for a character set, the preferred MIME name
// will be used.  vtkUnicodeDelimitedTextReader currently supports "US-ASCII", "UTF-8",
// "UTF-16", "UTF-16BE", and "UTF-16LE" character sets.
//// \item @|obj.SetUTF8RecordDelimiters (string delimiters)| -  Specify the character(s) that will be used to separate records.
// The order of characters in the string does not matter.  Defaults
// to "\r\n".
//// \item @|string = obj.GetUTF8RecordDelimiters ()| -  Specify the character(s) that will be used to separate records.
// The order of characters in the string does not matter.  Defaults
// to "\r\n".
//// \item @|obj.SetFieldDelimiterCharacters (string )| -  Specify the character(s) that will be used to separate fields.  For
// example, set this to "," for a comma-separated value file.  Set
// it to ".:;" for a file where columns can be separated by a
// period, colon or semicolon.  The order of the characters in the
// string does not matter.  Defaults to a comma.
//// \item @|string = obj.GetFieldDelimiterCharacters ()| -  Specify the character(s) that will be used to separate fields.  For
// example, set this to "," for a comma-separated value file.  Set
// it to ".:;" for a file where columns can be separated by a
// period, colon or semicolon.  The order of the characters in the
// string does not matter.  Defaults to a comma.
//// \item @|obj.SetUTF8FieldDelimiters (string delimiters)|
// \item @|string = obj.GetUTF8FieldDelimiters ()|
// \item @|char = obj.GetStringDelimiter ()| -  Get/set the character that will begin and end strings.  Microsoft
// Excel, for example, will export the following format:
//
// "First Field","Second Field","Field, With, Commas","Fourth Field"
//
// The third field has a comma in it.  By using a string delimiter,
// this will be correctly read.  The delimiter defaults to '"'.
//// \item @|obj.SetStringDelimiter (char )| -  Get/set the character that will begin and end strings.  Microsoft
// Excel, for example, will export the following format:
//
// "First Field","Second Field","Field, With, Commas","Fourth Field"
//
// The third field has a comma in it.  By using a string delimiter,
// this will be correctly read.  The delimiter defaults to '"'.
//// \item @|obj.SetUTF8StringDelimiters (string delimiters)|
// \item @|string = obj.GetUTF8StringDelimiters ()|
// \item @|obj.SetUseStringDelimiter (bool )| -  Set/get whether to use the string delimiter.  Defaults to on.
//// \item @|bool = obj.GetUseStringDelimiter ()| -  Set/get whether to use the string delimiter.  Defaults to on.
//// \item @|obj.UseStringDelimiterOn ()| -  Set/get whether to use the string delimiter.  Defaults to on.
//// \item @|obj.UseStringDelimiterOff ()| -  Set/get whether to use the string delimiter.  Defaults to on.
//// \item @|bool = obj.GetHaveHeaders ()| -  Set/get whether to treat the first line of the file as headers.
//// \item @|obj.SetHaveHeaders (bool )| -  Set/get whether to treat the first line of the file as headers.
//// \item @|obj.SetMergeConsecutiveDelimiters (bool )| -  Set/get whether to merge successive delimiters.  Use this if (for
// example) your fields are separated by spaces but you don't know
// exactly how many.
//// \item @|bool = obj.GetMergeConsecutiveDelimiters ()| -  Set/get whether to merge successive delimiters.  Use this if (for
// example) your fields are separated by spaces but you don't know
// exactly how many.
//// \item @|obj.MergeConsecutiveDelimitersOn ()| -  Set/get whether to merge successive delimiters.  Use this if (for
// example) your fields are separated by spaces but you don't know
// exactly how many.
//// \item @|obj.MergeConsecutiveDelimitersOff ()| -  Set/get whether to merge successive delimiters.  Use this if (for
// example) your fields are separated by spaces but you don't know
// exactly how many.
//// \item @|vtkIdType = obj.GetMaxRecords ()| -  Specifies the maximum number of records to read from the file.  Limiting the
// number of records to read is useful for previewing the contents of a file.
//// \item @|obj.SetMaxRecords (vtkIdType )| -  Specifies the maximum number of records to read from the file.  Limiting the
// number of records to read is useful for previewing the contents of a file.
//// \item @|obj.SetDetectNumericColumns (bool )| -  When set to true, the reader will detect numeric columns and create
// vtkDoubleArray or vtkIntArray for those instead of vtkStringArray. Default
// is off.
//// \item @|bool = obj.GetDetectNumericColumns ()| -  When set to true, the reader will detect numeric columns and create
// vtkDoubleArray or vtkIntArray for those instead of vtkStringArray. Default
// is off.
//// \item @|obj.DetectNumericColumnsOn ()| -  When set to true, the reader will detect numeric columns and create
// vtkDoubleArray or vtkIntArray for those instead of vtkStringArray. Default
// is off.
//// \item @|obj.DetectNumericColumnsOff ()| -  When set to true, the reader will detect numeric columns and create
// vtkDoubleArray or vtkIntArray for those instead of vtkStringArray. Default
// is off.
//// \item @|obj.SetPedigreeIdArrayName (string )| -  The name of the array for generating or assigning pedigree ids
// (default "id").
//// \item @|string = obj.GetPedigreeIdArrayName ()| -  The name of the array for generating or assigning pedigree ids
// (default "id").
//// \item @|obj.SetGeneratePedigreeIds (bool )| -  If on (default), generates pedigree ids automatically.
// If off, assign one of the arrays to be the pedigree id.
//// \item @|bool = obj.GetGeneratePedigreeIds ()| -  If on (default), generates pedigree ids automatically.
// If off, assign one of the arrays to be the pedigree id.
//// \item @|obj.GeneratePedigreeIdsOn ()| -  If on (default), generates pedigree ids automatically.
// If off, assign one of the arrays to be the pedigree id.
//// \item @|obj.GeneratePedigreeIdsOff ()| -  If on (default), generates pedigree ids automatically.
// If off, assign one of the arrays to be the pedigree id.
//// \item @|obj.SetOutputPedigreeIds (bool )| -  If on, assigns pedigree ids to output. Defaults to off.
//// \item @|bool = obj.GetOutputPedigreeIds ()| -  If on, assigns pedigree ids to output. Defaults to off.
//// \item @|obj.OutputPedigreeIdsOn ()| -  If on, assigns pedigree ids to output. Defaults to off.
//// \item @|obj.OutputPedigreeIdsOff ()| -  If on, assigns pedigree ids to output. Defaults to off.
//// \item @|vtkStdString = obj.GetLastError ()| -  Returns a human-readable description of the most recent error, if any.
// Otherwise, returns an empty string.  Note that the result is only valid
// after calling Update().
////\end{itemize}
//!
