#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDescriptiveStatistics object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDescriptiveStatistics.h"

//@@Signature
//sfunction @vtkDescriptiveStatistics:vtkDescriptiveStatistics vtkDescriptiveStatisticsConstructorFunction
//input a
//output p
//@@Parents vtkDescriptiveStatistics vtkUnivariateStatisticsAlgorithm 
ArrayVector vtkDescriptiveStatisticsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDescriptiveStatistics::New(),"vtkDescriptiveStatistics",eval);
  } else if (arg[0].className() == "vtkDescriptiveStatistics") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDescriptiveStatistics"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDescriptiveStatistics");
    vtkDescriptiveStatistics*q = reinterpret_cast<vtkDescriptiveStatistics*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDescriptiveStatistics");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDescriptiveStatistics:GetClassName vtkDescriptiveStatisticsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDescriptiveStatisticsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDescriptiveStatistics requires 1 argument(s)");
  vtkDescriptiveStatistics* vtk_pointer = GetVTKPointer<vtkDescriptiveStatistics>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDescriptiveStatistics:IsA vtkDescriptiveStatisticsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDescriptiveStatisticsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDescriptiveStatistics requires 2 argument(s)");
  vtkDescriptiveStatistics* vtk_pointer = GetVTKPointer<vtkDescriptiveStatistics>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDescriptiveStatistics:NewInstance vtkDescriptiveStatisticsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDescriptiveStatisticsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDescriptiveStatistics *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDescriptiveStatistics requires 1 argument(s)");
  vtkDescriptiveStatistics* vtk_pointer = GetVTKPointer<vtkDescriptiveStatistics>(arg[0]);
  Array retval;
  vtkDescriptiveStatistics  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDescriptiveStatistics",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDescriptiveStatistics:SafeDownCast vtkDescriptiveStatisticsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDescriptiveStatisticsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDescriptiveStatistics *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDescriptiveStatistics requires 2 argument(s)");
  vtkDescriptiveStatistics* vtk_pointer = GetVTKPointer<vtkDescriptiveStatistics>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDescriptiveStatistics  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDescriptiveStatistics",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDescriptiveStatistics:SetUnbiasedVariance vtkDescriptiveStatisticsSetUnbiasedVarianceFunction
//input a0 a1 
//output none
ArrayVector vtkDescriptiveStatisticsSetUnbiasedVarianceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUnbiasedVariance (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUnbiasedVariance for class vtkDescriptiveStatistics requires 2 argument(s)");
  vtkDescriptiveStatistics* vtk_pointer = GetVTKPointer<vtkDescriptiveStatistics>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUnbiasedVariance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDescriptiveStatistics:GetUnbiasedVariance vtkDescriptiveStatisticsGetUnbiasedVarianceFunction
//input a0 
//output y
ArrayVector vtkDescriptiveStatisticsGetUnbiasedVarianceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUnbiasedVariance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUnbiasedVariance for class vtkDescriptiveStatistics requires 1 argument(s)");
  vtkDescriptiveStatistics* vtk_pointer = GetVTKPointer<vtkDescriptiveStatistics>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUnbiasedVariance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDescriptiveStatistics:UnbiasedVarianceOn vtkDescriptiveStatisticsUnbiasedVarianceOnFunction
//input a0 
//output none
ArrayVector vtkDescriptiveStatisticsUnbiasedVarianceOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UnbiasedVarianceOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UnbiasedVarianceOn for class vtkDescriptiveStatistics requires 1 argument(s)");
  vtkDescriptiveStatistics* vtk_pointer = GetVTKPointer<vtkDescriptiveStatistics>(arg[0]);
  Array retval;
  vtk_pointer->UnbiasedVarianceOn();
  return retval;
}

//@@Signature
//sfunction @vtkDescriptiveStatistics:UnbiasedVarianceOff vtkDescriptiveStatisticsUnbiasedVarianceOffFunction
//input a0 
//output none
ArrayVector vtkDescriptiveStatisticsUnbiasedVarianceOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UnbiasedVarianceOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UnbiasedVarianceOff for class vtkDescriptiveStatistics requires 1 argument(s)");
  vtkDescriptiveStatistics* vtk_pointer = GetVTKPointer<vtkDescriptiveStatistics>(arg[0]);
  Array retval;
  vtk_pointer->UnbiasedVarianceOff();
  return retval;
}

//@@Signature
//sfunction @vtkDescriptiveStatistics:SetSignedDeviations vtkDescriptiveStatisticsSetSignedDeviationsFunction
//input a0 a1 
//output none
ArrayVector vtkDescriptiveStatisticsSetSignedDeviationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSignedDeviations (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSignedDeviations for class vtkDescriptiveStatistics requires 2 argument(s)");
  vtkDescriptiveStatistics* vtk_pointer = GetVTKPointer<vtkDescriptiveStatistics>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSignedDeviations(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDescriptiveStatistics:GetSignedDeviations vtkDescriptiveStatisticsGetSignedDeviationsFunction
//input a0 
//output y
ArrayVector vtkDescriptiveStatisticsGetSignedDeviationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSignedDeviations (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSignedDeviations for class vtkDescriptiveStatistics requires 1 argument(s)");
  vtkDescriptiveStatistics* vtk_pointer = GetVTKPointer<vtkDescriptiveStatistics>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSignedDeviations();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDescriptiveStatistics:SignedDeviationsOn vtkDescriptiveStatisticsSignedDeviationsOnFunction
//input a0 
//output none
ArrayVector vtkDescriptiveStatisticsSignedDeviationsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SignedDeviationsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SignedDeviationsOn for class vtkDescriptiveStatistics requires 1 argument(s)");
  vtkDescriptiveStatistics* vtk_pointer = GetVTKPointer<vtkDescriptiveStatistics>(arg[0]);
  Array retval;
  vtk_pointer->SignedDeviationsOn();
  return retval;
}

//@@Signature
//sfunction @vtkDescriptiveStatistics:SignedDeviationsOff vtkDescriptiveStatisticsSignedDeviationsOffFunction
//input a0 
//output none
ArrayVector vtkDescriptiveStatisticsSignedDeviationsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SignedDeviationsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SignedDeviationsOff for class vtkDescriptiveStatistics requires 1 argument(s)");
  vtkDescriptiveStatistics* vtk_pointer = GetVTKPointer<vtkDescriptiveStatistics>(arg[0]);
  Array retval;
  vtk_pointer->SignedDeviationsOff();
  return retval;
}

//@@Signature
//sfunction @vtkDescriptiveStatistics:SetNominalParameter vtkDescriptiveStatisticsSetNominalParameterFunction
//input a0 a1 
//output none
ArrayVector vtkDescriptiveStatisticsSetNominalParameterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNominalParameter (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetNominalParameter for class vtkDescriptiveStatistics requires 2 argument(s)");
  vtkDescriptiveStatistics* vtk_pointer = GetVTKPointer<vtkDescriptiveStatistics>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetNominalParameter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDescriptiveStatistics:SetDeviationParameter vtkDescriptiveStatisticsSetDeviationParameterFunction
//input a0 a1 
//output none
ArrayVector vtkDescriptiveStatisticsSetDeviationParameterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDeviationParameter (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetDeviationParameter for class vtkDescriptiveStatistics requires 2 argument(s)");
  vtkDescriptiveStatistics* vtk_pointer = GetVTKPointer<vtkDescriptiveStatistics>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetDeviationParameter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDescriptiveStatistics:Aggregate vtkDescriptiveStatisticsAggregateFunction
//input a0 a1 a2 
//output none
ArrayVector vtkDescriptiveStatisticsAggregateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Aggregate (vtkDataObjectCollection *, vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function Aggregate for class vtkDescriptiveStatistics requires 3 argument(s)");
  vtkDescriptiveStatistics* vtk_pointer = GetVTKPointer<vtkDescriptiveStatistics>(arg[0]);
  Array retval;
  vtkDataObjectCollection  *temp0;
  vtkDataObject  *temp1;
  temp0 = GetVTKPointer<vtkDataObjectCollection>(arg[1]);
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->Aggregate(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDescriptiveStatistics:display vtkDescriptiveStatisticsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDescriptiveStatisticsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDescriptiveStatistics* vtk_pointer = GetVTKPointer<vtkDescriptiveStatistics>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDescriptiveStatistics:delete vtkDescriptiveStatisticsDeleteFunction
//input varargin
//output none
ArrayVector vtkDescriptiveStatisticsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDescriptiveStatistics
//@@Section VTKInfovis
//@@Usage
// Given a selection of columns of interest in an input data table, this 
// class provides the following functionalities, depending on the
// execution mode it is executed in:
// * Learn: calculate extremal values, arithmetic mean, unbiased variance 
//   estimator, skewness estimator, and both sample and G2 estimation of the 
//   kurtosis excess. More precisely, Learn calculates the sums; if
//   \p finalize is set to true (default), the final statistics are calculated
//   with CalculateFromSums. Otherwise, only raw sums are output; this 
//   option is made for efficient parallel calculations.
//   Note that CalculateFromSums is a static function, so that it can be used
//   directly with no need to instantiate a vtkDescriptiveStatistics object.
// * Assess: given an input data set in port INPUT_DATA, and a reference value x along
//   with an acceptable deviation d>0, assess all entries in the data set which
//   are outside of [x-d,x+d].
//
// .SECTION Thanks
// Thanks to Philippe Pebay and David Thompson from Sandia National Laboratories 
// for implementing this class.
//
//To create an instance of class vtkDescriptiveStatistics, simply
//invoke its constructor as follows
//@[
//  obj = vtkDescriptiveStatistics
//@]
//@@Methods
//The class vtkDescriptiveStatistics has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDescriptiveStatistics class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDescriptiveStatistics = obj.NewInstance ()|
// \item @|vtkDescriptiveStatistics = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetUnbiasedVariance (int )| -  Set/get whether the unbiased estimator for the variance should be used, or if
// the population variance will be calculated.
// The default is that the unbiased estimator will be used.
//// \item @|int = obj.GetUnbiasedVariance ()| -  Set/get whether the unbiased estimator for the variance should be used, or if
// the population variance will be calculated.
// The default is that the unbiased estimator will be used.
//// \item @|obj.UnbiasedVarianceOn ()| -  Set/get whether the unbiased estimator for the variance should be used, or if
// the population variance will be calculated.
// The default is that the unbiased estimator will be used.
//// \item @|obj.UnbiasedVarianceOff ()| -  Set/get whether the unbiased estimator for the variance should be used, or if
// the population variance will be calculated.
// The default is that the unbiased estimator will be used.
//// \item @|obj.SetSignedDeviations (int )| -  Set/get whether the deviations returned should be signed, or should
// only have their magnitude reported.
// The default is that signed deviations will be computed.
//// \item @|int = obj.GetSignedDeviations ()| -  Set/get whether the deviations returned should be signed, or should
// only have their magnitude reported.
// The default is that signed deviations will be computed.
//// \item @|obj.SignedDeviationsOn ()| -  Set/get whether the deviations returned should be signed, or should
// only have their magnitude reported.
// The default is that signed deviations will be computed.
//// \item @|obj.SignedDeviationsOff ()| -  Set/get whether the deviations returned should be signed, or should
// only have their magnitude reported.
// The default is that signed deviations will be computed.
//// \item @|obj.SetNominalParameter (string name)| -  A convenience method (in particular for UI wrapping) to set the name of the
// column that contains the nominal value for the Assess option.
//// \item @|obj.SetDeviationParameter (string name)| -  A convenience method (in particular for UI wrapping) to set the name of the
// column that contains the deviation for the Assess option.
//// \item @|obj.Aggregate (vtkDataObjectCollection , vtkDataObject )| -  Given a collection of models, calculate aggregate model
////\end{itemize}
//!
