#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDiagonalMatrixSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDiagonalMatrixSource.h"

//@@Signature
//sfunction @vtkDiagonalMatrixSource:vtkDiagonalMatrixSource vtkDiagonalMatrixSourceConstructorFunction
//input a
//output p
//@@Parents vtkDiagonalMatrixSource vtkArrayDataAlgorithm 
ArrayVector vtkDiagonalMatrixSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDiagonalMatrixSource::New(),"vtkDiagonalMatrixSource",eval);
  } else if (arg[0].className() == "vtkDiagonalMatrixSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDiagonalMatrixSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDiagonalMatrixSource");
    vtkDiagonalMatrixSource*q = reinterpret_cast<vtkDiagonalMatrixSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDiagonalMatrixSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDiagonalMatrixSource:GetClassName vtkDiagonalMatrixSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDiagonalMatrixSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDiagonalMatrixSource requires 1 argument(s)");
  vtkDiagonalMatrixSource* vtk_pointer = GetVTKPointer<vtkDiagonalMatrixSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDiagonalMatrixSource:IsA vtkDiagonalMatrixSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDiagonalMatrixSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDiagonalMatrixSource requires 2 argument(s)");
  vtkDiagonalMatrixSource* vtk_pointer = GetVTKPointer<vtkDiagonalMatrixSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDiagonalMatrixSource:NewInstance vtkDiagonalMatrixSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDiagonalMatrixSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDiagonalMatrixSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDiagonalMatrixSource requires 1 argument(s)");
  vtkDiagonalMatrixSource* vtk_pointer = GetVTKPointer<vtkDiagonalMatrixSource>(arg[0]);
  Array retval;
  vtkDiagonalMatrixSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDiagonalMatrixSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDiagonalMatrixSource:SafeDownCast vtkDiagonalMatrixSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDiagonalMatrixSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDiagonalMatrixSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDiagonalMatrixSource requires 2 argument(s)");
  vtkDiagonalMatrixSource* vtk_pointer = GetVTKPointer<vtkDiagonalMatrixSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDiagonalMatrixSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDiagonalMatrixSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDiagonalMatrixSource:GetArrayType vtkDiagonalMatrixSourceGetArrayTypeFunction
//input a0 
//output y
ArrayVector vtkDiagonalMatrixSourceGetArrayTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetArrayType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetArrayType for class vtkDiagonalMatrixSource requires 1 argument(s)");
  vtkDiagonalMatrixSource* vtk_pointer = GetVTKPointer<vtkDiagonalMatrixSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetArrayType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDiagonalMatrixSource:SetArrayType vtkDiagonalMatrixSourceSetArrayTypeFunction
//input a0 a1 
//output none
ArrayVector vtkDiagonalMatrixSourceSetArrayTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArrayType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetArrayType for class vtkDiagonalMatrixSource requires 2 argument(s)");
  vtkDiagonalMatrixSource* vtk_pointer = GetVTKPointer<vtkDiagonalMatrixSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetArrayType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDiagonalMatrixSource:GetExtents vtkDiagonalMatrixSourceGetExtentsFunction
//input a0 
//output y
ArrayVector vtkDiagonalMatrixSourceGetExtentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetExtents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtents for class vtkDiagonalMatrixSource requires 1 argument(s)");
  vtkDiagonalMatrixSource* vtk_pointer = GetVTKPointer<vtkDiagonalMatrixSource>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetExtents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDiagonalMatrixSource:SetExtents vtkDiagonalMatrixSourceSetExtentsFunction
//input a0 a1 
//output none
ArrayVector vtkDiagonalMatrixSourceSetExtentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExtents (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtents for class vtkDiagonalMatrixSource requires 2 argument(s)");
  vtkDiagonalMatrixSource* vtk_pointer = GetVTKPointer<vtkDiagonalMatrixSource>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetExtents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDiagonalMatrixSource:GetDiagonal vtkDiagonalMatrixSourceGetDiagonalFunction
//input a0 
//output y
ArrayVector vtkDiagonalMatrixSourceGetDiagonalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetDiagonal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDiagonal for class vtkDiagonalMatrixSource requires 1 argument(s)");
  vtkDiagonalMatrixSource* vtk_pointer = GetVTKPointer<vtkDiagonalMatrixSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetDiagonal();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDiagonalMatrixSource:SetDiagonal vtkDiagonalMatrixSourceSetDiagonalFunction
//input a0 a1 
//output none
ArrayVector vtkDiagonalMatrixSourceSetDiagonalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDiagonal (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDiagonal for class vtkDiagonalMatrixSource requires 2 argument(s)");
  vtkDiagonalMatrixSource* vtk_pointer = GetVTKPointer<vtkDiagonalMatrixSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetDiagonal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDiagonalMatrixSource:GetSuperDiagonal vtkDiagonalMatrixSourceGetSuperDiagonalFunction
//input a0 
//output y
ArrayVector vtkDiagonalMatrixSourceGetSuperDiagonalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSuperDiagonal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSuperDiagonal for class vtkDiagonalMatrixSource requires 1 argument(s)");
  vtkDiagonalMatrixSource* vtk_pointer = GetVTKPointer<vtkDiagonalMatrixSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSuperDiagonal();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDiagonalMatrixSource:SetSuperDiagonal vtkDiagonalMatrixSourceSetSuperDiagonalFunction
//input a0 a1 
//output none
ArrayVector vtkDiagonalMatrixSourceSetSuperDiagonalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSuperDiagonal (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSuperDiagonal for class vtkDiagonalMatrixSource requires 2 argument(s)");
  vtkDiagonalMatrixSource* vtk_pointer = GetVTKPointer<vtkDiagonalMatrixSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetSuperDiagonal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDiagonalMatrixSource:GetSubDiagonal vtkDiagonalMatrixSourceGetSubDiagonalFunction
//input a0 
//output y
ArrayVector vtkDiagonalMatrixSourceGetSubDiagonalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetSubDiagonal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSubDiagonal for class vtkDiagonalMatrixSource requires 1 argument(s)");
  vtkDiagonalMatrixSource* vtk_pointer = GetVTKPointer<vtkDiagonalMatrixSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSubDiagonal();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDiagonalMatrixSource:SetSubDiagonal vtkDiagonalMatrixSourceSetSubDiagonalFunction
//input a0 a1 
//output none
ArrayVector vtkDiagonalMatrixSourceSetSubDiagonalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSubDiagonal (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSubDiagonal for class vtkDiagonalMatrixSource requires 2 argument(s)");
  vtkDiagonalMatrixSource* vtk_pointer = GetVTKPointer<vtkDiagonalMatrixSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetSubDiagonal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDiagonalMatrixSource:GetRowLabel vtkDiagonalMatrixSourceGetRowLabelFunction
//input a0 
//output y
ArrayVector vtkDiagonalMatrixSourceGetRowLabelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetRowLabel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRowLabel for class vtkDiagonalMatrixSource requires 1 argument(s)");
  vtkDiagonalMatrixSource* vtk_pointer = GetVTKPointer<vtkDiagonalMatrixSource>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetRowLabel();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDiagonalMatrixSource:SetRowLabel vtkDiagonalMatrixSourceSetRowLabelFunction
//input a0 a1 
//output none
ArrayVector vtkDiagonalMatrixSourceSetRowLabelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRowLabel (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetRowLabel for class vtkDiagonalMatrixSource requires 2 argument(s)");
  vtkDiagonalMatrixSource* vtk_pointer = GetVTKPointer<vtkDiagonalMatrixSource>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetRowLabel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDiagonalMatrixSource:GetColumnLabel vtkDiagonalMatrixSourceGetColumnLabelFunction
//input a0 
//output y
ArrayVector vtkDiagonalMatrixSourceGetColumnLabelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetColumnLabel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColumnLabel for class vtkDiagonalMatrixSource requires 1 argument(s)");
  vtkDiagonalMatrixSource* vtk_pointer = GetVTKPointer<vtkDiagonalMatrixSource>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetColumnLabel();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDiagonalMatrixSource:SetColumnLabel vtkDiagonalMatrixSourceSetColumnLabelFunction
//input a0 a1 
//output none
ArrayVector vtkDiagonalMatrixSourceSetColumnLabelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColumnLabel (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetColumnLabel for class vtkDiagonalMatrixSource requires 2 argument(s)");
  vtkDiagonalMatrixSource* vtk_pointer = GetVTKPointer<vtkDiagonalMatrixSource>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetColumnLabel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDiagonalMatrixSource:display vtkDiagonalMatrixSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDiagonalMatrixSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDiagonalMatrixSource* vtk_pointer = GetVTKPointer<vtkDiagonalMatrixSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDiagonalMatrixSource:delete vtkDiagonalMatrixSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkDiagonalMatrixSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
