#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDotProductSimilarity object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDotProductSimilarity.h"

//@@Signature
//sfunction @vtkDotProductSimilarity:vtkDotProductSimilarity vtkDotProductSimilarityConstructorFunction
//input a
//output p
//@@Parents vtkDotProductSimilarity vtkTableAlgorithm 
ArrayVector vtkDotProductSimilarityConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDotProductSimilarity::New(),"vtkDotProductSimilarity",eval);
  } else if (arg[0].className() == "vtkDotProductSimilarity") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDotProductSimilarity"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDotProductSimilarity");
    vtkDotProductSimilarity*q = reinterpret_cast<vtkDotProductSimilarity*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDotProductSimilarity");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDotProductSimilarity:GetClassName vtkDotProductSimilarityGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDotProductSimilarityGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDotProductSimilarity requires 1 argument(s)");
  vtkDotProductSimilarity* vtk_pointer = GetVTKPointer<vtkDotProductSimilarity>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDotProductSimilarity:IsA vtkDotProductSimilarityIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDotProductSimilarityIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDotProductSimilarity requires 2 argument(s)");
  vtkDotProductSimilarity* vtk_pointer = GetVTKPointer<vtkDotProductSimilarity>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDotProductSimilarity:NewInstance vtkDotProductSimilarityNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDotProductSimilarityNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDotProductSimilarity *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDotProductSimilarity requires 1 argument(s)");
  vtkDotProductSimilarity* vtk_pointer = GetVTKPointer<vtkDotProductSimilarity>(arg[0]);
  Array retval;
  vtkDotProductSimilarity  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDotProductSimilarity",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDotProductSimilarity:SafeDownCast vtkDotProductSimilaritySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDotProductSimilaritySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDotProductSimilarity *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDotProductSimilarity requires 2 argument(s)");
  vtkDotProductSimilarity* vtk_pointer = GetVTKPointer<vtkDotProductSimilarity>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDotProductSimilarity  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDotProductSimilarity",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDotProductSimilarity:GetVectorDimension vtkDotProductSimilarityGetVectorDimensionFunction
//input a0 
//output y
ArrayVector vtkDotProductSimilarityGetVectorDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetVectorDimension (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVectorDimension for class vtkDotProductSimilarity requires 1 argument(s)");
  vtkDotProductSimilarity* vtk_pointer = GetVTKPointer<vtkDotProductSimilarity>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetVectorDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDotProductSimilarity:SetVectorDimension vtkDotProductSimilaritySetVectorDimensionFunction
//input a0 a1 
//output none
ArrayVector vtkDotProductSimilaritySetVectorDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorDimension (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetVectorDimension for class vtkDotProductSimilarity requires 2 argument(s)");
  vtkDotProductSimilarity* vtk_pointer = GetVTKPointer<vtkDotProductSimilarity>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetVectorDimension(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDotProductSimilarity:GetUpperDiagonal vtkDotProductSimilarityGetUpperDiagonalFunction
//input a0 
//output y
ArrayVector vtkDotProductSimilarityGetUpperDiagonalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUpperDiagonal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUpperDiagonal for class vtkDotProductSimilarity requires 1 argument(s)");
  vtkDotProductSimilarity* vtk_pointer = GetVTKPointer<vtkDotProductSimilarity>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUpperDiagonal();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDotProductSimilarity:SetUpperDiagonal vtkDotProductSimilaritySetUpperDiagonalFunction
//input a0 a1 
//output none
ArrayVector vtkDotProductSimilaritySetUpperDiagonalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUpperDiagonal (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUpperDiagonal for class vtkDotProductSimilarity requires 2 argument(s)");
  vtkDotProductSimilarity* vtk_pointer = GetVTKPointer<vtkDotProductSimilarity>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUpperDiagonal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDotProductSimilarity:GetDiagonal vtkDotProductSimilarityGetDiagonalFunction
//input a0 
//output y
ArrayVector vtkDotProductSimilarityGetDiagonalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDiagonal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDiagonal for class vtkDotProductSimilarity requires 1 argument(s)");
  vtkDotProductSimilarity* vtk_pointer = GetVTKPointer<vtkDotProductSimilarity>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDiagonal();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDotProductSimilarity:SetDiagonal vtkDotProductSimilaritySetDiagonalFunction
//input a0 a1 
//output none
ArrayVector vtkDotProductSimilaritySetDiagonalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDiagonal (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDiagonal for class vtkDotProductSimilarity requires 2 argument(s)");
  vtkDotProductSimilarity* vtk_pointer = GetVTKPointer<vtkDotProductSimilarity>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDiagonal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDotProductSimilarity:GetLowerDiagonal vtkDotProductSimilarityGetLowerDiagonalFunction
//input a0 
//output y
ArrayVector vtkDotProductSimilarityGetLowerDiagonalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLowerDiagonal (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLowerDiagonal for class vtkDotProductSimilarity requires 1 argument(s)");
  vtkDotProductSimilarity* vtk_pointer = GetVTKPointer<vtkDotProductSimilarity>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLowerDiagonal();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDotProductSimilarity:SetLowerDiagonal vtkDotProductSimilaritySetLowerDiagonalFunction
//input a0 a1 
//output none
ArrayVector vtkDotProductSimilaritySetLowerDiagonalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLowerDiagonal (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLowerDiagonal for class vtkDotProductSimilarity requires 2 argument(s)");
  vtkDotProductSimilarity* vtk_pointer = GetVTKPointer<vtkDotProductSimilarity>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetLowerDiagonal(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDotProductSimilarity:GetFirstSecond vtkDotProductSimilarityGetFirstSecondFunction
//input a0 
//output y
ArrayVector vtkDotProductSimilarityGetFirstSecondFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFirstSecond (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFirstSecond for class vtkDotProductSimilarity requires 1 argument(s)");
  vtkDotProductSimilarity* vtk_pointer = GetVTKPointer<vtkDotProductSimilarity>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFirstSecond();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDotProductSimilarity:SetFirstSecond vtkDotProductSimilaritySetFirstSecondFunction
//input a0 a1 
//output none
ArrayVector vtkDotProductSimilaritySetFirstSecondFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFirstSecond (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFirstSecond for class vtkDotProductSimilarity requires 2 argument(s)");
  vtkDotProductSimilarity* vtk_pointer = GetVTKPointer<vtkDotProductSimilarity>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFirstSecond(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDotProductSimilarity:GetSecondFirst vtkDotProductSimilarityGetSecondFirstFunction
//input a0 
//output y
ArrayVector vtkDotProductSimilarityGetSecondFirstFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSecondFirst (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSecondFirst for class vtkDotProductSimilarity requires 1 argument(s)");
  vtkDotProductSimilarity* vtk_pointer = GetVTKPointer<vtkDotProductSimilarity>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSecondFirst();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDotProductSimilarity:SetSecondFirst vtkDotProductSimilaritySetSecondFirstFunction
//input a0 a1 
//output none
ArrayVector vtkDotProductSimilaritySetSecondFirstFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSecondFirst (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSecondFirst for class vtkDotProductSimilarity requires 2 argument(s)");
  vtkDotProductSimilarity* vtk_pointer = GetVTKPointer<vtkDotProductSimilarity>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSecondFirst(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDotProductSimilarity:GetMinimumThreshold vtkDotProductSimilarityGetMinimumThresholdFunction
//input a0 
//output y
ArrayVector vtkDotProductSimilarityGetMinimumThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinimumThreshold (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumThreshold for class vtkDotProductSimilarity requires 1 argument(s)");
  vtkDotProductSimilarity* vtk_pointer = GetVTKPointer<vtkDotProductSimilarity>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinimumThreshold();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDotProductSimilarity:SetMinimumThreshold vtkDotProductSimilaritySetMinimumThresholdFunction
//input a0 a1 
//output none
ArrayVector vtkDotProductSimilaritySetMinimumThresholdFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimumThreshold (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinimumThreshold for class vtkDotProductSimilarity requires 2 argument(s)");
  vtkDotProductSimilarity* vtk_pointer = GetVTKPointer<vtkDotProductSimilarity>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMinimumThreshold(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDotProductSimilarity:GetMinimumCount vtkDotProductSimilarityGetMinimumCountFunction
//input a0 
//output y
ArrayVector vtkDotProductSimilarityGetMinimumCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetMinimumCount (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumCount for class vtkDotProductSimilarity requires 1 argument(s)");
  vtkDotProductSimilarity* vtk_pointer = GetVTKPointer<vtkDotProductSimilarity>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetMinimumCount();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDotProductSimilarity:SetMinimumCount vtkDotProductSimilaritySetMinimumCountFunction
//input a0 a1 
//output none
ArrayVector vtkDotProductSimilaritySetMinimumCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinimumCount (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinimumCount for class vtkDotProductSimilarity requires 2 argument(s)");
  vtkDotProductSimilarity* vtk_pointer = GetVTKPointer<vtkDotProductSimilarity>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMinimumCount(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDotProductSimilarity:GetMaximumCount vtkDotProductSimilarityGetMaximumCountFunction
//input a0 
//output y
ArrayVector vtkDotProductSimilarityGetMaximumCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetMaximumCount (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumCount for class vtkDotProductSimilarity requires 1 argument(s)");
  vtkDotProductSimilarity* vtk_pointer = GetVTKPointer<vtkDotProductSimilarity>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetMaximumCount();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDotProductSimilarity:SetMaximumCount vtkDotProductSimilaritySetMaximumCountFunction
//input a0 a1 
//output none
ArrayVector vtkDotProductSimilaritySetMaximumCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaximumCount (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaximumCount for class vtkDotProductSimilarity requires 2 argument(s)");
  vtkDotProductSimilarity* vtk_pointer = GetVTKPointer<vtkDotProductSimilarity>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaximumCount(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDotProductSimilarity:display vtkDotProductSimilarityDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDotProductSimilarityDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDotProductSimilarity* vtk_pointer = GetVTKPointer<vtkDotProductSimilarity>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDotProductSimilarity:delete vtkDotProductSimilarityDeleteFunction
//input varargin
//output none
ArrayVector vtkDotProductSimilarityDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDotProductSimilarity
//@@Section VTKInfovis
//@@Usage
// Treats matrices as collections of vectors and computes dot-product similarity
// metrics between vectors.
//
// The results are returned as an edge-table that lists the index of each vector
// and their computed similarity.  The output edge-table is typically used with
// vtkTableToGraph to create a similarity graph.
//
// This filter can be used with one or two input matrices.  If you provide a single
// matrix as input, every vector in the matrix is compared with every other vector. If
// you provide two matrices, every vector in the first matrix is compared with every
// vector in the second matrix.
//
// Note that this filter *only* computes the dot-product between each pair of vectors;
// if you want to compute the cosine of the angles between vectors, you will need to
// normalize the inputs yourself.
//
// Inputs:
//   Input port 0: (required) A vtkDenseArray<double> with two dimensions (a matrix).
//   Input port 1: (optional) A vtkDenseArray<double> with two dimensions (a matrix).
//
// Outputs:
//   Output port 0: A vtkTable containing "source", "target", and "similarity" columns.
//
//
//To create an instance of class vtkDotProductSimilarity, simply
//invoke its constructor as follows
//@[
//  obj = vtkDotProductSimilarity
//@]
//@@Methods
//The class vtkDotProductSimilarity has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDotProductSimilarity class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDotProductSimilarity = obj.NewInstance ()|
// \item @|vtkDotProductSimilarity = obj.SafeDownCast (vtkObject o)|
// \item @|vtkIdType = obj.GetVectorDimension ()| -  Controls whether to compute similarities for row-vectors or column-vectors.
// 0 = rows, 1 = columns.
//// \item @|obj.SetVectorDimension (vtkIdType )| -  Controls whether to compute similarities for row-vectors or column-vectors.
// 0 = rows, 1 = columns.
//// \item @|int = obj.GetUpperDiagonal ()| -  When computing similarities for a single input matrix, controls whether the
// results will include the upper diagonal of the similarity matrix.  Default: true.
//// \item @|obj.SetUpperDiagonal (int )| -  When computing similarities for a single input matrix, controls whether the
// results will include the upper diagonal of the similarity matrix.  Default: true.
//// \item @|int = obj.GetDiagonal ()| -  When computing similarities for a single input matrix, controls whether the
// results will include the diagonal of the similarity matrix.  Default: false.
//// \item @|obj.SetDiagonal (int )| -  When computing similarities for a single input matrix, controls whether the
// results will include the diagonal of the similarity matrix.  Default: false.
//// \item @|int = obj.GetLowerDiagonal ()| -  When computing similarities for a single input matrix, controls whether the
// results will include the lower diagonal of the similarity matrix.  Default: false.
//// \item @|obj.SetLowerDiagonal (int )| -  When computing similarities for a single input matrix, controls whether the
// results will include the lower diagonal of the similarity matrix.  Default: false.
//// \item @|int = obj.GetFirstSecond ()| -  When computing similarities for two input matrices, controls whether the results
// will include comparisons from the first matrix to the second matrix.
//// \item @|obj.SetFirstSecond (int )| -  When computing similarities for two input matrices, controls whether the results
// will include comparisons from the first matrix to the second matrix.
//// \item @|int = obj.GetSecondFirst ()| -  When computing similarities for two input matrices, controls whether the results
// will include comparisons from the second matrix to the first matrix.
//// \item @|obj.SetSecondFirst (int )| -  When computing similarities for two input matrices, controls whether the results
// will include comparisons from the second matrix to the first matrix.
//// \item @|double = obj.GetMinimumThreshold ()| -  Specifies a minimum threshold that a similarity must exceed to be included in
// the output.
//// \item @|obj.SetMinimumThreshold (double )| -  Specifies a minimum threshold that a similarity must exceed to be included in
// the output.
//// \item @|vtkIdType = obj.GetMinimumCount ()| -  Specifies a minimum number of edges to include for each vector.
//// \item @|obj.SetMinimumCount (vtkIdType )| -  Specifies a minimum number of edges to include for each vector.
//// \item @|vtkIdType = obj.GetMaximumCount ()| -  Specifies a maximum number of edges to include for each vector.
//// \item @|obj.SetMaximumCount (vtkIdType )| -  Specifies a maximum number of edges to include for each vector.
////\end{itemize}
//!
