#include "VTKWrap.hpp"

// FreeMat wrapper for vtkEdgeCenters object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkEdgeCenters.h"

//@@Signature
//sfunction @vtkEdgeCenters:vtkEdgeCenters vtkEdgeCentersConstructorFunction
//input a
//output p
//@@Parents vtkEdgeCenters vtkPolyDataAlgorithm 
ArrayVector vtkEdgeCentersConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkEdgeCenters::New(),"vtkEdgeCenters",eval);
  } else if (arg[0].className() == "vtkEdgeCenters") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkEdgeCenters"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkEdgeCenters");
    vtkEdgeCenters*q = reinterpret_cast<vtkEdgeCenters*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkEdgeCenters");
    return ret;
  }
}
//@@Signature
//sfunction @vtkEdgeCenters:GetClassName vtkEdgeCentersGetClassNameFunction
//input a0 
//output y
ArrayVector vtkEdgeCentersGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkEdgeCenters requires 1 argument(s)");
  vtkEdgeCenters* vtk_pointer = GetVTKPointer<vtkEdgeCenters>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEdgeCenters:IsA vtkEdgeCentersIsAFunction
//input a0 a1 
//output y
ArrayVector vtkEdgeCentersIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkEdgeCenters requires 2 argument(s)");
  vtkEdgeCenters* vtk_pointer = GetVTKPointer<vtkEdgeCenters>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEdgeCenters:NewInstance vtkEdgeCentersNewInstanceFunction
//input a0 
//output y
ArrayVector vtkEdgeCentersNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEdgeCenters *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkEdgeCenters requires 1 argument(s)");
  vtkEdgeCenters* vtk_pointer = GetVTKPointer<vtkEdgeCenters>(arg[0]);
  Array retval;
  vtkEdgeCenters  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEdgeCenters",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEdgeCenters:SafeDownCast vtkEdgeCentersSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkEdgeCentersSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEdgeCenters *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkEdgeCenters requires 2 argument(s)");
  vtkEdgeCenters* vtk_pointer = GetVTKPointer<vtkEdgeCenters>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkEdgeCenters  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEdgeCenters",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEdgeCenters:SetVertexCells vtkEdgeCentersSetVertexCellsFunction
//input a0 a1 
//output none
ArrayVector vtkEdgeCentersSetVertexCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVertexCells (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetVertexCells for class vtkEdgeCenters requires 2 argument(s)");
  vtkEdgeCenters* vtk_pointer = GetVTKPointer<vtkEdgeCenters>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetVertexCells(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEdgeCenters:GetVertexCells vtkEdgeCentersGetVertexCellsFunction
//input a0 
//output y
ArrayVector vtkEdgeCentersGetVertexCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVertexCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertexCells for class vtkEdgeCenters requires 1 argument(s)");
  vtkEdgeCenters* vtk_pointer = GetVTKPointer<vtkEdgeCenters>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVertexCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEdgeCenters:VertexCellsOn vtkEdgeCentersVertexCellsOnFunction
//input a0 
//output none
ArrayVector vtkEdgeCentersVertexCellsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void VertexCellsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function VertexCellsOn for class vtkEdgeCenters requires 1 argument(s)");
  vtkEdgeCenters* vtk_pointer = GetVTKPointer<vtkEdgeCenters>(arg[0]);
  Array retval;
  vtk_pointer->VertexCellsOn();
  return retval;
}

//@@Signature
//sfunction @vtkEdgeCenters:VertexCellsOff vtkEdgeCentersVertexCellsOffFunction
//input a0 
//output none
ArrayVector vtkEdgeCentersVertexCellsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void VertexCellsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function VertexCellsOff for class vtkEdgeCenters requires 1 argument(s)");
  vtkEdgeCenters* vtk_pointer = GetVTKPointer<vtkEdgeCenters>(arg[0]);
  Array retval;
  vtk_pointer->VertexCellsOff();
  return retval;
}

//@@Signature
//sfunction @vtkEdgeCenters:display vtkEdgeCentersDisplayFunction
//input varargin
//output varargout
ArrayVector vtkEdgeCentersDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkEdgeCenters* vtk_pointer = GetVTKPointer<vtkEdgeCenters>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkEdgeCenters:delete vtkEdgeCentersDeleteFunction
//input varargin
//output none
ArrayVector vtkEdgeCentersDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkEdgeCenters
//@@Section VTKInfovis
//@@Usage
// vtkEdgeCenters is a filter that takes as input any graph and 
// generates on output points at the center of the cells in the dataset.
// These points can be used for placing glyphs (vtkGlyph3D) or labeling 
// (vtkLabeledDataMapper). (The center is the parametric center of the
// cell, not necessarily the geometric or bounding box center.) The edge
// attributes will be associated with the points on output.
// 
//
//To create an instance of class vtkEdgeCenters, simply
//invoke its constructor as follows
//@[
//  obj = vtkEdgeCenters
//@]
//@@Methods
//The class vtkEdgeCenters has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkEdgeCenters class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkEdgeCenters = obj.NewInstance ()|
// \item @|vtkEdgeCenters = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetVertexCells (int )| -  Enable/disable the generation of vertex cells.
//// \item @|int = obj.GetVertexCells ()| -  Enable/disable the generation of vertex cells.
//// \item @|obj.VertexCellsOn ()| -  Enable/disable the generation of vertex cells.
//// \item @|obj.VertexCellsOff ()| -  Enable/disable the generation of vertex cells.
////\end{itemize}
//!
