#include "VTKWrap.hpp"

// FreeMat wrapper for vtkEdgeLayout object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkEdgeLayout.h"

//@@Signature
//sfunction @vtkEdgeLayout:vtkEdgeLayout vtkEdgeLayoutConstructorFunction
//input a
//output p
//@@Parents vtkEdgeLayout vtkGraphAlgorithm 
ArrayVector vtkEdgeLayoutConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkEdgeLayout::New(),"vtkEdgeLayout",eval);
  } else if (arg[0].className() == "vtkEdgeLayout") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkEdgeLayout"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkEdgeLayout");
    vtkEdgeLayout*q = reinterpret_cast<vtkEdgeLayout*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkEdgeLayout");
    return ret;
  }
}
//@@Signature
//sfunction @vtkEdgeLayout:GetClassName vtkEdgeLayoutGetClassNameFunction
//input a0 
//output y
ArrayVector vtkEdgeLayoutGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkEdgeLayout requires 1 argument(s)");
  vtkEdgeLayout* vtk_pointer = GetVTKPointer<vtkEdgeLayout>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEdgeLayout:IsA vtkEdgeLayoutIsAFunction
//input a0 a1 
//output y
ArrayVector vtkEdgeLayoutIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkEdgeLayout requires 2 argument(s)");
  vtkEdgeLayout* vtk_pointer = GetVTKPointer<vtkEdgeLayout>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEdgeLayout:NewInstance vtkEdgeLayoutNewInstanceFunction
//input a0 
//output y
ArrayVector vtkEdgeLayoutNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEdgeLayout *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkEdgeLayout requires 1 argument(s)");
  vtkEdgeLayout* vtk_pointer = GetVTKPointer<vtkEdgeLayout>(arg[0]);
  Array retval;
  vtkEdgeLayout  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEdgeLayout",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEdgeLayout:SafeDownCast vtkEdgeLayoutSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkEdgeLayoutSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEdgeLayout *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkEdgeLayout requires 2 argument(s)");
  vtkEdgeLayout* vtk_pointer = GetVTKPointer<vtkEdgeLayout>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkEdgeLayout  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEdgeLayout",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEdgeLayout:SetLayoutStrategy vtkEdgeLayoutSetLayoutStrategyFunction
//input a0 a1 
//output none
ArrayVector vtkEdgeLayoutSetLayoutStrategyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutStrategy (vtkEdgeLayoutStrategy *strategy); */
  if (arg.size() < 2) 
    throw Exception("Function SetLayoutStrategy for class vtkEdgeLayout requires 2 argument(s)");
  vtkEdgeLayout* vtk_pointer = GetVTKPointer<vtkEdgeLayout>(arg[0]);
  Array retval;
  vtkEdgeLayoutStrategy  *temp0;
  temp0 = GetVTKPointer<vtkEdgeLayoutStrategy>(arg[1]);
  vtk_pointer->SetLayoutStrategy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEdgeLayout:GetLayoutStrategy vtkEdgeLayoutGetLayoutStrategyFunction
//input a0 
//output y
ArrayVector vtkEdgeLayoutGetLayoutStrategyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEdgeLayoutStrategy *GetLayoutStrategy (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLayoutStrategy for class vtkEdgeLayout requires 1 argument(s)");
  vtkEdgeLayout* vtk_pointer = GetVTKPointer<vtkEdgeLayout>(arg[0]);
  Array retval;
  vtkEdgeLayoutStrategy  *temp20;
  temp20 = (vtk_pointer)->GetLayoutStrategy();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEdgeLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEdgeLayout:GetMTime vtkEdgeLayoutGetMTimeFunction
//input a0 
//output y
ArrayVector vtkEdgeLayoutGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkEdgeLayout requires 1 argument(s)");
  vtkEdgeLayout* vtk_pointer = GetVTKPointer<vtkEdgeLayout>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEdgeLayout:display vtkEdgeLayoutDisplayFunction
//input varargin
//output varargout
ArrayVector vtkEdgeLayoutDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkEdgeLayout* vtk_pointer = GetVTKPointer<vtkEdgeLayout>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkEdgeLayout:delete vtkEdgeLayoutDeleteFunction
//input varargin
//output none
ArrayVector vtkEdgeLayoutDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkEdgeLayout
//@@Section VTKInfovis
//@@Usage
// This class is a shell for many edge layout strategies which may be set
// using the SetLayoutStrategy() function.  The layout strategies do the
// actual work.
//
//To create an instance of class vtkEdgeLayout, simply
//invoke its constructor as follows
//@[
//  obj = vtkEdgeLayout
//@]
//@@Methods
//The class vtkEdgeLayout has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkEdgeLayout class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkEdgeLayout = obj.NewInstance ()|
// \item @|vtkEdgeLayout = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetLayoutStrategy (vtkEdgeLayoutStrategy strategy)| -  The layout strategy to use during graph layout.
//// \item @|vtkEdgeLayoutStrategy = obj.GetLayoutStrategy ()| -  The layout strategy to use during graph layout.
//// \item @|long = obj.GetMTime ()| -  Get the modification time of the layout algorithm.
////\end{itemize}
//!
