#include "VTKWrap.hpp"

// FreeMat wrapper for vtkEdgeLayoutStrategy object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkEdgeLayoutStrategy.h"

//@@Signature
//sfunction @vtkEdgeLayoutStrategy:vtkEdgeLayoutStrategy vtkEdgeLayoutStrategyConstructorFunction
//input a
//output p
//@@Parents vtkEdgeLayoutStrategy vtkObject 
ArrayVector vtkEdgeLayoutStrategyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkEdgeLayoutStrategy::New(),"vtkEdgeLayoutStrategy",eval);
  } else if (arg[0].className() == "vtkEdgeLayoutStrategy") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkEdgeLayoutStrategy"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkEdgeLayoutStrategy");
    vtkEdgeLayoutStrategy*q = reinterpret_cast<vtkEdgeLayoutStrategy*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkEdgeLayoutStrategy");
    return ret;
  }
}
//@@Signature
//sfunction @vtkEdgeLayoutStrategy:GetClassName vtkEdgeLayoutStrategyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkEdgeLayoutStrategyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkEdgeLayoutStrategy requires 1 argument(s)");
  vtkEdgeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkEdgeLayoutStrategy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEdgeLayoutStrategy:IsA vtkEdgeLayoutStrategyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkEdgeLayoutStrategyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkEdgeLayoutStrategy requires 2 argument(s)");
  vtkEdgeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkEdgeLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEdgeLayoutStrategy:NewInstance vtkEdgeLayoutStrategyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkEdgeLayoutStrategyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEdgeLayoutStrategy *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkEdgeLayoutStrategy requires 1 argument(s)");
  vtkEdgeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkEdgeLayoutStrategy>(arg[0]);
  Array retval;
  vtkEdgeLayoutStrategy  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEdgeLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEdgeLayoutStrategy:SafeDownCast vtkEdgeLayoutStrategySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkEdgeLayoutStrategySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEdgeLayoutStrategy *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkEdgeLayoutStrategy requires 2 argument(s)");
  vtkEdgeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkEdgeLayoutStrategy>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkEdgeLayoutStrategy  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEdgeLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEdgeLayoutStrategy:SetGraph vtkEdgeLayoutStrategySetGraphFunction
//input a0 a1 
//output none
ArrayVector vtkEdgeLayoutStrategySetGraphFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraph (vtkGraph *graph); */
  if (arg.size() < 2) 
    throw Exception("Function SetGraph for class vtkEdgeLayoutStrategy requires 2 argument(s)");
  vtkEdgeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkEdgeLayoutStrategy>(arg[0]);
  Array retval;
  vtkGraph  *temp0;
  temp0 = GetVTKPointer<vtkGraph>(arg[1]);
  vtk_pointer->SetGraph(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEdgeLayoutStrategy:Initialize vtkEdgeLayoutStrategyInitializeFunction
//input a0 
//output none
ArrayVector vtkEdgeLayoutStrategyInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkEdgeLayoutStrategy requires 1 argument(s)");
  vtkEdgeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkEdgeLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkEdgeLayoutStrategy:Layout vtkEdgeLayoutStrategyLayoutFunction
//input a0 
//output none
ArrayVector vtkEdgeLayoutStrategyLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Layout () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function Layout for class vtkEdgeLayoutStrategy requires 1 argument(s)");
  vtkEdgeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkEdgeLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->Layout();
  return retval;
}

//@@Signature
//sfunction @vtkEdgeLayoutStrategy:SetEdgeWeightArrayName vtkEdgeLayoutStrategySetEdgeWeightArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkEdgeLayoutStrategySetEdgeWeightArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeWeightArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeWeightArrayName for class vtkEdgeLayoutStrategy requires 2 argument(s)");
  vtkEdgeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkEdgeLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetEdgeWeightArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEdgeLayoutStrategy:GetEdgeWeightArrayName vtkEdgeLayoutStrategyGetEdgeWeightArrayNameFunction
//input a0 
//output y
ArrayVector vtkEdgeLayoutStrategyGetEdgeWeightArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetEdgeWeightArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeWeightArrayName for class vtkEdgeLayoutStrategy requires 1 argument(s)");
  vtkEdgeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkEdgeLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetEdgeWeightArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEdgeLayoutStrategy:display vtkEdgeLayoutStrategyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkEdgeLayoutStrategyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkEdgeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkEdgeLayoutStrategy>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkEdgeLayoutStrategy:delete vtkEdgeLayoutStrategyDeleteFunction
//input varargin
//output none
ArrayVector vtkEdgeLayoutStrategyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkEdgeLayoutStrategy
//@@Section VTKInfovis
//@@Usage
// All edge layouts should subclass from this class.  vtkEdgeLayoutStrategy
// works as a plug-in to the vtkEdgeLayout algorithm.
//
//To create an instance of class vtkEdgeLayoutStrategy, simply
//invoke its constructor as follows
//@[
//  obj = vtkEdgeLayoutStrategy
//@]
//@@Methods
//The class vtkEdgeLayoutStrategy has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkEdgeLayoutStrategy class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkEdgeLayoutStrategy = obj.NewInstance ()|
// \item @|vtkEdgeLayoutStrategy = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetGraph (vtkGraph graph)| -  Setting the graph for the layout strategy
//// \item @|obj.Initialize ()| -  This method allows the layout strategy to
// do initialization of data structures
// or whatever else it might want to do. 
//// \item @|obj.Layout ()| -  This is the layout method where the graph that was
// set in SetGraph() is laid out.
//// \item @|obj.SetEdgeWeightArrayName (string )| -  Set/Get the field to use for the edge weights.
//// \item @|string = obj.GetEdgeWeightArrayName ()| -  Set/Get the field to use for the edge weights.
////\end{itemize}
//!
