#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExpandSelectedGraph object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExpandSelectedGraph.h"

//@@Signature
//sfunction @vtkExpandSelectedGraph:vtkExpandSelectedGraph vtkExpandSelectedGraphConstructorFunction
//input a
//output p
//@@Parents vtkExpandSelectedGraph vtkSelectionAlgorithm 
ArrayVector vtkExpandSelectedGraphConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExpandSelectedGraph::New(),"vtkExpandSelectedGraph",eval);
  } else if (arg[0].className() == "vtkExpandSelectedGraph") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExpandSelectedGraph"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExpandSelectedGraph");
    vtkExpandSelectedGraph*q = reinterpret_cast<vtkExpandSelectedGraph*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExpandSelectedGraph");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExpandSelectedGraph:GetClassName vtkExpandSelectedGraphGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExpandSelectedGraphGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExpandSelectedGraph requires 1 argument(s)");
  vtkExpandSelectedGraph* vtk_pointer = GetVTKPointer<vtkExpandSelectedGraph>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExpandSelectedGraph:IsA vtkExpandSelectedGraphIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExpandSelectedGraphIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExpandSelectedGraph requires 2 argument(s)");
  vtkExpandSelectedGraph* vtk_pointer = GetVTKPointer<vtkExpandSelectedGraph>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExpandSelectedGraph:NewInstance vtkExpandSelectedGraphNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExpandSelectedGraphNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExpandSelectedGraph *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExpandSelectedGraph requires 1 argument(s)");
  vtkExpandSelectedGraph* vtk_pointer = GetVTKPointer<vtkExpandSelectedGraph>(arg[0]);
  Array retval;
  vtkExpandSelectedGraph  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExpandSelectedGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExpandSelectedGraph:SafeDownCast vtkExpandSelectedGraphSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExpandSelectedGraphSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExpandSelectedGraph *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExpandSelectedGraph requires 2 argument(s)");
  vtkExpandSelectedGraph* vtk_pointer = GetVTKPointer<vtkExpandSelectedGraph>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExpandSelectedGraph  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExpandSelectedGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExpandSelectedGraph:SetGraphConnection vtkExpandSelectedGraphSetGraphConnectionFunction
//input a0 a1 
//output none
ArrayVector vtkExpandSelectedGraphSetGraphConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGraphConnection (vtkAlgorithmOutput *in); */
  if (arg.size() < 2) 
    throw Exception("Function SetGraphConnection for class vtkExpandSelectedGraph requires 2 argument(s)");
  vtkExpandSelectedGraph* vtk_pointer = GetVTKPointer<vtkExpandSelectedGraph>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->SetGraphConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExpandSelectedGraph:FillInputPortInformation vtkExpandSelectedGraphFillInputPortInformationFunction
//input a0 a1 a2 
//output y
ArrayVector vtkExpandSelectedGraphFillInputPortInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int FillInputPortInformation (int port, vtkInformation *info); */
  if (arg.size() < 3) 
    throw Exception("Function FillInputPortInformation for class vtkExpandSelectedGraph requires 3 argument(s)");
  vtkExpandSelectedGraph* vtk_pointer = GetVTKPointer<vtkExpandSelectedGraph>(arg[0]);
  Array retval;
  int      temp0;
  vtkInformation  *temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  temp20 = (vtk_pointer)->FillInputPortInformation(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExpandSelectedGraph:SetBFSDistance vtkExpandSelectedGraphSetBFSDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkExpandSelectedGraphSetBFSDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBFSDistance (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBFSDistance for class vtkExpandSelectedGraph requires 2 argument(s)");
  vtkExpandSelectedGraph* vtk_pointer = GetVTKPointer<vtkExpandSelectedGraph>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBFSDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExpandSelectedGraph:GetBFSDistance vtkExpandSelectedGraphGetBFSDistanceFunction
//input a0 
//output y
ArrayVector vtkExpandSelectedGraphGetBFSDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBFSDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBFSDistance for class vtkExpandSelectedGraph requires 1 argument(s)");
  vtkExpandSelectedGraph* vtk_pointer = GetVTKPointer<vtkExpandSelectedGraph>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBFSDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExpandSelectedGraph:SetIncludeShortestPaths vtkExpandSelectedGraphSetIncludeShortestPathsFunction
//input a0 a1 
//output none
ArrayVector vtkExpandSelectedGraphSetIncludeShortestPathsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIncludeShortestPaths (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIncludeShortestPaths for class vtkExpandSelectedGraph requires 2 argument(s)");
  vtkExpandSelectedGraph* vtk_pointer = GetVTKPointer<vtkExpandSelectedGraph>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetIncludeShortestPaths(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExpandSelectedGraph:GetIncludeShortestPaths vtkExpandSelectedGraphGetIncludeShortestPathsFunction
//input a0 
//output y
ArrayVector vtkExpandSelectedGraphGetIncludeShortestPathsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetIncludeShortestPaths (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIncludeShortestPaths for class vtkExpandSelectedGraph requires 1 argument(s)");
  vtkExpandSelectedGraph* vtk_pointer = GetVTKPointer<vtkExpandSelectedGraph>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetIncludeShortestPaths();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkExpandSelectedGraph:IncludeShortestPathsOn vtkExpandSelectedGraphIncludeShortestPathsOnFunction
//input a0 
//output none
ArrayVector vtkExpandSelectedGraphIncludeShortestPathsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IncludeShortestPathsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function IncludeShortestPathsOn for class vtkExpandSelectedGraph requires 1 argument(s)");
  vtkExpandSelectedGraph* vtk_pointer = GetVTKPointer<vtkExpandSelectedGraph>(arg[0]);
  Array retval;
  vtk_pointer->IncludeShortestPathsOn();
  return retval;
}

//@@Signature
//sfunction @vtkExpandSelectedGraph:IncludeShortestPathsOff vtkExpandSelectedGraphIncludeShortestPathsOffFunction
//input a0 
//output none
ArrayVector vtkExpandSelectedGraphIncludeShortestPathsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IncludeShortestPathsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function IncludeShortestPathsOff for class vtkExpandSelectedGraph requires 1 argument(s)");
  vtkExpandSelectedGraph* vtk_pointer = GetVTKPointer<vtkExpandSelectedGraph>(arg[0]);
  Array retval;
  vtk_pointer->IncludeShortestPathsOff();
  return retval;
}

//@@Signature
//sfunction @vtkExpandSelectedGraph:SetDomain vtkExpandSelectedGraphSetDomainFunction
//input a0 a1 
//output none
ArrayVector vtkExpandSelectedGraphSetDomainFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDomain (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetDomain for class vtkExpandSelectedGraph requires 2 argument(s)");
  vtkExpandSelectedGraph* vtk_pointer = GetVTKPointer<vtkExpandSelectedGraph>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetDomain(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExpandSelectedGraph:GetDomain vtkExpandSelectedGraphGetDomainFunction
//input a0 
//output y
ArrayVector vtkExpandSelectedGraphGetDomainFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetDomain (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDomain for class vtkExpandSelectedGraph requires 1 argument(s)");
  vtkExpandSelectedGraph* vtk_pointer = GetVTKPointer<vtkExpandSelectedGraph>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetDomain();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExpandSelectedGraph:SetUseDomain vtkExpandSelectedGraphSetUseDomainFunction
//input a0 a1 
//output none
ArrayVector vtkExpandSelectedGraphSetUseDomainFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseDomain (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseDomain for class vtkExpandSelectedGraph requires 2 argument(s)");
  vtkExpandSelectedGraph* vtk_pointer = GetVTKPointer<vtkExpandSelectedGraph>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetUseDomain(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExpandSelectedGraph:GetUseDomain vtkExpandSelectedGraphGetUseDomainFunction
//input a0 
//output y
ArrayVector vtkExpandSelectedGraphGetUseDomainFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetUseDomain (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseDomain for class vtkExpandSelectedGraph requires 1 argument(s)");
  vtkExpandSelectedGraph* vtk_pointer = GetVTKPointer<vtkExpandSelectedGraph>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetUseDomain();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkExpandSelectedGraph:UseDomainOn vtkExpandSelectedGraphUseDomainOnFunction
//input a0 
//output none
ArrayVector vtkExpandSelectedGraphUseDomainOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseDomainOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseDomainOn for class vtkExpandSelectedGraph requires 1 argument(s)");
  vtkExpandSelectedGraph* vtk_pointer = GetVTKPointer<vtkExpandSelectedGraph>(arg[0]);
  Array retval;
  vtk_pointer->UseDomainOn();
  return retval;
}

//@@Signature
//sfunction @vtkExpandSelectedGraph:UseDomainOff vtkExpandSelectedGraphUseDomainOffFunction
//input a0 
//output none
ArrayVector vtkExpandSelectedGraphUseDomainOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseDomainOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseDomainOff for class vtkExpandSelectedGraph requires 1 argument(s)");
  vtkExpandSelectedGraph* vtk_pointer = GetVTKPointer<vtkExpandSelectedGraph>(arg[0]);
  Array retval;
  vtk_pointer->UseDomainOff();
  return retval;
}

//@@Signature
//sfunction @vtkExpandSelectedGraph:display vtkExpandSelectedGraphDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExpandSelectedGraphDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExpandSelectedGraph* vtk_pointer = GetVTKPointer<vtkExpandSelectedGraph>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExpandSelectedGraph:delete vtkExpandSelectedGraphDeleteFunction
//input varargin
//output none
ArrayVector vtkExpandSelectedGraphDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExpandSelectedGraph
//@@Section VTKInfovis
//@@Usage
// The first input is a vtkSelection containing the selected vertices.
// The second input is a vtkGraph.
// This filter 'grows' the selection set in one of the following ways
// 1) SetBFSDistance controls how many 'hops' the selection is grown
//    from each seed point in the selection set (defaults to 1)
// 2) IncludeShortestPaths controls whether this filter tries to 
//    'connect' the vertices in the selection set by computing the
//    shortest path between the vertices (if such a path exists)
// Note: IncludeShortestPaths is currently non-functional
//
//To create an instance of class vtkExpandSelectedGraph, simply
//invoke its constructor as follows
//@[
//  obj = vtkExpandSelectedGraph
//@]
//@@Methods
//The class vtkExpandSelectedGraph has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExpandSelectedGraph class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExpandSelectedGraph = obj.NewInstance ()|
// \item @|vtkExpandSelectedGraph = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetGraphConnection (vtkAlgorithmOutput in)| -  A convenience method for setting the second input (i.e. the graph).
//// \item @|int = obj.FillInputPortInformation (int port, vtkInformation info)| -  Specify the first vtkSelection input and the second vtkGraph input.
//// \item @|obj.SetBFSDistance (int )| -  Set/Get BFSDistance which controls how many 'hops' the selection 
// is grown from each seed point in the selection set (defaults to 1)
//// \item @|int = obj.GetBFSDistance ()| -  Set/Get BFSDistance which controls how many 'hops' the selection 
// is grown from each seed point in the selection set (defaults to 1)
//// \item @|obj.SetIncludeShortestPaths (bool )| -  Set/Get IncludeShortestPaths controls whether this filter tries to 
// 'connect' the vertices in the selection set by computing the
// shortest path between the vertices (if such a path exists)
// Note: IncludeShortestPaths is currently non-functional
//// \item @|bool = obj.GetIncludeShortestPaths ()| -  Set/Get IncludeShortestPaths controls whether this filter tries to 
// 'connect' the vertices in the selection set by computing the
// shortest path between the vertices (if such a path exists)
// Note: IncludeShortestPaths is currently non-functional
//// \item @|obj.IncludeShortestPathsOn ()| -  Set/Get IncludeShortestPaths controls whether this filter tries to 
// 'connect' the vertices in the selection set by computing the
// shortest path between the vertices (if such a path exists)
// Note: IncludeShortestPaths is currently non-functional
//// \item @|obj.IncludeShortestPathsOff ()| -  Set/Get IncludeShortestPaths controls whether this filter tries to 
// 'connect' the vertices in the selection set by computing the
// shortest path between the vertices (if such a path exists)
// Note: IncludeShortestPaths is currently non-functional
//// \item @|obj.SetDomain (string )| -  Set/Get the vertex domain to use in the expansion.
//// \item @|string = obj.GetDomain ()| -  Set/Get the vertex domain to use in the expansion.
//// \item @|obj.SetUseDomain (bool )| -  Whether or not to use the domain when deciding to add a vertex to the 
// expansion. Defaults to false. 
//// \item @|bool = obj.GetUseDomain ()| -  Whether or not to use the domain when deciding to add a vertex to the 
// expansion. Defaults to false. 
//// \item @|obj.UseDomainOn ()| -  Whether or not to use the domain when deciding to add a vertex to the 
// expansion. Defaults to false. 
//// \item @|obj.UseDomainOff ()| -  Whether or not to use the domain when deciding to add a vertex to the 
// expansion. Defaults to false. 
////\end{itemize}
//!
