#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtractArray object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtractArray.h"

//@@Signature
//sfunction @vtkExtractArray:vtkExtractArray vtkExtractArrayConstructorFunction
//input a
//output p
//@@Parents vtkExtractArray vtkArrayDataAlgorithm 
ArrayVector vtkExtractArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtractArray::New(),"vtkExtractArray",eval);
  } else if (arg[0].className() == "vtkExtractArray") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtractArray"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtractArray");
    vtkExtractArray*q = reinterpret_cast<vtkExtractArray*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtractArray");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtractArray:GetClassName vtkExtractArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtractArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtractArray requires 1 argument(s)");
  vtkExtractArray* vtk_pointer = GetVTKPointer<vtkExtractArray>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractArray:IsA vtkExtractArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtractArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtractArray requires 2 argument(s)");
  vtkExtractArray* vtk_pointer = GetVTKPointer<vtkExtractArray>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractArray:NewInstance vtkExtractArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtractArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractArray *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtractArray requires 1 argument(s)");
  vtkExtractArray* vtk_pointer = GetVTKPointer<vtkExtractArray>(arg[0]);
  Array retval;
  vtkExtractArray  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractArray:SafeDownCast vtkExtractArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtractArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractArray *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtractArray requires 2 argument(s)");
  vtkExtractArray* vtk_pointer = GetVTKPointer<vtkExtractArray>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtractArray  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractArray:GetIndex vtkExtractArrayGetIndexFunction
//input a0 
//output y
ArrayVector vtkExtractArrayGetIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetIndex (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIndex for class vtkExtractArray requires 1 argument(s)");
  vtkExtractArray* vtk_pointer = GetVTKPointer<vtkExtractArray>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetIndex();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractArray:SetIndex vtkExtractArraySetIndexFunction
//input a0 a1 
//output none
ArrayVector vtkExtractArraySetIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIndex (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIndex for class vtkExtractArray requires 2 argument(s)");
  vtkExtractArray* vtk_pointer = GetVTKPointer<vtkExtractArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIndex(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractArray:display vtkExtractArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtractArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtractArray* vtk_pointer = GetVTKPointer<vtkExtractArray>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtractArray:delete vtkExtractArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkExtractArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
