#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtractHistogram2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtractHistogram2D.h"

//@@Signature
//sfunction @vtkExtractHistogram2D:vtkExtractHistogram2D vtkExtractHistogram2DConstructorFunction
//input a
//output p
//@@Parents vtkExtractHistogram2D vtkBivariateStatisticsAlgorithm 
ArrayVector vtkExtractHistogram2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtractHistogram2D::New(),"vtkExtractHistogram2D",eval);
  } else if (arg[0].className() == "vtkExtractHistogram2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtractHistogram2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtractHistogram2D");
    vtkExtractHistogram2D*q = reinterpret_cast<vtkExtractHistogram2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtractHistogram2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtractHistogram2D:GetClassName vtkExtractHistogram2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtractHistogram2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtractHistogram2D requires 1 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:IsA vtkExtractHistogram2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtractHistogram2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtractHistogram2D requires 2 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:NewInstance vtkExtractHistogram2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtractHistogram2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractHistogram2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtractHistogram2D requires 1 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  vtkExtractHistogram2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractHistogram2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:SafeDownCast vtkExtractHistogram2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtractHistogram2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractHistogram2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtractHistogram2D requires 2 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtractHistogram2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractHistogram2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:SetNumberOfBins__1 vtkExtractHistogram2DSetNumberOfBins__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkExtractHistogram2DSetNumberOfBins__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfBins (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetNumberOfBins__1 for class vtkExtractHistogram2D requires 3 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetNumberOfBins(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:SetNumberOfBins__2 vtkExtractHistogram2DSetNumberOfBins__2Function
//input a0 a1 
//output none
ArrayVector vtkExtractHistogram2DSetNumberOfBins__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfBins (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfBins__2 for class vtkExtractHistogram2D requires 2 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetNumberOfBins(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:GetNumberOfBins vtkExtractHistogram2DGetNumberOfBinsFunction
//input a0 
//output y
ArrayVector vtkExtractHistogram2DGetNumberOfBinsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetNumberOfBins (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfBins for class vtkExtractHistogram2D requires 1 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetNumberOfBins();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:SetComponentsToProcess__1 vtkExtractHistogram2DSetComponentsToProcess__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkExtractHistogram2DSetComponentsToProcess__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComponentsToProcess (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetComponentsToProcess__1 for class vtkExtractHistogram2D requires 3 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetComponentsToProcess(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:SetComponentsToProcess__2 vtkExtractHistogram2DSetComponentsToProcess__2Function
//input a0 a1 
//output none
ArrayVector vtkExtractHistogram2DSetComponentsToProcess__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComponentsToProcess (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetComponentsToProcess__2 for class vtkExtractHistogram2D requires 2 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetComponentsToProcess(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:GetComponentsToProcess vtkExtractHistogram2DGetComponentsToProcessFunction
//input a0 
//output y
ArrayVector vtkExtractHistogram2DGetComponentsToProcessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetComponentsToProcess (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComponentsToProcess for class vtkExtractHistogram2D requires 1 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetComponentsToProcess();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:SetCustomHistogramExtents__1 vtkExtractHistogram2DSetCustomHistogramExtents__1Function
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkExtractHistogram2DSetCustomHistogramExtents__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCustomHistogramExtents (double , double , double , double ); */
  if (arg.size() < 5) 
    throw Exception("Function SetCustomHistogramExtents__1 for class vtkExtractHistogram2D requires 5 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  vtk_pointer->SetCustomHistogramExtents(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:SetCustomHistogramExtents__2 vtkExtractHistogram2DSetCustomHistogramExtents__2Function
//input a0 a1 
//output none
ArrayVector vtkExtractHistogram2DSetCustomHistogramExtents__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCustomHistogramExtents (double  a[4]); */
  if (arg.size() < 2) 
    throw Exception("Function SetCustomHistogramExtents__2 for class vtkExtractHistogram2D requires 2 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  double temp0[4];
  if ( !(arg[1].isVector() && arg[1].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetCustomHistogramExtents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:GetCustomHistogramExtents vtkExtractHistogram2DGetCustomHistogramExtentsFunction
//input a0 
//output y
ArrayVector vtkExtractHistogram2DGetCustomHistogramExtentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetCustomHistogramExtents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCustomHistogramExtents for class vtkExtractHistogram2D requires 1 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetCustomHistogramExtents();
  BasicArray<double> tempResult(NTuple(4,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:SetUseCustomHistogramExtents vtkExtractHistogram2DSetUseCustomHistogramExtentsFunction
//input a0 a1 
//output none
ArrayVector vtkExtractHistogram2DSetUseCustomHistogramExtentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseCustomHistogramExtents (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseCustomHistogramExtents for class vtkExtractHistogram2D requires 2 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetUseCustomHistogramExtents(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:GetUseCustomHistogramExtents vtkExtractHistogram2DGetUseCustomHistogramExtentsFunction
//input a0 
//output y
ArrayVector vtkExtractHistogram2DGetUseCustomHistogramExtentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetUseCustomHistogramExtents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseCustomHistogramExtents for class vtkExtractHistogram2D requires 1 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetUseCustomHistogramExtents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:UseCustomHistogramExtentsOn vtkExtractHistogram2DUseCustomHistogramExtentsOnFunction
//input a0 
//output none
ArrayVector vtkExtractHistogram2DUseCustomHistogramExtentsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseCustomHistogramExtentsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseCustomHistogramExtentsOn for class vtkExtractHistogram2D requires 1 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  vtk_pointer->UseCustomHistogramExtentsOn();
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:UseCustomHistogramExtentsOff vtkExtractHistogram2DUseCustomHistogramExtentsOffFunction
//input a0 
//output none
ArrayVector vtkExtractHistogram2DUseCustomHistogramExtentsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseCustomHistogramExtentsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseCustomHistogramExtentsOff for class vtkExtractHistogram2D requires 1 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  vtk_pointer->UseCustomHistogramExtentsOff();
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:SetScalarType vtkExtractHistogram2DSetScalarTypeFunction
//input a0 a1 
//output none
ArrayVector vtkExtractHistogram2DSetScalarTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarType for class vtkExtractHistogram2D requires 2 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScalarType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:SetScalarTypeToUnsignedInt vtkExtractHistogram2DSetScalarTypeToUnsignedIntFunction
//input a0 
//output none
ArrayVector vtkExtractHistogram2DSetScalarTypeToUnsignedIntFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToUnsignedInt ();this SetScalarType VTK_UNSIGNED_INT  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToUnsignedInt for class vtkExtractHistogram2D requires 1 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToUnsignedInt();
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:SetScalarTypeToUnsignedLong vtkExtractHistogram2DSetScalarTypeToUnsignedLongFunction
//input a0 
//output none
ArrayVector vtkExtractHistogram2DSetScalarTypeToUnsignedLongFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToUnsignedLong ();this SetScalarType VTK_UNSIGNED_LONG  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToUnsignedLong for class vtkExtractHistogram2D requires 1 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToUnsignedLong();
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:SetScalarTypeToUnsignedShort vtkExtractHistogram2DSetScalarTypeToUnsignedShortFunction
//input a0 
//output none
ArrayVector vtkExtractHistogram2DSetScalarTypeToUnsignedShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToUnsignedShort ();this SetScalarType VTK_UNSIGNED_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToUnsignedShort for class vtkExtractHistogram2D requires 1 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToUnsignedShort();
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:SetScalarTypeToUnsignedChar vtkExtractHistogram2DSetScalarTypeToUnsignedCharFunction
//input a0 
//output none
ArrayVector vtkExtractHistogram2DSetScalarTypeToUnsignedCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToUnsignedChar ();this SetScalarType VTK_UNSIGNED_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToUnsignedChar for class vtkExtractHistogram2D requires 1 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToUnsignedChar();
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:SetScalarTypeToFloat vtkExtractHistogram2DSetScalarTypeToFloatFunction
//input a0 
//output none
ArrayVector vtkExtractHistogram2DSetScalarTypeToFloatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToFloat ();this SetScalarType VTK_FLOAT  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToFloat for class vtkExtractHistogram2D requires 1 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToFloat();
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:SetScalarTypeToDouble vtkExtractHistogram2DSetScalarTypeToDoubleFunction
//input a0 
//output none
ArrayVector vtkExtractHistogram2DSetScalarTypeToDoubleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToDouble ();this SetScalarType VTK_DOUBLE  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToDouble for class vtkExtractHistogram2D requires 1 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToDouble();
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:GetScalarType vtkExtractHistogram2DGetScalarTypeFunction
//input a0 
//output y
ArrayVector vtkExtractHistogram2DGetScalarTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarType for class vtkExtractHistogram2D requires 1 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScalarType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:GetMaximumBinCount vtkExtractHistogram2DGetMaximumBinCountFunction
//input a0 
//output y
ArrayVector vtkExtractHistogram2DGetMaximumBinCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumBinCount (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumBinCount for class vtkExtractHistogram2D requires 1 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumBinCount();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:GetBinRange__1 vtkExtractHistogram2DGetBinRange__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkExtractHistogram2DGetBinRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBinRange (vtkIdType binX, vtkIdType binY, double range[4]); */
  if (arg.size() < 4) 
    throw Exception("Function GetBinRange__1 for class vtkExtractHistogram2D requires 4 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  double temp2[4];
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !(arg[3].isVector() && arg[3].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetBinRange(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:GetBinRange__2 vtkExtractHistogram2DGetBinRange__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkExtractHistogram2DGetBinRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBinRange (vtkIdType bin, double range[4]); */
  if (arg.size() < 3) 
    throw Exception("Function GetBinRange__2 for class vtkExtractHistogram2D requires 3 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  double temp1[4];
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetBinRange(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:GetBinWidth vtkExtractHistogram2DGetBinWidthFunction
//input a0 a1 
//output none
ArrayVector vtkExtractHistogram2DGetBinWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetBinWidth (double bw[2]); */
  if (arg.size() < 2) 
    throw Exception("Function GetBinWidth for class vtkExtractHistogram2D requires 2 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetBinWidth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:GetOutputHistogramImage vtkExtractHistogram2DGetOutputHistogramImageFunction
//input a0 
//output y
ArrayVector vtkExtractHistogram2DGetOutputHistogramImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetOutputHistogramImage (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputHistogramImage for class vtkExtractHistogram2D requires 1 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetOutputHistogramImage();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:SetSwapColumns vtkExtractHistogram2DSetSwapColumnsFunction
//input a0 a1 
//output none
ArrayVector vtkExtractHistogram2DSetSwapColumnsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSwapColumns (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSwapColumns for class vtkExtractHistogram2D requires 2 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSwapColumns(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:GetSwapColumns vtkExtractHistogram2DGetSwapColumnsFunction
//input a0 
//output y
ArrayVector vtkExtractHistogram2DGetSwapColumnsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSwapColumns (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSwapColumns for class vtkExtractHistogram2D requires 1 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSwapColumns();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:SwapColumnsOn vtkExtractHistogram2DSwapColumnsOnFunction
//input a0 
//output none
ArrayVector vtkExtractHistogram2DSwapColumnsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SwapColumnsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SwapColumnsOn for class vtkExtractHistogram2D requires 1 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  vtk_pointer->SwapColumnsOn();
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:SwapColumnsOff vtkExtractHistogram2DSwapColumnsOffFunction
//input a0 
//output none
ArrayVector vtkExtractHistogram2DSwapColumnsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SwapColumnsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SwapColumnsOff for class vtkExtractHistogram2D requires 1 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  vtk_pointer->SwapColumnsOff();
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:SetRowMask vtkExtractHistogram2DSetRowMaskFunction
//input a0 a1 
//output none
ArrayVector vtkExtractHistogram2DSetRowMaskFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRowMask (vtkDataArray *); */
  if (arg.size() < 2) 
    throw Exception("Function SetRowMask for class vtkExtractHistogram2D requires 2 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  vtkDataArray  *temp0;
  temp0 = GetVTKPointer<vtkDataArray>(arg[1]);
  vtk_pointer->SetRowMask(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:GetRowMask vtkExtractHistogram2DGetRowMaskFunction
//input a0 
//output y
ArrayVector vtkExtractHistogram2DGetRowMaskFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArray *GetRowMask (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRowMask for class vtkExtractHistogram2D requires 1 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  vtkDataArray  *temp20;
  temp20 = (vtk_pointer)->GetRowMask();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:Aggregate vtkExtractHistogram2DAggregateFunction
//input a0 a1 a2 
//output none
ArrayVector vtkExtractHistogram2DAggregateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Aggregate (vtkDataObjectCollection *, vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function Aggregate for class vtkExtractHistogram2D requires 3 argument(s)");
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  Array retval;
  vtkDataObjectCollection  *temp0;
  vtkDataObject  *temp1;
  temp0 = GetVTKPointer<vtkDataObjectCollection>(arg[1]);
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->Aggregate(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkExtractHistogram2D:SetNumberOfBins vtkExtractHistogram2DSetNumberOfBinsFunction
//input varargin
//output varargout
ArrayVector vtkExtractHistogram2DSetNumberOfBinsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkExtractHistogram2DSetNumberOfBins__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkExtractHistogram2DSetNumberOfBins__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExtractHistogram2DSetNumberOfBins");
}

//@@Signature
//sfunction @vtkExtractHistogram2D:SetComponentsToProcess vtkExtractHistogram2DSetComponentsToProcessFunction
//input varargin
//output varargout
ArrayVector vtkExtractHistogram2DSetComponentsToProcessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkExtractHistogram2DSetComponentsToProcess__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkExtractHistogram2DSetComponentsToProcess__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExtractHistogram2DSetComponentsToProcess");
}

//@@Signature
//sfunction @vtkExtractHistogram2D:SetCustomHistogramExtents vtkExtractHistogram2DSetCustomHistogramExtentsFunction
//input varargin
//output varargout
ArrayVector vtkExtractHistogram2DSetCustomHistogramExtentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]))
    return vtkExtractHistogram2DSetCustomHistogramExtents__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkExtractHistogram2DSetCustomHistogramExtents__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExtractHistogram2DSetCustomHistogramExtents");
}

//@@Signature
//sfunction @vtkExtractHistogram2D:GetBinRange vtkExtractHistogram2DGetBinRangeFunction
//input varargin
//output varargout
ArrayVector vtkExtractHistogram2DGetBinRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkExtractHistogram2DGetBinRange__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkExtractHistogram2DGetBinRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkExtractHistogram2DGetBinRange");
}

//@@Signature
//sfunction @vtkExtractHistogram2D:display vtkExtractHistogram2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtractHistogram2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkExtractHistogram2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtractHistogram2D:delete vtkExtractHistogram2DDeleteFunction
//input varargin
//output none
ArrayVector vtkExtractHistogram2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExtractHistogram2D
//@@Section VTKInfovis
//@@Usage
//  This class computes a 2D histogram between two columns of an input
//  vtkTable. Just as with a 1D histogram, a 2D histogram breaks 
//  up the input domain into bins, and each pair of values (row in
//  the table) fits into a single bin and increments a row counter
//  for that bin.
//  
//  To use this class, set the input with a table and call AddColumnPair(nameX,nameY),
//  where nameX and nameY are the names of the two columns to be used.
//
//  In addition to the number of bins (in X and Y), the domain of
//  the histogram can be customized by toggling the UseCustomHistogramExtents
//  flag and setting the CustomHistogramExtents variable to the 
//  desired value.
//
//
//To create an instance of class vtkExtractHistogram2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkExtractHistogram2D
//@]
//@@Methods
//The class vtkExtractHistogram2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExtractHistogram2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExtractHistogram2D = obj.NewInstance ()|
// \item @|vtkExtractHistogram2D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetNumberOfBins (int , int )| -  Set/get the number of bins to be used per dimension (x,y)
//// \item @|obj.SetNumberOfBins (int  a[2])| -  Set/get the number of bins to be used per dimension (x,y)
//// \item @|int = obj. GetNumberOfBins ()| -  Set/get the number of bins to be used per dimension (x,y)
//// \item @|obj.SetComponentsToProcess (int , int )| -  Set/get the components of the arrays in the two input columns
// to be used during histogram computation.  Defaults to component 0.
//// \item @|obj.SetComponentsToProcess (int  a[2])| -  Set/get the components of the arrays in the two input columns
// to be used during histogram computation.  Defaults to component 0.
//// \item @|int = obj. GetComponentsToProcess ()| -  Set/get the components of the arrays in the two input columns
// to be used during histogram computation.  Defaults to component 0.
//// \item @|obj.SetCustomHistogramExtents (double , double , double , double )| -  Set/get a custom domain for histogram computation.  UseCustomHistogramExtents
// must be called for these to actually be used.
//// \item @|obj.SetCustomHistogramExtents (double  a[4])| -  Set/get a custom domain for histogram computation.  UseCustomHistogramExtents
// must be called for these to actually be used.
//// \item @|double = obj. GetCustomHistogramExtents ()| -  Set/get a custom domain for histogram computation.  UseCustomHistogramExtents
// must be called for these to actually be used.
//// \item @|obj.SetUseCustomHistogramExtents (int )| -  Use the extents in CustomHistogramExtents when computing the
// histogram, rather than the simple range of the input columns.
//// \item @|int = obj.GetUseCustomHistogramExtents ()| -  Use the extents in CustomHistogramExtents when computing the
// histogram, rather than the simple range of the input columns.
//// \item @|obj.UseCustomHistogramExtentsOn ()| -  Use the extents in CustomHistogramExtents when computing the
// histogram, rather than the simple range of the input columns.
//// \item @|obj.UseCustomHistogramExtentsOff ()| -  Use the extents in CustomHistogramExtents when computing the
// histogram, rather than the simple range of the input columns.
//// \item @|obj.SetScalarType (int )| -  Control the scalar type of the output histogram.  If the input
// is relatively small, you can save space by using a smaller
// data type.  Defaults to unsigned integer.
//// \item @|obj.SetScalarTypeToUnsignedInt ()| -  Control the scalar type of the output histogram.  If the input
// is relatively small, you can save space by using a smaller
// data type.  Defaults to unsigned integer.
//// \item @|obj.SetScalarTypeToUnsignedLong ()| -  Control the scalar type of the output histogram.  If the input
// is relatively small, you can save space by using a smaller
// data type.  Defaults to unsigned integer.
//// \item @|obj.SetScalarTypeToUnsignedShort ()| -  Control the scalar type of the output histogram.  If the input
// is relatively small, you can save space by using a smaller
// data type.  Defaults to unsigned integer.
//// \item @|obj.SetScalarTypeToUnsignedChar ()| -  Control the scalar type of the output histogram.  If the input
// is relatively small, you can save space by using a smaller
// data type.  Defaults to unsigned integer.
//// \item @|obj.SetScalarTypeToFloat ()| -  Control the scalar type of the output histogram.  If the input
// is relatively small, you can save space by using a smaller
// data type.  Defaults to unsigned integer.
//// \item @|obj.SetScalarTypeToDouble ()| -  Control the scalar type of the output histogram.  If the input
// is relatively small, you can save space by using a smaller
// data type.  Defaults to unsigned integer.
//// \item @|int = obj.GetScalarType ()| -  Control the scalar type of the output histogram.  If the input
// is relatively small, you can save space by using a smaller
// data type.  Defaults to unsigned integer.
//// \item @|double = obj.GetMaximumBinCount ()| -  Access the count of the histogram bin containing the largest number
// of input rows.
//// \item @|int = obj.GetBinRange (vtkIdType binX, vtkIdType binY, double range[4])| -  Compute the range of the bin located at position (binX,binY) in
// the 2D histogram.
//// \item @|int = obj.GetBinRange (vtkIdType bin, double range[4])| -  Get the range of the of the bin located at 1D position index bin
// in the 2D histogram array.
//// \item @|obj.GetBinWidth (double bw[2])| -  Get the width of all of the bins. Also stored in the spacing
// ivar of the histogram image output.
//// \item @|vtkImageData = obj.GetOutputHistogramImage ()| -  Gets the data object at the histogram image output port and
// casts it to a vtkImageData.
//// \item @|obj.SetSwapColumns (int )|
// \item @|int = obj.GetSwapColumns ()|
// \item @|obj.SwapColumnsOn ()|
// \item @|obj.SwapColumnsOff ()|
// \item @|obj.SetRowMask (vtkDataArray )| -  Get/Set an optional mask that can ignore rows of the table
//// \item @|vtkDataArray = obj.GetRowMask ()| -  Get/Set an optional mask that can ignore rows of the table
//// \item @|obj.Aggregate (vtkDataObjectCollection , vtkDataObject )| -  Given a collection of models, calculate aggregate model. Not used.
////\end{itemize}
//!
