#include "VTKWrap.hpp"

// FreeMat wrapper for vtkExtractSelectedGraph object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkExtractSelectedGraph.h"

//@@Signature
//sfunction @vtkExtractSelectedGraph:vtkExtractSelectedGraph vtkExtractSelectedGraphConstructorFunction
//input a
//output p
//@@Parents vtkExtractSelectedGraph vtkGraphAlgorithm 
ArrayVector vtkExtractSelectedGraphConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkExtractSelectedGraph::New(),"vtkExtractSelectedGraph",eval);
  } else if (arg[0].className() == "vtkExtractSelectedGraph") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkExtractSelectedGraph"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkExtractSelectedGraph");
    vtkExtractSelectedGraph*q = reinterpret_cast<vtkExtractSelectedGraph*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkExtractSelectedGraph");
    return ret;
  }
}
//@@Signature
//sfunction @vtkExtractSelectedGraph:GetClassName vtkExtractSelectedGraphGetClassNameFunction
//input a0 
//output y
ArrayVector vtkExtractSelectedGraphGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkExtractSelectedGraph requires 1 argument(s)");
  vtkExtractSelectedGraph* vtk_pointer = GetVTKPointer<vtkExtractSelectedGraph>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedGraph:IsA vtkExtractSelectedGraphIsAFunction
//input a0 a1 
//output y
ArrayVector vtkExtractSelectedGraphIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkExtractSelectedGraph requires 2 argument(s)");
  vtkExtractSelectedGraph* vtk_pointer = GetVTKPointer<vtkExtractSelectedGraph>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedGraph:NewInstance vtkExtractSelectedGraphNewInstanceFunction
//input a0 
//output y
ArrayVector vtkExtractSelectedGraphNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractSelectedGraph *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkExtractSelectedGraph requires 1 argument(s)");
  vtkExtractSelectedGraph* vtk_pointer = GetVTKPointer<vtkExtractSelectedGraph>(arg[0]);
  Array retval;
  vtkExtractSelectedGraph  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractSelectedGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedGraph:SafeDownCast vtkExtractSelectedGraphSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkExtractSelectedGraphSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractSelectedGraph *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkExtractSelectedGraph requires 2 argument(s)");
  vtkExtractSelectedGraph* vtk_pointer = GetVTKPointer<vtkExtractSelectedGraph>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkExtractSelectedGraph  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractSelectedGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedGraph:SetSelectionConnection vtkExtractSelectedGraphSetSelectionConnectionFunction
//input a0 a1 
//output none
ArrayVector vtkExtractSelectedGraphSetSelectionConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSelectionConnection (vtkAlgorithmOutput *in); */
  if (arg.size() < 2) 
    throw Exception("Function SetSelectionConnection for class vtkExtractSelectedGraph requires 2 argument(s)");
  vtkExtractSelectedGraph* vtk_pointer = GetVTKPointer<vtkExtractSelectedGraph>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->SetSelectionConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedGraph:SetAnnotationLayersConnection vtkExtractSelectedGraphSetAnnotationLayersConnectionFunction
//input a0 a1 
//output none
ArrayVector vtkExtractSelectedGraphSetAnnotationLayersConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAnnotationLayersConnection (vtkAlgorithmOutput *in); */
  if (arg.size() < 2) 
    throw Exception("Function SetAnnotationLayersConnection for class vtkExtractSelectedGraph requires 2 argument(s)");
  vtkExtractSelectedGraph* vtk_pointer = GetVTKPointer<vtkExtractSelectedGraph>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->SetAnnotationLayersConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedGraph:SetRemoveIsolatedVertices vtkExtractSelectedGraphSetRemoveIsolatedVerticesFunction
//input a0 a1 
//output none
ArrayVector vtkExtractSelectedGraphSetRemoveIsolatedVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRemoveIsolatedVertices (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRemoveIsolatedVertices for class vtkExtractSelectedGraph requires 2 argument(s)");
  vtkExtractSelectedGraph* vtk_pointer = GetVTKPointer<vtkExtractSelectedGraph>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetRemoveIsolatedVertices(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedGraph:GetRemoveIsolatedVertices vtkExtractSelectedGraphGetRemoveIsolatedVerticesFunction
//input a0 
//output y
ArrayVector vtkExtractSelectedGraphGetRemoveIsolatedVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetRemoveIsolatedVertices (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRemoveIsolatedVertices for class vtkExtractSelectedGraph requires 1 argument(s)");
  vtkExtractSelectedGraph* vtk_pointer = GetVTKPointer<vtkExtractSelectedGraph>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetRemoveIsolatedVertices();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedGraph:RemoveIsolatedVerticesOn vtkExtractSelectedGraphRemoveIsolatedVerticesOnFunction
//input a0 
//output none
ArrayVector vtkExtractSelectedGraphRemoveIsolatedVerticesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveIsolatedVerticesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveIsolatedVerticesOn for class vtkExtractSelectedGraph requires 1 argument(s)");
  vtkExtractSelectedGraph* vtk_pointer = GetVTKPointer<vtkExtractSelectedGraph>(arg[0]);
  Array retval;
  vtk_pointer->RemoveIsolatedVerticesOn();
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedGraph:RemoveIsolatedVerticesOff vtkExtractSelectedGraphRemoveIsolatedVerticesOffFunction
//input a0 
//output none
ArrayVector vtkExtractSelectedGraphRemoveIsolatedVerticesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveIsolatedVerticesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveIsolatedVerticesOff for class vtkExtractSelectedGraph requires 1 argument(s)");
  vtkExtractSelectedGraph* vtk_pointer = GetVTKPointer<vtkExtractSelectedGraph>(arg[0]);
  Array retval;
  vtk_pointer->RemoveIsolatedVerticesOff();
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedGraph:FillInputPortInformation vtkExtractSelectedGraphFillInputPortInformationFunction
//input a0 a1 a2 
//output y
ArrayVector vtkExtractSelectedGraphFillInputPortInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int FillInputPortInformation (int port, vtkInformation *info); */
  if (arg.size() < 3) 
    throw Exception("Function FillInputPortInformation for class vtkExtractSelectedGraph requires 3 argument(s)");
  vtkExtractSelectedGraph* vtk_pointer = GetVTKPointer<vtkExtractSelectedGraph>(arg[0]);
  Array retval;
  int      temp0;
  vtkInformation  *temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  temp20 = (vtk_pointer)->FillInputPortInformation(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkExtractSelectedGraph:display vtkExtractSelectedGraphDisplayFunction
//input varargin
//output varargout
ArrayVector vtkExtractSelectedGraphDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkExtractSelectedGraph* vtk_pointer = GetVTKPointer<vtkExtractSelectedGraph>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkExtractSelectedGraph:delete vtkExtractSelectedGraphDeleteFunction
//input varargin
//output none
ArrayVector vtkExtractSelectedGraphDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkExtractSelectedGraph
//@@Section VTKInfovis
//@@Usage
// The first input is a vtkGraph to take a subgraph from.
// The second input (optional) is a vtkSelection containing selected 
// indices. The third input (optional) is a vtkAnnotationsLayers whose 
// annotations contain selected specifying selected indices.
// The vtkSelection may have FIELD_TYPE set to POINTS (a vertex selection)
// or CELLS (an edge selection).  A vertex selection preserves all edges
// that connect selected vertices.  An edge selection preserves all vertices
// that are adjacent to at least one selected edge.  Alternately, you may
// indicate that an edge selection should maintain the full set of vertices,
// by turning RemoveIsolatedVertices off.
//
//To create an instance of class vtkExtractSelectedGraph, simply
//invoke its constructor as follows
//@[
//  obj = vtkExtractSelectedGraph
//@]
//@@Methods
//The class vtkExtractSelectedGraph has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkExtractSelectedGraph class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkExtractSelectedGraph = obj.NewInstance ()|
// \item @|vtkExtractSelectedGraph = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetSelectionConnection (vtkAlgorithmOutput in)| -  A convenience method for setting the second input (i.e. the selection).
//// \item @|obj.SetAnnotationLayersConnection (vtkAlgorithmOutput in)| -  A convenience method for setting the third input (i.e. the annotation layers).
//// \item @|obj.SetRemoveIsolatedVertices (bool )| -  If set, removes vertices with no adjacent edges in an edge selection.
// A vertex selection ignores this flag and always returns the full set 
// of selected vertices.  Default is on.
//// \item @|bool = obj.GetRemoveIsolatedVertices ()| -  If set, removes vertices with no adjacent edges in an edge selection.
// A vertex selection ignores this flag and always returns the full set 
// of selected vertices.  Default is on.
//// \item @|obj.RemoveIsolatedVerticesOn ()| -  If set, removes vertices with no adjacent edges in an edge selection.
// A vertex selection ignores this flag and always returns the full set 
// of selected vertices.  Default is on.
//// \item @|obj.RemoveIsolatedVerticesOff ()| -  If set, removes vertices with no adjacent edges in an edge selection.
// A vertex selection ignores this flag and always returns the full set 
// of selected vertices.  Default is on.
//// \item @|int = obj.FillInputPortInformation (int port, vtkInformation info)| -  Specify the first vtkGraph input and the second vtkSelection input.
////\end{itemize}
//!
