#include "VTKWrap.hpp"

// FreeMat wrapper for vtkFixedWidthTextReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkFixedWidthTextReader.h"

//@@Signature
//sfunction @vtkFixedWidthTextReader:vtkFixedWidthTextReader vtkFixedWidthTextReaderConstructorFunction
//input a
//output p
//@@Parents vtkFixedWidthTextReader vtkTableAlgorithm 
ArrayVector vtkFixedWidthTextReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkFixedWidthTextReader::New(),"vtkFixedWidthTextReader",eval);
  } else if (arg[0].className() == "vtkFixedWidthTextReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkFixedWidthTextReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkFixedWidthTextReader");
    vtkFixedWidthTextReader*q = reinterpret_cast<vtkFixedWidthTextReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkFixedWidthTextReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkFixedWidthTextReader:GetClassName vtkFixedWidthTextReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkFixedWidthTextReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkFixedWidthTextReader requires 1 argument(s)");
  vtkFixedWidthTextReader* vtk_pointer = GetVTKPointer<vtkFixedWidthTextReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedWidthTextReader:IsA vtkFixedWidthTextReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkFixedWidthTextReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkFixedWidthTextReader requires 2 argument(s)");
  vtkFixedWidthTextReader* vtk_pointer = GetVTKPointer<vtkFixedWidthTextReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedWidthTextReader:NewInstance vtkFixedWidthTextReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkFixedWidthTextReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFixedWidthTextReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkFixedWidthTextReader requires 1 argument(s)");
  vtkFixedWidthTextReader* vtk_pointer = GetVTKPointer<vtkFixedWidthTextReader>(arg[0]);
  Array retval;
  vtkFixedWidthTextReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFixedWidthTextReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFixedWidthTextReader:SafeDownCast vtkFixedWidthTextReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkFixedWidthTextReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFixedWidthTextReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkFixedWidthTextReader requires 2 argument(s)");
  vtkFixedWidthTextReader* vtk_pointer = GetVTKPointer<vtkFixedWidthTextReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkFixedWidthTextReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFixedWidthTextReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFixedWidthTextReader:GetFileName vtkFixedWidthTextReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkFixedWidthTextReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkFixedWidthTextReader requires 1 argument(s)");
  vtkFixedWidthTextReader* vtk_pointer = GetVTKPointer<vtkFixedWidthTextReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedWidthTextReader:SetFileName vtkFixedWidthTextReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkFixedWidthTextReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkFixedWidthTextReader requires 2 argument(s)");
  vtkFixedWidthTextReader* vtk_pointer = GetVTKPointer<vtkFixedWidthTextReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFixedWidthTextReader:SetFieldWidth vtkFixedWidthTextReaderSetFieldWidthFunction
//input a0 a1 
//output none
ArrayVector vtkFixedWidthTextReaderSetFieldWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFieldWidth (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFieldWidth for class vtkFixedWidthTextReader requires 2 argument(s)");
  vtkFixedWidthTextReader* vtk_pointer = GetVTKPointer<vtkFixedWidthTextReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFieldWidth(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFixedWidthTextReader:GetFieldWidth vtkFixedWidthTextReaderGetFieldWidthFunction
//input a0 
//output y
ArrayVector vtkFixedWidthTextReaderGetFieldWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFieldWidth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFieldWidth for class vtkFixedWidthTextReader requires 1 argument(s)");
  vtkFixedWidthTextReader* vtk_pointer = GetVTKPointer<vtkFixedWidthTextReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFieldWidth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFixedWidthTextReader:SetStripWhiteSpace vtkFixedWidthTextReaderSetStripWhiteSpaceFunction
//input a0 a1 
//output none
ArrayVector vtkFixedWidthTextReaderSetStripWhiteSpaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStripWhiteSpace (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetStripWhiteSpace for class vtkFixedWidthTextReader requires 2 argument(s)");
  vtkFixedWidthTextReader* vtk_pointer = GetVTKPointer<vtkFixedWidthTextReader>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetStripWhiteSpace(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFixedWidthTextReader:GetStripWhiteSpace vtkFixedWidthTextReaderGetStripWhiteSpaceFunction
//input a0 
//output y
ArrayVector vtkFixedWidthTextReaderGetStripWhiteSpaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetStripWhiteSpace (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStripWhiteSpace for class vtkFixedWidthTextReader requires 1 argument(s)");
  vtkFixedWidthTextReader* vtk_pointer = GetVTKPointer<vtkFixedWidthTextReader>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetStripWhiteSpace();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkFixedWidthTextReader:StripWhiteSpaceOn vtkFixedWidthTextReaderStripWhiteSpaceOnFunction
//input a0 
//output none
ArrayVector vtkFixedWidthTextReaderStripWhiteSpaceOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StripWhiteSpaceOn (); */
  if (arg.size() < 1) 
    throw Exception("Function StripWhiteSpaceOn for class vtkFixedWidthTextReader requires 1 argument(s)");
  vtkFixedWidthTextReader* vtk_pointer = GetVTKPointer<vtkFixedWidthTextReader>(arg[0]);
  Array retval;
  vtk_pointer->StripWhiteSpaceOn();
  return retval;
}

//@@Signature
//sfunction @vtkFixedWidthTextReader:StripWhiteSpaceOff vtkFixedWidthTextReaderStripWhiteSpaceOffFunction
//input a0 
//output none
ArrayVector vtkFixedWidthTextReaderStripWhiteSpaceOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StripWhiteSpaceOff (); */
  if (arg.size() < 1) 
    throw Exception("Function StripWhiteSpaceOff for class vtkFixedWidthTextReader requires 1 argument(s)");
  vtkFixedWidthTextReader* vtk_pointer = GetVTKPointer<vtkFixedWidthTextReader>(arg[0]);
  Array retval;
  vtk_pointer->StripWhiteSpaceOff();
  return retval;
}

//@@Signature
//sfunction @vtkFixedWidthTextReader:GetHaveHeaders vtkFixedWidthTextReaderGetHaveHeadersFunction
//input a0 
//output y
ArrayVector vtkFixedWidthTextReaderGetHaveHeadersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetHaveHeaders (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHaveHeaders for class vtkFixedWidthTextReader requires 1 argument(s)");
  vtkFixedWidthTextReader* vtk_pointer = GetVTKPointer<vtkFixedWidthTextReader>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetHaveHeaders();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkFixedWidthTextReader:SetHaveHeaders vtkFixedWidthTextReaderSetHaveHeadersFunction
//input a0 a1 
//output none
ArrayVector vtkFixedWidthTextReaderSetHaveHeadersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHaveHeaders (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHaveHeaders for class vtkFixedWidthTextReader requires 2 argument(s)");
  vtkFixedWidthTextReader* vtk_pointer = GetVTKPointer<vtkFixedWidthTextReader>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetHaveHeaders(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFixedWidthTextReader:HaveHeadersOn vtkFixedWidthTextReaderHaveHeadersOnFunction
//input a0 
//output none
ArrayVector vtkFixedWidthTextReaderHaveHeadersOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HaveHeadersOn (); */
  if (arg.size() < 1) 
    throw Exception("Function HaveHeadersOn for class vtkFixedWidthTextReader requires 1 argument(s)");
  vtkFixedWidthTextReader* vtk_pointer = GetVTKPointer<vtkFixedWidthTextReader>(arg[0]);
  Array retval;
  vtk_pointer->HaveHeadersOn();
  return retval;
}

//@@Signature
//sfunction @vtkFixedWidthTextReader:HaveHeadersOff vtkFixedWidthTextReaderHaveHeadersOffFunction
//input a0 
//output none
ArrayVector vtkFixedWidthTextReaderHaveHeadersOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HaveHeadersOff (); */
  if (arg.size() < 1) 
    throw Exception("Function HaveHeadersOff for class vtkFixedWidthTextReader requires 1 argument(s)");
  vtkFixedWidthTextReader* vtk_pointer = GetVTKPointer<vtkFixedWidthTextReader>(arg[0]);
  Array retval;
  vtk_pointer->HaveHeadersOff();
  return retval;
}

//@@Signature
//sfunction @vtkFixedWidthTextReader:display vtkFixedWidthTextReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkFixedWidthTextReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkFixedWidthTextReader* vtk_pointer = GetVTKPointer<vtkFixedWidthTextReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkFixedWidthTextReader:delete vtkFixedWidthTextReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkFixedWidthTextReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkFixedWidthTextReader
//@@Section VTKInfovis
//@@Usage
//
// vtkFixedWidthTextReader reads in a table from a text file where
// each column occupies a certain number of characters.
// 
// This class emits ProgressEvent for every 100 lines it reads.
// 
//
//To create an instance of class vtkFixedWidthTextReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkFixedWidthTextReader
//@]
//@@Methods
//The class vtkFixedWidthTextReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkFixedWidthTextReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkFixedWidthTextReader = obj.NewInstance ()|
// \item @|vtkFixedWidthTextReader = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetFileName ()|
// \item @|obj.SetFileName (string )|
// \item @|obj.SetFieldWidth (int )| -  Set/get the field width
//// \item @|int = obj.GetFieldWidth ()| -  Set/get the field width
//// \item @|obj.SetStripWhiteSpace (bool )| -  If set, this flag will cause the reader to strip whitespace from
// the beginning and ending of each field.  Defaults to off.
//// \item @|bool = obj.GetStripWhiteSpace ()| -  If set, this flag will cause the reader to strip whitespace from
// the beginning and ending of each field.  Defaults to off.
//// \item @|obj.StripWhiteSpaceOn ()| -  If set, this flag will cause the reader to strip whitespace from
// the beginning and ending of each field.  Defaults to off.
//// \item @|obj.StripWhiteSpaceOff ()| -  If set, this flag will cause the reader to strip whitespace from
// the beginning and ending of each field.  Defaults to off.
//// \item @|bool = obj.GetHaveHeaders ()| -  Set/get whether to treat the first line of the file as headers.
//// \item @|obj.SetHaveHeaders (bool )| -  Set/get whether to treat the first line of the file as headers.
//// \item @|obj.HaveHeadersOn ()| -  Set/get whether to treat the first line of the file as headers.
//// \item @|obj.HaveHeadersOff ()| -  Set/get whether to treat the first line of the file as headers.
////\end{itemize}
//!
