#include "VTKWrap.hpp"

// FreeMat wrapper for vtkForceDirectedLayoutStrategy object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkForceDirectedLayoutStrategy.h"

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:vtkForceDirectedLayoutStrategy vtkForceDirectedLayoutStrategyConstructorFunction
//input a
//output p
//@@Parents vtkForceDirectedLayoutStrategy vtkGraphLayoutStrategy 
ArrayVector vtkForceDirectedLayoutStrategyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkForceDirectedLayoutStrategy::New(),"vtkForceDirectedLayoutStrategy",eval);
  } else if (arg[0].className() == "vtkForceDirectedLayoutStrategy") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkForceDirectedLayoutStrategy"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkForceDirectedLayoutStrategy");
    vtkForceDirectedLayoutStrategy*q = reinterpret_cast<vtkForceDirectedLayoutStrategy*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkForceDirectedLayoutStrategy");
    return ret;
  }
}
//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:GetClassName vtkForceDirectedLayoutStrategyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkForceDirectedLayoutStrategyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkForceDirectedLayoutStrategy requires 1 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:IsA vtkForceDirectedLayoutStrategyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkForceDirectedLayoutStrategyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkForceDirectedLayoutStrategy requires 2 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:NewInstance vtkForceDirectedLayoutStrategyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkForceDirectedLayoutStrategyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkForceDirectedLayoutStrategy *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkForceDirectedLayoutStrategy requires 1 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  vtkForceDirectedLayoutStrategy  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkForceDirectedLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:SafeDownCast vtkForceDirectedLayoutStrategySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkForceDirectedLayoutStrategySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkForceDirectedLayoutStrategy *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkForceDirectedLayoutStrategy requires 2 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkForceDirectedLayoutStrategy  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkForceDirectedLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:SetRandomSeed vtkForceDirectedLayoutStrategySetRandomSeedFunction
//input a0 a1 
//output none
ArrayVector vtkForceDirectedLayoutStrategySetRandomSeedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRandomSeed (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRandomSeed for class vtkForceDirectedLayoutStrategy requires 2 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRandomSeed(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:GetRandomSeedMinValue vtkForceDirectedLayoutStrategyGetRandomSeedMinValueFunction
//input a0 
//output y
ArrayVector vtkForceDirectedLayoutStrategyGetRandomSeedMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRandomSeedMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRandomSeedMinValue for class vtkForceDirectedLayoutStrategy requires 1 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRandomSeedMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:GetRandomSeedMaxValue vtkForceDirectedLayoutStrategyGetRandomSeedMaxValueFunction
//input a0 
//output y
ArrayVector vtkForceDirectedLayoutStrategyGetRandomSeedMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRandomSeedMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRandomSeedMaxValue for class vtkForceDirectedLayoutStrategy requires 1 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRandomSeedMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:GetRandomSeed vtkForceDirectedLayoutStrategyGetRandomSeedFunction
//input a0 
//output y
ArrayVector vtkForceDirectedLayoutStrategyGetRandomSeedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRandomSeed (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRandomSeed for class vtkForceDirectedLayoutStrategy requires 1 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRandomSeed();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:SetGraphBounds__1 vtkForceDirectedLayoutStrategySetGraphBounds__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkForceDirectedLayoutStrategySetGraphBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGraphBounds (double , double , double , double , double , double ); */
  if (arg.size() < 7) 
    throw Exception("Function SetGraphBounds__1 for class vtkForceDirectedLayoutStrategy requires 7 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetGraphBounds(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:SetGraphBounds__2 vtkForceDirectedLayoutStrategySetGraphBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkForceDirectedLayoutStrategySetGraphBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGraphBounds (double  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetGraphBounds__2 for class vtkForceDirectedLayoutStrategy requires 2 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetGraphBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:GetGraphBounds vtkForceDirectedLayoutStrategyGetGraphBoundsFunction
//input a0 
//output y
ArrayVector vtkForceDirectedLayoutStrategyGetGraphBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetGraphBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGraphBounds for class vtkForceDirectedLayoutStrategy requires 1 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetGraphBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:SetAutomaticBoundsComputation vtkForceDirectedLayoutStrategySetAutomaticBoundsComputationFunction
//input a0 a1 
//output none
ArrayVector vtkForceDirectedLayoutStrategySetAutomaticBoundsComputationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAutomaticBoundsComputation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAutomaticBoundsComputation for class vtkForceDirectedLayoutStrategy requires 2 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAutomaticBoundsComputation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:GetAutomaticBoundsComputation vtkForceDirectedLayoutStrategyGetAutomaticBoundsComputationFunction
//input a0 
//output y
ArrayVector vtkForceDirectedLayoutStrategyGetAutomaticBoundsComputationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutomaticBoundsComputation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutomaticBoundsComputation for class vtkForceDirectedLayoutStrategy requires 1 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutomaticBoundsComputation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:AutomaticBoundsComputationOn vtkForceDirectedLayoutStrategyAutomaticBoundsComputationOnFunction
//input a0 
//output none
ArrayVector vtkForceDirectedLayoutStrategyAutomaticBoundsComputationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutomaticBoundsComputationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AutomaticBoundsComputationOn for class vtkForceDirectedLayoutStrategy requires 1 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->AutomaticBoundsComputationOn();
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:AutomaticBoundsComputationOff vtkForceDirectedLayoutStrategyAutomaticBoundsComputationOffFunction
//input a0 
//output none
ArrayVector vtkForceDirectedLayoutStrategyAutomaticBoundsComputationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutomaticBoundsComputationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AutomaticBoundsComputationOff for class vtkForceDirectedLayoutStrategy requires 1 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->AutomaticBoundsComputationOff();
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:SetMaxNumberOfIterations vtkForceDirectedLayoutStrategySetMaxNumberOfIterationsFunction
//input a0 a1 
//output none
ArrayVector vtkForceDirectedLayoutStrategySetMaxNumberOfIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxNumberOfIterations (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxNumberOfIterations for class vtkForceDirectedLayoutStrategy requires 2 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaxNumberOfIterations(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:GetMaxNumberOfIterationsMinValue vtkForceDirectedLayoutStrategyGetMaxNumberOfIterationsMinValueFunction
//input a0 
//output y
ArrayVector vtkForceDirectedLayoutStrategyGetMaxNumberOfIterationsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxNumberOfIterationsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxNumberOfIterationsMinValue for class vtkForceDirectedLayoutStrategy requires 1 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxNumberOfIterationsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:GetMaxNumberOfIterationsMaxValue vtkForceDirectedLayoutStrategyGetMaxNumberOfIterationsMaxValueFunction
//input a0 
//output y
ArrayVector vtkForceDirectedLayoutStrategyGetMaxNumberOfIterationsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxNumberOfIterationsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxNumberOfIterationsMaxValue for class vtkForceDirectedLayoutStrategy requires 1 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxNumberOfIterationsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:GetMaxNumberOfIterations vtkForceDirectedLayoutStrategyGetMaxNumberOfIterationsFunction
//input a0 
//output y
ArrayVector vtkForceDirectedLayoutStrategyGetMaxNumberOfIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxNumberOfIterations (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxNumberOfIterations for class vtkForceDirectedLayoutStrategy requires 1 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxNumberOfIterations();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:SetIterationsPerLayout vtkForceDirectedLayoutStrategySetIterationsPerLayoutFunction
//input a0 a1 
//output none
ArrayVector vtkForceDirectedLayoutStrategySetIterationsPerLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIterationsPerLayout (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIterationsPerLayout for class vtkForceDirectedLayoutStrategy requires 2 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIterationsPerLayout(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:GetIterationsPerLayoutMinValue vtkForceDirectedLayoutStrategyGetIterationsPerLayoutMinValueFunction
//input a0 
//output y
ArrayVector vtkForceDirectedLayoutStrategyGetIterationsPerLayoutMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIterationsPerLayoutMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIterationsPerLayoutMinValue for class vtkForceDirectedLayoutStrategy requires 1 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIterationsPerLayoutMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:GetIterationsPerLayoutMaxValue vtkForceDirectedLayoutStrategyGetIterationsPerLayoutMaxValueFunction
//input a0 
//output y
ArrayVector vtkForceDirectedLayoutStrategyGetIterationsPerLayoutMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIterationsPerLayoutMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIterationsPerLayoutMaxValue for class vtkForceDirectedLayoutStrategy requires 1 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIterationsPerLayoutMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:GetIterationsPerLayout vtkForceDirectedLayoutStrategyGetIterationsPerLayoutFunction
//input a0 
//output y
ArrayVector vtkForceDirectedLayoutStrategyGetIterationsPerLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIterationsPerLayout (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIterationsPerLayout for class vtkForceDirectedLayoutStrategy requires 1 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIterationsPerLayout();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:SetCoolDownRate vtkForceDirectedLayoutStrategySetCoolDownRateFunction
//input a0 a1 
//output none
ArrayVector vtkForceDirectedLayoutStrategySetCoolDownRateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCoolDownRate (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCoolDownRate for class vtkForceDirectedLayoutStrategy requires 2 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCoolDownRate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:GetCoolDownRateMinValue vtkForceDirectedLayoutStrategyGetCoolDownRateMinValueFunction
//input a0 
//output y
ArrayVector vtkForceDirectedLayoutStrategyGetCoolDownRateMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCoolDownRateMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCoolDownRateMinValue for class vtkForceDirectedLayoutStrategy requires 1 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCoolDownRateMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:GetCoolDownRateMaxValue vtkForceDirectedLayoutStrategyGetCoolDownRateMaxValueFunction
//input a0 
//output y
ArrayVector vtkForceDirectedLayoutStrategyGetCoolDownRateMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCoolDownRateMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCoolDownRateMaxValue for class vtkForceDirectedLayoutStrategy requires 1 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCoolDownRateMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:GetCoolDownRate vtkForceDirectedLayoutStrategyGetCoolDownRateFunction
//input a0 
//output y
ArrayVector vtkForceDirectedLayoutStrategyGetCoolDownRateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCoolDownRate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCoolDownRate for class vtkForceDirectedLayoutStrategy requires 1 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCoolDownRate();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:SetThreeDimensionalLayout vtkForceDirectedLayoutStrategySetThreeDimensionalLayoutFunction
//input a0 a1 
//output none
ArrayVector vtkForceDirectedLayoutStrategySetThreeDimensionalLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetThreeDimensionalLayout (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetThreeDimensionalLayout for class vtkForceDirectedLayoutStrategy requires 2 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetThreeDimensionalLayout(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:GetThreeDimensionalLayout vtkForceDirectedLayoutStrategyGetThreeDimensionalLayoutFunction
//input a0 
//output y
ArrayVector vtkForceDirectedLayoutStrategyGetThreeDimensionalLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetThreeDimensionalLayout (); */
  if (arg.size() < 1) 
    throw Exception("Function GetThreeDimensionalLayout for class vtkForceDirectedLayoutStrategy requires 1 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetThreeDimensionalLayout();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:ThreeDimensionalLayoutOn vtkForceDirectedLayoutStrategyThreeDimensionalLayoutOnFunction
//input a0 
//output none
ArrayVector vtkForceDirectedLayoutStrategyThreeDimensionalLayoutOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThreeDimensionalLayoutOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ThreeDimensionalLayoutOn for class vtkForceDirectedLayoutStrategy requires 1 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->ThreeDimensionalLayoutOn();
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:ThreeDimensionalLayoutOff vtkForceDirectedLayoutStrategyThreeDimensionalLayoutOffFunction
//input a0 
//output none
ArrayVector vtkForceDirectedLayoutStrategyThreeDimensionalLayoutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThreeDimensionalLayoutOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ThreeDimensionalLayoutOff for class vtkForceDirectedLayoutStrategy requires 1 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->ThreeDimensionalLayoutOff();
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:SetRandomInitialPoints vtkForceDirectedLayoutStrategySetRandomInitialPointsFunction
//input a0 a1 
//output none
ArrayVector vtkForceDirectedLayoutStrategySetRandomInitialPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRandomInitialPoints (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRandomInitialPoints for class vtkForceDirectedLayoutStrategy requires 2 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRandomInitialPoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:GetRandomInitialPoints vtkForceDirectedLayoutStrategyGetRandomInitialPointsFunction
//input a0 
//output y
ArrayVector vtkForceDirectedLayoutStrategyGetRandomInitialPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRandomInitialPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRandomInitialPoints for class vtkForceDirectedLayoutStrategy requires 1 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRandomInitialPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:RandomInitialPointsOn vtkForceDirectedLayoutStrategyRandomInitialPointsOnFunction
//input a0 
//output none
ArrayVector vtkForceDirectedLayoutStrategyRandomInitialPointsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RandomInitialPointsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function RandomInitialPointsOn for class vtkForceDirectedLayoutStrategy requires 1 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->RandomInitialPointsOn();
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:RandomInitialPointsOff vtkForceDirectedLayoutStrategyRandomInitialPointsOffFunction
//input a0 
//output none
ArrayVector vtkForceDirectedLayoutStrategyRandomInitialPointsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RandomInitialPointsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function RandomInitialPointsOff for class vtkForceDirectedLayoutStrategy requires 1 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->RandomInitialPointsOff();
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:SetInitialTemperature vtkForceDirectedLayoutStrategySetInitialTemperatureFunction
//input a0 a1 
//output none
ArrayVector vtkForceDirectedLayoutStrategySetInitialTemperatureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInitialTemperature (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInitialTemperature for class vtkForceDirectedLayoutStrategy requires 2 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetInitialTemperature(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:GetInitialTemperatureMinValue vtkForceDirectedLayoutStrategyGetInitialTemperatureMinValueFunction
//input a0 
//output y
ArrayVector vtkForceDirectedLayoutStrategyGetInitialTemperatureMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetInitialTemperatureMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInitialTemperatureMinValue for class vtkForceDirectedLayoutStrategy requires 1 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetInitialTemperatureMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:GetInitialTemperatureMaxValue vtkForceDirectedLayoutStrategyGetInitialTemperatureMaxValueFunction
//input a0 
//output y
ArrayVector vtkForceDirectedLayoutStrategyGetInitialTemperatureMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetInitialTemperatureMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInitialTemperatureMaxValue for class vtkForceDirectedLayoutStrategy requires 1 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetInitialTemperatureMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:GetInitialTemperature vtkForceDirectedLayoutStrategyGetInitialTemperatureFunction
//input a0 
//output y
ArrayVector vtkForceDirectedLayoutStrategyGetInitialTemperatureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetInitialTemperature (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInitialTemperature for class vtkForceDirectedLayoutStrategy requires 1 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetInitialTemperature();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:Initialize vtkForceDirectedLayoutStrategyInitializeFunction
//input a0 
//output none
ArrayVector vtkForceDirectedLayoutStrategyInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkForceDirectedLayoutStrategy requires 1 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:Layout vtkForceDirectedLayoutStrategyLayoutFunction
//input a0 
//output none
ArrayVector vtkForceDirectedLayoutStrategyLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Layout (); */
  if (arg.size() < 1) 
    throw Exception("Function Layout for class vtkForceDirectedLayoutStrategy requires 1 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->Layout();
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:IsLayoutComplete vtkForceDirectedLayoutStrategyIsLayoutCompleteFunction
//input a0 
//output y
ArrayVector vtkForceDirectedLayoutStrategyIsLayoutCompleteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsLayoutComplete ();return this LayoutComplete  */
  if (arg.size() < 1) 
    throw Exception("Function IsLayoutComplete for class vtkForceDirectedLayoutStrategy requires 1 argument(s)");
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsLayoutComplete();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:SetGraphBounds vtkForceDirectedLayoutStrategySetGraphBoundsFunction
//input varargin
//output varargout
ArrayVector vtkForceDirectedLayoutStrategySetGraphBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkForceDirectedLayoutStrategySetGraphBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkForceDirectedLayoutStrategySetGraphBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkForceDirectedLayoutStrategySetGraphBounds");
}

//@@Signature
//sfunction @vtkForceDirectedLayoutStrategy:display vtkForceDirectedLayoutStrategyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkForceDirectedLayoutStrategyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkForceDirectedLayoutStrategy* vtk_pointer = GetVTKPointer<vtkForceDirectedLayoutStrategy>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkForceDirectedLayoutStrategy:delete vtkForceDirectedLayoutStrategyDeleteFunction
//input varargin
//output none
ArrayVector vtkForceDirectedLayoutStrategyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkForceDirectedLayoutStrategy
//@@Section VTKInfovis
//@@Usage
// Lays out a graph in 2D or 3D using a force-directed algorithm.
// The user may specify whether to layout the graph randomly initially,
// the bounds, the number of dimensions (2 or 3), and the cool-down rate.
//
// .SECTION Thanks
// Thanks to Brian Wylie for adding functionality for allowing this layout
// to be incremental.
//
//To create an instance of class vtkForceDirectedLayoutStrategy, simply
//invoke its constructor as follows
//@[
//  obj = vtkForceDirectedLayoutStrategy
//@]
//@@Methods
//The class vtkForceDirectedLayoutStrategy has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkForceDirectedLayoutStrategy class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkForceDirectedLayoutStrategy = obj.NewInstance ()|
// \item @|vtkForceDirectedLayoutStrategy = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetRandomSeed (int )| -  Seed the random number generator used to jitter point positions.
// This has a significant effect on their final positions when
// the layout is complete.
//// \item @|int = obj.GetRandomSeedMinValue ()| -  Seed the random number generator used to jitter point positions.
// This has a significant effect on their final positions when
// the layout is complete.
//// \item @|int = obj.GetRandomSeedMaxValue ()| -  Seed the random number generator used to jitter point positions.
// This has a significant effect on their final positions when
// the layout is complete.
//// \item @|int = obj.GetRandomSeed ()| -  Seed the random number generator used to jitter point positions.
// This has a significant effect on their final positions when
// the layout is complete.
//// \item @|obj.SetGraphBounds (double , double , double , double , double , double )| -  Set / get the region in space in which to place the final graph.
// The GraphBounds only affects the results if AutomaticBoundsComputation
// is off.
//// \item @|obj.SetGraphBounds (double  a[6])| -  Set / get the region in space in which to place the final graph.
// The GraphBounds only affects the results if AutomaticBoundsComputation
// is off.
//// \item @|double = obj. GetGraphBounds ()| -  Set / get the region in space in which to place the final graph.
// The GraphBounds only affects the results if AutomaticBoundsComputation
// is off.
//// \item @|obj.SetAutomaticBoundsComputation (int )| -  Turn on/off automatic graph bounds calculation. If this
// boolean is off, then the manually specified GraphBounds is used.
// If on, then the input's bounds us used as the graph bounds.
//// \item @|int = obj.GetAutomaticBoundsComputation ()| -  Turn on/off automatic graph bounds calculation. If this
// boolean is off, then the manually specified GraphBounds is used.
// If on, then the input's bounds us used as the graph bounds.
//// \item @|obj.AutomaticBoundsComputationOn ()| -  Turn on/off automatic graph bounds calculation. If this
// boolean is off, then the manually specified GraphBounds is used.
// If on, then the input's bounds us used as the graph bounds.
//// \item @|obj.AutomaticBoundsComputationOff ()| -  Turn on/off automatic graph bounds calculation. If this
// boolean is off, then the manually specified GraphBounds is used.
// If on, then the input's bounds us used as the graph bounds.
//// \item @|obj.SetMaxNumberOfIterations (int )| -  Set/Get the maximum number of iterations to be used.
// The higher this number, the more iterations through the algorithm
// is possible, and thus, the more the graph gets modified.
// The default is '50' for no particular reason
//// \item @|int = obj.GetMaxNumberOfIterationsMinValue ()| -  Set/Get the maximum number of iterations to be used.
// The higher this number, the more iterations through the algorithm
// is possible, and thus, the more the graph gets modified.
// The default is '50' for no particular reason
//// \item @|int = obj.GetMaxNumberOfIterationsMaxValue ()| -  Set/Get the maximum number of iterations to be used.
// The higher this number, the more iterations through the algorithm
// is possible, and thus, the more the graph gets modified.
// The default is '50' for no particular reason
//// \item @|int = obj.GetMaxNumberOfIterations ()| -  Set/Get the maximum number of iterations to be used.
// The higher this number, the more iterations through the algorithm
// is possible, and thus, the more the graph gets modified.
// The default is '50' for no particular reason
//// \item @|obj.SetIterationsPerLayout (int )| -  Set/Get the number of iterations per layout.
// The only use for this ivar is for the application
// to do visualizations of the layout before it's complete.
// The default is '50' to match the default 'MaxNumberOfIterations'
//// \item @|int = obj.GetIterationsPerLayoutMinValue ()| -  Set/Get the number of iterations per layout.
// The only use for this ivar is for the application
// to do visualizations of the layout before it's complete.
// The default is '50' to match the default 'MaxNumberOfIterations'
//// \item @|int = obj.GetIterationsPerLayoutMaxValue ()| -  Set/Get the number of iterations per layout.
// The only use for this ivar is for the application
// to do visualizations of the layout before it's complete.
// The default is '50' to match the default 'MaxNumberOfIterations'
//// \item @|int = obj.GetIterationsPerLayout ()| -  Set/Get the number of iterations per layout.
// The only use for this ivar is for the application
// to do visualizations of the layout before it's complete.
// The default is '50' to match the default 'MaxNumberOfIterations'
//// \item @|obj.SetCoolDownRate (double )| -  Set/Get the Cool-down rate.
// The higher this number is, the longer it will take to "cool-down",
// and thus, the more the graph will be modified.
//// \item @|double = obj.GetCoolDownRateMinValue ()| -  Set/Get the Cool-down rate.
// The higher this number is, the longer it will take to "cool-down",
// and thus, the more the graph will be modified.
//// \item @|double = obj.GetCoolDownRateMaxValue ()| -  Set/Get the Cool-down rate.
// The higher this number is, the longer it will take to "cool-down",
// and thus, the more the graph will be modified.
//// \item @|double = obj.GetCoolDownRate ()| -  Set/Get the Cool-down rate.
// The higher this number is, the longer it will take to "cool-down",
// and thus, the more the graph will be modified.
//// \item @|obj.SetThreeDimensionalLayout (int )| -  Turn on/off layout of graph in three dimensions. If off, graph
// layout occurs in two dimensions. By default, three dimensional
// layout is off.
//// \item @|int = obj.GetThreeDimensionalLayout ()| -  Turn on/off layout of graph in three dimensions. If off, graph
// layout occurs in two dimensions. By default, three dimensional
// layout is off.
//// \item @|obj.ThreeDimensionalLayoutOn ()| -  Turn on/off layout of graph in three dimensions. If off, graph
// layout occurs in two dimensions. By default, three dimensional
// layout is off.
//// \item @|obj.ThreeDimensionalLayoutOff ()| -  Turn on/off layout of graph in three dimensions. If off, graph
// layout occurs in two dimensions. By default, three dimensional
// layout is off.
//// \item @|obj.SetRandomInitialPoints (int )| -  Turn on/off use of random positions within the graph bounds as initial points.
//// \item @|int = obj.GetRandomInitialPoints ()| -  Turn on/off use of random positions within the graph bounds as initial points.
//// \item @|obj.RandomInitialPointsOn ()| -  Turn on/off use of random positions within the graph bounds as initial points.
//// \item @|obj.RandomInitialPointsOff ()| -  Turn on/off use of random positions within the graph bounds as initial points.
//// \item @|obj.SetInitialTemperature (float )| -  Set the initial temperature.  If zero (the default) , the initial temperature
// will be computed automatically.
//// \item @|float = obj.GetInitialTemperatureMinValue ()| -  Set the initial temperature.  If zero (the default) , the initial temperature
// will be computed automatically.
//// \item @|float = obj.GetInitialTemperatureMaxValue ()| -  Set the initial temperature.  If zero (the default) , the initial temperature
// will be computed automatically.
//// \item @|float = obj.GetInitialTemperature ()| -  Set the initial temperature.  If zero (the default) , the initial temperature
// will be computed automatically.
//// \item @|obj.Initialize ()| -  This strategy sets up some data structures
// for faster processing of each Layout() call
//// \item @|obj.Layout ()| -  This is the layout method where the graph that was
// set in SetGraph() is laid out. The method can either
// entirely layout the graph or iteratively lay out the
// graph. If you have an iterative layout please implement
// the IsLayoutComplete() method.
//// \item @|int = obj.IsLayoutComplete ()|
//\end{itemize}
//!
