#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGenerateIndexArray object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGenerateIndexArray.h"

//@@Signature
//sfunction @vtkGenerateIndexArray:vtkGenerateIndexArray vtkGenerateIndexArrayConstructorFunction
//input a
//output p
//@@Parents vtkGenerateIndexArray vtkDataObjectAlgorithm 
ArrayVector vtkGenerateIndexArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGenerateIndexArray::New(),"vtkGenerateIndexArray",eval);
  } else if (arg[0].className() == "vtkGenerateIndexArray") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGenerateIndexArray"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGenerateIndexArray");
    vtkGenerateIndexArray*q = reinterpret_cast<vtkGenerateIndexArray*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGenerateIndexArray");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGenerateIndexArray:GetClassName vtkGenerateIndexArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGenerateIndexArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGenerateIndexArray requires 1 argument(s)");
  vtkGenerateIndexArray* vtk_pointer = GetVTKPointer<vtkGenerateIndexArray>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenerateIndexArray:IsA vtkGenerateIndexArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGenerateIndexArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGenerateIndexArray requires 2 argument(s)");
  vtkGenerateIndexArray* vtk_pointer = GetVTKPointer<vtkGenerateIndexArray>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenerateIndexArray:NewInstance vtkGenerateIndexArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGenerateIndexArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenerateIndexArray *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGenerateIndexArray requires 1 argument(s)");
  vtkGenerateIndexArray* vtk_pointer = GetVTKPointer<vtkGenerateIndexArray>(arg[0]);
  Array retval;
  vtkGenerateIndexArray  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenerateIndexArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenerateIndexArray:SafeDownCast vtkGenerateIndexArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGenerateIndexArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenerateIndexArray *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGenerateIndexArray requires 2 argument(s)");
  vtkGenerateIndexArray* vtk_pointer = GetVTKPointer<vtkGenerateIndexArray>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGenerateIndexArray  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenerateIndexArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenerateIndexArray:SetArrayName vtkGenerateIndexArraySetArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkGenerateIndexArraySetArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetArrayName for class vtkGenerateIndexArray requires 2 argument(s)");
  vtkGenerateIndexArray* vtk_pointer = GetVTKPointer<vtkGenerateIndexArray>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenerateIndexArray:GetArrayName vtkGenerateIndexArrayGetArrayNameFunction
//input a0 
//output y
ArrayVector vtkGenerateIndexArrayGetArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetArrayName for class vtkGenerateIndexArray requires 1 argument(s)");
  vtkGenerateIndexArray* vtk_pointer = GetVTKPointer<vtkGenerateIndexArray>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenerateIndexArray:SetFieldType vtkGenerateIndexArraySetFieldTypeFunction
//input a0 a1 
//output none
ArrayVector vtkGenerateIndexArraySetFieldTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFieldType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFieldType for class vtkGenerateIndexArray requires 2 argument(s)");
  vtkGenerateIndexArray* vtk_pointer = GetVTKPointer<vtkGenerateIndexArray>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFieldType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenerateIndexArray:GetFieldType vtkGenerateIndexArrayGetFieldTypeFunction
//input a0 
//output y
ArrayVector vtkGenerateIndexArrayGetFieldTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFieldType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFieldType for class vtkGenerateIndexArray requires 1 argument(s)");
  vtkGenerateIndexArray* vtk_pointer = GetVTKPointer<vtkGenerateIndexArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFieldType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenerateIndexArray:SetReferenceArrayName vtkGenerateIndexArraySetReferenceArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkGenerateIndexArraySetReferenceArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReferenceArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetReferenceArrayName for class vtkGenerateIndexArray requires 2 argument(s)");
  vtkGenerateIndexArray* vtk_pointer = GetVTKPointer<vtkGenerateIndexArray>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetReferenceArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenerateIndexArray:GetReferenceArrayName vtkGenerateIndexArrayGetReferenceArrayNameFunction
//input a0 
//output y
ArrayVector vtkGenerateIndexArrayGetReferenceArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetReferenceArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReferenceArrayName for class vtkGenerateIndexArray requires 1 argument(s)");
  vtkGenerateIndexArray* vtk_pointer = GetVTKPointer<vtkGenerateIndexArray>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetReferenceArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenerateIndexArray:SetPedigreeID vtkGenerateIndexArraySetPedigreeIDFunction
//input a0 a1 
//output none
ArrayVector vtkGenerateIndexArraySetPedigreeIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPedigreeID (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPedigreeID for class vtkGenerateIndexArray requires 2 argument(s)");
  vtkGenerateIndexArray* vtk_pointer = GetVTKPointer<vtkGenerateIndexArray>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPedigreeID(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenerateIndexArray:GetPedigreeID vtkGenerateIndexArrayGetPedigreeIDFunction
//input a0 
//output y
ArrayVector vtkGenerateIndexArrayGetPedigreeIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPedigreeID (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPedigreeID for class vtkGenerateIndexArray requires 1 argument(s)");
  vtkGenerateIndexArray* vtk_pointer = GetVTKPointer<vtkGenerateIndexArray>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPedigreeID();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenerateIndexArray:display vtkGenerateIndexArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGenerateIndexArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGenerateIndexArray* vtk_pointer = GetVTKPointer<vtkGenerateIndexArray>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGenerateIndexArray:delete vtkGenerateIndexArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkGenerateIndexArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGenerateIndexArray
//@@Section VTKInfovis
//@@Usage
// Generates a new vtkIdTypeArray containing zero-base indices.
//
// vtkGenerateIndexArray operates in one of two distinct "modes".
// By default, it simply generates an index array containing
// monotonically-increasing integers in the range [0, N), where N
// is appropriately sized for the field type that will store the
// results.  This mode is useful for generating a unique ID field
// for datasets that have none.
//
// The second "mode" uses an existing array from the input data
// object as a "reference".  Distinct values from the reference
// array are sorted in ascending order, and an integer index in
// the range [0, N) is assigned to each.  The resulting map is
// used to populate the output index array, mapping each value
// in the reference array to its corresponding index and storing
// the result in the output array.  This mode is especially
// useful when generating tensors, since it allows us to "map"
// from an array with arbitrary contents to an index that can
// be used as tensor coordinates.
//
//To create an instance of class vtkGenerateIndexArray, simply
//invoke its constructor as follows
//@[
//  obj = vtkGenerateIndexArray
//@]
//@@Methods
//The class vtkGenerateIndexArray has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGenerateIndexArray class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGenerateIndexArray = obj.NewInstance ()|
// \item @|vtkGenerateIndexArray = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetArrayName (string )| -  Control the output index array name.  Default: "index". 
//// \item @|string = obj.GetArrayName ()| -  Control the output index array name.  Default: "index". 
//// \item @|obj.SetFieldType (int )| -  Control the location where the index array will be stored.
//// \item @|int = obj.GetFieldType ()| -  Control the location where the index array will be stored.
//// \item @|obj.SetReferenceArrayName (string )| -  Specifies an optional reference array for index-generation.
//// \item @|string = obj.GetReferenceArrayName ()| -  Specifies an optional reference array for index-generation.
//// \item @|obj.SetPedigreeID (int )| -  Specifies whether the index array should be marked as
// pedigree ids.  Default: false.
//// \item @|int = obj.GetPedigreeID ()| -  Specifies whether the index array should be marked as
// pedigree ids.  Default: false.
////\end{itemize}
//!
