#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGeoEdgeStrategy object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGeoEdgeStrategy.h"

//@@Signature
//sfunction @vtkGeoEdgeStrategy:vtkGeoEdgeStrategy vtkGeoEdgeStrategyConstructorFunction
//input a
//output p
//@@Parents vtkGeoEdgeStrategy vtkEdgeLayoutStrategy 
ArrayVector vtkGeoEdgeStrategyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGeoEdgeStrategy::New(),"vtkGeoEdgeStrategy",eval);
  } else if (arg[0].className() == "vtkGeoEdgeStrategy") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGeoEdgeStrategy"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGeoEdgeStrategy");
    vtkGeoEdgeStrategy*q = reinterpret_cast<vtkGeoEdgeStrategy*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGeoEdgeStrategy");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGeoEdgeStrategy:GetClassName vtkGeoEdgeStrategyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGeoEdgeStrategyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGeoEdgeStrategy requires 1 argument(s)");
  vtkGeoEdgeStrategy* vtk_pointer = GetVTKPointer<vtkGeoEdgeStrategy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoEdgeStrategy:IsA vtkGeoEdgeStrategyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGeoEdgeStrategyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGeoEdgeStrategy requires 2 argument(s)");
  vtkGeoEdgeStrategy* vtk_pointer = GetVTKPointer<vtkGeoEdgeStrategy>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoEdgeStrategy:NewInstance vtkGeoEdgeStrategyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGeoEdgeStrategyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoEdgeStrategy *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGeoEdgeStrategy requires 1 argument(s)");
  vtkGeoEdgeStrategy* vtk_pointer = GetVTKPointer<vtkGeoEdgeStrategy>(arg[0]);
  Array retval;
  vtkGeoEdgeStrategy  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoEdgeStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoEdgeStrategy:SafeDownCast vtkGeoEdgeStrategySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGeoEdgeStrategySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoEdgeStrategy *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGeoEdgeStrategy requires 2 argument(s)");
  vtkGeoEdgeStrategy* vtk_pointer = GetVTKPointer<vtkGeoEdgeStrategy>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGeoEdgeStrategy  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoEdgeStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoEdgeStrategy:SetGlobeRadius vtkGeoEdgeStrategySetGlobeRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkGeoEdgeStrategySetGlobeRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGlobeRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGlobeRadius for class vtkGeoEdgeStrategy requires 2 argument(s)");
  vtkGeoEdgeStrategy* vtk_pointer = GetVTKPointer<vtkGeoEdgeStrategy>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetGlobeRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoEdgeStrategy:GetGlobeRadius vtkGeoEdgeStrategyGetGlobeRadiusFunction
//input a0 
//output y
ArrayVector vtkGeoEdgeStrategyGetGlobeRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetGlobeRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGlobeRadius for class vtkGeoEdgeStrategy requires 1 argument(s)");
  vtkGeoEdgeStrategy* vtk_pointer = GetVTKPointer<vtkGeoEdgeStrategy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetGlobeRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoEdgeStrategy:SetExplodeFactor vtkGeoEdgeStrategySetExplodeFactorFunction
//input a0 a1 
//output none
ArrayVector vtkGeoEdgeStrategySetExplodeFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExplodeFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetExplodeFactor for class vtkGeoEdgeStrategy requires 2 argument(s)");
  vtkGeoEdgeStrategy* vtk_pointer = GetVTKPointer<vtkGeoEdgeStrategy>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetExplodeFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoEdgeStrategy:GetExplodeFactor vtkGeoEdgeStrategyGetExplodeFactorFunction
//input a0 
//output y
ArrayVector vtkGeoEdgeStrategyGetExplodeFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetExplodeFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExplodeFactor for class vtkGeoEdgeStrategy requires 1 argument(s)");
  vtkGeoEdgeStrategy* vtk_pointer = GetVTKPointer<vtkGeoEdgeStrategy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetExplodeFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoEdgeStrategy:SetNumberOfSubdivisions vtkGeoEdgeStrategySetNumberOfSubdivisionsFunction
//input a0 a1 
//output none
ArrayVector vtkGeoEdgeStrategySetNumberOfSubdivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfSubdivisions (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfSubdivisions for class vtkGeoEdgeStrategy requires 2 argument(s)");
  vtkGeoEdgeStrategy* vtk_pointer = GetVTKPointer<vtkGeoEdgeStrategy>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfSubdivisions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGeoEdgeStrategy:GetNumberOfSubdivisions vtkGeoEdgeStrategyGetNumberOfSubdivisionsFunction
//input a0 
//output y
ArrayVector vtkGeoEdgeStrategyGetNumberOfSubdivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfSubdivisions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSubdivisions for class vtkGeoEdgeStrategy requires 1 argument(s)");
  vtkGeoEdgeStrategy* vtk_pointer = GetVTKPointer<vtkGeoEdgeStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfSubdivisions();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoEdgeStrategy:Layout vtkGeoEdgeStrategyLayoutFunction
//input a0 
//output none
ArrayVector vtkGeoEdgeStrategyLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Layout (); */
  if (arg.size() < 1) 
    throw Exception("Function Layout for class vtkGeoEdgeStrategy requires 1 argument(s)");
  vtkGeoEdgeStrategy* vtk_pointer = GetVTKPointer<vtkGeoEdgeStrategy>(arg[0]);
  Array retval;
  vtk_pointer->Layout();
  return retval;
}

//@@Signature
//sfunction @vtkGeoEdgeStrategy:display vtkGeoEdgeStrategyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGeoEdgeStrategyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGeoEdgeStrategy* vtk_pointer = GetVTKPointer<vtkGeoEdgeStrategy>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGeoEdgeStrategy:delete vtkGeoEdgeStrategyDeleteFunction
//input varargin
//output none
ArrayVector vtkGeoEdgeStrategyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGeoEdgeStrategy
//@@Section VTKInfovis
//@@Usage
// vtkGeoEdgeStrategy produces arcs for each edge in the input graph.
// This is useful for viewing lines on a sphere (e.g. the earth).
// The arcs may "jump" above the sphere's surface using ExplodeFactor.
//
//To create an instance of class vtkGeoEdgeStrategy, simply
//invoke its constructor as follows
//@[
//  obj = vtkGeoEdgeStrategy
//@]
//@@Methods
//The class vtkGeoEdgeStrategy has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGeoEdgeStrategy class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGeoEdgeStrategy = obj.NewInstance ()|
// \item @|vtkGeoEdgeStrategy = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetGlobeRadius (double )| -  The base radius used to determine the earth's surface.
// Default is the earth's radius in meters.
// TODO: Change this to take in a vtkGeoTerrain to get altitude.
//// \item @|double = obj.GetGlobeRadius ()| -  The base radius used to determine the earth's surface.
// Default is the earth's radius in meters.
// TODO: Change this to take in a vtkGeoTerrain to get altitude.
//// \item @|obj.SetExplodeFactor (double )| -  Factor on which to "explode" the arcs away from the surface.
// A value of 0.0 keeps the values on the surface.
// Values larger than 0.0 push the arcs away from the surface by a distance
// proportional to the distance between the points.
// The default is 0.2.
//// \item @|double = obj.GetExplodeFactor ()| -  Factor on which to "explode" the arcs away from the surface.
// A value of 0.0 keeps the values on the surface.
// Values larger than 0.0 push the arcs away from the surface by a distance
// proportional to the distance between the points.
// The default is 0.2.
//// \item @|obj.SetNumberOfSubdivisions (int )| -  The number of subdivisions in the arc.
// The default is 20.
//// \item @|int = obj.GetNumberOfSubdivisions ()| -  The number of subdivisions in the arc.
// The default is 20.
//// \item @|obj.Layout ()| -  Perform the layout.
////\end{itemize}
//!
