#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGeoMath object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGeoMath.h"

//@@Signature
//sfunction @vtkGeoMath:vtkGeoMath vtkGeoMathConstructorFunction
//input a
//output p
//@@Parents vtkGeoMath vtkObject 
ArrayVector vtkGeoMathConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGeoMath::New(),"vtkGeoMath",eval);
  } else if (arg[0].className() == "vtkGeoMath") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGeoMath"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGeoMath");
    vtkGeoMath*q = reinterpret_cast<vtkGeoMath*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGeoMath");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGeoMath:GetClassName vtkGeoMathGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGeoMathGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGeoMath requires 1 argument(s)");
  vtkGeoMath* vtk_pointer = GetVTKPointer<vtkGeoMath>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoMath:IsA vtkGeoMathIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGeoMathIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGeoMath requires 2 argument(s)");
  vtkGeoMath* vtk_pointer = GetVTKPointer<vtkGeoMath>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoMath:NewInstance vtkGeoMathNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGeoMathNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoMath *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGeoMath requires 1 argument(s)");
  vtkGeoMath* vtk_pointer = GetVTKPointer<vtkGeoMath>(arg[0]);
  Array retval;
  vtkGeoMath  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoMath",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoMath:SafeDownCast vtkGeoMathSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGeoMathSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGeoMath *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGeoMath requires 2 argument(s)");
  vtkGeoMath* vtk_pointer = GetVTKPointer<vtkGeoMath>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGeoMath  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGeoMath",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGeoMath:EarthRadiusMeters vtkGeoMathEarthRadiusMetersFunction
//input a0 
//output y
ArrayVector vtkGeoMathEarthRadiusMetersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double EarthRadiusMeters ();return  */
  if (arg.size() < 1) 
    throw Exception("Function EarthRadiusMeters for class vtkGeoMath requires 1 argument(s)");
  vtkGeoMath* vtk_pointer = GetVTKPointer<vtkGeoMath>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->EarthRadiusMeters();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoMath:DistanceSquared vtkGeoMathDistanceSquaredFunction
//input a0 a1 a2 
//output y
ArrayVector vtkGeoMathDistanceSquaredFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static double DistanceSquared (double pt0[3], double pt1[3]); */
  if (arg.size() < 3) 
    throw Exception("Function DistanceSquared for class vtkGeoMath requires 3 argument(s)");
  vtkGeoMath* vtk_pointer = GetVTKPointer<vtkGeoMath>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  double   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->DistanceSquared(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGeoMath:LongLatAltToRect vtkGeoMathLongLatAltToRectFunction
//input a0 a1 a2 
//output none
ArrayVector vtkGeoMathLongLatAltToRectFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void LongLatAltToRect (double lla[3], double rect[3]); */
  if (arg.size() < 3) 
    throw Exception("Function LongLatAltToRect for class vtkGeoMath requires 3 argument(s)");
  vtkGeoMath* vtk_pointer = GetVTKPointer<vtkGeoMath>(arg[0]);
  Array retval;
  double temp0[3];
  double temp1[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  if ( !(arg[4].isVector() && arg[4].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->LongLatAltToRect(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGeoMath:display vtkGeoMathDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGeoMathDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGeoMath* vtk_pointer = GetVTKPointer<vtkGeoMath>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGeoMath:delete vtkGeoMathDeleteFunction
//input varargin
//output none
ArrayVector vtkGeoMathDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGeoMath
//@@Section VTKInfovis
//@@Usage
// vtkGeoMath provides some useful geographic calculations.
//
//To create an instance of class vtkGeoMath, simply
//invoke its constructor as follows
//@[
//  obj = vtkGeoMath
//@]
//@@Methods
//The class vtkGeoMath has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGeoMath class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGeoMath = obj.NewInstance ()|
// \item @|vtkGeoMath = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
