#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGraphHierarchicalBundle object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGraphHierarchicalBundle.h"

//@@Signature
//sfunction @vtkGraphHierarchicalBundle:vtkGraphHierarchicalBundle vtkGraphHierarchicalBundleConstructorFunction
//input a
//output p
//@@Parents vtkGraphHierarchicalBundle vtkPolyDataAlgorithm 
ArrayVector vtkGraphHierarchicalBundleConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGraphHierarchicalBundle::New(),"vtkGraphHierarchicalBundle",eval);
  } else if (arg[0].className() == "vtkGraphHierarchicalBundle") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGraphHierarchicalBundle"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGraphHierarchicalBundle");
    vtkGraphHierarchicalBundle*q = reinterpret_cast<vtkGraphHierarchicalBundle*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGraphHierarchicalBundle");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGraphHierarchicalBundle:GetClassName vtkGraphHierarchicalBundleGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGraphHierarchicalBundleGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGraphHierarchicalBundle requires 1 argument(s)");
  vtkGraphHierarchicalBundle* vtk_pointer = GetVTKPointer<vtkGraphHierarchicalBundle>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphHierarchicalBundle:IsA vtkGraphHierarchicalBundleIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGraphHierarchicalBundleIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGraphHierarchicalBundle requires 2 argument(s)");
  vtkGraphHierarchicalBundle* vtk_pointer = GetVTKPointer<vtkGraphHierarchicalBundle>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphHierarchicalBundle:NewInstance vtkGraphHierarchicalBundleNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGraphHierarchicalBundleNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphHierarchicalBundle *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGraphHierarchicalBundle requires 1 argument(s)");
  vtkGraphHierarchicalBundle* vtk_pointer = GetVTKPointer<vtkGraphHierarchicalBundle>(arg[0]);
  Array retval;
  vtkGraphHierarchicalBundle  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphHierarchicalBundle",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphHierarchicalBundle:SafeDownCast vtkGraphHierarchicalBundleSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGraphHierarchicalBundleSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphHierarchicalBundle *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGraphHierarchicalBundle requires 2 argument(s)");
  vtkGraphHierarchicalBundle* vtk_pointer = GetVTKPointer<vtkGraphHierarchicalBundle>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGraphHierarchicalBundle  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphHierarchicalBundle",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphHierarchicalBundle:SetBundlingStrength vtkGraphHierarchicalBundleSetBundlingStrengthFunction
//input a0 a1 
//output none
ArrayVector vtkGraphHierarchicalBundleSetBundlingStrengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBundlingStrength (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBundlingStrength for class vtkGraphHierarchicalBundle requires 2 argument(s)");
  vtkGraphHierarchicalBundle* vtk_pointer = GetVTKPointer<vtkGraphHierarchicalBundle>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetBundlingStrength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphHierarchicalBundle:GetBundlingStrengthMinValue vtkGraphHierarchicalBundleGetBundlingStrengthMinValueFunction
//input a0 
//output y
ArrayVector vtkGraphHierarchicalBundleGetBundlingStrengthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetBundlingStrengthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBundlingStrengthMinValue for class vtkGraphHierarchicalBundle requires 1 argument(s)");
  vtkGraphHierarchicalBundle* vtk_pointer = GetVTKPointer<vtkGraphHierarchicalBundle>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetBundlingStrengthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphHierarchicalBundle:GetBundlingStrengthMaxValue vtkGraphHierarchicalBundleGetBundlingStrengthMaxValueFunction
//input a0 
//output y
ArrayVector vtkGraphHierarchicalBundleGetBundlingStrengthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetBundlingStrengthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBundlingStrengthMaxValue for class vtkGraphHierarchicalBundle requires 1 argument(s)");
  vtkGraphHierarchicalBundle* vtk_pointer = GetVTKPointer<vtkGraphHierarchicalBundle>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetBundlingStrengthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphHierarchicalBundle:GetBundlingStrength vtkGraphHierarchicalBundleGetBundlingStrengthFunction
//input a0 
//output y
ArrayVector vtkGraphHierarchicalBundleGetBundlingStrengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetBundlingStrength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBundlingStrength for class vtkGraphHierarchicalBundle requires 1 argument(s)");
  vtkGraphHierarchicalBundle* vtk_pointer = GetVTKPointer<vtkGraphHierarchicalBundle>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetBundlingStrength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphHierarchicalBundle:SetDirectMapping vtkGraphHierarchicalBundleSetDirectMappingFunction
//input a0 a1 
//output none
ArrayVector vtkGraphHierarchicalBundleSetDirectMappingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDirectMapping (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDirectMapping for class vtkGraphHierarchicalBundle requires 2 argument(s)");
  vtkGraphHierarchicalBundle* vtk_pointer = GetVTKPointer<vtkGraphHierarchicalBundle>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetDirectMapping(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphHierarchicalBundle:GetDirectMapping vtkGraphHierarchicalBundleGetDirectMappingFunction
//input a0 
//output y
ArrayVector vtkGraphHierarchicalBundleGetDirectMappingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetDirectMapping (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDirectMapping for class vtkGraphHierarchicalBundle requires 1 argument(s)");
  vtkGraphHierarchicalBundle* vtk_pointer = GetVTKPointer<vtkGraphHierarchicalBundle>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetDirectMapping();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGraphHierarchicalBundle:DirectMappingOn vtkGraphHierarchicalBundleDirectMappingOnFunction
//input a0 
//output none
ArrayVector vtkGraphHierarchicalBundleDirectMappingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DirectMappingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DirectMappingOn for class vtkGraphHierarchicalBundle requires 1 argument(s)");
  vtkGraphHierarchicalBundle* vtk_pointer = GetVTKPointer<vtkGraphHierarchicalBundle>(arg[0]);
  Array retval;
  vtk_pointer->DirectMappingOn();
  return retval;
}

//@@Signature
//sfunction @vtkGraphHierarchicalBundle:DirectMappingOff vtkGraphHierarchicalBundleDirectMappingOffFunction
//input a0 
//output none
ArrayVector vtkGraphHierarchicalBundleDirectMappingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DirectMappingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DirectMappingOff for class vtkGraphHierarchicalBundle requires 1 argument(s)");
  vtkGraphHierarchicalBundle* vtk_pointer = GetVTKPointer<vtkGraphHierarchicalBundle>(arg[0]);
  Array retval;
  vtk_pointer->DirectMappingOff();
  return retval;
}

//@@Signature
//sfunction @vtkGraphHierarchicalBundle:FillInputPortInformation vtkGraphHierarchicalBundleFillInputPortInformationFunction
//input a0 a1 a2 
//output y
ArrayVector vtkGraphHierarchicalBundleFillInputPortInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int FillInputPortInformation (int port, vtkInformation *info); */
  if (arg.size() < 3) 
    throw Exception("Function FillInputPortInformation for class vtkGraphHierarchicalBundle requires 3 argument(s)");
  vtkGraphHierarchicalBundle* vtk_pointer = GetVTKPointer<vtkGraphHierarchicalBundle>(arg[0]);
  Array retval;
  int      temp0;
  vtkInformation  *temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  temp20 = (vtk_pointer)->FillInputPortInformation(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphHierarchicalBundle:display vtkGraphHierarchicalBundleDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGraphHierarchicalBundleDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGraphHierarchicalBundle* vtk_pointer = GetVTKPointer<vtkGraphHierarchicalBundle>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGraphHierarchicalBundle:delete vtkGraphHierarchicalBundleDeleteFunction
//input varargin
//output none
ArrayVector vtkGraphHierarchicalBundleDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGraphHierarchicalBundle
//@@Section VTKInfovis
//@@Usage
// This algorithm creates a vtkPolyData from a vtkGraph.  As opposed to
// vtkGraphToPolyData, which converts each arc into a straight line, each arc
// is converted to a polyline, following a tree structure.  The filter requires
// both a vtkGraph and vtkTree as input.  The tree vertices must be a
// superset of the graph vertices.  A common example is when the graph vertices
// correspond to the leaves of the tree, but the internal vertices of the tree
// represent groupings of graph vertices.  The algorithm matches the vertices
// using the array "PedigreeId".  The user may alternately set the
// DirectMapping flag to indicate that the two structures must have directly
// corresponding offsets (i.e. node i in the graph must correspond to node i in
// the tree).
//
// The vtkGraph defines the topology of the output vtkPolyData (i.e.
// the connections between nodes) while the vtkTree defines the geometry (i.e.
// the location of nodes and arc routes).  Thus, the tree must have been
// assigned vertex locations, but the graph does not need locations, in fact
// they will be ignored.  The edges approximately follow the path from the
// source to target nodes in the tree.  A bundling parameter controls how
// closely the edges are bundled together along the tree structure.
// 
// You may follow this algorithm with vtkSplineFilter in order to make nicely
// curved edges.
//
//To create an instance of class vtkGraphHierarchicalBundle, simply
//invoke its constructor as follows
//@[
//  obj = vtkGraphHierarchicalBundle
//@]
//@@Methods
//The class vtkGraphHierarchicalBundle has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGraphHierarchicalBundle class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGraphHierarchicalBundle = obj.NewInstance ()|
// \item @|vtkGraphHierarchicalBundle = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetBundlingStrength (double )| -  The level of arc bundling in the graph.
// A strength of 0 creates straight lines, while a strength of 1
// forces arcs to pass directly through hierarchy node points.
// The default value is 0.8.
//// \item @|double = obj.GetBundlingStrengthMinValue ()| -  The level of arc bundling in the graph.
// A strength of 0 creates straight lines, while a strength of 1
// forces arcs to pass directly through hierarchy node points.
// The default value is 0.8.
//// \item @|double = obj.GetBundlingStrengthMaxValue ()| -  The level of arc bundling in the graph.
// A strength of 0 creates straight lines, while a strength of 1
// forces arcs to pass directly through hierarchy node points.
// The default value is 0.8.
//// \item @|double = obj.GetBundlingStrength ()| -  The level of arc bundling in the graph.
// A strength of 0 creates straight lines, while a strength of 1
// forces arcs to pass directly through hierarchy node points.
// The default value is 0.8.
//// \item @|obj.SetDirectMapping (bool )| -  If on, uses direct mapping from tree to graph vertices.
// If off, both the graph and tree must contain PedigreeId arrays
// which are used to match graph and tree vertices.
// Default is off.
//// \item @|bool = obj.GetDirectMapping ()| -  If on, uses direct mapping from tree to graph vertices.
// If off, both the graph and tree must contain PedigreeId arrays
// which are used to match graph and tree vertices.
// Default is off.
//// \item @|obj.DirectMappingOn ()| -  If on, uses direct mapping from tree to graph vertices.
// If off, both the graph and tree must contain PedigreeId arrays
// which are used to match graph and tree vertices.
// Default is off.
//// \item @|obj.DirectMappingOff ()| -  If on, uses direct mapping from tree to graph vertices.
// If off, both the graph and tree must contain PedigreeId arrays
// which are used to match graph and tree vertices.
// Default is off.
//// \item @|int = obj.FillInputPortInformation (int port, vtkInformation info)| -  Set the input type of the algorithm to vtkGraph.
////\end{itemize}
//!
