#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGraphHierarchicalBundleEdges object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGraphHierarchicalBundleEdges.h"

//@@Signature
//sfunction @vtkGraphHierarchicalBundleEdges:vtkGraphHierarchicalBundleEdges vtkGraphHierarchicalBundleEdgesConstructorFunction
//input a
//output p
//@@Parents vtkGraphHierarchicalBundleEdges vtkGraphAlgorithm 
ArrayVector vtkGraphHierarchicalBundleEdgesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGraphHierarchicalBundleEdges::New(),"vtkGraphHierarchicalBundleEdges",eval);
  } else if (arg[0].className() == "vtkGraphHierarchicalBundleEdges") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGraphHierarchicalBundleEdges"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGraphHierarchicalBundleEdges");
    vtkGraphHierarchicalBundleEdges*q = reinterpret_cast<vtkGraphHierarchicalBundleEdges*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGraphHierarchicalBundleEdges");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGraphHierarchicalBundleEdges:GetClassName vtkGraphHierarchicalBundleEdgesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGraphHierarchicalBundleEdgesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGraphHierarchicalBundleEdges requires 1 argument(s)");
  vtkGraphHierarchicalBundleEdges* vtk_pointer = GetVTKPointer<vtkGraphHierarchicalBundleEdges>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphHierarchicalBundleEdges:IsA vtkGraphHierarchicalBundleEdgesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGraphHierarchicalBundleEdgesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGraphHierarchicalBundleEdges requires 2 argument(s)");
  vtkGraphHierarchicalBundleEdges* vtk_pointer = GetVTKPointer<vtkGraphHierarchicalBundleEdges>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphHierarchicalBundleEdges:NewInstance vtkGraphHierarchicalBundleEdgesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGraphHierarchicalBundleEdgesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphHierarchicalBundleEdges *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGraphHierarchicalBundleEdges requires 1 argument(s)");
  vtkGraphHierarchicalBundleEdges* vtk_pointer = GetVTKPointer<vtkGraphHierarchicalBundleEdges>(arg[0]);
  Array retval;
  vtkGraphHierarchicalBundleEdges  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphHierarchicalBundleEdges",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphHierarchicalBundleEdges:SafeDownCast vtkGraphHierarchicalBundleEdgesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGraphHierarchicalBundleEdgesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphHierarchicalBundleEdges *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGraphHierarchicalBundleEdges requires 2 argument(s)");
  vtkGraphHierarchicalBundleEdges* vtk_pointer = GetVTKPointer<vtkGraphHierarchicalBundleEdges>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGraphHierarchicalBundleEdges  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphHierarchicalBundleEdges",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphHierarchicalBundleEdges:SetBundlingStrength vtkGraphHierarchicalBundleEdgesSetBundlingStrengthFunction
//input a0 a1 
//output none
ArrayVector vtkGraphHierarchicalBundleEdgesSetBundlingStrengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBundlingStrength (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBundlingStrength for class vtkGraphHierarchicalBundleEdges requires 2 argument(s)");
  vtkGraphHierarchicalBundleEdges* vtk_pointer = GetVTKPointer<vtkGraphHierarchicalBundleEdges>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetBundlingStrength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphHierarchicalBundleEdges:GetBundlingStrengthMinValue vtkGraphHierarchicalBundleEdgesGetBundlingStrengthMinValueFunction
//input a0 
//output y
ArrayVector vtkGraphHierarchicalBundleEdgesGetBundlingStrengthMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetBundlingStrengthMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBundlingStrengthMinValue for class vtkGraphHierarchicalBundleEdges requires 1 argument(s)");
  vtkGraphHierarchicalBundleEdges* vtk_pointer = GetVTKPointer<vtkGraphHierarchicalBundleEdges>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetBundlingStrengthMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphHierarchicalBundleEdges:GetBundlingStrengthMaxValue vtkGraphHierarchicalBundleEdgesGetBundlingStrengthMaxValueFunction
//input a0 
//output y
ArrayVector vtkGraphHierarchicalBundleEdgesGetBundlingStrengthMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetBundlingStrengthMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBundlingStrengthMaxValue for class vtkGraphHierarchicalBundleEdges requires 1 argument(s)");
  vtkGraphHierarchicalBundleEdges* vtk_pointer = GetVTKPointer<vtkGraphHierarchicalBundleEdges>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetBundlingStrengthMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphHierarchicalBundleEdges:GetBundlingStrength vtkGraphHierarchicalBundleEdgesGetBundlingStrengthFunction
//input a0 
//output y
ArrayVector vtkGraphHierarchicalBundleEdgesGetBundlingStrengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetBundlingStrength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBundlingStrength for class vtkGraphHierarchicalBundleEdges requires 1 argument(s)");
  vtkGraphHierarchicalBundleEdges* vtk_pointer = GetVTKPointer<vtkGraphHierarchicalBundleEdges>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetBundlingStrength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphHierarchicalBundleEdges:SetDirectMapping vtkGraphHierarchicalBundleEdgesSetDirectMappingFunction
//input a0 a1 
//output none
ArrayVector vtkGraphHierarchicalBundleEdgesSetDirectMappingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDirectMapping (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDirectMapping for class vtkGraphHierarchicalBundleEdges requires 2 argument(s)");
  vtkGraphHierarchicalBundleEdges* vtk_pointer = GetVTKPointer<vtkGraphHierarchicalBundleEdges>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetDirectMapping(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphHierarchicalBundleEdges:GetDirectMapping vtkGraphHierarchicalBundleEdgesGetDirectMappingFunction
//input a0 
//output y
ArrayVector vtkGraphHierarchicalBundleEdgesGetDirectMappingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetDirectMapping (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDirectMapping for class vtkGraphHierarchicalBundleEdges requires 1 argument(s)");
  vtkGraphHierarchicalBundleEdges* vtk_pointer = GetVTKPointer<vtkGraphHierarchicalBundleEdges>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetDirectMapping();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGraphHierarchicalBundleEdges:DirectMappingOn vtkGraphHierarchicalBundleEdgesDirectMappingOnFunction
//input a0 
//output none
ArrayVector vtkGraphHierarchicalBundleEdgesDirectMappingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DirectMappingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DirectMappingOn for class vtkGraphHierarchicalBundleEdges requires 1 argument(s)");
  vtkGraphHierarchicalBundleEdges* vtk_pointer = GetVTKPointer<vtkGraphHierarchicalBundleEdges>(arg[0]);
  Array retval;
  vtk_pointer->DirectMappingOn();
  return retval;
}

//@@Signature
//sfunction @vtkGraphHierarchicalBundleEdges:DirectMappingOff vtkGraphHierarchicalBundleEdgesDirectMappingOffFunction
//input a0 
//output none
ArrayVector vtkGraphHierarchicalBundleEdgesDirectMappingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DirectMappingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DirectMappingOff for class vtkGraphHierarchicalBundleEdges requires 1 argument(s)");
  vtkGraphHierarchicalBundleEdges* vtk_pointer = GetVTKPointer<vtkGraphHierarchicalBundleEdges>(arg[0]);
  Array retval;
  vtk_pointer->DirectMappingOff();
  return retval;
}

//@@Signature
//sfunction @vtkGraphHierarchicalBundleEdges:FillInputPortInformation vtkGraphHierarchicalBundleEdgesFillInputPortInformationFunction
//input a0 a1 a2 
//output y
ArrayVector vtkGraphHierarchicalBundleEdgesFillInputPortInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int FillInputPortInformation (int port, vtkInformation *info); */
  if (arg.size() < 3) 
    throw Exception("Function FillInputPortInformation for class vtkGraphHierarchicalBundleEdges requires 3 argument(s)");
  vtkGraphHierarchicalBundleEdges* vtk_pointer = GetVTKPointer<vtkGraphHierarchicalBundleEdges>(arg[0]);
  Array retval;
  int      temp0;
  vtkInformation  *temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  temp20 = (vtk_pointer)->FillInputPortInformation(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphHierarchicalBundleEdges:display vtkGraphHierarchicalBundleEdgesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGraphHierarchicalBundleEdgesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGraphHierarchicalBundleEdges* vtk_pointer = GetVTKPointer<vtkGraphHierarchicalBundleEdges>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGraphHierarchicalBundleEdges:delete vtkGraphHierarchicalBundleEdgesDeleteFunction
//input varargin
//output none
ArrayVector vtkGraphHierarchicalBundleEdgesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGraphHierarchicalBundleEdges
//@@Section VTKInfovis
//@@Usage
// This algorithm creates a vtkPolyData from a vtkGraph.  As opposed to
// vtkGraphToPolyData, which converts each arc into a straight line, each arc
// is converted to a polyline, following a tree structure.  The filter requires
// both a vtkGraph and vtkTree as input.  The tree vertices must be a
// superset of the graph vertices.  A common example is when the graph vertices
// correspond to the leaves of the tree, but the internal vertices of the tree
// represent groupings of graph vertices.  The algorithm matches the vertices
// using the array "PedigreeId".  The user may alternately set the
// DirectMapping flag to indicate that the two structures must have directly
// corresponding offsets (i.e. node i in the graph must correspond to node i in
// the tree).
//
// The vtkGraph defines the topology of the output vtkPolyData (i.e.
// the connections between nodes) while the vtkTree defines the geometry (i.e.
// the location of nodes and arc routes).  Thus, the tree must have been
// assigned vertex locations, but the graph does not need locations, in fact
// they will be ignored.  The edges approximately follow the path from the
// source to target nodes in the tree.  A bundling parameter controls how
// closely the edges are bundled together along the tree structure.
// 
// You may follow this algorithm with vtkSplineFilter in order to make nicely
// curved edges.
//
//To create an instance of class vtkGraphHierarchicalBundleEdges, simply
//invoke its constructor as follows
//@[
//  obj = vtkGraphHierarchicalBundleEdges
//@]
//@@Methods
//The class vtkGraphHierarchicalBundleEdges has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGraphHierarchicalBundleEdges class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGraphHierarchicalBundleEdges = obj.NewInstance ()|
// \item @|vtkGraphHierarchicalBundleEdges = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetBundlingStrength (double )| -  The level of arc bundling in the graph.
// A strength of 0 creates straight lines, while a strength of 1
// forces arcs to pass directly through hierarchy node points.
// The default value is 0.8.
//// \item @|double = obj.GetBundlingStrengthMinValue ()| -  The level of arc bundling in the graph.
// A strength of 0 creates straight lines, while a strength of 1
// forces arcs to pass directly through hierarchy node points.
// The default value is 0.8.
//// \item @|double = obj.GetBundlingStrengthMaxValue ()| -  The level of arc bundling in the graph.
// A strength of 0 creates straight lines, while a strength of 1
// forces arcs to pass directly through hierarchy node points.
// The default value is 0.8.
//// \item @|double = obj.GetBundlingStrength ()| -  The level of arc bundling in the graph.
// A strength of 0 creates straight lines, while a strength of 1
// forces arcs to pass directly through hierarchy node points.
// The default value is 0.8.
//// \item @|obj.SetDirectMapping (bool )| -  If on, uses direct mapping from tree to graph vertices.
// If off, both the graph and tree must contain PedigreeId arrays
// which are used to match graph and tree vertices.
// Default is off.
//// \item @|bool = obj.GetDirectMapping ()| -  If on, uses direct mapping from tree to graph vertices.
// If off, both the graph and tree must contain PedigreeId arrays
// which are used to match graph and tree vertices.
// Default is off.
//// \item @|obj.DirectMappingOn ()| -  If on, uses direct mapping from tree to graph vertices.
// If off, both the graph and tree must contain PedigreeId arrays
// which are used to match graph and tree vertices.
// Default is off.
//// \item @|obj.DirectMappingOff ()| -  If on, uses direct mapping from tree to graph vertices.
// If off, both the graph and tree must contain PedigreeId arrays
// which are used to match graph and tree vertices.
// Default is off.
//// \item @|int = obj.FillInputPortInformation (int port, vtkInformation info)| -  Set the input type of the algorithm to vtkGraph.
////\end{itemize}
//!
