#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGraphLayout object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGraphLayout.h"

//@@Signature
//sfunction @vtkGraphLayout:vtkGraphLayout vtkGraphLayoutConstructorFunction
//input a
//output p
//@@Parents vtkGraphLayout vtkGraphAlgorithm 
ArrayVector vtkGraphLayoutConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGraphLayout::New(),"vtkGraphLayout",eval);
  } else if (arg[0].className() == "vtkGraphLayout") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGraphLayout"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGraphLayout");
    vtkGraphLayout*q = reinterpret_cast<vtkGraphLayout*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGraphLayout");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGraphLayout:GetClassName vtkGraphLayoutGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGraphLayout requires 1 argument(s)");
  vtkGraphLayout* vtk_pointer = GetVTKPointer<vtkGraphLayout>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayout:IsA vtkGraphLayoutIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGraphLayoutIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGraphLayout requires 2 argument(s)");
  vtkGraphLayout* vtk_pointer = GetVTKPointer<vtkGraphLayout>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayout:NewInstance vtkGraphLayoutNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphLayout *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGraphLayout requires 1 argument(s)");
  vtkGraphLayout* vtk_pointer = GetVTKPointer<vtkGraphLayout>(arg[0]);
  Array retval;
  vtkGraphLayout  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphLayout",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayout:SafeDownCast vtkGraphLayoutSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGraphLayoutSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphLayout *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGraphLayout requires 2 argument(s)");
  vtkGraphLayout* vtk_pointer = GetVTKPointer<vtkGraphLayout>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGraphLayout  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphLayout",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayout:SetLayoutStrategy vtkGraphLayoutSetLayoutStrategyFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutSetLayoutStrategyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutStrategy (vtkGraphLayoutStrategy *strategy); */
  if (arg.size() < 2) 
    throw Exception("Function SetLayoutStrategy for class vtkGraphLayout requires 2 argument(s)");
  vtkGraphLayout* vtk_pointer = GetVTKPointer<vtkGraphLayout>(arg[0]);
  Array retval;
  vtkGraphLayoutStrategy  *temp0;
  temp0 = GetVTKPointer<vtkGraphLayoutStrategy>(arg[1]);
  vtk_pointer->SetLayoutStrategy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayout:GetLayoutStrategy vtkGraphLayoutGetLayoutStrategyFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutGetLayoutStrategyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphLayoutStrategy *GetLayoutStrategy (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLayoutStrategy for class vtkGraphLayout requires 1 argument(s)");
  vtkGraphLayout* vtk_pointer = GetVTKPointer<vtkGraphLayout>(arg[0]);
  Array retval;
  vtkGraphLayoutStrategy  *temp20;
  temp20 = (vtk_pointer)->GetLayoutStrategy();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayout:IsLayoutComplete vtkGraphLayoutIsLayoutCompleteFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutIsLayoutCompleteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsLayoutComplete (); */
  if (arg.size() < 1) 
    throw Exception("Function IsLayoutComplete for class vtkGraphLayout requires 1 argument(s)");
  vtkGraphLayout* vtk_pointer = GetVTKPointer<vtkGraphLayout>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsLayoutComplete();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayout:GetMTime vtkGraphLayoutGetMTimeFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkGraphLayout requires 1 argument(s)");
  vtkGraphLayout* vtk_pointer = GetVTKPointer<vtkGraphLayout>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayout:GetZRange vtkGraphLayoutGetZRangeFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutGetZRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetZRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZRange for class vtkGraphLayout requires 1 argument(s)");
  vtkGraphLayout* vtk_pointer = GetVTKPointer<vtkGraphLayout>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetZRange();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayout:SetZRange vtkGraphLayoutSetZRangeFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutSetZRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZRange (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetZRange for class vtkGraphLayout requires 2 argument(s)");
  vtkGraphLayout* vtk_pointer = GetVTKPointer<vtkGraphLayout>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetZRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayout:GetTransform vtkGraphLayoutGetTransformFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutGetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractTransform *GetTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTransform for class vtkGraphLayout requires 1 argument(s)");
  vtkGraphLayout* vtk_pointer = GetVTKPointer<vtkGraphLayout>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp20;
  temp20 = (vtk_pointer)->GetTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayout:SetTransform vtkGraphLayoutSetTransformFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutSetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTransform (vtkAbstractTransform *t); */
  if (arg.size() < 2) 
    throw Exception("Function SetTransform for class vtkGraphLayout requires 2 argument(s)");
  vtkGraphLayout* vtk_pointer = GetVTKPointer<vtkGraphLayout>(arg[0]);
  Array retval;
  vtkAbstractTransform  *temp0;
  temp0 = GetVTKPointer<vtkAbstractTransform>(arg[1]);
  vtk_pointer->SetTransform(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayout:SetUseTransform vtkGraphLayoutSetUseTransformFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutSetUseTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseTransform (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseTransform for class vtkGraphLayout requires 2 argument(s)");
  vtkGraphLayout* vtk_pointer = GetVTKPointer<vtkGraphLayout>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetUseTransform(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayout:GetUseTransform vtkGraphLayoutGetUseTransformFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutGetUseTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetUseTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseTransform for class vtkGraphLayout requires 1 argument(s)");
  vtkGraphLayout* vtk_pointer = GetVTKPointer<vtkGraphLayout>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetUseTransform();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayout:UseTransformOn vtkGraphLayoutUseTransformOnFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutUseTransformOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseTransformOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseTransformOn for class vtkGraphLayout requires 1 argument(s)");
  vtkGraphLayout* vtk_pointer = GetVTKPointer<vtkGraphLayout>(arg[0]);
  Array retval;
  vtk_pointer->UseTransformOn();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayout:UseTransformOff vtkGraphLayoutUseTransformOffFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutUseTransformOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseTransformOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseTransformOff for class vtkGraphLayout requires 1 argument(s)");
  vtkGraphLayout* vtk_pointer = GetVTKPointer<vtkGraphLayout>(arg[0]);
  Array retval;
  vtk_pointer->UseTransformOff();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayout:display vtkGraphLayoutDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGraphLayoutDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGraphLayout* vtk_pointer = GetVTKPointer<vtkGraphLayout>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGraphLayout:delete vtkGraphLayoutDeleteFunction
//input varargin
//output none
ArrayVector vtkGraphLayoutDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGraphLayout
//@@Section VTKInfovis
//@@Usage
// This class is a shell for many graph layout strategies which may be set
// using the SetLayoutStrategy() function.  The layout strategies do the
// actual work.
//
// .SECION Thanks
// Thanks to Brian Wylie from Sandia National Laboratories for adding incremental
// layout capabilities.
//
//To create an instance of class vtkGraphLayout, simply
//invoke its constructor as follows
//@[
//  obj = vtkGraphLayout
//@]
//@@Methods
//The class vtkGraphLayout has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGraphLayout class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGraphLayout = obj.NewInstance ()|
// \item @|vtkGraphLayout = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetLayoutStrategy (vtkGraphLayoutStrategy strategy)| -  The layout strategy to use during graph layout.
//// \item @|vtkGraphLayoutStrategy = obj.GetLayoutStrategy ()| -  The layout strategy to use during graph layout.
//// \item @|int = obj.IsLayoutComplete ()| -  Ask the layout algorithm if the layout is complete
//// \item @|long = obj.GetMTime ()| -  Get the modification time of the layout algorithm.
//// \item @|double = obj.GetZRange ()| -  Set the ZRange for the output data.
// If the initial layout is planar (i.e. all z coordinates are zero),
// the coordinates will be evenly spaced from 0.0 to ZRange.
// The default is zero, which has no effect.
//// \item @|obj.SetZRange (double )| -  Set the ZRange for the output data.
// If the initial layout is planar (i.e. all z coordinates are zero),
// the coordinates will be evenly spaced from 0.0 to ZRange.
// The default is zero, which has no effect.
//// \item @|vtkAbstractTransform = obj.GetTransform ()| -  Transform the graph vertices after the layout.
//// \item @|obj.SetTransform (vtkAbstractTransform t)| -  Transform the graph vertices after the layout.
//// \item @|obj.SetUseTransform (bool )| -  Whether to use the specified transform after layout.
//// \item @|bool = obj.GetUseTransform ()| -  Whether to use the specified transform after layout.
//// \item @|obj.UseTransformOn ()| -  Whether to use the specified transform after layout.
//// \item @|obj.UseTransformOff ()| -  Whether to use the specified transform after layout.
////\end{itemize}
//!
