#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGraphLayoutStrategy object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGraphLayoutStrategy.h"

//@@Signature
//sfunction @vtkGraphLayoutStrategy:vtkGraphLayoutStrategy vtkGraphLayoutStrategyConstructorFunction
//input a
//output p
//@@Parents vtkGraphLayoutStrategy vtkObject 
ArrayVector vtkGraphLayoutStrategyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGraphLayoutStrategy::New(),"vtkGraphLayoutStrategy",eval);
  } else if (arg[0].className() == "vtkGraphLayoutStrategy") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGraphLayoutStrategy"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGraphLayoutStrategy");
    vtkGraphLayoutStrategy*q = reinterpret_cast<vtkGraphLayoutStrategy*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGraphLayoutStrategy");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGraphLayoutStrategy:GetClassName vtkGraphLayoutStrategyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutStrategyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGraphLayoutStrategy requires 1 argument(s)");
  vtkGraphLayoutStrategy* vtk_pointer = GetVTKPointer<vtkGraphLayoutStrategy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutStrategy:IsA vtkGraphLayoutStrategyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGraphLayoutStrategyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGraphLayoutStrategy requires 2 argument(s)");
  vtkGraphLayoutStrategy* vtk_pointer = GetVTKPointer<vtkGraphLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutStrategy:NewInstance vtkGraphLayoutStrategyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutStrategyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphLayoutStrategy *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGraphLayoutStrategy requires 1 argument(s)");
  vtkGraphLayoutStrategy* vtk_pointer = GetVTKPointer<vtkGraphLayoutStrategy>(arg[0]);
  Array retval;
  vtkGraphLayoutStrategy  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutStrategy:SafeDownCast vtkGraphLayoutStrategySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGraphLayoutStrategySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphLayoutStrategy *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGraphLayoutStrategy requires 2 argument(s)");
  vtkGraphLayoutStrategy* vtk_pointer = GetVTKPointer<vtkGraphLayoutStrategy>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGraphLayoutStrategy  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutStrategy:SetGraph vtkGraphLayoutStrategySetGraphFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutStrategySetGraphFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetGraph (vtkGraph *graph); */
  if (arg.size() < 2) 
    throw Exception("Function SetGraph for class vtkGraphLayoutStrategy requires 2 argument(s)");
  vtkGraphLayoutStrategy* vtk_pointer = GetVTKPointer<vtkGraphLayoutStrategy>(arg[0]);
  Array retval;
  vtkGraph  *temp0;
  temp0 = GetVTKPointer<vtkGraph>(arg[1]);
  vtk_pointer->SetGraph(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutStrategy:Initialize vtkGraphLayoutStrategyInitializeFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutStrategyInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkGraphLayoutStrategy requires 1 argument(s)");
  vtkGraphLayoutStrategy* vtk_pointer = GetVTKPointer<vtkGraphLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutStrategy:Layout vtkGraphLayoutStrategyLayoutFunction
//input a0 
//output none
ArrayVector vtkGraphLayoutStrategyLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Layout () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function Layout for class vtkGraphLayoutStrategy requires 1 argument(s)");
  vtkGraphLayoutStrategy* vtk_pointer = GetVTKPointer<vtkGraphLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->Layout();
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutStrategy:IsLayoutComplete vtkGraphLayoutStrategyIsLayoutCompleteFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutStrategyIsLayoutCompleteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsLayoutComplete ();return  */
  if (arg.size() < 1) 
    throw Exception("Function IsLayoutComplete for class vtkGraphLayoutStrategy requires 1 argument(s)");
  vtkGraphLayoutStrategy* vtk_pointer = GetVTKPointer<vtkGraphLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsLayoutComplete();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutStrategy:SetWeightEdges vtkGraphLayoutStrategySetWeightEdgesFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutStrategySetWeightEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetWeightEdges (bool state); */
  if (arg.size() < 2) 
    throw Exception("Function SetWeightEdges for class vtkGraphLayoutStrategy requires 2 argument(s)");
  vtkGraphLayoutStrategy* vtk_pointer = GetVTKPointer<vtkGraphLayoutStrategy>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetWeightEdges(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutStrategy:GetWeightEdges vtkGraphLayoutStrategyGetWeightEdgesFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutStrategyGetWeightEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetWeightEdges (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWeightEdges for class vtkGraphLayoutStrategy requires 1 argument(s)");
  vtkGraphLayoutStrategy* vtk_pointer = GetVTKPointer<vtkGraphLayoutStrategy>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetWeightEdges();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutStrategy:SetEdgeWeightField vtkGraphLayoutStrategySetEdgeWeightFieldFunction
//input a0 a1 
//output none
ArrayVector vtkGraphLayoutStrategySetEdgeWeightFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEdgeWeightField (const char *field); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeWeightField for class vtkGraphLayoutStrategy requires 2 argument(s)");
  vtkGraphLayoutStrategy* vtk_pointer = GetVTKPointer<vtkGraphLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetEdgeWeightField(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutStrategy:GetEdgeWeightField vtkGraphLayoutStrategyGetEdgeWeightFieldFunction
//input a0 
//output y
ArrayVector vtkGraphLayoutStrategyGetEdgeWeightFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetEdgeWeightField (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeWeightField for class vtkGraphLayoutStrategy requires 1 argument(s)");
  vtkGraphLayoutStrategy* vtk_pointer = GetVTKPointer<vtkGraphLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetEdgeWeightField();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphLayoutStrategy:display vtkGraphLayoutStrategyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGraphLayoutStrategyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGraphLayoutStrategy* vtk_pointer = GetVTKPointer<vtkGraphLayoutStrategy>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGraphLayoutStrategy:delete vtkGraphLayoutStrategyDeleteFunction
//input varargin
//output none
ArrayVector vtkGraphLayoutStrategyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGraphLayoutStrategy
//@@Section VTKInfovis
//@@Usage
// All graph layouts should subclass from this class.  vtkGraphLayoutStrategy
// works as a plug-in to the vtkGraphLayout algorithm.  The Layout()
// function should perform some reasonable "chunk" of the layout.
// This allows the user to be able to see the progress of the layout.
// Use IsLayoutComplete() to tell the user when there is no more layout
// to perform.
//
// .SECTION Thanks
// Thanks to Brian Wylie from Sandia National Laboratories for adding incremental
// layout capabilities.
//
//To create an instance of class vtkGraphLayoutStrategy, simply
//invoke its constructor as follows
//@[
//  obj = vtkGraphLayoutStrategy
//@]
//@@Methods
//The class vtkGraphLayoutStrategy has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGraphLayoutStrategy class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGraphLayoutStrategy = obj.NewInstance ()|
// \item @|vtkGraphLayoutStrategy = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetGraph (vtkGraph graph)| -  Setting the graph for the layout strategy
//// \item @|obj.Initialize ()| -  This method allows the layout strategy to
// do initialization of data structures
// or whatever else it might want to do. 
//// \item @|obj.Layout ()| -  This is the layout method where the graph that was
// set in SetGraph() is laid out. The method can either
// entirely layout the graph or iteratively lay out the
// graph. If you have an iterative layout please implement
// the IsLayoutComplete() method.
//// \item @|int = obj.IsLayoutComplete ()| -  Whether to use edge weights in the layout or not.
//// \item @|obj.SetWeightEdges (bool state)| -  Whether to use edge weights in the layout or not.
//// \item @|bool = obj.GetWeightEdges ()| -  Whether to use edge weights in the layout or not.
//// \item @|obj.SetEdgeWeightField (string field)| -  Set/Get the field to use for the edge weights.
//// \item @|string = obj.GetEdgeWeightField ()| -  Set/Get the field to use for the edge weights.
////\end{itemize}
//!
