#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGroupLeafVertices object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGroupLeafVertices.h"

//@@Signature
//sfunction @vtkGroupLeafVertices:vtkGroupLeafVertices vtkGroupLeafVerticesConstructorFunction
//input a
//output p
//@@Parents vtkGroupLeafVertices vtkTreeAlgorithm 
ArrayVector vtkGroupLeafVerticesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGroupLeafVertices::New(),"vtkGroupLeafVertices",eval);
  } else if (arg[0].className() == "vtkGroupLeafVertices") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGroupLeafVertices"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGroupLeafVertices");
    vtkGroupLeafVertices*q = reinterpret_cast<vtkGroupLeafVertices*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGroupLeafVertices");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGroupLeafVertices:GetClassName vtkGroupLeafVerticesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGroupLeafVerticesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGroupLeafVertices requires 1 argument(s)");
  vtkGroupLeafVertices* vtk_pointer = GetVTKPointer<vtkGroupLeafVertices>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGroupLeafVertices:IsA vtkGroupLeafVerticesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGroupLeafVerticesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGroupLeafVertices requires 2 argument(s)");
  vtkGroupLeafVertices* vtk_pointer = GetVTKPointer<vtkGroupLeafVertices>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGroupLeafVertices:NewInstance vtkGroupLeafVerticesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGroupLeafVerticesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGroupLeafVertices *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGroupLeafVertices requires 1 argument(s)");
  vtkGroupLeafVertices* vtk_pointer = GetVTKPointer<vtkGroupLeafVertices>(arg[0]);
  Array retval;
  vtkGroupLeafVertices  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGroupLeafVertices",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGroupLeafVertices:SafeDownCast vtkGroupLeafVerticesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGroupLeafVerticesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGroupLeafVertices *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGroupLeafVertices requires 2 argument(s)");
  vtkGroupLeafVertices* vtk_pointer = GetVTKPointer<vtkGroupLeafVertices>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGroupLeafVertices  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGroupLeafVertices",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGroupLeafVertices:SetGroupDomain vtkGroupLeafVerticesSetGroupDomainFunction
//input a0 a1 
//output none
ArrayVector vtkGroupLeafVerticesSetGroupDomainFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGroupDomain (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetGroupDomain for class vtkGroupLeafVertices requires 2 argument(s)");
  vtkGroupLeafVertices* vtk_pointer = GetVTKPointer<vtkGroupLeafVertices>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetGroupDomain(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGroupLeafVertices:GetGroupDomain vtkGroupLeafVerticesGetGroupDomainFunction
//input a0 
//output y
ArrayVector vtkGroupLeafVerticesGetGroupDomainFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetGroupDomain (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGroupDomain for class vtkGroupLeafVertices requires 1 argument(s)");
  vtkGroupLeafVertices* vtk_pointer = GetVTKPointer<vtkGroupLeafVertices>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetGroupDomain();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGroupLeafVertices:display vtkGroupLeafVerticesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGroupLeafVerticesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGroupLeafVertices* vtk_pointer = GetVTKPointer<vtkGroupLeafVertices>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGroupLeafVertices:delete vtkGroupLeafVerticesDeleteFunction
//input varargin
//output none
ArrayVector vtkGroupLeafVerticesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGroupLeafVertices
//@@Section VTKInfovis
//@@Usage
// Use SetInputArrayToProcess(0, ...) to set the array to group on.
// Currently this array must be a vtkStringArray.
//
//To create an instance of class vtkGroupLeafVertices, simply
//invoke its constructor as follows
//@[
//  obj = vtkGroupLeafVertices
//@]
//@@Methods
//The class vtkGroupLeafVertices has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGroupLeafVertices class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGroupLeafVertices = obj.NewInstance ()|
// \item @|vtkGroupLeafVertices = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetGroupDomain (string )| -  The name of the domain that non-leaf vertices will be assigned to.
// If the input graph already contains vertices in this domain:
// - If the ids for this domain are numeric, starts assignment with max id
// - If the ids for this domain are strings, starts assignment with "group X"
//   where "X" is the max id.
// Default is "group_vertex".
//// \item @|string = obj.GetGroupDomain ()| -  The name of the domain that non-leaf vertices will be assigned to.
// If the input graph already contains vertices in this domain:
// - If the ids for this domain are numeric, starts assignment with max id
// - If the ids for this domain are strings, starts assignment with "group X"
//   where "X" is the max id.
// Default is "group_vertex".
////\end{itemize}
//!
