#include "VTKWrap.hpp"

// FreeMat wrapper for vtkISIReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkISIReader.h"

//@@Signature
//sfunction @vtkISIReader:vtkISIReader vtkISIReaderConstructorFunction
//input a
//output p
//@@Parents vtkISIReader vtkTableAlgorithm 
ArrayVector vtkISIReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkISIReader::New(),"vtkISIReader",eval);
  } else if (arg[0].className() == "vtkISIReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkISIReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkISIReader");
    vtkISIReader*q = reinterpret_cast<vtkISIReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkISIReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkISIReader:GetClassName vtkISIReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkISIReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkISIReader requires 1 argument(s)");
  vtkISIReader* vtk_pointer = GetVTKPointer<vtkISIReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkISIReader:IsA vtkISIReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkISIReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkISIReader requires 2 argument(s)");
  vtkISIReader* vtk_pointer = GetVTKPointer<vtkISIReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkISIReader:NewInstance vtkISIReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkISIReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkISIReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkISIReader requires 1 argument(s)");
  vtkISIReader* vtk_pointer = GetVTKPointer<vtkISIReader>(arg[0]);
  Array retval;
  vtkISIReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkISIReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkISIReader:SafeDownCast vtkISIReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkISIReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkISIReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkISIReader requires 2 argument(s)");
  vtkISIReader* vtk_pointer = GetVTKPointer<vtkISIReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkISIReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkISIReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkISIReader:GetFileName vtkISIReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkISIReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkISIReader requires 1 argument(s)");
  vtkISIReader* vtk_pointer = GetVTKPointer<vtkISIReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkISIReader:SetFileName vtkISIReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkISIReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkISIReader requires 2 argument(s)");
  vtkISIReader* vtk_pointer = GetVTKPointer<vtkISIReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkISIReader:GetDelimiter vtkISIReaderGetDelimiterFunction
//input a0 
//output y
ArrayVector vtkISIReaderGetDelimiterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetDelimiter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDelimiter for class vtkISIReader requires 1 argument(s)");
  vtkISIReader* vtk_pointer = GetVTKPointer<vtkISIReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetDelimiter();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkISIReader:SetDelimiter vtkISIReaderSetDelimiterFunction
//input a0 a1 
//output none
ArrayVector vtkISIReaderSetDelimiterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDelimiter (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetDelimiter for class vtkISIReader requires 2 argument(s)");
  vtkISIReader* vtk_pointer = GetVTKPointer<vtkISIReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetDelimiter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkISIReader:GetMaxRecords vtkISIReaderGetMaxRecordsFunction
//input a0 
//output y
ArrayVector vtkISIReaderGetMaxRecordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxRecords (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxRecords for class vtkISIReader requires 1 argument(s)");
  vtkISIReader* vtk_pointer = GetVTKPointer<vtkISIReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxRecords();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkISIReader:SetMaxRecords vtkISIReaderSetMaxRecordsFunction
//input a0 a1 
//output none
ArrayVector vtkISIReaderSetMaxRecordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxRecords (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxRecords for class vtkISIReader requires 2 argument(s)");
  vtkISIReader* vtk_pointer = GetVTKPointer<vtkISIReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaxRecords(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkISIReader:display vtkISIReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkISIReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkISIReader* vtk_pointer = GetVTKPointer<vtkISIReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkISIReader:delete vtkISIReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkISIReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkISIReader
//@@Section VTKInfovis
//@@Usage
// ISI is a tagged format for expressing bibliographic citations.  Data is
// structured as a collection of records with each record composed of
// one-to-many fields.  See
//
// http://isibasic.com/help/helpprn.html#dialog_export_format
//
// for details.  vtkISIReader will convert an ISI file into a vtkTable, with
// the set of table columns determined dynamically from the contents of the
// file.
//
//To create an instance of class vtkISIReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkISIReader
//@]
//@@Methods
//The class vtkISIReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkISIReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkISIReader = obj.NewInstance ()|
// \item @|vtkISIReader = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetFileName ()| -  Set/get the file to load
//// \item @|obj.SetFileName (string )| -  Set/get the file to load
//// \item @|string = obj.GetDelimiter ()| -  Set/get the delimiter to be used for concatenating field data (default: ";")
//// \item @|obj.SetDelimiter (string )| -  Set/get the delimiter to be used for concatenating field data (default: ";")
//// \item @|int = obj.GetMaxRecords ()| -  Set/get the maximum number of records to read from the file (zero = unlimited)
//// \item @|obj.SetMaxRecords (int )| -  Set/get the maximum number of records to read from the file (zero = unlimited)
////\end{itemize}
//!
