#include "VTKWrap.hpp"

// FreeMat wrapper for vtkKMeansDistanceFunctor object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkKMeansDistanceFunctor.h"

//@@Signature
//sfunction @vtkKMeansDistanceFunctor:vtkKMeansDistanceFunctor vtkKMeansDistanceFunctorConstructorFunction
//input a
//output p
//@@Parents vtkKMeansDistanceFunctor vtkObject 
ArrayVector vtkKMeansDistanceFunctorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkKMeansDistanceFunctor::New(),"vtkKMeansDistanceFunctor",eval);
  } else if (arg[0].className() == "vtkKMeansDistanceFunctor") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkKMeansDistanceFunctor"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkKMeansDistanceFunctor");
    vtkKMeansDistanceFunctor*q = reinterpret_cast<vtkKMeansDistanceFunctor*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkKMeansDistanceFunctor");
    return ret;
  }
}
//@@Signature
//sfunction @vtkKMeansDistanceFunctor:GetClassName vtkKMeansDistanceFunctorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkKMeansDistanceFunctorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkKMeansDistanceFunctor requires 1 argument(s)");
  vtkKMeansDistanceFunctor* vtk_pointer = GetVTKPointer<vtkKMeansDistanceFunctor>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKMeansDistanceFunctor:IsA vtkKMeansDistanceFunctorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkKMeansDistanceFunctorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkKMeansDistanceFunctor requires 2 argument(s)");
  vtkKMeansDistanceFunctor* vtk_pointer = GetVTKPointer<vtkKMeansDistanceFunctor>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKMeansDistanceFunctor:NewInstance vtkKMeansDistanceFunctorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkKMeansDistanceFunctorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkKMeansDistanceFunctor *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkKMeansDistanceFunctor requires 1 argument(s)");
  vtkKMeansDistanceFunctor* vtk_pointer = GetVTKPointer<vtkKMeansDistanceFunctor>(arg[0]);
  Array retval;
  vtkKMeansDistanceFunctor  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkKMeansDistanceFunctor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKMeansDistanceFunctor:SafeDownCast vtkKMeansDistanceFunctorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkKMeansDistanceFunctorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkKMeansDistanceFunctor *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkKMeansDistanceFunctor requires 2 argument(s)");
  vtkKMeansDistanceFunctor* vtk_pointer = GetVTKPointer<vtkKMeansDistanceFunctor>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkKMeansDistanceFunctor  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkKMeansDistanceFunctor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKMeansDistanceFunctor:GetEmptyTuple vtkKMeansDistanceFunctorGetEmptyTupleFunction
//input a0 a1 
//output y
ArrayVector vtkKMeansDistanceFunctorGetEmptyTupleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkVariantArray *GetEmptyTuple (vtkIdType dimension); */
  if (arg.size() < 2) 
    throw Exception("Function GetEmptyTuple for class vtkKMeansDistanceFunctor requires 2 argument(s)");
  vtkKMeansDistanceFunctor* vtk_pointer = GetVTKPointer<vtkKMeansDistanceFunctor>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkVariantArray  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetEmptyTuple(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVariantArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKMeansDistanceFunctor:PairwiseUpdate vtkKMeansDistanceFunctorPairwiseUpdateFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkKMeansDistanceFunctorPairwiseUpdateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PairwiseUpdate (vtkTable *clusterCenters, vtkIdType row, vtkVariantArray *data, vtkIdType dataCardinality, vtkIdType totalCardinality); */
  if (arg.size() < 6) 
    throw Exception("Function PairwiseUpdate for class vtkKMeansDistanceFunctor requires 6 argument(s)");
  vtkKMeansDistanceFunctor* vtk_pointer = GetVTKPointer<vtkKMeansDistanceFunctor>(arg[0]);
  Array retval;
  vtkTable  *temp0;
  vtkIdType   temp1;
  vtkVariantArray  *temp2;
  vtkIdType   temp3;
  vtkIdType   temp4;
  temp0 = GetVTKPointer<vtkTable>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp2 = GetVTKPointer<vtkVariantArray>(arg[3]);
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  vtk_pointer->PairwiseUpdate(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkKMeansDistanceFunctor:PerturbElement vtkKMeansDistanceFunctorPerturbElementFunction
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkKMeansDistanceFunctorPerturbElementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void PerturbElement (vtkTable *, vtkTable *, vtkIdType , vtkIdType , vtkIdType , double ); */
  if (arg.size() < 7) 
    throw Exception("Function PerturbElement for class vtkKMeansDistanceFunctor requires 7 argument(s)");
  vtkKMeansDistanceFunctor* vtk_pointer = GetVTKPointer<vtkKMeansDistanceFunctor>(arg[0]);
  Array retval;
  vtkTable  *temp0;
  vtkTable  *temp1;
  vtkIdType   temp2;
  vtkIdType   temp3;
  vtkIdType   temp4;
  double   temp5;
  temp0 = GetVTKPointer<vtkTable>(arg[1]);
  temp1 = GetVTKPointer<vtkTable>(arg[2]);
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->PerturbElement(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkKMeansDistanceFunctor:CreateCoordinateArray vtkKMeansDistanceFunctorCreateCoordinateArrayFunction
//input a0 
//output y
ArrayVector vtkKMeansDistanceFunctorCreateCoordinateArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkAbstractArray *CreateCoordinateArray (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateCoordinateArray for class vtkKMeansDistanceFunctor requires 1 argument(s)");
  vtkKMeansDistanceFunctor* vtk_pointer = GetVTKPointer<vtkKMeansDistanceFunctor>(arg[0]);
  Array retval;
  vtkAbstractArray  *temp20;
  temp20 = (vtk_pointer)->CreateCoordinateArray();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKMeansDistanceFunctor:GetDataType vtkKMeansDistanceFunctorGetDataTypeFunction
//input a0 
//output y
ArrayVector vtkKMeansDistanceFunctorGetDataTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetDataType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataType for class vtkKMeansDistanceFunctor requires 1 argument(s)");
  vtkKMeansDistanceFunctor* vtk_pointer = GetVTKPointer<vtkKMeansDistanceFunctor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKMeansDistanceFunctor:UnPackElements vtkKMeansDistanceFunctorUnPackElementsFunction
//input varargin
//output varargout
ArrayVector vtkKMeansDistanceFunctorUnPackElementsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkKMeansDistanceFunctorUnPackElements");
}

//@@Signature
//sfunction @vtkKMeansDistanceFunctor:display vtkKMeansDistanceFunctorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkKMeansDistanceFunctorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkKMeansDistanceFunctor* vtk_pointer = GetVTKPointer<vtkKMeansDistanceFunctor>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkKMeansDistanceFunctor:delete vtkKMeansDistanceFunctorDeleteFunction
//input varargin
//output none
ArrayVector vtkKMeansDistanceFunctorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkKMeansDistanceFunctor
//@@Section VTKInfovis
//@@Usage
// This is an abstract class (with a default concrete subclass) that implements
// algorithms used by the vtkKMeansStatistics filter that rely on a distance metric.
// If you wish to use a non-Euclidean distance metric (this could include
// working with strings that do not have a Euclidean distance metric, implementing
// k-mediods, or trying distance metrics in norms other than L2), you
// should subclass vtkKMeansDistanceFunctor.
//
//To create an instance of class vtkKMeansDistanceFunctor, simply
//invoke its constructor as follows
//@[
//  obj = vtkKMeansDistanceFunctor
//@]
//@@Methods
//The class vtkKMeansDistanceFunctor has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkKMeansDistanceFunctor class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkKMeansDistanceFunctor = obj.NewInstance ()|
// \item @|vtkKMeansDistanceFunctor = obj.SafeDownCast (vtkObject o)|
// \item @|vtkVariantArray = obj.GetEmptyTuple (vtkIdType dimension)| -  Return an empty tuple. These values are used as cluster center coordinates
// when no initial cluster centers are specified.
//// \item @|obj.PairwiseUpdate (vtkTable clusterCenters, vtkIdType row, vtkVariantArray data, vtkIdType dataCardinality, vtkIdType totalCardinality)| -  This is called once per observation per run per iteration in order to assign the
// observation to its nearest cluster center after the distance functor has been
// evaluated for all the cluster centers.
//
// The distance functor is responsible for incrementally updating the cluster centers
// to account for the assignment.
//// \item @|obj.PerturbElement (vtkTable , vtkTable , vtkIdType , vtkIdType , vtkIdType , double )| -  When a cluster center (1) has no observations that are closer to it than other cluster centers
// or (2) has exactly the same coordinates as another cluster center, its coordinates should be
// perturbed. This function should perform that perturbation.
//
// Since perturbation relies on a distance metric, this function is the responsibility of the
// distance functor.
//// \item @|vtkAbstractArray = obj.CreateCoordinateArray ()| -  Return a vtkAbstractArray capable of holding cluster center coordinates.
// This is used by vtkPKMeansStatistics to hold cluster center coordinates sent to (received from) other processes.
//// \item @|int = obj.GetDataType ()| -  Return the data type used to store cluster center coordinates.
////\end{itemize}
//!
