#include "VTKWrap.hpp"

// FreeMat wrapper for vtkKMeansDistanceFunctorCalculator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkKMeansDistanceFunctorCalculator.h"

//@@Signature
//sfunction @vtkKMeansDistanceFunctorCalculator:vtkKMeansDistanceFunctorCalculator vtkKMeansDistanceFunctorCalculatorConstructorFunction
//input a
//output p
//@@Parents vtkKMeansDistanceFunctorCalculator vtkKMeansDistanceFunctor 
ArrayVector vtkKMeansDistanceFunctorCalculatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkKMeansDistanceFunctorCalculator::New(),"vtkKMeansDistanceFunctorCalculator",eval);
  } else if (arg[0].className() == "vtkKMeansDistanceFunctorCalculator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkKMeansDistanceFunctorCalculator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkKMeansDistanceFunctorCalculator");
    vtkKMeansDistanceFunctorCalculator*q = reinterpret_cast<vtkKMeansDistanceFunctorCalculator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkKMeansDistanceFunctorCalculator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkKMeansDistanceFunctorCalculator:GetClassName vtkKMeansDistanceFunctorCalculatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkKMeansDistanceFunctorCalculatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkKMeansDistanceFunctorCalculator requires 1 argument(s)");
  vtkKMeansDistanceFunctorCalculator* vtk_pointer = GetVTKPointer<vtkKMeansDistanceFunctorCalculator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKMeansDistanceFunctorCalculator:IsA vtkKMeansDistanceFunctorCalculatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkKMeansDistanceFunctorCalculatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkKMeansDistanceFunctorCalculator requires 2 argument(s)");
  vtkKMeansDistanceFunctorCalculator* vtk_pointer = GetVTKPointer<vtkKMeansDistanceFunctorCalculator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKMeansDistanceFunctorCalculator:NewInstance vtkKMeansDistanceFunctorCalculatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkKMeansDistanceFunctorCalculatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkKMeansDistanceFunctorCalculator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkKMeansDistanceFunctorCalculator requires 1 argument(s)");
  vtkKMeansDistanceFunctorCalculator* vtk_pointer = GetVTKPointer<vtkKMeansDistanceFunctorCalculator>(arg[0]);
  Array retval;
  vtkKMeansDistanceFunctorCalculator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkKMeansDistanceFunctorCalculator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKMeansDistanceFunctorCalculator:SafeDownCast vtkKMeansDistanceFunctorCalculatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkKMeansDistanceFunctorCalculatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkKMeansDistanceFunctorCalculator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkKMeansDistanceFunctorCalculator requires 2 argument(s)");
  vtkKMeansDistanceFunctorCalculator* vtk_pointer = GetVTKPointer<vtkKMeansDistanceFunctorCalculator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkKMeansDistanceFunctorCalculator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkKMeansDistanceFunctorCalculator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKMeansDistanceFunctorCalculator:SetDistanceExpression vtkKMeansDistanceFunctorCalculatorSetDistanceExpressionFunction
//input a0 a1 
//output none
ArrayVector vtkKMeansDistanceFunctorCalculatorSetDistanceExpressionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDistanceExpression (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetDistanceExpression for class vtkKMeansDistanceFunctorCalculator requires 2 argument(s)");
  vtkKMeansDistanceFunctorCalculator* vtk_pointer = GetVTKPointer<vtkKMeansDistanceFunctorCalculator>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetDistanceExpression(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKMeansDistanceFunctorCalculator:GetDistanceExpression vtkKMeansDistanceFunctorCalculatorGetDistanceExpressionFunction
//input a0 
//output y
ArrayVector vtkKMeansDistanceFunctorCalculatorGetDistanceExpressionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetDistanceExpression (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDistanceExpression for class vtkKMeansDistanceFunctorCalculator requires 1 argument(s)");
  vtkKMeansDistanceFunctorCalculator* vtk_pointer = GetVTKPointer<vtkKMeansDistanceFunctorCalculator>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetDistanceExpression();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKMeansDistanceFunctorCalculator:SetFunctionParser vtkKMeansDistanceFunctorCalculatorSetFunctionParserFunction
//input a0 a1 
//output none
ArrayVector vtkKMeansDistanceFunctorCalculatorSetFunctionParserFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetFunctionParser (vtkFunctionParser *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFunctionParser for class vtkKMeansDistanceFunctorCalculator requires 2 argument(s)");
  vtkKMeansDistanceFunctorCalculator* vtk_pointer = GetVTKPointer<vtkKMeansDistanceFunctorCalculator>(arg[0]);
  Array retval;
  vtkFunctionParser  *temp0;
  temp0 = GetVTKPointer<vtkFunctionParser>(arg[1]);
  vtk_pointer->SetFunctionParser(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKMeansDistanceFunctorCalculator:GetFunctionParser vtkKMeansDistanceFunctorCalculatorGetFunctionParserFunction
//input a0 
//output y
ArrayVector vtkKMeansDistanceFunctorCalculatorGetFunctionParserFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFunctionParser *GetFunctionParser (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFunctionParser for class vtkKMeansDistanceFunctorCalculator requires 1 argument(s)");
  vtkKMeansDistanceFunctorCalculator* vtk_pointer = GetVTKPointer<vtkKMeansDistanceFunctorCalculator>(arg[0]);
  Array retval;
  vtkFunctionParser  *temp20;
  temp20 = (vtk_pointer)->GetFunctionParser();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFunctionParser",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKMeansDistanceFunctorCalculator:display vtkKMeansDistanceFunctorCalculatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkKMeansDistanceFunctorCalculatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkKMeansDistanceFunctorCalculator* vtk_pointer = GetVTKPointer<vtkKMeansDistanceFunctorCalculator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkKMeansDistanceFunctorCalculator:delete vtkKMeansDistanceFunctorCalculatorDeleteFunction
//input varargin
//output none
ArrayVector vtkKMeansDistanceFunctorCalculatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkKMeansDistanceFunctorCalculator
//@@Section VTKInfovis
//@@Usage
// This is a subclass of the default k-means distance functor that allows
// the user to specify a distance function as a string. The provided
// expression is evaluated whenever the parenthesis operator is invoked
// but this is much slower than the default distance calculation.
//
// User-specified distance expressions should be written in terms of
// two vector variables named "x" and "y".
// The length of the vectors will be determined by the k-means request
// and all columns of interest in the request must contain values that
// may be converted to a floating point representation. (Strings and
// vtkObject pointers are not allowed.)
// An example distance expression is "sqrt( (x0-y0)^2 + (x1-y1)^2 )"
// which computes Euclidian distance in a plane defined by the first
// 2 coordinates of the vectors specified.
//
//To create an instance of class vtkKMeansDistanceFunctorCalculator, simply
//invoke its constructor as follows
//@[
//  obj = vtkKMeansDistanceFunctorCalculator
//@]
//@@Methods
//The class vtkKMeansDistanceFunctorCalculator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkKMeansDistanceFunctorCalculator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkKMeansDistanceFunctorCalculator = obj.NewInstance ()|
// \item @|vtkKMeansDistanceFunctorCalculator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetDistanceExpression (string )| -  Set/get the distance function expression.
//// \item @|string = obj.GetDistanceExpression ()| -  Set/get the distance function expression.
//// \item @|obj.SetFunctionParser (vtkFunctionParser )| -  Set/get the string containing an expression which evaluates to the
// distance metric used for k-means computation. The scalar variables
// "x0", "x1", ... "xn" and "y0", "y1", ..., "yn" refer to the coordinates
// involved in the computation.
//// \item @|vtkFunctionParser = obj.GetFunctionParser ()| -  Set/get the string containing an expression which evaluates to the
// distance metric used for k-means computation. The scalar variables
// "x0", "x1", ... "xn" and "y0", "y1", ..., "yn" refer to the coordinates
// involved in the computation.
////\end{itemize}
//!
