#include "VTKWrap.hpp"

// FreeMat wrapper for vtkKMeansStatistics object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkKMeansStatistics.h"

//@@Signature
//sfunction @vtkKMeansStatistics:vtkKMeansStatistics vtkKMeansStatisticsConstructorFunction
//input a
//output p
//@@Parents vtkKMeansStatistics vtkStatisticsAlgorithm 
ArrayVector vtkKMeansStatisticsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkKMeansStatistics::New(),"vtkKMeansStatistics",eval);
  } else if (arg[0].className() == "vtkKMeansStatistics") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkKMeansStatistics"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkKMeansStatistics");
    vtkKMeansStatistics*q = reinterpret_cast<vtkKMeansStatistics*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkKMeansStatistics");
    return ret;
  }
}
//@@Signature
//sfunction @vtkKMeansStatistics:GetClassName vtkKMeansStatisticsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkKMeansStatisticsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkKMeansStatistics requires 1 argument(s)");
  vtkKMeansStatistics* vtk_pointer = GetVTKPointer<vtkKMeansStatistics>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKMeansStatistics:IsA vtkKMeansStatisticsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkKMeansStatisticsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkKMeansStatistics requires 2 argument(s)");
  vtkKMeansStatistics* vtk_pointer = GetVTKPointer<vtkKMeansStatistics>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKMeansStatistics:NewInstance vtkKMeansStatisticsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkKMeansStatisticsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkKMeansStatistics *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkKMeansStatistics requires 1 argument(s)");
  vtkKMeansStatistics* vtk_pointer = GetVTKPointer<vtkKMeansStatistics>(arg[0]);
  Array retval;
  vtkKMeansStatistics  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkKMeansStatistics",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKMeansStatistics:SafeDownCast vtkKMeansStatisticsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkKMeansStatisticsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkKMeansStatistics *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkKMeansStatistics requires 2 argument(s)");
  vtkKMeansStatistics* vtk_pointer = GetVTKPointer<vtkKMeansStatistics>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkKMeansStatistics  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkKMeansStatistics",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKMeansStatistics:SetDistanceFunctor vtkKMeansStatisticsSetDistanceFunctorFunction
//input a0 a1 
//output none
ArrayVector vtkKMeansStatisticsSetDistanceFunctorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDistanceFunctor (vtkKMeansDistanceFunctor *); */
  if (arg.size() < 2) 
    throw Exception("Function SetDistanceFunctor for class vtkKMeansStatistics requires 2 argument(s)");
  vtkKMeansStatistics* vtk_pointer = GetVTKPointer<vtkKMeansStatistics>(arg[0]);
  Array retval;
  vtkKMeansDistanceFunctor  *temp0;
  temp0 = GetVTKPointer<vtkKMeansDistanceFunctor>(arg[1]);
  vtk_pointer->SetDistanceFunctor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKMeansStatistics:GetDistanceFunctor vtkKMeansStatisticsGetDistanceFunctorFunction
//input a0 
//output y
ArrayVector vtkKMeansStatisticsGetDistanceFunctorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkKMeansDistanceFunctor *GetDistanceFunctor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDistanceFunctor for class vtkKMeansStatistics requires 1 argument(s)");
  vtkKMeansStatistics* vtk_pointer = GetVTKPointer<vtkKMeansStatistics>(arg[0]);
  Array retval;
  vtkKMeansDistanceFunctor  *temp20;
  temp20 = (vtk_pointer)->GetDistanceFunctor();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkKMeansDistanceFunctor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkKMeansStatistics:SetDefaultNumberOfClusters vtkKMeansStatisticsSetDefaultNumberOfClustersFunction
//input a0 a1 
//output none
ArrayVector vtkKMeansStatisticsSetDefaultNumberOfClustersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDefaultNumberOfClusters (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDefaultNumberOfClusters for class vtkKMeansStatistics requires 2 argument(s)");
  vtkKMeansStatistics* vtk_pointer = GetVTKPointer<vtkKMeansStatistics>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDefaultNumberOfClusters(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKMeansStatistics:GetDefaultNumberOfClusters vtkKMeansStatisticsGetDefaultNumberOfClustersFunction
//input a0 
//output y
ArrayVector vtkKMeansStatisticsGetDefaultNumberOfClustersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDefaultNumberOfClusters (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultNumberOfClusters for class vtkKMeansStatistics requires 1 argument(s)");
  vtkKMeansStatistics* vtk_pointer = GetVTKPointer<vtkKMeansStatistics>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDefaultNumberOfClusters();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKMeansStatistics:SetKValuesArrayName vtkKMeansStatisticsSetKValuesArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkKMeansStatisticsSetKValuesArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKValuesArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetKValuesArrayName for class vtkKMeansStatistics requires 2 argument(s)");
  vtkKMeansStatistics* vtk_pointer = GetVTKPointer<vtkKMeansStatistics>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetKValuesArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKMeansStatistics:GetKValuesArrayName vtkKMeansStatisticsGetKValuesArrayNameFunction
//input a0 
//output y
ArrayVector vtkKMeansStatisticsGetKValuesArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetKValuesArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKValuesArrayName for class vtkKMeansStatistics requires 1 argument(s)");
  vtkKMeansStatistics* vtk_pointer = GetVTKPointer<vtkKMeansStatistics>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetKValuesArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKMeansStatistics:SetMaxNumIterations vtkKMeansStatisticsSetMaxNumIterationsFunction
//input a0 a1 
//output none
ArrayVector vtkKMeansStatisticsSetMaxNumIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxNumIterations (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxNumIterations for class vtkKMeansStatistics requires 2 argument(s)");
  vtkKMeansStatistics* vtk_pointer = GetVTKPointer<vtkKMeansStatistics>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaxNumIterations(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKMeansStatistics:GetMaxNumIterations vtkKMeansStatisticsGetMaxNumIterationsFunction
//input a0 
//output y
ArrayVector vtkKMeansStatisticsGetMaxNumIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxNumIterations (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxNumIterations for class vtkKMeansStatistics requires 1 argument(s)");
  vtkKMeansStatistics* vtk_pointer = GetVTKPointer<vtkKMeansStatistics>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxNumIterations();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKMeansStatistics:SetTolerance vtkKMeansStatisticsSetToleranceFunction
//input a0 a1 
//output none
ArrayVector vtkKMeansStatisticsSetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTolerance (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTolerance for class vtkKMeansStatistics requires 2 argument(s)");
  vtkKMeansStatistics* vtk_pointer = GetVTKPointer<vtkKMeansStatistics>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTolerance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkKMeansStatistics:GetTolerance vtkKMeansStatisticsGetToleranceFunction
//input a0 
//output y
ArrayVector vtkKMeansStatisticsGetToleranceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTolerance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTolerance for class vtkKMeansStatistics requires 1 argument(s)");
  vtkKMeansStatistics* vtk_pointer = GetVTKPointer<vtkKMeansStatistics>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTolerance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkKMeansStatistics:Aggregate vtkKMeansStatisticsAggregateFunction
//input a0 a1 a2 
//output none
ArrayVector vtkKMeansStatisticsAggregateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Aggregate (vtkDataObjectCollection *, vtkDataObject *);return  */
  if (arg.size() < 3) 
    throw Exception("Function Aggregate for class vtkKMeansStatistics requires 3 argument(s)");
  vtkKMeansStatistics* vtk_pointer = GetVTKPointer<vtkKMeansStatistics>(arg[0]);
  Array retval;
  vtkDataObjectCollection  *temp0;
  vtkDataObject  *temp1;
  temp0 = GetVTKPointer<vtkDataObjectCollection>(arg[1]);
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->Aggregate(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkKMeansStatistics:display vtkKMeansStatisticsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkKMeansStatisticsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkKMeansStatistics* vtk_pointer = GetVTKPointer<vtkKMeansStatistics>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkKMeansStatistics:delete vtkKMeansStatisticsDeleteFunction
//input varargin
//output none
ArrayVector vtkKMeansStatisticsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkKMeansStatistics
//@@Section VTKInfovis
//@@Usage
// This class takes as input an optional vtkTable on port LEARN_PARAMETERS 
// specifying initial  set(s) of cluster values of the following form:  
// <pre>
//           K     | Col1            |  ...    | ColN    
//      -----------+-----------------+---------+---------------
//           M     |clustCoord(1, 1) |  ...    | clustCoord(1, N)
//           M     |clustCoord(2, 1) |  ...    | clustCoord(2, N)
//           .     |       .         |   .     |        .
//           .     |       .         |   .     |        .
//           .     |       .         |   .     |        .
//           M     |clustCoord(M, 1) |  ...    | clustCoord(M, N)
//           L     |clustCoord(1, 1) |  ...    | clustCoord(1, N)
//           L     |clustCoord(2, 1) |  ...    | clustCoord(2, N)
//           .     |       .         |   .     |        .
//           .     |       .         |   .     |        .
//           .     |       .         |   .     |        .
//           L     |clustCoord(L, 1) |  ...    | clustCoord(L, N)
// </pre>
//
// Because the desired value of K is often not known in advance and the 
// results of the algorithm are dependent on the initial cluster centers, 
// we provide a mechanism for the user to test multiple runs or sets of cluster centers
// within a single call to the Learn phase.  The first column of the table identifies 
// the number of clusters K in the particular run (the entries in this column should be 
// of type vtkIdType), while the remaining columns are a 
// subset of the columns contained in the table on port INPUT_DATA.  We require that 
// all user specified clusters be of the same dimension N and consequently, that the 
// LEARN_PARAMETERS table have N+1 columns. Due to this restriction, only one request
// can be processed for each call to the Learn phase and subsequent requests are 
// silently ignored. Note that, if the first column of the LEARN_PARAMETERS table is not 
// of type vtkIdType, then the table will be ignored and a single run will be performed using
// the first DefaultNumberOfClusters input data observations as initial cluster centers.
//
// When the user does not supply an initial set of clusters, then the first 
// DefaultNumberOfClusters input data observations are used as initial cluster 
// centers and a single run is performed.
//
//
// This class provides the following functionalities, depending on the 
// mode it is executed in:
// * Learn: calculates new cluster centers for each run.  The output metadata on 
//   port OUTPUT_MODEL is a multiblock dataset containing at a minimum
//   one vtkTable with columns specifying the following for each run:
//   the run ID, number of clusters, number of iterations required for convergence, 
//   total error associated with the cluster (sum of squared Euclidean distance from each observation
//   to its nearest cluster center), the cardinality of the cluster, and the new
//   cluster coordinates.
//
// *Derive:  An additional vtkTable is stored in the multiblock dataset output on port OUTPUT_MODEL.
//   This table contains columns that store for each run: the runID, number of clusters, 
//   total error for all clusters in the run, local rank, and global rank.
//   The local rank is computed by comparing squared Euclidean errors of all runs with
//   the same number of clusters.  The global rank is computed analagously across all runs.
//
// * Assess: This requires a multiblock dataset (as computed from Learn and Derive) on input port INPUT_MODEL
//   and tabular data on input port INPUT_DATA that contains column names matching those
//   of the tables on input port INPUT_MODEL. The assess mode reports the closest cluster center
//   and associated squared Euclidean distance of each observation in port INPUT_DATA's table to the cluster centers for
//   each run in the multiblock dataset provided on port INPUT_MODEL.
//  
// The code can handle a wide variety of data types as it operates on vtkAbstractArrays 
// and is not limited to vtkDataArrays.  A default distance functor that
// computes the sum of the squares of the Euclidean distance between two objects is provided 
// (vtkKMeansDistanceFunctor). The default distance functor can be overridden to use alternative distance metrics.
//
// .SECTION Thanks
// Thanks to Janine Bennett, David Thompson, and Philippe Pebay of
// Sandia National Laboratories for implementing this class.
//
//To create an instance of class vtkKMeansStatistics, simply
//invoke its constructor as follows
//@[
//  obj = vtkKMeansStatistics
//@]
//@@Methods
//The class vtkKMeansStatistics has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkKMeansStatistics class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkKMeansStatistics = obj.NewInstance ()|
// \item @|vtkKMeansStatistics = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetDistanceFunctor (vtkKMeansDistanceFunctor )| -  Set the DistanceFunctor.
//// \item @|vtkKMeansDistanceFunctor = obj.GetDistanceFunctor ()| -  Set the DistanceFunctor.
//// \item @|obj.SetDefaultNumberOfClusters (int )| -  Set/get the \a DefaultNumberOfClusters, used when no initial cluster coordinates are specified.
//// \item @|int = obj.GetDefaultNumberOfClusters ()| -  Set/get the \a DefaultNumberOfClusters, used when no initial cluster coordinates are specified.
//// \item @|obj.SetKValuesArrayName (string )| -  Set/get the KValuesArrayName.
//// \item @|string = obj.GetKValuesArrayName ()| -  Set/get the KValuesArrayName.
//// \item @|obj.SetMaxNumIterations (int )| -  Set/get the MaxNumIterations used to terminate iterations on
// cluster center coordinates when the relative tolerance can not be met.
//// \item @|int = obj.GetMaxNumIterations ()| -  Set/get the MaxNumIterations used to terminate iterations on
// cluster center coordinates when the relative tolerance can not be met.
//// \item @|obj.SetTolerance (double )| -  Set/get the relative \a Tolerance used to terminate iterations on
// cluster center coordinates.
//// \item @|double = obj.GetTolerance ()| -  Set/get the relative \a Tolerance used to terminate iterations on
// cluster center coordinates.
//// \item @|obj.Aggregate (vtkDataObjectCollection , vtkDataObject )| -  Given a collection of models, calculate aggregate model
// NB: not implemented
////\end{itemize}
//!
