#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMatricizeArray object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMatricizeArray.h"

//@@Signature
//sfunction @vtkMatricizeArray:vtkMatricizeArray vtkMatricizeArrayConstructorFunction
//input a
//output p
//@@Parents vtkMatricizeArray vtkArrayDataAlgorithm 
ArrayVector vtkMatricizeArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMatricizeArray::New(),"vtkMatricizeArray",eval);
  } else if (arg[0].className() == "vtkMatricizeArray") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMatricizeArray"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMatricizeArray");
    vtkMatricizeArray*q = reinterpret_cast<vtkMatricizeArray*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMatricizeArray");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMatricizeArray:GetClassName vtkMatricizeArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMatricizeArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMatricizeArray requires 1 argument(s)");
  vtkMatricizeArray* vtk_pointer = GetVTKPointer<vtkMatricizeArray>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMatricizeArray:IsA vtkMatricizeArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMatricizeArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMatricizeArray requires 2 argument(s)");
  vtkMatricizeArray* vtk_pointer = GetVTKPointer<vtkMatricizeArray>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMatricizeArray:NewInstance vtkMatricizeArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMatricizeArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMatricizeArray *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMatricizeArray requires 1 argument(s)");
  vtkMatricizeArray* vtk_pointer = GetVTKPointer<vtkMatricizeArray>(arg[0]);
  Array retval;
  vtkMatricizeArray  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMatricizeArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMatricizeArray:SafeDownCast vtkMatricizeArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMatricizeArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMatricizeArray *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMatricizeArray requires 2 argument(s)");
  vtkMatricizeArray* vtk_pointer = GetVTKPointer<vtkMatricizeArray>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMatricizeArray  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMatricizeArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMatricizeArray:GetSliceDimension vtkMatricizeArrayGetSliceDimensionFunction
//input a0 
//output y
ArrayVector vtkMatricizeArrayGetSliceDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetSliceDimension (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSliceDimension for class vtkMatricizeArray requires 1 argument(s)");
  vtkMatricizeArray* vtk_pointer = GetVTKPointer<vtkMatricizeArray>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetSliceDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMatricizeArray:SetSliceDimension vtkMatricizeArraySetSliceDimensionFunction
//input a0 a1 
//output none
ArrayVector vtkMatricizeArraySetSliceDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSliceDimension (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSliceDimension for class vtkMatricizeArray requires 2 argument(s)");
  vtkMatricizeArray* vtk_pointer = GetVTKPointer<vtkMatricizeArray>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSliceDimension(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMatricizeArray:display vtkMatricizeArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMatricizeArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMatricizeArray* vtk_pointer = GetVTKPointer<vtkMatricizeArray>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMatricizeArray:delete vtkMatricizeArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkMatricizeArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMatricizeArray
//@@Section VTKInfovis
//@@Usage
// Given a sparse input array of arbitrary dimension, creates a sparse output
// matrix (vtkSparseArray<double>) where each column is a slice along an
// arbitrary dimension from the source.
//
// .SECTION Thanks
// Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.
//
//To create an instance of class vtkMatricizeArray, simply
//invoke its constructor as follows
//@[
//  obj = vtkMatricizeArray
//@]
//@@Methods
//The class vtkMatricizeArray has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMatricizeArray class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMatricizeArray = obj.NewInstance ()|
// \item @|vtkMatricizeArray = obj.SafeDownCast (vtkObject o)|
// \item @|vtkIdType = obj.GetSliceDimension ()| -  Returns the 0-numbered dimension that will be mapped to columns in the output
//// \item @|obj.SetSliceDimension (vtkIdType )| -  Sets the 0-numbered dimension that will be mapped to columns in the output
////\end{itemize}
//!
