#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMergeColumns object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMergeColumns.h"

//@@Signature
//sfunction @vtkMergeColumns:vtkMergeColumns vtkMergeColumnsConstructorFunction
//input a
//output p
//@@Parents vtkMergeColumns vtkTableAlgorithm 
ArrayVector vtkMergeColumnsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMergeColumns::New(),"vtkMergeColumns",eval);
  } else if (arg[0].className() == "vtkMergeColumns") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMergeColumns"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMergeColumns");
    vtkMergeColumns*q = reinterpret_cast<vtkMergeColumns*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMergeColumns");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMergeColumns:GetClassName vtkMergeColumnsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMergeColumnsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMergeColumns requires 1 argument(s)");
  vtkMergeColumns* vtk_pointer = GetVTKPointer<vtkMergeColumns>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergeColumns:IsA vtkMergeColumnsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMergeColumnsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMergeColumns requires 2 argument(s)");
  vtkMergeColumns* vtk_pointer = GetVTKPointer<vtkMergeColumns>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergeColumns:NewInstance vtkMergeColumnsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMergeColumnsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMergeColumns *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMergeColumns requires 1 argument(s)");
  vtkMergeColumns* vtk_pointer = GetVTKPointer<vtkMergeColumns>(arg[0]);
  Array retval;
  vtkMergeColumns  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMergeColumns",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMergeColumns:SafeDownCast vtkMergeColumnsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMergeColumnsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMergeColumns *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMergeColumns requires 2 argument(s)");
  vtkMergeColumns* vtk_pointer = GetVTKPointer<vtkMergeColumns>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMergeColumns  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMergeColumns",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMergeColumns:SetMergedColumnName vtkMergeColumnsSetMergedColumnNameFunction
//input a0 a1 
//output none
ArrayVector vtkMergeColumnsSetMergedColumnNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMergedColumnName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetMergedColumnName for class vtkMergeColumns requires 2 argument(s)");
  vtkMergeColumns* vtk_pointer = GetVTKPointer<vtkMergeColumns>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetMergedColumnName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMergeColumns:GetMergedColumnName vtkMergeColumnsGetMergedColumnNameFunction
//input a0 
//output y
ArrayVector vtkMergeColumnsGetMergedColumnNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetMergedColumnName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMergedColumnName for class vtkMergeColumns requires 1 argument(s)");
  vtkMergeColumns* vtk_pointer = GetVTKPointer<vtkMergeColumns>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetMergedColumnName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergeColumns:display vtkMergeColumnsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMergeColumnsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMergeColumns* vtk_pointer = GetVTKPointer<vtkMergeColumns>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMergeColumns:delete vtkMergeColumnsDeleteFunction
//input varargin
//output none
ArrayVector vtkMergeColumnsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMergeColumns
//@@Section VTKInfovis
//@@Usage
// vtkMergeColumns replaces two columns in a table with a single column
// containing data in both columns.  The columns are set using
//
//   SetInputArrayToProcess(0, 0, 0, vtkDataObject::FIELD_ASSOCIATION_ROWS, "col1")
//
// and
//
//   SetInputArrayToProcess(1, 0, 0, vtkDataObject::FIELD_ASSOCIATION_ROWS, "col2")
//
// where "col1" and "col2" are the names of the columns to merge.
// The user may also specify the name of the merged column.
// The arrays must be of the same type.
// If the arrays are numeric, the values are summed in the merged column.
// If the arrays are strings, the values are concatenated.  The strings are
// separated by a space if they are both nonempty.
//
//To create an instance of class vtkMergeColumns, simply
//invoke its constructor as follows
//@[
//  obj = vtkMergeColumns
//@]
//@@Methods
//The class vtkMergeColumns has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMergeColumns class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMergeColumns = obj.NewInstance ()|
// \item @|vtkMergeColumns = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetMergedColumnName (string )| -  The name to give the merged column created by this filter.
//// \item @|string = obj.GetMergedColumnName ()| -  The name to give the merged column created by this filter.
////\end{itemize}
//!
