#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMergeGraphs object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMergeGraphs.h"

//@@Signature
//sfunction @vtkMergeGraphs:vtkMergeGraphs vtkMergeGraphsConstructorFunction
//input a
//output p
//@@Parents vtkMergeGraphs vtkGraphAlgorithm 
ArrayVector vtkMergeGraphsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMergeGraphs::New(),"vtkMergeGraphs",eval);
  } else if (arg[0].className() == "vtkMergeGraphs") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMergeGraphs"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMergeGraphs");
    vtkMergeGraphs*q = reinterpret_cast<vtkMergeGraphs*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMergeGraphs");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMergeGraphs:GetClassName vtkMergeGraphsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMergeGraphsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMergeGraphs requires 1 argument(s)");
  vtkMergeGraphs* vtk_pointer = GetVTKPointer<vtkMergeGraphs>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergeGraphs:IsA vtkMergeGraphsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMergeGraphsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMergeGraphs requires 2 argument(s)");
  vtkMergeGraphs* vtk_pointer = GetVTKPointer<vtkMergeGraphs>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergeGraphs:NewInstance vtkMergeGraphsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMergeGraphsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMergeGraphs *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMergeGraphs requires 1 argument(s)");
  vtkMergeGraphs* vtk_pointer = GetVTKPointer<vtkMergeGraphs>(arg[0]);
  Array retval;
  vtkMergeGraphs  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMergeGraphs",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMergeGraphs:SafeDownCast vtkMergeGraphsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMergeGraphsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMergeGraphs *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMergeGraphs requires 2 argument(s)");
  vtkMergeGraphs* vtk_pointer = GetVTKPointer<vtkMergeGraphs>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMergeGraphs  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMergeGraphs",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMergeGraphs:ExtendGraph vtkMergeGraphsExtendGraphFunction
//input a0 a1 a2 
//output y
ArrayVector vtkMergeGraphsExtendGraphFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ExtendGraph (vtkMutableGraphHelper *g1, vtkGraph *g2); */
  if (arg.size() < 3) 
    throw Exception("Function ExtendGraph for class vtkMergeGraphs requires 3 argument(s)");
  vtkMergeGraphs* vtk_pointer = GetVTKPointer<vtkMergeGraphs>(arg[0]);
  Array retval;
  vtkMutableGraphHelper  *temp0;
  vtkGraph  *temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkMutableGraphHelper>(arg[1]);
  temp1 = GetVTKPointer<vtkGraph>(arg[2]);
  temp20 = (vtk_pointer)->ExtendGraph(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergeGraphs:SetMaxEdges vtkMergeGraphsSetMaxEdgesFunction
//input a0 a1 
//output none
ArrayVector vtkMergeGraphsSetMaxEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxEdges (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxEdges for class vtkMergeGraphs requires 2 argument(s)");
  vtkMergeGraphs* vtk_pointer = GetVTKPointer<vtkMergeGraphs>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaxEdges(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMergeGraphs:GetMaxEdges vtkMergeGraphsGetMaxEdgesFunction
//input a0 
//output y
ArrayVector vtkMergeGraphsGetMaxEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetMaxEdges (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxEdges for class vtkMergeGraphs requires 1 argument(s)");
  vtkMergeGraphs* vtk_pointer = GetVTKPointer<vtkMergeGraphs>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetMaxEdges();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergeGraphs:display vtkMergeGraphsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMergeGraphsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMergeGraphs* vtk_pointer = GetVTKPointer<vtkMergeGraphs>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMergeGraphs:delete vtkMergeGraphsDeleteFunction
//input varargin
//output none
ArrayVector vtkMergeGraphsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMergeGraphs
//@@Section VTKInfovis
//@@Usage
// vtkMergeGraphs combines information from two graphs into one.
// Both graphs must have pedigree ids assigned to the vertices.
// The output will contain the vertices/edges in the first graph, in
// addition to:
//
//  - vertices in the second graph whose pedigree id does not
//    match a vertex in the first input
//
//  - edges in the second graph
//
// The output will contain the same attribute structure as the input;
// fields associated only with the second input graph will not be passed
// to the output. When possible, the vertex/edge data for new vertices and
// edges will be populated with matching attributes on the second graph.
// To be considered a matching attribute, the array must have the same name,
// type, and number of components.
//
//
//To create an instance of class vtkMergeGraphs, simply
//invoke its constructor as follows
//@[
//  obj = vtkMergeGraphs
//@]
//@@Methods
//The class vtkMergeGraphs has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMergeGraphs class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMergeGraphs = obj.NewInstance ()|
// \item @|vtkMergeGraphs = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.ExtendGraph (vtkMutableGraphHelper g1, vtkGraph g2)| -  This is the core functionality of the algorithm. Adds edges
// and vertices from g2 into g1.
//// \item @|obj.SetMaxEdges (vtkIdType )| -  The maximum number of edges in the combined graph. Default is -1,
// which specifies that there should be no limit on the number
// of edges.
//// \item @|vtkIdType = obj.GetMaxEdges ()| -  The maximum number of edges in the combined graph. Default is -1,
// which specifies that there should be no limit on the number
// of edges.
////\end{itemize}
//!
