#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMergeTables object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMergeTables.h"

//@@Signature
//sfunction @vtkMergeTables:vtkMergeTables vtkMergeTablesConstructorFunction
//input a
//output p
//@@Parents vtkMergeTables vtkTableAlgorithm 
ArrayVector vtkMergeTablesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMergeTables::New(),"vtkMergeTables",eval);
  } else if (arg[0].className() == "vtkMergeTables") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMergeTables"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMergeTables");
    vtkMergeTables*q = reinterpret_cast<vtkMergeTables*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMergeTables");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMergeTables:GetClassName vtkMergeTablesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMergeTablesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMergeTables requires 1 argument(s)");
  vtkMergeTables* vtk_pointer = GetVTKPointer<vtkMergeTables>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergeTables:IsA vtkMergeTablesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMergeTablesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMergeTables requires 2 argument(s)");
  vtkMergeTables* vtk_pointer = GetVTKPointer<vtkMergeTables>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergeTables:NewInstance vtkMergeTablesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMergeTablesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMergeTables *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMergeTables requires 1 argument(s)");
  vtkMergeTables* vtk_pointer = GetVTKPointer<vtkMergeTables>(arg[0]);
  Array retval;
  vtkMergeTables  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMergeTables",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMergeTables:SafeDownCast vtkMergeTablesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMergeTablesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMergeTables *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMergeTables requires 2 argument(s)");
  vtkMergeTables* vtk_pointer = GetVTKPointer<vtkMergeTables>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMergeTables  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMergeTables",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMergeTables:SetFirstTablePrefix vtkMergeTablesSetFirstTablePrefixFunction
//input a0 a1 
//output none
ArrayVector vtkMergeTablesSetFirstTablePrefixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFirstTablePrefix (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFirstTablePrefix for class vtkMergeTables requires 2 argument(s)");
  vtkMergeTables* vtk_pointer = GetVTKPointer<vtkMergeTables>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFirstTablePrefix(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMergeTables:GetFirstTablePrefix vtkMergeTablesGetFirstTablePrefixFunction
//input a0 
//output y
ArrayVector vtkMergeTablesGetFirstTablePrefixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFirstTablePrefix (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFirstTablePrefix for class vtkMergeTables requires 1 argument(s)");
  vtkMergeTables* vtk_pointer = GetVTKPointer<vtkMergeTables>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFirstTablePrefix();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergeTables:SetSecondTablePrefix vtkMergeTablesSetSecondTablePrefixFunction
//input a0 a1 
//output none
ArrayVector vtkMergeTablesSetSecondTablePrefixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSecondTablePrefix (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSecondTablePrefix for class vtkMergeTables requires 2 argument(s)");
  vtkMergeTables* vtk_pointer = GetVTKPointer<vtkMergeTables>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetSecondTablePrefix(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMergeTables:GetSecondTablePrefix vtkMergeTablesGetSecondTablePrefixFunction
//input a0 
//output y
ArrayVector vtkMergeTablesGetSecondTablePrefixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetSecondTablePrefix (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSecondTablePrefix for class vtkMergeTables requires 1 argument(s)");
  vtkMergeTables* vtk_pointer = GetVTKPointer<vtkMergeTables>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetSecondTablePrefix();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMergeTables:SetMergeColumnsByName vtkMergeTablesSetMergeColumnsByNameFunction
//input a0 a1 
//output none
ArrayVector vtkMergeTablesSetMergeColumnsByNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMergeColumnsByName (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMergeColumnsByName for class vtkMergeTables requires 2 argument(s)");
  vtkMergeTables* vtk_pointer = GetVTKPointer<vtkMergeTables>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetMergeColumnsByName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMergeTables:GetMergeColumnsByName vtkMergeTablesGetMergeColumnsByNameFunction
//input a0 
//output y
ArrayVector vtkMergeTablesGetMergeColumnsByNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetMergeColumnsByName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMergeColumnsByName for class vtkMergeTables requires 1 argument(s)");
  vtkMergeTables* vtk_pointer = GetVTKPointer<vtkMergeTables>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetMergeColumnsByName();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkMergeTables:MergeColumnsByNameOn vtkMergeTablesMergeColumnsByNameOnFunction
//input a0 
//output none
ArrayVector vtkMergeTablesMergeColumnsByNameOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MergeColumnsByNameOn (); */
  if (arg.size() < 1) 
    throw Exception("Function MergeColumnsByNameOn for class vtkMergeTables requires 1 argument(s)");
  vtkMergeTables* vtk_pointer = GetVTKPointer<vtkMergeTables>(arg[0]);
  Array retval;
  vtk_pointer->MergeColumnsByNameOn();
  return retval;
}

//@@Signature
//sfunction @vtkMergeTables:MergeColumnsByNameOff vtkMergeTablesMergeColumnsByNameOffFunction
//input a0 
//output none
ArrayVector vtkMergeTablesMergeColumnsByNameOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MergeColumnsByNameOff (); */
  if (arg.size() < 1) 
    throw Exception("Function MergeColumnsByNameOff for class vtkMergeTables requires 1 argument(s)");
  vtkMergeTables* vtk_pointer = GetVTKPointer<vtkMergeTables>(arg[0]);
  Array retval;
  vtk_pointer->MergeColumnsByNameOff();
  return retval;
}

//@@Signature
//sfunction @vtkMergeTables:SetPrefixAllButMerged vtkMergeTablesSetPrefixAllButMergedFunction
//input a0 a1 
//output none
ArrayVector vtkMergeTablesSetPrefixAllButMergedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPrefixAllButMerged (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPrefixAllButMerged for class vtkMergeTables requires 2 argument(s)");
  vtkMergeTables* vtk_pointer = GetVTKPointer<vtkMergeTables>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetPrefixAllButMerged(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMergeTables:GetPrefixAllButMerged vtkMergeTablesGetPrefixAllButMergedFunction
//input a0 
//output y
ArrayVector vtkMergeTablesGetPrefixAllButMergedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetPrefixAllButMerged (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPrefixAllButMerged for class vtkMergeTables requires 1 argument(s)");
  vtkMergeTables* vtk_pointer = GetVTKPointer<vtkMergeTables>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetPrefixAllButMerged();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkMergeTables:PrefixAllButMergedOn vtkMergeTablesPrefixAllButMergedOnFunction
//input a0 
//output none
ArrayVector vtkMergeTablesPrefixAllButMergedOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PrefixAllButMergedOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PrefixAllButMergedOn for class vtkMergeTables requires 1 argument(s)");
  vtkMergeTables* vtk_pointer = GetVTKPointer<vtkMergeTables>(arg[0]);
  Array retval;
  vtk_pointer->PrefixAllButMergedOn();
  return retval;
}

//@@Signature
//sfunction @vtkMergeTables:PrefixAllButMergedOff vtkMergeTablesPrefixAllButMergedOffFunction
//input a0 
//output none
ArrayVector vtkMergeTablesPrefixAllButMergedOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PrefixAllButMergedOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PrefixAllButMergedOff for class vtkMergeTables requires 1 argument(s)");
  vtkMergeTables* vtk_pointer = GetVTKPointer<vtkMergeTables>(arg[0]);
  Array retval;
  vtk_pointer->PrefixAllButMergedOff();
  return retval;
}

//@@Signature
//sfunction @vtkMergeTables:display vtkMergeTablesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMergeTablesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMergeTables* vtk_pointer = GetVTKPointer<vtkMergeTables>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMergeTables:delete vtkMergeTablesDeleteFunction
//input varargin
//output none
ArrayVector vtkMergeTablesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMergeTables
//@@Section VTKInfovis
//@@Usage
// Combines the columns of two tables into one larger table.
// The number of rows in the resulting table is the sum of the number of
// rows in each of the input tables.
// The number of columns in the output is generally the sum of the number
// of columns in each input table, except in the case where column names
// are duplicated in both tables.
// In this case, if MergeColumnsByName is on (the default), the two columns
// will be merged into a single column of the same name.
// If MergeColumnsByName is off, both columns will exist in the output.
// You may set the FirstTablePrefix and SecondTablePrefix to define how
// the columns named are modified.  One of these prefixes may be the empty
// string, but they must be different.
//
//To create an instance of class vtkMergeTables, simply
//invoke its constructor as follows
//@[
//  obj = vtkMergeTables
//@]
//@@Methods
//The class vtkMergeTables has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMergeTables class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMergeTables = obj.NewInstance ()|
// \item @|vtkMergeTables = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFirstTablePrefix (string )| -  The prefix to give to same-named fields from the first table.
// Default is "Table1.".
//// \item @|string = obj.GetFirstTablePrefix ()| -  The prefix to give to same-named fields from the first table.
// Default is "Table1.".
//// \item @|obj.SetSecondTablePrefix (string )| -  The prefix to give to same-named fields from the second table.
// Default is "Table2.".
//// \item @|string = obj.GetSecondTablePrefix ()| -  The prefix to give to same-named fields from the second table.
// Default is "Table2.".
//// \item @|obj.SetMergeColumnsByName (bool )| -  If on, merges columns with the same name.
// If off, keeps both columns, but calls one
// FirstTablePrefix + name, and the other SecondTablePrefix + name.
// Default is on.
//// \item @|bool = obj.GetMergeColumnsByName ()| -  If on, merges columns with the same name.
// If off, keeps both columns, but calls one
// FirstTablePrefix + name, and the other SecondTablePrefix + name.
// Default is on.
//// \item @|obj.MergeColumnsByNameOn ()| -  If on, merges columns with the same name.
// If off, keeps both columns, but calls one
// FirstTablePrefix + name, and the other SecondTablePrefix + name.
// Default is on.
//// \item @|obj.MergeColumnsByNameOff ()| -  If on, merges columns with the same name.
// If off, keeps both columns, but calls one
// FirstTablePrefix + name, and the other SecondTablePrefix + name.
// Default is on.
//// \item @|obj.SetPrefixAllButMerged (bool )| -  If on, all columns will have prefixes except merged columns.
// If off, only unmerged columns with the same name will have prefixes.
// Default is off.
//// \item @|bool = obj.GetPrefixAllButMerged ()| -  If on, all columns will have prefixes except merged columns.
// If off, only unmerged columns with the same name will have prefixes.
// Default is off.
//// \item @|obj.PrefixAllButMergedOn ()| -  If on, all columns will have prefixes except merged columns.
// If off, only unmerged columns with the same name will have prefixes.
// Default is off.
//// \item @|obj.PrefixAllButMergedOff ()| -  If on, all columns will have prefixes except merged columns.
// If off, only unmerged columns with the same name will have prefixes.
// Default is off.
////\end{itemize}
//!
