#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMultiCorrelativeStatistics object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMultiCorrelativeStatistics.h"

//@@Signature
//sfunction @vtkMultiCorrelativeStatistics:vtkMultiCorrelativeStatistics vtkMultiCorrelativeStatisticsConstructorFunction
//input a
//output p
//@@Parents vtkMultiCorrelativeStatistics vtkStatisticsAlgorithm 
ArrayVector vtkMultiCorrelativeStatisticsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMultiCorrelativeStatistics::New(),"vtkMultiCorrelativeStatistics",eval);
  } else if (arg[0].className() == "vtkMultiCorrelativeStatistics") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMultiCorrelativeStatistics"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMultiCorrelativeStatistics");
    vtkMultiCorrelativeStatistics*q = reinterpret_cast<vtkMultiCorrelativeStatistics*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMultiCorrelativeStatistics");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMultiCorrelativeStatistics:GetClassName vtkMultiCorrelativeStatisticsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMultiCorrelativeStatisticsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMultiCorrelativeStatistics requires 1 argument(s)");
  vtkMultiCorrelativeStatistics* vtk_pointer = GetVTKPointer<vtkMultiCorrelativeStatistics>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiCorrelativeStatistics:IsA vtkMultiCorrelativeStatisticsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMultiCorrelativeStatisticsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMultiCorrelativeStatistics requires 2 argument(s)");
  vtkMultiCorrelativeStatistics* vtk_pointer = GetVTKPointer<vtkMultiCorrelativeStatistics>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiCorrelativeStatistics:NewInstance vtkMultiCorrelativeStatisticsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMultiCorrelativeStatisticsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiCorrelativeStatistics *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMultiCorrelativeStatistics requires 1 argument(s)");
  vtkMultiCorrelativeStatistics* vtk_pointer = GetVTKPointer<vtkMultiCorrelativeStatistics>(arg[0]);
  Array retval;
  vtkMultiCorrelativeStatistics  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiCorrelativeStatistics",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMultiCorrelativeStatistics:SafeDownCast vtkMultiCorrelativeStatisticsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMultiCorrelativeStatisticsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiCorrelativeStatistics *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMultiCorrelativeStatistics requires 2 argument(s)");
  vtkMultiCorrelativeStatistics* vtk_pointer = GetVTKPointer<vtkMultiCorrelativeStatistics>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMultiCorrelativeStatistics  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiCorrelativeStatistics",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMultiCorrelativeStatistics:Aggregate vtkMultiCorrelativeStatisticsAggregateFunction
//input a0 a1 a2 
//output none
ArrayVector vtkMultiCorrelativeStatisticsAggregateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Aggregate (vtkDataObjectCollection *, vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function Aggregate for class vtkMultiCorrelativeStatistics requires 3 argument(s)");
  vtkMultiCorrelativeStatistics* vtk_pointer = GetVTKPointer<vtkMultiCorrelativeStatistics>(arg[0]);
  Array retval;
  vtkDataObjectCollection  *temp0;
  vtkDataObject  *temp1;
  temp0 = GetVTKPointer<vtkDataObjectCollection>(arg[1]);
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->Aggregate(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMultiCorrelativeStatistics:display vtkMultiCorrelativeStatisticsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMultiCorrelativeStatisticsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMultiCorrelativeStatistics* vtk_pointer = GetVTKPointer<vtkMultiCorrelativeStatistics>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMultiCorrelativeStatistics:delete vtkMultiCorrelativeStatisticsDeleteFunction
//input varargin
//output none
ArrayVector vtkMultiCorrelativeStatisticsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMultiCorrelativeStatistics
//@@Section VTKInfovis
//@@Usage
// Given a selection of sets of columns of interest, this class provides the
// following functionalities, depending on the execution mode it is executed in:
// * Learn: calculates means, unbiased variance and covariance estimators of
//   column pairs coefficient.
//   More precisely, Learn calculates the averages and centered
//   variance/covariance sums; if \p finalize is set to true (default),
//   the final statistics are calculated.
//   The output metadata on port OUTPUT_MODEL is a multiblock dataset containing at a minimum
//   one vtkTable holding the raw sums in a sparse matrix style. If \a finalize is
//   true, then one additional vtkTable will be present for each requested set of
//   column correlations. These additional tables contain column averages, the
//   upper triangular portion of the covariance matrix (in the upper right hand
//   portion of the table) and the Cholesky decomposition of the covariance matrix
//   (in the lower portion of the table beneath the covariance triangle).
//   The leftmost column will be a vector of column averages.
//   The last entry in the column averages vector is the number of samples.
//   As an example, consider a request for a 3-column correlation with columns
//   named ColA, ColB, and ColC.
//   The resulting table will look like this:
//   <pre>
//      Column  |Mean     |ColA     |ColB     |ColC
//      --------+---------+---------+---------+---------
//      ColA    |avg(A)   |cov(A,A) |cov(A,B) |cov(A,C)
//      ColB    |avg(B)   |chol(1,1)|cov(B,B) |cov(B,C)
//      ColC    |avg(C)   |chol(2,1)|chol(2,2)|cov(C,C)
//      Cholesky|length(A)|chol(3,1)|chol(3,2)|chol(3,3)
//   </pre>
// * Assess: given a set of results matrices as specified above in input port INPUT_MODEL and
//   tabular data on input port INPUT_DATA that contains column names matching those
//   of the tables on input port INPUT_MODEL, the assess mode computes the relative
//   deviation of each observation in port INPUT_DATA's table according to the linear
//   correlations implied by each table in port INPUT_MODEL.
//  
// .SECTION Thanks
// Thanks to Philippe Pebay, Jackson Mayo, and David Thompson of
// Sandia National Laboratories for implementing this class.
//
//To create an instance of class vtkMultiCorrelativeStatistics, simply
//invoke its constructor as follows
//@[
//  obj = vtkMultiCorrelativeStatistics
//@]
//@@Methods
//The class vtkMultiCorrelativeStatistics has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMultiCorrelativeStatistics class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMultiCorrelativeStatistics = obj.NewInstance ()|
// \item @|vtkMultiCorrelativeStatistics = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Aggregate (vtkDataObjectCollection , vtkDataObject )| -  Given a collection of models, calculate aggregate model
////\end{itemize}
//!
