#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMutableGraphHelper object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMutableGraphHelper.h"

//@@Signature
//sfunction @vtkMutableGraphHelper:vtkMutableGraphHelper vtkMutableGraphHelperConstructorFunction
//input a
//output p
//@@Parents vtkMutableGraphHelper vtkObject 
ArrayVector vtkMutableGraphHelperConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMutableGraphHelper::New(),"vtkMutableGraphHelper",eval);
  } else if (arg[0].className() == "vtkMutableGraphHelper") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMutableGraphHelper"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMutableGraphHelper");
    vtkMutableGraphHelper*q = reinterpret_cast<vtkMutableGraphHelper*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMutableGraphHelper");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMutableGraphHelper:GetClassName vtkMutableGraphHelperGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMutableGraphHelperGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMutableGraphHelper requires 1 argument(s)");
  vtkMutableGraphHelper* vtk_pointer = GetVTKPointer<vtkMutableGraphHelper>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMutableGraphHelper:IsA vtkMutableGraphHelperIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMutableGraphHelperIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMutableGraphHelper requires 2 argument(s)");
  vtkMutableGraphHelper* vtk_pointer = GetVTKPointer<vtkMutableGraphHelper>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMutableGraphHelper:NewInstance vtkMutableGraphHelperNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMutableGraphHelperNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMutableGraphHelper *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMutableGraphHelper requires 1 argument(s)");
  vtkMutableGraphHelper* vtk_pointer = GetVTKPointer<vtkMutableGraphHelper>(arg[0]);
  Array retval;
  vtkMutableGraphHelper  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMutableGraphHelper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMutableGraphHelper:SafeDownCast vtkMutableGraphHelperSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMutableGraphHelperSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMutableGraphHelper *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMutableGraphHelper requires 2 argument(s)");
  vtkMutableGraphHelper* vtk_pointer = GetVTKPointer<vtkMutableGraphHelper>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMutableGraphHelper  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMutableGraphHelper",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMutableGraphHelper:SetGraph vtkMutableGraphHelperSetGraphFunction
//input a0 a1 
//output none
ArrayVector vtkMutableGraphHelperSetGraphFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGraph (vtkGraph *g); */
  if (arg.size() < 2) 
    throw Exception("Function SetGraph for class vtkMutableGraphHelper requires 2 argument(s)");
  vtkMutableGraphHelper* vtk_pointer = GetVTKPointer<vtkMutableGraphHelper>(arg[0]);
  Array retval;
  vtkGraph  *temp0;
  temp0 = GetVTKPointer<vtkGraph>(arg[1]);
  vtk_pointer->SetGraph(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMutableGraphHelper:GetGraph vtkMutableGraphHelperGetGraphFunction
//input a0 
//output y
ArrayVector vtkMutableGraphHelperGetGraphFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraph *GetGraph (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGraph for class vtkMutableGraphHelper requires 1 argument(s)");
  vtkMutableGraphHelper* vtk_pointer = GetVTKPointer<vtkMutableGraphHelper>(arg[0]);
  Array retval;
  vtkGraph  *temp20;
  temp20 = (vtk_pointer)->GetGraph();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMutableGraphHelper:AddGraphEdge vtkMutableGraphHelperAddGraphEdgeFunction
//input a0 a1 a2 
//output y
ArrayVector vtkMutableGraphHelperAddGraphEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphEdge *AddGraphEdge (vtkIdType u, vtkIdType v); */
  if (arg.size() < 3) 
    throw Exception("Function AddGraphEdge for class vtkMutableGraphHelper requires 3 argument(s)");
  vtkMutableGraphHelper* vtk_pointer = GetVTKPointer<vtkMutableGraphHelper>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkGraphEdge  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->AddGraphEdge(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphEdge",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMutableGraphHelper:AddVertex vtkMutableGraphHelperAddVertexFunction
//input a0 
//output y
ArrayVector vtkMutableGraphHelperAddVertexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType AddVertex (); */
  if (arg.size() < 1) 
    throw Exception("Function AddVertex for class vtkMutableGraphHelper requires 1 argument(s)");
  vtkMutableGraphHelper* vtk_pointer = GetVTKPointer<vtkMutableGraphHelper>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->AddVertex();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMutableGraphHelper:RemoveVertex vtkMutableGraphHelperRemoveVertexFunction
//input a0 a1 
//output none
ArrayVector vtkMutableGraphHelperRemoveVertexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveVertex (vtkIdType v); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveVertex for class vtkMutableGraphHelper requires 2 argument(s)");
  vtkMutableGraphHelper* vtk_pointer = GetVTKPointer<vtkMutableGraphHelper>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->RemoveVertex(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMutableGraphHelper:RemoveVertices vtkMutableGraphHelperRemoveVerticesFunction
//input a0 a1 
//output none
ArrayVector vtkMutableGraphHelperRemoveVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveVertices (vtkIdTypeArray *verts); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveVertices for class vtkMutableGraphHelper requires 2 argument(s)");
  vtkMutableGraphHelper* vtk_pointer = GetVTKPointer<vtkMutableGraphHelper>(arg[0]);
  Array retval;
  vtkIdTypeArray  *temp0;
  temp0 = GetVTKPointer<vtkIdTypeArray>(arg[1]);
  vtk_pointer->RemoveVertices(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMutableGraphHelper:RemoveEdge vtkMutableGraphHelperRemoveEdgeFunction
//input a0 a1 
//output none
ArrayVector vtkMutableGraphHelperRemoveEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveEdge (vtkIdType e); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveEdge for class vtkMutableGraphHelper requires 2 argument(s)");
  vtkMutableGraphHelper* vtk_pointer = GetVTKPointer<vtkMutableGraphHelper>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->RemoveEdge(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMutableGraphHelper:RemoveEdges vtkMutableGraphHelperRemoveEdgesFunction
//input a0 a1 
//output none
ArrayVector vtkMutableGraphHelperRemoveEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveEdges (vtkIdTypeArray *edges); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveEdges for class vtkMutableGraphHelper requires 2 argument(s)");
  vtkMutableGraphHelper* vtk_pointer = GetVTKPointer<vtkMutableGraphHelper>(arg[0]);
  Array retval;
  vtkIdTypeArray  *temp0;
  temp0 = GetVTKPointer<vtkIdTypeArray>(arg[1]);
  vtk_pointer->RemoveEdges(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMutableGraphHelper:display vtkMutableGraphHelperDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMutableGraphHelperDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMutableGraphHelper* vtk_pointer = GetVTKPointer<vtkMutableGraphHelper>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMutableGraphHelper:delete vtkMutableGraphHelperDeleteFunction
//input varargin
//output none
ArrayVector vtkMutableGraphHelperDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMutableGraphHelper
//@@Section VTKInfovis
//@@Usage
// vtkMutableGraphHelper has helper methods AddVertex and AddEdge which
// add vertices/edges to the underlying mutable graph. This is helpful in
// filters which need to (re)construct graphs which may be either directed
// or undirected.
//
//
//To create an instance of class vtkMutableGraphHelper, simply
//invoke its constructor as follows
//@[
//  obj = vtkMutableGraphHelper
//@]
//@@Methods
//The class vtkMutableGraphHelper has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMutableGraphHelper class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMutableGraphHelper = obj.NewInstance ()|
// \item @|vtkMutableGraphHelper = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetGraph (vtkGraph g)| -  Set the underlying graph that you want to modify with this helper.
// The graph must be an instance of vtkMutableDirectedGraph or
// vtkMutableUndirectedGraph.
//// \item @|vtkGraph = obj.GetGraph ()| -  Set the underlying graph that you want to modify with this helper.
// The graph must be an instance of vtkMutableDirectedGraph or
// vtkMutableUndirectedGraph.
//// \item @|vtkGraphEdge = obj.AddGraphEdge (vtkIdType u, vtkIdType v)| -  Add an edge to the underlying mutable graph.
//// \item @|vtkIdType = obj.AddVertex ()| -  Add a vertex to the underlying mutable graph.
//// \item @|obj.RemoveVertex (vtkIdType v)| -  Remove a vertex from the underlying mutable graph.
//// \item @|obj.RemoveVertices (vtkIdTypeArray verts)| -  Remove a collection of vertices from the underlying mutable graph.
//// \item @|obj.RemoveEdge (vtkIdType e)| -  Remove an edge from the underlying mutable graph.
//// \item @|obj.RemoveEdges (vtkIdTypeArray edges)| -  Remove a collection of edges from the underlying mutable graph.
////\end{itemize}
//!
