#include "VTKWrap.hpp"

// FreeMat wrapper for vtkNetworkHierarchy object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkNetworkHierarchy.h"

//@@Signature
//sfunction @vtkNetworkHierarchy:vtkNetworkHierarchy vtkNetworkHierarchyConstructorFunction
//input a
//output p
//@@Parents vtkNetworkHierarchy vtkTreeAlgorithm 
ArrayVector vtkNetworkHierarchyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkNetworkHierarchy::New(),"vtkNetworkHierarchy",eval);
  } else if (arg[0].className() == "vtkNetworkHierarchy") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkNetworkHierarchy"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkNetworkHierarchy");
    vtkNetworkHierarchy*q = reinterpret_cast<vtkNetworkHierarchy*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkNetworkHierarchy");
    return ret;
  }
}
//@@Signature
//sfunction @vtkNetworkHierarchy:GetClassName vtkNetworkHierarchyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkNetworkHierarchyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkNetworkHierarchy requires 1 argument(s)");
  vtkNetworkHierarchy* vtk_pointer = GetVTKPointer<vtkNetworkHierarchy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNetworkHierarchy:IsA vtkNetworkHierarchyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkNetworkHierarchyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkNetworkHierarchy requires 2 argument(s)");
  vtkNetworkHierarchy* vtk_pointer = GetVTKPointer<vtkNetworkHierarchy>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNetworkHierarchy:NewInstance vtkNetworkHierarchyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkNetworkHierarchyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkNetworkHierarchy *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkNetworkHierarchy requires 1 argument(s)");
  vtkNetworkHierarchy* vtk_pointer = GetVTKPointer<vtkNetworkHierarchy>(arg[0]);
  Array retval;
  vtkNetworkHierarchy  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkNetworkHierarchy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkNetworkHierarchy:SafeDownCast vtkNetworkHierarchySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkNetworkHierarchySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkNetworkHierarchy *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkNetworkHierarchy requires 2 argument(s)");
  vtkNetworkHierarchy* vtk_pointer = GetVTKPointer<vtkNetworkHierarchy>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkNetworkHierarchy  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkNetworkHierarchy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkNetworkHierarchy:GetIPArrayName vtkNetworkHierarchyGetIPArrayNameFunction
//input a0 
//output y
ArrayVector vtkNetworkHierarchyGetIPArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetIPArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIPArrayName for class vtkNetworkHierarchy requires 1 argument(s)");
  vtkNetworkHierarchy* vtk_pointer = GetVTKPointer<vtkNetworkHierarchy>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetIPArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNetworkHierarchy:SetIPArrayName vtkNetworkHierarchySetIPArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkNetworkHierarchySetIPArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIPArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetIPArrayName for class vtkNetworkHierarchy requires 2 argument(s)");
  vtkNetworkHierarchy* vtk_pointer = GetVTKPointer<vtkNetworkHierarchy>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetIPArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkNetworkHierarchy:display vtkNetworkHierarchyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkNetworkHierarchyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkNetworkHierarchy* vtk_pointer = GetVTKPointer<vtkNetworkHierarchy>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkNetworkHierarchy:delete vtkNetworkHierarchyDeleteFunction
//input varargin
//output none
ArrayVector vtkNetworkHierarchyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkNetworkHierarchy
//@@Section VTKInfovis
//@@Usage
// Use SetInputArrayToProcess(0, ...) to set the array to that has
// the network ip addresses.
// Currently this array must be a vtkStringArray.
//
//To create an instance of class vtkNetworkHierarchy, simply
//invoke its constructor as follows
//@[
//  obj = vtkNetworkHierarchy
//@]
//@@Methods
//The class vtkNetworkHierarchy has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkNetworkHierarchy class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkNetworkHierarchy = obj.NewInstance ()|
// \item @|vtkNetworkHierarchy = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetIPArrayName ()| -  Used to store the ip array name
//// \item @|obj.SetIPArrayName (string )| -  Used to store the ip array name
////\end{itemize}
//!
