#include "VTKWrap.hpp"

// FreeMat wrapper for vtkNormalizeMatrixVectors object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkNormalizeMatrixVectors.h"

//@@Signature
//sfunction @vtkNormalizeMatrixVectors:vtkNormalizeMatrixVectors vtkNormalizeMatrixVectorsConstructorFunction
//input a
//output p
//@@Parents vtkNormalizeMatrixVectors vtkArrayDataAlgorithm 
ArrayVector vtkNormalizeMatrixVectorsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkNormalizeMatrixVectors::New(),"vtkNormalizeMatrixVectors",eval);
  } else if (arg[0].className() == "vtkNormalizeMatrixVectors") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkNormalizeMatrixVectors"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkNormalizeMatrixVectors");
    vtkNormalizeMatrixVectors*q = reinterpret_cast<vtkNormalizeMatrixVectors*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkNormalizeMatrixVectors");
    return ret;
  }
}
//@@Signature
//sfunction @vtkNormalizeMatrixVectors:GetClassName vtkNormalizeMatrixVectorsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkNormalizeMatrixVectorsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkNormalizeMatrixVectors requires 1 argument(s)");
  vtkNormalizeMatrixVectors* vtk_pointer = GetVTKPointer<vtkNormalizeMatrixVectors>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNormalizeMatrixVectors:IsA vtkNormalizeMatrixVectorsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkNormalizeMatrixVectorsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkNormalizeMatrixVectors requires 2 argument(s)");
  vtkNormalizeMatrixVectors* vtk_pointer = GetVTKPointer<vtkNormalizeMatrixVectors>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNormalizeMatrixVectors:NewInstance vtkNormalizeMatrixVectorsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkNormalizeMatrixVectorsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkNormalizeMatrixVectors *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkNormalizeMatrixVectors requires 1 argument(s)");
  vtkNormalizeMatrixVectors* vtk_pointer = GetVTKPointer<vtkNormalizeMatrixVectors>(arg[0]);
  Array retval;
  vtkNormalizeMatrixVectors  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkNormalizeMatrixVectors",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkNormalizeMatrixVectors:SafeDownCast vtkNormalizeMatrixVectorsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkNormalizeMatrixVectorsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkNormalizeMatrixVectors *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkNormalizeMatrixVectors requires 2 argument(s)");
  vtkNormalizeMatrixVectors* vtk_pointer = GetVTKPointer<vtkNormalizeMatrixVectors>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkNormalizeMatrixVectors  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkNormalizeMatrixVectors",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkNormalizeMatrixVectors:GetVectorDimension vtkNormalizeMatrixVectorsGetVectorDimensionFunction
//input a0 
//output y
ArrayVector vtkNormalizeMatrixVectorsGetVectorDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVectorDimension (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVectorDimension for class vtkNormalizeMatrixVectors requires 1 argument(s)");
  vtkNormalizeMatrixVectors* vtk_pointer = GetVTKPointer<vtkNormalizeMatrixVectors>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVectorDimension();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNormalizeMatrixVectors:SetVectorDimension vtkNormalizeMatrixVectorsSetVectorDimensionFunction
//input a0 a1 
//output none
ArrayVector vtkNormalizeMatrixVectorsSetVectorDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorDimension (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetVectorDimension for class vtkNormalizeMatrixVectors requires 2 argument(s)");
  vtkNormalizeMatrixVectors* vtk_pointer = GetVTKPointer<vtkNormalizeMatrixVectors>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetVectorDimension(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkNormalizeMatrixVectors:display vtkNormalizeMatrixVectorsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkNormalizeMatrixVectorsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkNormalizeMatrixVectors* vtk_pointer = GetVTKPointer<vtkNormalizeMatrixVectors>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkNormalizeMatrixVectors:delete vtkNormalizeMatrixVectorsDeleteFunction
//input varargin
//output none
ArrayVector vtkNormalizeMatrixVectorsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
