#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOrderStatistics object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOrderStatistics.h"

//@@Signature
//sfunction @vtkOrderStatistics:vtkOrderStatistics vtkOrderStatisticsConstructorFunction
//input a
//output p
//@@Parents vtkOrderStatistics vtkUnivariateStatisticsAlgorithm 
ArrayVector vtkOrderStatisticsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOrderStatistics::New(),"vtkOrderStatistics",eval);
  } else if (arg[0].className() == "vtkOrderStatistics") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOrderStatistics"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOrderStatistics");
    vtkOrderStatistics*q = reinterpret_cast<vtkOrderStatistics*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOrderStatistics");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOrderStatistics:GetClassName vtkOrderStatisticsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOrderStatisticsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOrderStatistics requires 1 argument(s)");
  vtkOrderStatistics* vtk_pointer = GetVTKPointer<vtkOrderStatistics>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrderStatistics:IsA vtkOrderStatisticsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOrderStatisticsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOrderStatistics requires 2 argument(s)");
  vtkOrderStatistics* vtk_pointer = GetVTKPointer<vtkOrderStatistics>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrderStatistics:NewInstance vtkOrderStatisticsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOrderStatisticsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOrderStatistics *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOrderStatistics requires 1 argument(s)");
  vtkOrderStatistics* vtk_pointer = GetVTKPointer<vtkOrderStatistics>(arg[0]);
  Array retval;
  vtkOrderStatistics  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOrderStatistics",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOrderStatistics:SafeDownCast vtkOrderStatisticsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOrderStatisticsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOrderStatistics *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOrderStatistics requires 2 argument(s)");
  vtkOrderStatistics* vtk_pointer = GetVTKPointer<vtkOrderStatistics>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOrderStatistics  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOrderStatistics",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOrderStatistics:SetNumberOfIntervals vtkOrderStatisticsSetNumberOfIntervalsFunction
//input a0 a1 
//output none
ArrayVector vtkOrderStatisticsSetNumberOfIntervalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfIntervals (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfIntervals for class vtkOrderStatistics requires 2 argument(s)");
  vtkOrderStatistics* vtk_pointer = GetVTKPointer<vtkOrderStatistics>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfIntervals(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOrderStatistics:GetNumberOfIntervals vtkOrderStatisticsGetNumberOfIntervalsFunction
//input a0 
//output y
ArrayVector vtkOrderStatisticsGetNumberOfIntervalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfIntervals (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfIntervals for class vtkOrderStatistics requires 1 argument(s)");
  vtkOrderStatistics* vtk_pointer = GetVTKPointer<vtkOrderStatistics>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfIntervals();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrderStatistics:SetQuantileDefinition__2 vtkOrderStatisticsSetQuantileDefinition__2Function
//input a0 a1 
//output none
ArrayVector vtkOrderStatisticsSetQuantileDefinition__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQuantileDefinition (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetQuantileDefinition__2 for class vtkOrderStatistics requires 2 argument(s)");
  vtkOrderStatistics* vtk_pointer = GetVTKPointer<vtkOrderStatistics>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetQuantileDefinition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOrderStatistics:GetQuantileDefinition vtkOrderStatisticsGetQuantileDefinitionFunction
//input a0 
//output y
ArrayVector vtkOrderStatisticsGetQuantileDefinitionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetQuantileDefinition ();return static_cast vtkIdType this QuantileDefinition  */
  if (arg.size() < 1) 
    throw Exception("Function GetQuantileDefinition for class vtkOrderStatistics requires 1 argument(s)");
  vtkOrderStatistics* vtk_pointer = GetVTKPointer<vtkOrderStatistics>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetQuantileDefinition();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOrderStatistics:Aggregate vtkOrderStatisticsAggregateFunction
//input a0 a1 a2 
//output none
ArrayVector vtkOrderStatisticsAggregateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Aggregate (vtkDataObjectCollection *, vtkDataObject *);return  */
  if (arg.size() < 3) 
    throw Exception("Function Aggregate for class vtkOrderStatistics requires 3 argument(s)");
  vtkOrderStatistics* vtk_pointer = GetVTKPointer<vtkOrderStatistics>(arg[0]);
  Array retval;
  vtkDataObjectCollection  *temp0;
  vtkDataObject  *temp1;
  temp0 = GetVTKPointer<vtkDataObjectCollection>(arg[1]);
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->Aggregate(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkOrderStatistics:SetQuantileDefinition vtkOrderStatisticsSetQuantileDefinitionFunction
//input varargin
//output varargout
ArrayVector vtkOrderStatisticsSetQuantileDefinitionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkOrderStatisticsSetQuantileDefinition__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkOrderStatisticsSetQuantileDefinition");
}

//@@Signature
//sfunction @vtkOrderStatistics:display vtkOrderStatisticsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOrderStatisticsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOrderStatistics* vtk_pointer = GetVTKPointer<vtkOrderStatistics>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOrderStatistics:delete vtkOrderStatisticsDeleteFunction
//input varargin
//output none
ArrayVector vtkOrderStatisticsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOrderStatistics
//@@Section VTKInfovis
//@@Usage
// Given a selection of columns of interest in an input data table, this 
// class provides the following functionalities, depending on the
// execution mode it is executed in:
// * Learn: calculate 5-point statistics (minimum, 1st quartile, median, third
//   quartile, maximum) and all other deciles (1,2,3,4,6,7,8,9).
// * Assess: given an input data set in port INPUT_DATA, and two percentiles p1 < p2,
//   assess all entries in the data set which are outside of [p1,p2].
//
// .SECTION Thanks
// Thanks to Philippe Pebay and David Thompson from Sandia National Laboratories 
// for implementing this class.
//
//To create an instance of class vtkOrderStatistics, simply
//invoke its constructor as follows
//@[
//  obj = vtkOrderStatistics
//@]
//@@Methods
//The class vtkOrderStatistics has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOrderStatistics class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOrderStatistics = obj.NewInstance ()|
// \item @|vtkOrderStatistics = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetNumberOfIntervals (vtkIdType )| -  Set the number of quantiles (with uniform spacing).
//// \item @|vtkIdType = obj.GetNumberOfIntervals ()| -  Get the number of quantiles (with uniform spacing).
//// \item @|obj.SetQuantileDefinition (int )| -  Set the quantile definition.
//// \item @|vtkIdType = obj.GetQuantileDefinition ()| -  Given a collection of models, calculate aggregate model
// NB: not implemented
//// \item @|obj.Aggregate (vtkDataObjectCollection , vtkDataObject )| -  Given a collection of models, calculate aggregate model
// NB: not implemented
////\end{itemize}
//!
