#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPCAStatistics object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPCAStatistics.h"

//@@Signature
//sfunction @vtkPCAStatistics:vtkPCAStatistics vtkPCAStatisticsConstructorFunction
//input a
//output p
//@@Parents vtkPCAStatistics vtkMultiCorrelativeStatistics 
ArrayVector vtkPCAStatisticsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPCAStatistics::New(),"vtkPCAStatistics",eval);
  } else if (arg[0].className() == "vtkPCAStatistics") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPCAStatistics"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPCAStatistics");
    vtkPCAStatistics*q = reinterpret_cast<vtkPCAStatistics*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPCAStatistics");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPCAStatistics:GetClassName vtkPCAStatisticsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPCAStatisticsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPCAStatistics requires 1 argument(s)");
  vtkPCAStatistics* vtk_pointer = GetVTKPointer<vtkPCAStatistics>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCAStatistics:IsA vtkPCAStatisticsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPCAStatisticsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPCAStatistics requires 2 argument(s)");
  vtkPCAStatistics* vtk_pointer = GetVTKPointer<vtkPCAStatistics>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCAStatistics:NewInstance vtkPCAStatisticsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPCAStatisticsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPCAStatistics *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPCAStatistics requires 1 argument(s)");
  vtkPCAStatistics* vtk_pointer = GetVTKPointer<vtkPCAStatistics>(arg[0]);
  Array retval;
  vtkPCAStatistics  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPCAStatistics",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPCAStatistics:SafeDownCast vtkPCAStatisticsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPCAStatisticsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPCAStatistics *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPCAStatistics requires 2 argument(s)");
  vtkPCAStatistics* vtk_pointer = GetVTKPointer<vtkPCAStatistics>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPCAStatistics  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPCAStatistics",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPCAStatistics:SetNormalizationScheme vtkPCAStatisticsSetNormalizationSchemeFunction
//input a0 a1 
//output none
ArrayVector vtkPCAStatisticsSetNormalizationSchemeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalizationScheme (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormalizationScheme for class vtkPCAStatistics requires 2 argument(s)");
  vtkPCAStatistics* vtk_pointer = GetVTKPointer<vtkPCAStatistics>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNormalizationScheme(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPCAStatistics:GetNormalizationScheme vtkPCAStatisticsGetNormalizationSchemeFunction
//input a0 
//output y
ArrayVector vtkPCAStatisticsGetNormalizationSchemeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNormalizationScheme (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalizationScheme for class vtkPCAStatistics requires 1 argument(s)");
  vtkPCAStatistics* vtk_pointer = GetVTKPointer<vtkPCAStatistics>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNormalizationScheme();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCAStatistics:SetNormalizationSchemeByName vtkPCAStatisticsSetNormalizationSchemeByNameFunction
//input a0 a1 
//output none
ArrayVector vtkPCAStatisticsSetNormalizationSchemeByNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetNormalizationSchemeByName (const char *sname); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormalizationSchemeByName for class vtkPCAStatistics requires 2 argument(s)");
  vtkPCAStatistics* vtk_pointer = GetVTKPointer<vtkPCAStatistics>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetNormalizationSchemeByName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPCAStatistics:GetNormalizationSchemeName vtkPCAStatisticsGetNormalizationSchemeNameFunction
//input a0 a1 
//output y
ArrayVector vtkPCAStatisticsGetNormalizationSchemeNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetNormalizationSchemeName (int scheme); */
  if (arg.size() < 2) 
    throw Exception("Function GetNormalizationSchemeName for class vtkPCAStatistics requires 2 argument(s)");
  vtkPCAStatistics* vtk_pointer = GetVTKPointer<vtkPCAStatistics>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNormalizationSchemeName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCAStatistics:GetSpecifiedNormalization vtkPCAStatisticsGetSpecifiedNormalizationFunction
//input a0 
//output y
ArrayVector vtkPCAStatisticsGetSpecifiedNormalizationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkTable *GetSpecifiedNormalization (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSpecifiedNormalization for class vtkPCAStatistics requires 1 argument(s)");
  vtkPCAStatistics* vtk_pointer = GetVTKPointer<vtkPCAStatistics>(arg[0]);
  Array retval;
  vtkTable  *temp20;
  temp20 = (vtk_pointer)->GetSpecifiedNormalization();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPCAStatistics:SetSpecifiedNormalization vtkPCAStatisticsSetSpecifiedNormalizationFunction
//input a0 a1 
//output none
ArrayVector vtkPCAStatisticsSetSpecifiedNormalizationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSpecifiedNormalization (vtkTable *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSpecifiedNormalization for class vtkPCAStatistics requires 2 argument(s)");
  vtkPCAStatistics* vtk_pointer = GetVTKPointer<vtkPCAStatistics>(arg[0]);
  Array retval;
  vtkTable  *temp0;
  temp0 = GetVTKPointer<vtkTable>(arg[1]);
  vtk_pointer->SetSpecifiedNormalization(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPCAStatistics:SetBasisScheme vtkPCAStatisticsSetBasisSchemeFunction
//input a0 a1 
//output none
ArrayVector vtkPCAStatisticsSetBasisSchemeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBasisScheme (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBasisScheme for class vtkPCAStatistics requires 2 argument(s)");
  vtkPCAStatistics* vtk_pointer = GetVTKPointer<vtkPCAStatistics>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBasisScheme(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPCAStatistics:GetBasisScheme vtkPCAStatisticsGetBasisSchemeFunction
//input a0 
//output y
ArrayVector vtkPCAStatisticsGetBasisSchemeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBasisScheme (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBasisScheme for class vtkPCAStatistics requires 1 argument(s)");
  vtkPCAStatistics* vtk_pointer = GetVTKPointer<vtkPCAStatistics>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBasisScheme();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCAStatistics:GetBasisSchemeName vtkPCAStatisticsGetBasisSchemeNameFunction
//input a0 a1 
//output y
ArrayVector vtkPCAStatisticsGetBasisSchemeNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetBasisSchemeName (int schemeIndex); */
  if (arg.size() < 2) 
    throw Exception("Function GetBasisSchemeName for class vtkPCAStatistics requires 2 argument(s)");
  vtkPCAStatistics* vtk_pointer = GetVTKPointer<vtkPCAStatistics>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetBasisSchemeName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCAStatistics:SetBasisSchemeByName vtkPCAStatisticsSetBasisSchemeByNameFunction
//input a0 a1 
//output none
ArrayVector vtkPCAStatisticsSetBasisSchemeByNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetBasisSchemeByName (const char *schemeName); */
  if (arg.size() < 2) 
    throw Exception("Function SetBasisSchemeByName for class vtkPCAStatistics requires 2 argument(s)");
  vtkPCAStatistics* vtk_pointer = GetVTKPointer<vtkPCAStatistics>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetBasisSchemeByName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPCAStatistics:SetFixedBasisSize vtkPCAStatisticsSetFixedBasisSizeFunction
//input a0 a1 
//output none
ArrayVector vtkPCAStatisticsSetFixedBasisSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFixedBasisSize (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFixedBasisSize for class vtkPCAStatistics requires 2 argument(s)");
  vtkPCAStatistics* vtk_pointer = GetVTKPointer<vtkPCAStatistics>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFixedBasisSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPCAStatistics:GetFixedBasisSize vtkPCAStatisticsGetFixedBasisSizeFunction
//input a0 
//output y
ArrayVector vtkPCAStatisticsGetFixedBasisSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFixedBasisSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFixedBasisSize for class vtkPCAStatistics requires 1 argument(s)");
  vtkPCAStatistics* vtk_pointer = GetVTKPointer<vtkPCAStatistics>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFixedBasisSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCAStatistics:SetFixedBasisEnergy vtkPCAStatisticsSetFixedBasisEnergyFunction
//input a0 a1 
//output none
ArrayVector vtkPCAStatisticsSetFixedBasisEnergyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFixedBasisEnergy (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFixedBasisEnergy for class vtkPCAStatistics requires 2 argument(s)");
  vtkPCAStatistics* vtk_pointer = GetVTKPointer<vtkPCAStatistics>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetFixedBasisEnergy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPCAStatistics:GetFixedBasisEnergyMinValue vtkPCAStatisticsGetFixedBasisEnergyMinValueFunction
//input a0 
//output y
ArrayVector vtkPCAStatisticsGetFixedBasisEnergyMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFixedBasisEnergyMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFixedBasisEnergyMinValue for class vtkPCAStatistics requires 1 argument(s)");
  vtkPCAStatistics* vtk_pointer = GetVTKPointer<vtkPCAStatistics>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFixedBasisEnergyMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCAStatistics:GetFixedBasisEnergyMaxValue vtkPCAStatisticsGetFixedBasisEnergyMaxValueFunction
//input a0 
//output y
ArrayVector vtkPCAStatisticsGetFixedBasisEnergyMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFixedBasisEnergyMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFixedBasisEnergyMaxValue for class vtkPCAStatistics requires 1 argument(s)");
  vtkPCAStatistics* vtk_pointer = GetVTKPointer<vtkPCAStatistics>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFixedBasisEnergyMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCAStatistics:GetFixedBasisEnergy vtkPCAStatisticsGetFixedBasisEnergyFunction
//input a0 
//output y
ArrayVector vtkPCAStatisticsGetFixedBasisEnergyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetFixedBasisEnergy (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFixedBasisEnergy for class vtkPCAStatistics requires 1 argument(s)");
  vtkPCAStatistics* vtk_pointer = GetVTKPointer<vtkPCAStatistics>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetFixedBasisEnergy();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPCAStatistics:display vtkPCAStatisticsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPCAStatisticsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPCAStatistics* vtk_pointer = GetVTKPointer<vtkPCAStatistics>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPCAStatistics:delete vtkPCAStatisticsDeleteFunction
//input varargin
//output none
ArrayVector vtkPCAStatisticsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPCAStatistics
//@@Section VTKInfovis
//@@Usage
// This class derives from the multi-correlative statistics algorithm and
// uses the covariance matrix and Cholesky decomposition computed by it.
// However, when it finalizes the statistics in Learn mode, the PCA class
// computes the SVD of the covariance matrix in order to obtain its eigenvectors.
//
// In the assess mode, the input data are
// - projected into the basis defined by the eigenvectors,
// - the energy associated with each datum is computed,
// - or some combination thereof.
// Additionally, the user may specify some threshold energy or
// eigenvector entry below which the basis is truncated. This allows
// projection into a lower-dimensional state while minimizing (in a 
// least squares sense) the projection error.
//
//
// .SECTION Thanks
// Thanks to David Thompson, Philippe Pebay and Jackson Mayo from
// Sandia National Laboratories for implementing this class.
//
//To create an instance of class vtkPCAStatistics, simply
//invoke its constructor as follows
//@[
//  obj = vtkPCAStatistics
//@]
//@@Methods
//The class vtkPCAStatistics has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPCAStatistics class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPCAStatistics = obj.NewInstance ()|
// \item @|vtkPCAStatistics = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetNormalizationScheme (int )| -  This determines how (or if) the covariance matrix \a cov is normalized before PCA.
//
// When set to NONE, no normalization is performed. This is the default.
//
// When set to TRIANGLE_SPECIFIED, each entry cov(i,j) is divided by V(i,j).
// The list V of normalization factors must be set using the SetNormalization method
// before the filter is executed.
//
// When set to DIAGONAL_SPECIFIED, each entry cov(i,j) is divided by sqrt(V(i)*V(j)).
// The list V of normalization factors must be set using the SetNormalization method
// before the filter is executed.
//
// When set to DIAGONAL_VARIANCE, each entry cov(i,j) is divided by sqrt(cov(i,i)*cov(j,j)).
// <b>Warning</b>: Although this is accepted practice in some fields,
// some people think you should not turn this option on unless there
// is a good physically-based reason for doing so. Much better instead
// to determine how component magnitudes should be compared using
// physical reasoning and use DIAGONAL_SPECIFIED, TRIANGLE_SPECIFIED, or
// perform some pre-processing to shift and scale input data columns
// appropriately than to expect magical results from a shady normalization hack.
//// \item @|int = obj.GetNormalizationScheme ()| -  This determines how (or if) the covariance matrix \a cov is normalized before PCA.
//
// When set to NONE, no normalization is performed. This is the default.
//
// When set to TRIANGLE_SPECIFIED, each entry cov(i,j) is divided by V(i,j).
// The list V of normalization factors must be set using the SetNormalization method
// before the filter is executed.
//
// When set to DIAGONAL_SPECIFIED, each entry cov(i,j) is divided by sqrt(V(i)*V(j)).
// The list V of normalization factors must be set using the SetNormalization method
// before the filter is executed.
//
// When set to DIAGONAL_VARIANCE, each entry cov(i,j) is divided by sqrt(cov(i,i)*cov(j,j)).
// <b>Warning</b>: Although this is accepted practice in some fields,
// some people think you should not turn this option on unless there
// is a good physically-based reason for doing so. Much better instead
// to determine how component magnitudes should be compared using
// physical reasoning and use DIAGONAL_SPECIFIED, TRIANGLE_SPECIFIED, or
// perform some pre-processing to shift and scale input data columns
// appropriately than to expect magical results from a shady normalization hack.
//// \item @|obj.SetNormalizationSchemeByName (string sname)| -  This determines how (or if) the covariance matrix \a cov is normalized before PCA.
//
// When set to NONE, no normalization is performed. This is the default.
//
// When set to TRIANGLE_SPECIFIED, each entry cov(i,j) is divided by V(i,j).
// The list V of normalization factors must be set using the SetNormalization method
// before the filter is executed.
//
// When set to DIAGONAL_SPECIFIED, each entry cov(i,j) is divided by sqrt(V(i)*V(j)).
// The list V of normalization factors must be set using the SetNormalization method
// before the filter is executed.
//
// When set to DIAGONAL_VARIANCE, each entry cov(i,j) is divided by sqrt(cov(i,i)*cov(j,j)).
// <b>Warning</b>: Although this is accepted practice in some fields,
// some people think you should not turn this option on unless there
// is a good physically-based reason for doing so. Much better instead
// to determine how component magnitudes should be compared using
// physical reasoning and use DIAGONAL_SPECIFIED, TRIANGLE_SPECIFIED, or
// perform some pre-processing to shift and scale input data columns
// appropriately than to expect magical results from a shady normalization hack.
//// \item @|string = obj.GetNormalizationSchemeName (int scheme)| -  This determines how (or if) the covariance matrix \a cov is normalized before PCA.
//
// When set to NONE, no normalization is performed. This is the default.
//
// When set to TRIANGLE_SPECIFIED, each entry cov(i,j) is divided by V(i,j).
// The list V of normalization factors must be set using the SetNormalization method
// before the filter is executed.
//
// When set to DIAGONAL_SPECIFIED, each entry cov(i,j) is divided by sqrt(V(i)*V(j)).
// The list V of normalization factors must be set using the SetNormalization method
// before the filter is executed.
//
// When set to DIAGONAL_VARIANCE, each entry cov(i,j) is divided by sqrt(cov(i,i)*cov(j,j)).
// <b>Warning</b>: Although this is accepted practice in some fields,
// some people think you should not turn this option on unless there
// is a good physically-based reason for doing so. Much better instead
// to determine how component magnitudes should be compared using
// physical reasoning and use DIAGONAL_SPECIFIED, TRIANGLE_SPECIFIED, or
// perform some pre-processing to shift and scale input data columns
// appropriately than to expect magical results from a shady normalization hack.
//// \item @|vtkTable = obj.GetSpecifiedNormalization ()| -  These methods allow you to set/get values used to normalize the covariance matrix before PCA.
// The normalization values apply to all requests, so you do not specify a single
// vector but a 3-column table.
//
// The first two columns contain the names of columns from input 0 and the third column contains
// the value to normalize the corresponding entry in the covariance matrix.
// The table must always have 3 columns even when the NormalizationScheme is DIAGONAL_SPECIFIED.
// When only diagonal entries are to be used, only table rows where the first two columns are
// identical to one another will be employed.
// If there are multiple rows specifying different values for the same pair of columns,
// the entry nearest the bottom of the table takes precedence.
//
// These functions are actually convenience methods that set/get the third input of the filter.
// Because the table is the third input, you may use other filters to produce a table of
// normalizations and have the pipeline take care of updates.
//
// Any missing entries will be set to 1.0 and a warning issued.
// An error will occur if the third input to the filter is not set and the
// NormalizationScheme is DIAGONAL_SPECIFIED or TRIANGLE_SPECIFIED.
//// \item @|obj.SetSpecifiedNormalization (vtkTable )| -  These methods allow you to set/get values used to normalize the covariance matrix before PCA.
// The normalization values apply to all requests, so you do not specify a single
// vector but a 3-column table.
//
// The first two columns contain the names of columns from input 0 and the third column contains
// the value to normalize the corresponding entry in the covariance matrix.
// The table must always have 3 columns even when the NormalizationScheme is DIAGONAL_SPECIFIED.
// When only diagonal entries are to be used, only table rows where the first two columns are
// identical to one another will be employed.
// If there are multiple rows specifying different values for the same pair of columns,
// the entry nearest the bottom of the table takes precedence.
//
// These functions are actually convenience methods that set/get the third input of the filter.
// Because the table is the third input, you may use other filters to produce a table of
// normalizations and have the pipeline take care of updates.
//
// Any missing entries will be set to 1.0 and a warning issued.
// An error will occur if the third input to the filter is not set and the
// NormalizationScheme is DIAGONAL_SPECIFIED or TRIANGLE_SPECIFIED.
//// \item @|obj.SetBasisScheme (int )| -  This variable controls the dimensionality of output tuples in Assess mode.
// Consider the case where you have requested a PCA on D columns.
//
// When set to vtkPCAStatistics::FULL_BASIS, the entire set of basis vectors
// is used to derive new coordinates for each tuple being assessed.
// In this mode, you are guaranteed to have output tuples of the same dimension
// as the input tuples. (That dimension is D, so there will be D additional
// columns added to the table for the request.)
//
// When set to vtkPCAStatistics::FIXED_BASIS_SIZE, only the first N basis vectors
// are used to derive new coordinates for each tuple being assessed.
// In this mode, you are guaranteed to have output tuples of dimension min(N,D).
// You must set N prior to assessing data using the SetFixedBasisSize() method.
// When N < D, this turns the PCA into a projection (instead of change of basis).
//
// When set to vtkPCAStatistics::FIXED_BASIS_ENERGY, the number of basis vectors
// used to derive new coordinates for each tuple will be the minimum number
// of columns N that satisfy
// \f[
//   \frac{\sum_{i=1}^{N} \lambda_i}{\sum_{i=1}^{D} \lambda_i} < T
// \f]
// You must set T prior to assessing data using the SetFixedBasisEnergy() method.
// When T < 1, this turns the PCA into a projection (instead of change of basis).
//
// By default BasisScheme is set to vtkPCAStatistics::FULL_BASIS.
//// \item @|int = obj.GetBasisScheme ()| -  This variable controls the dimensionality of output tuples in Assess mode.
// Consider the case where you have requested a PCA on D columns.
//
// When set to vtkPCAStatistics::FULL_BASIS, the entire set of basis vectors
// is used to derive new coordinates for each tuple being assessed.
// In this mode, you are guaranteed to have output tuples of the same dimension
// as the input tuples. (That dimension is D, so there will be D additional
// columns added to the table for the request.)
//
// When set to vtkPCAStatistics::FIXED_BASIS_SIZE, only the first N basis vectors
// are used to derive new coordinates for each tuple being assessed.
// In this mode, you are guaranteed to have output tuples of dimension min(N,D).
// You must set N prior to assessing data using the SetFixedBasisSize() method.
// When N < D, this turns the PCA into a projection (instead of change of basis).
//
// When set to vtkPCAStatistics::FIXED_BASIS_ENERGY, the number of basis vectors
// used to derive new coordinates for each tuple will be the minimum number
// of columns N that satisfy
// \f[
//   \frac{\sum_{i=1}^{N} \lambda_i}{\sum_{i=1}^{D} \lambda_i} < T
// \f]
// You must set T prior to assessing data using the SetFixedBasisEnergy() method.
// When T < 1, this turns the PCA into a projection (instead of change of basis).
//
// By default BasisScheme is set to vtkPCAStatistics::FULL_BASIS.
//// \item @|string = obj.GetBasisSchemeName (int schemeIndex)| -  This variable controls the dimensionality of output tuples in Assess mode.
// Consider the case where you have requested a PCA on D columns.
//
// When set to vtkPCAStatistics::FULL_BASIS, the entire set of basis vectors
// is used to derive new coordinates for each tuple being assessed.
// In this mode, you are guaranteed to have output tuples of the same dimension
// as the input tuples. (That dimension is D, so there will be D additional
// columns added to the table for the request.)
//
// When set to vtkPCAStatistics::FIXED_BASIS_SIZE, only the first N basis vectors
// are used to derive new coordinates for each tuple being assessed.
// In this mode, you are guaranteed to have output tuples of dimension min(N,D).
// You must set N prior to assessing data using the SetFixedBasisSize() method.
// When N < D, this turns the PCA into a projection (instead of change of basis).
//
// When set to vtkPCAStatistics::FIXED_BASIS_ENERGY, the number of basis vectors
// used to derive new coordinates for each tuple will be the minimum number
// of columns N that satisfy
// \f[
//   \frac{\sum_{i=1}^{N} \lambda_i}{\sum_{i=1}^{D} \lambda_i} < T
// \f]
// You must set T prior to assessing data using the SetFixedBasisEnergy() method.
// When T < 1, this turns the PCA into a projection (instead of change of basis).
//
// By default BasisScheme is set to vtkPCAStatistics::FULL_BASIS.
//// \item @|obj.SetBasisSchemeByName (string schemeName)| -  This variable controls the dimensionality of output tuples in Assess mode.
// Consider the case where you have requested a PCA on D columns.
//
// When set to vtkPCAStatistics::FULL_BASIS, the entire set of basis vectors
// is used to derive new coordinates for each tuple being assessed.
// In this mode, you are guaranteed to have output tuples of the same dimension
// as the input tuples. (That dimension is D, so there will be D additional
// columns added to the table for the request.)
//
// When set to vtkPCAStatistics::FIXED_BASIS_SIZE, only the first N basis vectors
// are used to derive new coordinates for each tuple being assessed.
// In this mode, you are guaranteed to have output tuples of dimension min(N,D).
// You must set N prior to assessing data using the SetFixedBasisSize() method.
// When N < D, this turns the PCA into a projection (instead of change of basis).
//
// When set to vtkPCAStatistics::FIXED_BASIS_ENERGY, the number of basis vectors
// used to derive new coordinates for each tuple will be the minimum number
// of columns N that satisfy
// \f[
//   \frac{\sum_{i=1}^{N} \lambda_i}{\sum_{i=1}^{D} \lambda_i} < T
// \f]
// You must set T prior to assessing data using the SetFixedBasisEnergy() method.
// When T < 1, this turns the PCA into a projection (instead of change of basis).
//
// By default BasisScheme is set to vtkPCAStatistics::FULL_BASIS.
//// \item @|obj.SetFixedBasisSize (int )| -  The number of basis vectors to use. See SetBasisScheme() for more information.
// When FixedBasisSize <= 0 (the default), the fixed basis size scheme is equivalent to the full basis scheme.
//// \item @|int = obj.GetFixedBasisSize ()| -  The number of basis vectors to use. See SetBasisScheme() for more information.
// When FixedBasisSize <= 0 (the default), the fixed basis size scheme is equivalent to the full basis scheme.
//// \item @|obj.SetFixedBasisEnergy (double )| -  The minimum energy the new basis should use, as a fraction. See SetBasisScheme() for more information.
// When FixedBasisEnergy >= 1 (the default), the fixed basis energy scheme is equivalent to the full basis scheme.
//// \item @|double = obj.GetFixedBasisEnergyMinValue ()| -  The minimum energy the new basis should use, as a fraction. See SetBasisScheme() for more information.
// When FixedBasisEnergy >= 1 (the default), the fixed basis energy scheme is equivalent to the full basis scheme.
//// \item @|double = obj.GetFixedBasisEnergyMaxValue ()| -  The minimum energy the new basis should use, as a fraction. See SetBasisScheme() for more information.
// When FixedBasisEnergy >= 1 (the default), the fixed basis energy scheme is equivalent to the full basis scheme.
//// \item @|double = obj.GetFixedBasisEnergy ()| -  The minimum energy the new basis should use, as a fraction. See SetBasisScheme() for more information.
// When FixedBasisEnergy >= 1 (the default), the fixed basis energy scheme is equivalent to the full basis scheme.
////\end{itemize}
//!
