#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPDescriptiveStatistics object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPDescriptiveStatistics.h"

//@@Signature
//sfunction @vtkPDescriptiveStatistics:vtkPDescriptiveStatistics vtkPDescriptiveStatisticsConstructorFunction
//input a
//output p
//@@Parents vtkPDescriptiveStatistics vtkDescriptiveStatistics 
ArrayVector vtkPDescriptiveStatisticsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPDescriptiveStatistics::New(),"vtkPDescriptiveStatistics",eval);
  } else if (arg[0].className() == "vtkPDescriptiveStatistics") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPDescriptiveStatistics"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPDescriptiveStatistics");
    vtkPDescriptiveStatistics*q = reinterpret_cast<vtkPDescriptiveStatistics*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPDescriptiveStatistics");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPDescriptiveStatistics:GetClassName vtkPDescriptiveStatisticsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPDescriptiveStatisticsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPDescriptiveStatistics requires 1 argument(s)");
  vtkPDescriptiveStatistics* vtk_pointer = GetVTKPointer<vtkPDescriptiveStatistics>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPDescriptiveStatistics:IsA vtkPDescriptiveStatisticsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPDescriptiveStatisticsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPDescriptiveStatistics requires 2 argument(s)");
  vtkPDescriptiveStatistics* vtk_pointer = GetVTKPointer<vtkPDescriptiveStatistics>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPDescriptiveStatistics:NewInstance vtkPDescriptiveStatisticsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPDescriptiveStatisticsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPDescriptiveStatistics *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPDescriptiveStatistics requires 1 argument(s)");
  vtkPDescriptiveStatistics* vtk_pointer = GetVTKPointer<vtkPDescriptiveStatistics>(arg[0]);
  Array retval;
  vtkPDescriptiveStatistics  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPDescriptiveStatistics",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPDescriptiveStatistics:SafeDownCast vtkPDescriptiveStatisticsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPDescriptiveStatisticsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPDescriptiveStatistics *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPDescriptiveStatistics requires 2 argument(s)");
  vtkPDescriptiveStatistics* vtk_pointer = GetVTKPointer<vtkPDescriptiveStatistics>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPDescriptiveStatistics  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPDescriptiveStatistics",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPDescriptiveStatistics:SetController vtkPDescriptiveStatisticsSetControllerFunction
//input a0 a1 
//output none
ArrayVector vtkPDescriptiveStatisticsSetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetController (vtkMultiProcessController *); */
  if (arg.size() < 2) 
    throw Exception("Function SetController for class vtkPDescriptiveStatistics requires 2 argument(s)");
  vtkPDescriptiveStatistics* vtk_pointer = GetVTKPointer<vtkPDescriptiveStatistics>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->SetController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPDescriptiveStatistics:GetController vtkPDescriptiveStatisticsGetControllerFunction
//input a0 
//output y
ArrayVector vtkPDescriptiveStatisticsGetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiProcessController *GetController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetController for class vtkPDescriptiveStatistics requires 1 argument(s)");
  vtkPDescriptiveStatistics* vtk_pointer = GetVTKPointer<vtkPDescriptiveStatistics>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->GetController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPDescriptiveStatistics:Learn vtkPDescriptiveStatisticsLearnFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPDescriptiveStatisticsLearnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Learn (vtkTable *inData, vtkTable *inParameters, vtkDataObject *outMeta); */
  if (arg.size() < 4) 
    throw Exception("Function Learn for class vtkPDescriptiveStatistics requires 4 argument(s)");
  vtkPDescriptiveStatistics* vtk_pointer = GetVTKPointer<vtkPDescriptiveStatistics>(arg[0]);
  Array retval;
  vtkTable  *temp0;
  vtkTable  *temp1;
  vtkDataObject  *temp2;
  temp0 = GetVTKPointer<vtkTable>(arg[1]);
  temp1 = GetVTKPointer<vtkTable>(arg[2]);
  temp2 = GetVTKPointer<vtkDataObject>(arg[3]);
  vtk_pointer->Learn(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPDescriptiveStatistics:display vtkPDescriptiveStatisticsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPDescriptiveStatisticsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPDescriptiveStatistics* vtk_pointer = GetVTKPointer<vtkPDescriptiveStatistics>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPDescriptiveStatistics:delete vtkPDescriptiveStatisticsDeleteFunction
//input varargin
//output none
ArrayVector vtkPDescriptiveStatisticsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPDescriptiveStatistics
//@@Section VTKInfovis
//@@Usage
// vtkPDescriptiveStatistics is vtkDescriptiveStatistics subclass for parallel datasets.
// It learns and derives the global statistical model on each node, but assesses each 
// individual data points on the node that owns it.
//
//To create an instance of class vtkPDescriptiveStatistics, simply
//invoke its constructor as follows
//@[
//  obj = vtkPDescriptiveStatistics
//@]
//@@Methods
//The class vtkPDescriptiveStatistics has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPDescriptiveStatistics class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPDescriptiveStatistics = obj.NewInstance ()|
// \item @|vtkPDescriptiveStatistics = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetController (vtkMultiProcessController )| -  Get/Set the multiprocess controller. If no controller is set,
// single process is assumed.
//// \item @|vtkMultiProcessController = obj.GetController ()| -  Get/Set the multiprocess controller. If no controller is set,
// single process is assumed.
//// \item @|obj.Learn (vtkTable inData, vtkTable inParameters, vtkDataObject outMeta)| -  Execute the parallel calculations required by the Learn option.
////\end{itemize}
//!
