#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPKMeansStatistics object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPKMeansStatistics.h"

//@@Signature
//sfunction @vtkPKMeansStatistics:vtkPKMeansStatistics vtkPKMeansStatisticsConstructorFunction
//input a
//output p
//@@Parents vtkPKMeansStatistics vtkKMeansStatistics 
ArrayVector vtkPKMeansStatisticsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPKMeansStatistics::New(),"vtkPKMeansStatistics",eval);
  } else if (arg[0].className() == "vtkPKMeansStatistics") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPKMeansStatistics"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPKMeansStatistics");
    vtkPKMeansStatistics*q = reinterpret_cast<vtkPKMeansStatistics*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPKMeansStatistics");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPKMeansStatistics:GetClassName vtkPKMeansStatisticsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPKMeansStatisticsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPKMeansStatistics requires 1 argument(s)");
  vtkPKMeansStatistics* vtk_pointer = GetVTKPointer<vtkPKMeansStatistics>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKMeansStatistics:IsA vtkPKMeansStatisticsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPKMeansStatisticsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPKMeansStatistics requires 2 argument(s)");
  vtkPKMeansStatistics* vtk_pointer = GetVTKPointer<vtkPKMeansStatistics>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKMeansStatistics:NewInstance vtkPKMeansStatisticsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPKMeansStatisticsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPKMeansStatistics *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPKMeansStatistics requires 1 argument(s)");
  vtkPKMeansStatistics* vtk_pointer = GetVTKPointer<vtkPKMeansStatistics>(arg[0]);
  Array retval;
  vtkPKMeansStatistics  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPKMeansStatistics",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPKMeansStatistics:SafeDownCast vtkPKMeansStatisticsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPKMeansStatisticsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPKMeansStatistics *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPKMeansStatistics requires 2 argument(s)");
  vtkPKMeansStatistics* vtk_pointer = GetVTKPointer<vtkPKMeansStatistics>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPKMeansStatistics  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPKMeansStatistics",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPKMeansStatistics:SetController vtkPKMeansStatisticsSetControllerFunction
//input a0 a1 
//output none
ArrayVector vtkPKMeansStatisticsSetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetController (vtkMultiProcessController *); */
  if (arg.size() < 2) 
    throw Exception("Function SetController for class vtkPKMeansStatistics requires 2 argument(s)");
  vtkPKMeansStatistics* vtk_pointer = GetVTKPointer<vtkPKMeansStatistics>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->SetController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPKMeansStatistics:GetController vtkPKMeansStatisticsGetControllerFunction
//input a0 
//output y
ArrayVector vtkPKMeansStatisticsGetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiProcessController *GetController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetController for class vtkPKMeansStatistics requires 1 argument(s)");
  vtkPKMeansStatistics* vtk_pointer = GetVTKPointer<vtkPKMeansStatistics>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->GetController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPKMeansStatistics:UpdateClusterCenters vtkPKMeansStatisticsUpdateClusterCentersFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 a8 
//output none
ArrayVector vtkPKMeansStatisticsUpdateClusterCentersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UpdateClusterCenters (vtkTable *newClusterElements, vtkTable *curClusterElements, vtkIdTypeArray *numMembershipChanges, vtkIdTypeArray *numElementsInCluster, vtkDoubleArray *error, vtkIdTypeArray *startRunID, vtkIdTypeArray *endRunID, vtkIntArray *computeRun); */
  if (arg.size() < 9) 
    throw Exception("Function UpdateClusterCenters for class vtkPKMeansStatistics requires 9 argument(s)");
  vtkPKMeansStatistics* vtk_pointer = GetVTKPointer<vtkPKMeansStatistics>(arg[0]);
  Array retval;
  vtkTable  *temp0;
  vtkTable  *temp1;
  vtkIdTypeArray  *temp2;
  vtkIdTypeArray  *temp3;
  vtkDoubleArray  *temp4;
  vtkIdTypeArray  *temp5;
  vtkIdTypeArray  *temp6;
  vtkIntArray  *temp7;
  temp0 = GetVTKPointer<vtkTable>(arg[1]);
  temp1 = GetVTKPointer<vtkTable>(arg[2]);
  temp2 = GetVTKPointer<vtkIdTypeArray>(arg[3]);
  temp3 = GetVTKPointer<vtkIdTypeArray>(arg[4]);
  temp4 = GetVTKPointer<vtkDoubleArray>(arg[5]);
  temp5 = GetVTKPointer<vtkIdTypeArray>(arg[6]);
  temp6 = GetVTKPointer<vtkIdTypeArray>(arg[7]);
  temp7 = GetVTKPointer<vtkIntArray>(arg[8]);
  vtk_pointer->UpdateClusterCenters(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
  return retval;
}

//@@Signature
//sfunction @vtkPKMeansStatistics:GetTotalNumberOfObservations vtkPKMeansStatisticsGetTotalNumberOfObservationsFunction
//input a0 a1 
//output y
ArrayVector vtkPKMeansStatisticsGetTotalNumberOfObservationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetTotalNumberOfObservations (vtkIdType numObservations); */
  if (arg.size() < 2) 
    throw Exception("Function GetTotalNumberOfObservations for class vtkPKMeansStatistics requires 2 argument(s)");
  vtkPKMeansStatistics* vtk_pointer = GetVTKPointer<vtkPKMeansStatistics>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTotalNumberOfObservations(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPKMeansStatistics:CreateInitialClusterCenters vtkPKMeansStatisticsCreateInitialClusterCentersFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkPKMeansStatisticsCreateInitialClusterCentersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CreateInitialClusterCenters (vtkIdType numToAllocate, vtkIdTypeArray *numberOfClusters, vtkTable *inData, vtkTable *curClusterElements, vtkTable *newClusterElements); */
  if (arg.size() < 6) 
    throw Exception("Function CreateInitialClusterCenters for class vtkPKMeansStatistics requires 6 argument(s)");
  vtkPKMeansStatistics* vtk_pointer = GetVTKPointer<vtkPKMeansStatistics>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdTypeArray  *temp1;
  vtkTable  *temp2;
  vtkTable  *temp3;
  vtkTable  *temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkIdTypeArray>(arg[2]);
  temp2 = GetVTKPointer<vtkTable>(arg[3]);
  temp3 = GetVTKPointer<vtkTable>(arg[4]);
  temp4 = GetVTKPointer<vtkTable>(arg[5]);
  vtk_pointer->CreateInitialClusterCenters(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkPKMeansStatistics:display vtkPKMeansStatisticsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPKMeansStatisticsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPKMeansStatistics* vtk_pointer = GetVTKPointer<vtkPKMeansStatistics>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPKMeansStatistics:delete vtkPKMeansStatisticsDeleteFunction
//input varargin
//output none
ArrayVector vtkPKMeansStatisticsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPKMeansStatistics
//@@Section VTKInfovis
//@@Usage
// vtkPKMeansStatistics is vtkKMeansStatistics subclass for parallel datasets.
// It learns and derives the global statistical model on each node, but assesses each 
// individual data points on the node that owns it.
//
//To create an instance of class vtkPKMeansStatistics, simply
//invoke its constructor as follows
//@[
//  obj = vtkPKMeansStatistics
//@]
//@@Methods
//The class vtkPKMeansStatistics has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPKMeansStatistics class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPKMeansStatistics = obj.NewInstance ()|
// \item @|vtkPKMeansStatistics = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetController (vtkMultiProcessController )| -  Get/Set the multiprocess controller. If no controller is set,
// single process is assumed.
//// \item @|vtkMultiProcessController = obj.GetController ()| -  Get/Set the multiprocess controller. If no controller is set,
// single process is assumed.
//// \item @|obj.UpdateClusterCenters (vtkTable newClusterElements, vtkTable curClusterElements, vtkIdTypeArray numMembershipChanges, vtkIdTypeArray numElementsInCluster, vtkDoubleArray error, vtkIdTypeArray startRunID, vtkIdTypeArray endRunID, vtkIntArray computeRun)| -  Subroutine to update new cluster centers from the old centers.
//// \item @|vtkIdType = obj.GetTotalNumberOfObservations (vtkIdType numObservations)| -  Subroutine to get the total number of data objects.
//// \item @|obj.CreateInitialClusterCenters (vtkIdType numToAllocate, vtkIdTypeArray numberOfClusters, vtkTable inData, vtkTable curClusterElements, vtkTable newClusterElements)| -  Subroutine to initialize cluster centerss if not provided by the user.
////\end{itemize}
//!
