#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPPCAStatistics object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPPCAStatistics.h"

//@@Signature
//sfunction @vtkPPCAStatistics:vtkPPCAStatistics vtkPPCAStatisticsConstructorFunction
//input a
//output p
//@@Parents vtkPPCAStatistics vtkPCAStatistics 
ArrayVector vtkPPCAStatisticsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPPCAStatistics::New(),"vtkPPCAStatistics",eval);
  } else if (arg[0].className() == "vtkPPCAStatistics") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPPCAStatistics"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPPCAStatistics");
    vtkPPCAStatistics*q = reinterpret_cast<vtkPPCAStatistics*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPPCAStatistics");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPPCAStatistics:GetClassName vtkPPCAStatisticsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPPCAStatisticsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPPCAStatistics requires 1 argument(s)");
  vtkPPCAStatistics* vtk_pointer = GetVTKPointer<vtkPPCAStatistics>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPPCAStatistics:IsA vtkPPCAStatisticsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPPCAStatisticsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPPCAStatistics requires 2 argument(s)");
  vtkPPCAStatistics* vtk_pointer = GetVTKPointer<vtkPPCAStatistics>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPPCAStatistics:NewInstance vtkPPCAStatisticsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPPCAStatisticsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPPCAStatistics *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPPCAStatistics requires 1 argument(s)");
  vtkPPCAStatistics* vtk_pointer = GetVTKPointer<vtkPPCAStatistics>(arg[0]);
  Array retval;
  vtkPPCAStatistics  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPPCAStatistics",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPPCAStatistics:SafeDownCast vtkPPCAStatisticsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPPCAStatisticsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPPCAStatistics *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPPCAStatistics requires 2 argument(s)");
  vtkPPCAStatistics* vtk_pointer = GetVTKPointer<vtkPPCAStatistics>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPPCAStatistics  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPPCAStatistics",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPPCAStatistics:SetController vtkPPCAStatisticsSetControllerFunction
//input a0 a1 
//output none
ArrayVector vtkPPCAStatisticsSetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetController (vtkMultiProcessController *); */
  if (arg.size() < 2) 
    throw Exception("Function SetController for class vtkPPCAStatistics requires 2 argument(s)");
  vtkPPCAStatistics* vtk_pointer = GetVTKPointer<vtkPPCAStatistics>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->SetController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPPCAStatistics:GetController vtkPPCAStatisticsGetControllerFunction
//input a0 
//output y
ArrayVector vtkPPCAStatisticsGetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiProcessController *GetController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetController for class vtkPPCAStatistics requires 1 argument(s)");
  vtkPPCAStatistics* vtk_pointer = GetVTKPointer<vtkPPCAStatistics>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->GetController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPPCAStatistics:display vtkPPCAStatisticsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPPCAStatisticsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPPCAStatistics* vtk_pointer = GetVTKPointer<vtkPPCAStatistics>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPPCAStatistics:delete vtkPPCAStatisticsDeleteFunction
//input varargin
//output none
ArrayVector vtkPPCAStatisticsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPPCAStatistics
//@@Section VTKInfovis
//@@Usage
// vtkPPCAStatistics is vtkPCAStatistics subclass for parallel datasets.
// It learns and derives the global statistical model on each node, but assesses each 
// individual data points on the node that owns it.
//
//To create an instance of class vtkPPCAStatistics, simply
//invoke its constructor as follows
//@[
//  obj = vtkPPCAStatistics
//@]
//@@Methods
//The class vtkPPCAStatistics has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPPCAStatistics class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPPCAStatistics = obj.NewInstance ()|
// \item @|vtkPPCAStatistics = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetController (vtkMultiProcessController )| -  Get/Set the multiprocess controller. If no controller is set,
// single process is assumed.
//// \item @|vtkMultiProcessController = obj.GetController ()| -  Get/Set the multiprocess controller. If no controller is set,
// single process is assumed.
////\end{itemize}
//!
