#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPairwiseExtractHistogram2D object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPairwiseExtractHistogram2D.h"

//@@Signature
//sfunction @vtkPairwiseExtractHistogram2D:vtkPairwiseExtractHistogram2D vtkPairwiseExtractHistogram2DConstructorFunction
//input a
//output p
//@@Parents vtkPairwiseExtractHistogram2D vtkStatisticsAlgorithm 
ArrayVector vtkPairwiseExtractHistogram2DConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPairwiseExtractHistogram2D::New(),"vtkPairwiseExtractHistogram2D",eval);
  } else if (arg[0].className() == "vtkPairwiseExtractHistogram2D") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPairwiseExtractHistogram2D"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPairwiseExtractHistogram2D");
    vtkPairwiseExtractHistogram2D*q = reinterpret_cast<vtkPairwiseExtractHistogram2D*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPairwiseExtractHistogram2D");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPairwiseExtractHistogram2D:GetClassName vtkPairwiseExtractHistogram2DGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPairwiseExtractHistogram2DGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPairwiseExtractHistogram2D requires 1 argument(s)");
  vtkPairwiseExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkPairwiseExtractHistogram2D>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPairwiseExtractHistogram2D:IsA vtkPairwiseExtractHistogram2DIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPairwiseExtractHistogram2DIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPairwiseExtractHistogram2D requires 2 argument(s)");
  vtkPairwiseExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkPairwiseExtractHistogram2D>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPairwiseExtractHistogram2D:NewInstance vtkPairwiseExtractHistogram2DNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPairwiseExtractHistogram2DNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPairwiseExtractHistogram2D *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPairwiseExtractHistogram2D requires 1 argument(s)");
  vtkPairwiseExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkPairwiseExtractHistogram2D>(arg[0]);
  Array retval;
  vtkPairwiseExtractHistogram2D  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPairwiseExtractHistogram2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPairwiseExtractHistogram2D:SafeDownCast vtkPairwiseExtractHistogram2DSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPairwiseExtractHistogram2DSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPairwiseExtractHistogram2D *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPairwiseExtractHistogram2D requires 2 argument(s)");
  vtkPairwiseExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkPairwiseExtractHistogram2D>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPairwiseExtractHistogram2D  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPairwiseExtractHistogram2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPairwiseExtractHistogram2D:SetNumberOfBins__1 vtkPairwiseExtractHistogram2DSetNumberOfBins__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkPairwiseExtractHistogram2DSetNumberOfBins__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfBins (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetNumberOfBins__1 for class vtkPairwiseExtractHistogram2D requires 3 argument(s)");
  vtkPairwiseExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkPairwiseExtractHistogram2D>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetNumberOfBins(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPairwiseExtractHistogram2D:SetNumberOfBins__2 vtkPairwiseExtractHistogram2DSetNumberOfBins__2Function
//input a0 a1 
//output none
ArrayVector vtkPairwiseExtractHistogram2DSetNumberOfBins__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfBins (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfBins__2 for class vtkPairwiseExtractHistogram2D requires 2 argument(s)");
  vtkPairwiseExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkPairwiseExtractHistogram2D>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetNumberOfBins(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPairwiseExtractHistogram2D:GetNumberOfBins vtkPairwiseExtractHistogram2DGetNumberOfBinsFunction
//input a0 
//output y
ArrayVector vtkPairwiseExtractHistogram2DGetNumberOfBinsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetNumberOfBins (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfBins for class vtkPairwiseExtractHistogram2D requires 1 argument(s)");
  vtkPairwiseExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkPairwiseExtractHistogram2D>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetNumberOfBins();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkPairwiseExtractHistogram2D:SetCustomColumnRangeIndex vtkPairwiseExtractHistogram2DSetCustomColumnRangeIndexFunction
//input a0 a1 
//output none
ArrayVector vtkPairwiseExtractHistogram2DSetCustomColumnRangeIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCustomColumnRangeIndex (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCustomColumnRangeIndex for class vtkPairwiseExtractHistogram2D requires 2 argument(s)");
  vtkPairwiseExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkPairwiseExtractHistogram2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCustomColumnRangeIndex(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPairwiseExtractHistogram2D:SetCustomColumnRangeByIndex vtkPairwiseExtractHistogram2DSetCustomColumnRangeByIndexFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPairwiseExtractHistogram2DSetCustomColumnRangeByIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCustomColumnRangeByIndex (double , double ); */
  if (arg.size() < 3) 
    throw Exception("Function SetCustomColumnRangeByIndex for class vtkPairwiseExtractHistogram2D requires 3 argument(s)");
  vtkPairwiseExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkPairwiseExtractHistogram2D>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->SetCustomColumnRangeByIndex(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPairwiseExtractHistogram2D:SetCustomColumnRange__1 vtkPairwiseExtractHistogram2DSetCustomColumnRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkPairwiseExtractHistogram2DSetCustomColumnRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCustomColumnRange (int col, double range[2]); */
  if (arg.size() < 3) 
    throw Exception("Function SetCustomColumnRange__1 for class vtkPairwiseExtractHistogram2D requires 3 argument(s)");
  vtkPairwiseExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkPairwiseExtractHistogram2D>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[2];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->SetCustomColumnRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPairwiseExtractHistogram2D:SetCustomColumnRange__2 vtkPairwiseExtractHistogram2DSetCustomColumnRange__2Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPairwiseExtractHistogram2DSetCustomColumnRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCustomColumnRange (int col, double rmin, double rmax); */
  if (arg.size() < 4) 
    throw Exception("Function SetCustomColumnRange__2 for class vtkPairwiseExtractHistogram2D requires 4 argument(s)");
  vtkPairwiseExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkPairwiseExtractHistogram2D>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetCustomColumnRange(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPairwiseExtractHistogram2D:SetScalarType vtkPairwiseExtractHistogram2DSetScalarTypeFunction
//input a0 a1 
//output none
ArrayVector vtkPairwiseExtractHistogram2DSetScalarTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarType for class vtkPairwiseExtractHistogram2D requires 2 argument(s)");
  vtkPairwiseExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkPairwiseExtractHistogram2D>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScalarType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPairwiseExtractHistogram2D:SetScalarTypeToUnsignedInt vtkPairwiseExtractHistogram2DSetScalarTypeToUnsignedIntFunction
//input a0 
//output none
ArrayVector vtkPairwiseExtractHistogram2DSetScalarTypeToUnsignedIntFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToUnsignedInt ();this SetScalarType VTK_UNSIGNED_INT  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToUnsignedInt for class vtkPairwiseExtractHistogram2D requires 1 argument(s)");
  vtkPairwiseExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkPairwiseExtractHistogram2D>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToUnsignedInt();
  return retval;
}

//@@Signature
//sfunction @vtkPairwiseExtractHistogram2D:SetScalarTypeToUnsignedLong vtkPairwiseExtractHistogram2DSetScalarTypeToUnsignedLongFunction
//input a0 
//output none
ArrayVector vtkPairwiseExtractHistogram2DSetScalarTypeToUnsignedLongFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToUnsignedLong ();this SetScalarType VTK_UNSIGNED_LONG  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToUnsignedLong for class vtkPairwiseExtractHistogram2D requires 1 argument(s)");
  vtkPairwiseExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkPairwiseExtractHistogram2D>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToUnsignedLong();
  return retval;
}

//@@Signature
//sfunction @vtkPairwiseExtractHistogram2D:SetScalarTypeToUnsignedShort vtkPairwiseExtractHistogram2DSetScalarTypeToUnsignedShortFunction
//input a0 
//output none
ArrayVector vtkPairwiseExtractHistogram2DSetScalarTypeToUnsignedShortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToUnsignedShort ();this SetScalarType VTK_UNSIGNED_SHORT  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToUnsignedShort for class vtkPairwiseExtractHistogram2D requires 1 argument(s)");
  vtkPairwiseExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkPairwiseExtractHistogram2D>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToUnsignedShort();
  return retval;
}

//@@Signature
//sfunction @vtkPairwiseExtractHistogram2D:SetScalarTypeToUnsignedChar vtkPairwiseExtractHistogram2DSetScalarTypeToUnsignedCharFunction
//input a0 
//output none
ArrayVector vtkPairwiseExtractHistogram2DSetScalarTypeToUnsignedCharFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTypeToUnsignedChar ();this SetScalarType VTK_UNSIGNED_CHAR  */
  if (arg.size() < 1) 
    throw Exception("Function SetScalarTypeToUnsignedChar for class vtkPairwiseExtractHistogram2D requires 1 argument(s)");
  vtkPairwiseExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkPairwiseExtractHistogram2D>(arg[0]);
  Array retval;
  vtk_pointer->SetScalarTypeToUnsignedChar();
  return retval;
}

//@@Signature
//sfunction @vtkPairwiseExtractHistogram2D:GetScalarType vtkPairwiseExtractHistogram2DGetScalarTypeFunction
//input a0 
//output y
ArrayVector vtkPairwiseExtractHistogram2DGetScalarTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarType for class vtkPairwiseExtractHistogram2D requires 1 argument(s)");
  vtkPairwiseExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkPairwiseExtractHistogram2D>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScalarType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPairwiseExtractHistogram2D:GetMaximumBinCount__1 vtkPairwiseExtractHistogram2DGetMaximumBinCount__1Function
//input a0 a1 
//output y
ArrayVector vtkPairwiseExtractHistogram2DGetMaximumBinCount__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumBinCount (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetMaximumBinCount__1 for class vtkPairwiseExtractHistogram2D requires 2 argument(s)");
  vtkPairwiseExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkPairwiseExtractHistogram2D>(arg[0]);
  Array retval;
  int      temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetMaximumBinCount(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPairwiseExtractHistogram2D:GetMaximumBinCount__2 vtkPairwiseExtractHistogram2DGetMaximumBinCount__2Function
//input a0 
//output y
ArrayVector vtkPairwiseExtractHistogram2DGetMaximumBinCount__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMaximumBinCount (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumBinCount__2 for class vtkPairwiseExtractHistogram2D requires 1 argument(s)");
  vtkPairwiseExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkPairwiseExtractHistogram2D>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMaximumBinCount();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPairwiseExtractHistogram2D:GetBinRange__1 vtkPairwiseExtractHistogram2DGetBinRange__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkPairwiseExtractHistogram2DGetBinRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBinRange (int idx, vtkIdType binX, vtkIdType binY, double range[4]); */
  if (arg.size() < 5) 
    throw Exception("Function GetBinRange__1 for class vtkPairwiseExtractHistogram2D requires 5 argument(s)");
  vtkPairwiseExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkPairwiseExtractHistogram2D>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdType   temp1;
  vtkIdType   temp2;
  double temp3[4];
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !(arg[4].isVector() && arg[4].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[4].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp3[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetBinRange(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPairwiseExtractHistogram2D:GetBinRange__2 vtkPairwiseExtractHistogram2DGetBinRange__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkPairwiseExtractHistogram2DGetBinRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBinRange (int idx, vtkIdType bin, double range[4]); */
  if (arg.size() < 4) 
    throw Exception("Function GetBinRange__2 for class vtkPairwiseExtractHistogram2D requires 4 argument(s)");
  vtkPairwiseExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkPairwiseExtractHistogram2D>(arg[0]);
  Array retval;
  int      temp0;
  vtkIdType   temp1;
  double temp2[4];
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !(arg[3].isVector() && arg[3].length() == 4) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetBinRange(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPairwiseExtractHistogram2D:GetBinWidth vtkPairwiseExtractHistogram2DGetBinWidthFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPairwiseExtractHistogram2DGetBinWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetBinWidth (int idx, double bw[2]); */
  if (arg.size() < 3) 
    throw Exception("Function GetBinWidth for class vtkPairwiseExtractHistogram2D requires 3 argument(s)");
  vtkPairwiseExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkPairwiseExtractHistogram2D>(arg[0]);
  Array retval;
  int      temp0;
  double temp1[2];
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !(arg[2].isVector() && arg[2].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[2].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
  }
  vtk_pointer->GetBinWidth(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPairwiseExtractHistogram2D:GetOutputHistogramImage vtkPairwiseExtractHistogram2DGetOutputHistogramImageFunction
//input a0 a1 
//output y
ArrayVector vtkPairwiseExtractHistogram2DGetOutputHistogramImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetOutputHistogramImage (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutputHistogramImage for class vtkPairwiseExtractHistogram2D requires 2 argument(s)");
  vtkPairwiseExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkPairwiseExtractHistogram2D>(arg[0]);
  Array retval;
  int      temp0;
  vtkImageData  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutputHistogramImage(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPairwiseExtractHistogram2D:GetHistogramFilter vtkPairwiseExtractHistogram2DGetHistogramFilterFunction
//input a0 a1 
//output y
ArrayVector vtkPairwiseExtractHistogram2DGetHistogramFilterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtractHistogram2D *GetHistogramFilter (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetHistogramFilter for class vtkPairwiseExtractHistogram2D requires 2 argument(s)");
  vtkPairwiseExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkPairwiseExtractHistogram2D>(arg[0]);
  Array retval;
  int      temp0;
  vtkExtractHistogram2D  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetHistogramFilter(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtractHistogram2D",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPairwiseExtractHistogram2D:Aggregate vtkPairwiseExtractHistogram2DAggregateFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPairwiseExtractHistogram2DAggregateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Aggregate (vtkDataObjectCollection *, vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function Aggregate for class vtkPairwiseExtractHistogram2D requires 3 argument(s)");
  vtkPairwiseExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkPairwiseExtractHistogram2D>(arg[0]);
  Array retval;
  vtkDataObjectCollection  *temp0;
  vtkDataObject  *temp1;
  temp0 = GetVTKPointer<vtkDataObjectCollection>(arg[1]);
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->Aggregate(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPairwiseExtractHistogram2D:SetNumberOfBins vtkPairwiseExtractHistogram2DSetNumberOfBinsFunction
//input varargin
//output varargout
ArrayVector vtkPairwiseExtractHistogram2DSetNumberOfBinsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkPairwiseExtractHistogram2DSetNumberOfBins__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkPairwiseExtractHistogram2DSetNumberOfBins__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPairwiseExtractHistogram2DSetNumberOfBins");
}

//@@Signature
//sfunction @vtkPairwiseExtractHistogram2D:SetCustomColumnRange vtkPairwiseExtractHistogram2DSetCustomColumnRangeFunction
//input varargin
//output varargout
ArrayVector vtkPairwiseExtractHistogram2DSetCustomColumnRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkPairwiseExtractHistogram2DSetCustomColumnRange__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPairwiseExtractHistogram2DSetCustomColumnRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPairwiseExtractHistogram2DSetCustomColumnRange");
}

//@@Signature
//sfunction @vtkPairwiseExtractHistogram2D:GetMaximumBinCount vtkPairwiseExtractHistogram2DGetMaximumBinCountFunction
//input varargin
//output varargout
ArrayVector vtkPairwiseExtractHistogram2DGetMaximumBinCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkPairwiseExtractHistogram2DGetMaximumBinCount__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkPairwiseExtractHistogram2DGetMaximumBinCount__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPairwiseExtractHistogram2DGetMaximumBinCount");
}

//@@Signature
//sfunction @vtkPairwiseExtractHistogram2D:GetBinRange vtkPairwiseExtractHistogram2DGetBinRangeFunction
//input varargin
//output varargout
ArrayVector vtkPairwiseExtractHistogram2DGetBinRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsVectorArg(arg[4]))
    return vtkPairwiseExtractHistogram2DGetBinRange__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkPairwiseExtractHistogram2DGetBinRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPairwiseExtractHistogram2DGetBinRange");
}

//@@Signature
//sfunction @vtkPairwiseExtractHistogram2D:display vtkPairwiseExtractHistogram2DDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPairwiseExtractHistogram2DDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPairwiseExtractHistogram2D* vtk_pointer = GetVTKPointer<vtkPairwiseExtractHistogram2D>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPairwiseExtractHistogram2D:delete vtkPairwiseExtractHistogram2DDeleteFunction
//input varargin
//output none
ArrayVector vtkPairwiseExtractHistogram2DDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPairwiseExtractHistogram2D
//@@Section VTKInfovis
//@@Usage
//  This class computes a 2D histogram between all adjacent pairs of columns 
//  of an input vtkTable. Internally it creates multiple vtkExtractHistogram2D
//  instances (one for each pair of adjacent table columns).  It also
//  manages updating histogram computations intelligently, only recomputing
//  those histograms for whom a relevant property has been altered.
//
//  Note that there are two different outputs from this filter.  One is a 
//  table for which each column contains a flattened 2D histogram array.
//  The other is a vtkMultiBlockDataSet for which each block is a 
//  vtkImageData representation of the 2D histogram.
//
//
//To create an instance of class vtkPairwiseExtractHistogram2D, simply
//invoke its constructor as follows
//@[
//  obj = vtkPairwiseExtractHistogram2D
//@]
//@@Methods
//The class vtkPairwiseExtractHistogram2D has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPairwiseExtractHistogram2D class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPairwiseExtractHistogram2D = obj.NewInstance ()|
// \item @|vtkPairwiseExtractHistogram2D = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetNumberOfBins (int , int )| -  Set/get the bin dimensions of the histograms to compute
//// \item @|obj.SetNumberOfBins (int  a[2])| -  Set/get the bin dimensions of the histograms to compute
//// \item @|int = obj. GetNumberOfBins ()| -  Set/get the bin dimensions of the histograms to compute
//// \item @|obj.SetCustomColumnRangeIndex (int )| -  Strange method for setting an index to be used for setting custom 
// column range. This was (probably) necessary to get this class
// to interact with the ParaView client/server message passing interface.
//// \item @|obj.SetCustomColumnRangeByIndex (double , double )| -  Strange method for setting an index to be used for setting custom 
// column range. This was (probably) necessary to get this class
// to interact with the ParaView client/server message passing interface.
//// \item @|obj.SetCustomColumnRange (int col, double range[2])| -  More standard way to set the custom range for a particular column.
// This makes sure that only the affected histograms know that they
// need to be updated.
//// \item @|obj.SetCustomColumnRange (int col, double rmin, double rmax)| -  More standard way to set the custom range for a particular column.
// This makes sure that only the affected histograms know that they
// need to be updated.
//// \item @|obj.SetScalarType (int )| -  Set the scalar type for each of the computed histograms.
//// \item @|obj.SetScalarTypeToUnsignedInt ()| -  Set the scalar type for each of the computed histograms.
//// \item @|obj.SetScalarTypeToUnsignedLong ()| -  Set the scalar type for each of the computed histograms.
//// \item @|obj.SetScalarTypeToUnsignedShort ()| -  Set the scalar type for each of the computed histograms.
//// \item @|obj.SetScalarTypeToUnsignedChar ()| -  Set the scalar type for each of the computed histograms.
//// \item @|int = obj.GetScalarType ()| -  Set the scalar type for each of the computed histograms.
//// \item @|double = obj.GetMaximumBinCount (int idx)| -  Get the maximum bin count for a single histogram
//// \item @|double = obj.GetMaximumBinCount ()| -  Get the maximum bin count over all histograms
//// \item @|int = obj.GetBinRange (int idx, vtkIdType binX, vtkIdType binY, double range[4])| -  Compute the range of the bin located at position (binX,binY) in
// the 2D histogram at idx.
//// \item @|int = obj.GetBinRange (int idx, vtkIdType bin, double range[4])| -  Get the range of the of the bin located at 1D position index bin
// in the 2D histogram array at idx.
//// \item @|obj.GetBinWidth (int idx, double bw[2])| -  Get the width of all of the bins. Also stored in the spacing
// ivar of the histogram image output at idx.
//// \item @|vtkImageData = obj.GetOutputHistogramImage (int idx)| -  Get the vtkImageData output of the idx'th histogram filter
//// \item @|vtkExtractHistogram2D = obj.GetHistogramFilter (int idx)| -  Get a pointer to the idx'th histogram filter.
//// \item @|obj.Aggregate (vtkDataObjectCollection , vtkDataObject )| -  Given a collection of models, calculate aggregate model.  Not used
////\end{itemize}
//!
