#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPassArrays object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPassArrays.h"

//@@Signature
//sfunction @vtkPassArrays:vtkPassArrays vtkPassArraysConstructorFunction
//input a
//output p
//@@Parents vtkPassArrays vtkDataObjectAlgorithm 
ArrayVector vtkPassArraysConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPassArrays::New(),"vtkPassArrays",eval);
  } else if (arg[0].className() == "vtkPassArrays") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPassArrays"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPassArrays");
    vtkPassArrays*q = reinterpret_cast<vtkPassArrays*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPassArrays");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPassArrays:GetClassName vtkPassArraysGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPassArraysGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPassArrays requires 1 argument(s)");
  vtkPassArrays* vtk_pointer = GetVTKPointer<vtkPassArrays>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPassArrays:IsA vtkPassArraysIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPassArraysIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPassArrays requires 2 argument(s)");
  vtkPassArrays* vtk_pointer = GetVTKPointer<vtkPassArrays>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPassArrays:NewInstance vtkPassArraysNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPassArraysNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPassArrays *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPassArrays requires 1 argument(s)");
  vtkPassArrays* vtk_pointer = GetVTKPointer<vtkPassArrays>(arg[0]);
  Array retval;
  vtkPassArrays  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPassArrays",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPassArrays:SafeDownCast vtkPassArraysSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPassArraysSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPassArrays *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPassArrays requires 2 argument(s)");
  vtkPassArrays* vtk_pointer = GetVTKPointer<vtkPassArrays>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPassArrays  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPassArrays",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPassArrays:AddArray vtkPassArraysAddArrayFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPassArraysAddArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddArray (int fieldType, const char *name); */
  if (arg.size() < 3) 
    throw Exception("Function AddArray for class vtkPassArrays requires 3 argument(s)");
  vtkPassArrays* vtk_pointer = GetVTKPointer<vtkPassArrays>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->AddArray(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPassArrays:ClearArrays vtkPassArraysClearArraysFunction
//input a0 
//output none
ArrayVector vtkPassArraysClearArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ClearArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function ClearArrays for class vtkPassArrays requires 1 argument(s)");
  vtkPassArrays* vtk_pointer = GetVTKPointer<vtkPassArrays>(arg[0]);
  Array retval;
  vtk_pointer->ClearArrays();
  return retval;
}

//@@Signature
//sfunction @vtkPassArrays:SetRemoveArrays vtkPassArraysSetRemoveArraysFunction
//input a0 a1 
//output none
ArrayVector vtkPassArraysSetRemoveArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRemoveArrays (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRemoveArrays for class vtkPassArrays requires 2 argument(s)");
  vtkPassArrays* vtk_pointer = GetVTKPointer<vtkPassArrays>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetRemoveArrays(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPassArrays:GetRemoveArrays vtkPassArraysGetRemoveArraysFunction
//input a0 
//output y
ArrayVector vtkPassArraysGetRemoveArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetRemoveArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRemoveArrays for class vtkPassArrays requires 1 argument(s)");
  vtkPassArrays* vtk_pointer = GetVTKPointer<vtkPassArrays>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetRemoveArrays();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkPassArrays:RemoveArraysOn vtkPassArraysRemoveArraysOnFunction
//input a0 
//output none
ArrayVector vtkPassArraysRemoveArraysOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveArraysOn (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveArraysOn for class vtkPassArrays requires 1 argument(s)");
  vtkPassArrays* vtk_pointer = GetVTKPointer<vtkPassArrays>(arg[0]);
  Array retval;
  vtk_pointer->RemoveArraysOn();
  return retval;
}

//@@Signature
//sfunction @vtkPassArrays:RemoveArraysOff vtkPassArraysRemoveArraysOffFunction
//input a0 
//output none
ArrayVector vtkPassArraysRemoveArraysOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveArraysOff (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveArraysOff for class vtkPassArrays requires 1 argument(s)");
  vtkPassArrays* vtk_pointer = GetVTKPointer<vtkPassArrays>(arg[0]);
  Array retval;
  vtk_pointer->RemoveArraysOff();
  return retval;
}

//@@Signature
//sfunction @vtkPassArrays:SetUseFieldTypes vtkPassArraysSetUseFieldTypesFunction
//input a0 a1 
//output none
ArrayVector vtkPassArraysSetUseFieldTypesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseFieldTypes (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseFieldTypes for class vtkPassArrays requires 2 argument(s)");
  vtkPassArrays* vtk_pointer = GetVTKPointer<vtkPassArrays>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetUseFieldTypes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPassArrays:GetUseFieldTypes vtkPassArraysGetUseFieldTypesFunction
//input a0 
//output y
ArrayVector vtkPassArraysGetUseFieldTypesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetUseFieldTypes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseFieldTypes for class vtkPassArrays requires 1 argument(s)");
  vtkPassArrays* vtk_pointer = GetVTKPointer<vtkPassArrays>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetUseFieldTypes();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkPassArrays:UseFieldTypesOn vtkPassArraysUseFieldTypesOnFunction
//input a0 
//output none
ArrayVector vtkPassArraysUseFieldTypesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseFieldTypesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseFieldTypesOn for class vtkPassArrays requires 1 argument(s)");
  vtkPassArrays* vtk_pointer = GetVTKPointer<vtkPassArrays>(arg[0]);
  Array retval;
  vtk_pointer->UseFieldTypesOn();
  return retval;
}

//@@Signature
//sfunction @vtkPassArrays:UseFieldTypesOff vtkPassArraysUseFieldTypesOffFunction
//input a0 
//output none
ArrayVector vtkPassArraysUseFieldTypesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseFieldTypesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseFieldTypesOff for class vtkPassArrays requires 1 argument(s)");
  vtkPassArrays* vtk_pointer = GetVTKPointer<vtkPassArrays>(arg[0]);
  Array retval;
  vtk_pointer->UseFieldTypesOff();
  return retval;
}

//@@Signature
//sfunction @vtkPassArrays:AddFieldType vtkPassArraysAddFieldTypeFunction
//input a0 a1 
//output none
ArrayVector vtkPassArraysAddFieldTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddFieldType (int fieldType); */
  if (arg.size() < 2) 
    throw Exception("Function AddFieldType for class vtkPassArrays requires 2 argument(s)");
  vtkPassArrays* vtk_pointer = GetVTKPointer<vtkPassArrays>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->AddFieldType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPassArrays:ClearFieldTypes vtkPassArraysClearFieldTypesFunction
//input a0 
//output none
ArrayVector vtkPassArraysClearFieldTypesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ClearFieldTypes (); */
  if (arg.size() < 1) 
    throw Exception("Function ClearFieldTypes for class vtkPassArrays requires 1 argument(s)");
  vtkPassArrays* vtk_pointer = GetVTKPointer<vtkPassArrays>(arg[0]);
  Array retval;
  vtk_pointer->ClearFieldTypes();
  return retval;
}

//@@Signature
//sfunction @vtkPassArrays:display vtkPassArraysDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPassArraysDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPassArrays* vtk_pointer = GetVTKPointer<vtkPassArrays>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPassArrays:delete vtkPassArraysDeleteFunction
//input varargin
//output none
ArrayVector vtkPassArraysDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPassArrays
//@@Section VTKInfovis
//@@Usage
// This filter preserves all the topology of the input, but only a subset of
// arrays are passed to the output. Add an array to be passed to the output
// data object with AddArray(). If RemoveArrays is on, the specified arrays will
// be the ones that are removed instead of the ones that are kept.
//
// Arrays with special attributes (scalars, pedigree ids, etc.) will retain those
// attributes in the output.
//
// By default, only those field types with at least one array specified through
// AddArray will be processed. If instead UseFieldTypes
// is turned on, you explicitly set which field types to process with AddFieldType.
//
// Example 1:
//
// <pre>
// passArray->AddArray(vtkDataObject::POINT, "velocity");
// </pre>
//
// The output will have only that one array "velocity" in the
// point data, but cell and field data will be untouched.
//
// Example 2:
//
// <pre>
// passArray->AddArray(vtkDataObject::POINT, "velocity");
// passArray->UseFieldTypesOn();
// passArray->AddFieldType(vtkDataObject::POINT);
// passArray->AddFieldType(vtkDataObject::CELL);
// </pre>
//
// The point data would still contain the single array, but the cell data
// would be cleared since you did not specify any arrays to pass. Field data would
// still be untouched.
//
//To create an instance of class vtkPassArrays, simply
//invoke its constructor as follows
//@[
//  obj = vtkPassArrays
//@]
//@@Methods
//The class vtkPassArrays has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPassArrays class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPassArrays = obj.NewInstance ()|
// \item @|vtkPassArrays = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddArray (int fieldType, string name)| -  Adds an array to pass through.
// fieldType where the array that should be passed (point data, cell data, etc.).
// It should be one of the constants defined in the vtkDataObject::AttributeTypes
// enumeration.
//// \item @|obj.ClearArrays ()| -  Clear all arrays to pass through.
//// \item @|obj.SetRemoveArrays (bool )| -  Instead of passing only the specified arrays, remove the specified arrays
// and keep all other arrays. Default is off.
//// \item @|bool = obj.GetRemoveArrays ()| -  Instead of passing only the specified arrays, remove the specified arrays
// and keep all other arrays. Default is off.
//// \item @|obj.RemoveArraysOn ()| -  Instead of passing only the specified arrays, remove the specified arrays
// and keep all other arrays. Default is off.
//// \item @|obj.RemoveArraysOff ()| -  Instead of passing only the specified arrays, remove the specified arrays
// and keep all other arrays. Default is off.
//// \item @|obj.SetUseFieldTypes (bool )| -  Process only those field types explicitly specified with AddFieldType.
// Otherwise, processes field types associated with at least one specified
// array. Default is off.
//// \item @|bool = obj.GetUseFieldTypes ()| -  Process only those field types explicitly specified with AddFieldType.
// Otherwise, processes field types associated with at least one specified
// array. Default is off.
//// \item @|obj.UseFieldTypesOn ()| -  Process only those field types explicitly specified with AddFieldType.
// Otherwise, processes field types associated with at least one specified
// array. Default is off.
//// \item @|obj.UseFieldTypesOff ()| -  Process only those field types explicitly specified with AddFieldType.
// Otherwise, processes field types associated with at least one specified
// array. Default is off.
//// \item @|obj.AddFieldType (int fieldType)| -  Add a field type to process.
// fieldType where the array that should be passed (point data, cell data, etc.).
// It should be one of the constants defined in the vtkDataObject::AttributeTypes
// enumeration.
// NOTE: These are only used if UseFieldType is turned on.
//// \item @|obj.ClearFieldTypes ()| -  Clear all field types to process.
////\end{itemize}
//!
