#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPassThrough object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPassThrough.h"

//@@Signature
//sfunction @vtkPassThrough:vtkPassThrough vtkPassThroughConstructorFunction
//input a
//output p
//@@Parents vtkPassThrough vtkPassInputTypeAlgorithm 
ArrayVector vtkPassThroughConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPassThrough::New(),"vtkPassThrough",eval);
  } else if (arg[0].className() == "vtkPassThrough") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPassThrough"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPassThrough");
    vtkPassThrough*q = reinterpret_cast<vtkPassThrough*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPassThrough");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPassThrough:GetClassName vtkPassThroughGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPassThroughGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPassThrough requires 1 argument(s)");
  vtkPassThrough* vtk_pointer = GetVTKPointer<vtkPassThrough>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPassThrough:IsA vtkPassThroughIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPassThroughIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPassThrough requires 2 argument(s)");
  vtkPassThrough* vtk_pointer = GetVTKPointer<vtkPassThrough>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPassThrough:NewInstance vtkPassThroughNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPassThroughNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPassThrough *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPassThrough requires 1 argument(s)");
  vtkPassThrough* vtk_pointer = GetVTKPointer<vtkPassThrough>(arg[0]);
  Array retval;
  vtkPassThrough  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPassThrough",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPassThrough:SafeDownCast vtkPassThroughSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPassThroughSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPassThrough *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPassThrough requires 2 argument(s)");
  vtkPassThrough* vtk_pointer = GetVTKPointer<vtkPassThrough>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPassThrough  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPassThrough",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPassThrough:FillInputPortInformation vtkPassThroughFillInputPortInformationFunction
//input a0 a1 a2 
//output y
ArrayVector vtkPassThroughFillInputPortInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int FillInputPortInformation (int port, vtkInformation *info); */
  if (arg.size() < 3) 
    throw Exception("Function FillInputPortInformation for class vtkPassThrough requires 3 argument(s)");
  vtkPassThrough* vtk_pointer = GetVTKPointer<vtkPassThrough>(arg[0]);
  Array retval;
  int      temp0;
  vtkInformation  *temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  temp20 = (vtk_pointer)->FillInputPortInformation(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPassThrough:SetDeepCopyInput vtkPassThroughSetDeepCopyInputFunction
//input a0 a1 
//output none
ArrayVector vtkPassThroughSetDeepCopyInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDeepCopyInput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDeepCopyInput for class vtkPassThrough requires 2 argument(s)");
  vtkPassThrough* vtk_pointer = GetVTKPointer<vtkPassThrough>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDeepCopyInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPassThrough:GetDeepCopyInput vtkPassThroughGetDeepCopyInputFunction
//input a0 
//output y
ArrayVector vtkPassThroughGetDeepCopyInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDeepCopyInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDeepCopyInput for class vtkPassThrough requires 1 argument(s)");
  vtkPassThrough* vtk_pointer = GetVTKPointer<vtkPassThrough>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDeepCopyInput();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPassThrough:DeepCopyInputOn vtkPassThroughDeepCopyInputOnFunction
//input a0 
//output none
ArrayVector vtkPassThroughDeepCopyInputOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopyInputOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DeepCopyInputOn for class vtkPassThrough requires 1 argument(s)");
  vtkPassThrough* vtk_pointer = GetVTKPointer<vtkPassThrough>(arg[0]);
  Array retval;
  vtk_pointer->DeepCopyInputOn();
  return retval;
}

//@@Signature
//sfunction @vtkPassThrough:DeepCopyInputOff vtkPassThroughDeepCopyInputOffFunction
//input a0 
//output none
ArrayVector vtkPassThroughDeepCopyInputOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeepCopyInputOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DeepCopyInputOff for class vtkPassThrough requires 1 argument(s)");
  vtkPassThrough* vtk_pointer = GetVTKPointer<vtkPassThrough>(arg[0]);
  Array retval;
  vtk_pointer->DeepCopyInputOff();
  return retval;
}

//@@Signature
//sfunction @vtkPassThrough:display vtkPassThroughDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPassThroughDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPassThrough* vtk_pointer = GetVTKPointer<vtkPassThrough>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPassThrough:delete vtkPassThroughDeleteFunction
//input varargin
//output none
ArrayVector vtkPassThroughDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPassThrough
//@@Section VTKInfovis
//@@Usage
// The output type is always the same as the input object type.
//
//To create an instance of class vtkPassThrough, simply
//invoke its constructor as follows
//@[
//  obj = vtkPassThrough
//@]
//@@Methods
//The class vtkPassThrough has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPassThrough class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPassThrough = obj.NewInstance ()|
// \item @|vtkPassThrough = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.FillInputPortInformation (int port, vtkInformation info)| -  Specify the first input port as optional
//// \item @|obj.SetDeepCopyInput (int )| -  Whether or not to deep copy the input. This can be useful if you
// want to create a copy of a data object. You can then disconnect
// this filter's input connections and it will act like a source.
// Defaults to OFF.
//// \item @|int = obj.GetDeepCopyInput ()| -  Whether or not to deep copy the input. This can be useful if you
// want to create a copy of a data object. You can then disconnect
// this filter's input connections and it will act like a source.
// Defaults to OFF.
//// \item @|obj.DeepCopyInputOn ()| -  Whether or not to deep copy the input. This can be useful if you
// want to create a copy of a data object. You can then disconnect
// this filter's input connections and it will act like a source.
// Defaults to OFF.
//// \item @|obj.DeepCopyInputOff ()| -  Whether or not to deep copy the input. This can be useful if you
// want to create a copy of a data object. You can then disconnect
// this filter's input connections and it will act like a source.
// Defaults to OFF.
////\end{itemize}
//!
