#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPassThroughEdgeStrategy object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPassThroughEdgeStrategy.h"

//@@Signature
//sfunction @vtkPassThroughEdgeStrategy:vtkPassThroughEdgeStrategy vtkPassThroughEdgeStrategyConstructorFunction
//input a
//output p
//@@Parents vtkPassThroughEdgeStrategy vtkEdgeLayoutStrategy 
ArrayVector vtkPassThroughEdgeStrategyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPassThroughEdgeStrategy::New(),"vtkPassThroughEdgeStrategy",eval);
  } else if (arg[0].className() == "vtkPassThroughEdgeStrategy") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPassThroughEdgeStrategy"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPassThroughEdgeStrategy");
    vtkPassThroughEdgeStrategy*q = reinterpret_cast<vtkPassThroughEdgeStrategy*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPassThroughEdgeStrategy");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPassThroughEdgeStrategy:GetClassName vtkPassThroughEdgeStrategyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPassThroughEdgeStrategyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPassThroughEdgeStrategy requires 1 argument(s)");
  vtkPassThroughEdgeStrategy* vtk_pointer = GetVTKPointer<vtkPassThroughEdgeStrategy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPassThroughEdgeStrategy:IsA vtkPassThroughEdgeStrategyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPassThroughEdgeStrategyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPassThroughEdgeStrategy requires 2 argument(s)");
  vtkPassThroughEdgeStrategy* vtk_pointer = GetVTKPointer<vtkPassThroughEdgeStrategy>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPassThroughEdgeStrategy:NewInstance vtkPassThroughEdgeStrategyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPassThroughEdgeStrategyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPassThroughEdgeStrategy *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPassThroughEdgeStrategy requires 1 argument(s)");
  vtkPassThroughEdgeStrategy* vtk_pointer = GetVTKPointer<vtkPassThroughEdgeStrategy>(arg[0]);
  Array retval;
  vtkPassThroughEdgeStrategy  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPassThroughEdgeStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPassThroughEdgeStrategy:SafeDownCast vtkPassThroughEdgeStrategySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPassThroughEdgeStrategySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPassThroughEdgeStrategy *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPassThroughEdgeStrategy requires 2 argument(s)");
  vtkPassThroughEdgeStrategy* vtk_pointer = GetVTKPointer<vtkPassThroughEdgeStrategy>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPassThroughEdgeStrategy  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPassThroughEdgeStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPassThroughEdgeStrategy:Layout vtkPassThroughEdgeStrategyLayoutFunction
//input a0 
//output none
ArrayVector vtkPassThroughEdgeStrategyLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Layout (); */
  if (arg.size() < 1) 
    throw Exception("Function Layout for class vtkPassThroughEdgeStrategy requires 1 argument(s)");
  vtkPassThroughEdgeStrategy* vtk_pointer = GetVTKPointer<vtkPassThroughEdgeStrategy>(arg[0]);
  Array retval;
  vtk_pointer->Layout();
  return retval;
}

//@@Signature
//sfunction @vtkPassThroughEdgeStrategy:display vtkPassThroughEdgeStrategyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPassThroughEdgeStrategyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPassThroughEdgeStrategy* vtk_pointer = GetVTKPointer<vtkPassThroughEdgeStrategy>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPassThroughEdgeStrategy:delete vtkPassThroughEdgeStrategyDeleteFunction
//input varargin
//output none
ArrayVector vtkPassThroughEdgeStrategyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPassThroughEdgeStrategy
//@@Section VTKInfovis
//@@Usage
// Simply passes existing edge layout information from the input to the
// output without making changes.
//
//To create an instance of class vtkPassThroughEdgeStrategy, simply
//invoke its constructor as follows
//@[
//  obj = vtkPassThroughEdgeStrategy
//@]
//@@Methods
//The class vtkPassThroughEdgeStrategy has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPassThroughEdgeStrategy class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPassThroughEdgeStrategy = obj.NewInstance ()|
// \item @|vtkPassThroughEdgeStrategy = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Layout ()| -  This is the layout method where the graph that was
// set in SetGraph() is laid out.
////\end{itemize}
//!
