#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPassThroughLayoutStrategy object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPassThroughLayoutStrategy.h"

//@@Signature
//sfunction @vtkPassThroughLayoutStrategy:vtkPassThroughLayoutStrategy vtkPassThroughLayoutStrategyConstructorFunction
//input a
//output p
//@@Parents vtkPassThroughLayoutStrategy vtkGraphLayoutStrategy 
ArrayVector vtkPassThroughLayoutStrategyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPassThroughLayoutStrategy::New(),"vtkPassThroughLayoutStrategy",eval);
  } else if (arg[0].className() == "vtkPassThroughLayoutStrategy") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPassThroughLayoutStrategy"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPassThroughLayoutStrategy");
    vtkPassThroughLayoutStrategy*q = reinterpret_cast<vtkPassThroughLayoutStrategy*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPassThroughLayoutStrategy");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPassThroughLayoutStrategy:GetClassName vtkPassThroughLayoutStrategyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPassThroughLayoutStrategyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPassThroughLayoutStrategy requires 1 argument(s)");
  vtkPassThroughLayoutStrategy* vtk_pointer = GetVTKPointer<vtkPassThroughLayoutStrategy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPassThroughLayoutStrategy:IsA vtkPassThroughLayoutStrategyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPassThroughLayoutStrategyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPassThroughLayoutStrategy requires 2 argument(s)");
  vtkPassThroughLayoutStrategy* vtk_pointer = GetVTKPointer<vtkPassThroughLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPassThroughLayoutStrategy:NewInstance vtkPassThroughLayoutStrategyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPassThroughLayoutStrategyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPassThroughLayoutStrategy *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPassThroughLayoutStrategy requires 1 argument(s)");
  vtkPassThroughLayoutStrategy* vtk_pointer = GetVTKPointer<vtkPassThroughLayoutStrategy>(arg[0]);
  Array retval;
  vtkPassThroughLayoutStrategy  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPassThroughLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPassThroughLayoutStrategy:SafeDownCast vtkPassThroughLayoutStrategySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPassThroughLayoutStrategySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPassThroughLayoutStrategy *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPassThroughLayoutStrategy requires 2 argument(s)");
  vtkPassThroughLayoutStrategy* vtk_pointer = GetVTKPointer<vtkPassThroughLayoutStrategy>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPassThroughLayoutStrategy  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPassThroughLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPassThroughLayoutStrategy:Initialize vtkPassThroughLayoutStrategyInitializeFunction
//input a0 
//output none
ArrayVector vtkPassThroughLayoutStrategyInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkPassThroughLayoutStrategy requires 1 argument(s)");
  vtkPassThroughLayoutStrategy* vtk_pointer = GetVTKPointer<vtkPassThroughLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkPassThroughLayoutStrategy:Layout vtkPassThroughLayoutStrategyLayoutFunction
//input a0 
//output none
ArrayVector vtkPassThroughLayoutStrategyLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Layout (); */
  if (arg.size() < 1) 
    throw Exception("Function Layout for class vtkPassThroughLayoutStrategy requires 1 argument(s)");
  vtkPassThroughLayoutStrategy* vtk_pointer = GetVTKPointer<vtkPassThroughLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->Layout();
  return retval;
}

//@@Signature
//sfunction @vtkPassThroughLayoutStrategy:IsLayoutComplete vtkPassThroughLayoutStrategyIsLayoutCompleteFunction
//input a0 
//output y
ArrayVector vtkPassThroughLayoutStrategyIsLayoutCompleteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsLayoutComplete ();return  */
  if (arg.size() < 1) 
    throw Exception("Function IsLayoutComplete for class vtkPassThroughLayoutStrategy requires 1 argument(s)");
  vtkPassThroughLayoutStrategy* vtk_pointer = GetVTKPointer<vtkPassThroughLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsLayoutComplete();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPassThroughLayoutStrategy:display vtkPassThroughLayoutStrategyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPassThroughLayoutStrategyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPassThroughLayoutStrategy* vtk_pointer = GetVTKPointer<vtkPassThroughLayoutStrategy>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPassThroughLayoutStrategy:delete vtkPassThroughLayoutStrategyDeleteFunction
//input varargin
//output none
ArrayVector vtkPassThroughLayoutStrategyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPassThroughLayoutStrategy
//@@Section VTKInfovis
//@@Usage
// Yes, this incredible strategy does absoluted nothing to the data
// so in affect passes through the graph untouched. This strategy
// is useful in the cases where the graph is already laid out.
//
//To create an instance of class vtkPassThroughLayoutStrategy, simply
//invoke its constructor as follows
//@[
//  obj = vtkPassThroughLayoutStrategy
//@]
//@@Methods
//The class vtkPassThroughLayoutStrategy has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPassThroughLayoutStrategy class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPassThroughLayoutStrategy = obj.NewInstance ()|
// \item @|vtkPassThroughLayoutStrategy = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Initialize ()| -  This strategy sets up some data structures
// for faster processing of each Layout() call
//// \item @|obj.Layout ()| -  This is the layout method where the graph that was
// set in SetGraph() is laid out. The method can either
// entirely layout the graph or iteratively lay out the
// graph. If you have an iterative layout please implement
// the IsLayoutComplete() method.
//// \item @|int = obj.IsLayoutComplete ()|
//\end{itemize}
//!
