#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPerturbCoincidentVertices object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPerturbCoincidentVertices.h"

//@@Signature
//sfunction @vtkPerturbCoincidentVertices:vtkPerturbCoincidentVertices vtkPerturbCoincidentVerticesConstructorFunction
//input a
//output p
//@@Parents vtkPerturbCoincidentVertices vtkGraphAlgorithm 
ArrayVector vtkPerturbCoincidentVerticesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPerturbCoincidentVertices::New(),"vtkPerturbCoincidentVertices",eval);
  } else if (arg[0].className() == "vtkPerturbCoincidentVertices") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPerturbCoincidentVertices"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPerturbCoincidentVertices");
    vtkPerturbCoincidentVertices*q = reinterpret_cast<vtkPerturbCoincidentVertices*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPerturbCoincidentVertices");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPerturbCoincidentVertices:GetClassName vtkPerturbCoincidentVerticesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPerturbCoincidentVerticesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPerturbCoincidentVertices requires 1 argument(s)");
  vtkPerturbCoincidentVertices* vtk_pointer = GetVTKPointer<vtkPerturbCoincidentVertices>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPerturbCoincidentVertices:IsA vtkPerturbCoincidentVerticesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPerturbCoincidentVerticesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPerturbCoincidentVertices requires 2 argument(s)");
  vtkPerturbCoincidentVertices* vtk_pointer = GetVTKPointer<vtkPerturbCoincidentVertices>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPerturbCoincidentVertices:NewInstance vtkPerturbCoincidentVerticesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPerturbCoincidentVerticesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPerturbCoincidentVertices *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPerturbCoincidentVertices requires 1 argument(s)");
  vtkPerturbCoincidentVertices* vtk_pointer = GetVTKPointer<vtkPerturbCoincidentVertices>(arg[0]);
  Array retval;
  vtkPerturbCoincidentVertices  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPerturbCoincidentVertices",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPerturbCoincidentVertices:SafeDownCast vtkPerturbCoincidentVerticesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPerturbCoincidentVerticesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPerturbCoincidentVertices *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPerturbCoincidentVertices requires 2 argument(s)");
  vtkPerturbCoincidentVertices* vtk_pointer = GetVTKPointer<vtkPerturbCoincidentVertices>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPerturbCoincidentVertices  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPerturbCoincidentVertices",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPerturbCoincidentVertices:SetPerturbFactor vtkPerturbCoincidentVerticesSetPerturbFactorFunction
//input a0 a1 
//output none
ArrayVector vtkPerturbCoincidentVerticesSetPerturbFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPerturbFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPerturbFactor for class vtkPerturbCoincidentVertices requires 2 argument(s)");
  vtkPerturbCoincidentVertices* vtk_pointer = GetVTKPointer<vtkPerturbCoincidentVertices>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetPerturbFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPerturbCoincidentVertices:GetPerturbFactor vtkPerturbCoincidentVerticesGetPerturbFactorFunction
//input a0 
//output y
ArrayVector vtkPerturbCoincidentVerticesGetPerturbFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetPerturbFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPerturbFactor for class vtkPerturbCoincidentVertices requires 1 argument(s)");
  vtkPerturbCoincidentVertices* vtk_pointer = GetVTKPointer<vtkPerturbCoincidentVertices>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetPerturbFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPerturbCoincidentVertices:display vtkPerturbCoincidentVerticesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPerturbCoincidentVerticesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPerturbCoincidentVertices* vtk_pointer = GetVTKPointer<vtkPerturbCoincidentVertices>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPerturbCoincidentVertices:delete vtkPerturbCoincidentVerticesDeleteFunction
//input varargin
//output none
ArrayVector vtkPerturbCoincidentVerticesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPerturbCoincidentVertices
//@@Section VTKInfovis
//@@Usage
// This filter perturbs vertices in a graph that have coincident coordinates.
// In particular this happens all the time with graphs that are georeferenced,
// so we need a nice scheme to perturb the vertices so that when the user
// zooms in the vertices can be distiquished.
//
//To create an instance of class vtkPerturbCoincidentVertices, simply
//invoke its constructor as follows
//@[
//  obj = vtkPerturbCoincidentVertices
//@]
//@@Methods
//The class vtkPerturbCoincidentVertices has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPerturbCoincidentVertices class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPerturbCoincidentVertices = obj.NewInstance ()|
// \item @|vtkPerturbCoincidentVertices = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetPerturbFactor (double )| -  Specify the perturbation factor (defaults to 1.0)
//// \item @|double = obj.GetPerturbFactor ()| -  Specify the perturbation factor (defaults to 1.0)
////\end{itemize}
//!
