#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPruneTreeFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPruneTreeFilter.h"

//@@Signature
//sfunction @vtkPruneTreeFilter:vtkPruneTreeFilter vtkPruneTreeFilterConstructorFunction
//input a
//output p
//@@Parents vtkPruneTreeFilter vtkTreeAlgorithm 
ArrayVector vtkPruneTreeFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPruneTreeFilter::New(),"vtkPruneTreeFilter",eval);
  } else if (arg[0].className() == "vtkPruneTreeFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPruneTreeFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPruneTreeFilter");
    vtkPruneTreeFilter*q = reinterpret_cast<vtkPruneTreeFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPruneTreeFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPruneTreeFilter:GetClassName vtkPruneTreeFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPruneTreeFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPruneTreeFilter requires 1 argument(s)");
  vtkPruneTreeFilter* vtk_pointer = GetVTKPointer<vtkPruneTreeFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPruneTreeFilter:IsA vtkPruneTreeFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPruneTreeFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPruneTreeFilter requires 2 argument(s)");
  vtkPruneTreeFilter* vtk_pointer = GetVTKPointer<vtkPruneTreeFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPruneTreeFilter:NewInstance vtkPruneTreeFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPruneTreeFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPruneTreeFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPruneTreeFilter requires 1 argument(s)");
  vtkPruneTreeFilter* vtk_pointer = GetVTKPointer<vtkPruneTreeFilter>(arg[0]);
  Array retval;
  vtkPruneTreeFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPruneTreeFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPruneTreeFilter:SafeDownCast vtkPruneTreeFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPruneTreeFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPruneTreeFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPruneTreeFilter requires 2 argument(s)");
  vtkPruneTreeFilter* vtk_pointer = GetVTKPointer<vtkPruneTreeFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPruneTreeFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPruneTreeFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPruneTreeFilter:GetParentVertex vtkPruneTreeFilterGetParentVertexFunction
//input a0 
//output y
ArrayVector vtkPruneTreeFilterGetParentVertexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetParentVertex (); */
  if (arg.size() < 1) 
    throw Exception("Function GetParentVertex for class vtkPruneTreeFilter requires 1 argument(s)");
  vtkPruneTreeFilter* vtk_pointer = GetVTKPointer<vtkPruneTreeFilter>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetParentVertex();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPruneTreeFilter:SetParentVertex vtkPruneTreeFilterSetParentVertexFunction
//input a0 a1 
//output none
ArrayVector vtkPruneTreeFilterSetParentVertexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetParentVertex (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetParentVertex for class vtkPruneTreeFilter requires 2 argument(s)");
  vtkPruneTreeFilter* vtk_pointer = GetVTKPointer<vtkPruneTreeFilter>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetParentVertex(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPruneTreeFilter:display vtkPruneTreeFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPruneTreeFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPruneTreeFilter* vtk_pointer = GetVTKPointer<vtkPruneTreeFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPruneTreeFilter:delete vtkPruneTreeFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkPruneTreeFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPruneTreeFilter
//@@Section VTKInfovis
//@@Usage
// Removes a subtree rooted at a particular vertex in a vtkTree.
//
//
//To create an instance of class vtkPruneTreeFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkPruneTreeFilter
//@]
//@@Methods
//The class vtkPruneTreeFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPruneTreeFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPruneTreeFilter = obj.NewInstance ()|
// \item @|vtkPruneTreeFilter = obj.SafeDownCast (vtkObject o)|
// \item @|vtkIdType = obj.GetParentVertex ()| -  Set the parent vertex of the subtree to remove.
//// \item @|obj.SetParentVertex (vtkIdType )| -  Set the parent vertex of the subtree to remove.
////\end{itemize}
//!
