#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRISReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRISReader.h"

//@@Signature
//sfunction @vtkRISReader:vtkRISReader vtkRISReaderConstructorFunction
//input a
//output p
//@@Parents vtkRISReader vtkTableAlgorithm 
ArrayVector vtkRISReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRISReader::New(),"vtkRISReader",eval);
  } else if (arg[0].className() == "vtkRISReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRISReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRISReader");
    vtkRISReader*q = reinterpret_cast<vtkRISReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRISReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRISReader:GetClassName vtkRISReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRISReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRISReader requires 1 argument(s)");
  vtkRISReader* vtk_pointer = GetVTKPointer<vtkRISReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRISReader:IsA vtkRISReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRISReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRISReader requires 2 argument(s)");
  vtkRISReader* vtk_pointer = GetVTKPointer<vtkRISReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRISReader:NewInstance vtkRISReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRISReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRISReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRISReader requires 1 argument(s)");
  vtkRISReader* vtk_pointer = GetVTKPointer<vtkRISReader>(arg[0]);
  Array retval;
  vtkRISReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRISReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRISReader:SafeDownCast vtkRISReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRISReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRISReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRISReader requires 2 argument(s)");
  vtkRISReader* vtk_pointer = GetVTKPointer<vtkRISReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRISReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRISReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRISReader:GetFileName vtkRISReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkRISReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkRISReader requires 1 argument(s)");
  vtkRISReader* vtk_pointer = GetVTKPointer<vtkRISReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRISReader:SetFileName vtkRISReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkRISReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkRISReader requires 2 argument(s)");
  vtkRISReader* vtk_pointer = GetVTKPointer<vtkRISReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRISReader:GetDelimiter vtkRISReaderGetDelimiterFunction
//input a0 
//output y
ArrayVector vtkRISReaderGetDelimiterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetDelimiter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDelimiter for class vtkRISReader requires 1 argument(s)");
  vtkRISReader* vtk_pointer = GetVTKPointer<vtkRISReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetDelimiter();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRISReader:SetDelimiter vtkRISReaderSetDelimiterFunction
//input a0 a1 
//output none
ArrayVector vtkRISReaderSetDelimiterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDelimiter (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetDelimiter for class vtkRISReader requires 2 argument(s)");
  vtkRISReader* vtk_pointer = GetVTKPointer<vtkRISReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetDelimiter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRISReader:GetMaxRecords vtkRISReaderGetMaxRecordsFunction
//input a0 
//output y
ArrayVector vtkRISReaderGetMaxRecordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxRecords (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxRecords for class vtkRISReader requires 1 argument(s)");
  vtkRISReader* vtk_pointer = GetVTKPointer<vtkRISReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxRecords();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRISReader:SetMaxRecords vtkRISReaderSetMaxRecordsFunction
//input a0 a1 
//output none
ArrayVector vtkRISReaderSetMaxRecordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxRecords (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxRecords for class vtkRISReader requires 2 argument(s)");
  vtkRISReader* vtk_pointer = GetVTKPointer<vtkRISReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaxRecords(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRISReader:display vtkRISReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRISReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRISReader* vtk_pointer = GetVTKPointer<vtkRISReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRISReader:delete vtkRISReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkRISReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRISReader
//@@Section VTKInfovis
//@@Usage
// RIS is a tagged format for expressing bibliographic citations.  Data is
// structured as a collection of records with each record composed of
// one-to-many fields.  See
//
// http://en.wikipedia.org/wiki/RIS_(file_format)
// http://www.refman.com/support/risformat_intro.asp
// http://www.adeptscience.co.uk/kb/article/A626
//
// for details.  vtkRISReader will convert an RIS file into a vtkTable, with
// the set of table columns determined dynamically from the contents of the
// file.
//
//To create an instance of class vtkRISReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkRISReader
//@]
//@@Methods
//The class vtkRISReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRISReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRISReader = obj.NewInstance ()|
// \item @|vtkRISReader = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetFileName ()| -  Set/get the file to load
//// \item @|obj.SetFileName (string )| -  Set/get the file to load
//// \item @|string = obj.GetDelimiter ()| -  Set/get the delimiter to be used for concatenating field data (default: ";")
//// \item @|obj.SetDelimiter (string )| -  Set/get the delimiter to be used for concatenating field data (default: ";")
//// \item @|int = obj.GetMaxRecords ()| -  Set/get the maximum number of records to read from the file (zero = unlimited)
//// \item @|obj.SetMaxRecords (int )| -  Set/get the maximum number of records to read from the file (zero = unlimited)
////\end{itemize}
//!
