#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRandomGraphSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRandomGraphSource.h"

//@@Signature
//sfunction @vtkRandomGraphSource:vtkRandomGraphSource vtkRandomGraphSourceConstructorFunction
//input a
//output p
//@@Parents vtkRandomGraphSource vtkGraphAlgorithm 
ArrayVector vtkRandomGraphSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRandomGraphSource::New(),"vtkRandomGraphSource",eval);
  } else if (arg[0].className() == "vtkRandomGraphSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRandomGraphSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRandomGraphSource");
    vtkRandomGraphSource*q = reinterpret_cast<vtkRandomGraphSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRandomGraphSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRandomGraphSource:GetClassName vtkRandomGraphSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRandomGraphSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:IsA vtkRandomGraphSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRandomGraphSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRandomGraphSource requires 2 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:NewInstance vtkRandomGraphSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRandomGraphSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRandomGraphSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  vtkRandomGraphSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRandomGraphSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:SafeDownCast vtkRandomGraphSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRandomGraphSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRandomGraphSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRandomGraphSource requires 2 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRandomGraphSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRandomGraphSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:GetNumberOfVertices vtkRandomGraphSourceGetNumberOfVerticesFunction
//input a0 
//output y
ArrayVector vtkRandomGraphSourceGetNumberOfVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfVertices (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfVertices for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfVertices();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:SetNumberOfVertices vtkRandomGraphSourceSetNumberOfVerticesFunction
//input a0 a1 
//output none
ArrayVector vtkRandomGraphSourceSetNumberOfVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfVertices (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfVertices for class vtkRandomGraphSource requires 2 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfVertices(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:GetNumberOfVerticesMinValue vtkRandomGraphSourceGetNumberOfVerticesMinValueFunction
//input a0 
//output y
ArrayVector vtkRandomGraphSourceGetNumberOfVerticesMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfVerticesMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfVerticesMinValue for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfVerticesMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:GetNumberOfVerticesMaxValue vtkRandomGraphSourceGetNumberOfVerticesMaxValueFunction
//input a0 
//output y
ArrayVector vtkRandomGraphSourceGetNumberOfVerticesMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfVerticesMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfVerticesMaxValue for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfVerticesMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:GetNumberOfEdges vtkRandomGraphSourceGetNumberOfEdgesFunction
//input a0 
//output y
ArrayVector vtkRandomGraphSourceGetNumberOfEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfEdges (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfEdges for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfEdges();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:SetNumberOfEdges vtkRandomGraphSourceSetNumberOfEdgesFunction
//input a0 a1 
//output none
ArrayVector vtkRandomGraphSourceSetNumberOfEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfEdges (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfEdges for class vtkRandomGraphSource requires 2 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfEdges(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:GetNumberOfEdgesMinValue vtkRandomGraphSourceGetNumberOfEdgesMinValueFunction
//input a0 
//output y
ArrayVector vtkRandomGraphSourceGetNumberOfEdgesMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfEdgesMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfEdgesMinValue for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfEdgesMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:GetNumberOfEdgesMaxValue vtkRandomGraphSourceGetNumberOfEdgesMaxValueFunction
//input a0 
//output y
ArrayVector vtkRandomGraphSourceGetNumberOfEdgesMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfEdgesMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfEdgesMaxValue for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfEdgesMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:GetEdgeProbability vtkRandomGraphSourceGetEdgeProbabilityFunction
//input a0 
//output y
ArrayVector vtkRandomGraphSourceGetEdgeProbabilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEdgeProbability (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeProbability for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEdgeProbability();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:SetEdgeProbability vtkRandomGraphSourceSetEdgeProbabilityFunction
//input a0 a1 
//output none
ArrayVector vtkRandomGraphSourceSetEdgeProbabilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeProbability (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeProbability for class vtkRandomGraphSource requires 2 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetEdgeProbability(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:GetEdgeProbabilityMinValue vtkRandomGraphSourceGetEdgeProbabilityMinValueFunction
//input a0 
//output y
ArrayVector vtkRandomGraphSourceGetEdgeProbabilityMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEdgeProbabilityMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeProbabilityMinValue for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEdgeProbabilityMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:GetEdgeProbabilityMaxValue vtkRandomGraphSourceGetEdgeProbabilityMaxValueFunction
//input a0 
//output y
ArrayVector vtkRandomGraphSourceGetEdgeProbabilityMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetEdgeProbabilityMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeProbabilityMaxValue for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetEdgeProbabilityMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:SetIncludeEdgeWeights vtkRandomGraphSourceSetIncludeEdgeWeightsFunction
//input a0 a1 
//output none
ArrayVector vtkRandomGraphSourceSetIncludeEdgeWeightsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIncludeEdgeWeights (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIncludeEdgeWeights for class vtkRandomGraphSource requires 2 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetIncludeEdgeWeights(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:GetIncludeEdgeWeights vtkRandomGraphSourceGetIncludeEdgeWeightsFunction
//input a0 
//output y
ArrayVector vtkRandomGraphSourceGetIncludeEdgeWeightsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetIncludeEdgeWeights (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIncludeEdgeWeights for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetIncludeEdgeWeights();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:IncludeEdgeWeightsOn vtkRandomGraphSourceIncludeEdgeWeightsOnFunction
//input a0 
//output none
ArrayVector vtkRandomGraphSourceIncludeEdgeWeightsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IncludeEdgeWeightsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function IncludeEdgeWeightsOn for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  vtk_pointer->IncludeEdgeWeightsOn();
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:IncludeEdgeWeightsOff vtkRandomGraphSourceIncludeEdgeWeightsOffFunction
//input a0 
//output none
ArrayVector vtkRandomGraphSourceIncludeEdgeWeightsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IncludeEdgeWeightsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function IncludeEdgeWeightsOff for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  vtk_pointer->IncludeEdgeWeightsOff();
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:SetEdgeWeightArrayName vtkRandomGraphSourceSetEdgeWeightArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkRandomGraphSourceSetEdgeWeightArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeWeightArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeWeightArrayName for class vtkRandomGraphSource requires 2 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetEdgeWeightArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:GetEdgeWeightArrayName vtkRandomGraphSourceGetEdgeWeightArrayNameFunction
//input a0 
//output y
ArrayVector vtkRandomGraphSourceGetEdgeWeightArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetEdgeWeightArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeWeightArrayName for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetEdgeWeightArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:SetDirected vtkRandomGraphSourceSetDirectedFunction
//input a0 a1 
//output none
ArrayVector vtkRandomGraphSourceSetDirectedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDirected (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDirected for class vtkRandomGraphSource requires 2 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetDirected(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:GetDirected vtkRandomGraphSourceGetDirectedFunction
//input a0 
//output y
ArrayVector vtkRandomGraphSourceGetDirectedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetDirected (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDirected for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetDirected();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:DirectedOn vtkRandomGraphSourceDirectedOnFunction
//input a0 
//output none
ArrayVector vtkRandomGraphSourceDirectedOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DirectedOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DirectedOn for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  vtk_pointer->DirectedOn();
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:DirectedOff vtkRandomGraphSourceDirectedOffFunction
//input a0 
//output none
ArrayVector vtkRandomGraphSourceDirectedOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DirectedOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DirectedOff for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  vtk_pointer->DirectedOff();
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:SetUseEdgeProbability vtkRandomGraphSourceSetUseEdgeProbabilityFunction
//input a0 a1 
//output none
ArrayVector vtkRandomGraphSourceSetUseEdgeProbabilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseEdgeProbability (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseEdgeProbability for class vtkRandomGraphSource requires 2 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetUseEdgeProbability(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:GetUseEdgeProbability vtkRandomGraphSourceGetUseEdgeProbabilityFunction
//input a0 
//output y
ArrayVector vtkRandomGraphSourceGetUseEdgeProbabilityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetUseEdgeProbability (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseEdgeProbability for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetUseEdgeProbability();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:UseEdgeProbabilityOn vtkRandomGraphSourceUseEdgeProbabilityOnFunction
//input a0 
//output none
ArrayVector vtkRandomGraphSourceUseEdgeProbabilityOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseEdgeProbabilityOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseEdgeProbabilityOn for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  vtk_pointer->UseEdgeProbabilityOn();
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:UseEdgeProbabilityOff vtkRandomGraphSourceUseEdgeProbabilityOffFunction
//input a0 
//output none
ArrayVector vtkRandomGraphSourceUseEdgeProbabilityOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseEdgeProbabilityOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseEdgeProbabilityOff for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  vtk_pointer->UseEdgeProbabilityOff();
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:SetStartWithTree vtkRandomGraphSourceSetStartWithTreeFunction
//input a0 a1 
//output none
ArrayVector vtkRandomGraphSourceSetStartWithTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStartWithTree (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetStartWithTree for class vtkRandomGraphSource requires 2 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetStartWithTree(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:GetStartWithTree vtkRandomGraphSourceGetStartWithTreeFunction
//input a0 
//output y
ArrayVector vtkRandomGraphSourceGetStartWithTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetStartWithTree (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStartWithTree for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetStartWithTree();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:StartWithTreeOn vtkRandomGraphSourceStartWithTreeOnFunction
//input a0 
//output none
ArrayVector vtkRandomGraphSourceStartWithTreeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StartWithTreeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function StartWithTreeOn for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  vtk_pointer->StartWithTreeOn();
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:StartWithTreeOff vtkRandomGraphSourceStartWithTreeOffFunction
//input a0 
//output none
ArrayVector vtkRandomGraphSourceStartWithTreeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StartWithTreeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function StartWithTreeOff for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  vtk_pointer->StartWithTreeOff();
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:SetAllowSelfLoops vtkRandomGraphSourceSetAllowSelfLoopsFunction
//input a0 a1 
//output none
ArrayVector vtkRandomGraphSourceSetAllowSelfLoopsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAllowSelfLoops (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAllowSelfLoops for class vtkRandomGraphSource requires 2 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetAllowSelfLoops(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:GetAllowSelfLoops vtkRandomGraphSourceGetAllowSelfLoopsFunction
//input a0 
//output y
ArrayVector vtkRandomGraphSourceGetAllowSelfLoopsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetAllowSelfLoops (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAllowSelfLoops for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetAllowSelfLoops();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:AllowSelfLoopsOn vtkRandomGraphSourceAllowSelfLoopsOnFunction
//input a0 
//output none
ArrayVector vtkRandomGraphSourceAllowSelfLoopsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllowSelfLoopsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AllowSelfLoopsOn for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  vtk_pointer->AllowSelfLoopsOn();
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:AllowSelfLoopsOff vtkRandomGraphSourceAllowSelfLoopsOffFunction
//input a0 
//output none
ArrayVector vtkRandomGraphSourceAllowSelfLoopsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllowSelfLoopsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AllowSelfLoopsOff for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  vtk_pointer->AllowSelfLoopsOff();
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:SetAllowParallelEdges vtkRandomGraphSourceSetAllowParallelEdgesFunction
//input a0 a1 
//output none
ArrayVector vtkRandomGraphSourceSetAllowParallelEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAllowParallelEdges (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAllowParallelEdges for class vtkRandomGraphSource requires 2 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetAllowParallelEdges(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:GetAllowParallelEdges vtkRandomGraphSourceGetAllowParallelEdgesFunction
//input a0 
//output y
ArrayVector vtkRandomGraphSourceGetAllowParallelEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetAllowParallelEdges (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAllowParallelEdges for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetAllowParallelEdges();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:AllowParallelEdgesOn vtkRandomGraphSourceAllowParallelEdgesOnFunction
//input a0 
//output none
ArrayVector vtkRandomGraphSourceAllowParallelEdgesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllowParallelEdgesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AllowParallelEdgesOn for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  vtk_pointer->AllowParallelEdgesOn();
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:AllowParallelEdgesOff vtkRandomGraphSourceAllowParallelEdgesOffFunction
//input a0 
//output none
ArrayVector vtkRandomGraphSourceAllowParallelEdgesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AllowParallelEdgesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AllowParallelEdgesOff for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  vtk_pointer->AllowParallelEdgesOff();
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:SetGeneratePedigreeIds vtkRandomGraphSourceSetGeneratePedigreeIdsFunction
//input a0 a1 
//output none
ArrayVector vtkRandomGraphSourceSetGeneratePedigreeIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGeneratePedigreeIds (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGeneratePedigreeIds for class vtkRandomGraphSource requires 2 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetGeneratePedigreeIds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:GetGeneratePedigreeIds vtkRandomGraphSourceGetGeneratePedigreeIdsFunction
//input a0 
//output y
ArrayVector vtkRandomGraphSourceGetGeneratePedigreeIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetGeneratePedigreeIds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGeneratePedigreeIds for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetGeneratePedigreeIds();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:GeneratePedigreeIdsOn vtkRandomGraphSourceGeneratePedigreeIdsOnFunction
//input a0 
//output none
ArrayVector vtkRandomGraphSourceGeneratePedigreeIdsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GeneratePedigreeIdsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GeneratePedigreeIdsOn for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  vtk_pointer->GeneratePedigreeIdsOn();
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:GeneratePedigreeIdsOff vtkRandomGraphSourceGeneratePedigreeIdsOffFunction
//input a0 
//output none
ArrayVector vtkRandomGraphSourceGeneratePedigreeIdsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GeneratePedigreeIdsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GeneratePedigreeIdsOff for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  vtk_pointer->GeneratePedigreeIdsOff();
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:SetVertexPedigreeIdArrayName vtkRandomGraphSourceSetVertexPedigreeIdArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkRandomGraphSourceSetVertexPedigreeIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVertexPedigreeIdArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetVertexPedigreeIdArrayName for class vtkRandomGraphSource requires 2 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetVertexPedigreeIdArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:GetVertexPedigreeIdArrayName vtkRandomGraphSourceGetVertexPedigreeIdArrayNameFunction
//input a0 
//output y
ArrayVector vtkRandomGraphSourceGetVertexPedigreeIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetVertexPedigreeIdArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertexPedigreeIdArrayName for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetVertexPedigreeIdArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:SetEdgePedigreeIdArrayName vtkRandomGraphSourceSetEdgePedigreeIdArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkRandomGraphSourceSetEdgePedigreeIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgePedigreeIdArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgePedigreeIdArrayName for class vtkRandomGraphSource requires 2 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetEdgePedigreeIdArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:GetEdgePedigreeIdArrayName vtkRandomGraphSourceGetEdgePedigreeIdArrayNameFunction
//input a0 
//output y
ArrayVector vtkRandomGraphSourceGetEdgePedigreeIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetEdgePedigreeIdArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgePedigreeIdArrayName for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetEdgePedigreeIdArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:SetSeed vtkRandomGraphSourceSetSeedFunction
//input a0 a1 
//output none
ArrayVector vtkRandomGraphSourceSetSeedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSeed (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSeed for class vtkRandomGraphSource requires 2 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSeed(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:GetSeed vtkRandomGraphSourceGetSeedFunction
//input a0 
//output y
ArrayVector vtkRandomGraphSourceGetSeedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSeed (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSeed for class vtkRandomGraphSource requires 1 argument(s)");
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSeed();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomGraphSource:display vtkRandomGraphSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRandomGraphSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRandomGraphSource* vtk_pointer = GetVTKPointer<vtkRandomGraphSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRandomGraphSource:delete vtkRandomGraphSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkRandomGraphSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRandomGraphSource
//@@Section VTKInfovis
//@@Usage
// Generates a graph with a specified number of vertices, with the density of
// edges specified by either an exact number of edges or the probability of
// an edge.  You may additionally specify whether to begin with a random
// tree (which enforces graph connectivity).
//
//
//To create an instance of class vtkRandomGraphSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkRandomGraphSource
//@]
//@@Methods
//The class vtkRandomGraphSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRandomGraphSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRandomGraphSource = obj.NewInstance ()|
// \item @|vtkRandomGraphSource = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetNumberOfVertices ()| -  The number of vertices in the graph.
//// \item @|obj.SetNumberOfVertices (int )| -  The number of vertices in the graph.
//// \item @|int = obj.GetNumberOfVerticesMinValue ()| -  The number of vertices in the graph.
//// \item @|int = obj.GetNumberOfVerticesMaxValue ()| -  The number of vertices in the graph.
//// \item @|int = obj.GetNumberOfEdges ()| -  If UseEdgeProbability is off, creates a graph with the specified number
// of edges.  Duplicate (parallel) edges are allowed.
//// \item @|obj.SetNumberOfEdges (int )| -  If UseEdgeProbability is off, creates a graph with the specified number
// of edges.  Duplicate (parallel) edges are allowed.
//// \item @|int = obj.GetNumberOfEdgesMinValue ()| -  If UseEdgeProbability is off, creates a graph with the specified number
// of edges.  Duplicate (parallel) edges are allowed.
//// \item @|int = obj.GetNumberOfEdgesMaxValue ()| -  If UseEdgeProbability is off, creates a graph with the specified number
// of edges.  Duplicate (parallel) edges are allowed.
//// \item @|double = obj.GetEdgeProbability ()| -  If UseEdgeProbability is on, adds an edge with this probability between 0 and 1
// for each pair of vertices in the graph.
//// \item @|obj.SetEdgeProbability (double )| -  If UseEdgeProbability is on, adds an edge with this probability between 0 and 1
// for each pair of vertices in the graph.
//// \item @|double = obj.GetEdgeProbabilityMinValue ()| -  If UseEdgeProbability is on, adds an edge with this probability between 0 and 1
// for each pair of vertices in the graph.
//// \item @|double = obj.GetEdgeProbabilityMaxValue ()| -  If UseEdgeProbability is on, adds an edge with this probability between 0 and 1
// for each pair of vertices in the graph.
//// \item @|obj.SetIncludeEdgeWeights (bool )| -  When set, includes edge weights in an array named "edge_weights".
// Defaults to off.  Weights are random between 0 and 1.
//// \item @|bool = obj.GetIncludeEdgeWeights ()| -  When set, includes edge weights in an array named "edge_weights".
// Defaults to off.  Weights are random between 0 and 1.
//// \item @|obj.IncludeEdgeWeightsOn ()| -  When set, includes edge weights in an array named "edge_weights".
// Defaults to off.  Weights are random between 0 and 1.
//// \item @|obj.IncludeEdgeWeightsOff ()| -  When set, includes edge weights in an array named "edge_weights".
// Defaults to off.  Weights are random between 0 and 1.
//// \item @|obj.SetEdgeWeightArrayName (string )| -  The name of the edge weight array. Default "edge weight".
//// \item @|string = obj.GetEdgeWeightArrayName ()| -  The name of the edge weight array. Default "edge weight".
//// \item @|obj.SetDirected (bool )| -  When set, creates a directed graph, as opposed to an undirected graph.
//// \item @|bool = obj.GetDirected ()| -  When set, creates a directed graph, as opposed to an undirected graph.
//// \item @|obj.DirectedOn ()| -  When set, creates a directed graph, as opposed to an undirected graph.
//// \item @|obj.DirectedOff ()| -  When set, creates a directed graph, as opposed to an undirected graph.
//// \item @|obj.SetUseEdgeProbability (bool )| -  When set, uses the EdgeProbability parameter to determine the density
// of edges.  Otherwise, NumberOfEdges is used.
//// \item @|bool = obj.GetUseEdgeProbability ()| -  When set, uses the EdgeProbability parameter to determine the density
// of edges.  Otherwise, NumberOfEdges is used.
//// \item @|obj.UseEdgeProbabilityOn ()| -  When set, uses the EdgeProbability parameter to determine the density
// of edges.  Otherwise, NumberOfEdges is used.
//// \item @|obj.UseEdgeProbabilityOff ()| -  When set, uses the EdgeProbability parameter to determine the density
// of edges.  Otherwise, NumberOfEdges is used.
//// \item @|obj.SetStartWithTree (bool )| -  When set, builds a random tree structure first, then adds additional
// random edges.
//// \item @|bool = obj.GetStartWithTree ()| -  When set, builds a random tree structure first, then adds additional
// random edges.
//// \item @|obj.StartWithTreeOn ()| -  When set, builds a random tree structure first, then adds additional
// random edges.
//// \item @|obj.StartWithTreeOff ()| -  When set, builds a random tree structure first, then adds additional
// random edges.
//// \item @|obj.SetAllowSelfLoops (bool )| -  If this flag is set to true, edges where the source and target
// vertex are the same can be generated.  The default is to forbid
// such loops.
//// \item @|bool = obj.GetAllowSelfLoops ()| -  If this flag is set to true, edges where the source and target
// vertex are the same can be generated.  The default is to forbid
// such loops.
//// \item @|obj.AllowSelfLoopsOn ()| -  If this flag is set to true, edges where the source and target
// vertex are the same can be generated.  The default is to forbid
// such loops.
//// \item @|obj.AllowSelfLoopsOff ()| -  If this flag is set to true, edges where the source and target
// vertex are the same can be generated.  The default is to forbid
// such loops.
//// \item @|obj.SetAllowParallelEdges (bool )| -  When set, multiple edges from a source to a target vertex are
// allowed. The default is to forbid such loops.
//// \item @|bool = obj.GetAllowParallelEdges ()| -  When set, multiple edges from a source to a target vertex are
// allowed. The default is to forbid such loops.
//// \item @|obj.AllowParallelEdgesOn ()| -  When set, multiple edges from a source to a target vertex are
// allowed. The default is to forbid such loops.
//// \item @|obj.AllowParallelEdgesOff ()| -  When set, multiple edges from a source to a target vertex are
// allowed. The default is to forbid such loops.
//// \item @|obj.SetGeneratePedigreeIds (bool )| -  Add pedigree ids to vertex and edge data.
//// \item @|bool = obj.GetGeneratePedigreeIds ()| -  Add pedigree ids to vertex and edge data.
//// \item @|obj.GeneratePedigreeIdsOn ()| -  Add pedigree ids to vertex and edge data.
//// \item @|obj.GeneratePedigreeIdsOff ()| -  Add pedigree ids to vertex and edge data.
//// \item @|obj.SetVertexPedigreeIdArrayName (string )| -  The name of the vertex pedigree id array. Default "vertex id".
//// \item @|string = obj.GetVertexPedigreeIdArrayName ()| -  The name of the vertex pedigree id array. Default "vertex id".
//// \item @|obj.SetEdgePedigreeIdArrayName (string )| -  The name of the edge pedigree id array. Default "edge id".
//// \item @|string = obj.GetEdgePedigreeIdArrayName ()| -  The name of the edge pedigree id array. Default "edge id".
//// \item @|obj.SetSeed (int )| -  Control the seed used for pseudo-random-number generation.
// This ensures that vtkRandomGraphSource can produce repeatable
// results.
//// \item @|int = obj.GetSeed ()| -  Control the seed used for pseudo-random-number generation.
// This ensures that vtkRandomGraphSource can produce repeatable
// results.
////\end{itemize}
//!
