#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRandomLayoutStrategy object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRandomLayoutStrategy.h"

//@@Signature
//sfunction @vtkRandomLayoutStrategy:vtkRandomLayoutStrategy vtkRandomLayoutStrategyConstructorFunction
//input a
//output p
//@@Parents vtkRandomLayoutStrategy vtkGraphLayoutStrategy 
ArrayVector vtkRandomLayoutStrategyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRandomLayoutStrategy::New(),"vtkRandomLayoutStrategy",eval);
  } else if (arg[0].className() == "vtkRandomLayoutStrategy") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRandomLayoutStrategy"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRandomLayoutStrategy");
    vtkRandomLayoutStrategy*q = reinterpret_cast<vtkRandomLayoutStrategy*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRandomLayoutStrategy");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRandomLayoutStrategy:GetClassName vtkRandomLayoutStrategyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRandomLayoutStrategyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRandomLayoutStrategy requires 1 argument(s)");
  vtkRandomLayoutStrategy* vtk_pointer = GetVTKPointer<vtkRandomLayoutStrategy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomLayoutStrategy:IsA vtkRandomLayoutStrategyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRandomLayoutStrategyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRandomLayoutStrategy requires 2 argument(s)");
  vtkRandomLayoutStrategy* vtk_pointer = GetVTKPointer<vtkRandomLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomLayoutStrategy:NewInstance vtkRandomLayoutStrategyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRandomLayoutStrategyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRandomLayoutStrategy *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRandomLayoutStrategy requires 1 argument(s)");
  vtkRandomLayoutStrategy* vtk_pointer = GetVTKPointer<vtkRandomLayoutStrategy>(arg[0]);
  Array retval;
  vtkRandomLayoutStrategy  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRandomLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRandomLayoutStrategy:SafeDownCast vtkRandomLayoutStrategySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRandomLayoutStrategySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRandomLayoutStrategy *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRandomLayoutStrategy requires 2 argument(s)");
  vtkRandomLayoutStrategy* vtk_pointer = GetVTKPointer<vtkRandomLayoutStrategy>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRandomLayoutStrategy  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRandomLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRandomLayoutStrategy:SetRandomSeed vtkRandomLayoutStrategySetRandomSeedFunction
//input a0 a1 
//output none
ArrayVector vtkRandomLayoutStrategySetRandomSeedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRandomSeed (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRandomSeed for class vtkRandomLayoutStrategy requires 2 argument(s)");
  vtkRandomLayoutStrategy* vtk_pointer = GetVTKPointer<vtkRandomLayoutStrategy>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRandomSeed(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomLayoutStrategy:GetRandomSeedMinValue vtkRandomLayoutStrategyGetRandomSeedMinValueFunction
//input a0 
//output y
ArrayVector vtkRandomLayoutStrategyGetRandomSeedMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRandomSeedMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRandomSeedMinValue for class vtkRandomLayoutStrategy requires 1 argument(s)");
  vtkRandomLayoutStrategy* vtk_pointer = GetVTKPointer<vtkRandomLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRandomSeedMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomLayoutStrategy:GetRandomSeedMaxValue vtkRandomLayoutStrategyGetRandomSeedMaxValueFunction
//input a0 
//output y
ArrayVector vtkRandomLayoutStrategyGetRandomSeedMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRandomSeedMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRandomSeedMaxValue for class vtkRandomLayoutStrategy requires 1 argument(s)");
  vtkRandomLayoutStrategy* vtk_pointer = GetVTKPointer<vtkRandomLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRandomSeedMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomLayoutStrategy:GetRandomSeed vtkRandomLayoutStrategyGetRandomSeedFunction
//input a0 
//output y
ArrayVector vtkRandomLayoutStrategyGetRandomSeedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRandomSeed (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRandomSeed for class vtkRandomLayoutStrategy requires 1 argument(s)");
  vtkRandomLayoutStrategy* vtk_pointer = GetVTKPointer<vtkRandomLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRandomSeed();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomLayoutStrategy:SetGraphBounds__1 vtkRandomLayoutStrategySetGraphBounds__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkRandomLayoutStrategySetGraphBounds__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGraphBounds (double , double , double , double , double , double ); */
  if (arg.size() < 7) 
    throw Exception("Function SetGraphBounds__1 for class vtkRandomLayoutStrategy requires 7 argument(s)");
  vtkRandomLayoutStrategy* vtk_pointer = GetVTKPointer<vtkRandomLayoutStrategy>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetGraphBounds(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkRandomLayoutStrategy:SetGraphBounds__2 vtkRandomLayoutStrategySetGraphBounds__2Function
//input a0 a1 
//output none
ArrayVector vtkRandomLayoutStrategySetGraphBounds__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGraphBounds (double  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetGraphBounds__2 for class vtkRandomLayoutStrategy requires 2 argument(s)");
  vtkRandomLayoutStrategy* vtk_pointer = GetVTKPointer<vtkRandomLayoutStrategy>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetGraphBounds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomLayoutStrategy:GetGraphBounds vtkRandomLayoutStrategyGetGraphBoundsFunction
//input a0 
//output y
ArrayVector vtkRandomLayoutStrategyGetGraphBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetGraphBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGraphBounds for class vtkRandomLayoutStrategy requires 1 argument(s)");
  vtkRandomLayoutStrategy* vtk_pointer = GetVTKPointer<vtkRandomLayoutStrategy>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetGraphBounds();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkRandomLayoutStrategy:SetAutomaticBoundsComputation vtkRandomLayoutStrategySetAutomaticBoundsComputationFunction
//input a0 a1 
//output none
ArrayVector vtkRandomLayoutStrategySetAutomaticBoundsComputationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAutomaticBoundsComputation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAutomaticBoundsComputation for class vtkRandomLayoutStrategy requires 2 argument(s)");
  vtkRandomLayoutStrategy* vtk_pointer = GetVTKPointer<vtkRandomLayoutStrategy>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAutomaticBoundsComputation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomLayoutStrategy:GetAutomaticBoundsComputation vtkRandomLayoutStrategyGetAutomaticBoundsComputationFunction
//input a0 
//output y
ArrayVector vtkRandomLayoutStrategyGetAutomaticBoundsComputationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAutomaticBoundsComputation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAutomaticBoundsComputation for class vtkRandomLayoutStrategy requires 1 argument(s)");
  vtkRandomLayoutStrategy* vtk_pointer = GetVTKPointer<vtkRandomLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAutomaticBoundsComputation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomLayoutStrategy:AutomaticBoundsComputationOn vtkRandomLayoutStrategyAutomaticBoundsComputationOnFunction
//input a0 
//output none
ArrayVector vtkRandomLayoutStrategyAutomaticBoundsComputationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutomaticBoundsComputationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AutomaticBoundsComputationOn for class vtkRandomLayoutStrategy requires 1 argument(s)");
  vtkRandomLayoutStrategy* vtk_pointer = GetVTKPointer<vtkRandomLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->AutomaticBoundsComputationOn();
  return retval;
}

//@@Signature
//sfunction @vtkRandomLayoutStrategy:AutomaticBoundsComputationOff vtkRandomLayoutStrategyAutomaticBoundsComputationOffFunction
//input a0 
//output none
ArrayVector vtkRandomLayoutStrategyAutomaticBoundsComputationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AutomaticBoundsComputationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AutomaticBoundsComputationOff for class vtkRandomLayoutStrategy requires 1 argument(s)");
  vtkRandomLayoutStrategy* vtk_pointer = GetVTKPointer<vtkRandomLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->AutomaticBoundsComputationOff();
  return retval;
}

//@@Signature
//sfunction @vtkRandomLayoutStrategy:SetThreeDimensionalLayout vtkRandomLayoutStrategySetThreeDimensionalLayoutFunction
//input a0 a1 
//output none
ArrayVector vtkRandomLayoutStrategySetThreeDimensionalLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetThreeDimensionalLayout (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetThreeDimensionalLayout for class vtkRandomLayoutStrategy requires 2 argument(s)");
  vtkRandomLayoutStrategy* vtk_pointer = GetVTKPointer<vtkRandomLayoutStrategy>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetThreeDimensionalLayout(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomLayoutStrategy:GetThreeDimensionalLayout vtkRandomLayoutStrategyGetThreeDimensionalLayoutFunction
//input a0 
//output y
ArrayVector vtkRandomLayoutStrategyGetThreeDimensionalLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetThreeDimensionalLayout (); */
  if (arg.size() < 1) 
    throw Exception("Function GetThreeDimensionalLayout for class vtkRandomLayoutStrategy requires 1 argument(s)");
  vtkRandomLayoutStrategy* vtk_pointer = GetVTKPointer<vtkRandomLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetThreeDimensionalLayout();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRandomLayoutStrategy:ThreeDimensionalLayoutOn vtkRandomLayoutStrategyThreeDimensionalLayoutOnFunction
//input a0 
//output none
ArrayVector vtkRandomLayoutStrategyThreeDimensionalLayoutOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThreeDimensionalLayoutOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ThreeDimensionalLayoutOn for class vtkRandomLayoutStrategy requires 1 argument(s)");
  vtkRandomLayoutStrategy* vtk_pointer = GetVTKPointer<vtkRandomLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->ThreeDimensionalLayoutOn();
  return retval;
}

//@@Signature
//sfunction @vtkRandomLayoutStrategy:ThreeDimensionalLayoutOff vtkRandomLayoutStrategyThreeDimensionalLayoutOffFunction
//input a0 
//output none
ArrayVector vtkRandomLayoutStrategyThreeDimensionalLayoutOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThreeDimensionalLayoutOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ThreeDimensionalLayoutOff for class vtkRandomLayoutStrategy requires 1 argument(s)");
  vtkRandomLayoutStrategy* vtk_pointer = GetVTKPointer<vtkRandomLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->ThreeDimensionalLayoutOff();
  return retval;
}

//@@Signature
//sfunction @vtkRandomLayoutStrategy:SetGraph vtkRandomLayoutStrategySetGraphFunction
//input a0 a1 
//output none
ArrayVector vtkRandomLayoutStrategySetGraphFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGraph (vtkGraph *graph); */
  if (arg.size() < 2) 
    throw Exception("Function SetGraph for class vtkRandomLayoutStrategy requires 2 argument(s)");
  vtkRandomLayoutStrategy* vtk_pointer = GetVTKPointer<vtkRandomLayoutStrategy>(arg[0]);
  Array retval;
  vtkGraph  *temp0;
  temp0 = GetVTKPointer<vtkGraph>(arg[1]);
  vtk_pointer->SetGraph(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRandomLayoutStrategy:Layout vtkRandomLayoutStrategyLayoutFunction
//input a0 
//output none
ArrayVector vtkRandomLayoutStrategyLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Layout (); */
  if (arg.size() < 1) 
    throw Exception("Function Layout for class vtkRandomLayoutStrategy requires 1 argument(s)");
  vtkRandomLayoutStrategy* vtk_pointer = GetVTKPointer<vtkRandomLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->Layout();
  return retval;
}

//@@Signature
//sfunction @vtkRandomLayoutStrategy:SetGraphBounds vtkRandomLayoutStrategySetGraphBoundsFunction
//input varargin
//output varargout
ArrayVector vtkRandomLayoutStrategySetGraphBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkRandomLayoutStrategySetGraphBounds__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkRandomLayoutStrategySetGraphBounds__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRandomLayoutStrategySetGraphBounds");
}

//@@Signature
//sfunction @vtkRandomLayoutStrategy:display vtkRandomLayoutStrategyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRandomLayoutStrategyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRandomLayoutStrategy* vtk_pointer = GetVTKPointer<vtkRandomLayoutStrategy>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRandomLayoutStrategy:delete vtkRandomLayoutStrategyDeleteFunction
//input varargin
//output none
ArrayVector vtkRandomLayoutStrategyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRandomLayoutStrategy
//@@Section VTKInfovis
//@@Usage
// Assigns points to the vertices of a graph randomly within a bounded range.
//
// .SECION Thanks
// Thanks to Brian Wylie from Sandia National Laboratories for adding incremental
// layout capabilities.
//
//To create an instance of class vtkRandomLayoutStrategy, simply
//invoke its constructor as follows
//@[
//  obj = vtkRandomLayoutStrategy
//@]
//@@Methods
//The class vtkRandomLayoutStrategy has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRandomLayoutStrategy class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRandomLayoutStrategy = obj.NewInstance ()|
// \item @|vtkRandomLayoutStrategy = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetRandomSeed (int )| -  Seed the random number generator used to compute point positions.
// This has a significant effect on their final positions when
// the layout is complete.
//// \item @|int = obj.GetRandomSeedMinValue ()| -  Seed the random number generator used to compute point positions.
// This has a significant effect on their final positions when
// the layout is complete.
//// \item @|int = obj.GetRandomSeedMaxValue ()| -  Seed the random number generator used to compute point positions.
// This has a significant effect on their final positions when
// the layout is complete.
//// \item @|int = obj.GetRandomSeed ()| -  Seed the random number generator used to compute point positions.
// This has a significant effect on their final positions when
// the layout is complete.
//// \item @|obj.SetGraphBounds (double , double , double , double , double , double )| -  Set / get the region in space in which to place the final graph.
// The GraphBounds only affects the results if AutomaticBoundsComputation
// is off.
//// \item @|obj.SetGraphBounds (double  a[6])| -  Set / get the region in space in which to place the final graph.
// The GraphBounds only affects the results if AutomaticBoundsComputation
// is off.
//// \item @|double = obj. GetGraphBounds ()| -  Set / get the region in space in which to place the final graph.
// The GraphBounds only affects the results if AutomaticBoundsComputation
// is off.
//// \item @|obj.SetAutomaticBoundsComputation (int )| -  Turn on/off automatic graph bounds calculation. If this
// boolean is off, then the manually specified GraphBounds is used.
// If on, then the input's bounds us used as the graph bounds.
//// \item @|int = obj.GetAutomaticBoundsComputation ()| -  Turn on/off automatic graph bounds calculation. If this
// boolean is off, then the manually specified GraphBounds is used.
// If on, then the input's bounds us used as the graph bounds.
//// \item @|obj.AutomaticBoundsComputationOn ()| -  Turn on/off automatic graph bounds calculation. If this
// boolean is off, then the manually specified GraphBounds is used.
// If on, then the input's bounds us used as the graph bounds.
//// \item @|obj.AutomaticBoundsComputationOff ()| -  Turn on/off automatic graph bounds calculation. If this
// boolean is off, then the manually specified GraphBounds is used.
// If on, then the input's bounds us used as the graph bounds.
//// \item @|obj.SetThreeDimensionalLayout (int )| -  Turn on/off layout of graph in three dimensions. If off, graph
// layout occurs in two dimensions. By default, three dimensional
// layout is on.
//// \item @|int = obj.GetThreeDimensionalLayout ()| -  Turn on/off layout of graph in three dimensions. If off, graph
// layout occurs in two dimensions. By default, three dimensional
// layout is on.
//// \item @|obj.ThreeDimensionalLayoutOn ()| -  Turn on/off layout of graph in three dimensions. If off, graph
// layout occurs in two dimensions. By default, three dimensional
// layout is on.
//// \item @|obj.ThreeDimensionalLayoutOff ()| -  Turn on/off layout of graph in three dimensions. If off, graph
// layout occurs in two dimensions. By default, three dimensional
// layout is on.
//// \item @|obj.SetGraph (vtkGraph graph)| -  Set the graph to layout.
//// \item @|obj.Layout ()| -  Perform the random layout.
////\end{itemize}
//!
