#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRemoveHiddenData object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRemoveHiddenData.h"

//@@Signature
//sfunction @vtkRemoveHiddenData:vtkRemoveHiddenData vtkRemoveHiddenDataConstructorFunction
//input a
//output p
//@@Parents vtkRemoveHiddenData vtkPassInputTypeAlgorithm 
ArrayVector vtkRemoveHiddenDataConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRemoveHiddenData::New(),"vtkRemoveHiddenData",eval);
  } else if (arg[0].className() == "vtkRemoveHiddenData") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRemoveHiddenData"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRemoveHiddenData");
    vtkRemoveHiddenData*q = reinterpret_cast<vtkRemoveHiddenData*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRemoveHiddenData");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRemoveHiddenData:GetClassName vtkRemoveHiddenDataGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRemoveHiddenDataGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRemoveHiddenData requires 1 argument(s)");
  vtkRemoveHiddenData* vtk_pointer = GetVTKPointer<vtkRemoveHiddenData>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRemoveHiddenData:IsA vtkRemoveHiddenDataIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRemoveHiddenDataIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRemoveHiddenData requires 2 argument(s)");
  vtkRemoveHiddenData* vtk_pointer = GetVTKPointer<vtkRemoveHiddenData>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRemoveHiddenData:NewInstance vtkRemoveHiddenDataNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRemoveHiddenDataNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRemoveHiddenData *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRemoveHiddenData requires 1 argument(s)");
  vtkRemoveHiddenData* vtk_pointer = GetVTKPointer<vtkRemoveHiddenData>(arg[0]);
  Array retval;
  vtkRemoveHiddenData  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRemoveHiddenData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRemoveHiddenData:SafeDownCast vtkRemoveHiddenDataSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRemoveHiddenDataSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRemoveHiddenData *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRemoveHiddenData requires 2 argument(s)");
  vtkRemoveHiddenData* vtk_pointer = GetVTKPointer<vtkRemoveHiddenData>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRemoveHiddenData  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRemoveHiddenData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRemoveHiddenData:display vtkRemoveHiddenDataDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRemoveHiddenDataDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRemoveHiddenData* vtk_pointer = GetVTKPointer<vtkRemoveHiddenData>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRemoveHiddenData:delete vtkRemoveHiddenDataDeleteFunction
//input varargin
//output none
ArrayVector vtkRemoveHiddenDataDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRemoveHiddenData
//@@Section VTKInfovis
//@@Usage
// Output only those rows/vertices/edges of the input vtkDataObject that 
// are visible, as defined by the vtkAnnotation::HIDE() flag of the input 
// vtkAnnotationLayers.
// Inputs:
//    Port 0 - vtkDataObject
//    Port 1 - vtkAnnotationLayers (optional)
//
//
//To create an instance of class vtkRemoveHiddenData, simply
//invoke its constructor as follows
//@[
//  obj = vtkRemoveHiddenData
//@]
//@@Methods
//The class vtkRemoveHiddenData has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRemoveHiddenData class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRemoveHiddenData = obj.NewInstance ()|
// \item @|vtkRemoveHiddenData = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
