#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRemoveIsolatedVertices object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRemoveIsolatedVertices.h"

//@@Signature
//sfunction @vtkRemoveIsolatedVertices:vtkRemoveIsolatedVertices vtkRemoveIsolatedVerticesConstructorFunction
//input a
//output p
//@@Parents vtkRemoveIsolatedVertices vtkGraphAlgorithm 
ArrayVector vtkRemoveIsolatedVerticesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRemoveIsolatedVertices::New(),"vtkRemoveIsolatedVertices",eval);
  } else if (arg[0].className() == "vtkRemoveIsolatedVertices") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRemoveIsolatedVertices"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRemoveIsolatedVertices");
    vtkRemoveIsolatedVertices*q = reinterpret_cast<vtkRemoveIsolatedVertices*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRemoveIsolatedVertices");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRemoveIsolatedVertices:GetClassName vtkRemoveIsolatedVerticesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRemoveIsolatedVerticesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRemoveIsolatedVertices requires 1 argument(s)");
  vtkRemoveIsolatedVertices* vtk_pointer = GetVTKPointer<vtkRemoveIsolatedVertices>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRemoveIsolatedVertices:IsA vtkRemoveIsolatedVerticesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRemoveIsolatedVerticesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRemoveIsolatedVertices requires 2 argument(s)");
  vtkRemoveIsolatedVertices* vtk_pointer = GetVTKPointer<vtkRemoveIsolatedVertices>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRemoveIsolatedVertices:NewInstance vtkRemoveIsolatedVerticesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRemoveIsolatedVerticesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRemoveIsolatedVertices *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRemoveIsolatedVertices requires 1 argument(s)");
  vtkRemoveIsolatedVertices* vtk_pointer = GetVTKPointer<vtkRemoveIsolatedVertices>(arg[0]);
  Array retval;
  vtkRemoveIsolatedVertices  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRemoveIsolatedVertices",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRemoveIsolatedVertices:SafeDownCast vtkRemoveIsolatedVerticesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRemoveIsolatedVerticesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRemoveIsolatedVertices *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRemoveIsolatedVertices requires 2 argument(s)");
  vtkRemoveIsolatedVertices* vtk_pointer = GetVTKPointer<vtkRemoveIsolatedVertices>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRemoveIsolatedVertices  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRemoveIsolatedVertices",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRemoveIsolatedVertices:display vtkRemoveIsolatedVerticesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRemoveIsolatedVerticesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRemoveIsolatedVertices* vtk_pointer = GetVTKPointer<vtkRemoveIsolatedVertices>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRemoveIsolatedVertices:delete vtkRemoveIsolatedVerticesDeleteFunction
//input varargin
//output none
ArrayVector vtkRemoveIsolatedVerticesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRemoveIsolatedVertices
//@@Section VTKInfovis
//@@Usage
//
//To create an instance of class vtkRemoveIsolatedVertices, simply
//invoke its constructor as follows
//@[
//  obj = vtkRemoveIsolatedVertices
//@]
//@@Methods
//The class vtkRemoveIsolatedVertices has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRemoveIsolatedVertices class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRemoveIsolatedVertices = obj.NewInstance ()|
// \item @|vtkRemoveIsolatedVertices = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
