#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSCurveSpline object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSCurveSpline.h"

//@@Signature
//sfunction @vtkSCurveSpline:vtkSCurveSpline vtkSCurveSplineConstructorFunction
//input a
//output p
//@@Parents vtkSCurveSpline vtkSpline 
ArrayVector vtkSCurveSplineConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSCurveSpline::New(),"vtkSCurveSpline",eval);
  } else if (arg[0].className() == "vtkSCurveSpline") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSCurveSpline"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSCurveSpline");
    vtkSCurveSpline*q = reinterpret_cast<vtkSCurveSpline*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSCurveSpline");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSCurveSpline:GetClassName vtkSCurveSplineGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSCurveSplineGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSCurveSpline requires 1 argument(s)");
  vtkSCurveSpline* vtk_pointer = GetVTKPointer<vtkSCurveSpline>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSCurveSpline:IsA vtkSCurveSplineIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSCurveSplineIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSCurveSpline requires 2 argument(s)");
  vtkSCurveSpline* vtk_pointer = GetVTKPointer<vtkSCurveSpline>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSCurveSpline:NewInstance vtkSCurveSplineNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSCurveSplineNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSCurveSpline *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSCurveSpline requires 1 argument(s)");
  vtkSCurveSpline* vtk_pointer = GetVTKPointer<vtkSCurveSpline>(arg[0]);
  Array retval;
  vtkSCurveSpline  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSCurveSpline",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSCurveSpline:SafeDownCast vtkSCurveSplineSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSCurveSplineSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSCurveSpline *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSCurveSpline requires 2 argument(s)");
  vtkSCurveSpline* vtk_pointer = GetVTKPointer<vtkSCurveSpline>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSCurveSpline  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSCurveSpline",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSCurveSpline:Compute vtkSCurveSplineComputeFunction
//input a0 
//output none
ArrayVector vtkSCurveSplineComputeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Compute (); */
  if (arg.size() < 1) 
    throw Exception("Function Compute for class vtkSCurveSpline requires 1 argument(s)");
  vtkSCurveSpline* vtk_pointer = GetVTKPointer<vtkSCurveSpline>(arg[0]);
  Array retval;
  vtk_pointer->Compute();
  return retval;
}

//@@Signature
//sfunction @vtkSCurveSpline:Evaluate vtkSCurveSplineEvaluateFunction
//input a0 a1 
//output y
ArrayVector vtkSCurveSplineEvaluateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double Evaluate (double t); */
  if (arg.size() < 2) 
    throw Exception("Function Evaluate for class vtkSCurveSpline requires 2 argument(s)");
  vtkSCurveSpline* vtk_pointer = GetVTKPointer<vtkSCurveSpline>(arg[0]);
  Array retval;
  double   temp0;
  double   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->Evaluate(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSCurveSpline:DeepCopy vtkSCurveSplineDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkSCurveSplineDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkSpline *s); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkSCurveSpline requires 2 argument(s)");
  vtkSCurveSpline* vtk_pointer = GetVTKPointer<vtkSCurveSpline>(arg[0]);
  Array retval;
  vtkSpline  *temp0;
  temp0 = GetVTKPointer<vtkSpline>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSCurveSpline:SetNodeWeight vtkSCurveSplineSetNodeWeightFunction
//input a0 a1 
//output none
ArrayVector vtkSCurveSplineSetNodeWeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNodeWeight (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNodeWeight for class vtkSCurveSpline requires 2 argument(s)");
  vtkSCurveSpline* vtk_pointer = GetVTKPointer<vtkSCurveSpline>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetNodeWeight(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSCurveSpline:GetNodeWeight vtkSCurveSplineGetNodeWeightFunction
//input a0 
//output y
ArrayVector vtkSCurveSplineGetNodeWeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetNodeWeight (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNodeWeight for class vtkSCurveSpline requires 1 argument(s)");
  vtkSCurveSpline* vtk_pointer = GetVTKPointer<vtkSCurveSpline>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetNodeWeight();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSCurveSpline:display vtkSCurveSplineDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSCurveSplineDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSCurveSpline* vtk_pointer = GetVTKPointer<vtkSCurveSpline>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSCurveSpline:delete vtkSCurveSplineDeleteFunction
//input varargin
//output none
ArrayVector vtkSCurveSplineDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSCurveSpline
//@@Section VTKInfovis
//@@Usage
// vtkSCurveSpline is a concrete implementation of vtkSpline using a
// SCurve basis.
//
//To create an instance of class vtkSCurveSpline, simply
//invoke its constructor as follows
//@[
//  obj = vtkSCurveSpline
//@]
//@@Methods
//The class vtkSCurveSpline has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSCurveSpline class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSCurveSpline = obj.NewInstance ()|
// \item @|vtkSCurveSpline = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Compute ()|
// \item @|double = obj.Evaluate (double t)| -  Evaluate a 1D SCurve spline.
//// \item @|obj.DeepCopy (vtkSpline s)| -  Deep copy of SCurve spline data.
//// \item @|obj.SetNodeWeight (double )|
// \item @|double = obj.GetNodeWeight ()|
//\end{itemize}
//!
