#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSQLDatabaseGraphSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSQLDatabaseGraphSource.h"

//@@Signature
//sfunction @vtkSQLDatabaseGraphSource:vtkSQLDatabaseGraphSource vtkSQLDatabaseGraphSourceConstructorFunction
//input a
//output p
//@@Parents vtkSQLDatabaseGraphSource vtkGraphAlgorithm 
ArrayVector vtkSQLDatabaseGraphSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSQLDatabaseGraphSource::New(),"vtkSQLDatabaseGraphSource",eval);
  } else if (arg[0].className() == "vtkSQLDatabaseGraphSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSQLDatabaseGraphSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSQLDatabaseGraphSource");
    vtkSQLDatabaseGraphSource*q = reinterpret_cast<vtkSQLDatabaseGraphSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSQLDatabaseGraphSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSQLDatabaseGraphSource:GetClassName vtkSQLDatabaseGraphSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSQLDatabaseGraphSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSQLDatabaseGraphSource requires 1 argument(s)");
  vtkSQLDatabaseGraphSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseGraphSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseGraphSource:IsA vtkSQLDatabaseGraphSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSQLDatabaseGraphSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSQLDatabaseGraphSource requires 2 argument(s)");
  vtkSQLDatabaseGraphSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseGraphSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseGraphSource:NewInstance vtkSQLDatabaseGraphSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSQLDatabaseGraphSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSQLDatabaseGraphSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSQLDatabaseGraphSource requires 1 argument(s)");
  vtkSQLDatabaseGraphSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseGraphSource>(arg[0]);
  Array retval;
  vtkSQLDatabaseGraphSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSQLDatabaseGraphSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseGraphSource:SafeDownCast vtkSQLDatabaseGraphSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSQLDatabaseGraphSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSQLDatabaseGraphSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSQLDatabaseGraphSource requires 2 argument(s)");
  vtkSQLDatabaseGraphSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseGraphSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSQLDatabaseGraphSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSQLDatabaseGraphSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseGraphSource:GetURL vtkSQLDatabaseGraphSourceGetURLFunction
//input a0 
//output y
ArrayVector vtkSQLDatabaseGraphSourceGetURLFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStdString GetURL (); */
  if (arg.size() < 1) 
    throw Exception("Function GetURL for class vtkSQLDatabaseGraphSource requires 1 argument(s)");
  vtkSQLDatabaseGraphSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseGraphSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetURL();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseGraphSource:SetURL vtkSQLDatabaseGraphSourceSetURLFunction
//input a0 a1 
//output none
ArrayVector vtkSQLDatabaseGraphSourceSetURLFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetURL (const vtkStdString &url); */
  if (arg.size() < 2) 
    throw Exception("Function SetURL for class vtkSQLDatabaseGraphSource requires 2 argument(s)");
  vtkSQLDatabaseGraphSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseGraphSource>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetURL(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseGraphSource:SetPassword vtkSQLDatabaseGraphSourceSetPasswordFunction
//input a0 a1 
//output none
ArrayVector vtkSQLDatabaseGraphSourceSetPasswordFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPassword (const vtkStdString &password); */
  if (arg.size() < 2) 
    throw Exception("Function SetPassword for class vtkSQLDatabaseGraphSource requires 2 argument(s)");
  vtkSQLDatabaseGraphSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseGraphSource>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetPassword(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseGraphSource:GetEdgeQuery vtkSQLDatabaseGraphSourceGetEdgeQueryFunction
//input a0 
//output y
ArrayVector vtkSQLDatabaseGraphSourceGetEdgeQueryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStdString GetEdgeQuery (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeQuery for class vtkSQLDatabaseGraphSource requires 1 argument(s)");
  vtkSQLDatabaseGraphSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseGraphSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetEdgeQuery();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseGraphSource:SetEdgeQuery vtkSQLDatabaseGraphSourceSetEdgeQueryFunction
//input a0 a1 
//output none
ArrayVector vtkSQLDatabaseGraphSourceSetEdgeQueryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgeQuery (const vtkStdString &query); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeQuery for class vtkSQLDatabaseGraphSource requires 2 argument(s)");
  vtkSQLDatabaseGraphSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseGraphSource>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetEdgeQuery(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseGraphSource:GetVertexQuery vtkSQLDatabaseGraphSourceGetVertexQueryFunction
//input a0 
//output y
ArrayVector vtkSQLDatabaseGraphSourceGetVertexQueryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStdString GetVertexQuery (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertexQuery for class vtkSQLDatabaseGraphSource requires 1 argument(s)");
  vtkSQLDatabaseGraphSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseGraphSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetVertexQuery();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseGraphSource:SetVertexQuery vtkSQLDatabaseGraphSourceSetVertexQueryFunction
//input a0 a1 
//output none
ArrayVector vtkSQLDatabaseGraphSourceSetVertexQueryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVertexQuery (const vtkStdString &query); */
  if (arg.size() < 2) 
    throw Exception("Function SetVertexQuery for class vtkSQLDatabaseGraphSource requires 2 argument(s)");
  vtkSQLDatabaseGraphSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseGraphSource>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetVertexQuery(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseGraphSource:AddLinkVertex vtkSQLDatabaseGraphSourceAddLinkVertexFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkSQLDatabaseGraphSourceAddLinkVertexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddLinkVertex (const char *column, const char *domain, int hidden); */
  if (arg.size() < 4) 
    throw Exception("Function AddLinkVertex for class vtkSQLDatabaseGraphSource requires 4 argument(s)");
  vtkSQLDatabaseGraphSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseGraphSource>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  int      temp2;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->AddLinkVertex(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseGraphSource:ClearLinkVertices vtkSQLDatabaseGraphSourceClearLinkVerticesFunction
//input a0 
//output none
ArrayVector vtkSQLDatabaseGraphSourceClearLinkVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClearLinkVertices (); */
  if (arg.size() < 1) 
    throw Exception("Function ClearLinkVertices for class vtkSQLDatabaseGraphSource requires 1 argument(s)");
  vtkSQLDatabaseGraphSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseGraphSource>(arg[0]);
  Array retval;
  vtk_pointer->ClearLinkVertices();
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseGraphSource:AddLinkEdge vtkSQLDatabaseGraphSourceAddLinkEdgeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkSQLDatabaseGraphSourceAddLinkEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddLinkEdge (const char *column1, const char *column2); */
  if (arg.size() < 3) 
    throw Exception("Function AddLinkEdge for class vtkSQLDatabaseGraphSource requires 3 argument(s)");
  vtkSQLDatabaseGraphSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseGraphSource>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->AddLinkEdge(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseGraphSource:ClearLinkEdges vtkSQLDatabaseGraphSourceClearLinkEdgesFunction
//input a0 
//output none
ArrayVector vtkSQLDatabaseGraphSourceClearLinkEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClearLinkEdges (); */
  if (arg.size() < 1) 
    throw Exception("Function ClearLinkEdges for class vtkSQLDatabaseGraphSource requires 1 argument(s)");
  vtkSQLDatabaseGraphSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseGraphSource>(arg[0]);
  Array retval;
  vtk_pointer->ClearLinkEdges();
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseGraphSource:GetGenerateEdgePedigreeIds vtkSQLDatabaseGraphSourceGetGenerateEdgePedigreeIdsFunction
//input a0 
//output y
ArrayVector vtkSQLDatabaseGraphSourceGetGenerateEdgePedigreeIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetGenerateEdgePedigreeIds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateEdgePedigreeIds for class vtkSQLDatabaseGraphSource requires 1 argument(s)");
  vtkSQLDatabaseGraphSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseGraphSource>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetGenerateEdgePedigreeIds();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseGraphSource:SetGenerateEdgePedigreeIds vtkSQLDatabaseGraphSourceSetGenerateEdgePedigreeIdsFunction
//input a0 a1 
//output none
ArrayVector vtkSQLDatabaseGraphSourceSetGenerateEdgePedigreeIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateEdgePedigreeIds (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateEdgePedigreeIds for class vtkSQLDatabaseGraphSource requires 2 argument(s)");
  vtkSQLDatabaseGraphSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseGraphSource>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetGenerateEdgePedigreeIds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseGraphSource:GenerateEdgePedigreeIdsOn vtkSQLDatabaseGraphSourceGenerateEdgePedigreeIdsOnFunction
//input a0 
//output none
ArrayVector vtkSQLDatabaseGraphSourceGenerateEdgePedigreeIdsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateEdgePedigreeIdsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateEdgePedigreeIdsOn for class vtkSQLDatabaseGraphSource requires 1 argument(s)");
  vtkSQLDatabaseGraphSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseGraphSource>(arg[0]);
  Array retval;
  vtk_pointer->GenerateEdgePedigreeIdsOn();
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseGraphSource:GenerateEdgePedigreeIdsOff vtkSQLDatabaseGraphSourceGenerateEdgePedigreeIdsOffFunction
//input a0 
//output none
ArrayVector vtkSQLDatabaseGraphSourceGenerateEdgePedigreeIdsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateEdgePedigreeIdsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateEdgePedigreeIdsOff for class vtkSQLDatabaseGraphSource requires 1 argument(s)");
  vtkSQLDatabaseGraphSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseGraphSource>(arg[0]);
  Array retval;
  vtk_pointer->GenerateEdgePedigreeIdsOff();
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseGraphSource:SetEdgePedigreeIdArrayName vtkSQLDatabaseGraphSourceSetEdgePedigreeIdArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkSQLDatabaseGraphSourceSetEdgePedigreeIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgePedigreeIdArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgePedigreeIdArrayName for class vtkSQLDatabaseGraphSource requires 2 argument(s)");
  vtkSQLDatabaseGraphSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseGraphSource>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetEdgePedigreeIdArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseGraphSource:GetEdgePedigreeIdArrayName vtkSQLDatabaseGraphSourceGetEdgePedigreeIdArrayNameFunction
//input a0 
//output y
ArrayVector vtkSQLDatabaseGraphSourceGetEdgePedigreeIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetEdgePedigreeIdArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgePedigreeIdArrayName for class vtkSQLDatabaseGraphSource requires 1 argument(s)");
  vtkSQLDatabaseGraphSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseGraphSource>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetEdgePedigreeIdArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseGraphSource:SetDirected vtkSQLDatabaseGraphSourceSetDirectedFunction
//input a0 a1 
//output none
ArrayVector vtkSQLDatabaseGraphSourceSetDirectedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDirected (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDirected for class vtkSQLDatabaseGraphSource requires 2 argument(s)");
  vtkSQLDatabaseGraphSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseGraphSource>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetDirected(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseGraphSource:GetDirected vtkSQLDatabaseGraphSourceGetDirectedFunction
//input a0 
//output y
ArrayVector vtkSQLDatabaseGraphSourceGetDirectedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetDirected (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDirected for class vtkSQLDatabaseGraphSource requires 1 argument(s)");
  vtkSQLDatabaseGraphSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseGraphSource>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetDirected();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseGraphSource:DirectedOn vtkSQLDatabaseGraphSourceDirectedOnFunction
//input a0 
//output none
ArrayVector vtkSQLDatabaseGraphSourceDirectedOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DirectedOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DirectedOn for class vtkSQLDatabaseGraphSource requires 1 argument(s)");
  vtkSQLDatabaseGraphSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseGraphSource>(arg[0]);
  Array retval;
  vtk_pointer->DirectedOn();
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseGraphSource:DirectedOff vtkSQLDatabaseGraphSourceDirectedOffFunction
//input a0 
//output none
ArrayVector vtkSQLDatabaseGraphSourceDirectedOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DirectedOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DirectedOff for class vtkSQLDatabaseGraphSource requires 1 argument(s)");
  vtkSQLDatabaseGraphSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseGraphSource>(arg[0]);
  Array retval;
  vtk_pointer->DirectedOff();
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseGraphSource:display vtkSQLDatabaseGraphSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSQLDatabaseGraphSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSQLDatabaseGraphSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseGraphSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSQLDatabaseGraphSource:delete vtkSQLDatabaseGraphSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkSQLDatabaseGraphSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSQLDatabaseGraphSource
//@@Section VTKInfovis
//@@Usage
// This class combines vtkSQLDatabase, vtkSQLQuery, and vtkQueryToGraph to
// provide a convenience class for generating graphs from databases. 
// Also this class can be easily wrapped and used within ParaView / OverView.
//
//To create an instance of class vtkSQLDatabaseGraphSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkSQLDatabaseGraphSource
//@]
//@@Methods
//The class vtkSQLDatabaseGraphSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSQLDatabaseGraphSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSQLDatabaseGraphSource = obj.NewInstance ()|
// \item @|vtkSQLDatabaseGraphSource = obj.SafeDownCast (vtkObject o)|
// \item @|vtkStdString = obj.GetURL ()|
// \item @|obj.SetURL (vtkStdString &url)|
// \item @|obj.SetPassword (vtkStdString &password)|
// \item @|vtkStdString = obj.GetEdgeQuery ()|
// \item @|obj.SetEdgeQuery (vtkStdString &query)|
// \item @|vtkStdString = obj.GetVertexQuery ()|
// \item @|obj.SetVertexQuery (vtkStdString &query)|
// \item @|obj.AddLinkVertex (string column, string domain, int hidden)|
// \item @|obj.ClearLinkVertices ()|
// \item @|obj.AddLinkEdge (string column1, string column2)|
// \item @|obj.ClearLinkEdges ()|
// \item @|bool = obj.GetGenerateEdgePedigreeIds ()| -  If on (default), generate edge pedigree ids.
// If off, assign an array to be edge pedigree ids.
//// \item @|obj.SetGenerateEdgePedigreeIds (bool )| -  If on (default), generate edge pedigree ids.
// If off, assign an array to be edge pedigree ids.
//// \item @|obj.GenerateEdgePedigreeIdsOn ()| -  If on (default), generate edge pedigree ids.
// If off, assign an array to be edge pedigree ids.
//// \item @|obj.GenerateEdgePedigreeIdsOff ()| -  If on (default), generate edge pedigree ids.
// If off, assign an array to be edge pedigree ids.
//// \item @|obj.SetEdgePedigreeIdArrayName (string )| -  Use this array name for setting or generating edge pedigree ids.
//// \item @|string = obj.GetEdgePedigreeIdArrayName ()| -  Use this array name for setting or generating edge pedigree ids.
//// \item @|obj.SetDirected (bool )| -  If on (default), generate a directed output graph.
// If off, generate an undirected output graph.
//// \item @|bool = obj.GetDirected ()| -  If on (default), generate a directed output graph.
// If off, generate an undirected output graph.
//// \item @|obj.DirectedOn ()| -  If on (default), generate a directed output graph.
// If off, generate an undirected output graph.
//// \item @|obj.DirectedOff ()| -  If on (default), generate a directed output graph.
// If off, generate an undirected output graph.
////\end{itemize}
//!
