#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSQLDatabaseTableSource object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSQLDatabaseTableSource.h"

//@@Signature
//sfunction @vtkSQLDatabaseTableSource:vtkSQLDatabaseTableSource vtkSQLDatabaseTableSourceConstructorFunction
//input a
//output p
//@@Parents vtkSQLDatabaseTableSource vtkTableAlgorithm 
ArrayVector vtkSQLDatabaseTableSourceConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSQLDatabaseTableSource::New(),"vtkSQLDatabaseTableSource",eval);
  } else if (arg[0].className() == "vtkSQLDatabaseTableSource") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSQLDatabaseTableSource"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSQLDatabaseTableSource");
    vtkSQLDatabaseTableSource*q = reinterpret_cast<vtkSQLDatabaseTableSource*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSQLDatabaseTableSource");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSQLDatabaseTableSource:GetClassName vtkSQLDatabaseTableSourceGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSQLDatabaseTableSourceGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSQLDatabaseTableSource requires 1 argument(s)");
  vtkSQLDatabaseTableSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseTableSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseTableSource:IsA vtkSQLDatabaseTableSourceIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSQLDatabaseTableSourceIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSQLDatabaseTableSource requires 2 argument(s)");
  vtkSQLDatabaseTableSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseTableSource>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseTableSource:NewInstance vtkSQLDatabaseTableSourceNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSQLDatabaseTableSourceNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSQLDatabaseTableSource *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSQLDatabaseTableSource requires 1 argument(s)");
  vtkSQLDatabaseTableSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseTableSource>(arg[0]);
  Array retval;
  vtkSQLDatabaseTableSource  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSQLDatabaseTableSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseTableSource:SafeDownCast vtkSQLDatabaseTableSourceSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSQLDatabaseTableSourceSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSQLDatabaseTableSource *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSQLDatabaseTableSource requires 2 argument(s)");
  vtkSQLDatabaseTableSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseTableSource>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSQLDatabaseTableSource  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSQLDatabaseTableSource",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseTableSource:GetURL vtkSQLDatabaseTableSourceGetURLFunction
//input a0 
//output y
ArrayVector vtkSQLDatabaseTableSourceGetURLFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStdString GetURL (); */
  if (arg.size() < 1) 
    throw Exception("Function GetURL for class vtkSQLDatabaseTableSource requires 1 argument(s)");
  vtkSQLDatabaseTableSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseTableSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetURL();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseTableSource:SetURL vtkSQLDatabaseTableSourceSetURLFunction
//input a0 a1 
//output none
ArrayVector vtkSQLDatabaseTableSourceSetURLFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetURL (const vtkStdString &url); */
  if (arg.size() < 2) 
    throw Exception("Function SetURL for class vtkSQLDatabaseTableSource requires 2 argument(s)");
  vtkSQLDatabaseTableSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseTableSource>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetURL(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseTableSource:SetPassword vtkSQLDatabaseTableSourceSetPasswordFunction
//input a0 a1 
//output none
ArrayVector vtkSQLDatabaseTableSourceSetPasswordFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPassword (const vtkStdString &password); */
  if (arg.size() < 2) 
    throw Exception("Function SetPassword for class vtkSQLDatabaseTableSource requires 2 argument(s)");
  vtkSQLDatabaseTableSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseTableSource>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetPassword(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseTableSource:GetQuery vtkSQLDatabaseTableSourceGetQueryFunction
//input a0 
//output y
ArrayVector vtkSQLDatabaseTableSourceGetQueryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStdString GetQuery (); */
  if (arg.size() < 1) 
    throw Exception("Function GetQuery for class vtkSQLDatabaseTableSource requires 1 argument(s)");
  vtkSQLDatabaseTableSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseTableSource>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetQuery();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseTableSource:SetQuery vtkSQLDatabaseTableSourceSetQueryFunction
//input a0 a1 
//output none
ArrayVector vtkSQLDatabaseTableSourceSetQueryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQuery (const vtkStdString &query); */
  if (arg.size() < 2) 
    throw Exception("Function SetQuery for class vtkSQLDatabaseTableSource requires 2 argument(s)");
  vtkSQLDatabaseTableSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseTableSource>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetQuery(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseTableSource:SetPedigreeIdArrayName vtkSQLDatabaseTableSourceSetPedigreeIdArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkSQLDatabaseTableSourceSetPedigreeIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPedigreeIdArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetPedigreeIdArrayName for class vtkSQLDatabaseTableSource requires 2 argument(s)");
  vtkSQLDatabaseTableSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseTableSource>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetPedigreeIdArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseTableSource:GetPedigreeIdArrayName vtkSQLDatabaseTableSourceGetPedigreeIdArrayNameFunction
//input a0 
//output y
ArrayVector vtkSQLDatabaseTableSourceGetPedigreeIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetPedigreeIdArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPedigreeIdArrayName for class vtkSQLDatabaseTableSource requires 1 argument(s)");
  vtkSQLDatabaseTableSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseTableSource>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetPedigreeIdArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseTableSource:SetGeneratePedigreeIds vtkSQLDatabaseTableSourceSetGeneratePedigreeIdsFunction
//input a0 a1 
//output none
ArrayVector vtkSQLDatabaseTableSourceSetGeneratePedigreeIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGeneratePedigreeIds (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGeneratePedigreeIds for class vtkSQLDatabaseTableSource requires 2 argument(s)");
  vtkSQLDatabaseTableSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseTableSource>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetGeneratePedigreeIds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseTableSource:GetGeneratePedigreeIds vtkSQLDatabaseTableSourceGetGeneratePedigreeIdsFunction
//input a0 
//output y
ArrayVector vtkSQLDatabaseTableSourceGetGeneratePedigreeIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetGeneratePedigreeIds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGeneratePedigreeIds for class vtkSQLDatabaseTableSource requires 1 argument(s)");
  vtkSQLDatabaseTableSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseTableSource>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetGeneratePedigreeIds();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseTableSource:GeneratePedigreeIdsOn vtkSQLDatabaseTableSourceGeneratePedigreeIdsOnFunction
//input a0 
//output none
ArrayVector vtkSQLDatabaseTableSourceGeneratePedigreeIdsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GeneratePedigreeIdsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GeneratePedigreeIdsOn for class vtkSQLDatabaseTableSource requires 1 argument(s)");
  vtkSQLDatabaseTableSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseTableSource>(arg[0]);
  Array retval;
  vtk_pointer->GeneratePedigreeIdsOn();
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseTableSource:GeneratePedigreeIdsOff vtkSQLDatabaseTableSourceGeneratePedigreeIdsOffFunction
//input a0 
//output none
ArrayVector vtkSQLDatabaseTableSourceGeneratePedigreeIdsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GeneratePedigreeIdsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GeneratePedigreeIdsOff for class vtkSQLDatabaseTableSource requires 1 argument(s)");
  vtkSQLDatabaseTableSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseTableSource>(arg[0]);
  Array retval;
  vtk_pointer->GeneratePedigreeIdsOff();
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseTableSource:display vtkSQLDatabaseTableSourceDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSQLDatabaseTableSourceDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSQLDatabaseTableSource* vtk_pointer = GetVTKPointer<vtkSQLDatabaseTableSource>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSQLDatabaseTableSource:delete vtkSQLDatabaseTableSourceDeleteFunction
//input varargin
//output none
ArrayVector vtkSQLDatabaseTableSourceDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSQLDatabaseTableSource
//@@Section VTKInfovis
//@@Usage
// This class combines vtkSQLDatabase, vtkSQLQuery, and vtkQueryToTable to
// provide a convenience class for generating tables from databases. 
// Also this class can be easily wrapped and used within ParaView / OverView.
//
//To create an instance of class vtkSQLDatabaseTableSource, simply
//invoke its constructor as follows
//@[
//  obj = vtkSQLDatabaseTableSource
//@]
//@@Methods
//The class vtkSQLDatabaseTableSource has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSQLDatabaseTableSource class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSQLDatabaseTableSource = obj.NewInstance ()|
// \item @|vtkSQLDatabaseTableSource = obj.SafeDownCast (vtkObject o)|
// \item @|vtkStdString = obj.GetURL ()|
// \item @|obj.SetURL (vtkStdString &url)|
// \item @|obj.SetPassword (vtkStdString &password)|
// \item @|vtkStdString = obj.GetQuery ()|
// \item @|obj.SetQuery (vtkStdString &query)|
// \item @|obj.SetPedigreeIdArrayName (string )| -  The name of the array for generating or assigning pedigree ids
// (default "id").
//// \item @|string = obj.GetPedigreeIdArrayName ()| -  The name of the array for generating or assigning pedigree ids
// (default "id").
//// \item @|obj.SetGeneratePedigreeIds (bool )| -  If on (default), generates pedigree ids automatically.
// If off, assign one of the arrays to be the pedigree id.
//// \item @|bool = obj.GetGeneratePedigreeIds ()| -  If on (default), generates pedigree ids automatically.
// If off, assign one of the arrays to be the pedigree id.
//// \item @|obj.GeneratePedigreeIdsOn ()| -  If on (default), generates pedigree ids automatically.
// If off, assign one of the arrays to be the pedigree id.
//// \item @|obj.GeneratePedigreeIdsOff ()| -  If on (default), generates pedigree ids automatically.
// If off, assign one of the arrays to be the pedigree id.
////\end{itemize}
//!
