#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSQLGraphReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSQLGraphReader.h"

//@@Signature
//sfunction @vtkSQLGraphReader:vtkSQLGraphReader vtkSQLGraphReaderConstructorFunction
//input a
//output p
//@@Parents vtkSQLGraphReader vtkGraphAlgorithm 
ArrayVector vtkSQLGraphReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSQLGraphReader::New(),"vtkSQLGraphReader",eval);
  } else if (arg[0].className() == "vtkSQLGraphReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSQLGraphReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSQLGraphReader");
    vtkSQLGraphReader*q = reinterpret_cast<vtkSQLGraphReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSQLGraphReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSQLGraphReader:GetClassName vtkSQLGraphReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSQLGraphReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSQLGraphReader requires 1 argument(s)");
  vtkSQLGraphReader* vtk_pointer = GetVTKPointer<vtkSQLGraphReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLGraphReader:IsA vtkSQLGraphReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSQLGraphReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSQLGraphReader requires 2 argument(s)");
  vtkSQLGraphReader* vtk_pointer = GetVTKPointer<vtkSQLGraphReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLGraphReader:NewInstance vtkSQLGraphReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSQLGraphReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSQLGraphReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSQLGraphReader requires 1 argument(s)");
  vtkSQLGraphReader* vtk_pointer = GetVTKPointer<vtkSQLGraphReader>(arg[0]);
  Array retval;
  vtkSQLGraphReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSQLGraphReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSQLGraphReader:SafeDownCast vtkSQLGraphReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSQLGraphReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSQLGraphReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSQLGraphReader requires 2 argument(s)");
  vtkSQLGraphReader* vtk_pointer = GetVTKPointer<vtkSQLGraphReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSQLGraphReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSQLGraphReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSQLGraphReader:SetDirected vtkSQLGraphReaderSetDirectedFunction
//input a0 a1 
//output none
ArrayVector vtkSQLGraphReaderSetDirectedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDirected (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDirected for class vtkSQLGraphReader requires 2 argument(s)");
  vtkSQLGraphReader* vtk_pointer = GetVTKPointer<vtkSQLGraphReader>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetDirected(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSQLGraphReader:GetDirected vtkSQLGraphReaderGetDirectedFunction
//input a0 
//output y
ArrayVector vtkSQLGraphReaderGetDirectedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetDirected (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDirected for class vtkSQLGraphReader requires 1 argument(s)");
  vtkSQLGraphReader* vtk_pointer = GetVTKPointer<vtkSQLGraphReader>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetDirected();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLGraphReader:DirectedOn vtkSQLGraphReaderDirectedOnFunction
//input a0 
//output none
ArrayVector vtkSQLGraphReaderDirectedOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DirectedOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DirectedOn for class vtkSQLGraphReader requires 1 argument(s)");
  vtkSQLGraphReader* vtk_pointer = GetVTKPointer<vtkSQLGraphReader>(arg[0]);
  Array retval;
  vtk_pointer->DirectedOn();
  return retval;
}

//@@Signature
//sfunction @vtkSQLGraphReader:DirectedOff vtkSQLGraphReaderDirectedOffFunction
//input a0 
//output none
ArrayVector vtkSQLGraphReaderDirectedOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DirectedOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DirectedOff for class vtkSQLGraphReader requires 1 argument(s)");
  vtkSQLGraphReader* vtk_pointer = GetVTKPointer<vtkSQLGraphReader>(arg[0]);
  Array retval;
  vtk_pointer->DirectedOff();
  return retval;
}

//@@Signature
//sfunction @vtkSQLGraphReader:SetVertexQuery vtkSQLGraphReaderSetVertexQueryFunction
//input a0 a1 
//output none
ArrayVector vtkSQLGraphReaderSetVertexQueryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetVertexQuery (vtkSQLQuery *q); */
  if (arg.size() < 2) 
    throw Exception("Function SetVertexQuery for class vtkSQLGraphReader requires 2 argument(s)");
  vtkSQLGraphReader* vtk_pointer = GetVTKPointer<vtkSQLGraphReader>(arg[0]);
  Array retval;
  vtkSQLQuery  *temp0;
  temp0 = GetVTKPointer<vtkSQLQuery>(arg[1]);
  vtk_pointer->SetVertexQuery(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSQLGraphReader:GetVertexQuery vtkSQLGraphReaderGetVertexQueryFunction
//input a0 
//output y
ArrayVector vtkSQLGraphReaderGetVertexQueryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSQLQuery *GetVertexQuery (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertexQuery for class vtkSQLGraphReader requires 1 argument(s)");
  vtkSQLGraphReader* vtk_pointer = GetVTKPointer<vtkSQLGraphReader>(arg[0]);
  Array retval;
  vtkSQLQuery  *temp20;
  temp20 = (vtk_pointer)->GetVertexQuery();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSQLQuery",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSQLGraphReader:SetEdgeQuery vtkSQLGraphReaderSetEdgeQueryFunction
//input a0 a1 
//output none
ArrayVector vtkSQLGraphReaderSetEdgeQueryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetEdgeQuery (vtkSQLQuery *q); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgeQuery for class vtkSQLGraphReader requires 2 argument(s)");
  vtkSQLGraphReader* vtk_pointer = GetVTKPointer<vtkSQLGraphReader>(arg[0]);
  Array retval;
  vtkSQLQuery  *temp0;
  temp0 = GetVTKPointer<vtkSQLQuery>(arg[1]);
  vtk_pointer->SetEdgeQuery(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSQLGraphReader:GetEdgeQuery vtkSQLGraphReaderGetEdgeQueryFunction
//input a0 
//output y
ArrayVector vtkSQLGraphReaderGetEdgeQueryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSQLQuery *GetEdgeQuery (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgeQuery for class vtkSQLGraphReader requires 1 argument(s)");
  vtkSQLGraphReader* vtk_pointer = GetVTKPointer<vtkSQLGraphReader>(arg[0]);
  Array retval;
  vtkSQLQuery  *temp20;
  temp20 = (vtk_pointer)->GetEdgeQuery();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSQLQuery",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSQLGraphReader:SetSourceField vtkSQLGraphReaderSetSourceFieldFunction
//input a0 a1 
//output none
ArrayVector vtkSQLGraphReaderSetSourceFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSourceField (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSourceField for class vtkSQLGraphReader requires 2 argument(s)");
  vtkSQLGraphReader* vtk_pointer = GetVTKPointer<vtkSQLGraphReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetSourceField(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSQLGraphReader:GetSourceField vtkSQLGraphReaderGetSourceFieldFunction
//input a0 
//output y
ArrayVector vtkSQLGraphReaderGetSourceFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetSourceField (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSourceField for class vtkSQLGraphReader requires 1 argument(s)");
  vtkSQLGraphReader* vtk_pointer = GetVTKPointer<vtkSQLGraphReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetSourceField();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLGraphReader:SetTargetField vtkSQLGraphReaderSetTargetFieldFunction
//input a0 a1 
//output none
ArrayVector vtkSQLGraphReaderSetTargetFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTargetField (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTargetField for class vtkSQLGraphReader requires 2 argument(s)");
  vtkSQLGraphReader* vtk_pointer = GetVTKPointer<vtkSQLGraphReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetTargetField(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSQLGraphReader:GetTargetField vtkSQLGraphReaderGetTargetFieldFunction
//input a0 
//output y
ArrayVector vtkSQLGraphReaderGetTargetFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetTargetField (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTargetField for class vtkSQLGraphReader requires 1 argument(s)");
  vtkSQLGraphReader* vtk_pointer = GetVTKPointer<vtkSQLGraphReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetTargetField();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLGraphReader:SetVertexIdField vtkSQLGraphReaderSetVertexIdFieldFunction
//input a0 a1 
//output none
ArrayVector vtkSQLGraphReaderSetVertexIdFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVertexIdField (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetVertexIdField for class vtkSQLGraphReader requires 2 argument(s)");
  vtkSQLGraphReader* vtk_pointer = GetVTKPointer<vtkSQLGraphReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetVertexIdField(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSQLGraphReader:GetVertexIdField vtkSQLGraphReaderGetVertexIdFieldFunction
//input a0 
//output y
ArrayVector vtkSQLGraphReaderGetVertexIdFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetVertexIdField (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertexIdField for class vtkSQLGraphReader requires 1 argument(s)");
  vtkSQLGraphReader* vtk_pointer = GetVTKPointer<vtkSQLGraphReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetVertexIdField();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLGraphReader:SetXField vtkSQLGraphReaderSetXFieldFunction
//input a0 a1 
//output none
ArrayVector vtkSQLGraphReaderSetXFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXField (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetXField for class vtkSQLGraphReader requires 2 argument(s)");
  vtkSQLGraphReader* vtk_pointer = GetVTKPointer<vtkSQLGraphReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetXField(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSQLGraphReader:GetXField vtkSQLGraphReaderGetXFieldFunction
//input a0 
//output y
ArrayVector vtkSQLGraphReaderGetXFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetXField (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXField for class vtkSQLGraphReader requires 1 argument(s)");
  vtkSQLGraphReader* vtk_pointer = GetVTKPointer<vtkSQLGraphReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetXField();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLGraphReader:SetYField vtkSQLGraphReaderSetYFieldFunction
//input a0 a1 
//output none
ArrayVector vtkSQLGraphReaderSetYFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetYField (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetYField for class vtkSQLGraphReader requires 2 argument(s)");
  vtkSQLGraphReader* vtk_pointer = GetVTKPointer<vtkSQLGraphReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetYField(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSQLGraphReader:GetYField vtkSQLGraphReaderGetYFieldFunction
//input a0 
//output y
ArrayVector vtkSQLGraphReaderGetYFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetYField (); */
  if (arg.size() < 1) 
    throw Exception("Function GetYField for class vtkSQLGraphReader requires 1 argument(s)");
  vtkSQLGraphReader* vtk_pointer = GetVTKPointer<vtkSQLGraphReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetYField();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLGraphReader:SetZField vtkSQLGraphReaderSetZFieldFunction
//input a0 a1 
//output none
ArrayVector vtkSQLGraphReaderSetZFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetZField (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetZField for class vtkSQLGraphReader requires 2 argument(s)");
  vtkSQLGraphReader* vtk_pointer = GetVTKPointer<vtkSQLGraphReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetZField(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSQLGraphReader:GetZField vtkSQLGraphReaderGetZFieldFunction
//input a0 
//output y
ArrayVector vtkSQLGraphReaderGetZFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetZField (); */
  if (arg.size() < 1) 
    throw Exception("Function GetZField for class vtkSQLGraphReader requires 1 argument(s)");
  vtkSQLGraphReader* vtk_pointer = GetVTKPointer<vtkSQLGraphReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetZField();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLGraphReader:SetCollapseEdges vtkSQLGraphReaderSetCollapseEdgesFunction
//input a0 a1 
//output none
ArrayVector vtkSQLGraphReaderSetCollapseEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCollapseEdges (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCollapseEdges for class vtkSQLGraphReader requires 2 argument(s)");
  vtkSQLGraphReader* vtk_pointer = GetVTKPointer<vtkSQLGraphReader>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetCollapseEdges(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSQLGraphReader:GetCollapseEdges vtkSQLGraphReaderGetCollapseEdgesFunction
//input a0 
//output y
ArrayVector vtkSQLGraphReaderGetCollapseEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetCollapseEdges (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCollapseEdges for class vtkSQLGraphReader requires 1 argument(s)");
  vtkSQLGraphReader* vtk_pointer = GetVTKPointer<vtkSQLGraphReader>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetCollapseEdges();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLGraphReader:CollapseEdgesOn vtkSQLGraphReaderCollapseEdgesOnFunction
//input a0 
//output none
ArrayVector vtkSQLGraphReaderCollapseEdgesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CollapseEdgesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CollapseEdgesOn for class vtkSQLGraphReader requires 1 argument(s)");
  vtkSQLGraphReader* vtk_pointer = GetVTKPointer<vtkSQLGraphReader>(arg[0]);
  Array retval;
  vtk_pointer->CollapseEdgesOn();
  return retval;
}

//@@Signature
//sfunction @vtkSQLGraphReader:CollapseEdgesOff vtkSQLGraphReaderCollapseEdgesOffFunction
//input a0 
//output none
ArrayVector vtkSQLGraphReaderCollapseEdgesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CollapseEdgesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CollapseEdgesOff for class vtkSQLGraphReader requires 1 argument(s)");
  vtkSQLGraphReader* vtk_pointer = GetVTKPointer<vtkSQLGraphReader>(arg[0]);
  Array retval;
  vtk_pointer->CollapseEdgesOff();
  return retval;
}

//@@Signature
//sfunction @vtkSQLGraphReader:display vtkSQLGraphReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSQLGraphReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSQLGraphReader* vtk_pointer = GetVTKPointer<vtkSQLGraphReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSQLGraphReader:delete vtkSQLGraphReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkSQLGraphReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSQLGraphReader
//@@Section VTKInfovis
//@@Usage
//
// Creates a vtkGraph using one or two vtkSQLQuery's.  The first (required)
// query must have one row for each arc in the graph.
// The query must have two columns which represent the source and target
// node ids.
//
// The second (optional) query has one row for each node in the graph.
// The table must have a field whose values match those in the arc table.
// If the node table is not given, 
// a node will be created for each unique source or target identifier 
// in the arc table.
//
// The source, target, and node ID fields must be of the same type, 
// and must be either vtkStringArray or a subclass of vtkDataArray.
//
// All columns in the queries, including the source, target, and node index
// fields, are copied into the arc data and node data of the resulting
// vtkGraph.  If the node query is not given, the node data will contain
// a single "id" column with the same type as the source/target id arrays.
//
// If parallel arcs are collected, not all the arc data is not copied into 
// the output.  Only the source and target id arrays will be transferred.
// An additional vtkIdTypeArray column called "weight" is created which 
// contains the number of times each arc appeared in the input.
//
// If the node query contains positional data, the user may specify the
// names of these fields.
// These arrays must be data arrays.  The z-coordinate array is optional,
// and if not given the z-coordinates are set to zero.
//
//To create an instance of class vtkSQLGraphReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkSQLGraphReader
//@]
//@@Methods
//The class vtkSQLGraphReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSQLGraphReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSQLGraphReader = obj.NewInstance ()|
// \item @|vtkSQLGraphReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetDirected (bool )| -  When set, creates a directed graph, as opposed to an undirected graph.
//// \item @|bool = obj.GetDirected ()| -  When set, creates a directed graph, as opposed to an undirected graph.
//// \item @|obj.DirectedOn ()| -  When set, creates a directed graph, as opposed to an undirected graph.
//// \item @|obj.DirectedOff ()| -  When set, creates a directed graph, as opposed to an undirected graph.
//// \item @|obj.SetVertexQuery (vtkSQLQuery q)| -  The query that retrieves the node information.
//// \item @|vtkSQLQuery = obj.GetVertexQuery ()| -  The query that retrieves the node information.
//// \item @|obj.SetEdgeQuery (vtkSQLQuery q)| -  The query that retrieves the arc information.
//// \item @|vtkSQLQuery = obj.GetEdgeQuery ()| -  The query that retrieves the arc information.
//// \item @|obj.SetSourceField (string )| -  The name of the field in the arc query for the source node of each arc.
//// \item @|string = obj.GetSourceField ()| -  The name of the field in the arc query for the source node of each arc.
//// \item @|obj.SetTargetField (string )| -  The name of the field in the arc query for the target node of each arc.
//// \item @|string = obj.GetTargetField ()| -  The name of the field in the arc query for the target node of each arc.
//// \item @|obj.SetVertexIdField (string )| -  The name of the field in the node query for the node ID.
//// \item @|string = obj.GetVertexIdField ()| -  The name of the field in the node query for the node ID.
//// \item @|obj.SetXField (string )| -  The name of the field in the node query for the node's x coordinate.
//// \item @|string = obj.GetXField ()| -  The name of the field in the node query for the node's x coordinate.
//// \item @|obj.SetYField (string )| -  The name of the field in the node query for the node's y coordinate.
//// \item @|string = obj.GetYField ()| -  The name of the field in the node query for the node's y coordinate.
//// \item @|obj.SetZField (string )| -  The name of the field in the node query for the node's z coordinate.
//// \item @|string = obj.GetZField ()| -  The name of the field in the node query for the node's z coordinate.
//// \item @|obj.SetCollapseEdges (bool )| -  When set, creates a graph with no parallel arcs.
// Parallel arcs are combined into one arc.
// No cell fields are passed to the output, except the vtkGhostLevels array if
// it exists, but a new field "weight" is created that holds the number of 
// duplicates of that arc in the input.
//// \item @|bool = obj.GetCollapseEdges ()| -  When set, creates a graph with no parallel arcs.
// Parallel arcs are combined into one arc.
// No cell fields are passed to the output, except the vtkGhostLevels array if
// it exists, but a new field "weight" is created that holds the number of 
// duplicates of that arc in the input.
//// \item @|obj.CollapseEdgesOn ()| -  When set, creates a graph with no parallel arcs.
// Parallel arcs are combined into one arc.
// No cell fields are passed to the output, except the vtkGhostLevels array if
// it exists, but a new field "weight" is created that holds the number of 
// duplicates of that arc in the input.
//// \item @|obj.CollapseEdgesOff ()| -  When set, creates a graph with no parallel arcs.
// Parallel arcs are combined into one arc.
// No cell fields are passed to the output, except the vtkGhostLevels array if
// it exists, but a new field "weight" is created that holds the number of 
// duplicates of that arc in the input.
////\end{itemize}
//!
