#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSimple2DLayoutStrategy object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSimple2DLayoutStrategy.h"

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:vtkSimple2DLayoutStrategy vtkSimple2DLayoutStrategyConstructorFunction
//input a
//output p
//@@Parents vtkSimple2DLayoutStrategy vtkGraphLayoutStrategy 
ArrayVector vtkSimple2DLayoutStrategyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSimple2DLayoutStrategy::New(),"vtkSimple2DLayoutStrategy",eval);
  } else if (arg[0].className() == "vtkSimple2DLayoutStrategy") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSimple2DLayoutStrategy"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSimple2DLayoutStrategy");
    vtkSimple2DLayoutStrategy*q = reinterpret_cast<vtkSimple2DLayoutStrategy*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSimple2DLayoutStrategy");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:GetClassName vtkSimple2DLayoutStrategyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSimple2DLayoutStrategyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSimple2DLayoutStrategy requires 1 argument(s)");
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:IsA vtkSimple2DLayoutStrategyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSimple2DLayoutStrategyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSimple2DLayoutStrategy requires 2 argument(s)");
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:NewInstance vtkSimple2DLayoutStrategyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSimple2DLayoutStrategyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSimple2DLayoutStrategy *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSimple2DLayoutStrategy requires 1 argument(s)");
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  Array retval;
  vtkSimple2DLayoutStrategy  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSimple2DLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:SafeDownCast vtkSimple2DLayoutStrategySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSimple2DLayoutStrategySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSimple2DLayoutStrategy *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSimple2DLayoutStrategy requires 2 argument(s)");
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSimple2DLayoutStrategy  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSimple2DLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:SetRandomSeed vtkSimple2DLayoutStrategySetRandomSeedFunction
//input a0 a1 
//output none
ArrayVector vtkSimple2DLayoutStrategySetRandomSeedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRandomSeed (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRandomSeed for class vtkSimple2DLayoutStrategy requires 2 argument(s)");
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRandomSeed(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:GetRandomSeedMinValue vtkSimple2DLayoutStrategyGetRandomSeedMinValueFunction
//input a0 
//output y
ArrayVector vtkSimple2DLayoutStrategyGetRandomSeedMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRandomSeedMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRandomSeedMinValue for class vtkSimple2DLayoutStrategy requires 1 argument(s)");
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRandomSeedMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:GetRandomSeedMaxValue vtkSimple2DLayoutStrategyGetRandomSeedMaxValueFunction
//input a0 
//output y
ArrayVector vtkSimple2DLayoutStrategyGetRandomSeedMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRandomSeedMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRandomSeedMaxValue for class vtkSimple2DLayoutStrategy requires 1 argument(s)");
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRandomSeedMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:GetRandomSeed vtkSimple2DLayoutStrategyGetRandomSeedFunction
//input a0 
//output y
ArrayVector vtkSimple2DLayoutStrategyGetRandomSeedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRandomSeed (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRandomSeed for class vtkSimple2DLayoutStrategy requires 1 argument(s)");
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRandomSeed();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:SetMaxNumberOfIterations vtkSimple2DLayoutStrategySetMaxNumberOfIterationsFunction
//input a0 a1 
//output none
ArrayVector vtkSimple2DLayoutStrategySetMaxNumberOfIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxNumberOfIterations (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxNumberOfIterations for class vtkSimple2DLayoutStrategy requires 2 argument(s)");
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaxNumberOfIterations(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:GetMaxNumberOfIterationsMinValue vtkSimple2DLayoutStrategyGetMaxNumberOfIterationsMinValueFunction
//input a0 
//output y
ArrayVector vtkSimple2DLayoutStrategyGetMaxNumberOfIterationsMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxNumberOfIterationsMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxNumberOfIterationsMinValue for class vtkSimple2DLayoutStrategy requires 1 argument(s)");
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxNumberOfIterationsMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:GetMaxNumberOfIterationsMaxValue vtkSimple2DLayoutStrategyGetMaxNumberOfIterationsMaxValueFunction
//input a0 
//output y
ArrayVector vtkSimple2DLayoutStrategyGetMaxNumberOfIterationsMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxNumberOfIterationsMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxNumberOfIterationsMaxValue for class vtkSimple2DLayoutStrategy requires 1 argument(s)");
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxNumberOfIterationsMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:GetMaxNumberOfIterations vtkSimple2DLayoutStrategyGetMaxNumberOfIterationsFunction
//input a0 
//output y
ArrayVector vtkSimple2DLayoutStrategyGetMaxNumberOfIterationsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxNumberOfIterations (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxNumberOfIterations for class vtkSimple2DLayoutStrategy requires 1 argument(s)");
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxNumberOfIterations();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:SetIterationsPerLayout vtkSimple2DLayoutStrategySetIterationsPerLayoutFunction
//input a0 a1 
//output none
ArrayVector vtkSimple2DLayoutStrategySetIterationsPerLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIterationsPerLayout (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIterationsPerLayout for class vtkSimple2DLayoutStrategy requires 2 argument(s)");
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIterationsPerLayout(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:GetIterationsPerLayoutMinValue vtkSimple2DLayoutStrategyGetIterationsPerLayoutMinValueFunction
//input a0 
//output y
ArrayVector vtkSimple2DLayoutStrategyGetIterationsPerLayoutMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIterationsPerLayoutMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIterationsPerLayoutMinValue for class vtkSimple2DLayoutStrategy requires 1 argument(s)");
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIterationsPerLayoutMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:GetIterationsPerLayoutMaxValue vtkSimple2DLayoutStrategyGetIterationsPerLayoutMaxValueFunction
//input a0 
//output y
ArrayVector vtkSimple2DLayoutStrategyGetIterationsPerLayoutMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIterationsPerLayoutMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIterationsPerLayoutMaxValue for class vtkSimple2DLayoutStrategy requires 1 argument(s)");
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIterationsPerLayoutMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:GetIterationsPerLayout vtkSimple2DLayoutStrategyGetIterationsPerLayoutFunction
//input a0 
//output y
ArrayVector vtkSimple2DLayoutStrategyGetIterationsPerLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIterationsPerLayout (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIterationsPerLayout for class vtkSimple2DLayoutStrategy requires 1 argument(s)");
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIterationsPerLayout();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:SetInitialTemperature vtkSimple2DLayoutStrategySetInitialTemperatureFunction
//input a0 a1 
//output none
ArrayVector vtkSimple2DLayoutStrategySetInitialTemperatureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInitialTemperature (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInitialTemperature for class vtkSimple2DLayoutStrategy requires 2 argument(s)");
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetInitialTemperature(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:GetInitialTemperatureMinValue vtkSimple2DLayoutStrategyGetInitialTemperatureMinValueFunction
//input a0 
//output y
ArrayVector vtkSimple2DLayoutStrategyGetInitialTemperatureMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetInitialTemperatureMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInitialTemperatureMinValue for class vtkSimple2DLayoutStrategy requires 1 argument(s)");
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetInitialTemperatureMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:GetInitialTemperatureMaxValue vtkSimple2DLayoutStrategyGetInitialTemperatureMaxValueFunction
//input a0 
//output y
ArrayVector vtkSimple2DLayoutStrategyGetInitialTemperatureMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetInitialTemperatureMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInitialTemperatureMaxValue for class vtkSimple2DLayoutStrategy requires 1 argument(s)");
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetInitialTemperatureMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:GetInitialTemperature vtkSimple2DLayoutStrategyGetInitialTemperatureFunction
//input a0 
//output y
ArrayVector vtkSimple2DLayoutStrategyGetInitialTemperatureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetInitialTemperature (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInitialTemperature for class vtkSimple2DLayoutStrategy requires 1 argument(s)");
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetInitialTemperature();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:SetCoolDownRate vtkSimple2DLayoutStrategySetCoolDownRateFunction
//input a0 a1 
//output none
ArrayVector vtkSimple2DLayoutStrategySetCoolDownRateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCoolDownRate (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCoolDownRate for class vtkSimple2DLayoutStrategy requires 2 argument(s)");
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetCoolDownRate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:GetCoolDownRateMinValue vtkSimple2DLayoutStrategyGetCoolDownRateMinValueFunction
//input a0 
//output y
ArrayVector vtkSimple2DLayoutStrategyGetCoolDownRateMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCoolDownRateMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCoolDownRateMinValue for class vtkSimple2DLayoutStrategy requires 1 argument(s)");
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCoolDownRateMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:GetCoolDownRateMaxValue vtkSimple2DLayoutStrategyGetCoolDownRateMaxValueFunction
//input a0 
//output y
ArrayVector vtkSimple2DLayoutStrategyGetCoolDownRateMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCoolDownRateMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCoolDownRateMaxValue for class vtkSimple2DLayoutStrategy requires 1 argument(s)");
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCoolDownRateMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:GetCoolDownRate vtkSimple2DLayoutStrategyGetCoolDownRateFunction
//input a0 
//output y
ArrayVector vtkSimple2DLayoutStrategyGetCoolDownRateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetCoolDownRate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCoolDownRate for class vtkSimple2DLayoutStrategy requires 1 argument(s)");
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetCoolDownRate();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:SetJitter vtkSimple2DLayoutStrategySetJitterFunction
//input a0 a1 
//output none
ArrayVector vtkSimple2DLayoutStrategySetJitterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetJitter (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetJitter for class vtkSimple2DLayoutStrategy requires 2 argument(s)");
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetJitter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:GetJitter vtkSimple2DLayoutStrategyGetJitterFunction
//input a0 
//output y
ArrayVector vtkSimple2DLayoutStrategyGetJitterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetJitter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetJitter for class vtkSimple2DLayoutStrategy requires 1 argument(s)");
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetJitter();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:SetRestDistance vtkSimple2DLayoutStrategySetRestDistanceFunction
//input a0 a1 
//output none
ArrayVector vtkSimple2DLayoutStrategySetRestDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRestDistance (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRestDistance for class vtkSimple2DLayoutStrategy requires 2 argument(s)");
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRestDistance(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:GetRestDistance vtkSimple2DLayoutStrategyGetRestDistanceFunction
//input a0 
//output y
ArrayVector vtkSimple2DLayoutStrategyGetRestDistanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetRestDistance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRestDistance for class vtkSimple2DLayoutStrategy requires 1 argument(s)");
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetRestDistance();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:Initialize vtkSimple2DLayoutStrategyInitializeFunction
//input a0 
//output none
ArrayVector vtkSimple2DLayoutStrategyInitializeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Initialize (); */
  if (arg.size() < 1) 
    throw Exception("Function Initialize for class vtkSimple2DLayoutStrategy requires 1 argument(s)");
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->Initialize();
  return retval;
}

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:Layout vtkSimple2DLayoutStrategyLayoutFunction
//input a0 
//output none
ArrayVector vtkSimple2DLayoutStrategyLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Layout (); */
  if (arg.size() < 1) 
    throw Exception("Function Layout for class vtkSimple2DLayoutStrategy requires 1 argument(s)");
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->Layout();
  return retval;
}

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:IsLayoutComplete vtkSimple2DLayoutStrategyIsLayoutCompleteFunction
//input a0 
//output y
ArrayVector vtkSimple2DLayoutStrategyIsLayoutCompleteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int IsLayoutComplete ();return this LayoutComplete  */
  if (arg.size() < 1) 
    throw Exception("Function IsLayoutComplete for class vtkSimple2DLayoutStrategy requires 1 argument(s)");
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsLayoutComplete();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimple2DLayoutStrategy:display vtkSimple2DLayoutStrategyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSimple2DLayoutStrategyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSimple2DLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSimple2DLayoutStrategy>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSimple2DLayoutStrategy:delete vtkSimple2DLayoutStrategyDeleteFunction
//input varargin
//output none
ArrayVector vtkSimple2DLayoutStrategyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSimple2DLayoutStrategy
//@@Section VTKInfovis
//@@Usage
// This class is an implementation of the work presented in:
// Fruchterman & Reingold "Graph Drawing by Force-directed Placement" 
// Software-Practice and Experience 21(11) 1991).
// The class includes some optimizations but nothing too fancy.
//
// .SECTION Thanks
// Thanks to Brian Wylie from Sandia National Laboratories for creating this
// class.
//
//To create an instance of class vtkSimple2DLayoutStrategy, simply
//invoke its constructor as follows
//@[
//  obj = vtkSimple2DLayoutStrategy
//@]
//@@Methods
//The class vtkSimple2DLayoutStrategy has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSimple2DLayoutStrategy class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSimple2DLayoutStrategy = obj.NewInstance ()|
// \item @|vtkSimple2DLayoutStrategy = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetRandomSeed (int )| -  Seed the random number generator used to jitter point positions.
// This has a significant effect on their final positions when
// the layout is complete.
//// \item @|int = obj.GetRandomSeedMinValue ()| -  Seed the random number generator used to jitter point positions.
// This has a significant effect on their final positions when
// the layout is complete.
//// \item @|int = obj.GetRandomSeedMaxValue ()| -  Seed the random number generator used to jitter point positions.
// This has a significant effect on their final positions when
// the layout is complete.
//// \item @|int = obj.GetRandomSeed ()| -  Seed the random number generator used to jitter point positions.
// This has a significant effect on their final positions when
// the layout is complete.
//// \item @|obj.SetMaxNumberOfIterations (int )| -  Set/Get the maximum number of iterations to be used.
// The higher this number, the more iterations through the algorithm
// is possible, and thus, the more the graph gets modified.
// The default is '100' for no particular reason
// Note: The strong recommendation is that you do not change
// this parameter. :)
//// \item @|int = obj.GetMaxNumberOfIterationsMinValue ()| -  Set/Get the maximum number of iterations to be used.
// The higher this number, the more iterations through the algorithm
// is possible, and thus, the more the graph gets modified.
// The default is '100' for no particular reason
// Note: The strong recommendation is that you do not change
// this parameter. :)
//// \item @|int = obj.GetMaxNumberOfIterationsMaxValue ()| -  Set/Get the maximum number of iterations to be used.
// The higher this number, the more iterations through the algorithm
// is possible, and thus, the more the graph gets modified.
// The default is '100' for no particular reason
// Note: The strong recommendation is that you do not change
// this parameter. :)
//// \item @|int = obj.GetMaxNumberOfIterations ()| -  Set/Get the maximum number of iterations to be used.
// The higher this number, the more iterations through the algorithm
// is possible, and thus, the more the graph gets modified.
// The default is '100' for no particular reason
// Note: The strong recommendation is that you do not change
// this parameter. :)
//// \item @|obj.SetIterationsPerLayout (int )| -  Set/Get the number of iterations per layout.
// The only use for this ivar is for the application
// to do visualizations of the layout before it's complete.
// The default is '100' to match the default 'MaxNumberOfIterations'
// Note: Changing this parameter is just fine :)
//// \item @|int = obj.GetIterationsPerLayoutMinValue ()| -  Set/Get the number of iterations per layout.
// The only use for this ivar is for the application
// to do visualizations of the layout before it's complete.
// The default is '100' to match the default 'MaxNumberOfIterations'
// Note: Changing this parameter is just fine :)
//// \item @|int = obj.GetIterationsPerLayoutMaxValue ()| -  Set/Get the number of iterations per layout.
// The only use for this ivar is for the application
// to do visualizations of the layout before it's complete.
// The default is '100' to match the default 'MaxNumberOfIterations'
// Note: Changing this parameter is just fine :)
//// \item @|int = obj.GetIterationsPerLayout ()| -  Set/Get the number of iterations per layout.
// The only use for this ivar is for the application
// to do visualizations of the layout before it's complete.
// The default is '100' to match the default 'MaxNumberOfIterations'
// Note: Changing this parameter is just fine :)
//// \item @|obj.SetInitialTemperature (float )| -  Set the initial temperature.  The temperature default is '5'
// for no particular reason
// Note: The strong recommendation is that you do not change
// this parameter. :)
//// \item @|float = obj.GetInitialTemperatureMinValue ()| -  Set the initial temperature.  The temperature default is '5'
// for no particular reason
// Note: The strong recommendation is that you do not change
// this parameter. :)
//// \item @|float = obj.GetInitialTemperatureMaxValue ()| -  Set the initial temperature.  The temperature default is '5'
// for no particular reason
// Note: The strong recommendation is that you do not change
// this parameter. :)
//// \item @|float = obj.GetInitialTemperature ()| -  Set the initial temperature.  The temperature default is '5'
// for no particular reason
// Note: The strong recommendation is that you do not change
// this parameter. :)
//// \item @|obj.SetCoolDownRate (double )| -  Set/Get the Cool-down rate.
// The higher this number is, the longer it will take to "cool-down",
// and thus, the more the graph will be modified. The default is '10'
// for no particular reason. 
// Note: The strong recommendation is that you do not change
// this parameter. :)
//// \item @|double = obj.GetCoolDownRateMinValue ()| -  Set/Get the Cool-down rate.
// The higher this number is, the longer it will take to "cool-down",
// and thus, the more the graph will be modified. The default is '10'
// for no particular reason. 
// Note: The strong recommendation is that you do not change
// this parameter. :)
//// \item @|double = obj.GetCoolDownRateMaxValue ()| -  Set/Get the Cool-down rate.
// The higher this number is, the longer it will take to "cool-down",
// and thus, the more the graph will be modified. The default is '10'
// for no particular reason. 
// Note: The strong recommendation is that you do not change
// this parameter. :)
//// \item @|double = obj.GetCoolDownRate ()| -  Set/Get the Cool-down rate.
// The higher this number is, the longer it will take to "cool-down",
// and thus, the more the graph will be modified. The default is '10'
// for no particular reason. 
// Note: The strong recommendation is that you do not change
// this parameter. :)
//// \item @|obj.SetJitter (bool )| -  Set Random jitter of the nodes at initialization
// to on or off.
// Note: It's strongly recommendation to have jitter ON
// even if you have initial coordinates in your graph. 
// Default is ON
//// \item @|bool = obj.GetJitter ()| -  Set Random jitter of the nodes at initialization
// to on or off.
// Note: It's strongly recommendation to have jitter ON
// even if you have initial coordinates in your graph. 
// Default is ON
//// \item @|obj.SetRestDistance (float )| -  Manually set the resting distance. Otherwise the
// distance is computed automatically.
//// \item @|float = obj.GetRestDistance ()| -  Manually set the resting distance. Otherwise the
// distance is computed automatically.
//// \item @|obj.Initialize ()| -  This strategy sets up some data structures
// for faster processing of each Layout() call
//// \item @|obj.Layout ()| -  This is the layout method where the graph that was
// set in SetGraph() is laid out. The method can either
// entirely layout the graph or iteratively lay out the
// graph. If you have an iterative layout please implement
// the IsLayoutComplete() method.
//// \item @|int = obj.IsLayoutComplete ()|
//\end{itemize}
//!
