#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSliceAndDiceLayoutStrategy object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSliceAndDiceLayoutStrategy.h"

//@@Signature
//sfunction @vtkSliceAndDiceLayoutStrategy:vtkSliceAndDiceLayoutStrategy vtkSliceAndDiceLayoutStrategyConstructorFunction
//input a
//output p
//@@Parents vtkSliceAndDiceLayoutStrategy vtkTreeMapLayoutStrategy 
ArrayVector vtkSliceAndDiceLayoutStrategyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSliceAndDiceLayoutStrategy::New(),"vtkSliceAndDiceLayoutStrategy",eval);
  } else if (arg[0].className() == "vtkSliceAndDiceLayoutStrategy") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSliceAndDiceLayoutStrategy"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSliceAndDiceLayoutStrategy");
    vtkSliceAndDiceLayoutStrategy*q = reinterpret_cast<vtkSliceAndDiceLayoutStrategy*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSliceAndDiceLayoutStrategy");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSliceAndDiceLayoutStrategy:GetClassName vtkSliceAndDiceLayoutStrategyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSliceAndDiceLayoutStrategyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSliceAndDiceLayoutStrategy requires 1 argument(s)");
  vtkSliceAndDiceLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSliceAndDiceLayoutStrategy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliceAndDiceLayoutStrategy:IsA vtkSliceAndDiceLayoutStrategyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSliceAndDiceLayoutStrategyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSliceAndDiceLayoutStrategy requires 2 argument(s)");
  vtkSliceAndDiceLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSliceAndDiceLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSliceAndDiceLayoutStrategy:NewInstance vtkSliceAndDiceLayoutStrategyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSliceAndDiceLayoutStrategyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSliceAndDiceLayoutStrategy *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSliceAndDiceLayoutStrategy requires 1 argument(s)");
  vtkSliceAndDiceLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSliceAndDiceLayoutStrategy>(arg[0]);
  Array retval;
  vtkSliceAndDiceLayoutStrategy  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSliceAndDiceLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSliceAndDiceLayoutStrategy:SafeDownCast vtkSliceAndDiceLayoutStrategySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSliceAndDiceLayoutStrategySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSliceAndDiceLayoutStrategy *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSliceAndDiceLayoutStrategy requires 2 argument(s)");
  vtkSliceAndDiceLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSliceAndDiceLayoutStrategy>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSliceAndDiceLayoutStrategy  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSliceAndDiceLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSliceAndDiceLayoutStrategy:Layout vtkSliceAndDiceLayoutStrategyLayoutFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkSliceAndDiceLayoutStrategyLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Layout (vtkTree *inputTree, vtkDataArray *coordsArray, vtkDataArray *sizeArray); */
  if (arg.size() < 4) 
    throw Exception("Function Layout for class vtkSliceAndDiceLayoutStrategy requires 4 argument(s)");
  vtkSliceAndDiceLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSliceAndDiceLayoutStrategy>(arg[0]);
  Array retval;
  vtkTree  *temp0;
  vtkDataArray  *temp1;
  vtkDataArray  *temp2;
  temp0 = GetVTKPointer<vtkTree>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkDataArray>(arg[3]);
  vtk_pointer->Layout(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkSliceAndDiceLayoutStrategy:display vtkSliceAndDiceLayoutStrategyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSliceAndDiceLayoutStrategyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSliceAndDiceLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSliceAndDiceLayoutStrategy>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSliceAndDiceLayoutStrategy:delete vtkSliceAndDiceLayoutStrategyDeleteFunction
//input varargin
//output none
ArrayVector vtkSliceAndDiceLayoutStrategyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSliceAndDiceLayoutStrategy
//@@Section VTKInfovis
//@@Usage
// Lays out a tree-map alternating between horizontal and vertical slices,
// taking into account the relative size of each vertex.
//
// .SECTION Thanks
// Slice and dice algorithm comes from:
// Shneiderman, B. 1992. Tree visualization with tree-maps: 2-d space-filling approach. 
// ACM Trans. Graph. 11, 1 (Jan. 1992), 92-99. 
//
//To create an instance of class vtkSliceAndDiceLayoutStrategy, simply
//invoke its constructor as follows
//@[
//  obj = vtkSliceAndDiceLayoutStrategy
//@]
//@@Methods
//The class vtkSliceAndDiceLayoutStrategy has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSliceAndDiceLayoutStrategy class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSliceAndDiceLayoutStrategy = obj.NewInstance ()|
// \item @|vtkSliceAndDiceLayoutStrategy = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Layout (vtkTree inputTree, vtkDataArray coordsArray, vtkDataArray sizeArray)| -  Perform the layout of a tree and place the results as 4-tuples in
// coordsArray (Xmin, Xmax, Ymin, Ymax).
////\end{itemize}
//!
