#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSpanTreeLayoutStrategy object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSpanTreeLayoutStrategy.h"

//@@Signature
//sfunction @vtkSpanTreeLayoutStrategy:vtkSpanTreeLayoutStrategy vtkSpanTreeLayoutStrategyConstructorFunction
//input a
//output p
//@@Parents vtkSpanTreeLayoutStrategy vtkGraphLayoutStrategy 
ArrayVector vtkSpanTreeLayoutStrategyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSpanTreeLayoutStrategy::New(),"vtkSpanTreeLayoutStrategy",eval);
  } else if (arg[0].className() == "vtkSpanTreeLayoutStrategy") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSpanTreeLayoutStrategy"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSpanTreeLayoutStrategy");
    vtkSpanTreeLayoutStrategy*q = reinterpret_cast<vtkSpanTreeLayoutStrategy*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSpanTreeLayoutStrategy");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSpanTreeLayoutStrategy:GetClassName vtkSpanTreeLayoutStrategyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSpanTreeLayoutStrategyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSpanTreeLayoutStrategy requires 1 argument(s)");
  vtkSpanTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSpanTreeLayoutStrategy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpanTreeLayoutStrategy:IsA vtkSpanTreeLayoutStrategyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSpanTreeLayoutStrategyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSpanTreeLayoutStrategy requires 2 argument(s)");
  vtkSpanTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSpanTreeLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSpanTreeLayoutStrategy:NewInstance vtkSpanTreeLayoutStrategyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSpanTreeLayoutStrategyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSpanTreeLayoutStrategy *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSpanTreeLayoutStrategy requires 1 argument(s)");
  vtkSpanTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSpanTreeLayoutStrategy>(arg[0]);
  Array retval;
  vtkSpanTreeLayoutStrategy  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSpanTreeLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSpanTreeLayoutStrategy:SafeDownCast vtkSpanTreeLayoutStrategySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSpanTreeLayoutStrategySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSpanTreeLayoutStrategy *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSpanTreeLayoutStrategy requires 2 argument(s)");
  vtkSpanTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSpanTreeLayoutStrategy>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSpanTreeLayoutStrategy  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSpanTreeLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSpanTreeLayoutStrategy:SetDepthFirstSpanningTree vtkSpanTreeLayoutStrategySetDepthFirstSpanningTreeFunction
//input a0 a1 
//output none
ArrayVector vtkSpanTreeLayoutStrategySetDepthFirstSpanningTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDepthFirstSpanningTree (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDepthFirstSpanningTree for class vtkSpanTreeLayoutStrategy requires 2 argument(s)");
  vtkSpanTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSpanTreeLayoutStrategy>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetDepthFirstSpanningTree(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSpanTreeLayoutStrategy:GetDepthFirstSpanningTree vtkSpanTreeLayoutStrategyGetDepthFirstSpanningTreeFunction
//input a0 
//output y
ArrayVector vtkSpanTreeLayoutStrategyGetDepthFirstSpanningTreeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetDepthFirstSpanningTree (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDepthFirstSpanningTree for class vtkSpanTreeLayoutStrategy requires 1 argument(s)");
  vtkSpanTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSpanTreeLayoutStrategy>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetDepthFirstSpanningTree();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSpanTreeLayoutStrategy:DepthFirstSpanningTreeOn vtkSpanTreeLayoutStrategyDepthFirstSpanningTreeOnFunction
//input a0 
//output none
ArrayVector vtkSpanTreeLayoutStrategyDepthFirstSpanningTreeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DepthFirstSpanningTreeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DepthFirstSpanningTreeOn for class vtkSpanTreeLayoutStrategy requires 1 argument(s)");
  vtkSpanTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSpanTreeLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->DepthFirstSpanningTreeOn();
  return retval;
}

//@@Signature
//sfunction @vtkSpanTreeLayoutStrategy:DepthFirstSpanningTreeOff vtkSpanTreeLayoutStrategyDepthFirstSpanningTreeOffFunction
//input a0 
//output none
ArrayVector vtkSpanTreeLayoutStrategyDepthFirstSpanningTreeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DepthFirstSpanningTreeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DepthFirstSpanningTreeOff for class vtkSpanTreeLayoutStrategy requires 1 argument(s)");
  vtkSpanTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSpanTreeLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->DepthFirstSpanningTreeOff();
  return retval;
}

//@@Signature
//sfunction @vtkSpanTreeLayoutStrategy:Layout vtkSpanTreeLayoutStrategyLayoutFunction
//input a0 
//output none
ArrayVector vtkSpanTreeLayoutStrategyLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Layout (); */
  if (arg.size() < 1) 
    throw Exception("Function Layout for class vtkSpanTreeLayoutStrategy requires 1 argument(s)");
  vtkSpanTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSpanTreeLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->Layout();
  return retval;
}

//@@Signature
//sfunction @vtkSpanTreeLayoutStrategy:display vtkSpanTreeLayoutStrategyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSpanTreeLayoutStrategyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSpanTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSpanTreeLayoutStrategy>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSpanTreeLayoutStrategy:delete vtkSpanTreeLayoutStrategyDeleteFunction
//input varargin
//output none
ArrayVector vtkSpanTreeLayoutStrategyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSpanTreeLayoutStrategy
//@@Section VTKInfovis
//@@Usage
// vtkSpanTreeLayout is a strategy for drawing directed graphs that
// works by first extracting a spanning tree (more accurately, a 
// spanning forest), and using this both to position graph vertices
// and to plan the placement of non-tree edges.  The latter are drawn
// with the aid of edge points to produce a tidy drawing.
//
// The approach is best suited to "quasi-trees", graphs where the number
// of edges is of the same order as the number of nodes; it is less well
// suited to denser graphs.  The boolean flag DepthFirstSpanningTree
// determines whether a depth-first or breadth-first strategy is used to
// construct the underlying forest, and the choice of strategy affects
// the output layout significantly.  Informal experiments suggest that
// the breadth-first strategy is better for denser graphs.
//
// Different layouts could also be produced by plugging in alternative
// tree layout strategies.  To work with the method of routing non-tree
// edges, any strategy should draw a tree so that levels are equally
// spaced along the z-axis, precluding for example the use of a radial
// or balloon layout.
//
// vtkSpanTreeLayout is based on an approach to 3D graph layout first 
// developed as part of the "tulip" tool by Dr. David Auber at LaBRI, 
// U.Bordeaux: see www.tulip-software.org   
//
// This implementation departs from the original version in that:
// (a) it is reconstructed to use Titan/VTK data structures;
// (b) it uses a faster method for dealing with non-tree edges,
//     requiring at most two edge points per edge
// (c) allows for plugging in different tree layout methods
// (d) allows selection of two different strategies for building
//     the underlying layout tree, which can yield significantly
//     different results depending on the data.
//
// .SECTION Thanks
// Thanks to David Duke from the University of Leeds for providing this 
// implementation.
//
//To create an instance of class vtkSpanTreeLayoutStrategy, simply
//invoke its constructor as follows
//@[
//  obj = vtkSpanTreeLayoutStrategy
//@]
//@@Methods
//The class vtkSpanTreeLayoutStrategy has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSpanTreeLayoutStrategy class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSpanTreeLayoutStrategy = obj.NewInstance ()|
// \item @|vtkSpanTreeLayoutStrategy = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetDepthFirstSpanningTree (bool )| -  If set, base the layout on a depth-first spanning tree,
// rather than the default breadth-first spanning tree.
// Switching between DFT and BFT may significantly change
// the layout, and choice must be made on a per-graph basis.
// Default value is off.
//// \item @|bool = obj.GetDepthFirstSpanningTree ()| -  If set, base the layout on a depth-first spanning tree,
// rather than the default breadth-first spanning tree.
// Switching between DFT and BFT may significantly change
// the layout, and choice must be made on a per-graph basis.
// Default value is off.
//// \item @|obj.DepthFirstSpanningTreeOn ()| -  If set, base the layout on a depth-first spanning tree,
// rather than the default breadth-first spanning tree.
// Switching between DFT and BFT may significantly change
// the layout, and choice must be made on a per-graph basis.
// Default value is off.
//// \item @|obj.DepthFirstSpanningTreeOff ()| -  If set, base the layout on a depth-first spanning tree,
// rather than the default breadth-first spanning tree.
// Switching between DFT and BFT may significantly change
// the layout, and choice must be made on a per-graph basis.
// Default value is off.
//// \item @|obj.Layout ()| -  Perform the layout.
////\end{itemize}
//!
