#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSparseArrayToTable object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSparseArrayToTable.h"

//@@Signature
//sfunction @vtkSparseArrayToTable:vtkSparseArrayToTable vtkSparseArrayToTableConstructorFunction
//input a
//output p
//@@Parents vtkSparseArrayToTable vtkTableAlgorithm 
ArrayVector vtkSparseArrayToTableConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSparseArrayToTable::New(),"vtkSparseArrayToTable",eval);
  } else if (arg[0].className() == "vtkSparseArrayToTable") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSparseArrayToTable"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSparseArrayToTable");
    vtkSparseArrayToTable*q = reinterpret_cast<vtkSparseArrayToTable*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSparseArrayToTable");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSparseArrayToTable:GetClassName vtkSparseArrayToTableGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSparseArrayToTableGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSparseArrayToTable requires 1 argument(s)");
  vtkSparseArrayToTable* vtk_pointer = GetVTKPointer<vtkSparseArrayToTable>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSparseArrayToTable:IsA vtkSparseArrayToTableIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSparseArrayToTableIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSparseArrayToTable requires 2 argument(s)");
  vtkSparseArrayToTable* vtk_pointer = GetVTKPointer<vtkSparseArrayToTable>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSparseArrayToTable:NewInstance vtkSparseArrayToTableNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSparseArrayToTableNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSparseArrayToTable *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSparseArrayToTable requires 1 argument(s)");
  vtkSparseArrayToTable* vtk_pointer = GetVTKPointer<vtkSparseArrayToTable>(arg[0]);
  Array retval;
  vtkSparseArrayToTable  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSparseArrayToTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSparseArrayToTable:SafeDownCast vtkSparseArrayToTableSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSparseArrayToTableSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSparseArrayToTable *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSparseArrayToTable requires 2 argument(s)");
  vtkSparseArrayToTable* vtk_pointer = GetVTKPointer<vtkSparseArrayToTable>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSparseArrayToTable  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSparseArrayToTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSparseArrayToTable:GetValueColumn vtkSparseArrayToTableGetValueColumnFunction
//input a0 
//output y
ArrayVector vtkSparseArrayToTableGetValueColumnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetValueColumn (); */
  if (arg.size() < 1) 
    throw Exception("Function GetValueColumn for class vtkSparseArrayToTable requires 1 argument(s)");
  vtkSparseArrayToTable* vtk_pointer = GetVTKPointer<vtkSparseArrayToTable>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetValueColumn();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSparseArrayToTable:SetValueColumn vtkSparseArrayToTableSetValueColumnFunction
//input a0 a1 
//output none
ArrayVector vtkSparseArrayToTableSetValueColumnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValueColumn (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetValueColumn for class vtkSparseArrayToTable requires 2 argument(s)");
  vtkSparseArrayToTable* vtk_pointer = GetVTKPointer<vtkSparseArrayToTable>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetValueColumn(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSparseArrayToTable:display vtkSparseArrayToTableDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSparseArrayToTableDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSparseArrayToTable* vtk_pointer = GetVTKPointer<vtkSparseArrayToTable>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSparseArrayToTable:delete vtkSparseArrayToTableDeleteFunction
//input varargin
//output none
ArrayVector vtkSparseArrayToTableDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSparseArrayToTable
//@@Section VTKInfovis
//@@Usage
// Converts any sparse array to a vtkTable containing one row for each value
// stored in the array.  The table will contain one column of coordinates for each
// dimension in the source array, plus one column of array values.  A common use-case
// for vtkSparseArrayToTable would be converting a sparse array into a table
// suitable for use as an input to vtkTableToGraph.
//
// The coordinate columns in the output table will be named using the dimension labels
// from the source array,  The value column name can be explicitly set using
// SetValueColumn().
//
// .SECTION Thanks
// Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.
//
//To create an instance of class vtkSparseArrayToTable, simply
//invoke its constructor as follows
//@[
//  obj = vtkSparseArrayToTable
//@]
//@@Methods
//The class vtkSparseArrayToTable has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSparseArrayToTable class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSparseArrayToTable = obj.NewInstance ()|
// \item @|vtkSparseArrayToTable = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetValueColumn ()| -  Specify the name of the output table column that contains array values.
// Default: "value"
//// \item @|obj.SetValueColumn (string )| -  Specify the name of the output table column that contains array values.
// Default: "value"
////\end{itemize}
//!
