#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSplineGraphEdges object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSplineGraphEdges.h"

//@@Signature
//sfunction @vtkSplineGraphEdges:vtkSplineGraphEdges vtkSplineGraphEdgesConstructorFunction
//input a
//output p
//@@Parents vtkSplineGraphEdges vtkGraphAlgorithm 
ArrayVector vtkSplineGraphEdgesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSplineGraphEdges::New(),"vtkSplineGraphEdges",eval);
  } else if (arg[0].className() == "vtkSplineGraphEdges") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSplineGraphEdges"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSplineGraphEdges");
    vtkSplineGraphEdges*q = reinterpret_cast<vtkSplineGraphEdges*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSplineGraphEdges");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSplineGraphEdges:GetClassName vtkSplineGraphEdgesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSplineGraphEdgesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSplineGraphEdges requires 1 argument(s)");
  vtkSplineGraphEdges* vtk_pointer = GetVTKPointer<vtkSplineGraphEdges>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineGraphEdges:IsA vtkSplineGraphEdgesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSplineGraphEdgesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSplineGraphEdges requires 2 argument(s)");
  vtkSplineGraphEdges* vtk_pointer = GetVTKPointer<vtkSplineGraphEdges>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineGraphEdges:NewInstance vtkSplineGraphEdgesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSplineGraphEdgesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSplineGraphEdges *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSplineGraphEdges requires 1 argument(s)");
  vtkSplineGraphEdges* vtk_pointer = GetVTKPointer<vtkSplineGraphEdges>(arg[0]);
  Array retval;
  vtkSplineGraphEdges  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSplineGraphEdges",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSplineGraphEdges:SafeDownCast vtkSplineGraphEdgesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSplineGraphEdgesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSplineGraphEdges *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSplineGraphEdges requires 2 argument(s)");
  vtkSplineGraphEdges* vtk_pointer = GetVTKPointer<vtkSplineGraphEdges>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSplineGraphEdges  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSplineGraphEdges",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSplineGraphEdges:SetSpline vtkSplineGraphEdgesSetSplineFunction
//input a0 a1 
//output none
ArrayVector vtkSplineGraphEdgesSetSplineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSpline (vtkSpline *s); */
  if (arg.size() < 2) 
    throw Exception("Function SetSpline for class vtkSplineGraphEdges requires 2 argument(s)");
  vtkSplineGraphEdges* vtk_pointer = GetVTKPointer<vtkSplineGraphEdges>(arg[0]);
  Array retval;
  vtkSpline  *temp0;
  temp0 = GetVTKPointer<vtkSpline>(arg[1]);
  vtk_pointer->SetSpline(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineGraphEdges:GetSpline vtkSplineGraphEdgesGetSplineFunction
//input a0 
//output y
ArrayVector vtkSplineGraphEdgesGetSplineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSpline *GetSpline (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSpline for class vtkSplineGraphEdges requires 1 argument(s)");
  vtkSplineGraphEdges* vtk_pointer = GetVTKPointer<vtkSplineGraphEdges>(arg[0]);
  Array retval;
  vtkSpline  *temp20;
  temp20 = (vtk_pointer)->GetSpline();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSpline",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSplineGraphEdges:SetSplineType vtkSplineGraphEdgesSetSplineTypeFunction
//input a0 a1 
//output none
ArrayVector vtkSplineGraphEdgesSetSplineTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSplineType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSplineType for class vtkSplineGraphEdges requires 2 argument(s)");
  vtkSplineGraphEdges* vtk_pointer = GetVTKPointer<vtkSplineGraphEdges>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSplineType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineGraphEdges:GetSplineType vtkSplineGraphEdgesGetSplineTypeFunction
//input a0 
//output y
ArrayVector vtkSplineGraphEdgesGetSplineTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSplineType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSplineType for class vtkSplineGraphEdges requires 1 argument(s)");
  vtkSplineGraphEdges* vtk_pointer = GetVTKPointer<vtkSplineGraphEdges>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSplineType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineGraphEdges:SetNumberOfSubdivisions vtkSplineGraphEdgesSetNumberOfSubdivisionsFunction
//input a0 a1 
//output none
ArrayVector vtkSplineGraphEdgesSetNumberOfSubdivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfSubdivisions (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfSubdivisions for class vtkSplineGraphEdges requires 2 argument(s)");
  vtkSplineGraphEdges* vtk_pointer = GetVTKPointer<vtkSplineGraphEdges>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfSubdivisions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplineGraphEdges:GetNumberOfSubdivisions vtkSplineGraphEdgesGetNumberOfSubdivisionsFunction
//input a0 
//output y
ArrayVector vtkSplineGraphEdgesGetNumberOfSubdivisionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfSubdivisions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfSubdivisions for class vtkSplineGraphEdges requires 1 argument(s)");
  vtkSplineGraphEdges* vtk_pointer = GetVTKPointer<vtkSplineGraphEdges>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfSubdivisions();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplineGraphEdges:display vtkSplineGraphEdgesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSplineGraphEdgesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSplineGraphEdges* vtk_pointer = GetVTKPointer<vtkSplineGraphEdges>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSplineGraphEdges:delete vtkSplineGraphEdgesDeleteFunction
//input varargin
//output none
ArrayVector vtkSplineGraphEdgesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSplineGraphEdges
//@@Section VTKInfovis
//@@Usage
// vtkSplineGraphEdges uses a vtkSpline to make edges into nicely sampled
// splines. By default, the filter will use an optimized b-spline.
// Otherwise, it will use a custom vtkSpline instance set by the user.
//
//To create an instance of class vtkSplineGraphEdges, simply
//invoke its constructor as follows
//@[
//  obj = vtkSplineGraphEdges
//@]
//@@Methods
//The class vtkSplineGraphEdges has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSplineGraphEdges class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSplineGraphEdges = obj.NewInstance ()|
// \item @|vtkSplineGraphEdges = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetSpline (vtkSpline s)| -  If SplineType is CUSTOM, uses this spline.
//// \item @|vtkSpline = obj.GetSpline ()| -  If SplineType is CUSTOM, uses this spline.
//// \item @|obj.SetSplineType (int )| -  Spline type used by the filter.
// BSPLINE (0) - Use optimized b-spline (default).
// CUSTOM (1) - Use spline set with SetSpline.
//// \item @|int = obj.GetSplineType ()| -  Spline type used by the filter.
// BSPLINE (0) - Use optimized b-spline (default).
// CUSTOM (1) - Use spline set with SetSpline.
//// \item @|obj.SetNumberOfSubdivisions (vtkIdType )| -  The number of subdivisions in the spline.
//// \item @|vtkIdType = obj.GetNumberOfSubdivisions ()| -  The number of subdivisions in the spline.
////\end{itemize}
//!
