#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSplitColumnComponents object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSplitColumnComponents.h"

//@@Signature
//sfunction @vtkSplitColumnComponents:vtkSplitColumnComponents vtkSplitColumnComponentsConstructorFunction
//input a
//output p
//@@Parents vtkSplitColumnComponents vtkTableAlgorithm 
ArrayVector vtkSplitColumnComponentsConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSplitColumnComponents::New(),"vtkSplitColumnComponents",eval);
  } else if (arg[0].className() == "vtkSplitColumnComponents") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSplitColumnComponents"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSplitColumnComponents");
    vtkSplitColumnComponents*q = reinterpret_cast<vtkSplitColumnComponents*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSplitColumnComponents");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSplitColumnComponents:GetClassName vtkSplitColumnComponentsGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSplitColumnComponentsGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSplitColumnComponents requires 1 argument(s)");
  vtkSplitColumnComponents* vtk_pointer = GetVTKPointer<vtkSplitColumnComponents>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplitColumnComponents:IsA vtkSplitColumnComponentsIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSplitColumnComponentsIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSplitColumnComponents requires 2 argument(s)");
  vtkSplitColumnComponents* vtk_pointer = GetVTKPointer<vtkSplitColumnComponents>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSplitColumnComponents:NewInstance vtkSplitColumnComponentsNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSplitColumnComponentsNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSplitColumnComponents *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSplitColumnComponents requires 1 argument(s)");
  vtkSplitColumnComponents* vtk_pointer = GetVTKPointer<vtkSplitColumnComponents>(arg[0]);
  Array retval;
  vtkSplitColumnComponents  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSplitColumnComponents",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSplitColumnComponents:SafeDownCast vtkSplitColumnComponentsSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSplitColumnComponentsSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSplitColumnComponents *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSplitColumnComponents requires 2 argument(s)");
  vtkSplitColumnComponents* vtk_pointer = GetVTKPointer<vtkSplitColumnComponents>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSplitColumnComponents  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSplitColumnComponents",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSplitColumnComponents:SetCalculateMagnitudes vtkSplitColumnComponentsSetCalculateMagnitudesFunction
//input a0 a1 
//output none
ArrayVector vtkSplitColumnComponentsSetCalculateMagnitudesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCalculateMagnitudes (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCalculateMagnitudes for class vtkSplitColumnComponents requires 2 argument(s)");
  vtkSplitColumnComponents* vtk_pointer = GetVTKPointer<vtkSplitColumnComponents>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetCalculateMagnitudes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSplitColumnComponents:GetCalculateMagnitudes vtkSplitColumnComponentsGetCalculateMagnitudesFunction
//input a0 
//output y
ArrayVector vtkSplitColumnComponentsGetCalculateMagnitudesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetCalculateMagnitudes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCalculateMagnitudes for class vtkSplitColumnComponents requires 1 argument(s)");
  vtkSplitColumnComponents* vtk_pointer = GetVTKPointer<vtkSplitColumnComponents>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetCalculateMagnitudes();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSplitColumnComponents:display vtkSplitColumnComponentsDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSplitColumnComponentsDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSplitColumnComponents* vtk_pointer = GetVTKPointer<vtkSplitColumnComponents>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSplitColumnComponents:delete vtkSplitColumnComponentsDeleteFunction
//input varargin
//output none
ArrayVector vtkSplitColumnComponentsDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSplitColumnComponents
//@@Section VTKInfovis
//@@Usage
// Splits any columns in a table that have more than one component into
// individual columns. Single component columns are passed through without
// any data duplication. So if column names "Points" had three components
// this column would be split into "Points (0)", "Points (1)" and Points (2)".
//
//To create an instance of class vtkSplitColumnComponents, simply
//invoke its constructor as follows
//@[
//  obj = vtkSplitColumnComponents
//@]
//@@Methods
//The class vtkSplitColumnComponents has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSplitColumnComponents class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSplitColumnComponents = obj.NewInstance ()|
// \item @|vtkSplitColumnComponents = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCalculateMagnitudes (bool )| -  If on this filter will calculate an additional magnitude column for all
// columns it splits with two or more components.
// Default is on.
//// \item @|bool = obj.GetCalculateMagnitudes ()| -  If on this filter will calculate an additional magnitude column for all
// columns it splits with two or more components.
// Default is on.
////\end{itemize}
//!
