#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSquarifyLayoutStrategy object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSquarifyLayoutStrategy.h"

//@@Signature
//sfunction @vtkSquarifyLayoutStrategy:vtkSquarifyLayoutStrategy vtkSquarifyLayoutStrategyConstructorFunction
//input a
//output p
//@@Parents vtkSquarifyLayoutStrategy vtkTreeMapLayoutStrategy 
ArrayVector vtkSquarifyLayoutStrategyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSquarifyLayoutStrategy::New(),"vtkSquarifyLayoutStrategy",eval);
  } else if (arg[0].className() == "vtkSquarifyLayoutStrategy") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSquarifyLayoutStrategy"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSquarifyLayoutStrategy");
    vtkSquarifyLayoutStrategy*q = reinterpret_cast<vtkSquarifyLayoutStrategy*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSquarifyLayoutStrategy");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSquarifyLayoutStrategy:GetClassName vtkSquarifyLayoutStrategyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSquarifyLayoutStrategyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSquarifyLayoutStrategy requires 1 argument(s)");
  vtkSquarifyLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSquarifyLayoutStrategy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSquarifyLayoutStrategy:IsA vtkSquarifyLayoutStrategyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSquarifyLayoutStrategyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSquarifyLayoutStrategy requires 2 argument(s)");
  vtkSquarifyLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSquarifyLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSquarifyLayoutStrategy:NewInstance vtkSquarifyLayoutStrategyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSquarifyLayoutStrategyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSquarifyLayoutStrategy *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSquarifyLayoutStrategy requires 1 argument(s)");
  vtkSquarifyLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSquarifyLayoutStrategy>(arg[0]);
  Array retval;
  vtkSquarifyLayoutStrategy  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSquarifyLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSquarifyLayoutStrategy:SafeDownCast vtkSquarifyLayoutStrategySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSquarifyLayoutStrategySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSquarifyLayoutStrategy *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSquarifyLayoutStrategy requires 2 argument(s)");
  vtkSquarifyLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSquarifyLayoutStrategy>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSquarifyLayoutStrategy  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSquarifyLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSquarifyLayoutStrategy:Layout vtkSquarifyLayoutStrategyLayoutFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkSquarifyLayoutStrategyLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Layout (vtkTree *inputTree, vtkDataArray *coordsArray, vtkDataArray *sizeArray); */
  if (arg.size() < 4) 
    throw Exception("Function Layout for class vtkSquarifyLayoutStrategy requires 4 argument(s)");
  vtkSquarifyLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSquarifyLayoutStrategy>(arg[0]);
  Array retval;
  vtkTree  *temp0;
  vtkDataArray  *temp1;
  vtkDataArray  *temp2;
  temp0 = GetVTKPointer<vtkTree>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkDataArray>(arg[3]);
  vtk_pointer->Layout(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkSquarifyLayoutStrategy:display vtkSquarifyLayoutStrategyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSquarifyLayoutStrategyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSquarifyLayoutStrategy* vtk_pointer = GetVTKPointer<vtkSquarifyLayoutStrategy>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSquarifyLayoutStrategy:delete vtkSquarifyLayoutStrategyDeleteFunction
//input varargin
//output none
ArrayVector vtkSquarifyLayoutStrategyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSquarifyLayoutStrategy
//@@Section VTKInfovis
//@@Usage
// vtkSquarifyLayoutStrategy partitions the space for child vertices into regions
// that use all avaliable space and are as close to squares as possible.
// The algorithm also takes into account the relative vertex size.
//
// .SECTION Thanks
// The squarified tree map algorithm comes from:
// Bruls, D.M., C. Huizing, J.J. van Wijk. Squarified Treemaps.
// In: W. de Leeuw, R. van Liere (eds.), Data Visualization 2000, 
// Proceedings of the joint Eurographics and IEEE TCVG Symposium on Visualization, 
// 2000, Springer, Vienna, p. 33-42.
//
//To create an instance of class vtkSquarifyLayoutStrategy, simply
//invoke its constructor as follows
//@[
//  obj = vtkSquarifyLayoutStrategy
//@]
//@@Methods
//The class vtkSquarifyLayoutStrategy has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSquarifyLayoutStrategy class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSquarifyLayoutStrategy = obj.NewInstance ()|
// \item @|vtkSquarifyLayoutStrategy = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Layout (vtkTree inputTree, vtkDataArray coordsArray, vtkDataArray sizeArray)| -  Perform the layout of a tree and place the results as 4-tuples in
// coordsArray (Xmin, Xmax, Ymin, Ymax).
////\end{itemize}
//!
