#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStackedTreeLayoutStrategy object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStackedTreeLayoutStrategy.h"

//@@Signature
//sfunction @vtkStackedTreeLayoutStrategy:vtkStackedTreeLayoutStrategy vtkStackedTreeLayoutStrategyConstructorFunction
//input a
//output p
//@@Parents vtkStackedTreeLayoutStrategy vtkAreaLayoutStrategy 
ArrayVector vtkStackedTreeLayoutStrategyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStackedTreeLayoutStrategy::New(),"vtkStackedTreeLayoutStrategy",eval);
  } else if (arg[0].className() == "vtkStackedTreeLayoutStrategy") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStackedTreeLayoutStrategy"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStackedTreeLayoutStrategy");
    vtkStackedTreeLayoutStrategy*q = reinterpret_cast<vtkStackedTreeLayoutStrategy*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStackedTreeLayoutStrategy");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStackedTreeLayoutStrategy:GetClassName vtkStackedTreeLayoutStrategyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStackedTreeLayoutStrategyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStackedTreeLayoutStrategy requires 1 argument(s)");
  vtkStackedTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkStackedTreeLayoutStrategy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStackedTreeLayoutStrategy:IsA vtkStackedTreeLayoutStrategyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStackedTreeLayoutStrategyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStackedTreeLayoutStrategy requires 2 argument(s)");
  vtkStackedTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkStackedTreeLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStackedTreeLayoutStrategy:NewInstance vtkStackedTreeLayoutStrategyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStackedTreeLayoutStrategyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStackedTreeLayoutStrategy *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStackedTreeLayoutStrategy requires 1 argument(s)");
  vtkStackedTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkStackedTreeLayoutStrategy>(arg[0]);
  Array retval;
  vtkStackedTreeLayoutStrategy  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStackedTreeLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStackedTreeLayoutStrategy:SafeDownCast vtkStackedTreeLayoutStrategySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStackedTreeLayoutStrategySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStackedTreeLayoutStrategy *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStackedTreeLayoutStrategy requires 2 argument(s)");
  vtkStackedTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkStackedTreeLayoutStrategy>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStackedTreeLayoutStrategy  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStackedTreeLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStackedTreeLayoutStrategy:Layout vtkStackedTreeLayoutStrategyLayoutFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkStackedTreeLayoutStrategyLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Layout (vtkTree *inputTree, vtkDataArray *sectorArray, vtkDataArray *sizeArray); */
  if (arg.size() < 4) 
    throw Exception("Function Layout for class vtkStackedTreeLayoutStrategy requires 4 argument(s)");
  vtkStackedTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkStackedTreeLayoutStrategy>(arg[0]);
  Array retval;
  vtkTree  *temp0;
  vtkDataArray  *temp1;
  vtkDataArray  *temp2;
  temp0 = GetVTKPointer<vtkTree>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkDataArray>(arg[3]);
  vtk_pointer->Layout(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkStackedTreeLayoutStrategy:LayoutEdgePoints vtkStackedTreeLayoutStrategyLayoutEdgePointsFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkStackedTreeLayoutStrategyLayoutEdgePointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void LayoutEdgePoints (vtkTree *inputTree, vtkDataArray *sectorArray, vtkDataArray *sizeArray, vtkTree *edgeRoutingTree); */
  if (arg.size() < 5) 
    throw Exception("Function LayoutEdgePoints for class vtkStackedTreeLayoutStrategy requires 5 argument(s)");
  vtkStackedTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkStackedTreeLayoutStrategy>(arg[0]);
  Array retval;
  vtkTree  *temp0;
  vtkDataArray  *temp1;
  vtkDataArray  *temp2;
  vtkTree  *temp3;
  temp0 = GetVTKPointer<vtkTree>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  temp2 = GetVTKPointer<vtkDataArray>(arg[3]);
  temp3 = GetVTKPointer<vtkTree>(arg[4]);
  vtk_pointer->LayoutEdgePoints(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkStackedTreeLayoutStrategy:SetInteriorRadius vtkStackedTreeLayoutStrategySetInteriorRadiusFunction
//input a0 a1 
//output none
ArrayVector vtkStackedTreeLayoutStrategySetInteriorRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInteriorRadius (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInteriorRadius for class vtkStackedTreeLayoutStrategy requires 2 argument(s)");
  vtkStackedTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkStackedTreeLayoutStrategy>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetInteriorRadius(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStackedTreeLayoutStrategy:GetInteriorRadius vtkStackedTreeLayoutStrategyGetInteriorRadiusFunction
//input a0 
//output y
ArrayVector vtkStackedTreeLayoutStrategyGetInteriorRadiusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetInteriorRadius (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInteriorRadius for class vtkStackedTreeLayoutStrategy requires 1 argument(s)");
  vtkStackedTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkStackedTreeLayoutStrategy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetInteriorRadius();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStackedTreeLayoutStrategy:SetRingThickness vtkStackedTreeLayoutStrategySetRingThicknessFunction
//input a0 a1 
//output none
ArrayVector vtkStackedTreeLayoutStrategySetRingThicknessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRingThickness (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRingThickness for class vtkStackedTreeLayoutStrategy requires 2 argument(s)");
  vtkStackedTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkStackedTreeLayoutStrategy>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRingThickness(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStackedTreeLayoutStrategy:GetRingThickness vtkStackedTreeLayoutStrategyGetRingThicknessFunction
//input a0 
//output y
ArrayVector vtkStackedTreeLayoutStrategyGetRingThicknessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRingThickness (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRingThickness for class vtkStackedTreeLayoutStrategy requires 1 argument(s)");
  vtkStackedTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkStackedTreeLayoutStrategy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRingThickness();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStackedTreeLayoutStrategy:SetRootStartAngle vtkStackedTreeLayoutStrategySetRootStartAngleFunction
//input a0 a1 
//output none
ArrayVector vtkStackedTreeLayoutStrategySetRootStartAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRootStartAngle (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRootStartAngle for class vtkStackedTreeLayoutStrategy requires 2 argument(s)");
  vtkStackedTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkStackedTreeLayoutStrategy>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRootStartAngle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStackedTreeLayoutStrategy:GetRootStartAngle vtkStackedTreeLayoutStrategyGetRootStartAngleFunction
//input a0 
//output y
ArrayVector vtkStackedTreeLayoutStrategyGetRootStartAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRootStartAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRootStartAngle for class vtkStackedTreeLayoutStrategy requires 1 argument(s)");
  vtkStackedTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkStackedTreeLayoutStrategy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRootStartAngle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStackedTreeLayoutStrategy:SetRootEndAngle vtkStackedTreeLayoutStrategySetRootEndAngleFunction
//input a0 a1 
//output none
ArrayVector vtkStackedTreeLayoutStrategySetRootEndAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRootEndAngle (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRootEndAngle for class vtkStackedTreeLayoutStrategy requires 2 argument(s)");
  vtkStackedTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkStackedTreeLayoutStrategy>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRootEndAngle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStackedTreeLayoutStrategy:GetRootEndAngle vtkStackedTreeLayoutStrategyGetRootEndAngleFunction
//input a0 
//output y
ArrayVector vtkStackedTreeLayoutStrategyGetRootEndAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRootEndAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRootEndAngle for class vtkStackedTreeLayoutStrategy requires 1 argument(s)");
  vtkStackedTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkStackedTreeLayoutStrategy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRootEndAngle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStackedTreeLayoutStrategy:SetUseRectangularCoordinates vtkStackedTreeLayoutStrategySetUseRectangularCoordinatesFunction
//input a0 a1 
//output none
ArrayVector vtkStackedTreeLayoutStrategySetUseRectangularCoordinatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseRectangularCoordinates (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseRectangularCoordinates for class vtkStackedTreeLayoutStrategy requires 2 argument(s)");
  vtkStackedTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkStackedTreeLayoutStrategy>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetUseRectangularCoordinates(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStackedTreeLayoutStrategy:GetUseRectangularCoordinates vtkStackedTreeLayoutStrategyGetUseRectangularCoordinatesFunction
//input a0 
//output y
ArrayVector vtkStackedTreeLayoutStrategyGetUseRectangularCoordinatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetUseRectangularCoordinates (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseRectangularCoordinates for class vtkStackedTreeLayoutStrategy requires 1 argument(s)");
  vtkStackedTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkStackedTreeLayoutStrategy>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetUseRectangularCoordinates();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkStackedTreeLayoutStrategy:UseRectangularCoordinatesOn vtkStackedTreeLayoutStrategyUseRectangularCoordinatesOnFunction
//input a0 
//output none
ArrayVector vtkStackedTreeLayoutStrategyUseRectangularCoordinatesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseRectangularCoordinatesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function UseRectangularCoordinatesOn for class vtkStackedTreeLayoutStrategy requires 1 argument(s)");
  vtkStackedTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkStackedTreeLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->UseRectangularCoordinatesOn();
  return retval;
}

//@@Signature
//sfunction @vtkStackedTreeLayoutStrategy:UseRectangularCoordinatesOff vtkStackedTreeLayoutStrategyUseRectangularCoordinatesOffFunction
//input a0 
//output none
ArrayVector vtkStackedTreeLayoutStrategyUseRectangularCoordinatesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void UseRectangularCoordinatesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function UseRectangularCoordinatesOff for class vtkStackedTreeLayoutStrategy requires 1 argument(s)");
  vtkStackedTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkStackedTreeLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->UseRectangularCoordinatesOff();
  return retval;
}

//@@Signature
//sfunction @vtkStackedTreeLayoutStrategy:SetReverse vtkStackedTreeLayoutStrategySetReverseFunction
//input a0 a1 
//output none
ArrayVector vtkStackedTreeLayoutStrategySetReverseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReverse (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReverse for class vtkStackedTreeLayoutStrategy requires 2 argument(s)");
  vtkStackedTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkStackedTreeLayoutStrategy>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetReverse(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStackedTreeLayoutStrategy:GetReverse vtkStackedTreeLayoutStrategyGetReverseFunction
//input a0 
//output y
ArrayVector vtkStackedTreeLayoutStrategyGetReverseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetReverse (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReverse for class vtkStackedTreeLayoutStrategy requires 1 argument(s)");
  vtkStackedTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkStackedTreeLayoutStrategy>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetReverse();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkStackedTreeLayoutStrategy:ReverseOn vtkStackedTreeLayoutStrategyReverseOnFunction
//input a0 
//output none
ArrayVector vtkStackedTreeLayoutStrategyReverseOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReverseOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReverseOn for class vtkStackedTreeLayoutStrategy requires 1 argument(s)");
  vtkStackedTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkStackedTreeLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->ReverseOn();
  return retval;
}

//@@Signature
//sfunction @vtkStackedTreeLayoutStrategy:ReverseOff vtkStackedTreeLayoutStrategyReverseOffFunction
//input a0 
//output none
ArrayVector vtkStackedTreeLayoutStrategyReverseOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReverseOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReverseOff for class vtkStackedTreeLayoutStrategy requires 1 argument(s)");
  vtkStackedTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkStackedTreeLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->ReverseOff();
  return retval;
}

//@@Signature
//sfunction @vtkStackedTreeLayoutStrategy:SetInteriorLogSpacingValue vtkStackedTreeLayoutStrategySetInteriorLogSpacingValueFunction
//input a0 a1 
//output none
ArrayVector vtkStackedTreeLayoutStrategySetInteriorLogSpacingValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInteriorLogSpacingValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetInteriorLogSpacingValue for class vtkStackedTreeLayoutStrategy requires 2 argument(s)");
  vtkStackedTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkStackedTreeLayoutStrategy>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetInteriorLogSpacingValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStackedTreeLayoutStrategy:GetInteriorLogSpacingValue vtkStackedTreeLayoutStrategyGetInteriorLogSpacingValueFunction
//input a0 
//output y
ArrayVector vtkStackedTreeLayoutStrategyGetInteriorLogSpacingValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetInteriorLogSpacingValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInteriorLogSpacingValue for class vtkStackedTreeLayoutStrategy requires 1 argument(s)");
  vtkStackedTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkStackedTreeLayoutStrategy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetInteriorLogSpacingValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStackedTreeLayoutStrategy:FindVertex vtkStackedTreeLayoutStrategyFindVertexFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkStackedTreeLayoutStrategyFindVertexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType FindVertex (vtkTree *tree, vtkDataArray *array, float pnt[2]); */
  if (arg.size() < 4) 
    throw Exception("Function FindVertex for class vtkStackedTreeLayoutStrategy requires 4 argument(s)");
  vtkStackedTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkStackedTreeLayoutStrategy>(arg[0]);
  Array retval;
  vtkTree  *temp0;
  vtkDataArray  *temp1;
  float  temp2[2];
  vtkIdType   temp20;
  temp0 = GetVTKPointer<vtkTree>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  if ( !(arg[3].isVector() && arg[3].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (float)data[k+1];
  }
  temp20 = (vtk_pointer)->FindVertex(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStackedTreeLayoutStrategy:display vtkStackedTreeLayoutStrategyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStackedTreeLayoutStrategyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStackedTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkStackedTreeLayoutStrategy>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStackedTreeLayoutStrategy:delete vtkStackedTreeLayoutStrategyDeleteFunction
//input varargin
//output none
ArrayVector vtkStackedTreeLayoutStrategyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStackedTreeLayoutStrategy
//@@Section VTKInfovis
//@@Usage
// Performs a tree ring layout or "icicle" layout on a tree.
// This involves assigning a sector region to each vertex in the tree,
// and placing that information in a data array with four components per
// tuple representing (innerRadius, outerRadius, startAngle, endAngle).
//
// This class may be assigned as the layout strategy to vtkAreaLayout.
//
// .SECTION Thanks
// Thanks to Jason Shepherd from Sandia National Laboratories
// for help developing this class.
//
//To create an instance of class vtkStackedTreeLayoutStrategy, simply
//invoke its constructor as follows
//@[
//  obj = vtkStackedTreeLayoutStrategy
//@]
//@@Methods
//The class vtkStackedTreeLayoutStrategy has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStackedTreeLayoutStrategy class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStackedTreeLayoutStrategy = obj.NewInstance ()|
// \item @|vtkStackedTreeLayoutStrategy = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Layout (vtkTree inputTree, vtkDataArray sectorArray, vtkDataArray sizeArray)| -  Perform the layout of the input tree, and store the sector
// bounds of each vertex as a tuple
// (innerRadius, outerRadius, startAngle, endAngle)
// in a data array.
//// \item @|obj.LayoutEdgePoints (vtkTree inputTree, vtkDataArray sectorArray, vtkDataArray sizeArray, vtkTree edgeRoutingTree)| -  Fill edgeRoutingTree with points suitable for routing edges of
// an overlaid graph.
//// \item @|obj.SetInteriorRadius (double )| -  Define the tree ring's interior radius.
//// \item @|double = obj.GetInteriorRadius ()| -  Define the tree ring's interior radius.
//// \item @|obj.SetRingThickness (double )| -  Define the thickness of each of the tree rings.
//// \item @|double = obj.GetRingThickness ()| -  Define the thickness of each of the tree rings.
//// \item @|obj.SetRootStartAngle (double )| -  Define the start angle for the root node.
// NOTE: It is assumed that the root end angle is greater than the
// root start angle and subtends no more than 360 degrees.
//// \item @|double = obj.GetRootStartAngle ()| -  Define the start angle for the root node.
// NOTE: It is assumed that the root end angle is greater than the
// root start angle and subtends no more than 360 degrees.
//// \item @|obj.SetRootEndAngle (double )| -  Define the end angle for the root node.
// NOTE: It is assumed that the root end angle is greater than the
// root start angle and subtends no more than 360 degrees.
//// \item @|double = obj.GetRootEndAngle ()| -  Define the end angle for the root node.
// NOTE: It is assumed that the root end angle is greater than the
// root start angle and subtends no more than 360 degrees.
//// \item @|obj.SetUseRectangularCoordinates (bool )| -  Define whether or not rectangular coordinates are being used
// (as opposed to polar coordinates).
//// \item @|bool = obj.GetUseRectangularCoordinates ()| -  Define whether or not rectangular coordinates are being used
// (as opposed to polar coordinates).
//// \item @|obj.UseRectangularCoordinatesOn ()| -  Define whether or not rectangular coordinates are being used
// (as opposed to polar coordinates).
//// \item @|obj.UseRectangularCoordinatesOff ()| -  Define whether or not rectangular coordinates are being used
// (as opposed to polar coordinates).
//// \item @|obj.SetReverse (bool )| -  Define whether to reverse the order of the tree stacks from
// low to high.
//// \item @|bool = obj.GetReverse ()| -  Define whether to reverse the order of the tree stacks from
// low to high.
//// \item @|obj.ReverseOn ()| -  Define whether to reverse the order of the tree stacks from
// low to high.
//// \item @|obj.ReverseOff ()| -  Define whether to reverse the order of the tree stacks from
// low to high.
//// \item @|obj.SetInteriorLogSpacingValue (double )| -  The spacing of tree levels in the edge routing tree.
// Levels near zero give more space
// to levels near the root, while levels near one (the default)
// create evenly-spaced levels. Levels above one give more space
// to levels near the leaves.
//// \item @|double = obj.GetInteriorLogSpacingValue ()| -  The spacing of tree levels in the edge routing tree.
// Levels near zero give more space
// to levels near the root, while levels near one (the default)
// create evenly-spaced levels. Levels above one give more space
// to levels near the leaves.
//// \item @|vtkIdType = obj.FindVertex (vtkTree tree, vtkDataArray array, float pnt[2])| -  Returns the vertex id that contains pnt (or -1 if no one contains it).
////\end{itemize}
//!
