#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStatisticsAlgorithm object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStatisticsAlgorithm.h"

//@@Signature
//sfunction @vtkStatisticsAlgorithm:vtkStatisticsAlgorithm vtkStatisticsAlgorithmConstructorFunction
//input a
//output p
//@@Parents vtkStatisticsAlgorithm vtkTableAlgorithm 
ArrayVector vtkStatisticsAlgorithmConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStatisticsAlgorithm::New(),"vtkStatisticsAlgorithm",eval);
  } else if (arg[0].className() == "vtkStatisticsAlgorithm") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStatisticsAlgorithm"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStatisticsAlgorithm");
    vtkStatisticsAlgorithm*q = reinterpret_cast<vtkStatisticsAlgorithm*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStatisticsAlgorithm");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStatisticsAlgorithm:GetClassName vtkStatisticsAlgorithmGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStatisticsAlgorithmGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStatisticsAlgorithm requires 1 argument(s)");
  vtkStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkStatisticsAlgorithm>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStatisticsAlgorithm:IsA vtkStatisticsAlgorithmIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStatisticsAlgorithmIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStatisticsAlgorithm requires 2 argument(s)");
  vtkStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkStatisticsAlgorithm>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStatisticsAlgorithm:NewInstance vtkStatisticsAlgorithmNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStatisticsAlgorithmNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStatisticsAlgorithm *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStatisticsAlgorithm requires 1 argument(s)");
  vtkStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkStatisticsAlgorithm>(arg[0]);
  Array retval;
  vtkStatisticsAlgorithm  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStatisticsAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStatisticsAlgorithm:SafeDownCast vtkStatisticsAlgorithmSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStatisticsAlgorithmSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStatisticsAlgorithm *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStatisticsAlgorithm requires 2 argument(s)");
  vtkStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkStatisticsAlgorithm>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStatisticsAlgorithm  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStatisticsAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStatisticsAlgorithm:SetLearnOptionParameterConnection vtkStatisticsAlgorithmSetLearnOptionParameterConnectionFunction
//input a0 a1 
//output none
ArrayVector vtkStatisticsAlgorithmSetLearnOptionParameterConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLearnOptionParameterConnection (vtkAlgorithmOutput *params);this SetInputConnection vtkStatisticsAlgorithm LEARN_PARAMETERS params  */
  if (arg.size() < 2) 
    throw Exception("Function SetLearnOptionParameterConnection for class vtkStatisticsAlgorithm requires 2 argument(s)");
  vtkStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkStatisticsAlgorithm>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->SetLearnOptionParameterConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStatisticsAlgorithm:SetLearnOptionParameters vtkStatisticsAlgorithmSetLearnOptionParametersFunction
//input a0 a1 
//output none
ArrayVector vtkStatisticsAlgorithmSetLearnOptionParametersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLearnOptionParameters (vtkDataObject *params);this SetInput vtkStatisticsAlgorithm LEARN_PARAMETERS params  */
  if (arg.size() < 2) 
    throw Exception("Function SetLearnOptionParameters for class vtkStatisticsAlgorithm requires 2 argument(s)");
  vtkStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkStatisticsAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetLearnOptionParameters(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStatisticsAlgorithm:SetInputModelConnection vtkStatisticsAlgorithmSetInputModelConnectionFunction
//input a0 a1 
//output none
ArrayVector vtkStatisticsAlgorithmSetInputModelConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInputModelConnection (vtkAlgorithmOutput *model);this SetInputConnection vtkStatisticsAlgorithm INPUT_MODEL model  */
  if (arg.size() < 2) 
    throw Exception("Function SetInputModelConnection for class vtkStatisticsAlgorithm requires 2 argument(s)");
  vtkStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkStatisticsAlgorithm>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->SetInputModelConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStatisticsAlgorithm:SetInputModel vtkStatisticsAlgorithmSetInputModelFunction
//input a0 a1 
//output none
ArrayVector vtkStatisticsAlgorithmSetInputModelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInputModel (vtkDataObject *model);this SetInput vtkStatisticsAlgorithm INPUT_MODEL model  */
  if (arg.size() < 2) 
    throw Exception("Function SetInputModel for class vtkStatisticsAlgorithm requires 2 argument(s)");
  vtkStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkStatisticsAlgorithm>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInputModel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStatisticsAlgorithm:SetLearnOption vtkStatisticsAlgorithmSetLearnOptionFunction
//input a0 a1 
//output none
ArrayVector vtkStatisticsAlgorithmSetLearnOptionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLearnOption (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLearnOption for class vtkStatisticsAlgorithm requires 2 argument(s)");
  vtkStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkStatisticsAlgorithm>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetLearnOption(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStatisticsAlgorithm:GetLearnOption vtkStatisticsAlgorithmGetLearnOptionFunction
//input a0 
//output y
ArrayVector vtkStatisticsAlgorithmGetLearnOptionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetLearnOption (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLearnOption for class vtkStatisticsAlgorithm requires 1 argument(s)");
  vtkStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkStatisticsAlgorithm>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetLearnOption();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkStatisticsAlgorithm:SetDeriveOption vtkStatisticsAlgorithmSetDeriveOptionFunction
//input a0 a1 
//output none
ArrayVector vtkStatisticsAlgorithmSetDeriveOptionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDeriveOption (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDeriveOption for class vtkStatisticsAlgorithm requires 2 argument(s)");
  vtkStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkStatisticsAlgorithm>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetDeriveOption(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStatisticsAlgorithm:GetDeriveOption vtkStatisticsAlgorithmGetDeriveOptionFunction
//input a0 
//output y
ArrayVector vtkStatisticsAlgorithmGetDeriveOptionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetDeriveOption (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDeriveOption for class vtkStatisticsAlgorithm requires 1 argument(s)");
  vtkStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkStatisticsAlgorithm>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetDeriveOption();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkStatisticsAlgorithm:SetAssessOption vtkStatisticsAlgorithmSetAssessOptionFunction
//input a0 a1 
//output none
ArrayVector vtkStatisticsAlgorithmSetAssessOptionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAssessOption (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAssessOption for class vtkStatisticsAlgorithm requires 2 argument(s)");
  vtkStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkStatisticsAlgorithm>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetAssessOption(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStatisticsAlgorithm:GetAssessOption vtkStatisticsAlgorithmGetAssessOptionFunction
//input a0 
//output y
ArrayVector vtkStatisticsAlgorithmGetAssessOptionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetAssessOption (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAssessOption for class vtkStatisticsAlgorithm requires 1 argument(s)");
  vtkStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkStatisticsAlgorithm>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetAssessOption();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkStatisticsAlgorithm:SetTestOption vtkStatisticsAlgorithmSetTestOptionFunction
//input a0 a1 
//output none
ArrayVector vtkStatisticsAlgorithmSetTestOptionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTestOption (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTestOption for class vtkStatisticsAlgorithm requires 2 argument(s)");
  vtkStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkStatisticsAlgorithm>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetTestOption(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStatisticsAlgorithm:GetTestOption vtkStatisticsAlgorithmGetTestOptionFunction
//input a0 
//output y
ArrayVector vtkStatisticsAlgorithmGetTestOptionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetTestOption (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTestOption for class vtkStatisticsAlgorithm requires 1 argument(s)");
  vtkStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkStatisticsAlgorithm>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetTestOption();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkStatisticsAlgorithm:SetAssessParameters vtkStatisticsAlgorithmSetAssessParametersFunction
//input a0 a1 
//output none
ArrayVector vtkStatisticsAlgorithmSetAssessParametersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetAssessParameters (vtkStringArray *); */
  if (arg.size() < 2) 
    throw Exception("Function SetAssessParameters for class vtkStatisticsAlgorithm requires 2 argument(s)");
  vtkStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkStatisticsAlgorithm>(arg[0]);
  Array retval;
  vtkStringArray  *temp0;
  temp0 = GetVTKPointer<vtkStringArray>(arg[1]);
  vtk_pointer->SetAssessParameters(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStatisticsAlgorithm:GetAssessParameters vtkStatisticsAlgorithmGetAssessParametersFunction
//input a0 
//output y
ArrayVector vtkStatisticsAlgorithmGetAssessParametersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStringArray *GetAssessParameters (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAssessParameters for class vtkStatisticsAlgorithm requires 1 argument(s)");
  vtkStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkStatisticsAlgorithm>(arg[0]);
  Array retval;
  vtkStringArray  *temp20;
  temp20 = (vtk_pointer)->GetAssessParameters();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStringArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStatisticsAlgorithm:SetAssessNames vtkStatisticsAlgorithmSetAssessNamesFunction
//input a0 a1 
//output none
ArrayVector vtkStatisticsAlgorithmSetAssessNamesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetAssessNames (vtkStringArray *); */
  if (arg.size() < 2) 
    throw Exception("Function SetAssessNames for class vtkStatisticsAlgorithm requires 2 argument(s)");
  vtkStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkStatisticsAlgorithm>(arg[0]);
  Array retval;
  vtkStringArray  *temp0;
  temp0 = GetVTKPointer<vtkStringArray>(arg[1]);
  vtk_pointer->SetAssessNames(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStatisticsAlgorithm:GetAssessNames vtkStatisticsAlgorithmGetAssessNamesFunction
//input a0 
//output y
ArrayVector vtkStatisticsAlgorithmGetAssessNamesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStringArray *GetAssessNames (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAssessNames for class vtkStatisticsAlgorithm requires 1 argument(s)");
  vtkStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkStatisticsAlgorithm>(arg[0]);
  Array retval;
  vtkStringArray  *temp20;
  temp20 = (vtk_pointer)->GetAssessNames();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStringArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStatisticsAlgorithm:SetColumnStatus vtkStatisticsAlgorithmSetColumnStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkStatisticsAlgorithmSetColumnStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetColumnStatus (const char *namCol, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetColumnStatus for class vtkStatisticsAlgorithm requires 3 argument(s)");
  vtkStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkStatisticsAlgorithm>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetColumnStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkStatisticsAlgorithm:ResetAllColumnStates vtkStatisticsAlgorithmResetAllColumnStatesFunction
//input a0 
//output none
ArrayVector vtkStatisticsAlgorithmResetAllColumnStatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ResetAllColumnStates (); */
  if (arg.size() < 1) 
    throw Exception("Function ResetAllColumnStates for class vtkStatisticsAlgorithm requires 1 argument(s)");
  vtkStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkStatisticsAlgorithm>(arg[0]);
  Array retval;
  vtk_pointer->ResetAllColumnStates();
  return retval;
}

//@@Signature
//sfunction @vtkStatisticsAlgorithm:RequestSelectedColumns vtkStatisticsAlgorithmRequestSelectedColumnsFunction
//input a0 
//output y
ArrayVector vtkStatisticsAlgorithmRequestSelectedColumnsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RequestSelectedColumns (); */
  if (arg.size() < 1) 
    throw Exception("Function RequestSelectedColumns for class vtkStatisticsAlgorithm requires 1 argument(s)");
  vtkStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkStatisticsAlgorithm>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->RequestSelectedColumns();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStatisticsAlgorithm:ResetRequests vtkStatisticsAlgorithmResetRequestsFunction
//input a0 
//output none
ArrayVector vtkStatisticsAlgorithmResetRequestsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ResetRequests (); */
  if (arg.size() < 1) 
    throw Exception("Function ResetRequests for class vtkStatisticsAlgorithm requires 1 argument(s)");
  vtkStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkStatisticsAlgorithm>(arg[0]);
  Array retval;
  vtk_pointer->ResetRequests();
  return retval;
}

//@@Signature
//sfunction @vtkStatisticsAlgorithm:GetNumberOfRequests vtkStatisticsAlgorithmGetNumberOfRequestsFunction
//input a0 
//output y
ArrayVector vtkStatisticsAlgorithmGetNumberOfRequestsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetNumberOfRequests (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfRequests for class vtkStatisticsAlgorithm requires 1 argument(s)");
  vtkStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkStatisticsAlgorithm>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfRequests();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStatisticsAlgorithm:GetNumberOfColumnsForRequest vtkStatisticsAlgorithmGetNumberOfColumnsForRequestFunction
//input a0 a1 
//output y
ArrayVector vtkStatisticsAlgorithmGetNumberOfColumnsForRequestFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetNumberOfColumnsForRequest (vtkIdType request); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfColumnsForRequest for class vtkStatisticsAlgorithm requires 2 argument(s)");
  vtkStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkStatisticsAlgorithm>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfColumnsForRequest(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStatisticsAlgorithm:GetColumnForRequest vtkStatisticsAlgorithmGetColumnForRequestFunction
//input a0 a1 a2 
//output y
ArrayVector vtkStatisticsAlgorithmGetColumnForRequestFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetColumnForRequest (vtkIdType r, vtkIdType c); */
  if (arg.size() < 3) 
    throw Exception("Function GetColumnForRequest for class vtkStatisticsAlgorithm requires 3 argument(s)");
  vtkStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkStatisticsAlgorithm>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  vtkIdType   temp1;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetColumnForRequest(temp0,temp1);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStatisticsAlgorithm:Aggregate vtkStatisticsAlgorithmAggregateFunction
//input a0 a1 a2 
//output none
ArrayVector vtkStatisticsAlgorithmAggregateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Aggregate (vtkDataObjectCollection *, vtkDataObject *) = 0; */
  if (arg.size() < 3) 
    throw Exception("Function Aggregate for class vtkStatisticsAlgorithm requires 3 argument(s)");
  vtkStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkStatisticsAlgorithm>(arg[0]);
  Array retval;
  vtkDataObjectCollection  *temp0;
  vtkDataObject  *temp1;
  temp0 = GetVTKPointer<vtkDataObjectCollection>(arg[1]);
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->Aggregate(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkStatisticsAlgorithm:display vtkStatisticsAlgorithmDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStatisticsAlgorithmDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkStatisticsAlgorithm>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStatisticsAlgorithm:delete vtkStatisticsAlgorithmDeleteFunction
//input varargin
//output none
ArrayVector vtkStatisticsAlgorithmDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStatisticsAlgorithm
//@@Section VTKInfovis
//@@Usage
// All statistics algorithms can conceptually be operated with several options:
// * Learn: given an input data set, calculate a minimal statistical model (e.g., 
//   sums, raw moments, joint probabilities).
// * Derive: given an input minimal statistical model, derive the full model 
//   (e.g., descriptive statistics, quantiles, correlations, conditional
//    probabilities).
//   NB: It may be, or not be, a problem that a full model was not derived. For
//   instance, when doing parallel calculations, one only wants to derive the full
//   model after all partial calculations have completed. On the other hand, one
//   can also directly provide a full model, that was previously calculated or
//   guessed, and not derive a new one.
// * Assess: given an input data set, input statistics, and some form of 
//   threshold, assess a subset of the data set.
// * Test: perform at least one statistical test.
// Therefore, a vtkStatisticsAlgorithm has the following vtkTable ports
// * 3 input ports:
//   * Data (mandatory)
//   * Parameters to the learn phase (optional)
//   * Input model (optional) 
// * 3 output port (called Output):
//   * Data (annotated with assessments when the Assess option is ON).
//   * Output model (identical to the the input model when Learn option is OFF).
//   * Meta information about the model and/or the overall fit of the data to the
//     model; is filled only when the Assess option is ON.
//
// .SECTION Thanks
// Thanks to Philippe Pebay and David Thompson from Sandia National Laboratories 
// for implementing this class.
//
//To create an instance of class vtkStatisticsAlgorithm, simply
//invoke its constructor as follows
//@[
//  obj = vtkStatisticsAlgorithm
//@]
//@@Methods
//The class vtkStatisticsAlgorithm has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStatisticsAlgorithm class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStatisticsAlgorithm = obj.NewInstance ()|
// \item @|vtkStatisticsAlgorithm = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetLearnOptionParameterConnection (vtkAlgorithmOutput params)| -  A convenience method for setting learn input parameters (if one is expected or allowed).
// It is equivalent to calling SetInput( 1, params );
//// \item @|obj.SetLearnOptionParameters (vtkDataObject params)| -  A convenience method for setting the input model (if one is expected or allowed).
// It is equivalent to calling SetInputConnection( 2, model );
//// \item @|obj.SetInputModelConnection (vtkAlgorithmOutput model)| - // \item @|obj.SetInputModel (vtkDataObject model)| -  Set/Get the Learn option.
//// \item @|obj.SetLearnOption (bool )| -  Set/Get the Learn option.
//// \item @|bool = obj.GetLearnOption ()| -  Set/Get the Learn option.
//// \item @|obj.SetDeriveOption (bool )| -  Set/Get the Derive option.
//// \item @|bool = obj.GetDeriveOption ()| -  Set/Get the Derive option.
//// \item @|obj.SetAssessOption (bool )| -  Set/Get the Assess option.
//// \item @|bool = obj.GetAssessOption ()| -  Set/Get the Assess option.
//// \item @|obj.SetTestOption (bool )| -  Set/Get the Test option.
//// \item @|bool = obj.GetTestOption ()| -  Set/Get the Test option.
//// \item @|obj.SetAssessParameters (vtkStringArray )| -  Set/get assessment parameters.
//// \item @|vtkStringArray = obj.GetAssessParameters ()| -  Set/get assessment parameters.
//// \item @|obj.SetAssessNames (vtkStringArray )| -  Set/get assessment names.
//// \item @|vtkStringArray = obj.GetAssessNames ()| -  Set/get assessment names.
//// \item @|obj.SetColumnStatus (string namCol, int status)| -  Add or remove a column from the current analysis request.
// Once all the column status values are set, call RequestSelectedColumns()
// before selecting another set of columns for a different analysis request.
// The way that columns selections are used varies from algorithm to algorithm.
//
// Note: the set of selected columns is maintained in vtkStatisticsAlgorithmPrivate::Buffer
// until RequestSelectedColumns() is called, at which point the set is appended
// to vtkStatisticsAlgorithmPrivate::Requests.
// If there are any columns in vtkStatisticsAlgorithmPrivate::Buffer at the time
// RequestData() is called, RequestSelectedColumns() will be called and the
// selection added to the list of requests.
//// \item @|obj.ResetAllColumnStates ()| -  Set the the status of each and every column in the current request to OFF (0).
//// \item @|int = obj.RequestSelectedColumns ()| -  Use the current column status values to produce a new request for statistics
// to be produced when RequestData() is called. See SetColumnStatus() for more information.
//// \item @|obj.ResetRequests ()| -  Empty the list of current requests.
//// \item @|vtkIdType = obj.GetNumberOfRequests ()| -  Return the number of requests.
// This does not include any request that is in the column-status buffer
// but for which RequestSelectedColumns() has not yet been called (even though
// it is possible this request will be honored when the filter is run -- see SetColumnStatus()
// for more information).
//// \item @|vtkIdType = obj.GetNumberOfColumnsForRequest (vtkIdType request)| -  Return the number of columns for a given request.
//// \item @|string = obj.GetColumnForRequest (vtkIdType r, vtkIdType c)| -  Provide the name of the \a c-th column for the \a r-th request.
//
// For the version of this routine that returns an integer,
// if the request or column does not exist because \a r or \a c is out of bounds,
// this routine returns 0 and the value of \a columnName is unspecified.
// Otherwise, it returns 1 and the value of \a columnName is set.
//
// For the version of this routine that returns const char*,
// if the request or column does not exist because \a r or \a c is out of bounds,
// the routine returns NULL. Otherwise it returns the column name.
// This version is not thread-safe.
//// \item @|obj.Aggregate (vtkDataObjectCollection , vtkDataObject )| -  Given a collection of models, calculate aggregate model
////\end{itemize}
//!
