#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStrahlerMetric object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStrahlerMetric.h"

//@@Signature
//sfunction @vtkStrahlerMetric:vtkStrahlerMetric vtkStrahlerMetricConstructorFunction
//input a
//output p
//@@Parents vtkStrahlerMetric vtkTreeAlgorithm 
ArrayVector vtkStrahlerMetricConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStrahlerMetric::New(),"vtkStrahlerMetric",eval);
  } else if (arg[0].className() == "vtkStrahlerMetric") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStrahlerMetric"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStrahlerMetric");
    vtkStrahlerMetric*q = reinterpret_cast<vtkStrahlerMetric*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStrahlerMetric");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStrahlerMetric:GetClassName vtkStrahlerMetricGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStrahlerMetricGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStrahlerMetric requires 1 argument(s)");
  vtkStrahlerMetric* vtk_pointer = GetVTKPointer<vtkStrahlerMetric>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStrahlerMetric:IsA vtkStrahlerMetricIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStrahlerMetricIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStrahlerMetric requires 2 argument(s)");
  vtkStrahlerMetric* vtk_pointer = GetVTKPointer<vtkStrahlerMetric>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStrahlerMetric:NewInstance vtkStrahlerMetricNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStrahlerMetricNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStrahlerMetric *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStrahlerMetric requires 1 argument(s)");
  vtkStrahlerMetric* vtk_pointer = GetVTKPointer<vtkStrahlerMetric>(arg[0]);
  Array retval;
  vtkStrahlerMetric  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStrahlerMetric",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStrahlerMetric:SafeDownCast vtkStrahlerMetricSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStrahlerMetricSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStrahlerMetric *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStrahlerMetric requires 2 argument(s)");
  vtkStrahlerMetric* vtk_pointer = GetVTKPointer<vtkStrahlerMetric>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStrahlerMetric  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStrahlerMetric",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStrahlerMetric:SetMetricArrayName vtkStrahlerMetricSetMetricArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkStrahlerMetricSetMetricArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMetricArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetMetricArrayName for class vtkStrahlerMetric requires 2 argument(s)");
  vtkStrahlerMetric* vtk_pointer = GetVTKPointer<vtkStrahlerMetric>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetMetricArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStrahlerMetric:SetNormalize vtkStrahlerMetricSetNormalizeFunction
//input a0 a1 
//output none
ArrayVector vtkStrahlerMetricSetNormalizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalize (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormalize for class vtkStrahlerMetric requires 2 argument(s)");
  vtkStrahlerMetric* vtk_pointer = GetVTKPointer<vtkStrahlerMetric>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNormalize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStrahlerMetric:GetNormalize vtkStrahlerMetricGetNormalizeFunction
//input a0 
//output y
ArrayVector vtkStrahlerMetricGetNormalizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNormalize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalize for class vtkStrahlerMetric requires 1 argument(s)");
  vtkStrahlerMetric* vtk_pointer = GetVTKPointer<vtkStrahlerMetric>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNormalize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStrahlerMetric:NormalizeOn vtkStrahlerMetricNormalizeOnFunction
//input a0 
//output none
ArrayVector vtkStrahlerMetricNormalizeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalizeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalizeOn for class vtkStrahlerMetric requires 1 argument(s)");
  vtkStrahlerMetric* vtk_pointer = GetVTKPointer<vtkStrahlerMetric>(arg[0]);
  Array retval;
  vtk_pointer->NormalizeOn();
  return retval;
}

//@@Signature
//sfunction @vtkStrahlerMetric:NormalizeOff vtkStrahlerMetricNormalizeOffFunction
//input a0 
//output none
ArrayVector vtkStrahlerMetricNormalizeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalizeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalizeOff for class vtkStrahlerMetric requires 1 argument(s)");
  vtkStrahlerMetric* vtk_pointer = GetVTKPointer<vtkStrahlerMetric>(arg[0]);
  Array retval;
  vtk_pointer->NormalizeOff();
  return retval;
}

//@@Signature
//sfunction @vtkStrahlerMetric:GetMaxStrahler vtkStrahlerMetricGetMaxStrahlerFunction
//input a0 
//output y
ArrayVector vtkStrahlerMetricGetMaxStrahlerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetMaxStrahler (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxStrahler for class vtkStrahlerMetric requires 1 argument(s)");
  vtkStrahlerMetric* vtk_pointer = GetVTKPointer<vtkStrahlerMetric>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetMaxStrahler();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStrahlerMetric:display vtkStrahlerMetricDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStrahlerMetricDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStrahlerMetric* vtk_pointer = GetVTKPointer<vtkStrahlerMetric>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStrahlerMetric:delete vtkStrahlerMetricDeleteFunction
//input varargin
//output none
ArrayVector vtkStrahlerMetricDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStrahlerMetric
//@@Section VTKInfovis
//@@Usage
// The Strahler metric is a value assigned to each vertex of a 
// tree that characterizes the structural complexity of the 
// sub-tree rooted at that node.  The metric originated in the
// study of river systems, but has been applied to other tree-
// structured systes,  Details of the metric and the rationale 
// for using it in infovis can be found in:
// 
// Tree Visualization and Navigation Clues for Information
// Visualization, I. Herman, M. Delest, and G. Melancon,
// Computer Graphics Forum, Vol 17(2), Blackwell, 1998.
//
// The input tree is copied to the output, but with a new array
// added to the output vertex data.
//
// .SECTION Thanks
// Thanks to David Duke from the University of Leeds for providing this 
// implementation.
//
//To create an instance of class vtkStrahlerMetric, simply
//invoke its constructor as follows
//@[
//  obj = vtkStrahlerMetric
//@]
//@@Methods
//The class vtkStrahlerMetric has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStrahlerMetric class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStrahlerMetric = obj.NewInstance ()|
// \item @|vtkStrahlerMetric = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetMetricArrayName (string )| -  Set the name of the array in which the Strahler values will
// be stored within the output vertex data.
// Default is "Strahler"
//// \item @|obj.SetNormalize (int )| -  Set/get setting of normalize flag.  If this is set, the
// Strahler values are scaled into the range [0..1].
// Default is for normalization to be OFF.
//// \item @|int = obj.GetNormalize ()| -  Set/get setting of normalize flag.  If this is set, the
// Strahler values are scaled into the range [0..1].
// Default is for normalization to be OFF.
//// \item @|obj.NormalizeOn ()| -  Set/get setting of normalize flag.  If this is set, the
// Strahler values are scaled into the range [0..1].
// Default is for normalization to be OFF.
//// \item @|obj.NormalizeOff ()| -  Set/get setting of normalize flag.  If this is set, the
// Strahler values are scaled into the range [0..1].
// Default is for normalization to be OFF.
//// \item @|float = obj.GetMaxStrahler ()| -  Get the maximum strahler value for the tree.
////\end{itemize}
//!
