#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStreamGraph object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStreamGraph.h"

//@@Signature
//sfunction @vtkStreamGraph:vtkStreamGraph vtkStreamGraphConstructorFunction
//input a
//output p
//@@Parents vtkStreamGraph vtkGraphAlgorithm 
ArrayVector vtkStreamGraphConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStreamGraph::New(),"vtkStreamGraph",eval);
  } else if (arg[0].className() == "vtkStreamGraph") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStreamGraph"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStreamGraph");
    vtkStreamGraph*q = reinterpret_cast<vtkStreamGraph*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStreamGraph");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStreamGraph:GetClassName vtkStreamGraphGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStreamGraphGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStreamGraph requires 1 argument(s)");
  vtkStreamGraph* vtk_pointer = GetVTKPointer<vtkStreamGraph>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamGraph:IsA vtkStreamGraphIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStreamGraphIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStreamGraph requires 2 argument(s)");
  vtkStreamGraph* vtk_pointer = GetVTKPointer<vtkStreamGraph>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamGraph:NewInstance vtkStreamGraphNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStreamGraphNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStreamGraph *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStreamGraph requires 1 argument(s)");
  vtkStreamGraph* vtk_pointer = GetVTKPointer<vtkStreamGraph>(arg[0]);
  Array retval;
  vtkStreamGraph  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStreamGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStreamGraph:SafeDownCast vtkStreamGraphSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStreamGraphSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStreamGraph *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStreamGraph requires 2 argument(s)");
  vtkStreamGraph* vtk_pointer = GetVTKPointer<vtkStreamGraph>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStreamGraph  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStreamGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStreamGraph:SetMaxEdges vtkStreamGraphSetMaxEdgesFunction
//input a0 a1 
//output none
ArrayVector vtkStreamGraphSetMaxEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxEdges (vtkIdType ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxEdges for class vtkStreamGraph requires 2 argument(s)");
  vtkStreamGraph* vtk_pointer = GetVTKPointer<vtkStreamGraph>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMaxEdges(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStreamGraph:GetMaxEdges vtkStreamGraphGetMaxEdgesFunction
//input a0 
//output y
ArrayVector vtkStreamGraphGetMaxEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetMaxEdges (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxEdges for class vtkStreamGraph requires 1 argument(s)");
  vtkStreamGraph* vtk_pointer = GetVTKPointer<vtkStreamGraph>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetMaxEdges();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStreamGraph:display vtkStreamGraphDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStreamGraphDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStreamGraph* vtk_pointer = GetVTKPointer<vtkStreamGraph>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStreamGraph:delete vtkStreamGraphDeleteFunction
//input varargin
//output none
ArrayVector vtkStreamGraphDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStreamGraph
//@@Section VTKInfovis
//@@Usage
// vtkStreamGraph iteratively collects information from the input graph
// and combines it in the output graph. It internally maintains a graph
// instance that is incrementally updated every time the filter is called.
//
// Each update, vtkMergeGraphs is used to combine this filter's input with the
// internal graph.
//
//To create an instance of class vtkStreamGraph, simply
//invoke its constructor as follows
//@[
//  obj = vtkStreamGraph
//@]
//@@Methods
//The class vtkStreamGraph has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStreamGraph class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStreamGraph = obj.NewInstance ()|
// \item @|vtkStreamGraph = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetMaxEdges (vtkIdType )| -  The maximum number of edges in the combined graph. Default is -1,
// which specifies that there should be no limit on the number
// of edges.
//// \item @|vtkIdType = obj.GetMaxEdges ()| -  The maximum number of edges in the combined graph. Default is -1,
// which specifies that there should be no limit on the number
// of edges.
////\end{itemize}
//!
