#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStringToCategory object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStringToCategory.h"

//@@Signature
//sfunction @vtkStringToCategory:vtkStringToCategory vtkStringToCategoryConstructorFunction
//input a
//output p
//@@Parents vtkStringToCategory vtkDataObjectAlgorithm 
ArrayVector vtkStringToCategoryConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStringToCategory::New(),"vtkStringToCategory",eval);
  } else if (arg[0].className() == "vtkStringToCategory") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStringToCategory"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStringToCategory");
    vtkStringToCategory*q = reinterpret_cast<vtkStringToCategory*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStringToCategory");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStringToCategory:GetClassName vtkStringToCategoryGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStringToCategoryGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStringToCategory requires 1 argument(s)");
  vtkStringToCategory* vtk_pointer = GetVTKPointer<vtkStringToCategory>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStringToCategory:IsA vtkStringToCategoryIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStringToCategoryIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStringToCategory requires 2 argument(s)");
  vtkStringToCategory* vtk_pointer = GetVTKPointer<vtkStringToCategory>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStringToCategory:NewInstance vtkStringToCategoryNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStringToCategoryNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStringToCategory *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStringToCategory requires 1 argument(s)");
  vtkStringToCategory* vtk_pointer = GetVTKPointer<vtkStringToCategory>(arg[0]);
  Array retval;
  vtkStringToCategory  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStringToCategory",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStringToCategory:SafeDownCast vtkStringToCategorySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStringToCategorySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStringToCategory *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStringToCategory requires 2 argument(s)");
  vtkStringToCategory* vtk_pointer = GetVTKPointer<vtkStringToCategory>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStringToCategory  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStringToCategory",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStringToCategory:SetCategoryArrayName vtkStringToCategorySetCategoryArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkStringToCategorySetCategoryArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCategoryArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetCategoryArrayName for class vtkStringToCategory requires 2 argument(s)");
  vtkStringToCategory* vtk_pointer = GetVTKPointer<vtkStringToCategory>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetCategoryArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStringToCategory:GetCategoryArrayName vtkStringToCategoryGetCategoryArrayNameFunction
//input a0 
//output y
ArrayVector vtkStringToCategoryGetCategoryArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetCategoryArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCategoryArrayName for class vtkStringToCategory requires 1 argument(s)");
  vtkStringToCategory* vtk_pointer = GetVTKPointer<vtkStringToCategory>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetCategoryArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStringToCategory:display vtkStringToCategoryDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStringToCategoryDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStringToCategory* vtk_pointer = GetVTKPointer<vtkStringToCategory>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStringToCategory:delete vtkStringToCategoryDeleteFunction
//input varargin
//output none
ArrayVector vtkStringToCategoryDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStringToCategory
//@@Section VTKInfovis
//@@Usage
// vtkStringToCategory creates an integer array named "category" based on the
// values in a string array.  You may use this filter to create an array that
// you may use to color points/cells by the values in a string array.  Currently
// there is not support to color by a string array directly.
// The category values will range from zero to N-1,
// where N is the number of distinct strings in the string array.  Set the string
// array to process with SetInputArrayToProcess(0,0,0,...).  The array may be in
// the point, cell, or field data of the data object.
//
//To create an instance of class vtkStringToCategory, simply
//invoke its constructor as follows
//@[
//  obj = vtkStringToCategory
//@]
//@@Methods
//The class vtkStringToCategory has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStringToCategory class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStringToCategory = obj.NewInstance ()|
// \item @|vtkStringToCategory = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCategoryArrayName (string )| -  The name to give to the output vtkIntArray of category values.
//// \item @|string = obj.GetCategoryArrayName ()| -  The name to give to the output vtkIntArray of category values.
////\end{itemize}
//!
