#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStringToNumeric object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStringToNumeric.h"

//@@Signature
//sfunction @vtkStringToNumeric:vtkStringToNumeric vtkStringToNumericConstructorFunction
//input a
//output p
//@@Parents vtkStringToNumeric vtkDataObjectAlgorithm 
ArrayVector vtkStringToNumericConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStringToNumeric::New(),"vtkStringToNumeric",eval);
  } else if (arg[0].className() == "vtkStringToNumeric") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStringToNumeric"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStringToNumeric");
    vtkStringToNumeric*q = reinterpret_cast<vtkStringToNumeric*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStringToNumeric");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStringToNumeric:GetClassName vtkStringToNumericGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStringToNumericGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStringToNumeric requires 1 argument(s)");
  vtkStringToNumeric* vtk_pointer = GetVTKPointer<vtkStringToNumeric>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStringToNumeric:IsA vtkStringToNumericIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStringToNumericIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStringToNumeric requires 2 argument(s)");
  vtkStringToNumeric* vtk_pointer = GetVTKPointer<vtkStringToNumeric>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStringToNumeric:NewInstance vtkStringToNumericNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStringToNumericNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStringToNumeric *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStringToNumeric requires 1 argument(s)");
  vtkStringToNumeric* vtk_pointer = GetVTKPointer<vtkStringToNumeric>(arg[0]);
  Array retval;
  vtkStringToNumeric  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStringToNumeric",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStringToNumeric:SafeDownCast vtkStringToNumericSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStringToNumericSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStringToNumeric *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStringToNumeric requires 2 argument(s)");
  vtkStringToNumeric* vtk_pointer = GetVTKPointer<vtkStringToNumeric>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStringToNumeric  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStringToNumeric",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStringToNumeric:SetConvertFieldData vtkStringToNumericSetConvertFieldDataFunction
//input a0 a1 
//output none
ArrayVector vtkStringToNumericSetConvertFieldDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetConvertFieldData (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetConvertFieldData for class vtkStringToNumeric requires 2 argument(s)");
  vtkStringToNumeric* vtk_pointer = GetVTKPointer<vtkStringToNumeric>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetConvertFieldData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStringToNumeric:GetConvertFieldData vtkStringToNumericGetConvertFieldDataFunction
//input a0 
//output y
ArrayVector vtkStringToNumericGetConvertFieldDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetConvertFieldData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetConvertFieldData for class vtkStringToNumeric requires 1 argument(s)");
  vtkStringToNumeric* vtk_pointer = GetVTKPointer<vtkStringToNumeric>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetConvertFieldData();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkStringToNumeric:ConvertFieldDataOn vtkStringToNumericConvertFieldDataOnFunction
//input a0 
//output none
ArrayVector vtkStringToNumericConvertFieldDataOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ConvertFieldDataOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ConvertFieldDataOn for class vtkStringToNumeric requires 1 argument(s)");
  vtkStringToNumeric* vtk_pointer = GetVTKPointer<vtkStringToNumeric>(arg[0]);
  Array retval;
  vtk_pointer->ConvertFieldDataOn();
  return retval;
}

//@@Signature
//sfunction @vtkStringToNumeric:ConvertFieldDataOff vtkStringToNumericConvertFieldDataOffFunction
//input a0 
//output none
ArrayVector vtkStringToNumericConvertFieldDataOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ConvertFieldDataOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ConvertFieldDataOff for class vtkStringToNumeric requires 1 argument(s)");
  vtkStringToNumeric* vtk_pointer = GetVTKPointer<vtkStringToNumeric>(arg[0]);
  Array retval;
  vtk_pointer->ConvertFieldDataOff();
  return retval;
}

//@@Signature
//sfunction @vtkStringToNumeric:SetConvertPointData vtkStringToNumericSetConvertPointDataFunction
//input a0 a1 
//output none
ArrayVector vtkStringToNumericSetConvertPointDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetConvertPointData (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetConvertPointData for class vtkStringToNumeric requires 2 argument(s)");
  vtkStringToNumeric* vtk_pointer = GetVTKPointer<vtkStringToNumeric>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetConvertPointData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStringToNumeric:GetConvertPointData vtkStringToNumericGetConvertPointDataFunction
//input a0 
//output y
ArrayVector vtkStringToNumericGetConvertPointDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetConvertPointData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetConvertPointData for class vtkStringToNumeric requires 1 argument(s)");
  vtkStringToNumeric* vtk_pointer = GetVTKPointer<vtkStringToNumeric>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetConvertPointData();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkStringToNumeric:ConvertPointDataOn vtkStringToNumericConvertPointDataOnFunction
//input a0 
//output none
ArrayVector vtkStringToNumericConvertPointDataOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ConvertPointDataOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ConvertPointDataOn for class vtkStringToNumeric requires 1 argument(s)");
  vtkStringToNumeric* vtk_pointer = GetVTKPointer<vtkStringToNumeric>(arg[0]);
  Array retval;
  vtk_pointer->ConvertPointDataOn();
  return retval;
}

//@@Signature
//sfunction @vtkStringToNumeric:ConvertPointDataOff vtkStringToNumericConvertPointDataOffFunction
//input a0 
//output none
ArrayVector vtkStringToNumericConvertPointDataOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ConvertPointDataOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ConvertPointDataOff for class vtkStringToNumeric requires 1 argument(s)");
  vtkStringToNumeric* vtk_pointer = GetVTKPointer<vtkStringToNumeric>(arg[0]);
  Array retval;
  vtk_pointer->ConvertPointDataOff();
  return retval;
}

//@@Signature
//sfunction @vtkStringToNumeric:SetConvertCellData vtkStringToNumericSetConvertCellDataFunction
//input a0 a1 
//output none
ArrayVector vtkStringToNumericSetConvertCellDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetConvertCellData (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetConvertCellData for class vtkStringToNumeric requires 2 argument(s)");
  vtkStringToNumeric* vtk_pointer = GetVTKPointer<vtkStringToNumeric>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetConvertCellData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStringToNumeric:GetConvertCellData vtkStringToNumericGetConvertCellDataFunction
//input a0 
//output y
ArrayVector vtkStringToNumericGetConvertCellDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetConvertCellData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetConvertCellData for class vtkStringToNumeric requires 1 argument(s)");
  vtkStringToNumeric* vtk_pointer = GetVTKPointer<vtkStringToNumeric>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetConvertCellData();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkStringToNumeric:ConvertCellDataOn vtkStringToNumericConvertCellDataOnFunction
//input a0 
//output none
ArrayVector vtkStringToNumericConvertCellDataOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ConvertCellDataOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ConvertCellDataOn for class vtkStringToNumeric requires 1 argument(s)");
  vtkStringToNumeric* vtk_pointer = GetVTKPointer<vtkStringToNumeric>(arg[0]);
  Array retval;
  vtk_pointer->ConvertCellDataOn();
  return retval;
}

//@@Signature
//sfunction @vtkStringToNumeric:ConvertCellDataOff vtkStringToNumericConvertCellDataOffFunction
//input a0 
//output none
ArrayVector vtkStringToNumericConvertCellDataOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ConvertCellDataOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ConvertCellDataOff for class vtkStringToNumeric requires 1 argument(s)");
  vtkStringToNumeric* vtk_pointer = GetVTKPointer<vtkStringToNumeric>(arg[0]);
  Array retval;
  vtk_pointer->ConvertCellDataOff();
  return retval;
}

//@@Signature
//sfunction @vtkStringToNumeric:SetConvertVertexData vtkStringToNumericSetConvertVertexDataFunction
//input a0 a1 
//output none
ArrayVector vtkStringToNumericSetConvertVertexDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetConvertVertexData (bool b);this SetConvertPointData b  */
  if (arg.size() < 2) 
    throw Exception("Function SetConvertVertexData for class vtkStringToNumeric requires 2 argument(s)");
  vtkStringToNumeric* vtk_pointer = GetVTKPointer<vtkStringToNumeric>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetConvertVertexData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStringToNumeric:GetConvertVertexData vtkStringToNumericGetConvertVertexDataFunction
//input a0 
//output y
ArrayVector vtkStringToNumericGetConvertVertexDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetConvertVertexData ();return this GetConvertPointData  */
  if (arg.size() < 1) 
    throw Exception("Function GetConvertVertexData for class vtkStringToNumeric requires 1 argument(s)");
  vtkStringToNumeric* vtk_pointer = GetVTKPointer<vtkStringToNumeric>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetConvertVertexData();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkStringToNumeric:ConvertVertexDataOn vtkStringToNumericConvertVertexDataOnFunction
//input a0 
//output none
ArrayVector vtkStringToNumericConvertVertexDataOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ConvertVertexDataOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ConvertVertexDataOn for class vtkStringToNumeric requires 1 argument(s)");
  vtkStringToNumeric* vtk_pointer = GetVTKPointer<vtkStringToNumeric>(arg[0]);
  Array retval;
  vtk_pointer->ConvertVertexDataOn();
  return retval;
}

//@@Signature
//sfunction @vtkStringToNumeric:ConvertVertexDataOff vtkStringToNumericConvertVertexDataOffFunction
//input a0 
//output none
ArrayVector vtkStringToNumericConvertVertexDataOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ConvertVertexDataOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ConvertVertexDataOff for class vtkStringToNumeric requires 1 argument(s)");
  vtkStringToNumeric* vtk_pointer = GetVTKPointer<vtkStringToNumeric>(arg[0]);
  Array retval;
  vtk_pointer->ConvertVertexDataOff();
  return retval;
}

//@@Signature
//sfunction @vtkStringToNumeric:SetConvertEdgeData vtkStringToNumericSetConvertEdgeDataFunction
//input a0 a1 
//output none
ArrayVector vtkStringToNumericSetConvertEdgeDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetConvertEdgeData (bool b);this SetConvertCellData b  */
  if (arg.size() < 2) 
    throw Exception("Function SetConvertEdgeData for class vtkStringToNumeric requires 2 argument(s)");
  vtkStringToNumeric* vtk_pointer = GetVTKPointer<vtkStringToNumeric>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetConvertEdgeData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStringToNumeric:GetConvertEdgeData vtkStringToNumericGetConvertEdgeDataFunction
//input a0 
//output y
ArrayVector vtkStringToNumericGetConvertEdgeDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetConvertEdgeData ();return this GetConvertCellData  */
  if (arg.size() < 1) 
    throw Exception("Function GetConvertEdgeData for class vtkStringToNumeric requires 1 argument(s)");
  vtkStringToNumeric* vtk_pointer = GetVTKPointer<vtkStringToNumeric>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetConvertEdgeData();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkStringToNumeric:ConvertEdgeDataOn vtkStringToNumericConvertEdgeDataOnFunction
//input a0 
//output none
ArrayVector vtkStringToNumericConvertEdgeDataOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ConvertEdgeDataOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ConvertEdgeDataOn for class vtkStringToNumeric requires 1 argument(s)");
  vtkStringToNumeric* vtk_pointer = GetVTKPointer<vtkStringToNumeric>(arg[0]);
  Array retval;
  vtk_pointer->ConvertEdgeDataOn();
  return retval;
}

//@@Signature
//sfunction @vtkStringToNumeric:ConvertEdgeDataOff vtkStringToNumericConvertEdgeDataOffFunction
//input a0 
//output none
ArrayVector vtkStringToNumericConvertEdgeDataOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ConvertEdgeDataOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ConvertEdgeDataOff for class vtkStringToNumeric requires 1 argument(s)");
  vtkStringToNumeric* vtk_pointer = GetVTKPointer<vtkStringToNumeric>(arg[0]);
  Array retval;
  vtk_pointer->ConvertEdgeDataOff();
  return retval;
}

//@@Signature
//sfunction @vtkStringToNumeric:SetConvertRowData vtkStringToNumericSetConvertRowDataFunction
//input a0 a1 
//output none
ArrayVector vtkStringToNumericSetConvertRowDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetConvertRowData (bool b);this SetConvertPointData b  */
  if (arg.size() < 2) 
    throw Exception("Function SetConvertRowData for class vtkStringToNumeric requires 2 argument(s)");
  vtkStringToNumeric* vtk_pointer = GetVTKPointer<vtkStringToNumeric>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetConvertRowData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStringToNumeric:GetConvertRowData vtkStringToNumericGetConvertRowDataFunction
//input a0 
//output y
ArrayVector vtkStringToNumericGetConvertRowDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetConvertRowData ();return this GetConvertPointData  */
  if (arg.size() < 1) 
    throw Exception("Function GetConvertRowData for class vtkStringToNumeric requires 1 argument(s)");
  vtkStringToNumeric* vtk_pointer = GetVTKPointer<vtkStringToNumeric>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetConvertRowData();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkStringToNumeric:ConvertRowDataOn vtkStringToNumericConvertRowDataOnFunction
//input a0 
//output none
ArrayVector vtkStringToNumericConvertRowDataOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ConvertRowDataOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ConvertRowDataOn for class vtkStringToNumeric requires 1 argument(s)");
  vtkStringToNumeric* vtk_pointer = GetVTKPointer<vtkStringToNumeric>(arg[0]);
  Array retval;
  vtk_pointer->ConvertRowDataOn();
  return retval;
}

//@@Signature
//sfunction @vtkStringToNumeric:ConvertRowDataOff vtkStringToNumericConvertRowDataOffFunction
//input a0 
//output none
ArrayVector vtkStringToNumericConvertRowDataOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ConvertRowDataOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ConvertRowDataOff for class vtkStringToNumeric requires 1 argument(s)");
  vtkStringToNumeric* vtk_pointer = GetVTKPointer<vtkStringToNumeric>(arg[0]);
  Array retval;
  vtk_pointer->ConvertRowDataOff();
  return retval;
}

//@@Signature
//sfunction @vtkStringToNumeric:display vtkStringToNumericDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStringToNumericDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStringToNumeric* vtk_pointer = GetVTKPointer<vtkStringToNumeric>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStringToNumeric:delete vtkStringToNumericDeleteFunction
//input varargin
//output none
ArrayVector vtkStringToNumericDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStringToNumeric
//@@Section VTKInfovis
//@@Usage
// vtkStringToNumeric is a filter for converting a string array
// into a numeric arrays.
//
//To create an instance of class vtkStringToNumeric, simply
//invoke its constructor as follows
//@[
//  obj = vtkStringToNumeric
//@]
//@@Methods
//The class vtkStringToNumeric has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStringToNumeric class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStringToNumeric = obj.NewInstance ()|
// \item @|vtkStringToNumeric = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetConvertFieldData (bool )| -  Whether to detect and convert field data arrays.  Default is on.
//// \item @|bool = obj.GetConvertFieldData ()| -  Whether to detect and convert field data arrays.  Default is on.
//// \item @|obj.ConvertFieldDataOn ()| -  Whether to detect and convert field data arrays.  Default is on.
//// \item @|obj.ConvertFieldDataOff ()| -  Whether to detect and convert field data arrays.  Default is on.
//// \item @|obj.SetConvertPointData (bool )| -  Whether to detect and convert cell data arrays.  Default is on.
//// \item @|bool = obj.GetConvertPointData ()| -  Whether to detect and convert cell data arrays.  Default is on.
//// \item @|obj.ConvertPointDataOn ()| -  Whether to detect and convert cell data arrays.  Default is on.
//// \item @|obj.ConvertPointDataOff ()| -  Whether to detect and convert cell data arrays.  Default is on.
//// \item @|obj.SetConvertCellData (bool )| -  Whether to detect and convert point data arrays.  Default is on.
//// \item @|bool = obj.GetConvertCellData ()| -  Whether to detect and convert point data arrays.  Default is on.
//// \item @|obj.ConvertCellDataOn ()| -  Whether to detect and convert point data arrays.  Default is on.
//// \item @|obj.ConvertCellDataOff ()| -  Whether to detect and convert point data arrays.  Default is on.
//// \item @|obj.SetConvertVertexData (bool b)| -  Whether to detect and convert vertex data arrays.  Default is on.
//// \item @|bool = obj.GetConvertVertexData ()| -  Whether to detect and convert vertex data arrays.  Default is on.
//// \item @|obj.ConvertVertexDataOn ()| -  Whether to detect and convert vertex data arrays.  Default is on.
//// \item @|obj.ConvertVertexDataOff ()| -  Whether to detect and convert vertex data arrays.  Default is on.
//// \item @|obj.SetConvertEdgeData (bool b)| -  Whether to detect and convert edge data arrays.  Default is on.
//// \item @|bool = obj.GetConvertEdgeData ()| -  Whether to detect and convert edge data arrays.  Default is on.
//// \item @|obj.ConvertEdgeDataOn ()| -  Whether to detect and convert edge data arrays.  Default is on.
//// \item @|obj.ConvertEdgeDataOff ()| -  Whether to detect and convert edge data arrays.  Default is on.
//// \item @|obj.SetConvertRowData (bool b)| -  Whether to detect and convert row data arrays.  Default is on.
//// \item @|bool = obj.GetConvertRowData ()| -  Whether to detect and convert row data arrays.  Default is on.
//// \item @|obj.ConvertRowDataOn ()| -  Whether to detect and convert row data arrays.  Default is on.
//// \item @|obj.ConvertRowDataOff ()| -  Whether to detect and convert row data arrays.  Default is on.
////\end{itemize}
//!
