#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStringToTimePoint object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStringToTimePoint.h"

//@@Signature
//sfunction @vtkStringToTimePoint:vtkStringToTimePoint vtkStringToTimePointConstructorFunction
//input a
//output p
//@@Parents vtkStringToTimePoint vtkDataObjectAlgorithm 
ArrayVector vtkStringToTimePointConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStringToTimePoint::New(),"vtkStringToTimePoint",eval);
  } else if (arg[0].className() == "vtkStringToTimePoint") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStringToTimePoint"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStringToTimePoint");
    vtkStringToTimePoint*q = reinterpret_cast<vtkStringToTimePoint*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStringToTimePoint");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStringToTimePoint:GetClassName vtkStringToTimePointGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStringToTimePointGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStringToTimePoint requires 1 argument(s)");
  vtkStringToTimePoint* vtk_pointer = GetVTKPointer<vtkStringToTimePoint>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStringToTimePoint:IsA vtkStringToTimePointIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStringToTimePointIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStringToTimePoint requires 2 argument(s)");
  vtkStringToTimePoint* vtk_pointer = GetVTKPointer<vtkStringToTimePoint>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStringToTimePoint:NewInstance vtkStringToTimePointNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStringToTimePointNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStringToTimePoint *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStringToTimePoint requires 1 argument(s)");
  vtkStringToTimePoint* vtk_pointer = GetVTKPointer<vtkStringToTimePoint>(arg[0]);
  Array retval;
  vtkStringToTimePoint  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStringToTimePoint",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStringToTimePoint:SafeDownCast vtkStringToTimePointSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStringToTimePointSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStringToTimePoint *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStringToTimePoint requires 2 argument(s)");
  vtkStringToTimePoint* vtk_pointer = GetVTKPointer<vtkStringToTimePoint>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStringToTimePoint  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStringToTimePoint",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStringToTimePoint:SetOutputArrayName vtkStringToTimePointSetOutputArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkStringToTimePointSetOutputArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputArrayName for class vtkStringToTimePoint requires 2 argument(s)");
  vtkStringToTimePoint* vtk_pointer = GetVTKPointer<vtkStringToTimePoint>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetOutputArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStringToTimePoint:GetOutputArrayName vtkStringToTimePointGetOutputArrayNameFunction
//input a0 
//output y
ArrayVector vtkStringToTimePointGetOutputArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetOutputArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputArrayName for class vtkStringToTimePoint requires 1 argument(s)");
  vtkStringToTimePoint* vtk_pointer = GetVTKPointer<vtkStringToTimePoint>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetOutputArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStringToTimePoint:display vtkStringToTimePointDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStringToTimePointDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStringToTimePoint* vtk_pointer = GetVTKPointer<vtkStringToTimePoint>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStringToTimePoint:delete vtkStringToTimePointDeleteFunction
//input varargin
//output none
ArrayVector vtkStringToTimePointDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStringToTimePoint
//@@Section VTKInfovis
//@@Usage
//
// vtkStringToTimePoint is a filter for converting a string array
// into a datetime, time or date array.  The input strings must
// conform to one of the ISO8601 formats defined in vtkTimePointUtility.
//
// The input array specified by SetInputArrayToProcess(...)
// indicates the array to process.  This array must be of type
// vtkStringArray.
//
// The output array will be of type vtkTypeUInt64Array.
//
//To create an instance of class vtkStringToTimePoint, simply
//invoke its constructor as follows
//@[
//  obj = vtkStringToTimePoint
//@]
//@@Methods
//The class vtkStringToTimePoint has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStringToTimePoint class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStringToTimePoint = obj.NewInstance ()|
// \item @|vtkStringToTimePoint = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetOutputArrayName (string )| -  The name of the output array.
// If this is not specified, the name will be the same as the input
// array name with either " [to datetime]", " [to date]", or " [to time]"
// appended.
//// \item @|string = obj.GetOutputArrayName ()| -  The name of the output array.
// If this is not specified, the name will be the same as the input
// array name with either " [to datetime]", " [to date]", or " [to time]"
// appended.
////\end{itemize}
//!
