#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTableToArray object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTableToArray.h"

//@@Signature
//sfunction @vtkTableToArray:vtkTableToArray vtkTableToArrayConstructorFunction
//input a
//output p
//@@Parents vtkTableToArray vtkArrayDataAlgorithm 
ArrayVector vtkTableToArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTableToArray::New(),"vtkTableToArray",eval);
  } else if (arg[0].className() == "vtkTableToArray") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTableToArray"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTableToArray");
    vtkTableToArray*q = reinterpret_cast<vtkTableToArray*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTableToArray");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTableToArray:GetClassName vtkTableToArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTableToArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTableToArray requires 1 argument(s)");
  vtkTableToArray* vtk_pointer = GetVTKPointer<vtkTableToArray>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToArray:IsA vtkTableToArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTableToArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTableToArray requires 2 argument(s)");
  vtkTableToArray* vtk_pointer = GetVTKPointer<vtkTableToArray>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToArray:NewInstance vtkTableToArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTableToArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTableToArray *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTableToArray requires 1 argument(s)");
  vtkTableToArray* vtk_pointer = GetVTKPointer<vtkTableToArray>(arg[0]);
  Array retval;
  vtkTableToArray  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTableToArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableToArray:SafeDownCast vtkTableToArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTableToArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTableToArray *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTableToArray requires 2 argument(s)");
  vtkTableToArray* vtk_pointer = GetVTKPointer<vtkTableToArray>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTableToArray  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTableToArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableToArray:ClearColumns vtkTableToArrayClearColumnsFunction
//input a0 
//output none
ArrayVector vtkTableToArrayClearColumnsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClearColumns (); */
  if (arg.size() < 1) 
    throw Exception("Function ClearColumns for class vtkTableToArray requires 1 argument(s)");
  vtkTableToArray* vtk_pointer = GetVTKPointer<vtkTableToArray>(arg[0]);
  Array retval;
  vtk_pointer->ClearColumns();
  return retval;
}

//@@Signature
//sfunction @vtkTableToArray:AddColumn vtkTableToArrayAddColumnFunction
//input a0 a1 
//output none
ArrayVector vtkTableToArrayAddColumnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddColumn (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function AddColumn for class vtkTableToArray requires 2 argument(s)");
  vtkTableToArray* vtk_pointer = GetVTKPointer<vtkTableToArray>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->AddColumn(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableToArray:display vtkTableToArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTableToArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTableToArray* vtk_pointer = GetVTKPointer<vtkTableToArray>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTableToArray:delete vtkTableToArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkTableToArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTableToArray
//@@Section VTKInfovis
//@@Usage
// Converts a vtkTable into a dense matrix.  Use AddColumn() to
// designate one-to-many table columns that will become columns in the
// output matrix.
//
//
//To create an instance of class vtkTableToArray, simply
//invoke its constructor as follows
//@[
//  obj = vtkTableToArray
//@]
//@@Methods
//The class vtkTableToArray has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTableToArray class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTableToArray = obj.NewInstance ()|
// \item @|vtkTableToArray = obj.SafeDownCast (vtkObject o)|
// \item @|obj.ClearColumns ()| -  Specify the set of input table columns that will be mapped to columns
// in the output matrix.
//// \item @|obj.AddColumn (string name)| -  Specify the set of input table columns that will be mapped to columns
// in the output matrix.
////\end{itemize}
//!
