#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTableToGraph object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTableToGraph.h"

//@@Signature
//sfunction @vtkTableToGraph:vtkTableToGraph vtkTableToGraphConstructorFunction
//input a
//output p
//@@Parents vtkTableToGraph vtkGraphAlgorithm 
ArrayVector vtkTableToGraphConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTableToGraph::New(),"vtkTableToGraph",eval);
  } else if (arg[0].className() == "vtkTableToGraph") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTableToGraph"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTableToGraph");
    vtkTableToGraph*q = reinterpret_cast<vtkTableToGraph*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTableToGraph");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTableToGraph:GetClassName vtkTableToGraphGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTableToGraphGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTableToGraph requires 1 argument(s)");
  vtkTableToGraph* vtk_pointer = GetVTKPointer<vtkTableToGraph>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToGraph:IsA vtkTableToGraphIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTableToGraphIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTableToGraph requires 2 argument(s)");
  vtkTableToGraph* vtk_pointer = GetVTKPointer<vtkTableToGraph>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToGraph:NewInstance vtkTableToGraphNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTableToGraphNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTableToGraph *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTableToGraph requires 1 argument(s)");
  vtkTableToGraph* vtk_pointer = GetVTKPointer<vtkTableToGraph>(arg[0]);
  Array retval;
  vtkTableToGraph  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTableToGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableToGraph:SafeDownCast vtkTableToGraphSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTableToGraphSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTableToGraph *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTableToGraph requires 2 argument(s)");
  vtkTableToGraph* vtk_pointer = GetVTKPointer<vtkTableToGraph>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTableToGraph  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTableToGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableToGraph:AddLinkVertex vtkTableToGraphAddLinkVertexFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTableToGraphAddLinkVertexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddLinkVertex (const char *column, const char *domain, int hidden); */
  if (arg.size() < 4) 
    throw Exception("Function AddLinkVertex for class vtkTableToGraph requires 4 argument(s)");
  vtkTableToGraph* vtk_pointer = GetVTKPointer<vtkTableToGraph>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  int      temp2;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->AddLinkVertex(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTableToGraph:ClearLinkVertices vtkTableToGraphClearLinkVerticesFunction
//input a0 
//output none
ArrayVector vtkTableToGraphClearLinkVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClearLinkVertices (); */
  if (arg.size() < 1) 
    throw Exception("Function ClearLinkVertices for class vtkTableToGraph requires 1 argument(s)");
  vtkTableToGraph* vtk_pointer = GetVTKPointer<vtkTableToGraph>(arg[0]);
  Array retval;
  vtk_pointer->ClearLinkVertices();
  return retval;
}

//@@Signature
//sfunction @vtkTableToGraph:AddLinkEdge vtkTableToGraphAddLinkEdgeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkTableToGraphAddLinkEdgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddLinkEdge (const char *column1, const char *column2); */
  if (arg.size() < 3) 
    throw Exception("Function AddLinkEdge for class vtkTableToGraph requires 3 argument(s)");
  vtkTableToGraph* vtk_pointer = GetVTKPointer<vtkTableToGraph>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->AddLinkEdge(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTableToGraph:ClearLinkEdges vtkTableToGraphClearLinkEdgesFunction
//input a0 
//output none
ArrayVector vtkTableToGraphClearLinkEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClearLinkEdges (); */
  if (arg.size() < 1) 
    throw Exception("Function ClearLinkEdges for class vtkTableToGraph requires 1 argument(s)");
  vtkTableToGraph* vtk_pointer = GetVTKPointer<vtkTableToGraph>(arg[0]);
  Array retval;
  vtk_pointer->ClearLinkEdges();
  return retval;
}

//@@Signature
//sfunction @vtkTableToGraph:GetLinkGraph vtkTableToGraphGetLinkGraphFunction
//input a0 
//output y
ArrayVector vtkTableToGraphGetLinkGraphFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMutableDirectedGraph *GetLinkGraph (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLinkGraph for class vtkTableToGraph requires 1 argument(s)");
  vtkTableToGraph* vtk_pointer = GetVTKPointer<vtkTableToGraph>(arg[0]);
  Array retval;
  vtkMutableDirectedGraph  *temp20;
  temp20 = (vtk_pointer)->GetLinkGraph();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMutableDirectedGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableToGraph:SetLinkGraph vtkTableToGraphSetLinkGraphFunction
//input a0 a1 
//output none
ArrayVector vtkTableToGraphSetLinkGraphFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLinkGraph (vtkMutableDirectedGraph *g); */
  if (arg.size() < 2) 
    throw Exception("Function SetLinkGraph for class vtkTableToGraph requires 2 argument(s)");
  vtkTableToGraph* vtk_pointer = GetVTKPointer<vtkTableToGraph>(arg[0]);
  Array retval;
  vtkMutableDirectedGraph  *temp0;
  temp0 = GetVTKPointer<vtkMutableDirectedGraph>(arg[1]);
  vtk_pointer->SetLinkGraph(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableToGraph:LinkColumnPath vtkTableToGraphLinkColumnPathFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkTableToGraphLinkColumnPathFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LinkColumnPath (vtkStringArray *column, vtkStringArray *domain, vtkBitArray *hidden); */
  if (arg.size() < 4) 
    throw Exception("Function LinkColumnPath for class vtkTableToGraph requires 4 argument(s)");
  vtkTableToGraph* vtk_pointer = GetVTKPointer<vtkTableToGraph>(arg[0]);
  Array retval;
  vtkStringArray  *temp0;
  vtkStringArray  *temp1;
  vtkBitArray  *temp2;
  temp0 = GetVTKPointer<vtkStringArray>(arg[1]);
  temp1 = GetVTKPointer<vtkStringArray>(arg[2]);
  temp2 = GetVTKPointer<vtkBitArray>(arg[3]);
  vtk_pointer->LinkColumnPath(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkTableToGraph:SetDirected vtkTableToGraphSetDirectedFunction
//input a0 a1 
//output none
ArrayVector vtkTableToGraphSetDirectedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDirected (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDirected for class vtkTableToGraph requires 2 argument(s)");
  vtkTableToGraph* vtk_pointer = GetVTKPointer<vtkTableToGraph>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetDirected(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableToGraph:GetDirected vtkTableToGraphGetDirectedFunction
//input a0 
//output y
ArrayVector vtkTableToGraphGetDirectedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetDirected (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDirected for class vtkTableToGraph requires 1 argument(s)");
  vtkTableToGraph* vtk_pointer = GetVTKPointer<vtkTableToGraph>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetDirected();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTableToGraph:DirectedOn vtkTableToGraphDirectedOnFunction
//input a0 
//output none
ArrayVector vtkTableToGraphDirectedOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DirectedOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DirectedOn for class vtkTableToGraph requires 1 argument(s)");
  vtkTableToGraph* vtk_pointer = GetVTKPointer<vtkTableToGraph>(arg[0]);
  Array retval;
  vtk_pointer->DirectedOn();
  return retval;
}

//@@Signature
//sfunction @vtkTableToGraph:DirectedOff vtkTableToGraphDirectedOffFunction
//input a0 
//output none
ArrayVector vtkTableToGraphDirectedOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DirectedOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DirectedOff for class vtkTableToGraph requires 1 argument(s)");
  vtkTableToGraph* vtk_pointer = GetVTKPointer<vtkTableToGraph>(arg[0]);
  Array retval;
  vtk_pointer->DirectedOff();
  return retval;
}

//@@Signature
//sfunction @vtkTableToGraph:GetMTime vtkTableToGraphGetMTimeFunction
//input a0 
//output y
ArrayVector vtkTableToGraphGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkTableToGraph requires 1 argument(s)");
  vtkTableToGraph* vtk_pointer = GetVTKPointer<vtkTableToGraph>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToGraph:SetVertexTableConnection vtkTableToGraphSetVertexTableConnectionFunction
//input a0 a1 
//output none
ArrayVector vtkTableToGraphSetVertexTableConnectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVertexTableConnection (vtkAlgorithmOutput *in); */
  if (arg.size() < 2) 
    throw Exception("Function SetVertexTableConnection for class vtkTableToGraph requires 2 argument(s)");
  vtkTableToGraph* vtk_pointer = GetVTKPointer<vtkTableToGraph>(arg[0]);
  Array retval;
  vtkAlgorithmOutput  *temp0;
  temp0 = GetVTKPointer<vtkAlgorithmOutput>(arg[1]);
  vtk_pointer->SetVertexTableConnection(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableToGraph:display vtkTableToGraphDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTableToGraphDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTableToGraph* vtk_pointer = GetVTKPointer<vtkTableToGraph>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTableToGraph:delete vtkTableToGraphDeleteFunction
//input varargin
//output none
ArrayVector vtkTableToGraphDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTableToGraph
//@@Section VTKInfovis
//@@Usage
// vtkTableToGraph converts a table to a graph using an auxilliary 
// link graph.  The link graph specifies how each row in the table
// should be converted to an edge, or a collection of edges.  It also
// specifies which columns of the table should be considered part of
// the same domain, and which columns should be hidden.
//
// A second, optional, table may be provided as the vertex table.
// This vertex table must have one or more domain columns whose values
// match values in the edge table.  The linked column name is specified in
// the domain array in the link graph.  The output graph will only contain
// vertices corresponding to a row in the vertex table.  For heterogenous
// graphs, you may want to use vtkMergeTables to create a single vertex table.
//
// The link graph contains the following arrays:
//
// (1) The "column" array has the names of the columns to connect in each table row.
// This array is required.
//
// (2) The optional "domain" array provides user-defined domain names for each column.
// Matching domains in multiple columns will merge vertices with the same
// value from those columns.  By default, all columns are in the same domain.
// If a vertex table is supplied, the domain indicates the column in the vertex
// table that the edge table column associates with.  If the user provides a
// vertex table but no domain names, the output will be an empty graph.
// Hidden columns do not need valid domain names.
//
// (3) The optional "hidden" array is a bit array specifying whether the column should be
// hidden.  The resulting graph will contain edges representing connections
// "through" the hidden column, but the vertices for that column will not 
// be present.  By default, no columns are hidden.  Hiding a column
// in a particular domain hides all columns in that domain.
//
// The output graph will contain three additional arrays in the vertex data.
// The "domain" column is a string array containing the domain of each vertex.
// The "label" column is a string version of the distinct value that, along
// with the domain, defines that vertex. The "ids" column also contains
// the distinguishing value, but as a vtkVariant holding the raw value instead
// of being converted to a string. The "ids" column is set as the vertex pedigree
// ID attribute.
//
//To create an instance of class vtkTableToGraph, simply
//invoke its constructor as follows
//@[
//  obj = vtkTableToGraph
//@]
//@@Methods
//The class vtkTableToGraph has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTableToGraph class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTableToGraph = obj.NewInstance ()|
// \item @|vtkTableToGraph = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddLinkVertex (string column, string domain, int hidden)| -  Add a vertex to the link graph.  Specify the column name, the domain name
// for the column, and whether the column is hidden.
//// \item @|obj.ClearLinkVertices ()| -  Clear the link graph vertices.  This also clears all edges.
//// \item @|obj.AddLinkEdge (string column1, string column2)| -  Add an edge to the link graph.  Specify the names of the columns to link.
//// \item @|obj.ClearLinkEdges ()| -  Clear the link graph edges.  The graph vertices will remain.
//// \item @|vtkMutableDirectedGraph = obj.GetLinkGraph ()| -  The graph describing how to link the columns in the table.
//// \item @|obj.SetLinkGraph (vtkMutableDirectedGraph g)| -  The graph describing how to link the columns in the table.
//// \item @|obj.LinkColumnPath (vtkStringArray column, vtkStringArray domain, vtkBitArray hidden)| -  Links the columns in a specific order.
// This creates a simple path as the link graph.
//// \item @|obj.SetDirected (bool )| -  Specify the directedness of the output graph.
//// \item @|bool = obj.GetDirected ()| -  Specify the directedness of the output graph.
//// \item @|obj.DirectedOn ()| -  Specify the directedness of the output graph.
//// \item @|obj.DirectedOff ()| -  Specify the directedness of the output graph.
//// \item @|long = obj.GetMTime ()| -  Get the current modified time.
//// \item @|obj.SetVertexTableConnection (vtkAlgorithmOutput in)| -  A convenience method for setting the vertex table input.  This
// is mainly for the benefit of the VTK client/server layer,
// vanilla VTK code should use e.g:
//
// table_to_graph->SetInputConnection(1, vertex_table->output());
//
////\end{itemize}
//!
