#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTableToSparseArray object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTableToSparseArray.h"

//@@Signature
//sfunction @vtkTableToSparseArray:vtkTableToSparseArray vtkTableToSparseArrayConstructorFunction
//input a
//output p
//@@Parents vtkTableToSparseArray vtkArrayDataAlgorithm 
ArrayVector vtkTableToSparseArrayConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTableToSparseArray::New(),"vtkTableToSparseArray",eval);
  } else if (arg[0].className() == "vtkTableToSparseArray") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTableToSparseArray"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTableToSparseArray");
    vtkTableToSparseArray*q = reinterpret_cast<vtkTableToSparseArray*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTableToSparseArray");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTableToSparseArray:GetClassName vtkTableToSparseArrayGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTableToSparseArrayGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTableToSparseArray requires 1 argument(s)");
  vtkTableToSparseArray* vtk_pointer = GetVTKPointer<vtkTableToSparseArray>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToSparseArray:IsA vtkTableToSparseArrayIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTableToSparseArrayIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTableToSparseArray requires 2 argument(s)");
  vtkTableToSparseArray* vtk_pointer = GetVTKPointer<vtkTableToSparseArray>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToSparseArray:NewInstance vtkTableToSparseArrayNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTableToSparseArrayNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTableToSparseArray *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTableToSparseArray requires 1 argument(s)");
  vtkTableToSparseArray* vtk_pointer = GetVTKPointer<vtkTableToSparseArray>(arg[0]);
  Array retval;
  vtkTableToSparseArray  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTableToSparseArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableToSparseArray:SafeDownCast vtkTableToSparseArraySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTableToSparseArraySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTableToSparseArray *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTableToSparseArray requires 2 argument(s)");
  vtkTableToSparseArray* vtk_pointer = GetVTKPointer<vtkTableToSparseArray>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTableToSparseArray  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTableToSparseArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableToSparseArray:ClearCoordinateColumns vtkTableToSparseArrayClearCoordinateColumnsFunction
//input a0 
//output none
ArrayVector vtkTableToSparseArrayClearCoordinateColumnsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClearCoordinateColumns (); */
  if (arg.size() < 1) 
    throw Exception("Function ClearCoordinateColumns for class vtkTableToSparseArray requires 1 argument(s)");
  vtkTableToSparseArray* vtk_pointer = GetVTKPointer<vtkTableToSparseArray>(arg[0]);
  Array retval;
  vtk_pointer->ClearCoordinateColumns();
  return retval;
}

//@@Signature
//sfunction @vtkTableToSparseArray:AddCoordinateColumn vtkTableToSparseArrayAddCoordinateColumnFunction
//input a0 a1 
//output none
ArrayVector vtkTableToSparseArrayAddCoordinateColumnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddCoordinateColumn (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function AddCoordinateColumn for class vtkTableToSparseArray requires 2 argument(s)");
  vtkTableToSparseArray* vtk_pointer = GetVTKPointer<vtkTableToSparseArray>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->AddCoordinateColumn(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableToSparseArray:SetValueColumn vtkTableToSparseArraySetValueColumnFunction
//input a0 a1 
//output none
ArrayVector vtkTableToSparseArraySetValueColumnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetValueColumn (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetValueColumn for class vtkTableToSparseArray requires 2 argument(s)");
  vtkTableToSparseArray* vtk_pointer = GetVTKPointer<vtkTableToSparseArray>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetValueColumn(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableToSparseArray:GetValueColumn vtkTableToSparseArrayGetValueColumnFunction
//input a0 
//output y
ArrayVector vtkTableToSparseArrayGetValueColumnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetValueColumn (); */
  if (arg.size() < 1) 
    throw Exception("Function GetValueColumn for class vtkTableToSparseArray requires 1 argument(s)");
  vtkTableToSparseArray* vtk_pointer = GetVTKPointer<vtkTableToSparseArray>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetValueColumn();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToSparseArray:display vtkTableToSparseArrayDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTableToSparseArrayDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTableToSparseArray* vtk_pointer = GetVTKPointer<vtkTableToSparseArray>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTableToSparseArray:delete vtkTableToSparseArrayDeleteFunction
//input varargin
//output none
ArrayVector vtkTableToSparseArrayDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTableToSparseArray
//@@Section VTKInfovis
//@@Usage
// Converts a vtkTable into a sparse array.  Use AddCoordinateColumn() to
// designate one-to-many table columns that contain coordinates for each
// array value, and SetValueColumn() to designate the table column that 
// contains array values.
//
// Thus, the number of dimensions in the output array will equal the number
// of calls to AddCoordinateColumn().
//
// The coordinate columns will also be used to populate dimension labels
// in the output array.
//
// .SECTION Thanks
// Developed by Timothy M. Shead (tshead@sandia.gov) at Sandia National Laboratories.
//
//To create an instance of class vtkTableToSparseArray, simply
//invoke its constructor as follows
//@[
//  obj = vtkTableToSparseArray
//@]
//@@Methods
//The class vtkTableToSparseArray has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTableToSparseArray class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTableToSparseArray = obj.NewInstance ()|
// \item @|vtkTableToSparseArray = obj.SafeDownCast (vtkObject o)|
// \item @|obj.ClearCoordinateColumns ()| -  Specify the set of input table columns that will be mapped to coordinates
// in the output sparse array.
//// \item @|obj.AddCoordinateColumn (string name)| -  Specify the set of input table columns that will be mapped to coordinates
// in the output sparse array.
//// \item @|obj.SetValueColumn (string name)| -  Specify the input table column that will be mapped to values in the output array.
//// \item @|string = obj.GetValueColumn ()| -  Specify the input table column that will be mapped to values in the output array.
////\end{itemize}
//!
