#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTableToTreeFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTableToTreeFilter.h"

//@@Signature
//sfunction @vtkTableToTreeFilter:vtkTableToTreeFilter vtkTableToTreeFilterConstructorFunction
//input a
//output p
//@@Parents vtkTableToTreeFilter vtkTreeAlgorithm 
ArrayVector vtkTableToTreeFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTableToTreeFilter::New(),"vtkTableToTreeFilter",eval);
  } else if (arg[0].className() == "vtkTableToTreeFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTableToTreeFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTableToTreeFilter");
    vtkTableToTreeFilter*q = reinterpret_cast<vtkTableToTreeFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTableToTreeFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTableToTreeFilter:GetClassName vtkTableToTreeFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTableToTreeFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTableToTreeFilter requires 1 argument(s)");
  vtkTableToTreeFilter* vtk_pointer = GetVTKPointer<vtkTableToTreeFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToTreeFilter:IsA vtkTableToTreeFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTableToTreeFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTableToTreeFilter requires 2 argument(s)");
  vtkTableToTreeFilter* vtk_pointer = GetVTKPointer<vtkTableToTreeFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableToTreeFilter:NewInstance vtkTableToTreeFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTableToTreeFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTableToTreeFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTableToTreeFilter requires 1 argument(s)");
  vtkTableToTreeFilter* vtk_pointer = GetVTKPointer<vtkTableToTreeFilter>(arg[0]);
  Array retval;
  vtkTableToTreeFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTableToTreeFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableToTreeFilter:SafeDownCast vtkTableToTreeFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTableToTreeFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTableToTreeFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTableToTreeFilter requires 2 argument(s)");
  vtkTableToTreeFilter* vtk_pointer = GetVTKPointer<vtkTableToTreeFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTableToTreeFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTableToTreeFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableToTreeFilter:display vtkTableToTreeFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTableToTreeFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTableToTreeFilter* vtk_pointer = GetVTKPointer<vtkTableToTreeFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTableToTreeFilter:delete vtkTableToTreeFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkTableToTreeFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTableToTreeFilter
//@@Section VTKInfovis
//@@Usage
//
// vtkTableToTreeFilter is a filter for converting a vtkTable data structure
// into a vtkTree datastructure.  Currently, this will convert the table into
// a star, with each row of the table as a child of a new root node.
// The columns of the table are passed as node fields of the tree.
//
//To create an instance of class vtkTableToTreeFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkTableToTreeFilter
//@]
//@@Methods
//The class vtkTableToTreeFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTableToTreeFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTableToTreeFilter = obj.NewInstance ()|
// \item @|vtkTableToTreeFilter = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
