#include "VTKWrap.hpp"

// FreeMat wrapper for vtkThresholdTable object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkThresholdTable.h"

//@@Signature
//sfunction @vtkThresholdTable:vtkThresholdTable vtkThresholdTableConstructorFunction
//input a
//output p
//@@Parents vtkThresholdTable vtkTableAlgorithm 
ArrayVector vtkThresholdTableConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkThresholdTable::New(),"vtkThresholdTable",eval);
  } else if (arg[0].className() == "vtkThresholdTable") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkThresholdTable"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkThresholdTable");
    vtkThresholdTable*q = reinterpret_cast<vtkThresholdTable*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkThresholdTable");
    return ret;
  }
}
//@@Signature
//sfunction @vtkThresholdTable:GetClassName vtkThresholdTableGetClassNameFunction
//input a0 
//output y
ArrayVector vtkThresholdTableGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkThresholdTable requires 1 argument(s)");
  vtkThresholdTable* vtk_pointer = GetVTKPointer<vtkThresholdTable>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThresholdTable:IsA vtkThresholdTableIsAFunction
//input a0 a1 
//output y
ArrayVector vtkThresholdTableIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkThresholdTable requires 2 argument(s)");
  vtkThresholdTable* vtk_pointer = GetVTKPointer<vtkThresholdTable>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThresholdTable:NewInstance vtkThresholdTableNewInstanceFunction
//input a0 
//output y
ArrayVector vtkThresholdTableNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkThresholdTable *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkThresholdTable requires 1 argument(s)");
  vtkThresholdTable* vtk_pointer = GetVTKPointer<vtkThresholdTable>(arg[0]);
  Array retval;
  vtkThresholdTable  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkThresholdTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkThresholdTable:SafeDownCast vtkThresholdTableSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkThresholdTableSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkThresholdTable *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkThresholdTable requires 2 argument(s)");
  vtkThresholdTable* vtk_pointer = GetVTKPointer<vtkThresholdTable>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkThresholdTable  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkThresholdTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkThresholdTable:SetMode vtkThresholdTableSetModeFunction
//input a0 a1 
//output none
ArrayVector vtkThresholdTableSetModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMode for class vtkThresholdTable requires 2 argument(s)");
  vtkThresholdTable* vtk_pointer = GetVTKPointer<vtkThresholdTable>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkThresholdTable:GetModeMinValue vtkThresholdTableGetModeMinValueFunction
//input a0 
//output y
ArrayVector vtkThresholdTableGetModeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetModeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetModeMinValue for class vtkThresholdTable requires 1 argument(s)");
  vtkThresholdTable* vtk_pointer = GetVTKPointer<vtkThresholdTable>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetModeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThresholdTable:GetModeMaxValue vtkThresholdTableGetModeMaxValueFunction
//input a0 
//output y
ArrayVector vtkThresholdTableGetModeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetModeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetModeMaxValue for class vtkThresholdTable requires 1 argument(s)");
  vtkThresholdTable* vtk_pointer = GetVTKPointer<vtkThresholdTable>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetModeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThresholdTable:GetMode vtkThresholdTableGetModeFunction
//input a0 
//output y
ArrayVector vtkThresholdTableGetModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMode for class vtkThresholdTable requires 1 argument(s)");
  vtkThresholdTable* vtk_pointer = GetVTKPointer<vtkThresholdTable>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkThresholdTable:SetMinValue vtkThresholdTableSetMinValueFunction
//input a0 a1 
//output none
ArrayVector vtkThresholdTableSetMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinValue (double v);this SetMinValue vtkVariant v  */
  if (arg.size() < 2) 
    throw Exception("Function SetMinValue for class vtkThresholdTable requires 2 argument(s)");
  vtkThresholdTable* vtk_pointer = GetVTKPointer<vtkThresholdTable>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMinValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkThresholdTable:SetMaxValue vtkThresholdTableSetMaxValueFunction
//input a0 a1 
//output none
ArrayVector vtkThresholdTableSetMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaxValue (double v);this SetMaxValue vtkVariant v  */
  if (arg.size() < 2) 
    throw Exception("Function SetMaxValue for class vtkThresholdTable requires 2 argument(s)");
  vtkThresholdTable* vtk_pointer = GetVTKPointer<vtkThresholdTable>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMaxValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkThresholdTable:ThresholdBetween vtkThresholdTableThresholdBetweenFunction
//input a0 a1 a2 
//output none
ArrayVector vtkThresholdTableThresholdBetweenFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ThresholdBetween (double lower, double upper);this ThresholdBetween vtkVariant lower vtkVariant upper  */
  if (arg.size() < 3) 
    throw Exception("Function ThresholdBetween for class vtkThresholdTable requires 3 argument(s)");
  vtkThresholdTable* vtk_pointer = GetVTKPointer<vtkThresholdTable>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->ThresholdBetween(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkThresholdTable:display vtkThresholdTableDisplayFunction
//input varargin
//output varargout
ArrayVector vtkThresholdTableDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkThresholdTable* vtk_pointer = GetVTKPointer<vtkThresholdTable>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkThresholdTable:delete vtkThresholdTableDeleteFunction
//input varargin
//output none
ArrayVector vtkThresholdTableDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkThresholdTable
//@@Section VTKInfovis
//@@Usage
// vtkThresholdTable uses minimum and/or maximum values to threshold
// table rows based on the values in a particular column.
// The column to threshold is specified using SetInputArrayToProcess(0, ...).
//
//To create an instance of class vtkThresholdTable, simply
//invoke its constructor as follows
//@[
//  obj = vtkThresholdTable
//@]
//@@Methods
//The class vtkThresholdTable has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkThresholdTable class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkThresholdTable = obj.NewInstance ()|
// \item @|vtkThresholdTable = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetMode (int )| -  The mode of the threshold filter.  Options are:
// ACCEPT_LESS_THAN (0) accepts rows with values < MaxValue;
// ACCEPT_GREATER_THAN (1) accepts rows with values > MinValue;
// ACCEPT_BETWEEN (2) accepts rows with values > MinValue and < MaxValue;
// ACCEPT_OUTSIDE (3) accepts rows with values < MinValue or > MaxValue.
//// \item @|int = obj.GetModeMinValue ()| -  The mode of the threshold filter.  Options are:
// ACCEPT_LESS_THAN (0) accepts rows with values < MaxValue;
// ACCEPT_GREATER_THAN (1) accepts rows with values > MinValue;
// ACCEPT_BETWEEN (2) accepts rows with values > MinValue and < MaxValue;
// ACCEPT_OUTSIDE (3) accepts rows with values < MinValue or > MaxValue.
//// \item @|int = obj.GetModeMaxValue ()| -  The mode of the threshold filter.  Options are:
// ACCEPT_LESS_THAN (0) accepts rows with values < MaxValue;
// ACCEPT_GREATER_THAN (1) accepts rows with values > MinValue;
// ACCEPT_BETWEEN (2) accepts rows with values > MinValue and < MaxValue;
// ACCEPT_OUTSIDE (3) accepts rows with values < MinValue or > MaxValue.
//// \item @|int = obj.GetMode ()| -  The mode of the threshold filter.  Options are:
// ACCEPT_LESS_THAN (0) accepts rows with values < MaxValue;
// ACCEPT_GREATER_THAN (1) accepts rows with values > MinValue;
// ACCEPT_BETWEEN (2) accepts rows with values > MinValue and < MaxValue;
// ACCEPT_OUTSIDE (3) accepts rows with values < MinValue or > MaxValue.
//// \item @|obj.SetMinValue (double v)| -  The maximum value for the threshold as a double.
//// \item @|obj.SetMaxValue (double v)| -  Criterion is rows whose scalars are between lower and upper thresholds
// (inclusive of the end values).
//// \item @|obj.ThresholdBetween (double lower, double upper)|
//\end{itemize}
//!
