#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTimePointToString object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTimePointToString.h"

//@@Signature
//sfunction @vtkTimePointToString:vtkTimePointToString vtkTimePointToStringConstructorFunction
//input a
//output p
//@@Parents vtkTimePointToString vtkDataObjectAlgorithm 
ArrayVector vtkTimePointToStringConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTimePointToString::New(),"vtkTimePointToString",eval);
  } else if (arg[0].className() == "vtkTimePointToString") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTimePointToString"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTimePointToString");
    vtkTimePointToString*q = reinterpret_cast<vtkTimePointToString*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTimePointToString");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTimePointToString:GetClassName vtkTimePointToStringGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTimePointToStringGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTimePointToString requires 1 argument(s)");
  vtkTimePointToString* vtk_pointer = GetVTKPointer<vtkTimePointToString>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimePointToString:IsA vtkTimePointToStringIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTimePointToStringIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTimePointToString requires 2 argument(s)");
  vtkTimePointToString* vtk_pointer = GetVTKPointer<vtkTimePointToString>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimePointToString:NewInstance vtkTimePointToStringNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTimePointToStringNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTimePointToString *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTimePointToString requires 1 argument(s)");
  vtkTimePointToString* vtk_pointer = GetVTKPointer<vtkTimePointToString>(arg[0]);
  Array retval;
  vtkTimePointToString  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTimePointToString",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTimePointToString:SafeDownCast vtkTimePointToStringSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTimePointToStringSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTimePointToString *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTimePointToString requires 2 argument(s)");
  vtkTimePointToString* vtk_pointer = GetVTKPointer<vtkTimePointToString>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTimePointToString  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTimePointToString",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTimePointToString:SetISO8601Format vtkTimePointToStringSetISO8601FormatFunction
//input a0 a1 
//output none
ArrayVector vtkTimePointToStringSetISO8601FormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetISO8601Format (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetISO8601Format for class vtkTimePointToString requires 2 argument(s)");
  vtkTimePointToString* vtk_pointer = GetVTKPointer<vtkTimePointToString>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetISO8601Format(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTimePointToString:GetISO8601Format vtkTimePointToStringGetISO8601FormatFunction
//input a0 
//output y
ArrayVector vtkTimePointToStringGetISO8601FormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetISO8601Format (); */
  if (arg.size() < 1) 
    throw Exception("Function GetISO8601Format for class vtkTimePointToString requires 1 argument(s)");
  vtkTimePointToString* vtk_pointer = GetVTKPointer<vtkTimePointToString>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetISO8601Format();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimePointToString:SetOutputArrayName vtkTimePointToStringSetOutputArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkTimePointToStringSetOutputArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputArrayName for class vtkTimePointToString requires 2 argument(s)");
  vtkTimePointToString* vtk_pointer = GetVTKPointer<vtkTimePointToString>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetOutputArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTimePointToString:GetOutputArrayName vtkTimePointToStringGetOutputArrayNameFunction
//input a0 
//output y
ArrayVector vtkTimePointToStringGetOutputArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetOutputArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputArrayName for class vtkTimePointToString requires 1 argument(s)");
  vtkTimePointToString* vtk_pointer = GetVTKPointer<vtkTimePointToString>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetOutputArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTimePointToString:display vtkTimePointToStringDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTimePointToStringDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTimePointToString* vtk_pointer = GetVTKPointer<vtkTimePointToString>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTimePointToString:delete vtkTimePointToStringDeleteFunction
//input varargin
//output none
ArrayVector vtkTimePointToStringDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTimePointToString
//@@Section VTKInfovis
//@@Usage
//
// vtkTimePointToString is a filter for converting a timestamp array
// into string array using one of the formats defined in vtkTimePointUtility.h.
//
// Use SetInputArrayToProcess to indicate the array to process.  
// This array must be an unsigned 64-bit integer array for 
// DATETIME formats, and may be either an unsigned 32-bit or 
// unsigned 64-bit array for DATE and TIME formats.
//
// If the new array name is not specified, the array name will be
// the old name appended by " [to string]".
//
//To create an instance of class vtkTimePointToString, simply
//invoke its constructor as follows
//@[
//  obj = vtkTimePointToString
//@]
//@@Methods
//The class vtkTimePointToString has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTimePointToString class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTimePointToString = obj.NewInstance ()|
// \item @|vtkTimePointToString = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetISO8601Format (int )| -  The format to use when converting the timestamp to a string.
//// \item @|int = obj.GetISO8601Format ()| -  The format to use when converting the timestamp to a string.
//// \item @|obj.SetOutputArrayName (string )| -  The name of the output array.
// If this is not specified, the name will be the input array name with
// " [to string]" appended to it.
//// \item @|string = obj.GetOutputArrayName ()| -  The name of the output array.
// If this is not specified, the name will be the input array name with
// " [to string]" appended to it.
////\end{itemize}
//!
