#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTransferAttributes object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTransferAttributes.h"

//@@Signature
//sfunction @vtkTransferAttributes:vtkTransferAttributes vtkTransferAttributesConstructorFunction
//input a
//output p
//@@Parents vtkTransferAttributes vtkPassInputTypeAlgorithm 
ArrayVector vtkTransferAttributesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTransferAttributes::New(),"vtkTransferAttributes",eval);
  } else if (arg[0].className() == "vtkTransferAttributes") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTransferAttributes"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTransferAttributes");
    vtkTransferAttributes*q = reinterpret_cast<vtkTransferAttributes*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTransferAttributes");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTransferAttributes:GetClassName vtkTransferAttributesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTransferAttributesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTransferAttributes requires 1 argument(s)");
  vtkTransferAttributes* vtk_pointer = GetVTKPointer<vtkTransferAttributes>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransferAttributes:IsA vtkTransferAttributesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTransferAttributesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTransferAttributes requires 2 argument(s)");
  vtkTransferAttributes* vtk_pointer = GetVTKPointer<vtkTransferAttributes>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransferAttributes:NewInstance vtkTransferAttributesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTransferAttributesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransferAttributes *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTransferAttributes requires 1 argument(s)");
  vtkTransferAttributes* vtk_pointer = GetVTKPointer<vtkTransferAttributes>(arg[0]);
  Array retval;
  vtkTransferAttributes  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransferAttributes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransferAttributes:SafeDownCast vtkTransferAttributesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTransferAttributesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransferAttributes *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTransferAttributes requires 2 argument(s)");
  vtkTransferAttributes* vtk_pointer = GetVTKPointer<vtkTransferAttributes>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTransferAttributes  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransferAttributes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransferAttributes:SetDirectMapping vtkTransferAttributesSetDirectMappingFunction
//input a0 a1 
//output none
ArrayVector vtkTransferAttributesSetDirectMappingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDirectMapping (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDirectMapping for class vtkTransferAttributes requires 2 argument(s)");
  vtkTransferAttributes* vtk_pointer = GetVTKPointer<vtkTransferAttributes>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetDirectMapping(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransferAttributes:GetDirectMapping vtkTransferAttributesGetDirectMappingFunction
//input a0 
//output y
ArrayVector vtkTransferAttributesGetDirectMappingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetDirectMapping (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDirectMapping for class vtkTransferAttributes requires 1 argument(s)");
  vtkTransferAttributes* vtk_pointer = GetVTKPointer<vtkTransferAttributes>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetDirectMapping();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTransferAttributes:DirectMappingOn vtkTransferAttributesDirectMappingOnFunction
//input a0 
//output none
ArrayVector vtkTransferAttributesDirectMappingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DirectMappingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DirectMappingOn for class vtkTransferAttributes requires 1 argument(s)");
  vtkTransferAttributes* vtk_pointer = GetVTKPointer<vtkTransferAttributes>(arg[0]);
  Array retval;
  vtk_pointer->DirectMappingOn();
  return retval;
}

//@@Signature
//sfunction @vtkTransferAttributes:DirectMappingOff vtkTransferAttributesDirectMappingOffFunction
//input a0 
//output none
ArrayVector vtkTransferAttributesDirectMappingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DirectMappingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DirectMappingOff for class vtkTransferAttributes requires 1 argument(s)");
  vtkTransferAttributes* vtk_pointer = GetVTKPointer<vtkTransferAttributes>(arg[0]);
  Array retval;
  vtk_pointer->DirectMappingOff();
  return retval;
}

//@@Signature
//sfunction @vtkTransferAttributes:GetSourceArrayName vtkTransferAttributesGetSourceArrayNameFunction
//input a0 
//output y
ArrayVector vtkTransferAttributesGetSourceArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetSourceArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSourceArrayName for class vtkTransferAttributes requires 1 argument(s)");
  vtkTransferAttributes* vtk_pointer = GetVTKPointer<vtkTransferAttributes>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetSourceArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransferAttributes:SetSourceArrayName vtkTransferAttributesSetSourceArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkTransferAttributesSetSourceArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSourceArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSourceArrayName for class vtkTransferAttributes requires 2 argument(s)");
  vtkTransferAttributes* vtk_pointer = GetVTKPointer<vtkTransferAttributes>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetSourceArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransferAttributes:GetTargetArrayName vtkTransferAttributesGetTargetArrayNameFunction
//input a0 
//output y
ArrayVector vtkTransferAttributesGetTargetArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetTargetArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTargetArrayName for class vtkTransferAttributes requires 1 argument(s)");
  vtkTransferAttributes* vtk_pointer = GetVTKPointer<vtkTransferAttributes>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetTargetArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransferAttributes:SetTargetArrayName vtkTransferAttributesSetTargetArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkTransferAttributesSetTargetArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTargetArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTargetArrayName for class vtkTransferAttributes requires 2 argument(s)");
  vtkTransferAttributes* vtk_pointer = GetVTKPointer<vtkTransferAttributes>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetTargetArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransferAttributes:GetSourceFieldType vtkTransferAttributesGetSourceFieldTypeFunction
//input a0 
//output y
ArrayVector vtkTransferAttributesGetSourceFieldTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSourceFieldType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSourceFieldType for class vtkTransferAttributes requires 1 argument(s)");
  vtkTransferAttributes* vtk_pointer = GetVTKPointer<vtkTransferAttributes>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSourceFieldType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransferAttributes:SetSourceFieldType vtkTransferAttributesSetSourceFieldTypeFunction
//input a0 a1 
//output none
ArrayVector vtkTransferAttributesSetSourceFieldTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSourceFieldType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSourceFieldType for class vtkTransferAttributes requires 2 argument(s)");
  vtkTransferAttributes* vtk_pointer = GetVTKPointer<vtkTransferAttributes>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSourceFieldType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransferAttributes:GetTargetFieldType vtkTransferAttributesGetTargetFieldTypeFunction
//input a0 
//output y
ArrayVector vtkTransferAttributesGetTargetFieldTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTargetFieldType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTargetFieldType for class vtkTransferAttributes requires 1 argument(s)");
  vtkTransferAttributes* vtk_pointer = GetVTKPointer<vtkTransferAttributes>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTargetFieldType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransferAttributes:SetTargetFieldType vtkTransferAttributesSetTargetFieldTypeFunction
//input a0 a1 
//output none
ArrayVector vtkTransferAttributesSetTargetFieldTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTargetFieldType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTargetFieldType for class vtkTransferAttributes requires 2 argument(s)");
  vtkTransferAttributes* vtk_pointer = GetVTKPointer<vtkTransferAttributes>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTargetFieldType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTransferAttributes:FillInputPortInformation vtkTransferAttributesFillInputPortInformationFunction
//input a0 a1 a2 
//output y
ArrayVector vtkTransferAttributesFillInputPortInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int FillInputPortInformation (int port, vtkInformation *info); */
  if (arg.size() < 3) 
    throw Exception("Function FillInputPortInformation for class vtkTransferAttributes requires 3 argument(s)");
  vtkTransferAttributes* vtk_pointer = GetVTKPointer<vtkTransferAttributes>(arg[0]);
  Array retval;
  int      temp0;
  vtkInformation  *temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  temp20 = (vtk_pointer)->FillInputPortInformation(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransferAttributes:display vtkTransferAttributesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTransferAttributesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTransferAttributes* vtk_pointer = GetVTKPointer<vtkTransferAttributes>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTransferAttributes:delete vtkTransferAttributesDeleteFunction
//input varargin
//output none
ArrayVector vtkTransferAttributesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTransferAttributes
//@@Section VTKInfovis
//@@Usage
// The filter requires
// both a vtkGraph and vtkTree as input.  The tree vertices must be a
// superset of the graph vertices.  A common example is when the graph vertices
// correspond to the leaves of the tree, but the internal vertices of the tree
// represent groupings of graph vertices.  The algorithm matches the vertices
// using the array "PedigreeId".  The user may alternately set the
// DirectMapping flag to indicate that the two structures must have directly
// corresponding offsets (i.e. node i in the graph must correspond to node i in
// the tree).
//
// .SECTION Thanks
//
//To create an instance of class vtkTransferAttributes, simply
//invoke its constructor as follows
//@[
//  obj = vtkTransferAttributes
//@]
//@@Methods
//The class vtkTransferAttributes has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTransferAttributes class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTransferAttributes = obj.NewInstance ()|
// \item @|vtkTransferAttributes = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetDirectMapping (bool )| -  If on, uses direct mapping from tree to graph vertices.
// If off, both the graph and tree must contain PedigreeId arrays
// which are used to match graph and tree vertices.
// Default is off.
//// \item @|bool = obj.GetDirectMapping ()| -  If on, uses direct mapping from tree to graph vertices.
// If off, both the graph and tree must contain PedigreeId arrays
// which are used to match graph and tree vertices.
// Default is off.
//// \item @|obj.DirectMappingOn ()| -  If on, uses direct mapping from tree to graph vertices.
// If off, both the graph and tree must contain PedigreeId arrays
// which are used to match graph and tree vertices.
// Default is off.
//// \item @|obj.DirectMappingOff ()| -  If on, uses direct mapping from tree to graph vertices.
// If off, both the graph and tree must contain PedigreeId arrays
// which are used to match graph and tree vertices.
// Default is off.
//// \item @|string = obj.GetSourceArrayName ()| -  The field name to use for storing the source array.
//// \item @|obj.SetSourceArrayName (string )| -  The field name to use for storing the source array.
//// \item @|string = obj.GetTargetArrayName ()| -  The field name to use for storing the source array.
//// \item @|obj.SetTargetArrayName (string )| -  The field name to use for storing the source array.
//// \item @|int = obj.GetSourceFieldType ()| -  The source field type for accessing the source array. Valid values are
// those from enum vtkDataObject::FieldAssociations.
//// \item @|obj.SetSourceFieldType (int )| -  The source field type for accessing the source array. Valid values are
// those from enum vtkDataObject::FieldAssociations.
//// \item @|int = obj.GetTargetFieldType ()| -  The target field type for accessing the target array. Valid values are
// those from enum vtkDataObject::FieldAssociations.
//// \item @|obj.SetTargetFieldType (int )| -  The target field type for accessing the target array. Valid values are
// those from enum vtkDataObject::FieldAssociations.
//// \item @|int = obj.FillInputPortInformation (int port, vtkInformation info)| -  Set the input type of the algorithm to vtkGraph.
////\end{itemize}
//!
