#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTransposeMatrix object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTransposeMatrix.h"

//@@Signature
//sfunction @vtkTransposeMatrix:vtkTransposeMatrix vtkTransposeMatrixConstructorFunction
//input a
//output p
//@@Parents vtkTransposeMatrix vtkArrayDataAlgorithm 
ArrayVector vtkTransposeMatrixConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTransposeMatrix::New(),"vtkTransposeMatrix",eval);
  } else if (arg[0].className() == "vtkTransposeMatrix") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTransposeMatrix"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTransposeMatrix");
    vtkTransposeMatrix*q = reinterpret_cast<vtkTransposeMatrix*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTransposeMatrix");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTransposeMatrix:GetClassName vtkTransposeMatrixGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTransposeMatrixGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTransposeMatrix requires 1 argument(s)");
  vtkTransposeMatrix* vtk_pointer = GetVTKPointer<vtkTransposeMatrix>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransposeMatrix:IsA vtkTransposeMatrixIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTransposeMatrixIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTransposeMatrix requires 2 argument(s)");
  vtkTransposeMatrix* vtk_pointer = GetVTKPointer<vtkTransposeMatrix>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTransposeMatrix:NewInstance vtkTransposeMatrixNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTransposeMatrixNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransposeMatrix *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTransposeMatrix requires 1 argument(s)");
  vtkTransposeMatrix* vtk_pointer = GetVTKPointer<vtkTransposeMatrix>(arg[0]);
  Array retval;
  vtkTransposeMatrix  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransposeMatrix",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransposeMatrix:SafeDownCast vtkTransposeMatrixSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTransposeMatrixSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransposeMatrix *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTransposeMatrix requires 2 argument(s)");
  vtkTransposeMatrix* vtk_pointer = GetVTKPointer<vtkTransposeMatrix>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTransposeMatrix  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransposeMatrix",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTransposeMatrix:display vtkTransposeMatrixDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTransposeMatrixDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTransposeMatrix* vtk_pointer = GetVTKPointer<vtkTransposeMatrix>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTransposeMatrix:delete vtkTransposeMatrixDeleteFunction
//input varargin
//output none
ArrayVector vtkTransposeMatrixDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
