#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTreeFieldAggregator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTreeFieldAggregator.h"

//@@Signature
//sfunction @vtkTreeFieldAggregator:vtkTreeFieldAggregator vtkTreeFieldAggregatorConstructorFunction
//input a
//output p
//@@Parents vtkTreeFieldAggregator vtkTreeAlgorithm 
ArrayVector vtkTreeFieldAggregatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTreeFieldAggregator::New(),"vtkTreeFieldAggregator",eval);
  } else if (arg[0].className() == "vtkTreeFieldAggregator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTreeFieldAggregator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTreeFieldAggregator");
    vtkTreeFieldAggregator*q = reinterpret_cast<vtkTreeFieldAggregator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTreeFieldAggregator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTreeFieldAggregator:GetClassName vtkTreeFieldAggregatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTreeFieldAggregatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTreeFieldAggregator requires 1 argument(s)");
  vtkTreeFieldAggregator* vtk_pointer = GetVTKPointer<vtkTreeFieldAggregator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeFieldAggregator:IsA vtkTreeFieldAggregatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTreeFieldAggregatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTreeFieldAggregator requires 2 argument(s)");
  vtkTreeFieldAggregator* vtk_pointer = GetVTKPointer<vtkTreeFieldAggregator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeFieldAggregator:NewInstance vtkTreeFieldAggregatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTreeFieldAggregatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTreeFieldAggregator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTreeFieldAggregator requires 1 argument(s)");
  vtkTreeFieldAggregator* vtk_pointer = GetVTKPointer<vtkTreeFieldAggregator>(arg[0]);
  Array retval;
  vtkTreeFieldAggregator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTreeFieldAggregator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeFieldAggregator:SafeDownCast vtkTreeFieldAggregatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTreeFieldAggregatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTreeFieldAggregator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTreeFieldAggregator requires 2 argument(s)");
  vtkTreeFieldAggregator* vtk_pointer = GetVTKPointer<vtkTreeFieldAggregator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTreeFieldAggregator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTreeFieldAggregator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeFieldAggregator:GetField vtkTreeFieldAggregatorGetFieldFunction
//input a0 
//output y
ArrayVector vtkTreeFieldAggregatorGetFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetField (); */
  if (arg.size() < 1) 
    throw Exception("Function GetField for class vtkTreeFieldAggregator requires 1 argument(s)");
  vtkTreeFieldAggregator* vtk_pointer = GetVTKPointer<vtkTreeFieldAggregator>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetField();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeFieldAggregator:SetField vtkTreeFieldAggregatorSetFieldFunction
//input a0 a1 
//output none
ArrayVector vtkTreeFieldAggregatorSetFieldFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetField (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetField for class vtkTreeFieldAggregator requires 2 argument(s)");
  vtkTreeFieldAggregator* vtk_pointer = GetVTKPointer<vtkTreeFieldAggregator>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetField(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeFieldAggregator:GetMinValue vtkTreeFieldAggregatorGetMinValueFunction
//input a0 
//output y
ArrayVector vtkTreeFieldAggregatorGetMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinValue for class vtkTreeFieldAggregator requires 1 argument(s)");
  vtkTreeFieldAggregator* vtk_pointer = GetVTKPointer<vtkTreeFieldAggregator>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeFieldAggregator:SetMinValue vtkTreeFieldAggregatorSetMinValueFunction
//input a0 a1 
//output none
ArrayVector vtkTreeFieldAggregatorSetMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMinValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMinValue for class vtkTreeFieldAggregator requires 2 argument(s)");
  vtkTreeFieldAggregator* vtk_pointer = GetVTKPointer<vtkTreeFieldAggregator>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetMinValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeFieldAggregator:SetLeafVertexUnitSize vtkTreeFieldAggregatorSetLeafVertexUnitSizeFunction
//input a0 a1 
//output none
ArrayVector vtkTreeFieldAggregatorSetLeafVertexUnitSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLeafVertexUnitSize (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLeafVertexUnitSize for class vtkTreeFieldAggregator requires 2 argument(s)");
  vtkTreeFieldAggregator* vtk_pointer = GetVTKPointer<vtkTreeFieldAggregator>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetLeafVertexUnitSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeFieldAggregator:GetLeafVertexUnitSize vtkTreeFieldAggregatorGetLeafVertexUnitSizeFunction
//input a0 
//output y
ArrayVector vtkTreeFieldAggregatorGetLeafVertexUnitSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetLeafVertexUnitSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeafVertexUnitSize for class vtkTreeFieldAggregator requires 1 argument(s)");
  vtkTreeFieldAggregator* vtk_pointer = GetVTKPointer<vtkTreeFieldAggregator>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetLeafVertexUnitSize();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTreeFieldAggregator:LeafVertexUnitSizeOn vtkTreeFieldAggregatorLeafVertexUnitSizeOnFunction
//input a0 
//output none
ArrayVector vtkTreeFieldAggregatorLeafVertexUnitSizeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LeafVertexUnitSizeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function LeafVertexUnitSizeOn for class vtkTreeFieldAggregator requires 1 argument(s)");
  vtkTreeFieldAggregator* vtk_pointer = GetVTKPointer<vtkTreeFieldAggregator>(arg[0]);
  Array retval;
  vtk_pointer->LeafVertexUnitSizeOn();
  return retval;
}

//@@Signature
//sfunction @vtkTreeFieldAggregator:LeafVertexUnitSizeOff vtkTreeFieldAggregatorLeafVertexUnitSizeOffFunction
//input a0 
//output none
ArrayVector vtkTreeFieldAggregatorLeafVertexUnitSizeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LeafVertexUnitSizeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function LeafVertexUnitSizeOff for class vtkTreeFieldAggregator requires 1 argument(s)");
  vtkTreeFieldAggregator* vtk_pointer = GetVTKPointer<vtkTreeFieldAggregator>(arg[0]);
  Array retval;
  vtk_pointer->LeafVertexUnitSizeOff();
  return retval;
}

//@@Signature
//sfunction @vtkTreeFieldAggregator:SetLogScale vtkTreeFieldAggregatorSetLogScaleFunction
//input a0 a1 
//output none
ArrayVector vtkTreeFieldAggregatorSetLogScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLogScale (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLogScale for class vtkTreeFieldAggregator requires 2 argument(s)");
  vtkTreeFieldAggregator* vtk_pointer = GetVTKPointer<vtkTreeFieldAggregator>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetLogScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeFieldAggregator:GetLogScale vtkTreeFieldAggregatorGetLogScaleFunction
//input a0 
//output y
ArrayVector vtkTreeFieldAggregatorGetLogScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetLogScale (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLogScale for class vtkTreeFieldAggregator requires 1 argument(s)");
  vtkTreeFieldAggregator* vtk_pointer = GetVTKPointer<vtkTreeFieldAggregator>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetLogScale();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTreeFieldAggregator:LogScaleOn vtkTreeFieldAggregatorLogScaleOnFunction
//input a0 
//output none
ArrayVector vtkTreeFieldAggregatorLogScaleOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LogScaleOn (); */
  if (arg.size() < 1) 
    throw Exception("Function LogScaleOn for class vtkTreeFieldAggregator requires 1 argument(s)");
  vtkTreeFieldAggregator* vtk_pointer = GetVTKPointer<vtkTreeFieldAggregator>(arg[0]);
  Array retval;
  vtk_pointer->LogScaleOn();
  return retval;
}

//@@Signature
//sfunction @vtkTreeFieldAggregator:LogScaleOff vtkTreeFieldAggregatorLogScaleOffFunction
//input a0 
//output none
ArrayVector vtkTreeFieldAggregatorLogScaleOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void LogScaleOff (); */
  if (arg.size() < 1) 
    throw Exception("Function LogScaleOff for class vtkTreeFieldAggregator requires 1 argument(s)");
  vtkTreeFieldAggregator* vtk_pointer = GetVTKPointer<vtkTreeFieldAggregator>(arg[0]);
  Array retval;
  vtk_pointer->LogScaleOff();
  return retval;
}

//@@Signature
//sfunction @vtkTreeFieldAggregator:display vtkTreeFieldAggregatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTreeFieldAggregatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTreeFieldAggregator* vtk_pointer = GetVTKPointer<vtkTreeFieldAggregator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTreeFieldAggregator:delete vtkTreeFieldAggregatorDeleteFunction
//input varargin
//output none
ArrayVector vtkTreeFieldAggregatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTreeFieldAggregator
//@@Section VTKInfovis
//@@Usage
// vtkTreeFieldAggregator may be used to assign sizes to all the vertices in the
// tree, based on the sizes of the leaves.  The size of a vertex will equal
// the sum of the sizes of the child vertices.  If you have a data array with
// values for all leaves, you may specify that array, and the values will
// be filled in for interior tree vertices.  If you do not yet have an array,
// you may tell the filter to create a new array, assuming that the size
// of each leaf vertex is 1.  You may optionally set a flag to first take the
// log of all leaf values before aggregating.
//
//To create an instance of class vtkTreeFieldAggregator, simply
//invoke its constructor as follows
//@[
//  obj = vtkTreeFieldAggregator
//@]
//@@Methods
//The class vtkTreeFieldAggregator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTreeFieldAggregator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTreeFieldAggregator = obj.NewInstance ()|
// \item @|vtkTreeFieldAggregator = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetField ()| -  The field to aggregate.  If this is a string array, the entries are converted to double.
// TODO: Remove this field and use the ArrayToProcess in vtkAlgorithm.
//// \item @|obj.SetField (string )| -  The field to aggregate.  If this is a string array, the entries are converted to double.
// TODO: Remove this field and use the ArrayToProcess in vtkAlgorithm.
//// \item @|double = obj.GetMinValue ()| -  If the value of the vertex is less than MinValue then consider it's value to be minVal.
//// \item @|obj.SetMinValue (double )| -  If the value of the vertex is less than MinValue then consider it's value to be minVal.
//// \item @|obj.SetLeafVertexUnitSize (bool )| -  If set, the algorithm will assume a size of 1 for each leaf vertex.
//// \item @|bool = obj.GetLeafVertexUnitSize ()| -  If set, the algorithm will assume a size of 1 for each leaf vertex.
//// \item @|obj.LeafVertexUnitSizeOn ()| -  If set, the algorithm will assume a size of 1 for each leaf vertex.
//// \item @|obj.LeafVertexUnitSizeOff ()| -  If set, the algorithm will assume a size of 1 for each leaf vertex.
//// \item @|obj.SetLogScale (bool )| -  If set, the leaf values in the tree will be logarithmically scaled (base 10).
//// \item @|bool = obj.GetLogScale ()| -  If set, the leaf values in the tree will be logarithmically scaled (base 10).
//// \item @|obj.LogScaleOn ()| -  If set, the leaf values in the tree will be logarithmically scaled (base 10).
//// \item @|obj.LogScaleOff ()| -  If set, the leaf values in the tree will be logarithmically scaled (base 10).
////\end{itemize}
//!
