#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTreeLayoutStrategy object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTreeLayoutStrategy.h"

//@@Signature
//sfunction @vtkTreeLayoutStrategy:vtkTreeLayoutStrategy vtkTreeLayoutStrategyConstructorFunction
//input a
//output p
//@@Parents vtkTreeLayoutStrategy vtkGraphLayoutStrategy 
ArrayVector vtkTreeLayoutStrategyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTreeLayoutStrategy::New(),"vtkTreeLayoutStrategy",eval);
  } else if (arg[0].className() == "vtkTreeLayoutStrategy") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTreeLayoutStrategy"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTreeLayoutStrategy");
    vtkTreeLayoutStrategy*q = reinterpret_cast<vtkTreeLayoutStrategy*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTreeLayoutStrategy");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTreeLayoutStrategy:GetClassName vtkTreeLayoutStrategyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTreeLayoutStrategyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTreeLayoutStrategy requires 1 argument(s)");
  vtkTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeLayoutStrategy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeLayoutStrategy:IsA vtkTreeLayoutStrategyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTreeLayoutStrategyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTreeLayoutStrategy requires 2 argument(s)");
  vtkTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeLayoutStrategy:NewInstance vtkTreeLayoutStrategyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTreeLayoutStrategyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTreeLayoutStrategy *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTreeLayoutStrategy requires 1 argument(s)");
  vtkTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeLayoutStrategy>(arg[0]);
  Array retval;
  vtkTreeLayoutStrategy  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTreeLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeLayoutStrategy:SafeDownCast vtkTreeLayoutStrategySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTreeLayoutStrategySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTreeLayoutStrategy *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTreeLayoutStrategy requires 2 argument(s)");
  vtkTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeLayoutStrategy>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTreeLayoutStrategy  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTreeLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeLayoutStrategy:Layout vtkTreeLayoutStrategyLayoutFunction
//input a0 
//output none
ArrayVector vtkTreeLayoutStrategyLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Layout (); */
  if (arg.size() < 1) 
    throw Exception("Function Layout for class vtkTreeLayoutStrategy requires 1 argument(s)");
  vtkTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->Layout();
  return retval;
}

//@@Signature
//sfunction @vtkTreeLayoutStrategy:SetAngle vtkTreeLayoutStrategySetAngleFunction
//input a0 a1 
//output none
ArrayVector vtkTreeLayoutStrategySetAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAngle (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAngle for class vtkTreeLayoutStrategy requires 2 argument(s)");
  vtkTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeLayoutStrategy>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetAngle(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeLayoutStrategy:GetAngleMinValue vtkTreeLayoutStrategyGetAngleMinValueFunction
//input a0 
//output y
ArrayVector vtkTreeLayoutStrategyGetAngleMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAngleMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAngleMinValue for class vtkTreeLayoutStrategy requires 1 argument(s)");
  vtkTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeLayoutStrategy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAngleMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeLayoutStrategy:GetAngleMaxValue vtkTreeLayoutStrategyGetAngleMaxValueFunction
//input a0 
//output y
ArrayVector vtkTreeLayoutStrategyGetAngleMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAngleMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAngleMaxValue for class vtkTreeLayoutStrategy requires 1 argument(s)");
  vtkTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeLayoutStrategy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAngleMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeLayoutStrategy:GetAngle vtkTreeLayoutStrategyGetAngleFunction
//input a0 
//output y
ArrayVector vtkTreeLayoutStrategyGetAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAngle for class vtkTreeLayoutStrategy requires 1 argument(s)");
  vtkTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeLayoutStrategy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetAngle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeLayoutStrategy:SetRadial vtkTreeLayoutStrategySetRadialFunction
//input a0 a1 
//output none
ArrayVector vtkTreeLayoutStrategySetRadialFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRadial (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRadial for class vtkTreeLayoutStrategy requires 2 argument(s)");
  vtkTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeLayoutStrategy>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetRadial(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeLayoutStrategy:GetRadial vtkTreeLayoutStrategyGetRadialFunction
//input a0 
//output y
ArrayVector vtkTreeLayoutStrategyGetRadialFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetRadial (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRadial for class vtkTreeLayoutStrategy requires 1 argument(s)");
  vtkTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeLayoutStrategy>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetRadial();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTreeLayoutStrategy:RadialOn vtkTreeLayoutStrategyRadialOnFunction
//input a0 
//output none
ArrayVector vtkTreeLayoutStrategyRadialOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RadialOn (); */
  if (arg.size() < 1) 
    throw Exception("Function RadialOn for class vtkTreeLayoutStrategy requires 1 argument(s)");
  vtkTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->RadialOn();
  return retval;
}

//@@Signature
//sfunction @vtkTreeLayoutStrategy:RadialOff vtkTreeLayoutStrategyRadialOffFunction
//input a0 
//output none
ArrayVector vtkTreeLayoutStrategyRadialOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RadialOff (); */
  if (arg.size() < 1) 
    throw Exception("Function RadialOff for class vtkTreeLayoutStrategy requires 1 argument(s)");
  vtkTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->RadialOff();
  return retval;
}

//@@Signature
//sfunction @vtkTreeLayoutStrategy:SetLogSpacingValue vtkTreeLayoutStrategySetLogSpacingValueFunction
//input a0 a1 
//output none
ArrayVector vtkTreeLayoutStrategySetLogSpacingValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLogSpacingValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLogSpacingValue for class vtkTreeLayoutStrategy requires 2 argument(s)");
  vtkTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeLayoutStrategy>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLogSpacingValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeLayoutStrategy:GetLogSpacingValue vtkTreeLayoutStrategyGetLogSpacingValueFunction
//input a0 
//output y
ArrayVector vtkTreeLayoutStrategyGetLogSpacingValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLogSpacingValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLogSpacingValue for class vtkTreeLayoutStrategy requires 1 argument(s)");
  vtkTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeLayoutStrategy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLogSpacingValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeLayoutStrategy:SetLeafSpacing vtkTreeLayoutStrategySetLeafSpacingFunction
//input a0 a1 
//output none
ArrayVector vtkTreeLayoutStrategySetLeafSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLeafSpacing (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLeafSpacing for class vtkTreeLayoutStrategy requires 2 argument(s)");
  vtkTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeLayoutStrategy>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLeafSpacing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeLayoutStrategy:GetLeafSpacingMinValue vtkTreeLayoutStrategyGetLeafSpacingMinValueFunction
//input a0 
//output y
ArrayVector vtkTreeLayoutStrategyGetLeafSpacingMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLeafSpacingMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeafSpacingMinValue for class vtkTreeLayoutStrategy requires 1 argument(s)");
  vtkTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeLayoutStrategy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLeafSpacingMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeLayoutStrategy:GetLeafSpacingMaxValue vtkTreeLayoutStrategyGetLeafSpacingMaxValueFunction
//input a0 
//output y
ArrayVector vtkTreeLayoutStrategyGetLeafSpacingMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLeafSpacingMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeafSpacingMaxValue for class vtkTreeLayoutStrategy requires 1 argument(s)");
  vtkTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeLayoutStrategy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLeafSpacingMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeLayoutStrategy:GetLeafSpacing vtkTreeLayoutStrategyGetLeafSpacingFunction
//input a0 
//output y
ArrayVector vtkTreeLayoutStrategyGetLeafSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLeafSpacing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeafSpacing for class vtkTreeLayoutStrategy requires 1 argument(s)");
  vtkTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeLayoutStrategy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLeafSpacing();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeLayoutStrategy:SetDistanceArrayName vtkTreeLayoutStrategySetDistanceArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkTreeLayoutStrategySetDistanceArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDistanceArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetDistanceArrayName for class vtkTreeLayoutStrategy requires 2 argument(s)");
  vtkTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetDistanceArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeLayoutStrategy:GetDistanceArrayName vtkTreeLayoutStrategyGetDistanceArrayNameFunction
//input a0 
//output y
ArrayVector vtkTreeLayoutStrategyGetDistanceArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetDistanceArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDistanceArrayName for class vtkTreeLayoutStrategy requires 1 argument(s)");
  vtkTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetDistanceArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeLayoutStrategy:display vtkTreeLayoutStrategyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTreeLayoutStrategyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTreeLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeLayoutStrategy>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTreeLayoutStrategy:delete vtkTreeLayoutStrategyDeleteFunction
//input varargin
//output none
ArrayVector vtkTreeLayoutStrategyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTreeLayoutStrategy
//@@Section VTKInfovis
//@@Usage
// Assigns points to the nodes of a tree in either a standard or radial layout.
// The standard layout places each level on a horizontal line, while the
// radial layout places each level on a concentric circle.
// You may specify the sweep angle of the tree which constrains the tree
// to be contained within a wedge. Also, you may indicate the log scale of
// the tree, which diminishes the length of arcs at lower levels of the tree.
// Values near zero give a large proportion of the space to the tree levels
// near the root, while values near one give nearly equal proportions of space
// to all tree levels.
//
// The user may also specify an array to use to indicate the distance from the
// root, either vertically (for standard layout) or radially
// (for radial layout).  You specify this with SetDistanceArrayName().
//
//To create an instance of class vtkTreeLayoutStrategy, simply
//invoke its constructor as follows
//@[
//  obj = vtkTreeLayoutStrategy
//@]
//@@Methods
//The class vtkTreeLayoutStrategy has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTreeLayoutStrategy class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTreeLayoutStrategy = obj.NewInstance ()|
// \item @|vtkTreeLayoutStrategy = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Layout ()| -  Perform the tree layout.
//// \item @|obj.SetAngle (double )| -  The sweep angle of the tree.
// For a standard tree layout, this should be between 0 and 180.
// For a radial tree layout, this can be between 0 and 360.
//// \item @|double = obj.GetAngleMinValue ()| -  The sweep angle of the tree.
// For a standard tree layout, this should be between 0 and 180.
// For a radial tree layout, this can be between 0 and 360.
//// \item @|double = obj.GetAngleMaxValue ()| -  The sweep angle of the tree.
// For a standard tree layout, this should be between 0 and 180.
// For a radial tree layout, this can be between 0 and 360.
//// \item @|double = obj.GetAngle ()| -  The sweep angle of the tree.
// For a standard tree layout, this should be between 0 and 180.
// For a radial tree layout, this can be between 0 and 360.
//// \item @|obj.SetRadial (bool )| -  If set, the tree is laid out with levels on concentric circles 
// around the root. If unset (default), the tree is laid out with 
// levels on horizontal lines.
//// \item @|bool = obj.GetRadial ()| -  If set, the tree is laid out with levels on concentric circles 
// around the root. If unset (default), the tree is laid out with 
// levels on horizontal lines.
//// \item @|obj.RadialOn ()| -  If set, the tree is laid out with levels on concentric circles 
// around the root. If unset (default), the tree is laid out with 
// levels on horizontal lines.
//// \item @|obj.RadialOff ()| -  If set, the tree is laid out with levels on concentric circles 
// around the root. If unset (default), the tree is laid out with 
// levels on horizontal lines.
//// \item @|obj.SetLogSpacingValue (double )| -  The spacing of tree levels. Levels near zero give more space
// to levels near the root, while levels near one (the default)
// create evenly-spaced levels. Levels above one give more space
// to levels near the leaves.
//// \item @|double = obj.GetLogSpacingValue ()| -  The spacing of tree levels. Levels near zero give more space
// to levels near the root, while levels near one (the default)
// create evenly-spaced levels. Levels above one give more space
// to levels near the leaves.
//// \item @|obj.SetLeafSpacing (double )| -  The spacing of leaves.  Levels near one evenly space leaves
// with no gaps between subtrees.  Levels near zero creates
// large gaps between subtrees.
//// \item @|double = obj.GetLeafSpacingMinValue ()| -  The spacing of leaves.  Levels near one evenly space leaves
// with no gaps between subtrees.  Levels near zero creates
// large gaps between subtrees.
//// \item @|double = obj.GetLeafSpacingMaxValue ()| -  The spacing of leaves.  Levels near one evenly space leaves
// with no gaps between subtrees.  Levels near zero creates
// large gaps between subtrees.
//// \item @|double = obj.GetLeafSpacing ()| -  The spacing of leaves.  Levels near one evenly space leaves
// with no gaps between subtrees.  Levels near zero creates
// large gaps between subtrees.
//// \item @|obj.SetDistanceArrayName (string )| -  Get/Set the array to use to determine the distance from the
// root.
//// \item @|string = obj.GetDistanceArrayName ()| -  Get/Set the array to use to determine the distance from the
// root.
////\end{itemize}
//!
