#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTreeLevelsFilter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTreeLevelsFilter.h"

//@@Signature
//sfunction @vtkTreeLevelsFilter:vtkTreeLevelsFilter vtkTreeLevelsFilterConstructorFunction
//input a
//output p
//@@Parents vtkTreeLevelsFilter vtkTreeAlgorithm 
ArrayVector vtkTreeLevelsFilterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTreeLevelsFilter::New(),"vtkTreeLevelsFilter",eval);
  } else if (arg[0].className() == "vtkTreeLevelsFilter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTreeLevelsFilter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTreeLevelsFilter");
    vtkTreeLevelsFilter*q = reinterpret_cast<vtkTreeLevelsFilter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTreeLevelsFilter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTreeLevelsFilter:GetClassName vtkTreeLevelsFilterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTreeLevelsFilterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTreeLevelsFilter requires 1 argument(s)");
  vtkTreeLevelsFilter* vtk_pointer = GetVTKPointer<vtkTreeLevelsFilter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeLevelsFilter:IsA vtkTreeLevelsFilterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTreeLevelsFilterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTreeLevelsFilter requires 2 argument(s)");
  vtkTreeLevelsFilter* vtk_pointer = GetVTKPointer<vtkTreeLevelsFilter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeLevelsFilter:NewInstance vtkTreeLevelsFilterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTreeLevelsFilterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTreeLevelsFilter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTreeLevelsFilter requires 1 argument(s)");
  vtkTreeLevelsFilter* vtk_pointer = GetVTKPointer<vtkTreeLevelsFilter>(arg[0]);
  Array retval;
  vtkTreeLevelsFilter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTreeLevelsFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeLevelsFilter:SafeDownCast vtkTreeLevelsFilterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTreeLevelsFilterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTreeLevelsFilter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTreeLevelsFilter requires 2 argument(s)");
  vtkTreeLevelsFilter* vtk_pointer = GetVTKPointer<vtkTreeLevelsFilter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTreeLevelsFilter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTreeLevelsFilter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeLevelsFilter:display vtkTreeLevelsFilterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTreeLevelsFilterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTreeLevelsFilter* vtk_pointer = GetVTKPointer<vtkTreeLevelsFilter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTreeLevelsFilter:delete vtkTreeLevelsFilterDeleteFunction
//input varargin
//output none
ArrayVector vtkTreeLevelsFilterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTreeLevelsFilter
//@@Section VTKInfovis
//@@Usage
// The filter currently add two arrays to the incoming vtkTree datastructure.
// 1) "levels" this is the distance from the root of the vertex. Root = 0
// and you add 1 for each level down from the root
// 2) "leaf" this array simply indicates whether the vertex is a leaf or not
//
// .SECTION Thanks
// Thanks to Brian Wylie from Sandia National Laboratories for creating this
// class.
//
//To create an instance of class vtkTreeLevelsFilter, simply
//invoke its constructor as follows
//@[
//  obj = vtkTreeLevelsFilter
//@]
//@@Methods
//The class vtkTreeLevelsFilter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTreeLevelsFilter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTreeLevelsFilter = obj.NewInstance ()|
// \item @|vtkTreeLevelsFilter = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
