#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTreeMapLayout object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTreeMapLayout.h"

//@@Signature
//sfunction @vtkTreeMapLayout:vtkTreeMapLayout vtkTreeMapLayoutConstructorFunction
//input a
//output p
//@@Parents vtkTreeMapLayout vtkTreeAlgorithm 
ArrayVector vtkTreeMapLayoutConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTreeMapLayout::New(),"vtkTreeMapLayout",eval);
  } else if (arg[0].className() == "vtkTreeMapLayout") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTreeMapLayout"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTreeMapLayout");
    vtkTreeMapLayout*q = reinterpret_cast<vtkTreeMapLayout*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTreeMapLayout");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTreeMapLayout:GetClassName vtkTreeMapLayoutGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTreeMapLayoutGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTreeMapLayout requires 1 argument(s)");
  vtkTreeMapLayout* vtk_pointer = GetVTKPointer<vtkTreeMapLayout>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapLayout:IsA vtkTreeMapLayoutIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTreeMapLayoutIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTreeMapLayout requires 2 argument(s)");
  vtkTreeMapLayout* vtk_pointer = GetVTKPointer<vtkTreeMapLayout>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapLayout:NewInstance vtkTreeMapLayoutNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTreeMapLayoutNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTreeMapLayout *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTreeMapLayout requires 1 argument(s)");
  vtkTreeMapLayout* vtk_pointer = GetVTKPointer<vtkTreeMapLayout>(arg[0]);
  Array retval;
  vtkTreeMapLayout  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTreeMapLayout",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapLayout:SafeDownCast vtkTreeMapLayoutSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTreeMapLayoutSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTreeMapLayout *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTreeMapLayout requires 2 argument(s)");
  vtkTreeMapLayout* vtk_pointer = GetVTKPointer<vtkTreeMapLayout>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTreeMapLayout  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTreeMapLayout",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapLayout:GetRectanglesFieldName vtkTreeMapLayoutGetRectanglesFieldNameFunction
//input a0 
//output y
ArrayVector vtkTreeMapLayoutGetRectanglesFieldNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetRectanglesFieldName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRectanglesFieldName for class vtkTreeMapLayout requires 1 argument(s)");
  vtkTreeMapLayout* vtk_pointer = GetVTKPointer<vtkTreeMapLayout>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetRectanglesFieldName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapLayout:SetRectanglesFieldName vtkTreeMapLayoutSetRectanglesFieldNameFunction
//input a0 a1 
//output none
ArrayVector vtkTreeMapLayoutSetRectanglesFieldNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRectanglesFieldName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetRectanglesFieldName for class vtkTreeMapLayout requires 2 argument(s)");
  vtkTreeMapLayout* vtk_pointer = GetVTKPointer<vtkTreeMapLayout>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetRectanglesFieldName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapLayout:SetSizeArrayName vtkTreeMapLayoutSetSizeArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkTreeMapLayoutSetSizeArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSizeArrayName (const char *name);this SetInputArrayToProcess vtkDataObject FIELD_ASSOCIATION_VERTICES name  */
  if (arg.size() < 2) 
    throw Exception("Function SetSizeArrayName for class vtkTreeMapLayout requires 2 argument(s)");
  vtkTreeMapLayout* vtk_pointer = GetVTKPointer<vtkTreeMapLayout>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetSizeArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapLayout:GetLayoutStrategy vtkTreeMapLayoutGetLayoutStrategyFunction
//input a0 
//output y
ArrayVector vtkTreeMapLayoutGetLayoutStrategyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTreeMapLayoutStrategy *GetLayoutStrategy (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLayoutStrategy for class vtkTreeMapLayout requires 1 argument(s)");
  vtkTreeMapLayout* vtk_pointer = GetVTKPointer<vtkTreeMapLayout>(arg[0]);
  Array retval;
  vtkTreeMapLayoutStrategy  *temp20;
  temp20 = (vtk_pointer)->GetLayoutStrategy();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTreeMapLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapLayout:SetLayoutStrategy vtkTreeMapLayoutSetLayoutStrategyFunction
//input a0 a1 
//output none
ArrayVector vtkTreeMapLayoutSetLayoutStrategyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLayoutStrategy (vtkTreeMapLayoutStrategy *strategy); */
  if (arg.size() < 2) 
    throw Exception("Function SetLayoutStrategy for class vtkTreeMapLayout requires 2 argument(s)");
  vtkTreeMapLayout* vtk_pointer = GetVTKPointer<vtkTreeMapLayout>(arg[0]);
  Array retval;
  vtkTreeMapLayoutStrategy  *temp0;
  temp0 = GetVTKPointer<vtkTreeMapLayoutStrategy>(arg[1]);
  vtk_pointer->SetLayoutStrategy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapLayout:FindVertex vtkTreeMapLayoutFindVertexFunction
//input a0 a1 a2 
//output y
ArrayVector vtkTreeMapLayoutFindVertexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType FindVertex (float pnt[2], float *binfo); */
  if (arg.size() < 3) 
    throw Exception("Function FindVertex for class vtkTreeMapLayout requires 3 argument(s)");
  vtkTreeMapLayout* vtk_pointer = GetVTKPointer<vtkTreeMapLayout>(arg[0]);
  Array retval;
  float  temp0[2];
  float   *temp1;
  vtkIdType   temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new float[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
      }
  temp20 = (vtk_pointer)->FindVertex(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapLayout:GetBoundingBox vtkTreeMapLayoutGetBoundingBoxFunction
//input a0 a1 a2 
//output none
ArrayVector vtkTreeMapLayoutGetBoundingBoxFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetBoundingBox (vtkIdType id, float *binfo); */
  if (arg.size() < 3) 
    throw Exception("Function GetBoundingBox for class vtkTreeMapLayout requires 3 argument(s)");
  vtkTreeMapLayout* vtk_pointer = GetVTKPointer<vtkTreeMapLayout>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  float   *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new float[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (float)data[k+1];
      }
  vtk_pointer->GetBoundingBox(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapLayout:GetMTime vtkTreeMapLayoutGetMTimeFunction
//input a0 
//output y
ArrayVector vtkTreeMapLayoutGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkTreeMapLayout requires 1 argument(s)");
  vtkTreeMapLayout* vtk_pointer = GetVTKPointer<vtkTreeMapLayout>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapLayout:display vtkTreeMapLayoutDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTreeMapLayoutDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTreeMapLayout* vtk_pointer = GetVTKPointer<vtkTreeMapLayout>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTreeMapLayout:delete vtkTreeMapLayoutDeleteFunction
//input varargin
//output none
ArrayVector vtkTreeMapLayoutDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTreeMapLayout
//@@Section VTKInfovis
//@@Usage
// vtkTreeMapLayout assigns rectangular regions to each vertex in the tree,
// creating a tree map.  The data is added as a data array with four
// components per tuple representing the location and size of the
// rectangle using the format (Xmin, Xmax, Ymin, Ymax).
//
// This algorithm relies on a helper class to perform the actual layout.
// This helper class is a subclass of vtkTreeMapLayoutStrategy.
//
// .SECTION Thanks
// Thanks to Brian Wylie and Ken Moreland from Sandia National Laboratories
// for help developing this class.
// 
// Tree map concept comes from:
// Shneiderman, B. 1992. Tree visualization with tree-maps: 2-d space-filling approach. 
// ACM Trans. Graph. 11, 1 (Jan. 1992), 92-99. 
//
//To create an instance of class vtkTreeMapLayout, simply
//invoke its constructor as follows
//@[
//  obj = vtkTreeMapLayout
//@]
//@@Methods
//The class vtkTreeMapLayout has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTreeMapLayout class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTreeMapLayout = obj.NewInstance ()|
// \item @|vtkTreeMapLayout = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetRectanglesFieldName ()| -  The field name to use for storing the rectangles for each vertex.
// The rectangles are stored in a quadruple float array
// (minX, maxX, minY, maxY).
//// \item @|obj.SetRectanglesFieldName (string )| -  The field name to use for storing the rectangles for each vertex.
// The rectangles are stored in a quadruple float array
// (minX, maxX, minY, maxY).
//// \item @|obj.SetSizeArrayName (string name)| -  The strategy to use when laying out the tree map.
//// \item @|vtkTreeMapLayoutStrategy = obj.GetLayoutStrategy ()| -  The strategy to use when laying out the tree map.
//// \item @|obj.SetLayoutStrategy (vtkTreeMapLayoutStrategy strategy)| -  The strategy to use when laying out the tree map.
//// \item @|vtkIdType = obj.FindVertex (float pnt[2], float binfo)| -  Returns the vertex id that contains pnt (or -1 if no one contains it)
//// \item @|obj.GetBoundingBox (vtkIdType id, float binfo)| -  Return the min and max 2D points of the
// vertex's bounding box
//// \item @|long = obj.GetMTime ()| -  Get the modification time of the layout algorithm.
////\end{itemize}
//!
