#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTreeMapLayoutStrategy object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTreeMapLayoutStrategy.h"

//@@Signature
//sfunction @vtkTreeMapLayoutStrategy:vtkTreeMapLayoutStrategy vtkTreeMapLayoutStrategyConstructorFunction
//input a
//output p
//@@Parents vtkTreeMapLayoutStrategy vtkAreaLayoutStrategy 
ArrayVector vtkTreeMapLayoutStrategyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTreeMapLayoutStrategy::New(),"vtkTreeMapLayoutStrategy",eval);
  } else if (arg[0].className() == "vtkTreeMapLayoutStrategy") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTreeMapLayoutStrategy"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTreeMapLayoutStrategy");
    vtkTreeMapLayoutStrategy*q = reinterpret_cast<vtkTreeMapLayoutStrategy*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTreeMapLayoutStrategy");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTreeMapLayoutStrategy:GetClassName vtkTreeMapLayoutStrategyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTreeMapLayoutStrategyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTreeMapLayoutStrategy requires 1 argument(s)");
  vtkTreeMapLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeMapLayoutStrategy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapLayoutStrategy:IsA vtkTreeMapLayoutStrategyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTreeMapLayoutStrategyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTreeMapLayoutStrategy requires 2 argument(s)");
  vtkTreeMapLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeMapLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapLayoutStrategy:NewInstance vtkTreeMapLayoutStrategyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTreeMapLayoutStrategyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTreeMapLayoutStrategy *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTreeMapLayoutStrategy requires 1 argument(s)");
  vtkTreeMapLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeMapLayoutStrategy>(arg[0]);
  Array retval;
  vtkTreeMapLayoutStrategy  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTreeMapLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapLayoutStrategy:SafeDownCast vtkTreeMapLayoutStrategySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTreeMapLayoutStrategySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTreeMapLayoutStrategy *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTreeMapLayoutStrategy requires 2 argument(s)");
  vtkTreeMapLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeMapLayoutStrategy>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTreeMapLayoutStrategy  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTreeMapLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapLayoutStrategy:FindVertex vtkTreeMapLayoutStrategyFindVertexFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkTreeMapLayoutStrategyFindVertexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType FindVertex (vtkTree *tree, vtkDataArray *areaArray, float pnt[2]); */
  if (arg.size() < 4) 
    throw Exception("Function FindVertex for class vtkTreeMapLayoutStrategy requires 4 argument(s)");
  vtkTreeMapLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeMapLayoutStrategy>(arg[0]);
  Array retval;
  vtkTree  *temp0;
  vtkDataArray  *temp1;
  float  temp2[2];
  vtkIdType   temp20;
  temp0 = GetVTKPointer<vtkTree>(arg[1]);
  temp1 = GetVTKPointer<vtkDataArray>(arg[2]);
  if ( !(arg[3].isVector() && arg[3].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[3].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp2[k] = (float)data[k+1];
  }
  temp20 = (vtk_pointer)->FindVertex(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapLayoutStrategy:display vtkTreeMapLayoutStrategyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTreeMapLayoutStrategyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTreeMapLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeMapLayoutStrategy>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTreeMapLayoutStrategy:delete vtkTreeMapLayoutStrategyDeleteFunction
//input varargin
//output none
ArrayVector vtkTreeMapLayoutStrategyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTreeMapLayoutStrategy
//@@Section VTKInfovis
//@@Usage
// All subclasses of this class perform a tree map layout on a tree.
// This involves assigning a rectangular region to each vertex in the tree,
// and placing that information in a data array with four components per
// tuple representing (Xmin, Xmax, Ymin, Ymax).
//
// Instances of subclasses of this class may be assigned as the layout
// strategy to vtkTreeMapLayout
//
// .SECTION Thanks
// Thanks to Brian Wylie and Ken Moreland from Sandia National Laboratories
// for help developing this class.
//
//To create an instance of class vtkTreeMapLayoutStrategy, simply
//invoke its constructor as follows
//@[
//  obj = vtkTreeMapLayoutStrategy
//@]
//@@Methods
//The class vtkTreeMapLayoutStrategy has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTreeMapLayoutStrategy class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTreeMapLayoutStrategy = obj.NewInstance ()|
// \item @|vtkTreeMapLayoutStrategy = obj.SafeDownCast (vtkObject o)|
// \item @|vtkIdType = obj.FindVertex (vtkTree tree, vtkDataArray areaArray, float pnt[2])| -  Find the vertex at a certain location, or -1 if none found.
////\end{itemize}
//!
