#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTreeMapToPolyData object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTreeMapToPolyData.h"

//@@Signature
//sfunction @vtkTreeMapToPolyData:vtkTreeMapToPolyData vtkTreeMapToPolyDataConstructorFunction
//input a
//output p
//@@Parents vtkTreeMapToPolyData vtkPolyDataAlgorithm 
ArrayVector vtkTreeMapToPolyDataConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTreeMapToPolyData::New(),"vtkTreeMapToPolyData",eval);
  } else if (arg[0].className() == "vtkTreeMapToPolyData") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTreeMapToPolyData"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTreeMapToPolyData");
    vtkTreeMapToPolyData*q = reinterpret_cast<vtkTreeMapToPolyData*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTreeMapToPolyData");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTreeMapToPolyData:GetClassName vtkTreeMapToPolyDataGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTreeMapToPolyDataGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTreeMapToPolyData requires 1 argument(s)");
  vtkTreeMapToPolyData* vtk_pointer = GetVTKPointer<vtkTreeMapToPolyData>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapToPolyData:IsA vtkTreeMapToPolyDataIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTreeMapToPolyDataIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTreeMapToPolyData requires 2 argument(s)");
  vtkTreeMapToPolyData* vtk_pointer = GetVTKPointer<vtkTreeMapToPolyData>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapToPolyData:NewInstance vtkTreeMapToPolyDataNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTreeMapToPolyDataNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTreeMapToPolyData *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTreeMapToPolyData requires 1 argument(s)");
  vtkTreeMapToPolyData* vtk_pointer = GetVTKPointer<vtkTreeMapToPolyData>(arg[0]);
  Array retval;
  vtkTreeMapToPolyData  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTreeMapToPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapToPolyData:SafeDownCast vtkTreeMapToPolyDataSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTreeMapToPolyDataSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTreeMapToPolyData *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTreeMapToPolyData requires 2 argument(s)");
  vtkTreeMapToPolyData* vtk_pointer = GetVTKPointer<vtkTreeMapToPolyData>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTreeMapToPolyData  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTreeMapToPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapToPolyData:SetRectanglesArrayName vtkTreeMapToPolyDataSetRectanglesArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkTreeMapToPolyDataSetRectanglesArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRectanglesArrayName (const char *name);this SetInputArrayToProcess vtkDataObject FIELD_ASSOCIATION_VERTICES name  */
  if (arg.size() < 2) 
    throw Exception("Function SetRectanglesArrayName for class vtkTreeMapToPolyData requires 2 argument(s)");
  vtkTreeMapToPolyData* vtk_pointer = GetVTKPointer<vtkTreeMapToPolyData>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetRectanglesArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapToPolyData:SetLevelArrayName vtkTreeMapToPolyDataSetLevelArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkTreeMapToPolyDataSetLevelArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLevelArrayName (const char *name);this SetInputArrayToProcess vtkDataObject FIELD_ASSOCIATION_VERTICES name  */
  if (arg.size() < 2) 
    throw Exception("Function SetLevelArrayName for class vtkTreeMapToPolyData requires 2 argument(s)");
  vtkTreeMapToPolyData* vtk_pointer = GetVTKPointer<vtkTreeMapToPolyData>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetLevelArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapToPolyData:GetLevelDeltaZ vtkTreeMapToPolyDataGetLevelDeltaZFunction
//input a0 
//output y
ArrayVector vtkTreeMapToPolyDataGetLevelDeltaZFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLevelDeltaZ (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLevelDeltaZ for class vtkTreeMapToPolyData requires 1 argument(s)");
  vtkTreeMapToPolyData* vtk_pointer = GetVTKPointer<vtkTreeMapToPolyData>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLevelDeltaZ();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapToPolyData:SetLevelDeltaZ vtkTreeMapToPolyDataSetLevelDeltaZFunction
//input a0 a1 
//output none
ArrayVector vtkTreeMapToPolyDataSetLevelDeltaZFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLevelDeltaZ (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLevelDeltaZ for class vtkTreeMapToPolyData requires 2 argument(s)");
  vtkTreeMapToPolyData* vtk_pointer = GetVTKPointer<vtkTreeMapToPolyData>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLevelDeltaZ(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapToPolyData:GetAddNormals vtkTreeMapToPolyDataGetAddNormalsFunction
//input a0 
//output y
ArrayVector vtkTreeMapToPolyDataGetAddNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetAddNormals (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAddNormals for class vtkTreeMapToPolyData requires 1 argument(s)");
  vtkTreeMapToPolyData* vtk_pointer = GetVTKPointer<vtkTreeMapToPolyData>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetAddNormals();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapToPolyData:SetAddNormals vtkTreeMapToPolyDataSetAddNormalsFunction
//input a0 a1 
//output none
ArrayVector vtkTreeMapToPolyDataSetAddNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAddNormals (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAddNormals for class vtkTreeMapToPolyData requires 2 argument(s)");
  vtkTreeMapToPolyData* vtk_pointer = GetVTKPointer<vtkTreeMapToPolyData>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetAddNormals(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapToPolyData:FillInputPortInformation vtkTreeMapToPolyDataFillInputPortInformationFunction
//input a0 a1 a2 
//output y
ArrayVector vtkTreeMapToPolyDataFillInputPortInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int FillInputPortInformation (int port, vtkInformation *info); */
  if (arg.size() < 3) 
    throw Exception("Function FillInputPortInformation for class vtkTreeMapToPolyData requires 3 argument(s)");
  vtkTreeMapToPolyData* vtk_pointer = GetVTKPointer<vtkTreeMapToPolyData>(arg[0]);
  Array retval;
  int      temp0;
  vtkInformation  *temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  temp20 = (vtk_pointer)->FillInputPortInformation(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeMapToPolyData:display vtkTreeMapToPolyDataDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTreeMapToPolyDataDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTreeMapToPolyData* vtk_pointer = GetVTKPointer<vtkTreeMapToPolyData>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTreeMapToPolyData:delete vtkTreeMapToPolyDataDeleteFunction
//input varargin
//output none
ArrayVector vtkTreeMapToPolyDataDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTreeMapToPolyData
//@@Section VTKInfovis
//@@Usage
// This algorithm requires that the vtkTreeMapLayout filter has already applied to the
// data in order to create the quadruple array (min x, max x, min y, max y) of
// bounds for each vertex of the tree.
//
//To create an instance of class vtkTreeMapToPolyData, simply
//invoke its constructor as follows
//@[
//  obj = vtkTreeMapToPolyData
//@]
//@@Methods
//The class vtkTreeMapToPolyData has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTreeMapToPolyData class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTreeMapToPolyData = obj.NewInstance ()|
// \item @|vtkTreeMapToPolyData = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetRectanglesArrayName (string name)| -  The field containing the level of each tree node.
// This can be added using vtkTreeLevelsFilter before this filter.
// If this is not present, the filter simply calls tree->GetLevel(v) for
// each vertex, which will produce the same result, but
// may not be as efficient.
//// \item @|obj.SetLevelArrayName (string name)| -  The spacing along the z-axis between tree map levels.
//// \item @|double = obj.GetLevelDeltaZ ()| -  The spacing along the z-axis between tree map levels.
//// \item @|obj.SetLevelDeltaZ (double )| -  The spacing along the z-axis between tree map levels.
//// \item @|bool = obj.GetAddNormals ()| -  The spacing along the z-axis between tree map levels.
//// \item @|obj.SetAddNormals (bool )| -  The spacing along the z-axis between tree map levels.
//// \item @|int = obj.FillInputPortInformation (int port, vtkInformation info)|
//\end{itemize}
//!
