#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTreeOrbitLayoutStrategy object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTreeOrbitLayoutStrategy.h"

//@@Signature
//sfunction @vtkTreeOrbitLayoutStrategy:vtkTreeOrbitLayoutStrategy vtkTreeOrbitLayoutStrategyConstructorFunction
//input a
//output p
//@@Parents vtkTreeOrbitLayoutStrategy vtkGraphLayoutStrategy 
ArrayVector vtkTreeOrbitLayoutStrategyConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTreeOrbitLayoutStrategy::New(),"vtkTreeOrbitLayoutStrategy",eval);
  } else if (arg[0].className() == "vtkTreeOrbitLayoutStrategy") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTreeOrbitLayoutStrategy"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTreeOrbitLayoutStrategy");
    vtkTreeOrbitLayoutStrategy*q = reinterpret_cast<vtkTreeOrbitLayoutStrategy*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTreeOrbitLayoutStrategy");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTreeOrbitLayoutStrategy:GetClassName vtkTreeOrbitLayoutStrategyGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTreeOrbitLayoutStrategyGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTreeOrbitLayoutStrategy requires 1 argument(s)");
  vtkTreeOrbitLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeOrbitLayoutStrategy>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeOrbitLayoutStrategy:IsA vtkTreeOrbitLayoutStrategyIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTreeOrbitLayoutStrategyIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTreeOrbitLayoutStrategy requires 2 argument(s)");
  vtkTreeOrbitLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeOrbitLayoutStrategy>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeOrbitLayoutStrategy:NewInstance vtkTreeOrbitLayoutStrategyNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTreeOrbitLayoutStrategyNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTreeOrbitLayoutStrategy *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTreeOrbitLayoutStrategy requires 1 argument(s)");
  vtkTreeOrbitLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeOrbitLayoutStrategy>(arg[0]);
  Array retval;
  vtkTreeOrbitLayoutStrategy  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTreeOrbitLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeOrbitLayoutStrategy:SafeDownCast vtkTreeOrbitLayoutStrategySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTreeOrbitLayoutStrategySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTreeOrbitLayoutStrategy *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTreeOrbitLayoutStrategy requires 2 argument(s)");
  vtkTreeOrbitLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeOrbitLayoutStrategy>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTreeOrbitLayoutStrategy  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTreeOrbitLayoutStrategy",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeOrbitLayoutStrategy:Layout vtkTreeOrbitLayoutStrategyLayoutFunction
//input a0 
//output none
ArrayVector vtkTreeOrbitLayoutStrategyLayoutFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Layout (); */
  if (arg.size() < 1) 
    throw Exception("Function Layout for class vtkTreeOrbitLayoutStrategy requires 1 argument(s)");
  vtkTreeOrbitLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeOrbitLayoutStrategy>(arg[0]);
  Array retval;
  vtk_pointer->Layout();
  return retval;
}

//@@Signature
//sfunction @vtkTreeOrbitLayoutStrategy:SetLogSpacingValue vtkTreeOrbitLayoutStrategySetLogSpacingValueFunction
//input a0 a1 
//output none
ArrayVector vtkTreeOrbitLayoutStrategySetLogSpacingValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLogSpacingValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLogSpacingValue for class vtkTreeOrbitLayoutStrategy requires 2 argument(s)");
  vtkTreeOrbitLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeOrbitLayoutStrategy>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLogSpacingValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeOrbitLayoutStrategy:GetLogSpacingValue vtkTreeOrbitLayoutStrategyGetLogSpacingValueFunction
//input a0 
//output y
ArrayVector vtkTreeOrbitLayoutStrategyGetLogSpacingValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLogSpacingValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLogSpacingValue for class vtkTreeOrbitLayoutStrategy requires 1 argument(s)");
  vtkTreeOrbitLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeOrbitLayoutStrategy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLogSpacingValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeOrbitLayoutStrategy:SetLeafSpacing vtkTreeOrbitLayoutStrategySetLeafSpacingFunction
//input a0 a1 
//output none
ArrayVector vtkTreeOrbitLayoutStrategySetLeafSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLeafSpacing (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetLeafSpacing for class vtkTreeOrbitLayoutStrategy requires 2 argument(s)");
  vtkTreeOrbitLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeOrbitLayoutStrategy>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetLeafSpacing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeOrbitLayoutStrategy:GetLeafSpacingMinValue vtkTreeOrbitLayoutStrategyGetLeafSpacingMinValueFunction
//input a0 
//output y
ArrayVector vtkTreeOrbitLayoutStrategyGetLeafSpacingMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLeafSpacingMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeafSpacingMinValue for class vtkTreeOrbitLayoutStrategy requires 1 argument(s)");
  vtkTreeOrbitLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeOrbitLayoutStrategy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLeafSpacingMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeOrbitLayoutStrategy:GetLeafSpacingMaxValue vtkTreeOrbitLayoutStrategyGetLeafSpacingMaxValueFunction
//input a0 
//output y
ArrayVector vtkTreeOrbitLayoutStrategyGetLeafSpacingMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLeafSpacingMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeafSpacingMaxValue for class vtkTreeOrbitLayoutStrategy requires 1 argument(s)");
  vtkTreeOrbitLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeOrbitLayoutStrategy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLeafSpacingMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeOrbitLayoutStrategy:GetLeafSpacing vtkTreeOrbitLayoutStrategyGetLeafSpacingFunction
//input a0 
//output y
ArrayVector vtkTreeOrbitLayoutStrategyGetLeafSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetLeafSpacing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLeafSpacing for class vtkTreeOrbitLayoutStrategy requires 1 argument(s)");
  vtkTreeOrbitLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeOrbitLayoutStrategy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetLeafSpacing();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeOrbitLayoutStrategy:SetChildRadiusFactor vtkTreeOrbitLayoutStrategySetChildRadiusFactorFunction
//input a0 a1 
//output none
ArrayVector vtkTreeOrbitLayoutStrategySetChildRadiusFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetChildRadiusFactor (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetChildRadiusFactor for class vtkTreeOrbitLayoutStrategy requires 2 argument(s)");
  vtkTreeOrbitLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeOrbitLayoutStrategy>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetChildRadiusFactor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeOrbitLayoutStrategy:GetChildRadiusFactor vtkTreeOrbitLayoutStrategyGetChildRadiusFactorFunction
//input a0 
//output y
ArrayVector vtkTreeOrbitLayoutStrategyGetChildRadiusFactorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetChildRadiusFactor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetChildRadiusFactor for class vtkTreeOrbitLayoutStrategy requires 1 argument(s)");
  vtkTreeOrbitLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeOrbitLayoutStrategy>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetChildRadiusFactor();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeOrbitLayoutStrategy:display vtkTreeOrbitLayoutStrategyDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTreeOrbitLayoutStrategyDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTreeOrbitLayoutStrategy* vtk_pointer = GetVTKPointer<vtkTreeOrbitLayoutStrategy>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTreeOrbitLayoutStrategy:delete vtkTreeOrbitLayoutStrategyDeleteFunction
//input varargin
//output none
ArrayVector vtkTreeOrbitLayoutStrategyDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTreeOrbitLayoutStrategy
//@@Section VTKInfovis
//@@Usage
// Assigns points to the nodes of a tree to an orbital layout. Each parent
// is orbited by its children, recursively.
//
//To create an instance of class vtkTreeOrbitLayoutStrategy, simply
//invoke its constructor as follows
//@[
//  obj = vtkTreeOrbitLayoutStrategy
//@]
//@@Methods
//The class vtkTreeOrbitLayoutStrategy has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTreeOrbitLayoutStrategy class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTreeOrbitLayoutStrategy = obj.NewInstance ()|
// \item @|vtkTreeOrbitLayoutStrategy = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Layout ()| -  Perform the orbital layout.
//// \item @|obj.SetLogSpacingValue (double )| -  The spacing of orbital levels. Levels near zero give more space
// to levels near the root, while levels near one (the default)
// create evenly-spaced levels. Levels above one give more space
// to levels near the leaves.
//// \item @|double = obj.GetLogSpacingValue ()| -  The spacing of orbital levels. Levels near zero give more space
// to levels near the root, while levels near one (the default)
// create evenly-spaced levels. Levels above one give more space
// to levels near the leaves.
//// \item @|obj.SetLeafSpacing (double )| -  The spacing of leaves.  Levels near one evenly space leaves
// with no gaps between subtrees.  Levels near zero creates
// large gaps between subtrees.
//// \item @|double = obj.GetLeafSpacingMinValue ()| -  The spacing of leaves.  Levels near one evenly space leaves
// with no gaps between subtrees.  Levels near zero creates
// large gaps between subtrees.
//// \item @|double = obj.GetLeafSpacingMaxValue ()| -  The spacing of leaves.  Levels near one evenly space leaves
// with no gaps between subtrees.  Levels near zero creates
// large gaps between subtrees.
//// \item @|double = obj.GetLeafSpacing ()| -  The spacing of leaves.  Levels near one evenly space leaves
// with no gaps between subtrees.  Levels near zero creates
// large gaps between subtrees.
//// \item @|obj.SetChildRadiusFactor (double )| -  This is a magic number right now. Controls the radius
// of the child layout, all of this should be fixed at
// some point with a more logical layout. Defaults to .5 :)
//// \item @|double = obj.GetChildRadiusFactor ()| -  This is a magic number right now. Controls the radius
// of the child layout, all of this should be fixed at
// some point with a more logical layout. Defaults to .5 :)
////\end{itemize}
//!
