#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTreeRingToPolyData object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTreeRingToPolyData.h"

//@@Signature
//sfunction @vtkTreeRingToPolyData:vtkTreeRingToPolyData vtkTreeRingToPolyDataConstructorFunction
//input a
//output p
//@@Parents vtkTreeRingToPolyData vtkPolyDataAlgorithm 
ArrayVector vtkTreeRingToPolyDataConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTreeRingToPolyData::New(),"vtkTreeRingToPolyData",eval);
  } else if (arg[0].className() == "vtkTreeRingToPolyData") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTreeRingToPolyData"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTreeRingToPolyData");
    vtkTreeRingToPolyData*q = reinterpret_cast<vtkTreeRingToPolyData*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTreeRingToPolyData");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTreeRingToPolyData:GetClassName vtkTreeRingToPolyDataGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTreeRingToPolyDataGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTreeRingToPolyData requires 1 argument(s)");
  vtkTreeRingToPolyData* vtk_pointer = GetVTKPointer<vtkTreeRingToPolyData>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeRingToPolyData:IsA vtkTreeRingToPolyDataIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTreeRingToPolyDataIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTreeRingToPolyData requires 2 argument(s)");
  vtkTreeRingToPolyData* vtk_pointer = GetVTKPointer<vtkTreeRingToPolyData>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeRingToPolyData:NewInstance vtkTreeRingToPolyDataNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTreeRingToPolyDataNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTreeRingToPolyData *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTreeRingToPolyData requires 1 argument(s)");
  vtkTreeRingToPolyData* vtk_pointer = GetVTKPointer<vtkTreeRingToPolyData>(arg[0]);
  Array retval;
  vtkTreeRingToPolyData  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTreeRingToPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeRingToPolyData:SafeDownCast vtkTreeRingToPolyDataSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTreeRingToPolyDataSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTreeRingToPolyData *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTreeRingToPolyData requires 2 argument(s)");
  vtkTreeRingToPolyData* vtk_pointer = GetVTKPointer<vtkTreeRingToPolyData>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTreeRingToPolyData  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTreeRingToPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeRingToPolyData:SetSectorsArrayName vtkTreeRingToPolyDataSetSectorsArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkTreeRingToPolyDataSetSectorsArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSectorsArrayName (const char *name);this SetInputArrayToProcess vtkDataObject FIELD_ASSOCIATION_VERTICES name  */
  if (arg.size() < 2) 
    throw Exception("Function SetSectorsArrayName for class vtkTreeRingToPolyData requires 2 argument(s)");
  vtkTreeRingToPolyData* vtk_pointer = GetVTKPointer<vtkTreeRingToPolyData>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetSectorsArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeRingToPolyData:SetShrinkPercentage vtkTreeRingToPolyDataSetShrinkPercentageFunction
//input a0 a1 
//output none
ArrayVector vtkTreeRingToPolyDataSetShrinkPercentageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetShrinkPercentage (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetShrinkPercentage for class vtkTreeRingToPolyData requires 2 argument(s)");
  vtkTreeRingToPolyData* vtk_pointer = GetVTKPointer<vtkTreeRingToPolyData>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetShrinkPercentage(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeRingToPolyData:GetShrinkPercentage vtkTreeRingToPolyDataGetShrinkPercentageFunction
//input a0 
//output y
ArrayVector vtkTreeRingToPolyDataGetShrinkPercentageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetShrinkPercentage (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShrinkPercentage for class vtkTreeRingToPolyData requires 1 argument(s)");
  vtkTreeRingToPolyData* vtk_pointer = GetVTKPointer<vtkTreeRingToPolyData>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetShrinkPercentage();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeRingToPolyData:FillInputPortInformation vtkTreeRingToPolyDataFillInputPortInformationFunction
//input a0 a1 a2 
//output y
ArrayVector vtkTreeRingToPolyDataFillInputPortInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int FillInputPortInformation (int port, vtkInformation *info); */
  if (arg.size() < 3) 
    throw Exception("Function FillInputPortInformation for class vtkTreeRingToPolyData requires 3 argument(s)");
  vtkTreeRingToPolyData* vtk_pointer = GetVTKPointer<vtkTreeRingToPolyData>(arg[0]);
  Array retval;
  int      temp0;
  vtkInformation  *temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkInformation>(arg[2]);
  temp20 = (vtk_pointer)->FillInputPortInformation(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeRingToPolyData:display vtkTreeRingToPolyDataDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTreeRingToPolyDataDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTreeRingToPolyData* vtk_pointer = GetVTKPointer<vtkTreeRingToPolyData>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTreeRingToPolyData:delete vtkTreeRingToPolyDataDeleteFunction
//input varargin
//output none
ArrayVector vtkTreeRingToPolyDataDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTreeRingToPolyData
//@@Section VTKInfovis
//@@Usage
// This algorithm requires that the vtkTreeRingLayout filter has already
// been applied to the data in order to create the quadruple array 
// (start angle, end angle, inner radius, outer radius) of bounds 
// for each vertex of the tree.
//
//To create an instance of class vtkTreeRingToPolyData, simply
//invoke its constructor as follows
//@[
//  obj = vtkTreeRingToPolyData
//@]
//@@Methods
//The class vtkTreeRingToPolyData has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTreeRingToPolyData class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTreeRingToPolyData = obj.NewInstance ()|
// \item @|vtkTreeRingToPolyData = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetSectorsArrayName (string name)| -  Define a shrink percentage for each of the sectors.
//// \item @|obj.SetShrinkPercentage (double )| -  Define a shrink percentage for each of the sectors.
//// \item @|double = obj.GetShrinkPercentage ()| -  Define a shrink percentage for each of the sectors.
//// \item @|int = obj.FillInputPortInformation (int port, vtkInformation info)|
//\end{itemize}
//!
