#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTulipReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTulipReader.h"

//@@Signature
//sfunction @vtkTulipReader:vtkTulipReader vtkTulipReaderConstructorFunction
//input a
//output p
//@@Parents vtkTulipReader vtkUndirectedGraphAlgorithm 
ArrayVector vtkTulipReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTulipReader::New(),"vtkTulipReader",eval);
  } else if (arg[0].className() == "vtkTulipReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTulipReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTulipReader");
    vtkTulipReader*q = reinterpret_cast<vtkTulipReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTulipReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTulipReader:GetClassName vtkTulipReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTulipReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTulipReader requires 1 argument(s)");
  vtkTulipReader* vtk_pointer = GetVTKPointer<vtkTulipReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTulipReader:IsA vtkTulipReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTulipReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTulipReader requires 2 argument(s)");
  vtkTulipReader* vtk_pointer = GetVTKPointer<vtkTulipReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTulipReader:NewInstance vtkTulipReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTulipReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTulipReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTulipReader requires 1 argument(s)");
  vtkTulipReader* vtk_pointer = GetVTKPointer<vtkTulipReader>(arg[0]);
  Array retval;
  vtkTulipReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTulipReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTulipReader:SafeDownCast vtkTulipReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTulipReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTulipReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTulipReader requires 2 argument(s)");
  vtkTulipReader* vtk_pointer = GetVTKPointer<vtkTulipReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTulipReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTulipReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTulipReader:GetFileName vtkTulipReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkTulipReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkTulipReader requires 1 argument(s)");
  vtkTulipReader* vtk_pointer = GetVTKPointer<vtkTulipReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTulipReader:SetFileName vtkTulipReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkTulipReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkTulipReader requires 2 argument(s)");
  vtkTulipReader* vtk_pointer = GetVTKPointer<vtkTulipReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTulipReader:display vtkTulipReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTulipReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTulipReader* vtk_pointer = GetVTKPointer<vtkTulipReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTulipReader:delete vtkTulipReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkTulipReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTulipReader
//@@Section VTKInfovis
//@@Usage
// vtkTulipReader reads in files in the Tulip format.
// Definition of the Tulip file format can be found online at:
// http://tulip.labri.fr/tlpformat.php
// An example is the following
// <code>
// (nodes 0 1 2 3 4 5 6 7 8 9)
// (edge 0 0 1)
// (edge 1 1 2)
// (edge 2 2 3)
// (edge 3 3 4)
// (edge 4 4 5)
// (edge 5 5 6)
// (edge 6 6 7)
// (edge 7 7 8)
// (edge 8 8 9)
// (edge 9 9 0)
// (edge 10 0 5)
// (edge 11 2 7)
// (edge 12 4 9)
// </code>
// where "nodes" defines all the nodes ids in the graph, and "edge"
// is a triple of edge id, source vertex id, and target vertex id.
// The graph is read in as undirected graph.
// NOTE: This currently only supports reading connectivity information.
// Display information is discarded.
//
//To create an instance of class vtkTulipReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkTulipReader
//@]
//@@Methods
//The class vtkTulipReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTulipReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTulipReader = obj.NewInstance ()|
// \item @|vtkTulipReader = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetFileName ()| -  The Tulip file name.
//// \item @|obj.SetFileName (string )| -  The Tulip file name.
////\end{itemize}
//!
