#include "VTKWrap.hpp"

// FreeMat wrapper for vtkUnivariateStatisticsAlgorithm object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkUnivariateStatisticsAlgorithm.h"

//@@Signature
//sfunction @vtkUnivariateStatisticsAlgorithm:vtkUnivariateStatisticsAlgorithm vtkUnivariateStatisticsAlgorithmConstructorFunction
//input a
//output p
//@@Parents vtkUnivariateStatisticsAlgorithm vtkStatisticsAlgorithm 
ArrayVector vtkUnivariateStatisticsAlgorithmConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkUnivariateStatisticsAlgorithm::New(),"vtkUnivariateStatisticsAlgorithm",eval);
  } else if (arg[0].className() == "vtkUnivariateStatisticsAlgorithm") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkUnivariateStatisticsAlgorithm"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkUnivariateStatisticsAlgorithm");
    vtkUnivariateStatisticsAlgorithm*q = reinterpret_cast<vtkUnivariateStatisticsAlgorithm*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkUnivariateStatisticsAlgorithm");
    return ret;
  }
}
//@@Signature
//sfunction @vtkUnivariateStatisticsAlgorithm:GetClassName vtkUnivariateStatisticsAlgorithmGetClassNameFunction
//input a0 
//output y
ArrayVector vtkUnivariateStatisticsAlgorithmGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkUnivariateStatisticsAlgorithm requires 1 argument(s)");
  vtkUnivariateStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkUnivariateStatisticsAlgorithm>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnivariateStatisticsAlgorithm:IsA vtkUnivariateStatisticsAlgorithmIsAFunction
//input a0 a1 
//output y
ArrayVector vtkUnivariateStatisticsAlgorithmIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkUnivariateStatisticsAlgorithm requires 2 argument(s)");
  vtkUnivariateStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkUnivariateStatisticsAlgorithm>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnivariateStatisticsAlgorithm:NewInstance vtkUnivariateStatisticsAlgorithmNewInstanceFunction
//input a0 
//output y
ArrayVector vtkUnivariateStatisticsAlgorithmNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnivariateStatisticsAlgorithm *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkUnivariateStatisticsAlgorithm requires 1 argument(s)");
  vtkUnivariateStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkUnivariateStatisticsAlgorithm>(arg[0]);
  Array retval;
  vtkUnivariateStatisticsAlgorithm  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnivariateStatisticsAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnivariateStatisticsAlgorithm:SafeDownCast vtkUnivariateStatisticsAlgorithmSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkUnivariateStatisticsAlgorithmSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnivariateStatisticsAlgorithm *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkUnivariateStatisticsAlgorithm requires 2 argument(s)");
  vtkUnivariateStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkUnivariateStatisticsAlgorithm>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkUnivariateStatisticsAlgorithm  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnivariateStatisticsAlgorithm",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnivariateStatisticsAlgorithm:AddColumn vtkUnivariateStatisticsAlgorithmAddColumnFunction
//input a0 a1 
//output none
ArrayVector vtkUnivariateStatisticsAlgorithmAddColumnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddColumn (const char *namCol); */
  if (arg.size() < 2) 
    throw Exception("Function AddColumn for class vtkUnivariateStatisticsAlgorithm requires 2 argument(s)");
  vtkUnivariateStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkUnivariateStatisticsAlgorithm>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->AddColumn(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnivariateStatisticsAlgorithm:RequestSelectedColumns vtkUnivariateStatisticsAlgorithmRequestSelectedColumnsFunction
//input a0 
//output y
ArrayVector vtkUnivariateStatisticsAlgorithmRequestSelectedColumnsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int RequestSelectedColumns (); */
  if (arg.size() < 1) 
    throw Exception("Function RequestSelectedColumns for class vtkUnivariateStatisticsAlgorithm requires 1 argument(s)");
  vtkUnivariateStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkUnivariateStatisticsAlgorithm>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->RequestSelectedColumns();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnivariateStatisticsAlgorithm:display vtkUnivariateStatisticsAlgorithmDisplayFunction
//input varargin
//output varargout
ArrayVector vtkUnivariateStatisticsAlgorithmDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkUnivariateStatisticsAlgorithm* vtk_pointer = GetVTKPointer<vtkUnivariateStatisticsAlgorithm>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkUnivariateStatisticsAlgorithm:delete vtkUnivariateStatisticsAlgorithmDeleteFunction
//input varargin
//output none
ArrayVector vtkUnivariateStatisticsAlgorithmDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkUnivariateStatisticsAlgorithm
//@@Section VTKInfovis
//@@Usage
// This class specializes statistics algorithms to the univariate case, where
// a number of columns of interest can be selected in the input data set.
// This is done by the means of the following functions:
//
// ResetColumns() - reset the list of columns of interest.
// Add/RemoveColum( namCol ) - try to add/remove column with name namCol to/from
// the list.
// SetColumnStatus ( namCol, status ) - mostly for UI wrapping purposes, try to 
// add/remove (depending on status) namCol from the list of columns of interest.
// The verb "try" is used in the sense that neither attempting to 
// repeat an existing entry nor to remove a non-existent entry will work.
// 
// .SECTION Thanks
// Thanks to Philippe Pebay and David Thompson from Sandia National Laboratories 
// for implementing this class.
//
//To create an instance of class vtkUnivariateStatisticsAlgorithm, simply
//invoke its constructor as follows
//@[
//  obj = vtkUnivariateStatisticsAlgorithm
//@]
//@@Methods
//The class vtkUnivariateStatisticsAlgorithm has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkUnivariateStatisticsAlgorithm class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkUnivariateStatisticsAlgorithm = obj.NewInstance ()|
// \item @|vtkUnivariateStatisticsAlgorithm = obj.SafeDownCast (vtkObject o)|
// \item @|obj.AddColumn (string namCol)| -  Convenience method to create a request with a single column name \p namCol in a single
// call; this is the preferred method to select columns, ensuring selection consistency
// (a single column per request).
// Warning: no name checking is performed on \p namCol; it is the user's
// responsibility to use valid column names.
//// \item @|int = obj.RequestSelectedColumns ()| -  Use the current column status values to produce a new request for statistics
// to be produced when RequestData() is called.
// Unlike the superclass implementation, this version adds a new request for each selected column
// instead of a single request containing all the columns.
////\end{itemize}
//!
