#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVertexDegree object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVertexDegree.h"

//@@Signature
//sfunction @vtkVertexDegree:vtkVertexDegree vtkVertexDegreeConstructorFunction
//input a
//output p
//@@Parents vtkVertexDegree vtkGraphAlgorithm 
ArrayVector vtkVertexDegreeConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVertexDegree::New(),"vtkVertexDegree",eval);
  } else if (arg[0].className() == "vtkVertexDegree") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVertexDegree"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVertexDegree");
    vtkVertexDegree*q = reinterpret_cast<vtkVertexDegree*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVertexDegree");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVertexDegree:GetClassName vtkVertexDegreeGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVertexDegreeGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVertexDegree requires 1 argument(s)");
  vtkVertexDegree* vtk_pointer = GetVTKPointer<vtkVertexDegree>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVertexDegree:IsA vtkVertexDegreeIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVertexDegreeIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVertexDegree requires 2 argument(s)");
  vtkVertexDegree* vtk_pointer = GetVTKPointer<vtkVertexDegree>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVertexDegree:NewInstance vtkVertexDegreeNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVertexDegreeNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVertexDegree *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVertexDegree requires 1 argument(s)");
  vtkVertexDegree* vtk_pointer = GetVTKPointer<vtkVertexDegree>(arg[0]);
  Array retval;
  vtkVertexDegree  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVertexDegree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVertexDegree:SafeDownCast vtkVertexDegreeSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVertexDegreeSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVertexDegree *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVertexDegree requires 2 argument(s)");
  vtkVertexDegree* vtk_pointer = GetVTKPointer<vtkVertexDegree>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVertexDegree  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVertexDegree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVertexDegree:SetOutputArrayName vtkVertexDegreeSetOutputArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkVertexDegreeSetOutputArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputArrayName for class vtkVertexDegree requires 2 argument(s)");
  vtkVertexDegree* vtk_pointer = GetVTKPointer<vtkVertexDegree>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetOutputArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVertexDegree:display vtkVertexDegreeDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVertexDegreeDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVertexDegree* vtk_pointer = GetVTKPointer<vtkVertexDegree>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVertexDegree:delete vtkVertexDegreeDeleteFunction
//input varargin
//output none
ArrayVector vtkVertexDegreeDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVertexDegree
//@@Section VTKInfovis
//@@Usage
// Adds an attribute array with the degree of each vertex. By default the name
// of the array will be "VertexDegree", but that can be changed by calling
// SetOutputArrayName("foo");
//
//To create an instance of class vtkVertexDegree, simply
//invoke its constructor as follows
//@[
//  obj = vtkVertexDegree
//@]
//@@Methods
//The class vtkVertexDegree has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVertexDegree class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVertexDegree = obj.NewInstance ()|
// \item @|vtkVertexDegree = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetOutputArrayName (string )| -  Set the output array name. If no output array name is
// set then the name 'VertexDegree' is used.
////\end{itemize}
//!
