#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXGMLReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXGMLReader.h"

//@@Signature
//sfunction @vtkXGMLReader:vtkXGMLReader vtkXGMLReaderConstructorFunction
//input a
//output p
//@@Parents vtkXGMLReader vtkUndirectedGraphAlgorithm 
ArrayVector vtkXGMLReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXGMLReader::New(),"vtkXGMLReader",eval);
  } else if (arg[0].className() == "vtkXGMLReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXGMLReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXGMLReader");
    vtkXGMLReader*q = reinterpret_cast<vtkXGMLReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXGMLReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXGMLReader:GetClassName vtkXGMLReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXGMLReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXGMLReader requires 1 argument(s)");
  vtkXGMLReader* vtk_pointer = GetVTKPointer<vtkXGMLReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXGMLReader:IsA vtkXGMLReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXGMLReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXGMLReader requires 2 argument(s)");
  vtkXGMLReader* vtk_pointer = GetVTKPointer<vtkXGMLReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXGMLReader:NewInstance vtkXGMLReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXGMLReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXGMLReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXGMLReader requires 1 argument(s)");
  vtkXGMLReader* vtk_pointer = GetVTKPointer<vtkXGMLReader>(arg[0]);
  Array retval;
  vtkXGMLReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXGMLReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXGMLReader:SafeDownCast vtkXGMLReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXGMLReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXGMLReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXGMLReader requires 2 argument(s)");
  vtkXGMLReader* vtk_pointer = GetVTKPointer<vtkXGMLReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXGMLReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXGMLReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXGMLReader:GetFileName vtkXGMLReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkXGMLReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkXGMLReader requires 1 argument(s)");
  vtkXGMLReader* vtk_pointer = GetVTKPointer<vtkXGMLReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXGMLReader:SetFileName vtkXGMLReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkXGMLReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkXGMLReader requires 2 argument(s)");
  vtkXGMLReader* vtk_pointer = GetVTKPointer<vtkXGMLReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXGMLReader:display vtkXGMLReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXGMLReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXGMLReader* vtk_pointer = GetVTKPointer<vtkXGMLReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXGMLReader:delete vtkXGMLReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkXGMLReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
