#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLTreeReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLTreeReader.h"

//@@Signature
//sfunction @vtkXMLTreeReader:vtkXMLTreeReader vtkXMLTreeReaderConstructorFunction
//input a
//output p
//@@Parents vtkXMLTreeReader vtkTreeAlgorithm 
ArrayVector vtkXMLTreeReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLTreeReader::New(),"vtkXMLTreeReader",eval);
  } else if (arg[0].className() == "vtkXMLTreeReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLTreeReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLTreeReader");
    vtkXMLTreeReader*q = reinterpret_cast<vtkXMLTreeReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLTreeReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLTreeReader:GetClassName vtkXMLTreeReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLTreeReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLTreeReader requires 1 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:IsA vtkXMLTreeReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLTreeReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLTreeReader requires 2 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:NewInstance vtkXMLTreeReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLTreeReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLTreeReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLTreeReader requires 1 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  vtkXMLTreeReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLTreeReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:SafeDownCast vtkXMLTreeReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLTreeReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLTreeReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLTreeReader requires 2 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLTreeReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLTreeReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:GetFileName vtkXMLTreeReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkXMLTreeReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkXMLTreeReader requires 1 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:SetFileName vtkXMLTreeReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkXMLTreeReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkXMLTreeReader requires 2 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:GetXMLString vtkXMLTreeReaderGetXMLStringFunction
//input a0 
//output y
ArrayVector vtkXMLTreeReaderGetXMLStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetXMLString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXMLString for class vtkXMLTreeReader requires 1 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetXMLString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:SetXMLString vtkXMLTreeReaderSetXMLStringFunction
//input a0 a1 
//output none
ArrayVector vtkXMLTreeReaderSetXMLStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXMLString (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetXMLString for class vtkXMLTreeReader requires 2 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetXMLString(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:GetEdgePedigreeIdArrayName vtkXMLTreeReaderGetEdgePedigreeIdArrayNameFunction
//input a0 
//output y
ArrayVector vtkXMLTreeReaderGetEdgePedigreeIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetEdgePedigreeIdArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEdgePedigreeIdArrayName for class vtkXMLTreeReader requires 1 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetEdgePedigreeIdArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:SetEdgePedigreeIdArrayName vtkXMLTreeReaderSetEdgePedigreeIdArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkXMLTreeReaderSetEdgePedigreeIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEdgePedigreeIdArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetEdgePedigreeIdArrayName for class vtkXMLTreeReader requires 2 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetEdgePedigreeIdArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:GetVertexPedigreeIdArrayName vtkXMLTreeReaderGetVertexPedigreeIdArrayNameFunction
//input a0 
//output y
ArrayVector vtkXMLTreeReaderGetVertexPedigreeIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetVertexPedigreeIdArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVertexPedigreeIdArrayName for class vtkXMLTreeReader requires 1 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetVertexPedigreeIdArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:SetVertexPedigreeIdArrayName vtkXMLTreeReaderSetVertexPedigreeIdArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkXMLTreeReaderSetVertexPedigreeIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVertexPedigreeIdArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetVertexPedigreeIdArrayName for class vtkXMLTreeReader requires 2 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetVertexPedigreeIdArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:SetGenerateEdgePedigreeIds vtkXMLTreeReaderSetGenerateEdgePedigreeIdsFunction
//input a0 a1 
//output none
ArrayVector vtkXMLTreeReaderSetGenerateEdgePedigreeIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateEdgePedigreeIds (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateEdgePedigreeIds for class vtkXMLTreeReader requires 2 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetGenerateEdgePedigreeIds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:GetGenerateEdgePedigreeIds vtkXMLTreeReaderGetGenerateEdgePedigreeIdsFunction
//input a0 
//output y
ArrayVector vtkXMLTreeReaderGetGenerateEdgePedigreeIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetGenerateEdgePedigreeIds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateEdgePedigreeIds for class vtkXMLTreeReader requires 1 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetGenerateEdgePedigreeIds();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:GenerateEdgePedigreeIdsOn vtkXMLTreeReaderGenerateEdgePedigreeIdsOnFunction
//input a0 
//output none
ArrayVector vtkXMLTreeReaderGenerateEdgePedigreeIdsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateEdgePedigreeIdsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateEdgePedigreeIdsOn for class vtkXMLTreeReader requires 1 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateEdgePedigreeIdsOn();
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:GenerateEdgePedigreeIdsOff vtkXMLTreeReaderGenerateEdgePedigreeIdsOffFunction
//input a0 
//output none
ArrayVector vtkXMLTreeReaderGenerateEdgePedigreeIdsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateEdgePedigreeIdsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateEdgePedigreeIdsOff for class vtkXMLTreeReader requires 1 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateEdgePedigreeIdsOff();
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:SetGenerateVertexPedigreeIds vtkXMLTreeReaderSetGenerateVertexPedigreeIdsFunction
//input a0 a1 
//output none
ArrayVector vtkXMLTreeReaderSetGenerateVertexPedigreeIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateVertexPedigreeIds (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateVertexPedigreeIds for class vtkXMLTreeReader requires 2 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetGenerateVertexPedigreeIds(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:GetGenerateVertexPedigreeIds vtkXMLTreeReaderGetGenerateVertexPedigreeIdsFunction
//input a0 
//output y
ArrayVector vtkXMLTreeReaderGetGenerateVertexPedigreeIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetGenerateVertexPedigreeIds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateVertexPedigreeIds for class vtkXMLTreeReader requires 1 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetGenerateVertexPedigreeIds();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:GenerateVertexPedigreeIdsOn vtkXMLTreeReaderGenerateVertexPedigreeIdsOnFunction
//input a0 
//output none
ArrayVector vtkXMLTreeReaderGenerateVertexPedigreeIdsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateVertexPedigreeIdsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateVertexPedigreeIdsOn for class vtkXMLTreeReader requires 1 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateVertexPedigreeIdsOn();
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:GenerateVertexPedigreeIdsOff vtkXMLTreeReaderGenerateVertexPedigreeIdsOffFunction
//input a0 
//output none
ArrayVector vtkXMLTreeReaderGenerateVertexPedigreeIdsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateVertexPedigreeIdsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateVertexPedigreeIdsOff for class vtkXMLTreeReader requires 1 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateVertexPedigreeIdsOff();
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:GetMaskArrays vtkXMLTreeReaderGetMaskArraysFunction
//input a0 
//output y
ArrayVector vtkXMLTreeReaderGetMaskArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetMaskArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaskArrays for class vtkXMLTreeReader requires 1 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetMaskArrays();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:SetMaskArrays vtkXMLTreeReaderSetMaskArraysFunction
//input a0 a1 
//output none
ArrayVector vtkXMLTreeReaderSetMaskArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaskArrays (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaskArrays for class vtkXMLTreeReader requires 2 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetMaskArrays(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:MaskArraysOn vtkXMLTreeReaderMaskArraysOnFunction
//input a0 
//output none
ArrayVector vtkXMLTreeReaderMaskArraysOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MaskArraysOn (); */
  if (arg.size() < 1) 
    throw Exception("Function MaskArraysOn for class vtkXMLTreeReader requires 1 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  vtk_pointer->MaskArraysOn();
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:MaskArraysOff vtkXMLTreeReaderMaskArraysOffFunction
//input a0 
//output none
ArrayVector vtkXMLTreeReaderMaskArraysOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MaskArraysOff (); */
  if (arg.size() < 1) 
    throw Exception("Function MaskArraysOff for class vtkXMLTreeReader requires 1 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  vtk_pointer->MaskArraysOff();
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:GetReadCharData vtkXMLTreeReaderGetReadCharDataFunction
//input a0 
//output y
ArrayVector vtkXMLTreeReaderGetReadCharDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetReadCharData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReadCharData for class vtkXMLTreeReader requires 1 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetReadCharData();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:SetReadCharData vtkXMLTreeReaderSetReadCharDataFunction
//input a0 a1 
//output none
ArrayVector vtkXMLTreeReaderSetReadCharDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReadCharData (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReadCharData for class vtkXMLTreeReader requires 2 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetReadCharData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:ReadCharDataOn vtkXMLTreeReaderReadCharDataOnFunction
//input a0 
//output none
ArrayVector vtkXMLTreeReaderReadCharDataOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadCharDataOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadCharDataOn for class vtkXMLTreeReader requires 1 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadCharDataOn();
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:ReadCharDataOff vtkXMLTreeReaderReadCharDataOffFunction
//input a0 
//output none
ArrayVector vtkXMLTreeReaderReadCharDataOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadCharDataOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadCharDataOff for class vtkXMLTreeReader requires 1 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadCharDataOff();
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:GetReadTagName vtkXMLTreeReaderGetReadTagNameFunction
//input a0 
//output y
ArrayVector vtkXMLTreeReaderGetReadTagNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetReadTagName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReadTagName for class vtkXMLTreeReader requires 1 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetReadTagName();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:SetReadTagName vtkXMLTreeReaderSetReadTagNameFunction
//input a0 a1 
//output none
ArrayVector vtkXMLTreeReaderSetReadTagNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReadTagName (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReadTagName for class vtkXMLTreeReader requires 2 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetReadTagName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:ReadTagNameOn vtkXMLTreeReaderReadTagNameOnFunction
//input a0 
//output none
ArrayVector vtkXMLTreeReaderReadTagNameOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadTagNameOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadTagNameOn for class vtkXMLTreeReader requires 1 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadTagNameOn();
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:ReadTagNameOff vtkXMLTreeReaderReadTagNameOffFunction
//input a0 
//output none
ArrayVector vtkXMLTreeReaderReadTagNameOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadTagNameOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadTagNameOff for class vtkXMLTreeReader requires 1 argument(s)");
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadTagNameOff();
  return retval;
}

//@@Signature
//sfunction @vtkXMLTreeReader:display vtkXMLTreeReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLTreeReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLTreeReader* vtk_pointer = GetVTKPointer<vtkXMLTreeReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLTreeReader:delete vtkXMLTreeReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLTreeReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLTreeReader
//@@Section VTKInfovis
//@@Usage
// vtkXMLTreeReader parses an XML file and uses the nesting structure of the
// XML tags to generate a tree.  Node attributes are assigned to node arrays,
// and the special arrays .tagname and .chardata contain the tag type and the
// text internal to the tag, respectively.  The arrays are of type
// vtkStringArray.  There is an array for each attribute type in the XML file,
// even if it appears in only one tag.  If an attribute is missing from a tag,
// its value is the empty string.
//
// If MaskArrays is on (the default is off), the filter will additionally make bit
// arrays whose names are prepended with ".valid." which are 1 if the element 
// contains that attribute, and 0 otherwise. 
//
// For example, the XML file containing the text:
// <pre>
// &lt;node name="jeff" age="26"&gt;
//   this is text in jeff's node
//   &lt;node name="joe"&gt;
//     &lt;node name="al" initials="amb" other="something"/&gt;
//     &lt;node name="dave" age="30"/&gt;
//   &lt;/node&gt;
//   &lt;node name="lisa"&gt;this is text in lisa's node&lt;/node&gt;
//   &lt;node name="darlene" age="29"/&gt;
// &lt;/node&gt;
// </pre>
//
// would be parsed into a tree with the following node IDs and structure:
//
// <pre>
// 0 (jeff) - children: 1 (joe), 4 (lisa), 5 (darlene)
// 1 (joe)  - children: 2 (al), 3 (dave)
// 2 (al)
// 3 (dave)
// 4 (lisa)
// 5 (darlene)
// </pre>
//
// and the node data arrays would be as follows:
//
// <pre>
// name      initials  other     age       .tagname  .chardata
// ------------------------------------------------------------------------------------------------
// jeff      (empty)   (empty)   26         node     "  this is text in jeff's node\n  \n  \n  \n"
// joe       (empty)   (empty)   (empty)    node     "\n    \n    \n  "
// al        amb       something (empty)    node     (empty)
// dave      (empty)   (empty)   30         node     (empty)
// lisa      (empty)   (empty)   (empty)    node     "this is text in lisa's node"
// darlene   (empty)   (empty)   29         node     (empty)
// </pre>
//
// There would also be the following bit arrays if MaskArrays is on:
//
// <pre>
// .valid.name   .valid.initials   .valid.other   .valid.age
// ---------------------------------------------------------
// 1             0                 0              1
// 1             0                 0              0
// 1             1                 1              0
// 1             0                 0              1
// 1             0                 0              0
// 1             0                 0              1
// </pre>
//
//To create an instance of class vtkXMLTreeReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLTreeReader
//@]
//@@Methods
//The class vtkXMLTreeReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLTreeReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLTreeReader = obj.NewInstance ()|
// \item @|vtkXMLTreeReader = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetFileName ()| -  If set, reads in the XML file specified.
//// \item @|obj.SetFileName (string )| -  If set, reads in the XML file specified.
//// \item @|string = obj.GetXMLString ()| -  If set, and FileName is not set, reads in the XML string.
//// \item @|obj.SetXMLString (string )| -  If set, and FileName is not set, reads in the XML string.
//// \item @|string = obj.GetEdgePedigreeIdArrayName ()| -  The name of the edge pedigree ids. Default is "edge id".
//// \item @|obj.SetEdgePedigreeIdArrayName (string )| -  The name of the edge pedigree ids. Default is "edge id".
//// \item @|string = obj.GetVertexPedigreeIdArrayName ()| -  The name of the vertex pedigree ids. Default is "vertex id".
//// \item @|obj.SetVertexPedigreeIdArrayName (string )| -  The name of the vertex pedigree ids. Default is "vertex id".
//// \item @|obj.SetGenerateEdgePedigreeIds (bool )| -  Set whether to use an property from the XML file as pedigree ids (off),
// or generate a new array with integer values starting at zero (on).
// Default is on.
//// \item @|bool = obj.GetGenerateEdgePedigreeIds ()| -  Set whether to use an property from the XML file as pedigree ids (off),
// or generate a new array with integer values starting at zero (on).
// Default is on.
//// \item @|obj.GenerateEdgePedigreeIdsOn ()| -  Set whether to use an property from the XML file as pedigree ids (off),
// or generate a new array with integer values starting at zero (on).
// Default is on.
//// \item @|obj.GenerateEdgePedigreeIdsOff ()| -  Set whether to use an property from the XML file as pedigree ids (off),
// or generate a new array with integer values starting at zero (on).
// Default is on.
//// \item @|obj.SetGenerateVertexPedigreeIds (bool )| -  Set whether to use an property from the XML file as pedigree ids (off),
// or generate a new array with integer values starting at zero (on).
// Default is on.
//// \item @|bool = obj.GetGenerateVertexPedigreeIds ()| -  Set whether to use an property from the XML file as pedigree ids (off),
// or generate a new array with integer values starting at zero (on).
// Default is on.
//// \item @|obj.GenerateVertexPedigreeIdsOn ()| -  Set whether to use an property from the XML file as pedigree ids (off),
// or generate a new array with integer values starting at zero (on).
// Default is on.
//// \item @|obj.GenerateVertexPedigreeIdsOff ()| -  Set whether to use an property from the XML file as pedigree ids (off),
// or generate a new array with integer values starting at zero (on).
// Default is on.
//// \item @|bool = obj.GetMaskArrays ()| -  If on, makes bit arrays for each attribute with name .valid.attribute_name
// for each attribute.  Default is off.
//// \item @|obj.SetMaskArrays (bool )| -  If on, makes bit arrays for each attribute with name .valid.attribute_name
// for each attribute.  Default is off.
//// \item @|obj.MaskArraysOn ()| -  If on, makes bit arrays for each attribute with name .valid.attribute_name
// for each attribute.  Default is off.
//// \item @|obj.MaskArraysOff ()| -  If on, makes bit arrays for each attribute with name .valid.attribute_name
// for each attribute.  Default is off.
//// \item @|bool = obj.GetReadCharData ()| -  If on, stores the XML character data (i.e. textual data between tags)
// into an array named CharDataField, otherwise this field is skipped.
// Default is off.
//// \item @|obj.SetReadCharData (bool )| -  If on, stores the XML character data (i.e. textual data between tags)
// into an array named CharDataField, otherwise this field is skipped.
// Default is off.
//// \item @|obj.ReadCharDataOn ()| -  If on, stores the XML character data (i.e. textual data between tags)
// into an array named CharDataField, otherwise this field is skipped.
// Default is off.
//// \item @|obj.ReadCharDataOff ()| -  If on, stores the XML character data (i.e. textual data between tags)
// into an array named CharDataField, otherwise this field is skipped.
// Default is off.
//// \item @|bool = obj.GetReadTagName ()| -  If on, stores the XML tag name data in a field called .tagname
// otherwise this field is skipped.
// Default is on.
//// \item @|obj.SetReadTagName (bool )| -  If on, stores the XML tag name data in a field called .tagname
// otherwise this field is skipped.
// Default is on.
//// \item @|obj.ReadTagNameOn ()| -  If on, stores the XML tag name data in a field called .tagname
// otherwise this field is skipped.
// Default is on.
//// \item @|obj.ReadTagNameOff ()| -  If on, stores the XML tag name data in a field called .tagname
// otherwise this field is skipped.
// Default is on.
////\end{itemize}
//!
