#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAVSucdReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAVSucdReader.h"

//@@Signature
//sfunction @vtkAVSucdReader:vtkAVSucdReader vtkAVSucdReaderConstructorFunction
//input a
//output p
//@@Parents vtkAVSucdReader vtkUnstructuredGridAlgorithm 
ArrayVector vtkAVSucdReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAVSucdReader::New(),"vtkAVSucdReader",eval);
  } else if (arg[0].className() == "vtkAVSucdReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAVSucdReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAVSucdReader");
    vtkAVSucdReader*q = reinterpret_cast<vtkAVSucdReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAVSucdReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAVSucdReader:GetClassName vtkAVSucdReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAVSucdReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAVSucdReader requires 1 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:IsA vtkAVSucdReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAVSucdReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAVSucdReader requires 2 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:NewInstance vtkAVSucdReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAVSucdReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAVSucdReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAVSucdReader requires 1 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  vtkAVSucdReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAVSucdReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:SafeDownCast vtkAVSucdReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAVSucdReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAVSucdReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAVSucdReader requires 2 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAVSucdReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAVSucdReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:SetFileName vtkAVSucdReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkAVSucdReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkAVSucdReader requires 2 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:GetFileName vtkAVSucdReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkAVSucdReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkAVSucdReader requires 1 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:SetBinaryFile vtkAVSucdReaderSetBinaryFileFunction
//input a0 a1 
//output none
ArrayVector vtkAVSucdReaderSetBinaryFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBinaryFile (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBinaryFile for class vtkAVSucdReader requires 2 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBinaryFile(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:GetBinaryFile vtkAVSucdReaderGetBinaryFileFunction
//input a0 
//output y
ArrayVector vtkAVSucdReaderGetBinaryFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBinaryFile (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBinaryFile for class vtkAVSucdReader requires 1 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBinaryFile();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:BinaryFileOn vtkAVSucdReaderBinaryFileOnFunction
//input a0 
//output none
ArrayVector vtkAVSucdReaderBinaryFileOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BinaryFileOn (); */
  if (arg.size() < 1) 
    throw Exception("Function BinaryFileOn for class vtkAVSucdReader requires 1 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  vtk_pointer->BinaryFileOn();
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:BinaryFileOff vtkAVSucdReaderBinaryFileOffFunction
//input a0 
//output none
ArrayVector vtkAVSucdReaderBinaryFileOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BinaryFileOff (); */
  if (arg.size() < 1) 
    throw Exception("Function BinaryFileOff for class vtkAVSucdReader requires 1 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  vtk_pointer->BinaryFileOff();
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:GetNumberOfCells vtkAVSucdReaderGetNumberOfCellsFunction
//input a0 
//output y
ArrayVector vtkAVSucdReaderGetNumberOfCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCells for class vtkAVSucdReader requires 1 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:GetNumberOfNodes vtkAVSucdReaderGetNumberOfNodesFunction
//input a0 
//output y
ArrayVector vtkAVSucdReaderGetNumberOfNodesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfNodes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfNodes for class vtkAVSucdReader requires 1 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfNodes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:GetNumberOfNodeFields vtkAVSucdReaderGetNumberOfNodeFieldsFunction
//input a0 
//output y
ArrayVector vtkAVSucdReaderGetNumberOfNodeFieldsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfNodeFields (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfNodeFields for class vtkAVSucdReader requires 1 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfNodeFields();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:GetNumberOfCellFields vtkAVSucdReaderGetNumberOfCellFieldsFunction
//input a0 
//output y
ArrayVector vtkAVSucdReaderGetNumberOfCellFieldsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfCellFields (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCellFields for class vtkAVSucdReader requires 1 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfCellFields();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:GetNumberOfFields vtkAVSucdReaderGetNumberOfFieldsFunction
//input a0 
//output y
ArrayVector vtkAVSucdReaderGetNumberOfFieldsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfFields (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFields for class vtkAVSucdReader requires 1 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFields();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:GetNumberOfNodeComponents vtkAVSucdReaderGetNumberOfNodeComponentsFunction
//input a0 
//output y
ArrayVector vtkAVSucdReaderGetNumberOfNodeComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfNodeComponents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfNodeComponents for class vtkAVSucdReader requires 1 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfNodeComponents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:GetNumberOfCellComponents vtkAVSucdReaderGetNumberOfCellComponentsFunction
//input a0 
//output y
ArrayVector vtkAVSucdReaderGetNumberOfCellComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfCellComponents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCellComponents for class vtkAVSucdReader requires 1 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfCellComponents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:SetByteOrderToBigEndian vtkAVSucdReaderSetByteOrderToBigEndianFunction
//input a0 
//output none
ArrayVector vtkAVSucdReaderSetByteOrderToBigEndianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetByteOrderToBigEndian (); */
  if (arg.size() < 1) 
    throw Exception("Function SetByteOrderToBigEndian for class vtkAVSucdReader requires 1 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  vtk_pointer->SetByteOrderToBigEndian();
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:SetByteOrderToLittleEndian vtkAVSucdReaderSetByteOrderToLittleEndianFunction
//input a0 
//output none
ArrayVector vtkAVSucdReaderSetByteOrderToLittleEndianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetByteOrderToLittleEndian (); */
  if (arg.size() < 1) 
    throw Exception("Function SetByteOrderToLittleEndian for class vtkAVSucdReader requires 1 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  vtk_pointer->SetByteOrderToLittleEndian();
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:GetByteOrderAsString vtkAVSucdReaderGetByteOrderAsStringFunction
//input a0 
//output y
ArrayVector vtkAVSucdReaderGetByteOrderAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetByteOrderAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetByteOrderAsString for class vtkAVSucdReader requires 1 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetByteOrderAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:SetByteOrder vtkAVSucdReaderSetByteOrderFunction
//input a0 a1 
//output none
ArrayVector vtkAVSucdReaderSetByteOrderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetByteOrder (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetByteOrder for class vtkAVSucdReader requires 2 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetByteOrder(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:GetByteOrder vtkAVSucdReaderGetByteOrderFunction
//input a0 
//output y
ArrayVector vtkAVSucdReaderGetByteOrderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetByteOrder (); */
  if (arg.size() < 1) 
    throw Exception("Function GetByteOrder for class vtkAVSucdReader requires 1 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetByteOrder();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:GetNumberOfPointArrays vtkAVSucdReaderGetNumberOfPointArraysFunction
//input a0 
//output y
ArrayVector vtkAVSucdReaderGetNumberOfPointArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPointArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPointArrays for class vtkAVSucdReader requires 1 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPointArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:GetNumberOfCellArrays vtkAVSucdReaderGetNumberOfCellArraysFunction
//input a0 
//output y
ArrayVector vtkAVSucdReaderGetNumberOfCellArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfCellArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCellArrays for class vtkAVSucdReader requires 1 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfCellArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:GetPointArrayName vtkAVSucdReaderGetPointArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkAVSucdReaderGetPointArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetPointArrayName (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetPointArrayName for class vtkAVSucdReader requires 2 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPointArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:GetCellArrayName vtkAVSucdReaderGetCellArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkAVSucdReaderGetCellArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetCellArrayName (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellArrayName for class vtkAVSucdReader requires 2 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCellArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:GetPointArrayStatus vtkAVSucdReaderGetPointArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkAVSucdReaderGetPointArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointArrayStatus (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetPointArrayStatus for class vtkAVSucdReader requires 2 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetPointArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:GetCellArrayStatus vtkAVSucdReaderGetCellArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkAVSucdReaderGetCellArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellArrayStatus (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellArrayStatus for class vtkAVSucdReader requires 2 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetCellArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:SetPointArrayStatus vtkAVSucdReaderSetPointArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkAVSucdReaderSetPointArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointArrayStatus (const char *name, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetPointArrayStatus for class vtkAVSucdReader requires 3 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetPointArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:SetCellArrayStatus vtkAVSucdReaderSetCellArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkAVSucdReaderSetCellArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellArrayStatus (const char *name, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetCellArrayStatus for class vtkAVSucdReader requires 3 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetCellArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:DisableAllCellArrays vtkAVSucdReaderDisableAllCellArraysFunction
//input a0 
//output none
ArrayVector vtkAVSucdReaderDisableAllCellArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DisableAllCellArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function DisableAllCellArrays for class vtkAVSucdReader requires 1 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  vtk_pointer->DisableAllCellArrays();
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:EnableAllCellArrays vtkAVSucdReaderEnableAllCellArraysFunction
//input a0 
//output none
ArrayVector vtkAVSucdReaderEnableAllCellArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableAllCellArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableAllCellArrays for class vtkAVSucdReader requires 1 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  vtk_pointer->EnableAllCellArrays();
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:DisableAllPointArrays vtkAVSucdReaderDisableAllPointArraysFunction
//input a0 
//output none
ArrayVector vtkAVSucdReaderDisableAllPointArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DisableAllPointArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function DisableAllPointArrays for class vtkAVSucdReader requires 1 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  vtk_pointer->DisableAllPointArrays();
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:EnableAllPointArrays vtkAVSucdReaderEnableAllPointArraysFunction
//input a0 
//output none
ArrayVector vtkAVSucdReaderEnableAllPointArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableAllPointArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableAllPointArrays for class vtkAVSucdReader requires 1 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  vtk_pointer->EnableAllPointArrays();
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:GetCellDataRange vtkAVSucdReaderGetCellDataRangeFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkAVSucdReaderGetCellDataRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetCellDataRange (int cellComp, int index, float *min, float *max); */
  if (arg.size() < 5) 
    throw Exception("Function GetCellDataRange for class vtkAVSucdReader requires 5 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  float   *temp2;
  float   *temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new float[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (float)data[k+1];
      }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new float[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (float)data[k+1];
      }
  vtk_pointer->GetCellDataRange(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:GetNodeDataRange vtkAVSucdReaderGetNodeDataRangeFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkAVSucdReaderGetNodeDataRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetNodeDataRange (int nodeComp, int index, float *min, float *max); */
  if (arg.size() < 5) 
    throw Exception("Function GetNodeDataRange for class vtkAVSucdReader requires 5 argument(s)");
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  float   *temp2;
  float   *temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new float[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (float)data[k+1];
      }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new float[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (float)data[k+1];
      }
  vtk_pointer->GetNodeDataRange(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkAVSucdReader:display vtkAVSucdReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAVSucdReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAVSucdReader* vtk_pointer = GetVTKPointer<vtkAVSucdReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAVSucdReader:delete vtkAVSucdReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkAVSucdReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAVSucdReader
//@@Section VTKIO
//@@Usage
// vtkAVSucdReader creates an unstructured grid dataset. It reads binary or
// ASCII files stored in UCD format, with optional data stored at the nodes
// or at the cells of the model. A cell-based fielddata stores the material
// id. The class can automatically detect the endian-ness of the binary files.
//
//To create an instance of class vtkAVSucdReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkAVSucdReader
//@]
//@@Methods
//The class vtkAVSucdReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAVSucdReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAVSucdReader = obj.NewInstance ()|
// \item @|vtkAVSucdReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string )| -  Specify file name of AVS UCD datafile to read
//// \item @|string = obj.GetFileName ()| -  Specify file name of AVS UCD datafile to read
//// \item @|obj.SetBinaryFile (int )| -  Is the file to be read written in binary format (as opposed to ascii).
//// \item @|int = obj.GetBinaryFile ()| -  Is the file to be read written in binary format (as opposed to ascii).
//// \item @|obj.BinaryFileOn ()| -  Is the file to be read written in binary format (as opposed to ascii).
//// \item @|obj.BinaryFileOff ()| -  Is the file to be read written in binary format (as opposed to ascii).
//// \item @|int = obj.GetNumberOfCells ()| -  Get the total number of cells.
//// \item @|int = obj.GetNumberOfNodes ()| -  Get the total number of nodes.
//// \item @|int = obj.GetNumberOfNodeFields ()| -  Get the number of data fields at the nodes.
//// \item @|int = obj.GetNumberOfCellFields ()| -  Get the number of data fields at the cell centers.
//// \item @|int = obj.GetNumberOfFields ()| -  Get the number of data fields for the model. Unused because VTK
// has no methods for it.
//// \item @|int = obj.GetNumberOfNodeComponents ()| -  Get the number of data components at the nodes and cells.
//// \item @|int = obj.GetNumberOfCellComponents ()| -  Get the number of data components at the nodes and cells.
//// \item @|obj.SetByteOrderToBigEndian ()| -  Set/Get the endian-ness of the binary file.
//// \item @|obj.SetByteOrderToLittleEndian ()| -  Set/Get the endian-ness of the binary file.
//// \item @|string = obj.GetByteOrderAsString ()| -  Set/Get the endian-ness of the binary file.
//// \item @|obj.SetByteOrder (int )|
// \item @|int = obj.GetByteOrder ()|
// \item @|int = obj.GetNumberOfPointArrays ()| -  The following methods allow selective reading of solutions fields.  by
// default, ALL data fields are the nodes and cells are read, but this can
// be modified.
//// \item @|int = obj.GetNumberOfCellArrays ()| -  The following methods allow selective reading of solutions fields.  by
// default, ALL data fields are the nodes and cells are read, but this can
// be modified.
//// \item @|string = obj.GetPointArrayName (int index)| -  The following methods allow selective reading of solutions fields.  by
// default, ALL data fields are the nodes and cells are read, but this can
// be modified.
//// \item @|string = obj.GetCellArrayName (int index)| -  The following methods allow selective reading of solutions fields.  by
// default, ALL data fields are the nodes and cells are read, but this can
// be modified.
//// \item @|int = obj.GetPointArrayStatus (string name)| -  The following methods allow selective reading of solutions fields.  by
// default, ALL data fields are the nodes and cells are read, but this can
// be modified.
//// \item @|int = obj.GetCellArrayStatus (string name)| -  The following methods allow selective reading of solutions fields.  by
// default, ALL data fields are the nodes and cells are read, but this can
// be modified.
//// \item @|obj.SetPointArrayStatus (string name, int status)| -  The following methods allow selective reading of solutions fields.  by
// default, ALL data fields are the nodes and cells are read, but this can
// be modified.
//// \item @|obj.SetCellArrayStatus (string name, int status)| -  The following methods allow selective reading of solutions fields.  by
// default, ALL data fields are the nodes and cells are read, but this can
// be modified.
//// \item @|obj.DisableAllCellArrays ()|
// \item @|obj.EnableAllCellArrays ()|
// \item @|obj.DisableAllPointArrays ()|
// \item @|obj.EnableAllPointArrays ()|
// \item @|obj.GetCellDataRange (int cellComp, int index, float min, float max)|
// \item @|obj.GetNodeDataRange (int nodeComp, int index, float min, float max)|
//\end{itemize}
//!
