#include "VTKWrap.hpp"

// FreeMat wrapper for vtkAbstractParticleWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkAbstractParticleWriter.h"

//@@Signature
//sfunction @vtkAbstractParticleWriter:vtkAbstractParticleWriter vtkAbstractParticleWriterConstructorFunction
//input a
//output p
//@@Parents vtkAbstractParticleWriter vtkWriter 
ArrayVector vtkAbstractParticleWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkAbstractParticleWriter::New(),"vtkAbstractParticleWriter",eval);
  } else if (arg[0].className() == "vtkAbstractParticleWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkAbstractParticleWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkAbstractParticleWriter");
    vtkAbstractParticleWriter*q = reinterpret_cast<vtkAbstractParticleWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkAbstractParticleWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkAbstractParticleWriter:GetClassName vtkAbstractParticleWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkAbstractParticleWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkAbstractParticleWriter requires 1 argument(s)");
  vtkAbstractParticleWriter* vtk_pointer = GetVTKPointer<vtkAbstractParticleWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractParticleWriter:IsA vtkAbstractParticleWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkAbstractParticleWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkAbstractParticleWriter requires 2 argument(s)");
  vtkAbstractParticleWriter* vtk_pointer = GetVTKPointer<vtkAbstractParticleWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractParticleWriter:NewInstance vtkAbstractParticleWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkAbstractParticleWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractParticleWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkAbstractParticleWriter requires 1 argument(s)");
  vtkAbstractParticleWriter* vtk_pointer = GetVTKPointer<vtkAbstractParticleWriter>(arg[0]);
  Array retval;
  vtkAbstractParticleWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractParticleWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractParticleWriter:SafeDownCast vtkAbstractParticleWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkAbstractParticleWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractParticleWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkAbstractParticleWriter requires 2 argument(s)");
  vtkAbstractParticleWriter* vtk_pointer = GetVTKPointer<vtkAbstractParticleWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkAbstractParticleWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractParticleWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractParticleWriter:SetTimeStep vtkAbstractParticleWriterSetTimeStepFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractParticleWriterSetTimeStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimeStep (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimeStep for class vtkAbstractParticleWriter requires 2 argument(s)");
  vtkAbstractParticleWriter* vtk_pointer = GetVTKPointer<vtkAbstractParticleWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTimeStep(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractParticleWriter:GetTimeStep vtkAbstractParticleWriterGetTimeStepFunction
//input a0 
//output y
ArrayVector vtkAbstractParticleWriterGetTimeStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTimeStep (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimeStep for class vtkAbstractParticleWriter requires 1 argument(s)");
  vtkAbstractParticleWriter* vtk_pointer = GetVTKPointer<vtkAbstractParticleWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTimeStep();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractParticleWriter:SetTimeValue vtkAbstractParticleWriterSetTimeValueFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractParticleWriterSetTimeValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimeValue (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimeValue for class vtkAbstractParticleWriter requires 2 argument(s)");
  vtkAbstractParticleWriter* vtk_pointer = GetVTKPointer<vtkAbstractParticleWriter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTimeValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractParticleWriter:GetTimeValue vtkAbstractParticleWriterGetTimeValueFunction
//input a0 
//output y
ArrayVector vtkAbstractParticleWriterGetTimeValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetTimeValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimeValue for class vtkAbstractParticleWriter requires 1 argument(s)");
  vtkAbstractParticleWriter* vtk_pointer = GetVTKPointer<vtkAbstractParticleWriter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetTimeValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractParticleWriter:SetFileName vtkAbstractParticleWriterSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractParticleWriterSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkAbstractParticleWriter requires 2 argument(s)");
  vtkAbstractParticleWriter* vtk_pointer = GetVTKPointer<vtkAbstractParticleWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractParticleWriter:GetFileName vtkAbstractParticleWriterGetFileNameFunction
//input a0 
//output y
ArrayVector vtkAbstractParticleWriterGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkAbstractParticleWriter requires 1 argument(s)");
  vtkAbstractParticleWriter* vtk_pointer = GetVTKPointer<vtkAbstractParticleWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractParticleWriter:SetCollectiveIO vtkAbstractParticleWriterSetCollectiveIOFunction
//input a0 a1 
//output none
ArrayVector vtkAbstractParticleWriterSetCollectiveIOFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCollectiveIO (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCollectiveIO for class vtkAbstractParticleWriter requires 2 argument(s)");
  vtkAbstractParticleWriter* vtk_pointer = GetVTKPointer<vtkAbstractParticleWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCollectiveIO(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkAbstractParticleWriter:GetCollectiveIO vtkAbstractParticleWriterGetCollectiveIOFunction
//input a0 
//output y
ArrayVector vtkAbstractParticleWriterGetCollectiveIOFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCollectiveIO (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCollectiveIO for class vtkAbstractParticleWriter requires 1 argument(s)");
  vtkAbstractParticleWriter* vtk_pointer = GetVTKPointer<vtkAbstractParticleWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCollectiveIO();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkAbstractParticleWriter:SetWriteModeToCollective vtkAbstractParticleWriterSetWriteModeToCollectiveFunction
//input a0 
//output none
ArrayVector vtkAbstractParticleWriterSetWriteModeToCollectiveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWriteModeToCollective (); */
  if (arg.size() < 1) 
    throw Exception("Function SetWriteModeToCollective for class vtkAbstractParticleWriter requires 1 argument(s)");
  vtkAbstractParticleWriter* vtk_pointer = GetVTKPointer<vtkAbstractParticleWriter>(arg[0]);
  Array retval;
  vtk_pointer->SetWriteModeToCollective();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractParticleWriter:SetWriteModeToIndependent vtkAbstractParticleWriterSetWriteModeToIndependentFunction
//input a0 
//output none
ArrayVector vtkAbstractParticleWriterSetWriteModeToIndependentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWriteModeToIndependent (); */
  if (arg.size() < 1) 
    throw Exception("Function SetWriteModeToIndependent for class vtkAbstractParticleWriter requires 1 argument(s)");
  vtkAbstractParticleWriter* vtk_pointer = GetVTKPointer<vtkAbstractParticleWriter>(arg[0]);
  Array retval;
  vtk_pointer->SetWriteModeToIndependent();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractParticleWriter:CloseFile vtkAbstractParticleWriterCloseFileFunction
//input a0 
//output none
ArrayVector vtkAbstractParticleWriterCloseFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CloseFile () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function CloseFile for class vtkAbstractParticleWriter requires 1 argument(s)");
  vtkAbstractParticleWriter* vtk_pointer = GetVTKPointer<vtkAbstractParticleWriter>(arg[0]);
  Array retval;
  vtk_pointer->CloseFile();
  return retval;
}

//@@Signature
//sfunction @vtkAbstractParticleWriter:display vtkAbstractParticleWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkAbstractParticleWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkAbstractParticleWriter* vtk_pointer = GetVTKPointer<vtkAbstractParticleWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkAbstractParticleWriter:delete vtkAbstractParticleWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkAbstractParticleWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkAbstractParticleWriter
//@@Section VTKIO
//@@Usage
// vtkAbstractParticleWriter is an abstract class which is used by
// vtkTemporalStreamTracer to write particles out during simulations.
// This class is abstract and provides a TimeStep and FileName.
// Subclasses of this should provide the necessary IO.
//
//To create an instance of class vtkAbstractParticleWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkAbstractParticleWriter
//@]
//@@Methods
//The class vtkAbstractParticleWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkAbstractParticleWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkAbstractParticleWriter = obj.NewInstance ()|
// \item @|vtkAbstractParticleWriter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetTimeStep (int )| -  Set/get the TimeStep that is being written
//// \item @|int = obj.GetTimeStep ()| -  Set/get the TimeStep that is being written
//// \item @|obj.SetTimeValue (double )| -  Before writing the current data out, set the TimeValue (optional)
// The TimeValue is a float/double value that corresonds to the real
// time of the data, it may not be regular, whereas the TimeSteps 
// are simple increments.
//// \item @|double = obj.GetTimeValue ()| -  Before writing the current data out, set the TimeValue (optional)
// The TimeValue is a float/double value that corresonds to the real
// time of the data, it may not be regular, whereas the TimeSteps 
// are simple increments.
//// \item @|obj.SetFileName (string )| -  Set/get the FileName that is being written to
//// \item @|string = obj.GetFileName ()| -  Set/get the FileName that is being written to
//// \item @|obj.SetCollectiveIO (int )| -  When running in parallel, this writer may be capable of 
// Collective IO operations (HDF5). By default, this is off.
//// \item @|int = obj.GetCollectiveIO ()| -  When running in parallel, this writer may be capable of 
// Collective IO operations (HDF5). By default, this is off.
//// \item @|obj.SetWriteModeToCollective ()| -  When running in parallel, this writer may be capable of 
// Collective IO operations (HDF5). By default, this is off.
//// \item @|obj.SetWriteModeToIndependent ()| -  When running in parallel, this writer may be capable of 
// Collective IO operations (HDF5). By default, this is off.
//// \item @|obj.CloseFile ()| -  Close the file after a write. This is optional but
// may protect against data loss in between steps
////\end{itemize}
//!
