#include "VTKWrap.hpp"

// FreeMat wrapper for vtkArrayReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkArrayReader.h"

//@@Signature
//sfunction @vtkArrayReader:vtkArrayReader vtkArrayReaderConstructorFunction
//input a
//output p
//@@Parents vtkArrayReader vtkArrayDataAlgorithm 
ArrayVector vtkArrayReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkArrayReader::New(),"vtkArrayReader",eval);
  } else if (arg[0].className() == "vtkArrayReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkArrayReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkArrayReader");
    vtkArrayReader*q = reinterpret_cast<vtkArrayReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkArrayReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkArrayReader:GetClassName vtkArrayReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkArrayReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkArrayReader requires 1 argument(s)");
  vtkArrayReader* vtk_pointer = GetVTKPointer<vtkArrayReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayReader:IsA vtkArrayReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkArrayReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkArrayReader requires 2 argument(s)");
  vtkArrayReader* vtk_pointer = GetVTKPointer<vtkArrayReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayReader:NewInstance vtkArrayReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkArrayReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkArrayReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkArrayReader requires 1 argument(s)");
  vtkArrayReader* vtk_pointer = GetVTKPointer<vtkArrayReader>(arg[0]);
  Array retval;
  vtkArrayReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArrayReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkArrayReader:SafeDownCast vtkArrayReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkArrayReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkArrayReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkArrayReader requires 2 argument(s)");
  vtkArrayReader* vtk_pointer = GetVTKPointer<vtkArrayReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkArrayReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArrayReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkArrayReader:GetFileName vtkArrayReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkArrayReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkArrayReader requires 1 argument(s)");
  vtkArrayReader* vtk_pointer = GetVTKPointer<vtkArrayReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayReader:SetFileName vtkArrayReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkArrayReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkArrayReader requires 2 argument(s)");
  vtkArrayReader* vtk_pointer = GetVTKPointer<vtkArrayReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkArrayReader:display vtkArrayReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkArrayReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkArrayReader* vtk_pointer = GetVTKPointer<vtkArrayReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkArrayReader:delete vtkArrayReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkArrayReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkArrayReader
//@@Section VTKIO
//@@Usage
// Reads sparse and dense vtkArray data written with vtkArrayWriter.
//
// Outputs:
//   Output port 0: vtkArrayData containing a dense or sparse array.
//
//
//To create an instance of class vtkArrayReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkArrayReader
//@]
//@@Methods
//The class vtkArrayReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkArrayReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkArrayReader = obj.NewInstance ()|
// \item @|vtkArrayReader = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetFileName ()| -  Set the filesystem location from which data will be read.
//// \item @|obj.SetFileName (string )| -  Set the filesystem location from which data will be read.
////\end{itemize}
//!
