#include "VTKWrap.hpp"

// FreeMat wrapper for vtkArrayWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkArrayWriter.h"

//@@Signature
//sfunction @vtkArrayWriter:vtkArrayWriter vtkArrayWriterConstructorFunction
//input a
//output p
//@@Parents vtkArrayWriter vtkArrayDataAlgorithm 
ArrayVector vtkArrayWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkArrayWriter::New(),"vtkArrayWriter",eval);
  } else if (arg[0].className() == "vtkArrayWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkArrayWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkArrayWriter");
    vtkArrayWriter*q = reinterpret_cast<vtkArrayWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkArrayWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkArrayWriter:GetClassName vtkArrayWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkArrayWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkArrayWriter requires 1 argument(s)");
  vtkArrayWriter* vtk_pointer = GetVTKPointer<vtkArrayWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayWriter:IsA vtkArrayWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkArrayWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkArrayWriter requires 2 argument(s)");
  vtkArrayWriter* vtk_pointer = GetVTKPointer<vtkArrayWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkArrayWriter:NewInstance vtkArrayWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkArrayWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkArrayWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkArrayWriter requires 1 argument(s)");
  vtkArrayWriter* vtk_pointer = GetVTKPointer<vtkArrayWriter>(arg[0]);
  Array retval;
  vtkArrayWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArrayWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkArrayWriter:SafeDownCast vtkArrayWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkArrayWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkArrayWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkArrayWriter requires 2 argument(s)");
  vtkArrayWriter* vtk_pointer = GetVTKPointer<vtkArrayWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkArrayWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkArrayWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkArrayWriter:Write__1 vtkArrayWriterWrite__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkArrayWriterWrite__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool Write (const vtkStdString &file_name, bool WriteBinaryfalse); */
  if (arg.size() < 3) 
    throw Exception("Function Write__1 for class vtkArrayWriter requires 3 argument(s)");
  vtkArrayWriter* vtk_pointer = GetVTKPointer<vtkArrayWriter>(arg[0]);
  Array retval;
  char    *temp0;
  bool   temp1;
  bool   temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->Write(temp0,temp1);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkArrayWriter:Write__2 vtkArrayWriterWrite__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkArrayWriterWrite__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static bool Write (vtkArray *array, const vtkStdString &file_name, bool WriteBinaryfalse); */
  if (arg.size() < 4) 
    throw Exception("Function Write__2 for class vtkArrayWriter requires 4 argument(s)");
  vtkArrayWriter* vtk_pointer = GetVTKPointer<vtkArrayWriter>(arg[0]);
  Array retval;
  vtkArray  *temp0;
  char    *temp1;
  bool   temp2;
  bool   temp20;
  temp0 = GetVTKPointer<vtkArray>(arg[1]);
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  temp20 = (vtk_pointer)->Write(temp0,temp1,temp2);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkArrayWriter:Write vtkArrayWriterWriteFunction
//input varargin
//output varargout
ArrayVector vtkArrayWriterWriteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkArrayWriterWrite__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsClass(arg[1],"vtkArray") && VTKIsScalarArg(arg[3]))
    return vtkArrayWriterWrite__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkArrayWriterWrite");
}

//@@Signature
//sfunction @vtkArrayWriter:display vtkArrayWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkArrayWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkArrayWriter* vtk_pointer = GetVTKPointer<vtkArrayWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkArrayWriter:delete vtkArrayWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkArrayWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkArrayWriter
//@@Section VTKIO
//@@Usage
// vtkArrayWriter serializes sparse and dense array data using a text-based
// format that is human-readable and easily parsed (default option).  The 
// WriteBinary array option can be set to true in the Write method, which 
// will serialize the sparse and dense array data using a binary format that 
// is optimized for rapid throughput.
//
// Inputs:
//   Input port 0: (required) vtkArrayData object containing a sparse or dense array.
//
// Output Format:
//   The first line of output will contain the array type (sparse or dense) and the
//   type of values stored in the array (double, integer, string, etc).
//
//   The second line of output will contain the array extents along each dimension
//   of the array, followed by the number of non-null values stored in the array.
//
//   For sparse arrays, each subsequent line of output will contain the coordinates
//   and value for each non-null value stored in the array.
//
//   For dense arrays, each subsequent line of output will contain one value from the
//   array, stored in the same order as that used by vtkArrayCoordinateIterator.
//
//
//To create an instance of class vtkArrayWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkArrayWriter
//@]
//@@Methods
//The class vtkArrayWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkArrayWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkArrayWriter = obj.NewInstance ()|
// \item @|vtkArrayWriter = obj.SafeDownCast (vtkObject o)|
// \item @|bool = obj.Write (vtkStdString &file_name, bool WriteBinaryfalse)| -  Write input port 0 data to a file.
////\end{itemize}
//!
