#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBMPReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBMPReader.h"

//@@Signature
//sfunction @vtkBMPReader:vtkBMPReader vtkBMPReaderConstructorFunction
//input a
//output p
//@@Parents vtkBMPReader vtkImageReader 
ArrayVector vtkBMPReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBMPReader::New(),"vtkBMPReader",eval);
  } else if (arg[0].className() == "vtkBMPReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBMPReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBMPReader");
    vtkBMPReader*q = reinterpret_cast<vtkBMPReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBMPReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBMPReader:GetClassName vtkBMPReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBMPReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBMPReader requires 1 argument(s)");
  vtkBMPReader* vtk_pointer = GetVTKPointer<vtkBMPReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBMPReader:IsA vtkBMPReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBMPReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBMPReader requires 2 argument(s)");
  vtkBMPReader* vtk_pointer = GetVTKPointer<vtkBMPReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBMPReader:NewInstance vtkBMPReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBMPReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBMPReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBMPReader requires 1 argument(s)");
  vtkBMPReader* vtk_pointer = GetVTKPointer<vtkBMPReader>(arg[0]);
  Array retval;
  vtkBMPReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBMPReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBMPReader:SafeDownCast vtkBMPReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBMPReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBMPReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBMPReader requires 2 argument(s)");
  vtkBMPReader* vtk_pointer = GetVTKPointer<vtkBMPReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBMPReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBMPReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBMPReader:GetDepth vtkBMPReaderGetDepthFunction
//input a0 
//output y
ArrayVector vtkBMPReaderGetDepthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDepth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDepth for class vtkBMPReader requires 1 argument(s)");
  vtkBMPReader* vtk_pointer = GetVTKPointer<vtkBMPReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDepth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBMPReader:CanReadFile vtkBMPReaderCanReadFileFunction
//input a0 a1 
//output y
ArrayVector vtkBMPReaderCanReadFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int CanReadFile (const char *fname); */
  if (arg.size() < 2) 
    throw Exception("Function CanReadFile for class vtkBMPReader requires 2 argument(s)");
  vtkBMPReader* vtk_pointer = GetVTKPointer<vtkBMPReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CanReadFile(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBMPReader:GetFileExtensions vtkBMPReaderGetFileExtensionsFunction
//input a0 
//output y
ArrayVector vtkBMPReaderGetFileExtensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetFileExtensions ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetFileExtensions for class vtkBMPReader requires 1 argument(s)");
  vtkBMPReader* vtk_pointer = GetVTKPointer<vtkBMPReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetFileExtensions();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBMPReader:GetDescriptiveName vtkBMPReaderGetDescriptiveNameFunction
//input a0 
//output y
ArrayVector vtkBMPReaderGetDescriptiveNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetDescriptiveName ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetDescriptiveName for class vtkBMPReader requires 1 argument(s)");
  vtkBMPReader* vtk_pointer = GetVTKPointer<vtkBMPReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDescriptiveName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBMPReader:SetAllow8BitBMP vtkBMPReaderSetAllow8BitBMPFunction
//input a0 a1 
//output none
ArrayVector vtkBMPReaderSetAllow8BitBMPFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAllow8BitBMP (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAllow8BitBMP for class vtkBMPReader requires 2 argument(s)");
  vtkBMPReader* vtk_pointer = GetVTKPointer<vtkBMPReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAllow8BitBMP(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBMPReader:GetAllow8BitBMP vtkBMPReaderGetAllow8BitBMPFunction
//input a0 
//output y
ArrayVector vtkBMPReaderGetAllow8BitBMPFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAllow8BitBMP (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAllow8BitBMP for class vtkBMPReader requires 1 argument(s)");
  vtkBMPReader* vtk_pointer = GetVTKPointer<vtkBMPReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAllow8BitBMP();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBMPReader:Allow8BitBMPOn vtkBMPReaderAllow8BitBMPOnFunction
//input a0 
//output none
ArrayVector vtkBMPReaderAllow8BitBMPOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Allow8BitBMPOn (); */
  if (arg.size() < 1) 
    throw Exception("Function Allow8BitBMPOn for class vtkBMPReader requires 1 argument(s)");
  vtkBMPReader* vtk_pointer = GetVTKPointer<vtkBMPReader>(arg[0]);
  Array retval;
  vtk_pointer->Allow8BitBMPOn();
  return retval;
}

//@@Signature
//sfunction @vtkBMPReader:Allow8BitBMPOff vtkBMPReaderAllow8BitBMPOffFunction
//input a0 
//output none
ArrayVector vtkBMPReaderAllow8BitBMPOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Allow8BitBMPOff (); */
  if (arg.size() < 1) 
    throw Exception("Function Allow8BitBMPOff for class vtkBMPReader requires 1 argument(s)");
  vtkBMPReader* vtk_pointer = GetVTKPointer<vtkBMPReader>(arg[0]);
  Array retval;
  vtk_pointer->Allow8BitBMPOff();
  return retval;
}

//@@Signature
//sfunction @vtkBMPReader:GetLookupTable vtkBMPReaderGetLookupTableFunction
//input a0 
//output y
ArrayVector vtkBMPReaderGetLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkLookupTable *GetLookupTable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLookupTable for class vtkBMPReader requires 1 argument(s)");
  vtkBMPReader* vtk_pointer = GetVTKPointer<vtkBMPReader>(arg[0]);
  Array retval;
  vtkLookupTable  *temp20;
  temp20 = (vtk_pointer)->GetLookupTable();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkLookupTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBMPReader:display vtkBMPReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBMPReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBMPReader* vtk_pointer = GetVTKPointer<vtkBMPReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBMPReader:delete vtkBMPReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkBMPReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBMPReader
//@@Section VTKIO
//@@Usage
// vtkBMPReader is a source object that reads Windows BMP files.
// This includes indexed and 24bit bitmaps
// Usually, all BMPs are converted to 24bit RGB, but BMPs may be output
// as 8bit images with a LookupTable if the Allow8BitBMP flag is set.
//
// BMPReader creates structured point datasets. The dimension of the 
// dataset depends upon the number of files read. Reading a single file 
// results in a 2D image, while reading more than one file results in a 
// 3D volume.
//
// To read a volume, files must be of the form "FileName.<number>"
// (e.g., foo.bmp.0, foo.bmp.1, ...). You must also specify the image 
// range. This range specifies the beginning and ending files to read (range
// can be any pair of non-negative numbers). 
//
// The default behavior is to read a single file. In this case, the form
// of the file is simply "FileName" (e.g., foo.bmp).
//
//To create an instance of class vtkBMPReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkBMPReader
//@]
//@@Methods
//The class vtkBMPReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBMPReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkBMPReader = obj.NewInstance ()|
// \item @|vtkBMPReader = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetDepth ()| -  Returns the depth of the BMP, either 8 or 24.
//// \item @|int = obj.CanReadFile (string fname)| -  Is the given file a BMP file?
//// \item @|string = obj.GetFileExtensions ()| -  Return a descriptive name for the file format that might be useful in a GUI.
//// \item @|string = obj.GetDescriptiveName ()| -  If this flag is set and the BMP reader encounters an 8bit file,
// the data will be kept as unsigned chars and a lookuptable will be
// exported
//// \item @|obj.SetAllow8BitBMP (int )| -  If this flag is set and the BMP reader encounters an 8bit file,
// the data will be kept as unsigned chars and a lookuptable will be
// exported
//// \item @|int = obj.GetAllow8BitBMP ()| -  If this flag is set and the BMP reader encounters an 8bit file,
// the data will be kept as unsigned chars and a lookuptable will be
// exported
//// \item @|obj.Allow8BitBMPOn ()| -  If this flag is set and the BMP reader encounters an 8bit file,
// the data will be kept as unsigned chars and a lookuptable will be
// exported
//// \item @|obj.Allow8BitBMPOff ()| -  If this flag is set and the BMP reader encounters an 8bit file,
// the data will be kept as unsigned chars and a lookuptable will be
// exported
//// \item @|vtkLookupTable = obj.GetLookupTable ()|
//\end{itemize}
//!
