#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBMPWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBMPWriter.h"

//@@Signature
//sfunction @vtkBMPWriter:vtkBMPWriter vtkBMPWriterConstructorFunction
//input a
//output p
//@@Parents vtkBMPWriter vtkImageWriter 
ArrayVector vtkBMPWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBMPWriter::New(),"vtkBMPWriter",eval);
  } else if (arg[0].className() == "vtkBMPWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBMPWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBMPWriter");
    vtkBMPWriter*q = reinterpret_cast<vtkBMPWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBMPWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBMPWriter:GetClassName vtkBMPWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBMPWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBMPWriter requires 1 argument(s)");
  vtkBMPWriter* vtk_pointer = GetVTKPointer<vtkBMPWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBMPWriter:IsA vtkBMPWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBMPWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBMPWriter requires 2 argument(s)");
  vtkBMPWriter* vtk_pointer = GetVTKPointer<vtkBMPWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBMPWriter:NewInstance vtkBMPWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBMPWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBMPWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBMPWriter requires 1 argument(s)");
  vtkBMPWriter* vtk_pointer = GetVTKPointer<vtkBMPWriter>(arg[0]);
  Array retval;
  vtkBMPWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBMPWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBMPWriter:SafeDownCast vtkBMPWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBMPWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBMPWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBMPWriter requires 2 argument(s)");
  vtkBMPWriter* vtk_pointer = GetVTKPointer<vtkBMPWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBMPWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBMPWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBMPWriter:display vtkBMPWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBMPWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBMPWriter* vtk_pointer = GetVTKPointer<vtkBMPWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBMPWriter:delete vtkBMPWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkBMPWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBMPWriter
//@@Section VTKIO
//@@Usage
// vtkBMPWriter writes BMP files. The data type
// of the file is unsigned char regardless of the input type.
//
//To create an instance of class vtkBMPWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkBMPWriter
//@]
//@@Methods
//The class vtkBMPWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBMPWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkBMPWriter = obj.NewInstance ()|
// \item @|vtkBMPWriter = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
