#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBYUReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBYUReader.h"

//@@Signature
//sfunction @vtkBYUReader:vtkBYUReader vtkBYUReaderConstructorFunction
//input a
//output p
//@@Parents vtkBYUReader vtkPolyDataAlgorithm 
ArrayVector vtkBYUReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBYUReader::New(),"vtkBYUReader",eval);
  } else if (arg[0].className() == "vtkBYUReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBYUReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBYUReader");
    vtkBYUReader*q = reinterpret_cast<vtkBYUReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBYUReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBYUReader:GetClassName vtkBYUReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBYUReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBYUReader requires 1 argument(s)");
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBYUReader:IsA vtkBYUReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBYUReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBYUReader requires 2 argument(s)");
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBYUReader:NewInstance vtkBYUReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBYUReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBYUReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBYUReader requires 1 argument(s)");
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  Array retval;
  vtkBYUReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBYUReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBYUReader:SafeDownCast vtkBYUReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBYUReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBYUReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBYUReader requires 2 argument(s)");
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBYUReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBYUReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBYUReader:SetGeometryFileName vtkBYUReaderSetGeometryFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkBYUReaderSetGeometryFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGeometryFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetGeometryFileName for class vtkBYUReader requires 2 argument(s)");
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetGeometryFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBYUReader:GetGeometryFileName vtkBYUReaderGetGeometryFileNameFunction
//input a0 
//output y
ArrayVector vtkBYUReaderGetGeometryFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetGeometryFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGeometryFileName for class vtkBYUReader requires 1 argument(s)");
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetGeometryFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBYUReader:SetFileName vtkBYUReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkBYUReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetFileName (const char *f);this SetGeometryFileName f  */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkBYUReader requires 2 argument(s)");
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBYUReader:GetFileName vtkBYUReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkBYUReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual char *GetFileName ();return this GetGeometryFileName  */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkBYUReader requires 1 argument(s)");
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBYUReader:SetDisplacementFileName vtkBYUReaderSetDisplacementFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkBYUReaderSetDisplacementFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDisplacementFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetDisplacementFileName for class vtkBYUReader requires 2 argument(s)");
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetDisplacementFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBYUReader:GetDisplacementFileName vtkBYUReaderGetDisplacementFileNameFunction
//input a0 
//output y
ArrayVector vtkBYUReaderGetDisplacementFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetDisplacementFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDisplacementFileName for class vtkBYUReader requires 1 argument(s)");
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetDisplacementFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBYUReader:SetScalarFileName vtkBYUReaderSetScalarFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkBYUReaderSetScalarFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarFileName for class vtkBYUReader requires 2 argument(s)");
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetScalarFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBYUReader:GetScalarFileName vtkBYUReaderGetScalarFileNameFunction
//input a0 
//output y
ArrayVector vtkBYUReaderGetScalarFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetScalarFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarFileName for class vtkBYUReader requires 1 argument(s)");
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetScalarFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBYUReader:SetTextureFileName vtkBYUReaderSetTextureFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkBYUReaderSetTextureFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTextureFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextureFileName for class vtkBYUReader requires 2 argument(s)");
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetTextureFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBYUReader:GetTextureFileName vtkBYUReaderGetTextureFileNameFunction
//input a0 
//output y
ArrayVector vtkBYUReaderGetTextureFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetTextureFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureFileName for class vtkBYUReader requires 1 argument(s)");
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetTextureFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBYUReader:SetReadDisplacement vtkBYUReaderSetReadDisplacementFunction
//input a0 a1 
//output none
ArrayVector vtkBYUReaderSetReadDisplacementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReadDisplacement (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReadDisplacement for class vtkBYUReader requires 2 argument(s)");
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReadDisplacement(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBYUReader:GetReadDisplacement vtkBYUReaderGetReadDisplacementFunction
//input a0 
//output y
ArrayVector vtkBYUReaderGetReadDisplacementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReadDisplacement (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReadDisplacement for class vtkBYUReader requires 1 argument(s)");
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReadDisplacement();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBYUReader:ReadDisplacementOn vtkBYUReaderReadDisplacementOnFunction
//input a0 
//output none
ArrayVector vtkBYUReaderReadDisplacementOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadDisplacementOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadDisplacementOn for class vtkBYUReader requires 1 argument(s)");
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadDisplacementOn();
  return retval;
}

//@@Signature
//sfunction @vtkBYUReader:ReadDisplacementOff vtkBYUReaderReadDisplacementOffFunction
//input a0 
//output none
ArrayVector vtkBYUReaderReadDisplacementOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadDisplacementOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadDisplacementOff for class vtkBYUReader requires 1 argument(s)");
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadDisplacementOff();
  return retval;
}

//@@Signature
//sfunction @vtkBYUReader:SetReadScalar vtkBYUReaderSetReadScalarFunction
//input a0 a1 
//output none
ArrayVector vtkBYUReaderSetReadScalarFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReadScalar (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReadScalar for class vtkBYUReader requires 2 argument(s)");
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReadScalar(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBYUReader:GetReadScalar vtkBYUReaderGetReadScalarFunction
//input a0 
//output y
ArrayVector vtkBYUReaderGetReadScalarFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReadScalar (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReadScalar for class vtkBYUReader requires 1 argument(s)");
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReadScalar();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBYUReader:ReadScalarOn vtkBYUReaderReadScalarOnFunction
//input a0 
//output none
ArrayVector vtkBYUReaderReadScalarOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadScalarOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadScalarOn for class vtkBYUReader requires 1 argument(s)");
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadScalarOn();
  return retval;
}

//@@Signature
//sfunction @vtkBYUReader:ReadScalarOff vtkBYUReaderReadScalarOffFunction
//input a0 
//output none
ArrayVector vtkBYUReaderReadScalarOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadScalarOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadScalarOff for class vtkBYUReader requires 1 argument(s)");
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadScalarOff();
  return retval;
}

//@@Signature
//sfunction @vtkBYUReader:SetReadTexture vtkBYUReaderSetReadTextureFunction
//input a0 a1 
//output none
ArrayVector vtkBYUReaderSetReadTextureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReadTexture (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReadTexture for class vtkBYUReader requires 2 argument(s)");
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReadTexture(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBYUReader:GetReadTexture vtkBYUReaderGetReadTextureFunction
//input a0 
//output y
ArrayVector vtkBYUReaderGetReadTextureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReadTexture (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReadTexture for class vtkBYUReader requires 1 argument(s)");
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReadTexture();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBYUReader:ReadTextureOn vtkBYUReaderReadTextureOnFunction
//input a0 
//output none
ArrayVector vtkBYUReaderReadTextureOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadTextureOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadTextureOn for class vtkBYUReader requires 1 argument(s)");
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadTextureOn();
  return retval;
}

//@@Signature
//sfunction @vtkBYUReader:ReadTextureOff vtkBYUReaderReadTextureOffFunction
//input a0 
//output none
ArrayVector vtkBYUReaderReadTextureOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadTextureOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadTextureOff for class vtkBYUReader requires 1 argument(s)");
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadTextureOff();
  return retval;
}

//@@Signature
//sfunction @vtkBYUReader:SetPartNumber vtkBYUReaderSetPartNumberFunction
//input a0 a1 
//output none
ArrayVector vtkBYUReaderSetPartNumberFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPartNumber (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPartNumber for class vtkBYUReader requires 2 argument(s)");
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPartNumber(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBYUReader:GetPartNumberMinValue vtkBYUReaderGetPartNumberMinValueFunction
//input a0 
//output y
ArrayVector vtkBYUReaderGetPartNumberMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPartNumberMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPartNumberMinValue for class vtkBYUReader requires 1 argument(s)");
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPartNumberMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBYUReader:GetPartNumberMaxValue vtkBYUReaderGetPartNumberMaxValueFunction
//input a0 
//output y
ArrayVector vtkBYUReaderGetPartNumberMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPartNumberMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPartNumberMaxValue for class vtkBYUReader requires 1 argument(s)");
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPartNumberMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBYUReader:GetPartNumber vtkBYUReaderGetPartNumberFunction
//input a0 
//output y
ArrayVector vtkBYUReaderGetPartNumberFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPartNumber (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPartNumber for class vtkBYUReader requires 1 argument(s)");
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPartNumber();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBYUReader:CanReadFile vtkBYUReaderCanReadFileFunction
//input a0 a1 
//output y
ArrayVector vtkBYUReaderCanReadFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int CanReadFile (const char *filename); */
  if (arg.size() < 2) 
    throw Exception("Function CanReadFile for class vtkBYUReader requires 2 argument(s)");
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CanReadFile(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBYUReader:display vtkBYUReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBYUReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBYUReader* vtk_pointer = GetVTKPointer<vtkBYUReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBYUReader:delete vtkBYUReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkBYUReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBYUReader
//@@Section VTKIO
//@@Usage
// vtkBYUReader is a source object that reads MOVIE.BYU polygon files.
// These files consist of a geometry file (.g), a scalar file (.s), a 
// displacement or vector file (.d), and a 2D texture coordinate file
// (.t).
//
//To create an instance of class vtkBYUReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkBYUReader
//@]
//@@Methods
//The class vtkBYUReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBYUReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkBYUReader = obj.NewInstance ()|
// \item @|vtkBYUReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetGeometryFileName (string )| -  Specify name of geometry FileName.
//// \item @|string = obj.GetGeometryFileName ()| -  Specify name of geometry FileName.
//// \item @|obj.SetFileName (string f)| -  Specify name of geometry FileName (alias).
//// \item @|string = obj.GetFileName ()| -  Specify name of displacement FileName.
//// \item @|obj.SetDisplacementFileName (string )| -  Specify name of displacement FileName.
//// \item @|string = obj.GetDisplacementFileName ()| -  Specify name of displacement FileName.
//// \item @|obj.SetScalarFileName (string )| -  Specify name of scalar FileName.
//// \item @|string = obj.GetScalarFileName ()| -  Specify name of scalar FileName.
//// \item @|obj.SetTextureFileName (string )| -  Specify name of texture coordinates FileName.
//// \item @|string = obj.GetTextureFileName ()| -  Specify name of texture coordinates FileName.
//// \item @|obj.SetReadDisplacement (int )| -  Turn on/off the reading of the displacement file.
//// \item @|int = obj.GetReadDisplacement ()| -  Turn on/off the reading of the displacement file.
//// \item @|obj.ReadDisplacementOn ()| -  Turn on/off the reading of the displacement file.
//// \item @|obj.ReadDisplacementOff ()| -  Turn on/off the reading of the displacement file.
//// \item @|obj.SetReadScalar (int )| -  Turn on/off the reading of the scalar file.
//// \item @|int = obj.GetReadScalar ()| -  Turn on/off the reading of the scalar file.
//// \item @|obj.ReadScalarOn ()| -  Turn on/off the reading of the scalar file.
//// \item @|obj.ReadScalarOff ()| -  Turn on/off the reading of the scalar file.
//// \item @|obj.SetReadTexture (int )| -  Turn on/off the reading of the texture coordinate file.
// Specify name of geometry FileName.
//// \item @|int = obj.GetReadTexture ()| -  Turn on/off the reading of the texture coordinate file.
// Specify name of geometry FileName.
//// \item @|obj.ReadTextureOn ()| -  Turn on/off the reading of the texture coordinate file.
// Specify name of geometry FileName.
//// \item @|obj.ReadTextureOff ()| -  Turn on/off the reading of the texture coordinate file.
// Specify name of geometry FileName.
//// \item @|obj.SetPartNumber (int )| -  Set/Get the part number to be read.
//// \item @|int = obj.GetPartNumberMinValue ()| -  Set/Get the part number to be read.
//// \item @|int = obj.GetPartNumberMaxValue ()| -  Set/Get the part number to be read.
//// \item @|int = obj.GetPartNumber ()| -  Set/Get the part number to be read.
////\end{itemize}
//!
