#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBYUWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBYUWriter.h"

//@@Signature
//sfunction @vtkBYUWriter:vtkBYUWriter vtkBYUWriterConstructorFunction
//input a
//output p
//@@Parents vtkBYUWriter vtkPolyDataWriter 
ArrayVector vtkBYUWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBYUWriter::New(),"vtkBYUWriter",eval);
  } else if (arg[0].className() == "vtkBYUWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBYUWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBYUWriter");
    vtkBYUWriter*q = reinterpret_cast<vtkBYUWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBYUWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBYUWriter:GetClassName vtkBYUWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBYUWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBYUWriter requires 1 argument(s)");
  vtkBYUWriter* vtk_pointer = GetVTKPointer<vtkBYUWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBYUWriter:IsA vtkBYUWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBYUWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBYUWriter requires 2 argument(s)");
  vtkBYUWriter* vtk_pointer = GetVTKPointer<vtkBYUWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBYUWriter:NewInstance vtkBYUWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBYUWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBYUWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBYUWriter requires 1 argument(s)");
  vtkBYUWriter* vtk_pointer = GetVTKPointer<vtkBYUWriter>(arg[0]);
  Array retval;
  vtkBYUWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBYUWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBYUWriter:SafeDownCast vtkBYUWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBYUWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBYUWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBYUWriter requires 2 argument(s)");
  vtkBYUWriter* vtk_pointer = GetVTKPointer<vtkBYUWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBYUWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBYUWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBYUWriter:SetGeometryFileName vtkBYUWriterSetGeometryFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkBYUWriterSetGeometryFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGeometryFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetGeometryFileName for class vtkBYUWriter requires 2 argument(s)");
  vtkBYUWriter* vtk_pointer = GetVTKPointer<vtkBYUWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetGeometryFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBYUWriter:GetGeometryFileName vtkBYUWriterGetGeometryFileNameFunction
//input a0 
//output y
ArrayVector vtkBYUWriterGetGeometryFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetGeometryFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGeometryFileName for class vtkBYUWriter requires 1 argument(s)");
  vtkBYUWriter* vtk_pointer = GetVTKPointer<vtkBYUWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetGeometryFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBYUWriter:SetDisplacementFileName vtkBYUWriterSetDisplacementFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkBYUWriterSetDisplacementFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDisplacementFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetDisplacementFileName for class vtkBYUWriter requires 2 argument(s)");
  vtkBYUWriter* vtk_pointer = GetVTKPointer<vtkBYUWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetDisplacementFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBYUWriter:GetDisplacementFileName vtkBYUWriterGetDisplacementFileNameFunction
//input a0 
//output y
ArrayVector vtkBYUWriterGetDisplacementFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetDisplacementFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDisplacementFileName for class vtkBYUWriter requires 1 argument(s)");
  vtkBYUWriter* vtk_pointer = GetVTKPointer<vtkBYUWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetDisplacementFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBYUWriter:SetScalarFileName vtkBYUWriterSetScalarFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkBYUWriterSetScalarFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarFileName for class vtkBYUWriter requires 2 argument(s)");
  vtkBYUWriter* vtk_pointer = GetVTKPointer<vtkBYUWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetScalarFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBYUWriter:GetScalarFileName vtkBYUWriterGetScalarFileNameFunction
//input a0 
//output y
ArrayVector vtkBYUWriterGetScalarFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetScalarFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarFileName for class vtkBYUWriter requires 1 argument(s)");
  vtkBYUWriter* vtk_pointer = GetVTKPointer<vtkBYUWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetScalarFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBYUWriter:SetTextureFileName vtkBYUWriterSetTextureFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkBYUWriterSetTextureFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTextureFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTextureFileName for class vtkBYUWriter requires 2 argument(s)");
  vtkBYUWriter* vtk_pointer = GetVTKPointer<vtkBYUWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetTextureFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBYUWriter:GetTextureFileName vtkBYUWriterGetTextureFileNameFunction
//input a0 
//output y
ArrayVector vtkBYUWriterGetTextureFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetTextureFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTextureFileName for class vtkBYUWriter requires 1 argument(s)");
  vtkBYUWriter* vtk_pointer = GetVTKPointer<vtkBYUWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetTextureFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBYUWriter:SetWriteDisplacement vtkBYUWriterSetWriteDisplacementFunction
//input a0 a1 
//output none
ArrayVector vtkBYUWriterSetWriteDisplacementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWriteDisplacement (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetWriteDisplacement for class vtkBYUWriter requires 2 argument(s)");
  vtkBYUWriter* vtk_pointer = GetVTKPointer<vtkBYUWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetWriteDisplacement(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBYUWriter:GetWriteDisplacement vtkBYUWriterGetWriteDisplacementFunction
//input a0 
//output y
ArrayVector vtkBYUWriterGetWriteDisplacementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWriteDisplacement (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWriteDisplacement for class vtkBYUWriter requires 1 argument(s)");
  vtkBYUWriter* vtk_pointer = GetVTKPointer<vtkBYUWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWriteDisplacement();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBYUWriter:WriteDisplacementOn vtkBYUWriterWriteDisplacementOnFunction
//input a0 
//output none
ArrayVector vtkBYUWriterWriteDisplacementOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WriteDisplacementOn (); */
  if (arg.size() < 1) 
    throw Exception("Function WriteDisplacementOn for class vtkBYUWriter requires 1 argument(s)");
  vtkBYUWriter* vtk_pointer = GetVTKPointer<vtkBYUWriter>(arg[0]);
  Array retval;
  vtk_pointer->WriteDisplacementOn();
  return retval;
}

//@@Signature
//sfunction @vtkBYUWriter:WriteDisplacementOff vtkBYUWriterWriteDisplacementOffFunction
//input a0 
//output none
ArrayVector vtkBYUWriterWriteDisplacementOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WriteDisplacementOff (); */
  if (arg.size() < 1) 
    throw Exception("Function WriteDisplacementOff for class vtkBYUWriter requires 1 argument(s)");
  vtkBYUWriter* vtk_pointer = GetVTKPointer<vtkBYUWriter>(arg[0]);
  Array retval;
  vtk_pointer->WriteDisplacementOff();
  return retval;
}

//@@Signature
//sfunction @vtkBYUWriter:SetWriteScalar vtkBYUWriterSetWriteScalarFunction
//input a0 a1 
//output none
ArrayVector vtkBYUWriterSetWriteScalarFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWriteScalar (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetWriteScalar for class vtkBYUWriter requires 2 argument(s)");
  vtkBYUWriter* vtk_pointer = GetVTKPointer<vtkBYUWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetWriteScalar(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBYUWriter:GetWriteScalar vtkBYUWriterGetWriteScalarFunction
//input a0 
//output y
ArrayVector vtkBYUWriterGetWriteScalarFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWriteScalar (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWriteScalar for class vtkBYUWriter requires 1 argument(s)");
  vtkBYUWriter* vtk_pointer = GetVTKPointer<vtkBYUWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWriteScalar();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBYUWriter:WriteScalarOn vtkBYUWriterWriteScalarOnFunction
//input a0 
//output none
ArrayVector vtkBYUWriterWriteScalarOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WriteScalarOn (); */
  if (arg.size() < 1) 
    throw Exception("Function WriteScalarOn for class vtkBYUWriter requires 1 argument(s)");
  vtkBYUWriter* vtk_pointer = GetVTKPointer<vtkBYUWriter>(arg[0]);
  Array retval;
  vtk_pointer->WriteScalarOn();
  return retval;
}

//@@Signature
//sfunction @vtkBYUWriter:WriteScalarOff vtkBYUWriterWriteScalarOffFunction
//input a0 
//output none
ArrayVector vtkBYUWriterWriteScalarOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WriteScalarOff (); */
  if (arg.size() < 1) 
    throw Exception("Function WriteScalarOff for class vtkBYUWriter requires 1 argument(s)");
  vtkBYUWriter* vtk_pointer = GetVTKPointer<vtkBYUWriter>(arg[0]);
  Array retval;
  vtk_pointer->WriteScalarOff();
  return retval;
}

//@@Signature
//sfunction @vtkBYUWriter:SetWriteTexture vtkBYUWriterSetWriteTextureFunction
//input a0 a1 
//output none
ArrayVector vtkBYUWriterSetWriteTextureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWriteTexture (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetWriteTexture for class vtkBYUWriter requires 2 argument(s)");
  vtkBYUWriter* vtk_pointer = GetVTKPointer<vtkBYUWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetWriteTexture(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBYUWriter:GetWriteTexture vtkBYUWriterGetWriteTextureFunction
//input a0 
//output y
ArrayVector vtkBYUWriterGetWriteTextureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWriteTexture (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWriteTexture for class vtkBYUWriter requires 1 argument(s)");
  vtkBYUWriter* vtk_pointer = GetVTKPointer<vtkBYUWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWriteTexture();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBYUWriter:WriteTextureOn vtkBYUWriterWriteTextureOnFunction
//input a0 
//output none
ArrayVector vtkBYUWriterWriteTextureOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WriteTextureOn (); */
  if (arg.size() < 1) 
    throw Exception("Function WriteTextureOn for class vtkBYUWriter requires 1 argument(s)");
  vtkBYUWriter* vtk_pointer = GetVTKPointer<vtkBYUWriter>(arg[0]);
  Array retval;
  vtk_pointer->WriteTextureOn();
  return retval;
}

//@@Signature
//sfunction @vtkBYUWriter:WriteTextureOff vtkBYUWriterWriteTextureOffFunction
//input a0 
//output none
ArrayVector vtkBYUWriterWriteTextureOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WriteTextureOff (); */
  if (arg.size() < 1) 
    throw Exception("Function WriteTextureOff for class vtkBYUWriter requires 1 argument(s)");
  vtkBYUWriter* vtk_pointer = GetVTKPointer<vtkBYUWriter>(arg[0]);
  Array retval;
  vtk_pointer->WriteTextureOff();
  return retval;
}

//@@Signature
//sfunction @vtkBYUWriter:display vtkBYUWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBYUWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBYUWriter* vtk_pointer = GetVTKPointer<vtkBYUWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBYUWriter:delete vtkBYUWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkBYUWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBYUWriter
//@@Section VTKIO
//@@Usage
// vtkBYUWriter writes MOVIE.BYU polygonal files. These files consist 
// of a geometry file (.g), a scalar file (.s), a displacement or 
// vector file (.d), and a 2D texture coordinate file (.t). These files 
// must be specified to the object, the appropriate boolean 
// variables must be true, and data must be available from the input
// for the files to be written.
// WARNING: this writer does not currently write triangle strips. Use
// vtkTriangleFilter to convert strips to triangles.
//
//To create an instance of class vtkBYUWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkBYUWriter
//@]
//@@Methods
//The class vtkBYUWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBYUWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkBYUWriter = obj.NewInstance ()|
// \item @|vtkBYUWriter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetGeometryFileName (string )| -  Specify the name of the geometry file to write.
//// \item @|string = obj.GetGeometryFileName ()| -  Specify the name of the geometry file to write.
//// \item @|obj.SetDisplacementFileName (string )| -  Specify the name of the displacement file to write.
//// \item @|string = obj.GetDisplacementFileName ()| -  Specify the name of the displacement file to write.
//// \item @|obj.SetScalarFileName (string )| -  Specify the name of the scalar file to write.
//// \item @|string = obj.GetScalarFileName ()| -  Specify the name of the scalar file to write.
//// \item @|obj.SetTextureFileName (string )| -  Specify the name of the texture file to write.
//// \item @|string = obj.GetTextureFileName ()| -  Specify the name of the texture file to write.
//// \item @|obj.SetWriteDisplacement (int )| -  Turn on/off writing the displacement file.
//// \item @|int = obj.GetWriteDisplacement ()| -  Turn on/off writing the displacement file.
//// \item @|obj.WriteDisplacementOn ()| -  Turn on/off writing the displacement file.
//// \item @|obj.WriteDisplacementOff ()| -  Turn on/off writing the displacement file.
//// \item @|obj.SetWriteScalar (int )| -  Turn on/off writing the scalar file.
//// \item @|int = obj.GetWriteScalar ()| -  Turn on/off writing the scalar file.
//// \item @|obj.WriteScalarOn ()| -  Turn on/off writing the scalar file.
//// \item @|obj.WriteScalarOff ()| -  Turn on/off writing the scalar file.
//// \item @|obj.SetWriteTexture (int )| -  Turn on/off writing the texture file.
//// \item @|int = obj.GetWriteTexture ()| -  Turn on/off writing the texture file.
//// \item @|obj.WriteTextureOn ()| -  Turn on/off writing the texture file.
//// \item @|obj.WriteTextureOff ()| -  Turn on/off writing the texture file.
////\end{itemize}
//!
