#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBase64InputStream object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBase64InputStream.h"

//@@Signature
//sfunction @vtkBase64InputStream:vtkBase64InputStream vtkBase64InputStreamConstructorFunction
//input a
//output p
//@@Parents vtkBase64InputStream vtkInputStream 
ArrayVector vtkBase64InputStreamConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBase64InputStream::New(),"vtkBase64InputStream",eval);
  } else if (arg[0].className() == "vtkBase64InputStream") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBase64InputStream"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBase64InputStream");
    vtkBase64InputStream*q = reinterpret_cast<vtkBase64InputStream*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBase64InputStream");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBase64InputStream:GetClassName vtkBase64InputStreamGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBase64InputStreamGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBase64InputStream requires 1 argument(s)");
  vtkBase64InputStream* vtk_pointer = GetVTKPointer<vtkBase64InputStream>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBase64InputStream:IsA vtkBase64InputStreamIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBase64InputStreamIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBase64InputStream requires 2 argument(s)");
  vtkBase64InputStream* vtk_pointer = GetVTKPointer<vtkBase64InputStream>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBase64InputStream:NewInstance vtkBase64InputStreamNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBase64InputStreamNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBase64InputStream *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBase64InputStream requires 1 argument(s)");
  vtkBase64InputStream* vtk_pointer = GetVTKPointer<vtkBase64InputStream>(arg[0]);
  Array retval;
  vtkBase64InputStream  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBase64InputStream",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBase64InputStream:SafeDownCast vtkBase64InputStreamSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBase64InputStreamSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBase64InputStream *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBase64InputStream requires 2 argument(s)");
  vtkBase64InputStream* vtk_pointer = GetVTKPointer<vtkBase64InputStream>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBase64InputStream  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBase64InputStream",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBase64InputStream:StartReading vtkBase64InputStreamStartReadingFunction
//input a0 
//output none
ArrayVector vtkBase64InputStreamStartReadingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StartReading (); */
  if (arg.size() < 1) 
    throw Exception("Function StartReading for class vtkBase64InputStream requires 1 argument(s)");
  vtkBase64InputStream* vtk_pointer = GetVTKPointer<vtkBase64InputStream>(arg[0]);
  Array retval;
  vtk_pointer->StartReading();
  return retval;
}

//@@Signature
//sfunction @vtkBase64InputStream:Seek vtkBase64InputStreamSeekFunction
//input a0 a1 
//output y
ArrayVector vtkBase64InputStreamSeekFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Seek (unsigned long offset); */
  if (arg.size() < 2) 
    throw Exception("Function Seek for class vtkBase64InputStream requires 2 argument(s)");
  vtkBase64InputStream* vtk_pointer = GetVTKPointer<vtkBase64InputStream>(arg[0]);
  Array retval;
  unsigned long     temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned long) arg[1].asDouble();
  temp20 = (vtk_pointer)->Seek(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBase64InputStream:Read vtkBase64InputStreamReadFunction
//input a0 a1 a2 
//output y
ArrayVector vtkBase64InputStreamReadFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long Read (unsigned char *data, unsigned long length); */
  if (arg.size() < 3) 
    throw Exception("Function Read for class vtkBase64InputStream requires 3 argument(s)");
  vtkBase64InputStream* vtk_pointer = GetVTKPointer<vtkBase64InputStream>(arg[0]);
  Array retval;
  unsigned char    *temp0;
  unsigned long     temp1;
  unsigned long     temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned long) arg[2].asDouble();
  temp20 = (vtk_pointer)->Read(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBase64InputStream:EndReading vtkBase64InputStreamEndReadingFunction
//input a0 
//output none
ArrayVector vtkBase64InputStreamEndReadingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EndReading (); */
  if (arg.size() < 1) 
    throw Exception("Function EndReading for class vtkBase64InputStream requires 1 argument(s)");
  vtkBase64InputStream* vtk_pointer = GetVTKPointer<vtkBase64InputStream>(arg[0]);
  Array retval;
  vtk_pointer->EndReading();
  return retval;
}

//@@Signature
//sfunction @vtkBase64InputStream:display vtkBase64InputStreamDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBase64InputStreamDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBase64InputStream* vtk_pointer = GetVTKPointer<vtkBase64InputStream>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBase64InputStream:delete vtkBase64InputStreamDeleteFunction
//input varargin
//output none
ArrayVector vtkBase64InputStreamDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBase64InputStream
//@@Section VTKIO
//@@Usage
// vtkBase64InputStream implements base64 decoding with the
// vtkInputStream interface.
//
//To create an instance of class vtkBase64InputStream, simply
//invoke its constructor as follows
//@[
//  obj = vtkBase64InputStream
//@]
//@@Methods
//The class vtkBase64InputStream has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBase64InputStream class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkBase64InputStream = obj.NewInstance ()|
// \item @|vtkBase64InputStream = obj.SafeDownCast (vtkObject o)|
// \item @|obj.StartReading ()| -  Called after the stream position has been set by the caller, but
// before any Seek or Read calls.  The stream position should not be
// adjusted by the caller until after an EndReading call.
//// \item @|int = obj.Seek (long offset)| -  Seek to the given offset in the input data.  Returns 1 for
// success, 0 for failure.
//// \item @|long = obj.Read (string data, long length)| -  Read input data of the given length.  Returns amount actually
// read.
//// \item @|obj.EndReading ()| -  Called after all desired calls to Seek and Read have been made.
// After this call, the caller is free to change the position of the
// stream.  Additional reads should not be done until after another
// call to StartReading.
////\end{itemize}
//!
