#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBase64OutputStream object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBase64OutputStream.h"

//@@Signature
//sfunction @vtkBase64OutputStream:vtkBase64OutputStream vtkBase64OutputStreamConstructorFunction
//input a
//output p
//@@Parents vtkBase64OutputStream vtkOutputStream 
ArrayVector vtkBase64OutputStreamConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBase64OutputStream::New(),"vtkBase64OutputStream",eval);
  } else if (arg[0].className() == "vtkBase64OutputStream") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBase64OutputStream"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBase64OutputStream");
    vtkBase64OutputStream*q = reinterpret_cast<vtkBase64OutputStream*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBase64OutputStream");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBase64OutputStream:GetClassName vtkBase64OutputStreamGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBase64OutputStreamGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBase64OutputStream requires 1 argument(s)");
  vtkBase64OutputStream* vtk_pointer = GetVTKPointer<vtkBase64OutputStream>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBase64OutputStream:IsA vtkBase64OutputStreamIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBase64OutputStreamIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBase64OutputStream requires 2 argument(s)");
  vtkBase64OutputStream* vtk_pointer = GetVTKPointer<vtkBase64OutputStream>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBase64OutputStream:NewInstance vtkBase64OutputStreamNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBase64OutputStreamNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBase64OutputStream *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBase64OutputStream requires 1 argument(s)");
  vtkBase64OutputStream* vtk_pointer = GetVTKPointer<vtkBase64OutputStream>(arg[0]);
  Array retval;
  vtkBase64OutputStream  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBase64OutputStream",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBase64OutputStream:SafeDownCast vtkBase64OutputStreamSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBase64OutputStreamSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBase64OutputStream *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBase64OutputStream requires 2 argument(s)");
  vtkBase64OutputStream* vtk_pointer = GetVTKPointer<vtkBase64OutputStream>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBase64OutputStream  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBase64OutputStream",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBase64OutputStream:StartWriting vtkBase64OutputStreamStartWritingFunction
//input a0 
//output y
ArrayVector vtkBase64OutputStreamStartWritingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int StartWriting (); */
  if (arg.size() < 1) 
    throw Exception("Function StartWriting for class vtkBase64OutputStream requires 1 argument(s)");
  vtkBase64OutputStream* vtk_pointer = GetVTKPointer<vtkBase64OutputStream>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->StartWriting();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBase64OutputStream:Write vtkBase64OutputStreamWriteFunction
//input a0 a1 a2 
//output y
ArrayVector vtkBase64OutputStreamWriteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Write (const unsigned char *data, unsigned long length); */
  if (arg.size() < 3) 
    throw Exception("Function Write for class vtkBase64OutputStream requires 3 argument(s)");
  vtkBase64OutputStream* vtk_pointer = GetVTKPointer<vtkBase64OutputStream>(arg[0]);
  Array retval;
  unsigned char    *temp0;
  unsigned long     temp1;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned long) arg[2].asDouble();
  temp20 = (vtk_pointer)->Write(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBase64OutputStream:EndWriting vtkBase64OutputStreamEndWritingFunction
//input a0 
//output y
ArrayVector vtkBase64OutputStreamEndWritingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int EndWriting (); */
  if (arg.size() < 1) 
    throw Exception("Function EndWriting for class vtkBase64OutputStream requires 1 argument(s)");
  vtkBase64OutputStream* vtk_pointer = GetVTKPointer<vtkBase64OutputStream>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->EndWriting();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBase64OutputStream:EncodeEnding vtkBase64OutputStreamEncodeEndingFunction
//input varargin
//output varargout
ArrayVector vtkBase64OutputStreamEncodeEndingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkBase64OutputStreamEncodeEnding");
}

//@@Signature
//sfunction @vtkBase64OutputStream:display vtkBase64OutputStreamDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBase64OutputStreamDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBase64OutputStream* vtk_pointer = GetVTKPointer<vtkBase64OutputStream>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBase64OutputStream:delete vtkBase64OutputStreamDeleteFunction
//input varargin
//output none
ArrayVector vtkBase64OutputStreamDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBase64OutputStream
//@@Section VTKIO
//@@Usage
// vtkBase64OutputStream implements base64 encoding with the
// vtkOutputStream interface.
//
//To create an instance of class vtkBase64OutputStream, simply
//invoke its constructor as follows
//@[
//  obj = vtkBase64OutputStream
//@]
//@@Methods
//The class vtkBase64OutputStream has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBase64OutputStream class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkBase64OutputStream = obj.NewInstance ()|
// \item @|vtkBase64OutputStream = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.StartWriting ()| -  Called after the stream position has been set by the caller, but
// before any Write calls.  The stream position should not be
// adjusted by the caller until after an EndWriting call.
//// \item @|int = obj.Write (string data, long length)| -  Write output data of the given length.
//// \item @|int = obj.EndWriting ()| -  Called after all desired calls to Write have been made.  After
// this call, the caller is free to change the position of the
// stream.  Additional writes should not be done until after another
// call to StartWriting.
////\end{itemize}
//!
