#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBase64Utilities object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBase64Utilities.h"

//@@Signature
//sfunction @vtkBase64Utilities:vtkBase64Utilities vtkBase64UtilitiesConstructorFunction
//input a
//output p
//@@Parents vtkBase64Utilities vtkObject 
ArrayVector vtkBase64UtilitiesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBase64Utilities::New(),"vtkBase64Utilities",eval);
  } else if (arg[0].className() == "vtkBase64Utilities") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBase64Utilities"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBase64Utilities");
    vtkBase64Utilities*q = reinterpret_cast<vtkBase64Utilities*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBase64Utilities");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBase64Utilities:GetClassName vtkBase64UtilitiesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBase64UtilitiesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBase64Utilities requires 1 argument(s)");
  vtkBase64Utilities* vtk_pointer = GetVTKPointer<vtkBase64Utilities>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBase64Utilities:IsA vtkBase64UtilitiesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBase64UtilitiesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBase64Utilities requires 2 argument(s)");
  vtkBase64Utilities* vtk_pointer = GetVTKPointer<vtkBase64Utilities>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBase64Utilities:NewInstance vtkBase64UtilitiesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBase64UtilitiesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBase64Utilities *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBase64Utilities requires 1 argument(s)");
  vtkBase64Utilities* vtk_pointer = GetVTKPointer<vtkBase64Utilities>(arg[0]);
  Array retval;
  vtkBase64Utilities  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBase64Utilities",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBase64Utilities:SafeDownCast vtkBase64UtilitiesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBase64UtilitiesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBase64Utilities *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBase64Utilities requires 2 argument(s)");
  vtkBase64Utilities* vtk_pointer = GetVTKPointer<vtkBase64Utilities>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBase64Utilities  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBase64Utilities",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBase64Utilities:EncodeTriplet vtkBase64UtilitiesEncodeTripletFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 
//output none
ArrayVector vtkBase64UtilitiesEncodeTripletFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void EncodeTriplet (unsigned char i0, unsigned char i1, unsigned char i2, unsigned char *o0, unsigned char *o1, unsigned char *o2, unsigned char *o3); */
  if (arg.size() < 8) 
    throw Exception("Function EncodeTriplet for class vtkBase64Utilities requires 8 argument(s)");
  vtkBase64Utilities* vtk_pointer = GetVTKPointer<vtkBase64Utilities>(arg[0]);
  Array retval;
  unsigned char     temp0;
  unsigned char     temp1;
  unsigned char     temp2;
  unsigned char    *temp3;
  unsigned char    *temp4;
  unsigned char    *temp5;
  unsigned char    *temp6;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned char) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned char) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (unsigned char) arg[3].asDouble();
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (unsigned char)data[k+1];
      }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (unsigned char)data[k+1];
      }
    if ( !arg[6].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[6].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp5 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp5[k] = (unsigned char)data[k+1];
      }
    if ( !arg[7].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[7].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp6 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp6[k] = (unsigned char)data[k+1];
      }
  vtk_pointer->EncodeTriplet(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  return retval;
}

//@@Signature
//sfunction @vtkBase64Utilities:EncodePair vtkBase64UtilitiesEncodePairFunction
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkBase64UtilitiesEncodePairFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void EncodePair (unsigned char i0, unsigned char i1, unsigned char *o0, unsigned char *o1, unsigned char *o2, unsigned char *o3); */
  if (arg.size() < 7) 
    throw Exception("Function EncodePair for class vtkBase64Utilities requires 7 argument(s)");
  vtkBase64Utilities* vtk_pointer = GetVTKPointer<vtkBase64Utilities>(arg[0]);
  Array retval;
  unsigned char     temp0;
  unsigned char     temp1;
  unsigned char    *temp2;
  unsigned char    *temp3;
  unsigned char    *temp4;
  unsigned char    *temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned char) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned char) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (unsigned char)data[k+1];
      }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (unsigned char)data[k+1];
      }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (unsigned char)data[k+1];
      }
    if ( !arg[6].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[6].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp5 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp5[k] = (unsigned char)data[k+1];
      }
  vtk_pointer->EncodePair(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkBase64Utilities:EncodeSingle vtkBase64UtilitiesEncodeSingleFunction
//input a0 a1 a2 a3 a4 a5 
//output none
ArrayVector vtkBase64UtilitiesEncodeSingleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void EncodeSingle (unsigned char i0, unsigned char *o0, unsigned char *o1, unsigned char *o2, unsigned char *o3); */
  if (arg.size() < 6) 
    throw Exception("Function EncodeSingle for class vtkBase64Utilities requires 6 argument(s)");
  vtkBase64Utilities* vtk_pointer = GetVTKPointer<vtkBase64Utilities>(arg[0]);
  Array retval;
  unsigned char     temp0;
  unsigned char    *temp1;
  unsigned char    *temp2;
  unsigned char    *temp3;
  unsigned char    *temp4;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned char) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (unsigned char)data[k+1];
      }
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (unsigned char)data[k+1];
      }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (unsigned char)data[k+1];
      }
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (unsigned char)data[k+1];
      }
  vtk_pointer->EncodeSingle(temp0,temp1,temp2,temp3,temp4);
  return retval;
}

//@@Signature
//sfunction @vtkBase64Utilities:Encode vtkBase64UtilitiesEncodeFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkBase64UtilitiesEncodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static unsigned long Encode (const unsigned char *input, unsigned long length, unsigned char *output, int mark_end); */
  if (arg.size() < 5) 
    throw Exception("Function Encode for class vtkBase64Utilities requires 5 argument(s)");
  vtkBase64Utilities* vtk_pointer = GetVTKPointer<vtkBase64Utilities>(arg[0]);
  Array retval;
  unsigned char    *temp0;
  unsigned long     temp1;
  unsigned char    *temp2;
  int      temp3;
  unsigned long     temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned long) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (unsigned char)data[k+1];
      }
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  temp20 = (vtk_pointer)->Encode(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBase64Utilities:DecodeTriplet vtkBase64UtilitiesDecodeTripletFunction
//input a0 a1 a2 a3 a4 a5 a6 a7 
//output y
ArrayVector vtkBase64UtilitiesDecodeTripletFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int DecodeTriplet (unsigned char i0, unsigned char i1, unsigned char i2, unsigned char i3, unsigned char *o0, unsigned char *o1, unsigned char *o2); */
  if (arg.size() < 8) 
    throw Exception("Function DecodeTriplet for class vtkBase64Utilities requires 8 argument(s)");
  vtkBase64Utilities* vtk_pointer = GetVTKPointer<vtkBase64Utilities>(arg[0]);
  Array retval;
  unsigned char     temp0;
  unsigned char     temp1;
  unsigned char     temp2;
  unsigned char     temp3;
  unsigned char    *temp4;
  unsigned char    *temp5;
  unsigned char    *temp6;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned char) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned char) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (unsigned char) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (unsigned char) arg[4].asDouble();
    if ( !arg[5].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[5].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp4 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp4[k] = (unsigned char)data[k+1];
      }
    if ( !arg[6].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[6].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp5 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp5[k] = (unsigned char)data[k+1];
      }
    if ( !arg[7].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[7].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp6 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp6[k] = (unsigned char)data[k+1];
      }
  temp20 = (vtk_pointer)->DecodeTriplet(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBase64Utilities:Decode vtkBase64UtilitiesDecodeFunction
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkBase64UtilitiesDecodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static unsigned long Decode (const unsigned char *input, unsigned long length, unsigned char *output, unsigned long max_input_length); */
  if (arg.size() < 5) 
    throw Exception("Function Decode for class vtkBase64Utilities requires 5 argument(s)");
  vtkBase64Utilities* vtk_pointer = GetVTKPointer<vtkBase64Utilities>(arg[0]);
  Array retval;
  unsigned char    *temp0;
  unsigned long     temp1;
  unsigned char    *temp2;
  unsigned long     temp3;
  unsigned long     temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned long) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (unsigned char)data[k+1];
      }
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (unsigned long) arg[4].asDouble();
  temp20 = (vtk_pointer)->Decode(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBase64Utilities:display vtkBase64UtilitiesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBase64UtilitiesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBase64Utilities* vtk_pointer = GetVTKPointer<vtkBase64Utilities>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBase64Utilities:delete vtkBase64UtilitiesDeleteFunction
//input varargin
//output none
ArrayVector vtkBase64UtilitiesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBase64Utilities
//@@Section VTKIO
//@@Usage
// vtkBase64Utilities implements base64 encoding and decoding.
//
//To create an instance of class vtkBase64Utilities, simply
//invoke its constructor as follows
//@[
//  obj = vtkBase64Utilities
//@]
//@@Methods
//The class vtkBase64Utilities has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBase64Utilities class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkBase64Utilities = obj.NewInstance ()|
// \item @|vtkBase64Utilities = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
