#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCGMWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCGMWriter.h"

//@@Signature
//sfunction @vtkCGMWriter:vtkCGMWriter vtkCGMWriterConstructorFunction
//input a
//output p
//@@Parents vtkCGMWriter vtkPolyDataWriter 
ArrayVector vtkCGMWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCGMWriter::New(),"vtkCGMWriter",eval);
  } else if (arg[0].className() == "vtkCGMWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCGMWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCGMWriter");
    vtkCGMWriter*q = reinterpret_cast<vtkCGMWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCGMWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCGMWriter:GetClassName vtkCGMWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCGMWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCGMWriter requires 1 argument(s)");
  vtkCGMWriter* vtk_pointer = GetVTKPointer<vtkCGMWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCGMWriter:IsA vtkCGMWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCGMWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCGMWriter requires 2 argument(s)");
  vtkCGMWriter* vtk_pointer = GetVTKPointer<vtkCGMWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCGMWriter:NewInstance vtkCGMWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCGMWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCGMWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCGMWriter requires 1 argument(s)");
  vtkCGMWriter* vtk_pointer = GetVTKPointer<vtkCGMWriter>(arg[0]);
  Array retval;
  vtkCGMWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCGMWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCGMWriter:SafeDownCast vtkCGMWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCGMWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCGMWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCGMWriter requires 2 argument(s)");
  vtkCGMWriter* vtk_pointer = GetVTKPointer<vtkCGMWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCGMWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCGMWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCGMWriter:SetViewport vtkCGMWriterSetViewportFunction
//input a0 a1 
//output none
ArrayVector vtkCGMWriterSetViewportFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetViewport (vtkViewport *); */
  if (arg.size() < 2) 
    throw Exception("Function SetViewport for class vtkCGMWriter requires 2 argument(s)");
  vtkCGMWriter* vtk_pointer = GetVTKPointer<vtkCGMWriter>(arg[0]);
  Array retval;
  vtkViewport  *temp0;
  temp0 = GetVTKPointer<vtkViewport>(arg[1]);
  vtk_pointer->SetViewport(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCGMWriter:GetViewport vtkCGMWriterGetViewportFunction
//input a0 
//output y
ArrayVector vtkCGMWriterGetViewportFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkViewport *GetViewport (); */
  if (arg.size() < 1) 
    throw Exception("Function GetViewport for class vtkCGMWriter requires 1 argument(s)");
  vtkCGMWriter* vtk_pointer = GetVTKPointer<vtkCGMWriter>(arg[0]);
  Array retval;
  vtkViewport  *temp20;
  temp20 = (vtk_pointer)->GetViewport();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkViewport",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCGMWriter:SetSort vtkCGMWriterSetSortFunction
//input a0 a1 
//output none
ArrayVector vtkCGMWriterSetSortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSort (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSort for class vtkCGMWriter requires 2 argument(s)");
  vtkCGMWriter* vtk_pointer = GetVTKPointer<vtkCGMWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSort(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCGMWriter:GetSort vtkCGMWriterGetSortFunction
//input a0 
//output y
ArrayVector vtkCGMWriterGetSortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSort (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSort for class vtkCGMWriter requires 1 argument(s)");
  vtkCGMWriter* vtk_pointer = GetVTKPointer<vtkCGMWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSort();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCGMWriter:SetResolution vtkCGMWriterSetResolutionFunction
//input a0 a1 
//output none
ArrayVector vtkCGMWriterSetResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetResolution (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetResolution for class vtkCGMWriter requires 2 argument(s)");
  vtkCGMWriter* vtk_pointer = GetVTKPointer<vtkCGMWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetResolution(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCGMWriter:GetResolutionMinValue vtkCGMWriterGetResolutionMinValueFunction
//input a0 
//output y
ArrayVector vtkCGMWriterGetResolutionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetResolutionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResolutionMinValue for class vtkCGMWriter requires 1 argument(s)");
  vtkCGMWriter* vtk_pointer = GetVTKPointer<vtkCGMWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetResolutionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCGMWriter:GetResolutionMaxValue vtkCGMWriterGetResolutionMaxValueFunction
//input a0 
//output y
ArrayVector vtkCGMWriterGetResolutionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetResolutionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResolutionMaxValue for class vtkCGMWriter requires 1 argument(s)");
  vtkCGMWriter* vtk_pointer = GetVTKPointer<vtkCGMWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetResolutionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCGMWriter:GetResolution vtkCGMWriterGetResolutionFunction
//input a0 
//output y
ArrayVector vtkCGMWriterGetResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResolution for class vtkCGMWriter requires 1 argument(s)");
  vtkCGMWriter* vtk_pointer = GetVTKPointer<vtkCGMWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetResolution();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCGMWriter:SetColorMode vtkCGMWriterSetColorModeFunction
//input a0 a1 
//output none
ArrayVector vtkCGMWriterSetColorModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetColorMode for class vtkCGMWriter requires 2 argument(s)");
  vtkCGMWriter* vtk_pointer = GetVTKPointer<vtkCGMWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetColorMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCGMWriter:GetColorMode vtkCGMWriterGetColorModeFunction
//input a0 
//output y
ArrayVector vtkCGMWriterGetColorModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetColorMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorMode for class vtkCGMWriter requires 1 argument(s)");
  vtkCGMWriter* vtk_pointer = GetVTKPointer<vtkCGMWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetColorMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCGMWriter:SetColorModeToDefault vtkCGMWriterSetColorModeToDefaultFunction
//input a0 
//output none
ArrayVector vtkCGMWriterSetColorModeToDefaultFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorModeToDefault ();this SetColorMode VTK_COLOR_MODE_DEFAULT  */
  if (arg.size() < 1) 
    throw Exception("Function SetColorModeToDefault for class vtkCGMWriter requires 1 argument(s)");
  vtkCGMWriter* vtk_pointer = GetVTKPointer<vtkCGMWriter>(arg[0]);
  Array retval;
  vtk_pointer->SetColorModeToDefault();
  return retval;
}

//@@Signature
//sfunction @vtkCGMWriter:SetColorModeToSpecifiedColor vtkCGMWriterSetColorModeToSpecifiedColorFunction
//input a0 
//output none
ArrayVector vtkCGMWriterSetColorModeToSpecifiedColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorModeToSpecifiedColor ();this SetColorMode VTK_COLOR_MODE_SPECIFIED_COLOR  */
  if (arg.size() < 1) 
    throw Exception("Function SetColorModeToSpecifiedColor for class vtkCGMWriter requires 1 argument(s)");
  vtkCGMWriter* vtk_pointer = GetVTKPointer<vtkCGMWriter>(arg[0]);
  Array retval;
  vtk_pointer->SetColorModeToSpecifiedColor();
  return retval;
}

//@@Signature
//sfunction @vtkCGMWriter:SetColorModeToRandomColors vtkCGMWriterSetColorModeToRandomColorsFunction
//input a0 
//output none
ArrayVector vtkCGMWriterSetColorModeToRandomColorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorModeToRandomColors ();this SetColorMode VTK_COLOR_MODE_RANDOM_COLORS  */
  if (arg.size() < 1) 
    throw Exception("Function SetColorModeToRandomColors for class vtkCGMWriter requires 1 argument(s)");
  vtkCGMWriter* vtk_pointer = GetVTKPointer<vtkCGMWriter>(arg[0]);
  Array retval;
  vtk_pointer->SetColorModeToRandomColors();
  return retval;
}

//@@Signature
//sfunction @vtkCGMWriter:SetSpecifiedColor__1 vtkCGMWriterSetSpecifiedColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkCGMWriterSetSpecifiedColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpecifiedColor (float , float , float ); */
  if (arg.size() < 4) 
    throw Exception("Function SetSpecifiedColor__1 for class vtkCGMWriter requires 4 argument(s)");
  vtkCGMWriter* vtk_pointer = GetVTKPointer<vtkCGMWriter>(arg[0]);
  Array retval;
  float    temp0;
  float    temp1;
  float    temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetSpecifiedColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkCGMWriter:SetSpecifiedColor__2 vtkCGMWriterSetSpecifiedColor__2Function
//input a0 a1 
//output none
ArrayVector vtkCGMWriterSetSpecifiedColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpecifiedColor (float  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSpecifiedColor__2 for class vtkCGMWriter requires 2 argument(s)");
  vtkCGMWriter* vtk_pointer = GetVTKPointer<vtkCGMWriter>(arg[0]);
  Array retval;
  float  temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (float)data[k+1];
  }
  vtk_pointer->SetSpecifiedColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCGMWriter:GetSpecifiedColor vtkCGMWriterGetSpecifiedColorFunction
//input a0 
//output y
ArrayVector vtkCGMWriterGetSpecifiedColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float  *GetSpecifiedColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSpecifiedColor for class vtkCGMWriter requires 1 argument(s)");
  vtkCGMWriter* vtk_pointer = GetVTKPointer<vtkCGMWriter>(arg[0]);
  Array retval;
  float   *temp20;
  temp20 = (vtk_pointer)->GetSpecifiedColor();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkCGMWriter:SetSpecifiedColor vtkCGMWriterSetSpecifiedColorFunction
//input varargin
//output varargout
ArrayVector vtkCGMWriterSetSpecifiedColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkCGMWriterSetSpecifiedColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkCGMWriterSetSpecifiedColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCGMWriterSetSpecifiedColor");
}

//@@Signature
//sfunction @vtkCGMWriter:display vtkCGMWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCGMWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCGMWriter* vtk_pointer = GetVTKPointer<vtkCGMWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCGMWriter:delete vtkCGMWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkCGMWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCGMWriter
//@@Section VTKIO
//@@Usage
// vtkCGMWriter writes CGM (Computer Graphics Metafile) output. CGM is a 2D
// graphics vector format typically used by large plotters. This writer can 
// handle vertices, lines, polygons, and triangle strips in any combination. 
// Colors are specified either 1) from cell scalars (assumed to be RGB or 
// RGBA color specification), 2) from a specified color; or 3) randomly 
// assigned colors.
//
// Note: During output of the polygonal data, triangle strips are converted
// to triangles, and polylines to lines. Also, due to limitations in the CGM 
// color model, only 256 colors are available to the color palette.
//
//To create an instance of class vtkCGMWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkCGMWriter
//@]
//@@Methods
//The class vtkCGMWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCGMWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCGMWriter = obj.NewInstance ()|
// \item @|vtkCGMWriter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetViewport (vtkViewport )| -  Specify a vtkViewport object to be used to transform the vtkPolyData
// points into 2D coordinates. By default (no vtkViewport specified), the 
// point coordinates are generated by ignoring the z values. If a viewport
// is defined, then the points are transformed into viewport coordinates.
//// \item @|vtkViewport = obj.GetViewport ()| -  Specify a vtkViewport object to be used to transform the vtkPolyData
// points into 2D coordinates. By default (no vtkViewport specified), the 
// point coordinates are generated by ignoring the z values. If a viewport
// is defined, then the points are transformed into viewport coordinates.
//// \item @|obj.SetSort (int )| -  Turn on/off the sorting of the cells via depth. If enabled, polygonal
// cells will be sorted from back to front, i.e., a Painter's algorithm
// sort.
//// \item @|int = obj.GetSort ()| -  Turn on/off the sorting of the cells via depth. If enabled, polygonal
// cells will be sorted from back to front, i.e., a Painter's algorithm
// sort.
//// \item @|obj.SetResolution (int )| -  Specify the resolution of the CGM file. This number is used to integerize
// the maximum coordinate range of the plot file.
//// \item @|int = obj.GetResolutionMinValue ()| -  Specify the resolution of the CGM file. This number is used to integerize
// the maximum coordinate range of the plot file.
//// \item @|int = obj.GetResolutionMaxValue ()| -  Specify the resolution of the CGM file. This number is used to integerize
// the maximum coordinate range of the plot file.
//// \item @|int = obj.GetResolution ()| -  Specify the resolution of the CGM file. This number is used to integerize
// the maximum coordinate range of the plot file.
//// \item @|obj.SetColorMode (int )| -  Control how output polydata is colored. By default (ColorModeToDefault),
// if per cell colors are defined (unsigned chars of 1-4 components), then
// the cells are colored with these values. (If point colors are defined
// and cell colors are not, you can use vtkPointDataToCellData to convert
// the point colors to cell colors.) Otherwise, by default, the cells are
// set to the specified color. If ColorModeToSpecifiedColor is set, then
// the primitives will all be set to this color. If ColorModeToRandomColors
// is set, each cell will be randomly assigned a color.
//// \item @|int = obj.GetColorMode ()| -  Control how output polydata is colored. By default (ColorModeToDefault),
// if per cell colors are defined (unsigned chars of 1-4 components), then
// the cells are colored with these values. (If point colors are defined
// and cell colors are not, you can use vtkPointDataToCellData to convert
// the point colors to cell colors.) Otherwise, by default, the cells are
// set to the specified color. If ColorModeToSpecifiedColor is set, then
// the primitives will all be set to this color. If ColorModeToRandomColors
// is set, each cell will be randomly assigned a color.
//// \item @|obj.SetColorModeToDefault ()| -  Control how output polydata is colored. By default (ColorModeToDefault),
// if per cell colors are defined (unsigned chars of 1-4 components), then
// the cells are colored with these values. (If point colors are defined
// and cell colors are not, you can use vtkPointDataToCellData to convert
// the point colors to cell colors.) Otherwise, by default, the cells are
// set to the specified color. If ColorModeToSpecifiedColor is set, then
// the primitives will all be set to this color. If ColorModeToRandomColors
// is set, each cell will be randomly assigned a color.
//// \item @|obj.SetColorModeToSpecifiedColor ()| -  Control how output polydata is colored. By default (ColorModeToDefault),
// if per cell colors are defined (unsigned chars of 1-4 components), then
// the cells are colored with these values. (If point colors are defined
// and cell colors are not, you can use vtkPointDataToCellData to convert
// the point colors to cell colors.) Otherwise, by default, the cells are
// set to the specified color. If ColorModeToSpecifiedColor is set, then
// the primitives will all be set to this color. If ColorModeToRandomColors
// is set, each cell will be randomly assigned a color.
//// \item @|obj.SetColorModeToRandomColors ()| -  Control how output polydata is colored. By default (ColorModeToDefault),
// if per cell colors are defined (unsigned chars of 1-4 components), then
// the cells are colored with these values. (If point colors are defined
// and cell colors are not, you can use vtkPointDataToCellData to convert
// the point colors to cell colors.) Otherwise, by default, the cells are
// set to the specified color. If ColorModeToSpecifiedColor is set, then
// the primitives will all be set to this color. If ColorModeToRandomColors
// is set, each cell will be randomly assigned a color.
//// \item @|obj.SetSpecifiedColor (float , float , float )| -  Set/Get the specified color to color the polydata cells. This
// color is only used when the color mode is set to 
// ColorModeToSpecifiedColor, or ColorModeToDefault is set and no
// cell colors are specified. The specified color is specified as RGB 
// values ranging from (0,1). (Note: CGM will map this color to the
// closest color it supports.)
//// \item @|obj.SetSpecifiedColor (float  a[3])| -  Set/Get the specified color to color the polydata cells. This
// color is only used when the color mode is set to 
// ColorModeToSpecifiedColor, or ColorModeToDefault is set and no
// cell colors are specified. The specified color is specified as RGB 
// values ranging from (0,1). (Note: CGM will map this color to the
// closest color it supports.)
//// \item @|float = obj. GetSpecifiedColor ()| -  Set/Get the specified color to color the polydata cells. This
// color is only used when the color mode is set to 
// ColorModeToSpecifiedColor, or ColorModeToDefault is set and no
// cell colors are specified. The specified color is specified as RGB 
// values ranging from (0,1). (Note: CGM will map this color to the
// closest color it supports.)
////\end{itemize}
//!
