#include "VTKWrap.hpp"

// FreeMat wrapper for vtkChacoReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkChacoReader.h"

//@@Signature
//sfunction @vtkChacoReader:vtkChacoReader vtkChacoReaderConstructorFunction
//input a
//output p
//@@Parents vtkChacoReader vtkUnstructuredGridAlgorithm 
ArrayVector vtkChacoReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkChacoReader::New(),"vtkChacoReader",eval);
  } else if (arg[0].className() == "vtkChacoReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkChacoReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkChacoReader");
    vtkChacoReader*q = reinterpret_cast<vtkChacoReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkChacoReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkChacoReader:GetClassName vtkChacoReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkChacoReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkChacoReader requires 1 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:IsA vtkChacoReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkChacoReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkChacoReader requires 2 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:NewInstance vtkChacoReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkChacoReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkChacoReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkChacoReader requires 1 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  vtkChacoReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkChacoReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:SafeDownCast vtkChacoReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkChacoReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkChacoReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkChacoReader requires 2 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkChacoReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkChacoReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:SetBaseName vtkChacoReaderSetBaseNameFunction
//input a0 a1 
//output none
ArrayVector vtkChacoReaderSetBaseNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBaseName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetBaseName for class vtkChacoReader requires 2 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetBaseName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:GetBaseName vtkChacoReaderGetBaseNameFunction
//input a0 
//output y
ArrayVector vtkChacoReaderGetBaseNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetBaseName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBaseName for class vtkChacoReader requires 1 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetBaseName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:SetGenerateGlobalElementIdArray vtkChacoReaderSetGenerateGlobalElementIdArrayFunction
//input a0 a1 
//output none
ArrayVector vtkChacoReaderSetGenerateGlobalElementIdArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateGlobalElementIdArray (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateGlobalElementIdArray for class vtkChacoReader requires 2 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateGlobalElementIdArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:GetGenerateGlobalElementIdArray vtkChacoReaderGetGenerateGlobalElementIdArrayFunction
//input a0 
//output y
ArrayVector vtkChacoReaderGetGenerateGlobalElementIdArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateGlobalElementIdArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateGlobalElementIdArray for class vtkChacoReader requires 1 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateGlobalElementIdArray();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:GenerateGlobalElementIdArrayOn vtkChacoReaderGenerateGlobalElementIdArrayOnFunction
//input a0 
//output none
ArrayVector vtkChacoReaderGenerateGlobalElementIdArrayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateGlobalElementIdArrayOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateGlobalElementIdArrayOn for class vtkChacoReader requires 1 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateGlobalElementIdArrayOn();
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:GenerateGlobalElementIdArrayOff vtkChacoReaderGenerateGlobalElementIdArrayOffFunction
//input a0 
//output none
ArrayVector vtkChacoReaderGenerateGlobalElementIdArrayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateGlobalElementIdArrayOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateGlobalElementIdArrayOff for class vtkChacoReader requires 1 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateGlobalElementIdArrayOff();
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:GetGlobalElementIdArrayName vtkChacoReaderGetGlobalElementIdArrayNameFunction
//input a0 
//output y
ArrayVector vtkChacoReaderGetGlobalElementIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetGlobalElementIdArrayName ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetGlobalElementIdArrayName for class vtkChacoReader requires 1 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetGlobalElementIdArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:SetGenerateGlobalNodeIdArray vtkChacoReaderSetGenerateGlobalNodeIdArrayFunction
//input a0 a1 
//output none
ArrayVector vtkChacoReaderSetGenerateGlobalNodeIdArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateGlobalNodeIdArray (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateGlobalNodeIdArray for class vtkChacoReader requires 2 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateGlobalNodeIdArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:GetGenerateGlobalNodeIdArray vtkChacoReaderGetGenerateGlobalNodeIdArrayFunction
//input a0 
//output y
ArrayVector vtkChacoReaderGetGenerateGlobalNodeIdArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateGlobalNodeIdArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateGlobalNodeIdArray for class vtkChacoReader requires 1 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateGlobalNodeIdArray();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:GenerateGlobalNodeIdArrayOn vtkChacoReaderGenerateGlobalNodeIdArrayOnFunction
//input a0 
//output none
ArrayVector vtkChacoReaderGenerateGlobalNodeIdArrayOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateGlobalNodeIdArrayOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateGlobalNodeIdArrayOn for class vtkChacoReader requires 1 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateGlobalNodeIdArrayOn();
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:GenerateGlobalNodeIdArrayOff vtkChacoReaderGenerateGlobalNodeIdArrayOffFunction
//input a0 
//output none
ArrayVector vtkChacoReaderGenerateGlobalNodeIdArrayOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateGlobalNodeIdArrayOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateGlobalNodeIdArrayOff for class vtkChacoReader requires 1 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateGlobalNodeIdArrayOff();
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:GetGlobalNodeIdArrayName vtkChacoReaderGetGlobalNodeIdArrayNameFunction
//input a0 
//output y
ArrayVector vtkChacoReaderGetGlobalNodeIdArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetGlobalNodeIdArrayName ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetGlobalNodeIdArrayName for class vtkChacoReader requires 1 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetGlobalNodeIdArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:SetGenerateVertexWeightArrays vtkChacoReaderSetGenerateVertexWeightArraysFunction
//input a0 a1 
//output none
ArrayVector vtkChacoReaderSetGenerateVertexWeightArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateVertexWeightArrays (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateVertexWeightArrays for class vtkChacoReader requires 2 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateVertexWeightArrays(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:GetGenerateVertexWeightArrays vtkChacoReaderGetGenerateVertexWeightArraysFunction
//input a0 
//output y
ArrayVector vtkChacoReaderGetGenerateVertexWeightArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateVertexWeightArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateVertexWeightArrays for class vtkChacoReader requires 1 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateVertexWeightArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:GenerateVertexWeightArraysOn vtkChacoReaderGenerateVertexWeightArraysOnFunction
//input a0 
//output none
ArrayVector vtkChacoReaderGenerateVertexWeightArraysOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateVertexWeightArraysOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateVertexWeightArraysOn for class vtkChacoReader requires 1 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateVertexWeightArraysOn();
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:GenerateVertexWeightArraysOff vtkChacoReaderGenerateVertexWeightArraysOffFunction
//input a0 
//output none
ArrayVector vtkChacoReaderGenerateVertexWeightArraysOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateVertexWeightArraysOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateVertexWeightArraysOff for class vtkChacoReader requires 1 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateVertexWeightArraysOff();
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:GetNumberOfVertexWeights vtkChacoReaderGetNumberOfVertexWeightsFunction
//input a0 
//output y
ArrayVector vtkChacoReaderGetNumberOfVertexWeightsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfVertexWeights (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfVertexWeights for class vtkChacoReader requires 1 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfVertexWeights();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:GetVertexWeightArrayName vtkChacoReaderGetVertexWeightArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkChacoReaderGetVertexWeightArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetVertexWeightArrayName (int weight); */
  if (arg.size() < 2) 
    throw Exception("Function GetVertexWeightArrayName for class vtkChacoReader requires 2 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetVertexWeightArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:SetGenerateEdgeWeightArrays vtkChacoReaderSetGenerateEdgeWeightArraysFunction
//input a0 a1 
//output none
ArrayVector vtkChacoReaderSetGenerateEdgeWeightArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGenerateEdgeWeightArrays (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGenerateEdgeWeightArrays for class vtkChacoReader requires 2 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGenerateEdgeWeightArrays(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:GetGenerateEdgeWeightArrays vtkChacoReaderGetGenerateEdgeWeightArraysFunction
//input a0 
//output y
ArrayVector vtkChacoReaderGetGenerateEdgeWeightArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGenerateEdgeWeightArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGenerateEdgeWeightArrays for class vtkChacoReader requires 1 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGenerateEdgeWeightArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:GenerateEdgeWeightArraysOn vtkChacoReaderGenerateEdgeWeightArraysOnFunction
//input a0 
//output none
ArrayVector vtkChacoReaderGenerateEdgeWeightArraysOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateEdgeWeightArraysOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateEdgeWeightArraysOn for class vtkChacoReader requires 1 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateEdgeWeightArraysOn();
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:GenerateEdgeWeightArraysOff vtkChacoReaderGenerateEdgeWeightArraysOffFunction
//input a0 
//output none
ArrayVector vtkChacoReaderGenerateEdgeWeightArraysOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GenerateEdgeWeightArraysOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GenerateEdgeWeightArraysOff for class vtkChacoReader requires 1 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  vtk_pointer->GenerateEdgeWeightArraysOff();
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:GetNumberOfEdgeWeights vtkChacoReaderGetNumberOfEdgeWeightsFunction
//input a0 
//output y
ArrayVector vtkChacoReaderGetNumberOfEdgeWeightsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfEdgeWeights (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfEdgeWeights for class vtkChacoReader requires 1 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfEdgeWeights();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:GetEdgeWeightArrayName vtkChacoReaderGetEdgeWeightArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkChacoReaderGetEdgeWeightArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetEdgeWeightArrayName (int weight); */
  if (arg.size() < 2) 
    throw Exception("Function GetEdgeWeightArrayName for class vtkChacoReader requires 2 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetEdgeWeightArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:GetDimensionality vtkChacoReaderGetDimensionalityFunction
//input a0 
//output y
ArrayVector vtkChacoReaderGetDimensionalityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDimensionality (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDimensionality for class vtkChacoReader requires 1 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDimensionality();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:GetNumberOfEdges vtkChacoReaderGetNumberOfEdgesFunction
//input a0 
//output y
ArrayVector vtkChacoReaderGetNumberOfEdgesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfEdges (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfEdges for class vtkChacoReader requires 1 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfEdges();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:GetNumberOfVertices vtkChacoReaderGetNumberOfVerticesFunction
//input a0 
//output y
ArrayVector vtkChacoReaderGetNumberOfVerticesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIdType GetNumberOfVertices (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfVertices for class vtkChacoReader requires 1 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfVertices();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:GetNumberOfCellWeightArrays vtkChacoReaderGetNumberOfCellWeightArraysFunction
//input a0 
//output y
ArrayVector vtkChacoReaderGetNumberOfCellWeightArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfCellWeightArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCellWeightArrays for class vtkChacoReader requires 1 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfCellWeightArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:GetNumberOfPointWeightArrays vtkChacoReaderGetNumberOfPointWeightArraysFunction
//input a0 
//output y
ArrayVector vtkChacoReaderGetNumberOfPointWeightArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPointWeightArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPointWeightArrays for class vtkChacoReader requires 1 argument(s)");
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPointWeightArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkChacoReader:display vtkChacoReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkChacoReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkChacoReader* vtk_pointer = GetVTKPointer<vtkChacoReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkChacoReader:delete vtkChacoReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkChacoReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkChacoReader
//@@Section VTKIO
//@@Usage
// vtkChacoReader is an unstructured grid source object that reads Chaco
// files.  The reader DOES NOT respond to piece requests. Chaco
// is a graph partitioning package developed at Sandia National Laboratories
// in the early 1990s.  (http://www.cs.sandia.gov/~bahendr/chaco.html)
//
// Note that the Chaco "edges" become VTK "cells", and the Chaco
// "vertices" become VTK "points".
//
//To create an instance of class vtkChacoReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkChacoReader
//@]
//@@Methods
//The class vtkChacoReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkChacoReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkChacoReader = obj.NewInstance ()|
// \item @|vtkChacoReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetBaseName (string )|
// \item @|string = obj.GetBaseName ()|
// \item @|obj.SetGenerateGlobalElementIdArray (int )|
// \item @|int = obj.GetGenerateGlobalElementIdArray ()|
// \item @|obj.GenerateGlobalElementIdArrayOn ()|
// \item @|obj.GenerateGlobalElementIdArrayOff ()|
// \item @|obj.SetGenerateGlobalNodeIdArray (int )|
// \item @|int = obj.GetGenerateGlobalNodeIdArray ()|
// \item @|obj.GenerateGlobalNodeIdArrayOn ()|
// \item @|obj.GenerateGlobalNodeIdArrayOff ()|
// \item @|obj.SetGenerateVertexWeightArrays (int )|
// \item @|int = obj.GetGenerateVertexWeightArrays ()|
// \item @|obj.GenerateVertexWeightArraysOn ()|
// \item @|obj.GenerateVertexWeightArraysOff ()|
// \item @|int = obj.GetNumberOfVertexWeights ()|
// \item @|string = obj.GetVertexWeightArrayName (int weight)|
// \item @|obj.SetGenerateEdgeWeightArrays (int )|
// \item @|int = obj.GetGenerateEdgeWeightArrays ()|
// \item @|obj.GenerateEdgeWeightArraysOn ()|
// \item @|obj.GenerateEdgeWeightArraysOff ()|
// \item @|int = obj.GetNumberOfEdgeWeights ()|
// \item @|string = obj.GetEdgeWeightArrayName (int weight)|
// \item @|int = obj.GetDimensionality ()| -  Access to meta data generated by RequestInformation.
//// \item @|vtkIdType = obj.GetNumberOfEdges ()| -  Access to meta data generated by RequestInformation.
//// \item @|vtkIdType = obj.GetNumberOfVertices ()| -  Access to meta data generated by RequestInformation.
//// \item @|int = obj.GetNumberOfCellWeightArrays ()|
// \item @|int = obj.GetNumberOfPointWeightArrays ()|
//\end{itemize}
//!
