#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDEMReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDEMReader.h"

//@@Signature
//sfunction @vtkDEMReader:vtkDEMReader vtkDEMReaderConstructorFunction
//input a
//output p
//@@Parents vtkDEMReader vtkImageAlgorithm 
ArrayVector vtkDEMReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDEMReader::New(),"vtkDEMReader",eval);
  } else if (arg[0].className() == "vtkDEMReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDEMReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDEMReader");
    vtkDEMReader*q = reinterpret_cast<vtkDEMReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDEMReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDEMReader:GetClassName vtkDEMReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDEMReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDEMReader requires 1 argument(s)");
  vtkDEMReader* vtk_pointer = GetVTKPointer<vtkDEMReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDEMReader:IsA vtkDEMReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDEMReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDEMReader requires 2 argument(s)");
  vtkDEMReader* vtk_pointer = GetVTKPointer<vtkDEMReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDEMReader:NewInstance vtkDEMReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDEMReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDEMReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDEMReader requires 1 argument(s)");
  vtkDEMReader* vtk_pointer = GetVTKPointer<vtkDEMReader>(arg[0]);
  Array retval;
  vtkDEMReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDEMReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDEMReader:SafeDownCast vtkDEMReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDEMReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDEMReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDEMReader requires 2 argument(s)");
  vtkDEMReader* vtk_pointer = GetVTKPointer<vtkDEMReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDEMReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDEMReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDEMReader:SetFileName vtkDEMReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkDEMReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkDEMReader requires 2 argument(s)");
  vtkDEMReader* vtk_pointer = GetVTKPointer<vtkDEMReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDEMReader:GetFileName vtkDEMReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkDEMReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkDEMReader requires 1 argument(s)");
  vtkDEMReader* vtk_pointer = GetVTKPointer<vtkDEMReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDEMReader:SetElevationReference vtkDEMReaderSetElevationReferenceFunction
//input a0 a1 
//output none
ArrayVector vtkDEMReaderSetElevationReferenceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetElevationReference (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetElevationReference for class vtkDEMReader requires 2 argument(s)");
  vtkDEMReader* vtk_pointer = GetVTKPointer<vtkDEMReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetElevationReference(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDEMReader:GetElevationReferenceMinValue vtkDEMReaderGetElevationReferenceMinValueFunction
//input a0 
//output y
ArrayVector vtkDEMReaderGetElevationReferenceMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetElevationReferenceMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetElevationReferenceMinValue for class vtkDEMReader requires 1 argument(s)");
  vtkDEMReader* vtk_pointer = GetVTKPointer<vtkDEMReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetElevationReferenceMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDEMReader:GetElevationReferenceMaxValue vtkDEMReaderGetElevationReferenceMaxValueFunction
//input a0 
//output y
ArrayVector vtkDEMReaderGetElevationReferenceMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetElevationReferenceMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetElevationReferenceMaxValue for class vtkDEMReader requires 1 argument(s)");
  vtkDEMReader* vtk_pointer = GetVTKPointer<vtkDEMReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetElevationReferenceMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDEMReader:GetElevationReference vtkDEMReaderGetElevationReferenceFunction
//input a0 
//output y
ArrayVector vtkDEMReaderGetElevationReferenceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetElevationReference (); */
  if (arg.size() < 1) 
    throw Exception("Function GetElevationReference for class vtkDEMReader requires 1 argument(s)");
  vtkDEMReader* vtk_pointer = GetVTKPointer<vtkDEMReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetElevationReference();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDEMReader:SetElevationReferenceToSeaLevel vtkDEMReaderSetElevationReferenceToSeaLevelFunction
//input a0 
//output none
ArrayVector vtkDEMReaderSetElevationReferenceToSeaLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetElevationReferenceToSeaLevel ();this SetElevationReference REFERENCE_SEA_LEVEL  */
  if (arg.size() < 1) 
    throw Exception("Function SetElevationReferenceToSeaLevel for class vtkDEMReader requires 1 argument(s)");
  vtkDEMReader* vtk_pointer = GetVTKPointer<vtkDEMReader>(arg[0]);
  Array retval;
  vtk_pointer->SetElevationReferenceToSeaLevel();
  return retval;
}

//@@Signature
//sfunction @vtkDEMReader:SetElevationReferenceToElevationBounds vtkDEMReaderSetElevationReferenceToElevationBoundsFunction
//input a0 
//output none
ArrayVector vtkDEMReaderSetElevationReferenceToElevationBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetElevationReferenceToElevationBounds ();this SetElevationReference REFERENCE_ELEVATION_BOUNDS  */
  if (arg.size() < 1) 
    throw Exception("Function SetElevationReferenceToElevationBounds for class vtkDEMReader requires 1 argument(s)");
  vtkDEMReader* vtk_pointer = GetVTKPointer<vtkDEMReader>(arg[0]);
  Array retval;
  vtk_pointer->SetElevationReferenceToElevationBounds();
  return retval;
}

//@@Signature
//sfunction @vtkDEMReader:GetElevationReferenceAsString vtkDEMReaderGetElevationReferenceAsStringFunction
//input a0 
//output y
ArrayVector vtkDEMReaderGetElevationReferenceAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetElevationReferenceAsString (void ); */
  if (arg.size() < 1) 
    throw Exception("Function GetElevationReferenceAsString for class vtkDEMReader requires 1 argument(s)");
  vtkDEMReader* vtk_pointer = GetVTKPointer<vtkDEMReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetElevationReferenceAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDEMReader:GetMapLabel vtkDEMReaderGetMapLabelFunction
//input a0 
//output y
ArrayVector vtkDEMReaderGetMapLabelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetMapLabel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMapLabel for class vtkDEMReader requires 1 argument(s)");
  vtkDEMReader* vtk_pointer = GetVTKPointer<vtkDEMReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetMapLabel();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDEMReader:GetDEMLevel vtkDEMReaderGetDEMLevelFunction
//input a0 
//output y
ArrayVector vtkDEMReaderGetDEMLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDEMLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDEMLevel for class vtkDEMReader requires 1 argument(s)");
  vtkDEMReader* vtk_pointer = GetVTKPointer<vtkDEMReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDEMLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDEMReader:GetElevationPattern vtkDEMReaderGetElevationPatternFunction
//input a0 
//output y
ArrayVector vtkDEMReaderGetElevationPatternFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetElevationPattern (); */
  if (arg.size() < 1) 
    throw Exception("Function GetElevationPattern for class vtkDEMReader requires 1 argument(s)");
  vtkDEMReader* vtk_pointer = GetVTKPointer<vtkDEMReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetElevationPattern();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDEMReader:GetGroundSystem vtkDEMReaderGetGroundSystemFunction
//input a0 
//output y
ArrayVector vtkDEMReaderGetGroundSystemFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGroundSystem (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGroundSystem for class vtkDEMReader requires 1 argument(s)");
  vtkDEMReader* vtk_pointer = GetVTKPointer<vtkDEMReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGroundSystem();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDEMReader:GetGroundZone vtkDEMReaderGetGroundZoneFunction
//input a0 
//output y
ArrayVector vtkDEMReaderGetGroundZoneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGroundZone (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGroundZone for class vtkDEMReader requires 1 argument(s)");
  vtkDEMReader* vtk_pointer = GetVTKPointer<vtkDEMReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGroundZone();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDEMReader:GetProjectionParameters vtkDEMReaderGetProjectionParametersFunction
//input a0 
//output y
ArrayVector vtkDEMReaderGetProjectionParametersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float  *GetProjectionParameters (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProjectionParameters for class vtkDEMReader requires 1 argument(s)");
  vtkDEMReader* vtk_pointer = GetVTKPointer<vtkDEMReader>(arg[0]);
  Array retval;
  float   *temp20;
  temp20 = (vtk_pointer)->GetProjectionParameters();
  BasicArray<double> tempResult(NTuple(15,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  tempResult[7] = (double)temp20[6];
  tempResult[8] = (double)temp20[7];
  tempResult[9] = (double)temp20[8];
  tempResult[10] = (double)temp20[9];
  tempResult[11] = (double)temp20[10];
  tempResult[12] = (double)temp20[11];
  tempResult[13] = (double)temp20[12];
  tempResult[14] = (double)temp20[13];
  tempResult[15] = (double)temp20[14];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkDEMReader:GetPlaneUnitOfMeasure vtkDEMReaderGetPlaneUnitOfMeasureFunction
//input a0 
//output y
ArrayVector vtkDEMReaderGetPlaneUnitOfMeasureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPlaneUnitOfMeasure (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPlaneUnitOfMeasure for class vtkDEMReader requires 1 argument(s)");
  vtkDEMReader* vtk_pointer = GetVTKPointer<vtkDEMReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPlaneUnitOfMeasure();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDEMReader:GetElevationUnitOfMeasure vtkDEMReaderGetElevationUnitOfMeasureFunction
//input a0 
//output y
ArrayVector vtkDEMReaderGetElevationUnitOfMeasureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetElevationUnitOfMeasure (); */
  if (arg.size() < 1) 
    throw Exception("Function GetElevationUnitOfMeasure for class vtkDEMReader requires 1 argument(s)");
  vtkDEMReader* vtk_pointer = GetVTKPointer<vtkDEMReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetElevationUnitOfMeasure();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDEMReader:GetPolygonSize vtkDEMReaderGetPolygonSizeFunction
//input a0 
//output y
ArrayVector vtkDEMReaderGetPolygonSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPolygonSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPolygonSize for class vtkDEMReader requires 1 argument(s)");
  vtkDEMReader* vtk_pointer = GetVTKPointer<vtkDEMReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPolygonSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDEMReader:GetElevationBounds vtkDEMReaderGetElevationBoundsFunction
//input a0 
//output y
ArrayVector vtkDEMReaderGetElevationBoundsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float  *GetElevationBounds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetElevationBounds for class vtkDEMReader requires 1 argument(s)");
  vtkDEMReader* vtk_pointer = GetVTKPointer<vtkDEMReader>(arg[0]);
  Array retval;
  float   *temp20;
  temp20 = (vtk_pointer)->GetElevationBounds();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkDEMReader:GetLocalRotation vtkDEMReaderGetLocalRotationFunction
//input a0 
//output y
ArrayVector vtkDEMReaderGetLocalRotationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetLocalRotation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocalRotation for class vtkDEMReader requires 1 argument(s)");
  vtkDEMReader* vtk_pointer = GetVTKPointer<vtkDEMReader>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetLocalRotation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDEMReader:GetAccuracyCode vtkDEMReaderGetAccuracyCodeFunction
//input a0 
//output y
ArrayVector vtkDEMReaderGetAccuracyCodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAccuracyCode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAccuracyCode for class vtkDEMReader requires 1 argument(s)");
  vtkDEMReader* vtk_pointer = GetVTKPointer<vtkDEMReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAccuracyCode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDEMReader:GetSpatialResolution vtkDEMReaderGetSpatialResolutionFunction
//input a0 
//output y
ArrayVector vtkDEMReaderGetSpatialResolutionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float  *GetSpatialResolution (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSpatialResolution for class vtkDEMReader requires 1 argument(s)");
  vtkDEMReader* vtk_pointer = GetVTKPointer<vtkDEMReader>(arg[0]);
  Array retval;
  float   *temp20;
  temp20 = (vtk_pointer)->GetSpatialResolution();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkDEMReader:GetProfileDimension vtkDEMReaderGetProfileDimensionFunction
//input a0 
//output y
ArrayVector vtkDEMReaderGetProfileDimensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetProfileDimension (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProfileDimension for class vtkDEMReader requires 1 argument(s)");
  vtkDEMReader* vtk_pointer = GetVTKPointer<vtkDEMReader>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetProfileDimension();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkDEMReader:display vtkDEMReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDEMReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDEMReader* vtk_pointer = GetVTKPointer<vtkDEMReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDEMReader:delete vtkDEMReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkDEMReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDEMReader
//@@Section VTKIO
//@@Usage
// vtkDEMReader reads digital elevation files and creates image data.
// Digital elevation files are produced by the
// <A HREF="http://www.usgs.gov">US Geological Survey</A>. 
// A complete description of the DEM file is located at the USGS site.
// The reader reads the entire dem file and create a vtkImageData that
// contains a single scalar component that is the elevation in meters.
// The spacing is also expressed in meters. A number of get methods
// provide access to fields on the header.
//
//To create an instance of class vtkDEMReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkDEMReader
//@]
//@@Methods
//The class vtkDEMReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDEMReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDEMReader = obj.NewInstance ()|
// \item @|vtkDEMReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string )| -  Specify file name of Digital Elevation Model (DEM) file
//// \item @|string = obj.GetFileName ()| -  Specify file name of Digital Elevation Model (DEM) file
//// \item @|obj.SetElevationReference (int )| -  Specify the elevation origin to use. By default, the elevation origin
// is equal to ElevationBounds[0]. A more convenient origin is to use sea
// level (i.e., a value of 0.0).
//// \item @|int = obj.GetElevationReferenceMinValue ()| -  Specify the elevation origin to use. By default, the elevation origin
// is equal to ElevationBounds[0]. A more convenient origin is to use sea
// level (i.e., a value of 0.0).
//// \item @|int = obj.GetElevationReferenceMaxValue ()| -  Specify the elevation origin to use. By default, the elevation origin
// is equal to ElevationBounds[0]. A more convenient origin is to use sea
// level (i.e., a value of 0.0).
//// \item @|int = obj.GetElevationReference ()| -  Specify the elevation origin to use. By default, the elevation origin
// is equal to ElevationBounds[0]. A more convenient origin is to use sea
// level (i.e., a value of 0.0).
//// \item @|obj.SetElevationReferenceToSeaLevel ()| -  Specify the elevation origin to use. By default, the elevation origin
// is equal to ElevationBounds[0]. A more convenient origin is to use sea
// level (i.e., a value of 0.0).
//// \item @|obj.SetElevationReferenceToElevationBounds ()| -  Specify the elevation origin to use. By default, the elevation origin
// is equal to ElevationBounds[0]. A more convenient origin is to use sea
// level (i.e., a value of 0.0).
//// \item @|string = obj.GetElevationReferenceAsString (void )| -  Specify the elevation origin to use. By default, the elevation origin
// is equal to ElevationBounds[0]. A more convenient origin is to use sea
// level (i.e., a value of 0.0).
//// \item @|string = obj.GetMapLabel ()| -  An ASCII description of the map
//// \item @|int = obj.GetDEMLevel ()| -  Code 1=DEM-1, 2=DEM_2, ...
//// \item @|int = obj.GetElevationPattern ()| -  Code 1=regular, 2=random, reserved for future use
//// \item @|int = obj.GetGroundSystem ()| -  Ground planimetric reference system
//// \item @|int = obj.GetGroundZone ()| -  Zone in ground planimetric reference system
//// \item @|float = obj. GetProjectionParameters ()| -  Map Projection parameters. All are zero.
//// \item @|int = obj.GetPlaneUnitOfMeasure ()| -  Defining unit of measure for ground planimetric coordinates throughout
// the file. 0 = radians, 1 = feet, 2 = meters, 3 = arc-seconds.
//// \item @|int = obj.GetElevationUnitOfMeasure ()| -  Defining unit of measure for elevation coordinates throughout
// the file. 1 = feet, 2 = meters
//// \item @|int = obj.GetPolygonSize ()| -  Number of sides in the polygon which defines the coverage of
// the DEM file. Set to 4.
//// \item @|float = obj. GetElevationBounds ()| -  Minimum and maximum elevation for the DEM. The units in the file
// are in ElevationUnitOfMeasure. This class converts them to meters.
//// \item @|float = obj.GetLocalRotation ()| -  Counterclockwise angle (in radians) from the primary axis of the planimetric
// reference to the primary axis of the DEM local reference system.
// IGNORED BY THIS IMPLEMENTATION.
//// \item @|int = obj.GetAccuracyCode ()| -  Accuracy code for elevations. 0=unknown accuracy
//// \item @|float = obj. GetSpatialResolution ()| -  DEM spatial resolution for x,y,z. Values are expressed in units of resolution.
// Since elevations are read as integers, this permits fractional elevations.
//// \item @|int = obj. GetProfileDimension ()| -  The number of rows and columns in the DEM.
////\end{itemize}
//!
