#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDICOMImageReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDICOMImageReader.h"

//@@Signature
//sfunction @vtkDICOMImageReader:vtkDICOMImageReader vtkDICOMImageReaderConstructorFunction
//input a
//output p
//@@Parents vtkDICOMImageReader vtkImageReader2 
ArrayVector vtkDICOMImageReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDICOMImageReader::New(),"vtkDICOMImageReader",eval);
  } else if (arg[0].className() == "vtkDICOMImageReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDICOMImageReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDICOMImageReader");
    vtkDICOMImageReader*q = reinterpret_cast<vtkDICOMImageReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDICOMImageReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDICOMImageReader:GetClassName vtkDICOMImageReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDICOMImageReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDICOMImageReader requires 1 argument(s)");
  vtkDICOMImageReader* vtk_pointer = GetVTKPointer<vtkDICOMImageReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDICOMImageReader:IsA vtkDICOMImageReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDICOMImageReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDICOMImageReader requires 2 argument(s)");
  vtkDICOMImageReader* vtk_pointer = GetVTKPointer<vtkDICOMImageReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDICOMImageReader:NewInstance vtkDICOMImageReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDICOMImageReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDICOMImageReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDICOMImageReader requires 1 argument(s)");
  vtkDICOMImageReader* vtk_pointer = GetVTKPointer<vtkDICOMImageReader>(arg[0]);
  Array retval;
  vtkDICOMImageReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDICOMImageReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDICOMImageReader:SafeDownCast vtkDICOMImageReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDICOMImageReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDICOMImageReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDICOMImageReader requires 2 argument(s)");
  vtkDICOMImageReader* vtk_pointer = GetVTKPointer<vtkDICOMImageReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDICOMImageReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDICOMImageReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDICOMImageReader:SetFileName vtkDICOMImageReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkDICOMImageReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (const char *fn);if this DirectoryName delete this DirectoryName if this FileName delete this FileName this DirectoryName NULL this FileName NULL this vtkImageReader2 SetFileName fn  */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkDICOMImageReader requires 2 argument(s)");
  vtkDICOMImageReader* vtk_pointer = GetVTKPointer<vtkDICOMImageReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDICOMImageReader:SetDirectoryName vtkDICOMImageReaderSetDirectoryNameFunction
//input a0 a1 
//output none
ArrayVector vtkDICOMImageReaderSetDirectoryNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDirectoryName (const char *dn); */
  if (arg.size() < 2) 
    throw Exception("Function SetDirectoryName for class vtkDICOMImageReader requires 2 argument(s)");
  vtkDICOMImageReader* vtk_pointer = GetVTKPointer<vtkDICOMImageReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetDirectoryName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDICOMImageReader:GetDirectoryName vtkDICOMImageReaderGetDirectoryNameFunction
//input a0 
//output y
ArrayVector vtkDICOMImageReaderGetDirectoryNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetDirectoryName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDirectoryName for class vtkDICOMImageReader requires 1 argument(s)");
  vtkDICOMImageReader* vtk_pointer = GetVTKPointer<vtkDICOMImageReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetDirectoryName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDICOMImageReader:GetPixelSpacing vtkDICOMImageReaderGetPixelSpacingFunction
//input a0 
//output y
ArrayVector vtkDICOMImageReaderGetPixelSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double *GetPixelSpacing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPixelSpacing for class vtkDICOMImageReader requires 1 argument(s)");
  vtkDICOMImageReader* vtk_pointer = GetVTKPointer<vtkDICOMImageReader>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetPixelSpacing();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkDICOMImageReader:GetWidth vtkDICOMImageReaderGetWidthFunction
//input a0 
//output y
ArrayVector vtkDICOMImageReaderGetWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWidth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWidth for class vtkDICOMImageReader requires 1 argument(s)");
  vtkDICOMImageReader* vtk_pointer = GetVTKPointer<vtkDICOMImageReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWidth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDICOMImageReader:GetHeight vtkDICOMImageReaderGetHeightFunction
//input a0 
//output y
ArrayVector vtkDICOMImageReaderGetHeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetHeight (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeight for class vtkDICOMImageReader requires 1 argument(s)");
  vtkDICOMImageReader* vtk_pointer = GetVTKPointer<vtkDICOMImageReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetHeight();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDICOMImageReader:GetImagePositionPatient vtkDICOMImageReaderGetImagePositionPatientFunction
//input a0 
//output y
ArrayVector vtkDICOMImageReaderGetImagePositionPatientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float *GetImagePositionPatient (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImagePositionPatient for class vtkDICOMImageReader requires 1 argument(s)");
  vtkDICOMImageReader* vtk_pointer = GetVTKPointer<vtkDICOMImageReader>(arg[0]);
  Array retval;
  float   *temp20;
  temp20 = (vtk_pointer)->GetImagePositionPatient();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkDICOMImageReader:GetImageOrientationPatient vtkDICOMImageReaderGetImageOrientationPatientFunction
//input a0 
//output y
ArrayVector vtkDICOMImageReaderGetImageOrientationPatientFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float *GetImageOrientationPatient (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageOrientationPatient for class vtkDICOMImageReader requires 1 argument(s)");
  vtkDICOMImageReader* vtk_pointer = GetVTKPointer<vtkDICOMImageReader>(arg[0]);
  Array retval;
  float   *temp20;
  temp20 = (vtk_pointer)->GetImageOrientationPatient();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkDICOMImageReader:GetBitsAllocated vtkDICOMImageReaderGetBitsAllocatedFunction
//input a0 
//output y
ArrayVector vtkDICOMImageReaderGetBitsAllocatedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBitsAllocated (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBitsAllocated for class vtkDICOMImageReader requires 1 argument(s)");
  vtkDICOMImageReader* vtk_pointer = GetVTKPointer<vtkDICOMImageReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBitsAllocated();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDICOMImageReader:GetPixelRepresentation vtkDICOMImageReaderGetPixelRepresentationFunction
//input a0 
//output y
ArrayVector vtkDICOMImageReaderGetPixelRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPixelRepresentation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPixelRepresentation for class vtkDICOMImageReader requires 1 argument(s)");
  vtkDICOMImageReader* vtk_pointer = GetVTKPointer<vtkDICOMImageReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPixelRepresentation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDICOMImageReader:GetNumberOfComponents vtkDICOMImageReaderGetNumberOfComponentsFunction
//input a0 
//output y
ArrayVector vtkDICOMImageReaderGetNumberOfComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponents (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfComponents for class vtkDICOMImageReader requires 1 argument(s)");
  vtkDICOMImageReader* vtk_pointer = GetVTKPointer<vtkDICOMImageReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfComponents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDICOMImageReader:GetTransferSyntaxUID vtkDICOMImageReaderGetTransferSyntaxUIDFunction
//input a0 
//output y
ArrayVector vtkDICOMImageReaderGetTransferSyntaxUIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetTransferSyntaxUID (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTransferSyntaxUID for class vtkDICOMImageReader requires 1 argument(s)");
  vtkDICOMImageReader* vtk_pointer = GetVTKPointer<vtkDICOMImageReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetTransferSyntaxUID();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDICOMImageReader:GetRescaleSlope vtkDICOMImageReaderGetRescaleSlopeFunction
//input a0 
//output y
ArrayVector vtkDICOMImageReaderGetRescaleSlopeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetRescaleSlope (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRescaleSlope for class vtkDICOMImageReader requires 1 argument(s)");
  vtkDICOMImageReader* vtk_pointer = GetVTKPointer<vtkDICOMImageReader>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetRescaleSlope();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDICOMImageReader:GetRescaleOffset vtkDICOMImageReaderGetRescaleOffsetFunction
//input a0 
//output y
ArrayVector vtkDICOMImageReaderGetRescaleOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetRescaleOffset (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRescaleOffset for class vtkDICOMImageReader requires 1 argument(s)");
  vtkDICOMImageReader* vtk_pointer = GetVTKPointer<vtkDICOMImageReader>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetRescaleOffset();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDICOMImageReader:GetPatientName vtkDICOMImageReaderGetPatientNameFunction
//input a0 
//output y
ArrayVector vtkDICOMImageReaderGetPatientNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetPatientName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPatientName for class vtkDICOMImageReader requires 1 argument(s)");
  vtkDICOMImageReader* vtk_pointer = GetVTKPointer<vtkDICOMImageReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetPatientName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDICOMImageReader:GetStudyUID vtkDICOMImageReaderGetStudyUIDFunction
//input a0 
//output y
ArrayVector vtkDICOMImageReaderGetStudyUIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetStudyUID (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStudyUID for class vtkDICOMImageReader requires 1 argument(s)");
  vtkDICOMImageReader* vtk_pointer = GetVTKPointer<vtkDICOMImageReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetStudyUID();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDICOMImageReader:GetStudyID vtkDICOMImageReaderGetStudyIDFunction
//input a0 
//output y
ArrayVector vtkDICOMImageReaderGetStudyIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetStudyID (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStudyID for class vtkDICOMImageReader requires 1 argument(s)");
  vtkDICOMImageReader* vtk_pointer = GetVTKPointer<vtkDICOMImageReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetStudyID();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDICOMImageReader:GetGantryAngle vtkDICOMImageReaderGetGantryAngleFunction
//input a0 
//output y
ArrayVector vtkDICOMImageReaderGetGantryAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetGantryAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGantryAngle for class vtkDICOMImageReader requires 1 argument(s)");
  vtkDICOMImageReader* vtk_pointer = GetVTKPointer<vtkDICOMImageReader>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetGantryAngle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDICOMImageReader:CanReadFile vtkDICOMImageReaderCanReadFileFunction
//input a0 a1 
//output y
ArrayVector vtkDICOMImageReaderCanReadFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int CanReadFile (const char *fname); */
  if (arg.size() < 2) 
    throw Exception("Function CanReadFile for class vtkDICOMImageReader requires 2 argument(s)");
  vtkDICOMImageReader* vtk_pointer = GetVTKPointer<vtkDICOMImageReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CanReadFile(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDICOMImageReader:GetFileExtensions vtkDICOMImageReaderGetFileExtensionsFunction
//input a0 
//output y
ArrayVector vtkDICOMImageReaderGetFileExtensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetFileExtensions ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetFileExtensions for class vtkDICOMImageReader requires 1 argument(s)");
  vtkDICOMImageReader* vtk_pointer = GetVTKPointer<vtkDICOMImageReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetFileExtensions();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDICOMImageReader:GetDescriptiveName vtkDICOMImageReaderGetDescriptiveNameFunction
//input a0 
//output y
ArrayVector vtkDICOMImageReaderGetDescriptiveNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetDescriptiveName ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetDescriptiveName for class vtkDICOMImageReader requires 1 argument(s)");
  vtkDICOMImageReader* vtk_pointer = GetVTKPointer<vtkDICOMImageReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDescriptiveName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDICOMImageReader:display vtkDICOMImageReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDICOMImageReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDICOMImageReader* vtk_pointer = GetVTKPointer<vtkDICOMImageReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDICOMImageReader:delete vtkDICOMImageReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkDICOMImageReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDICOMImageReader
//@@Section VTKIO
//@@Usage
// DICOM (stands for Digital Imaging in COmmunications and Medicine)
// is a medical image file format widely used to exchange data, provided
// by various modalities.
// .SECTION Warnings
// This reader might eventually handle ACR-NEMA file (predecessor of the DICOM
// format for medical images).
// This reader does not handle encapsulated format, only plain raw file are
// handled. This reader also does not handle multi-frames DICOM datasets.
// .SECTION Warnings
// Internally DICOMParser assumes the x,y pixel spacing is stored in 0028,0030 and
// that z spacing is stored in Slice Thickness (correct only when slice were acquired
// contiguous): 0018,0050. Which means this is only valid for some rare 
// MR Image Storage
// 
//
//To create an instance of class vtkDICOMImageReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkDICOMImageReader
//@]
//@@Methods
//The class vtkDICOMImageReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDICOMImageReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()| -  Static method for construction.
//// \item @|int = obj.IsA (string name)| -  Static method for construction.
//// \item @|vtkDICOMImageReader = obj.NewInstance ()| -  Static method for construction.
//// \item @|vtkDICOMImageReader = obj.SafeDownCast (vtkObject o)| -  Static method for construction.
//// \item @|obj.SetFileName (string fn)| -  Set the directory name for the reader to look in for DICOM
// files. If this method is used, the reader will try to find
// all the DICOM files in a directory. It will select the subset
// corresponding to the first series UID it stumbles across and
// it will try to build an ordered volume from them based on
// the slice number. The volume building will be upgraded to
// something more sophisticated in the future.
//// \item @|obj.SetDirectoryName (string dn)| -  Set the directory name for the reader to look in for DICOM
// files. If this method is used, the reader will try to find
// all the DICOM files in a directory. It will select the subset
// corresponding to the first series UID it stumbles across and
// it will try to build an ordered volume from them based on
// the slice number. The volume building will be upgraded to
// something more sophisticated in the future.
//// \item @|string = obj.GetDirectoryName ()| -  Returns the directory name.
//// \item @|double = obj.GetPixelSpacing ()| -  Returns the pixel spacing (in X, Y, Z).
// Note: if there is only one slice, the Z spacing is set to the slice
// thickness. If there is more than one slice, it is set to the distance
// between the first two slices.
//// \item @|int = obj.GetWidth ()| -  Returns the image width.
//// \item @|int = obj.GetHeight ()| -  Returns the image height.
//// \item @|float = obj.GetImagePositionPatient ()| -  Get the (DICOM) x,y,z coordinates of the first pixel in the
// image (upper left hand corner) of the last image processed by the
// DICOMParser
//// \item @|float = obj.GetImageOrientationPatient ()| -  Get the (DICOM) directions cosines. It consist of the components
// of the first two vectors. The third vector needs to be computed
// to form an orthonormal basis.
//// \item @|int = obj.GetBitsAllocated ()| -  Get the number of bits allocated for each pixel in the file.
//// \item @|int = obj.GetPixelRepresentation ()| -  Get the pixel representation of the last image processed by the
// DICOMParser. A zero is a unsigned quantity.  A one indicates a
// signed quantity
//// \item @|int = obj.GetNumberOfComponents ()| -  Get the number of components of the image data for the last
// image processed.
//// \item @|string = obj.GetTransferSyntaxUID ()| -  Get the transfer syntax UID for the last image processed.
//// \item @|float = obj.GetRescaleSlope ()| -  Get the rescale slope for the pixel data.
//// \item @|float = obj.GetRescaleOffset ()| -  Get the rescale offset for the pixel data.
//// \item @|string = obj.GetPatientName ()| -  Get the patient name for the last image processed.
//// \item @|string = obj.GetStudyUID ()| -  Get the study uid for the last image processed.
//// \item @|string = obj.GetStudyID ()| -  Get the Study ID for the last image processed.
//// \item @|float = obj.GetGantryAngle ()| -  Get the gantry angle for the last image processed.
//// \item @|int = obj.CanReadFile (string fname)|
// \item @|string = obj.GetFileExtensions ()| -  Return a descriptive name for the file format that might be useful in a GUI.
//// \item @|string = obj.GetDescriptiveName ()|
//\end{itemize}
//!
