#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataCompressor object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataCompressor.h"

//@@Signature
//sfunction @vtkDataCompressor:vtkDataCompressor vtkDataCompressorConstructorFunction
//input a
//output p
//@@Parents vtkDataCompressor vtkObject 
ArrayVector vtkDataCompressorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataCompressor::New(),"vtkDataCompressor",eval);
  } else if (arg[0].className() == "vtkDataCompressor") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataCompressor"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataCompressor");
    vtkDataCompressor*q = reinterpret_cast<vtkDataCompressor*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataCompressor");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataCompressor:GetClassName vtkDataCompressorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataCompressorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataCompressor requires 1 argument(s)");
  vtkDataCompressor* vtk_pointer = GetVTKPointer<vtkDataCompressor>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataCompressor:IsA vtkDataCompressorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataCompressorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataCompressor requires 2 argument(s)");
  vtkDataCompressor* vtk_pointer = GetVTKPointer<vtkDataCompressor>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataCompressor:NewInstance vtkDataCompressorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataCompressorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataCompressor *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataCompressor requires 1 argument(s)");
  vtkDataCompressor* vtk_pointer = GetVTKPointer<vtkDataCompressor>(arg[0]);
  Array retval;
  vtkDataCompressor  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataCompressor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataCompressor:SafeDownCast vtkDataCompressorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataCompressorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataCompressor *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataCompressor requires 2 argument(s)");
  vtkDataCompressor* vtk_pointer = GetVTKPointer<vtkDataCompressor>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataCompressor  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataCompressor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataCompressor:GetMaximumCompressionSpace vtkDataCompressorGetMaximumCompressionSpaceFunction
//input a0 a1 
//output y
ArrayVector vtkDataCompressorGetMaximumCompressionSpaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long GetMaximumCompressionSpace (unsigned long size) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetMaximumCompressionSpace for class vtkDataCompressor requires 2 argument(s)");
  vtkDataCompressor* vtk_pointer = GetVTKPointer<vtkDataCompressor>(arg[0]);
  Array retval;
  unsigned long     temp0;
  unsigned long     temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned long) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetMaximumCompressionSpace(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataCompressor:Compress__1 vtkDataCompressorCompress__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkDataCompressorCompress__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long Compress (const unsigned char *uncompressedData, unsigned long uncompressedSize, unsigned char *compressedData, unsigned long compressionSpace); */
  if (arg.size() < 5) 
    throw Exception("Function Compress__1 for class vtkDataCompressor requires 5 argument(s)");
  vtkDataCompressor* vtk_pointer = GetVTKPointer<vtkDataCompressor>(arg[0]);
  Array retval;
  unsigned char    *temp0;
  unsigned long     temp1;
  unsigned char    *temp2;
  unsigned long     temp3;
  unsigned long     temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned long) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (unsigned char)data[k+1];
      }
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (unsigned long) arg[4].asDouble();
  temp20 = (vtk_pointer)->Compress(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataCompressor:Uncompress__1 vtkDataCompressorUncompress__1Function
//input a0 a1 a2 a3 a4 
//output y
ArrayVector vtkDataCompressorUncompress__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long Uncompress (const unsigned char *compressedData, unsigned long compressedSize, unsigned char *uncompressedData, unsigned long uncompressedSize); */
  if (arg.size() < 5) 
    throw Exception("Function Uncompress__1 for class vtkDataCompressor requires 5 argument(s)");
  vtkDataCompressor* vtk_pointer = GetVTKPointer<vtkDataCompressor>(arg[0]);
  Array retval;
  unsigned char    *temp0;
  unsigned long     temp1;
  unsigned char    *temp2;
  unsigned long     temp3;
  unsigned long     temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned long) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (unsigned char)data[k+1];
      }
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (unsigned long) arg[4].asDouble();
  temp20 = (vtk_pointer)->Uncompress(temp0,temp1,temp2,temp3);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataCompressor:Compress__2 vtkDataCompressorCompress__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkDataCompressorCompress__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnsignedCharArray *Compress (const unsigned char *uncompressedData, unsigned long uncompressedSize); */
  if (arg.size() < 3) 
    throw Exception("Function Compress__2 for class vtkDataCompressor requires 3 argument(s)");
  vtkDataCompressor* vtk_pointer = GetVTKPointer<vtkDataCompressor>(arg[0]);
  Array retval;
  unsigned char    *temp0;
  unsigned long     temp1;
  vtkUnsignedCharArray  *temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned long) arg[2].asDouble();
  temp20 = (vtk_pointer)->Compress(temp0,temp1);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnsignedCharArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataCompressor:Uncompress__2 vtkDataCompressorUncompress__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkDataCompressorUncompress__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnsignedCharArray *Uncompress (const unsigned char *compressedData, unsigned long compressedSize, unsigned long uncompressedSize); */
  if (arg.size() < 4) 
    throw Exception("Function Uncompress__2 for class vtkDataCompressor requires 4 argument(s)");
  vtkDataCompressor* vtk_pointer = GetVTKPointer<vtkDataCompressor>(arg[0]);
  Array retval;
  unsigned char    *temp0;
  unsigned long     temp1;
  unsigned long     temp2;
  vtkUnsignedCharArray  *temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned long) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (unsigned long) arg[3].asDouble();
  temp20 = (vtk_pointer)->Uncompress(temp0,temp1,temp2);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnsignedCharArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataCompressor:Compress vtkDataCompressorCompressFunction
//input varargin
//output varargout
ArrayVector vtkDataCompressorCompressFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[4]))
    return vtkDataCompressorCompress__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkDataCompressorCompress__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataCompressorCompress");
}

//@@Signature
//sfunction @vtkDataCompressor:Uncompress vtkDataCompressorUncompressFunction
//input varargin
//output varargout
ArrayVector vtkDataCompressorUncompressFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 5) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[4]))
    return vtkDataCompressorUncompress__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkDataCompressorUncompress__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataCompressorUncompress");
}

//@@Signature
//sfunction @vtkDataCompressor:display vtkDataCompressorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataCompressorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataCompressor* vtk_pointer = GetVTKPointer<vtkDataCompressor>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataCompressor:delete vtkDataCompressorDeleteFunction
//input varargin
//output none
ArrayVector vtkDataCompressorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataCompressor
//@@Section VTKIO
//@@Usage
// vtkDataCompressor provides a universal interface for data
// compression.  Subclasses provide one compression method and one
// decompression method.  The public interface to all compressors
// remains the same, and is defined by this class.
//
//To create an instance of class vtkDataCompressor, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataCompressor
//@]
//@@Methods
//The class vtkDataCompressor has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataCompressor class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataCompressor = obj.NewInstance ()|
// \item @|vtkDataCompressor = obj.SafeDownCast (vtkObject o)|
// \item @|long = obj.GetMaximumCompressionSpace (long size)| -  Get the maximum space that may be needed to store data of the
// given uncompressed size after compression.  This is the minimum
// size of the output buffer that can be passed to the four-argument
// Compress method.
//// \item @|long = obj.Compress (string uncompressedData, long uncompressedSize, string compressedData, long compressionSpace)| -  Compress the given input data buffer into the given output
// buffer.  The size of the output buffer must be at least as large
// as the value given by GetMaximumCompressionSpace for the given
// input size.
//// \item @|long = obj.Uncompress (string compressedData, long compressedSize, string uncompressedData, long uncompressedSize)| -  Uncompress the given input data into the given output buffer.
// The size of the uncompressed data must be known by the caller.
// It should be transmitted from the compressor by a means outside
// of this class.
//// \item @|vtkUnsignedCharArray = obj.Compress (string uncompressedData, long uncompressedSize)| -  Compress the given data.  A vtkUnsignedCharArray containing the
// compressed data is returned with a reference count of 1.
//// \item @|vtkUnsignedCharArray = obj.Uncompress (string compressedData, long compressedSize, long uncompressedSize)| -  Uncompress the given data.  A vtkUnsignedCharArray containing the
// compressed data is returned with a reference count of 1.  The
// size of the uncompressed data must be known by the caller.  It
// should be transmitted from the compressor by a means outside of
// this class.
////\end{itemize}
//!
