#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataObjectReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataObjectReader.h"

//@@Signature
//sfunction @vtkDataObjectReader:vtkDataObjectReader vtkDataObjectReaderConstructorFunction
//input a
//output p
//@@Parents vtkDataObjectReader vtkDataReader 
ArrayVector vtkDataObjectReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataObjectReader::New(),"vtkDataObjectReader",eval);
  } else if (arg[0].className() == "vtkDataObjectReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataObjectReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataObjectReader");
    vtkDataObjectReader*q = reinterpret_cast<vtkDataObjectReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataObjectReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataObjectReader:GetClassName vtkDataObjectReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataObjectReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataObjectReader requires 1 argument(s)");
  vtkDataObjectReader* vtk_pointer = GetVTKPointer<vtkDataObjectReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectReader:IsA vtkDataObjectReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataObjectReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataObjectReader requires 2 argument(s)");
  vtkDataObjectReader* vtk_pointer = GetVTKPointer<vtkDataObjectReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectReader:NewInstance vtkDataObjectReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataObjectReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObjectReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataObjectReader requires 1 argument(s)");
  vtkDataObjectReader* vtk_pointer = GetVTKPointer<vtkDataObjectReader>(arg[0]);
  Array retval;
  vtkDataObjectReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObjectReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectReader:SafeDownCast vtkDataObjectReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataObjectReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObjectReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataObjectReader requires 2 argument(s)");
  vtkDataObjectReader* vtk_pointer = GetVTKPointer<vtkDataObjectReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataObjectReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObjectReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectReader:GetOutput__1 vtkDataObjectReaderGetOutput__1Function
//input a0 
//output y
ArrayVector vtkDataObjectReaderGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkDataObjectReader requires 1 argument(s)");
  vtkDataObjectReader* vtk_pointer = GetVTKPointer<vtkDataObjectReader>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectReader:GetOutput__2 vtkDataObjectReaderGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkDataObjectReaderGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetOutput (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkDataObjectReader requires 2 argument(s)");
  vtkDataObjectReader* vtk_pointer = GetVTKPointer<vtkDataObjectReader>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectReader:SetOutput vtkDataObjectReaderSetOutputFunction
//input a0 a1 
//output none
ArrayVector vtkDataObjectReaderSetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutput for class vtkDataObjectReader requires 2 argument(s)");
  vtkDataObjectReader* vtk_pointer = GetVTKPointer<vtkDataObjectReader>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectReader:GetOutput vtkDataObjectReaderGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectReaderGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkDataObjectReaderGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkDataObjectReaderGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataObjectReaderGetOutput");
}

//@@Signature
//sfunction @vtkDataObjectReader:display vtkDataObjectReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataObjectReader* vtk_pointer = GetVTKPointer<vtkDataObjectReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataObjectReader:delete vtkDataObjectReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkDataObjectReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataObjectReader
//@@Section VTKIO
//@@Usage
// vtkDataObjectReader is a source object that reads ASCII or binary field
// data files in vtk format. Fields are general matrix structures used
// represent complex data. (See text for format details).  The output of this
// reader is a single vtkDataObject.  The superclass of this class,
// vtkDataReader, provides many methods for controlling the reading of the
// data file, see vtkDataReader for more information.
//
//To create an instance of class vtkDataObjectReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataObjectReader
//@]
//@@Methods
//The class vtkDataObjectReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataObjectReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataObjectReader = obj.NewInstance ()|
// \item @|vtkDataObjectReader = obj.SafeDownCast (vtkObject o)|
// \item @|vtkDataObject = obj.GetOutput ()| -  Get the output field of this reader.
//// \item @|vtkDataObject = obj.GetOutput (int idx)| -  Get the output field of this reader.
//// \item @|obj.SetOutput (vtkDataObject )| -  Get the output field of this reader.
////\end{itemize}
//!
