#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataObjectWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataObjectWriter.h"

//@@Signature
//sfunction @vtkDataObjectWriter:vtkDataObjectWriter vtkDataObjectWriterConstructorFunction
//input a
//output p
//@@Parents vtkDataObjectWriter vtkWriter 
ArrayVector vtkDataObjectWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataObjectWriter::New(),"vtkDataObjectWriter",eval);
  } else if (arg[0].className() == "vtkDataObjectWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataObjectWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataObjectWriter");
    vtkDataObjectWriter*q = reinterpret_cast<vtkDataObjectWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataObjectWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataObjectWriter:GetClassName vtkDataObjectWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataObjectWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataObjectWriter requires 1 argument(s)");
  vtkDataObjectWriter* vtk_pointer = GetVTKPointer<vtkDataObjectWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectWriter:IsA vtkDataObjectWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataObjectWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataObjectWriter requires 2 argument(s)");
  vtkDataObjectWriter* vtk_pointer = GetVTKPointer<vtkDataObjectWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectWriter:NewInstance vtkDataObjectWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataObjectWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObjectWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataObjectWriter requires 1 argument(s)");
  vtkDataObjectWriter* vtk_pointer = GetVTKPointer<vtkDataObjectWriter>(arg[0]);
  Array retval;
  vtkDataObjectWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObjectWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectWriter:SafeDownCast vtkDataObjectWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataObjectWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObjectWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataObjectWriter requires 2 argument(s)");
  vtkDataObjectWriter* vtk_pointer = GetVTKPointer<vtkDataObjectWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataObjectWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObjectWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectWriter:SetFileName vtkDataObjectWriterSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkDataObjectWriterSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (const char *filename);this Writer SetFileName filename  */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkDataObjectWriter requires 2 argument(s)");
  vtkDataObjectWriter* vtk_pointer = GetVTKPointer<vtkDataObjectWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectWriter:GetFileName vtkDataObjectWriterGetFileNameFunction
//input a0 
//output y
ArrayVector vtkDataObjectWriterGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName ();return this Writer GetFileName  */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkDataObjectWriter requires 1 argument(s)");
  vtkDataObjectWriter* vtk_pointer = GetVTKPointer<vtkDataObjectWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectWriter:SetHeader vtkDataObjectWriterSetHeaderFunction
//input a0 a1 
//output none
ArrayVector vtkDataObjectWriterSetHeaderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHeader (const char *header);this Writer SetHeader header  */
  if (arg.size() < 2) 
    throw Exception("Function SetHeader for class vtkDataObjectWriter requires 2 argument(s)");
  vtkDataObjectWriter* vtk_pointer = GetVTKPointer<vtkDataObjectWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetHeader(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectWriter:GetHeader vtkDataObjectWriterGetHeaderFunction
//input a0 
//output y
ArrayVector vtkDataObjectWriterGetHeaderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetHeader ();return this Writer GetHeader  */
  if (arg.size() < 1) 
    throw Exception("Function GetHeader for class vtkDataObjectWriter requires 1 argument(s)");
  vtkDataObjectWriter* vtk_pointer = GetVTKPointer<vtkDataObjectWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetHeader();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectWriter:SetFileType vtkDataObjectWriterSetFileTypeFunction
//input a0 a1 
//output none
ArrayVector vtkDataObjectWriterSetFileTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileType (int type);this Writer SetFileType type  */
  if (arg.size() < 2) 
    throw Exception("Function SetFileType for class vtkDataObjectWriter requires 2 argument(s)");
  vtkDataObjectWriter* vtk_pointer = GetVTKPointer<vtkDataObjectWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFileType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectWriter:GetFileType vtkDataObjectWriterGetFileTypeFunction
//input a0 
//output y
ArrayVector vtkDataObjectWriterGetFileTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFileType ();return this Writer GetFileType  */
  if (arg.size() < 1) 
    throw Exception("Function GetFileType for class vtkDataObjectWriter requires 1 argument(s)");
  vtkDataObjectWriter* vtk_pointer = GetVTKPointer<vtkDataObjectWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFileType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectWriter:SetFileTypeToASCII vtkDataObjectWriterSetFileTypeToASCIIFunction
//input a0 
//output none
ArrayVector vtkDataObjectWriterSetFileTypeToASCIIFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileTypeToASCII ();this Writer SetFileType VTK_ASCII  */
  if (arg.size() < 1) 
    throw Exception("Function SetFileTypeToASCII for class vtkDataObjectWriter requires 1 argument(s)");
  vtkDataObjectWriter* vtk_pointer = GetVTKPointer<vtkDataObjectWriter>(arg[0]);
  Array retval;
  vtk_pointer->SetFileTypeToASCII();
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectWriter:SetFileTypeToBinary vtkDataObjectWriterSetFileTypeToBinaryFunction
//input a0 
//output none
ArrayVector vtkDataObjectWriterSetFileTypeToBinaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileTypeToBinary ();this Writer SetFileType VTK_BINARY  */
  if (arg.size() < 1) 
    throw Exception("Function SetFileTypeToBinary for class vtkDataObjectWriter requires 1 argument(s)");
  vtkDataObjectWriter* vtk_pointer = GetVTKPointer<vtkDataObjectWriter>(arg[0]);
  Array retval;
  vtk_pointer->SetFileTypeToBinary();
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectWriter:SetFieldDataName vtkDataObjectWriterSetFieldDataNameFunction
//input a0 a1 
//output none
ArrayVector vtkDataObjectWriterSetFieldDataNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFieldDataName (const char *fieldname);this Writer SetFieldDataName fieldname  */
  if (arg.size() < 2) 
    throw Exception("Function SetFieldDataName for class vtkDataObjectWriter requires 2 argument(s)");
  vtkDataObjectWriter* vtk_pointer = GetVTKPointer<vtkDataObjectWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFieldDataName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectWriter:GetFieldDataName vtkDataObjectWriterGetFieldDataNameFunction
//input a0 
//output y
ArrayVector vtkDataObjectWriterGetFieldDataNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFieldDataName ();return this Writer GetFieldDataName  */
  if (arg.size() < 1) 
    throw Exception("Function GetFieldDataName for class vtkDataObjectWriter requires 1 argument(s)");
  vtkDataObjectWriter* vtk_pointer = GetVTKPointer<vtkDataObjectWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFieldDataName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataObjectWriter:display vtkDataObjectWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataObjectWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataObjectWriter* vtk_pointer = GetVTKPointer<vtkDataObjectWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataObjectWriter:delete vtkDataObjectWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkDataObjectWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataObjectWriter
//@@Section VTKIO
//@@Usage
// vtkDataObjectWriter is a source object that writes ASCII or binary 
// field data files in vtk format. Field data is a general form of data in
// matrix form.
//
//To create an instance of class vtkDataObjectWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataObjectWriter
//@]
//@@Methods
//The class vtkDataObjectWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataObjectWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataObjectWriter = obj.NewInstance ()|
// \item @|vtkDataObjectWriter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string filename)| -  Methods delegated to vtkDataWriter, see vtkDataWriter.
//// \item @|string = obj.GetFileName ()| -  Methods delegated to vtkDataWriter, see vtkDataWriter.
//// \item @|obj.SetHeader (string header)| -  Methods delegated to vtkDataWriter, see vtkDataWriter.
//// \item @|string = obj.GetHeader ()| -  Methods delegated to vtkDataWriter, see vtkDataWriter.
//// \item @|obj.SetFileType (int type)| -  Methods delegated to vtkDataWriter, see vtkDataWriter.
//// \item @|int = obj.GetFileType ()| -  Methods delegated to vtkDataWriter, see vtkDataWriter.
//// \item @|obj.SetFileTypeToASCII ()| -  Methods delegated to vtkDataWriter, see vtkDataWriter.
//// \item @|obj.SetFileTypeToBinary ()| -  Methods delegated to vtkDataWriter, see vtkDataWriter.
//// \item @|obj.SetFieldDataName (string fieldname)| -  Methods delegated to vtkDataWriter, see vtkDataWriter.
//// \item @|string = obj.GetFieldDataName ()| -  Methods delegated to vtkDataWriter, see vtkDataWriter.
////\end{itemize}
//!
