#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataReader.h"

//@@Signature
//sfunction @vtkDataReader:vtkDataReader vtkDataReaderConstructorFunction
//input a
//output p
//@@Parents vtkDataReader vtkAlgorithm 
ArrayVector vtkDataReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataReader::New(),"vtkDataReader",eval);
  } else if (arg[0].className() == "vtkDataReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataReader");
    vtkDataReader*q = reinterpret_cast<vtkDataReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataReader:GetClassName vtkDataReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:IsA vtkDataReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataReader requires 2 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:NewInstance vtkDataReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  vtkDataReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:SafeDownCast vtkDataReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataReader requires 2 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:SetFileName vtkDataReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkDataReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkDataReader requires 2 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetFileName vtkDataReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkDataReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:IsFileValid vtkDataReaderIsFileValidFunction
//input a0 a1 
//output y
ArrayVector vtkDataReaderIsFileValidFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsFileValid (const char *dstype); */
  if (arg.size() < 2) 
    throw Exception("Function IsFileValid for class vtkDataReader requires 2 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsFileValid(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:IsFileStructuredPoints vtkDataReaderIsFileStructuredPointsFunction
//input a0 
//output y
ArrayVector vtkDataReaderIsFileStructuredPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsFileStructuredPoints ();return this IsFileValid  */
  if (arg.size() < 1) 
    throw Exception("Function IsFileStructuredPoints for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsFileStructuredPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:IsFilePolyData vtkDataReaderIsFilePolyDataFunction
//input a0 
//output y
ArrayVector vtkDataReaderIsFilePolyDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsFilePolyData ();return this IsFileValid  */
  if (arg.size() < 1) 
    throw Exception("Function IsFilePolyData for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsFilePolyData();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:IsFileStructuredGrid vtkDataReaderIsFileStructuredGridFunction
//input a0 
//output y
ArrayVector vtkDataReaderIsFileStructuredGridFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsFileStructuredGrid ();return this IsFileValid  */
  if (arg.size() < 1) 
    throw Exception("Function IsFileStructuredGrid for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsFileStructuredGrid();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:IsFileUnstructuredGrid vtkDataReaderIsFileUnstructuredGridFunction
//input a0 
//output y
ArrayVector vtkDataReaderIsFileUnstructuredGridFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsFileUnstructuredGrid ();return this IsFileValid  */
  if (arg.size() < 1) 
    throw Exception("Function IsFileUnstructuredGrid for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsFileUnstructuredGrid();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:IsFileRectilinearGrid vtkDataReaderIsFileRectilinearGridFunction
//input a0 
//output y
ArrayVector vtkDataReaderIsFileRectilinearGridFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsFileRectilinearGrid ();return this IsFileValid  */
  if (arg.size() < 1) 
    throw Exception("Function IsFileRectilinearGrid for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsFileRectilinearGrid();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:SetInputString__1 vtkDataReaderSetInputString__1Function
//input a0 a1 
//output none
ArrayVector vtkDataReaderSetInputString__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputString (const char *in); */
  if (arg.size() < 2) 
    throw Exception("Function SetInputString__1 for class vtkDataReader requires 2 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetInputString(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetInputString vtkDataReaderGetInputStringFunction
//input a0 
//output y
ArrayVector vtkDataReaderGetInputStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetInputString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInputString for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetInputString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:SetInputString__2 vtkDataReaderSetInputString__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkDataReaderSetInputString__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputString (const char *in, int len); */
  if (arg.size() < 3) 
    throw Exception("Function SetInputString__2 for class vtkDataReader requires 3 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetInputString(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetInputStringLength vtkDataReaderGetInputStringLengthFunction
//input a0 
//output y
ArrayVector vtkDataReaderGetInputStringLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetInputStringLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInputStringLength for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetInputStringLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:SetBinaryInputString vtkDataReaderSetBinaryInputStringFunction
//input a0 a1 a2 
//output none
ArrayVector vtkDataReaderSetBinaryInputStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBinaryInputString (const char *, int len); */
  if (arg.size() < 3) 
    throw Exception("Function SetBinaryInputString for class vtkDataReader requires 3 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetBinaryInputString(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:SetInputArray vtkDataReaderSetInputArrayFunction
//input a0 a1 
//output none
ArrayVector vtkDataReaderSetInputArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInputArray (vtkCharArray *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInputArray for class vtkDataReader requires 2 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  vtkCharArray  *temp0;
  temp0 = GetVTKPointer<vtkCharArray>(arg[1]);
  vtk_pointer->SetInputArray(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetInputArray vtkDataReaderGetInputArrayFunction
//input a0 
//output y
ArrayVector vtkDataReaderGetInputArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCharArray *GetInputArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInputArray for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  vtkCharArray  *temp20;
  temp20 = (vtk_pointer)->GetInputArray();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCharArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetHeader vtkDataReaderGetHeaderFunction
//input a0 
//output y
ArrayVector vtkDataReaderGetHeaderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetHeader (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeader for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetHeader();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:SetReadFromInputString vtkDataReaderSetReadFromInputStringFunction
//input a0 a1 
//output none
ArrayVector vtkDataReaderSetReadFromInputStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReadFromInputString (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReadFromInputString for class vtkDataReader requires 2 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReadFromInputString(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetReadFromInputString vtkDataReaderGetReadFromInputStringFunction
//input a0 
//output y
ArrayVector vtkDataReaderGetReadFromInputStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReadFromInputString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReadFromInputString for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReadFromInputString();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:ReadFromInputStringOn vtkDataReaderReadFromInputStringOnFunction
//input a0 
//output none
ArrayVector vtkDataReaderReadFromInputStringOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadFromInputStringOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadFromInputStringOn for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadFromInputStringOn();
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:ReadFromInputStringOff vtkDataReaderReadFromInputStringOffFunction
//input a0 
//output none
ArrayVector vtkDataReaderReadFromInputStringOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadFromInputStringOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadFromInputStringOff for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadFromInputStringOff();
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetFileType vtkDataReaderGetFileTypeFunction
//input a0 
//output y
ArrayVector vtkDataReaderGetFileTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFileType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileType for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFileType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetNumberOfScalarsInFile vtkDataReaderGetNumberOfScalarsInFileFunction
//input a0 
//output y
ArrayVector vtkDataReaderGetNumberOfScalarsInFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfScalarsInFile ();this CharacterizeFile return this NumberOfScalarsInFile  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfScalarsInFile for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfScalarsInFile();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetNumberOfVectorsInFile vtkDataReaderGetNumberOfVectorsInFileFunction
//input a0 
//output y
ArrayVector vtkDataReaderGetNumberOfVectorsInFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfVectorsInFile ();this CharacterizeFile return this NumberOfVectorsInFile  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfVectorsInFile for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfVectorsInFile();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetNumberOfTensorsInFile vtkDataReaderGetNumberOfTensorsInFileFunction
//input a0 
//output y
ArrayVector vtkDataReaderGetNumberOfTensorsInFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfTensorsInFile ();this CharacterizeFile return this NumberOfTensorsInFile  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTensorsInFile for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfTensorsInFile();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetNumberOfNormalsInFile vtkDataReaderGetNumberOfNormalsInFileFunction
//input a0 
//output y
ArrayVector vtkDataReaderGetNumberOfNormalsInFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfNormalsInFile ();this CharacterizeFile return this NumberOfNormalsInFile  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfNormalsInFile for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfNormalsInFile();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetNumberOfTCoordsInFile vtkDataReaderGetNumberOfTCoordsInFileFunction
//input a0 
//output y
ArrayVector vtkDataReaderGetNumberOfTCoordsInFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfTCoordsInFile ();this CharacterizeFile return this NumberOfTCoordsInFile  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTCoordsInFile for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfTCoordsInFile();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetNumberOfFieldDataInFile vtkDataReaderGetNumberOfFieldDataInFileFunction
//input a0 
//output y
ArrayVector vtkDataReaderGetNumberOfFieldDataInFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfFieldDataInFile ();this CharacterizeFile return this NumberOfFieldDataInFile  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFieldDataInFile for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFieldDataInFile();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetScalarsNameInFile vtkDataReaderGetScalarsNameInFileFunction
//input a0 a1 
//output y
ArrayVector vtkDataReaderGetScalarsNameInFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetScalarsNameInFile (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetScalarsNameInFile for class vtkDataReader requires 2 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetScalarsNameInFile(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetVectorsNameInFile vtkDataReaderGetVectorsNameInFileFunction
//input a0 a1 
//output y
ArrayVector vtkDataReaderGetVectorsNameInFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetVectorsNameInFile (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetVectorsNameInFile for class vtkDataReader requires 2 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetVectorsNameInFile(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetTensorsNameInFile vtkDataReaderGetTensorsNameInFileFunction
//input a0 a1 
//output y
ArrayVector vtkDataReaderGetTensorsNameInFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetTensorsNameInFile (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetTensorsNameInFile for class vtkDataReader requires 2 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTensorsNameInFile(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetNormalsNameInFile vtkDataReaderGetNormalsNameInFileFunction
//input a0 a1 
//output y
ArrayVector vtkDataReaderGetNormalsNameInFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetNormalsNameInFile (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetNormalsNameInFile for class vtkDataReader requires 2 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNormalsNameInFile(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetTCoordsNameInFile vtkDataReaderGetTCoordsNameInFileFunction
//input a0 a1 
//output y
ArrayVector vtkDataReaderGetTCoordsNameInFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetTCoordsNameInFile (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetTCoordsNameInFile for class vtkDataReader requires 2 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTCoordsNameInFile(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetFieldDataNameInFile vtkDataReaderGetFieldDataNameInFileFunction
//input a0 a1 
//output y
ArrayVector vtkDataReaderGetFieldDataNameInFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetFieldDataNameInFile (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetFieldDataNameInFile for class vtkDataReader requires 2 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetFieldDataNameInFile(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:SetScalarsName vtkDataReaderSetScalarsNameFunction
//input a0 a1 
//output none
ArrayVector vtkDataReaderSetScalarsNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarsName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarsName for class vtkDataReader requires 2 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetScalarsName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetScalarsName vtkDataReaderGetScalarsNameFunction
//input a0 
//output y
ArrayVector vtkDataReaderGetScalarsNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetScalarsName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarsName for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetScalarsName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:SetVectorsName vtkDataReaderSetVectorsNameFunction
//input a0 a1 
//output none
ArrayVector vtkDataReaderSetVectorsNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorsName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetVectorsName for class vtkDataReader requires 2 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetVectorsName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetVectorsName vtkDataReaderGetVectorsNameFunction
//input a0 
//output y
ArrayVector vtkDataReaderGetVectorsNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetVectorsName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVectorsName for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetVectorsName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:SetTensorsName vtkDataReaderSetTensorsNameFunction
//input a0 a1 
//output none
ArrayVector vtkDataReaderSetTensorsNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTensorsName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTensorsName for class vtkDataReader requires 2 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetTensorsName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetTensorsName vtkDataReaderGetTensorsNameFunction
//input a0 
//output y
ArrayVector vtkDataReaderGetTensorsNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetTensorsName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTensorsName for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetTensorsName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:SetNormalsName vtkDataReaderSetNormalsNameFunction
//input a0 a1 
//output none
ArrayVector vtkDataReaderSetNormalsNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalsName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormalsName for class vtkDataReader requires 2 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetNormalsName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetNormalsName vtkDataReaderGetNormalsNameFunction
//input a0 
//output y
ArrayVector vtkDataReaderGetNormalsNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetNormalsName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalsName for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetNormalsName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:SetTCoordsName vtkDataReaderSetTCoordsNameFunction
//input a0 a1 
//output none
ArrayVector vtkDataReaderSetTCoordsNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTCoordsName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTCoordsName for class vtkDataReader requires 2 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetTCoordsName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetTCoordsName vtkDataReaderGetTCoordsNameFunction
//input a0 
//output y
ArrayVector vtkDataReaderGetTCoordsNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetTCoordsName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTCoordsName for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetTCoordsName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:SetLookupTableName vtkDataReaderSetLookupTableNameFunction
//input a0 a1 
//output none
ArrayVector vtkDataReaderSetLookupTableNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLookupTableName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLookupTableName for class vtkDataReader requires 2 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetLookupTableName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetLookupTableName vtkDataReaderGetLookupTableNameFunction
//input a0 
//output y
ArrayVector vtkDataReaderGetLookupTableNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetLookupTableName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLookupTableName for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetLookupTableName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:SetFieldDataName vtkDataReaderSetFieldDataNameFunction
//input a0 a1 
//output none
ArrayVector vtkDataReaderSetFieldDataNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFieldDataName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFieldDataName for class vtkDataReader requires 2 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFieldDataName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetFieldDataName vtkDataReaderGetFieldDataNameFunction
//input a0 
//output y
ArrayVector vtkDataReaderGetFieldDataNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFieldDataName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFieldDataName for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFieldDataName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:SetReadAllScalars vtkDataReaderSetReadAllScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkDataReaderSetReadAllScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReadAllScalars (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReadAllScalars for class vtkDataReader requires 2 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReadAllScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetReadAllScalars vtkDataReaderGetReadAllScalarsFunction
//input a0 
//output y
ArrayVector vtkDataReaderGetReadAllScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReadAllScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReadAllScalars for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReadAllScalars();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:ReadAllScalarsOn vtkDataReaderReadAllScalarsOnFunction
//input a0 
//output none
ArrayVector vtkDataReaderReadAllScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadAllScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadAllScalarsOn for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadAllScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:ReadAllScalarsOff vtkDataReaderReadAllScalarsOffFunction
//input a0 
//output none
ArrayVector vtkDataReaderReadAllScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadAllScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadAllScalarsOff for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadAllScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:SetReadAllVectors vtkDataReaderSetReadAllVectorsFunction
//input a0 a1 
//output none
ArrayVector vtkDataReaderSetReadAllVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReadAllVectors (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReadAllVectors for class vtkDataReader requires 2 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReadAllVectors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetReadAllVectors vtkDataReaderGetReadAllVectorsFunction
//input a0 
//output y
ArrayVector vtkDataReaderGetReadAllVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReadAllVectors (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReadAllVectors for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReadAllVectors();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:ReadAllVectorsOn vtkDataReaderReadAllVectorsOnFunction
//input a0 
//output none
ArrayVector vtkDataReaderReadAllVectorsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadAllVectorsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadAllVectorsOn for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadAllVectorsOn();
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:ReadAllVectorsOff vtkDataReaderReadAllVectorsOffFunction
//input a0 
//output none
ArrayVector vtkDataReaderReadAllVectorsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadAllVectorsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadAllVectorsOff for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadAllVectorsOff();
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:SetReadAllNormals vtkDataReaderSetReadAllNormalsFunction
//input a0 a1 
//output none
ArrayVector vtkDataReaderSetReadAllNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReadAllNormals (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReadAllNormals for class vtkDataReader requires 2 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReadAllNormals(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetReadAllNormals vtkDataReaderGetReadAllNormalsFunction
//input a0 
//output y
ArrayVector vtkDataReaderGetReadAllNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReadAllNormals (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReadAllNormals for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReadAllNormals();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:ReadAllNormalsOn vtkDataReaderReadAllNormalsOnFunction
//input a0 
//output none
ArrayVector vtkDataReaderReadAllNormalsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadAllNormalsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadAllNormalsOn for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadAllNormalsOn();
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:ReadAllNormalsOff vtkDataReaderReadAllNormalsOffFunction
//input a0 
//output none
ArrayVector vtkDataReaderReadAllNormalsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadAllNormalsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadAllNormalsOff for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadAllNormalsOff();
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:SetReadAllTensors vtkDataReaderSetReadAllTensorsFunction
//input a0 a1 
//output none
ArrayVector vtkDataReaderSetReadAllTensorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReadAllTensors (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReadAllTensors for class vtkDataReader requires 2 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReadAllTensors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetReadAllTensors vtkDataReaderGetReadAllTensorsFunction
//input a0 
//output y
ArrayVector vtkDataReaderGetReadAllTensorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReadAllTensors (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReadAllTensors for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReadAllTensors();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:ReadAllTensorsOn vtkDataReaderReadAllTensorsOnFunction
//input a0 
//output none
ArrayVector vtkDataReaderReadAllTensorsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadAllTensorsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadAllTensorsOn for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadAllTensorsOn();
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:ReadAllTensorsOff vtkDataReaderReadAllTensorsOffFunction
//input a0 
//output none
ArrayVector vtkDataReaderReadAllTensorsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadAllTensorsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadAllTensorsOff for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadAllTensorsOff();
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:SetReadAllColorScalars vtkDataReaderSetReadAllColorScalarsFunction
//input a0 a1 
//output none
ArrayVector vtkDataReaderSetReadAllColorScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReadAllColorScalars (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReadAllColorScalars for class vtkDataReader requires 2 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReadAllColorScalars(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetReadAllColorScalars vtkDataReaderGetReadAllColorScalarsFunction
//input a0 
//output y
ArrayVector vtkDataReaderGetReadAllColorScalarsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReadAllColorScalars (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReadAllColorScalars for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReadAllColorScalars();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:ReadAllColorScalarsOn vtkDataReaderReadAllColorScalarsOnFunction
//input a0 
//output none
ArrayVector vtkDataReaderReadAllColorScalarsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadAllColorScalarsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadAllColorScalarsOn for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadAllColorScalarsOn();
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:ReadAllColorScalarsOff vtkDataReaderReadAllColorScalarsOffFunction
//input a0 
//output none
ArrayVector vtkDataReaderReadAllColorScalarsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadAllColorScalarsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadAllColorScalarsOff for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadAllColorScalarsOff();
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:SetReadAllTCoords vtkDataReaderSetReadAllTCoordsFunction
//input a0 a1 
//output none
ArrayVector vtkDataReaderSetReadAllTCoordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReadAllTCoords (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReadAllTCoords for class vtkDataReader requires 2 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReadAllTCoords(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetReadAllTCoords vtkDataReaderGetReadAllTCoordsFunction
//input a0 
//output y
ArrayVector vtkDataReaderGetReadAllTCoordsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReadAllTCoords (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReadAllTCoords for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReadAllTCoords();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:ReadAllTCoordsOn vtkDataReaderReadAllTCoordsOnFunction
//input a0 
//output none
ArrayVector vtkDataReaderReadAllTCoordsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadAllTCoordsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadAllTCoordsOn for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadAllTCoordsOn();
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:ReadAllTCoordsOff vtkDataReaderReadAllTCoordsOffFunction
//input a0 
//output none
ArrayVector vtkDataReaderReadAllTCoordsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadAllTCoordsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadAllTCoordsOff for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadAllTCoordsOff();
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:SetReadAllFields vtkDataReaderSetReadAllFieldsFunction
//input a0 a1 
//output none
ArrayVector vtkDataReaderSetReadAllFieldsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReadAllFields (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReadAllFields for class vtkDataReader requires 2 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReadAllFields(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:GetReadAllFields vtkDataReaderGetReadAllFieldsFunction
//input a0 
//output y
ArrayVector vtkDataReaderGetReadAllFieldsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReadAllFields (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReadAllFields for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReadAllFields();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:ReadAllFieldsOn vtkDataReaderReadAllFieldsOnFunction
//input a0 
//output none
ArrayVector vtkDataReaderReadAllFieldsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadAllFieldsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadAllFieldsOn for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadAllFieldsOn();
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:ReadAllFieldsOff vtkDataReaderReadAllFieldsOffFunction
//input a0 
//output none
ArrayVector vtkDataReaderReadAllFieldsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadAllFieldsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadAllFieldsOff for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadAllFieldsOff();
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:OpenVTKFile vtkDataReaderOpenVTKFileFunction
//input a0 
//output y
ArrayVector vtkDataReaderOpenVTKFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int OpenVTKFile (); */
  if (arg.size() < 1) 
    throw Exception("Function OpenVTKFile for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->OpenVTKFile();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:ReadHeader vtkDataReaderReadHeaderFunction
//input a0 
//output y
ArrayVector vtkDataReaderReadHeaderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ReadHeader (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadHeader for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->ReadHeader();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:ReadCellData vtkDataReaderReadCellDataFunction
//input a0 a1 a2 
//output y
ArrayVector vtkDataReaderReadCellDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ReadCellData (vtkDataSet *ds, int numCells); */
  if (arg.size() < 3) 
    throw Exception("Function ReadCellData for class vtkDataReader requires 3 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  int      temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->ReadCellData(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:ReadPointData vtkDataReaderReadPointDataFunction
//input a0 a1 a2 
//output y
ArrayVector vtkDataReaderReadPointDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ReadPointData (vtkDataSet *ds, int numPts); */
  if (arg.size() < 3) 
    throw Exception("Function ReadPointData for class vtkDataReader requires 3 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  vtkDataSet  *temp0;
  int      temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkDataSet>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->ReadPointData(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:ReadPoints__1 vtkDataReaderReadPoints__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkDataReaderReadPoints__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ReadPoints (vtkPointSet *ps, int numPts); */
  if (arg.size() < 3) 
    throw Exception("Function ReadPoints__1 for class vtkDataReader requires 3 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  vtkPointSet  *temp0;
  int      temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkPointSet>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->ReadPoints(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:ReadPoints__2 vtkDataReaderReadPoints__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkDataReaderReadPoints__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ReadPoints (vtkGraph *g, int numPts); */
  if (arg.size() < 3) 
    throw Exception("Function ReadPoints__2 for class vtkDataReader requires 3 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  vtkGraph  *temp0;
  int      temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkGraph>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->ReadPoints(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:ReadVertexData vtkDataReaderReadVertexDataFunction
//input a0 a1 a2 
//output y
ArrayVector vtkDataReaderReadVertexDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ReadVertexData (vtkGraph *g, int numVertices); */
  if (arg.size() < 3) 
    throw Exception("Function ReadVertexData for class vtkDataReader requires 3 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  vtkGraph  *temp0;
  int      temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkGraph>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->ReadVertexData(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:ReadEdgeData vtkDataReaderReadEdgeDataFunction
//input a0 a1 a2 
//output y
ArrayVector vtkDataReaderReadEdgeDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ReadEdgeData (vtkGraph *g, int numEdges); */
  if (arg.size() < 3) 
    throw Exception("Function ReadEdgeData for class vtkDataReader requires 3 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  vtkGraph  *temp0;
  int      temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkGraph>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->ReadEdgeData(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:ReadRowData vtkDataReaderReadRowDataFunction
//input a0 a1 a2 
//output y
ArrayVector vtkDataReaderReadRowDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ReadRowData (vtkTable *t, int numEdges); */
  if (arg.size() < 3) 
    throw Exception("Function ReadRowData for class vtkDataReader requires 3 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  vtkTable  *temp0;
  int      temp1;
  int      temp20;
  temp0 = GetVTKPointer<vtkTable>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->ReadRowData(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:ReadCells__1 vtkDataReaderReadCells__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkDataReaderReadCells__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ReadCells (int size, int *data); */
  if (arg.size() < 3) 
    throw Exception("Function ReadCells__1 for class vtkDataReader requires 3 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp0;
  int     *temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  temp20 = (vtk_pointer)->ReadCells(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:ReadCells__2 vtkDataReaderReadCells__2Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkDataReaderReadCells__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ReadCells (int size, int *data, int skip1, int read2, int skip3); */
  if (arg.size() < 6) 
    throw Exception("Function ReadCells__2 for class vtkDataReader requires 6 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  int      temp0;
  int     *temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new int[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
      }
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  temp20 = (vtk_pointer)->ReadCells(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:ReadCoordinates vtkDataReaderReadCoordinatesFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkDataReaderReadCoordinatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int ReadCoordinates (vtkRectilinearGrid *rg, int axes, int numCoords); */
  if (arg.size() < 4) 
    throw Exception("Function ReadCoordinates for class vtkDataReader requires 4 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  vtkRectilinearGrid  *temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  temp0 = GetVTKPointer<vtkRectilinearGrid>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->ReadCoordinates(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:ReadArray vtkDataReaderReadArrayFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkDataReaderReadArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkAbstractArray *ReadArray (const char *dataType, int numTuples, int numComp); */
  if (arg.size() < 4) 
    throw Exception("Function ReadArray for class vtkDataReader requires 4 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  int      temp2;
  vtkAbstractArray  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->ReadArray(temp0,temp1,temp2);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkAbstractArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:ReadFieldData vtkDataReaderReadFieldDataFunction
//input a0 
//output y
ArrayVector vtkDataReaderReadFieldDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFieldData *ReadFieldData (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadFieldData for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  vtkFieldData  *temp20;
  temp20 = (vtk_pointer)->ReadFieldData();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFieldData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:CloseVTKFile vtkDataReaderCloseVTKFileFunction
//input a0 
//output none
ArrayVector vtkDataReaderCloseVTKFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CloseVTKFile (); */
  if (arg.size() < 1) 
    throw Exception("Function CloseVTKFile for class vtkDataReader requires 1 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  vtk_pointer->CloseVTKFile();
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:ReadMetaData vtkDataReaderReadMetaDataFunction
//input a0 a1 
//output y
ArrayVector vtkDataReaderReadMetaDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ReadMetaData (vtkInformation *);return  */
  if (arg.size() < 2) 
    throw Exception("Function ReadMetaData for class vtkDataReader requires 2 argument(s)");
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp20 = (vtk_pointer)->ReadMetaData(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataReader:SetInputString vtkDataReaderSetInputStringFunction
//input varargin
//output varargout
ArrayVector vtkDataReaderSetInputStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2))
    return vtkDataReaderSetInputString__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkDataReaderSetInputString__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataReaderSetInputString");
}

//@@Signature
//sfunction @vtkDataReader:ReadPoints vtkDataReaderReadPointsFunction
//input varargin
//output varargout
ArrayVector vtkDataReaderReadPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkPointSet") && VTKIsScalarArg(arg[2]))
    return vtkDataReaderReadPoints__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsClass(arg[1],"vtkGraph") && VTKIsScalarArg(arg[2]))
    return vtkDataReaderReadPoints__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataReaderReadPoints");
}

//@@Signature
//sfunction @vtkDataReader:ReadCells vtkDataReaderReadCellsFunction
//input varargin
//output varargout
ArrayVector vtkDataReaderReadCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkDataReaderReadCells__1Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]))
    return vtkDataReaderReadCells__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataReaderReadCells");
}

//@@Signature
//sfunction @vtkDataReader:display vtkDataReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataReader* vtk_pointer = GetVTKPointer<vtkDataReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataReader:delete vtkDataReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkDataReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataReader
//@@Section VTKIO
//@@Usage
// vtkDataReader is a helper superclass that reads the vtk data file header,
// dataset type, and attribute data (point and cell attributes such as
// scalars, vectors, normals, etc.) from a vtk data file.  See text for
// the format of the various vtk file types.
//
//
//To create an instance of class vtkDataReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataReader
//@]
//@@Methods
//The class vtkDataReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataReader = obj.NewInstance ()|
// \item @|vtkDataReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string )| -  Specify file name of vtk data file to read.
//// \item @|string = obj.GetFileName ()| -  Specify file name of vtk data file to read.
//// \item @|int = obj.IsFileValid (string dstype)| -  Is the file a valid vtk file of the passed dataset type ?
// The dataset type is passed as a lower case string.
//// \item @|int = obj.IsFileStructuredPoints ()| -  Is the file a valid vtk file of the passed dataset type ?
// The dataset type is passed as a lower case string.
//// \item @|int = obj.IsFilePolyData ()| -  Is the file a valid vtk file of the passed dataset type ?
// The dataset type is passed as a lower case string.
//// \item @|int = obj.IsFileStructuredGrid ()| -  Is the file a valid vtk file of the passed dataset type ?
// The dataset type is passed as a lower case string.
//// \item @|int = obj.IsFileUnstructuredGrid ()| -  Is the file a valid vtk file of the passed dataset type ?
// The dataset type is passed as a lower case string.
//// \item @|int = obj.IsFileRectilinearGrid ()| -  Is the file a valid vtk file of the passed dataset type ?
// The dataset type is passed as a lower case string.
//// \item @|obj.SetInputString (string in)| -  Specify the InputString for use when reading from a character array.
// Optionally include the length for binary strings. Note that a copy
// of the string is made and stored. If this causes exceedingly large
// memory consumption, consider using InputArray instead.
//// \item @|string = obj.GetInputString ()| -  Specify the InputString for use when reading from a character array.
// Optionally include the length for binary strings. Note that a copy
// of the string is made and stored. If this causes exceedingly large
// memory consumption, consider using InputArray instead.
//// \item @|obj.SetInputString (string in, int len)| -  Specify the InputString for use when reading from a character array.
// Optionally include the length for binary strings. Note that a copy
// of the string is made and stored. If this causes exceedingly large
// memory consumption, consider using InputArray instead.
//// \item @|int = obj.GetInputStringLength ()| -  Specify the InputString for use when reading from a character array.
// Optionally include the length for binary strings. Note that a copy
// of the string is made and stored. If this causes exceedingly large
// memory consumption, consider using InputArray instead.
//// \item @|obj.SetBinaryInputString (string , int len)| -  Specify the InputString for use when reading from a character array.
// Optionally include the length for binary strings. Note that a copy
// of the string is made and stored. If this causes exceedingly large
// memory consumption, consider using InputArray instead.
//// \item @|obj.SetInputArray (vtkCharArray )| -  Specify the vtkCharArray to be used  when reading from a string.
// If set, this array has precendence over InputString.
// Use this instead of InputString to avoid the extra memory copy.
// It should be noted that if the underlying char* is owned by the
// user ( vtkCharArray::SetArray(array, 1); ) and is deleted before
// the reader, bad things will happen during a pipeline update.
//// \item @|vtkCharArray = obj.GetInputArray ()| -  Specify the vtkCharArray to be used  when reading from a string.
// If set, this array has precendence over InputString.
// Use this instead of InputString to avoid the extra memory copy.
// It should be noted that if the underlying char* is owned by the
// user ( vtkCharArray::SetArray(array, 1); ) and is deleted before
// the reader, bad things will happen during a pipeline update.
//// \item @|string = obj.GetHeader ()| -  Get the header from the vtk data file.
//// \item @|obj.SetReadFromInputString (int )| -  Enable reading from an InputString or InputArray instead of the default, 
// a file.
//// \item @|int = obj.GetReadFromInputString ()| -  Enable reading from an InputString or InputArray instead of the default, 
// a file.
//// \item @|obj.ReadFromInputStringOn ()| -  Enable reading from an InputString or InputArray instead of the default, 
// a file.
//// \item @|obj.ReadFromInputStringOff ()| -  Enable reading from an InputString or InputArray instead of the default, 
// a file.
//// \item @|int = obj.GetFileType ()| -  Get the type of file (ASCII or BINARY). Returned value only valid
// after file has been read.
//// \item @|int = obj.GetNumberOfScalarsInFile ()| -  How many attributes of various types are in this file? This 
// requires reading the file, so the filename must be set prior 
// to invoking this operation. (Note: file characteristics are
// cached, so only a single read is necessary to return file
// characteristics.)
//// \item @|int = obj.GetNumberOfVectorsInFile ()| -  How many attributes of various types are in this file? This 
// requires reading the file, so the filename must be set prior 
// to invoking this operation. (Note: file characteristics are
// cached, so only a single read is necessary to return file
// characteristics.)
//// \item @|int = obj.GetNumberOfTensorsInFile ()| -  How many attributes of various types are in this file? This 
// requires reading the file, so the filename must be set prior 
// to invoking this operation. (Note: file characteristics are
// cached, so only a single read is necessary to return file
// characteristics.)
//// \item @|int = obj.GetNumberOfNormalsInFile ()| -  How many attributes of various types are in this file? This 
// requires reading the file, so the filename must be set prior 
// to invoking this operation. (Note: file characteristics are
// cached, so only a single read is necessary to return file
// characteristics.)
//// \item @|int = obj.GetNumberOfTCoordsInFile ()| -  How many attributes of various types are in this file? This 
// requires reading the file, so the filename must be set prior 
// to invoking this operation. (Note: file characteristics are
// cached, so only a single read is necessary to return file
// characteristics.)
//// \item @|int = obj.GetNumberOfFieldDataInFile ()| -  What is the name of the ith attribute of a certain type
// in this file? This requires reading the file, so the filename 
// must be set prior to invoking this operation.
//// \item @|string = obj.GetScalarsNameInFile (int i)| -  What is the name of the ith attribute of a certain type
// in this file? This requires reading the file, so the filename 
// must be set prior to invoking this operation.
//// \item @|string = obj.GetVectorsNameInFile (int i)| -  What is the name of the ith attribute of a certain type
// in this file? This requires reading the file, so the filename 
// must be set prior to invoking this operation.
//// \item @|string = obj.GetTensorsNameInFile (int i)| -  What is the name of the ith attribute of a certain type
// in this file? This requires reading the file, so the filename 
// must be set prior to invoking this operation.
//// \item @|string = obj.GetNormalsNameInFile (int i)| -  What is the name of the ith attribute of a certain type
// in this file? This requires reading the file, so the filename 
// must be set prior to invoking this operation.
//// \item @|string = obj.GetTCoordsNameInFile (int i)| -  What is the name of the ith attribute of a certain type
// in this file? This requires reading the file, so the filename 
// must be set prior to invoking this operation.
//// \item @|string = obj.GetFieldDataNameInFile (int i)| -  What is the name of the ith attribute of a certain type
// in this file? This requires reading the file, so the filename 
// must be set prior to invoking this operation.
//// \item @|obj.SetScalarsName (string )| -  Set the name of the scalar data to extract. If not specified, first 
// scalar data encountered is extracted.
//// \item @|string = obj.GetScalarsName ()| -  Set the name of the scalar data to extract. If not specified, first 
// scalar data encountered is extracted.
//// \item @|obj.SetVectorsName (string )| -  Set the name of the vector data to extract. If not specified, first 
// vector data encountered is extracted.
//// \item @|string = obj.GetVectorsName ()| -  Set the name of the vector data to extract. If not specified, first 
// vector data encountered is extracted.
//// \item @|obj.SetTensorsName (string )| -  Set the name of the tensor data to extract. If not specified, first 
// tensor data encountered is extracted.
//// \item @|string = obj.GetTensorsName ()| -  Set the name of the tensor data to extract. If not specified, first 
// tensor data encountered is extracted.
//// \item @|obj.SetNormalsName (string )| -  Set the name of the normal data to extract. If not specified, first 
// normal data encountered is extracted.
//// \item @|string = obj.GetNormalsName ()| -  Set the name of the normal data to extract. If not specified, first 
// normal data encountered is extracted.
//// \item @|obj.SetTCoordsName (string )| -  Set the name of the texture coordinate data to extract. If not specified,
// first texture coordinate data encountered is extracted.
//// \item @|string = obj.GetTCoordsName ()| -  Set the name of the texture coordinate data to extract. If not specified,
// first texture coordinate data encountered is extracted.
//// \item @|obj.SetLookupTableName (string )| -  Set the name of the lookup table data to extract. If not specified, uses 
// lookup table named by scalar. Otherwise, this specification supersedes.
//// \item @|string = obj.GetLookupTableName ()| -  Set the name of the lookup table data to extract. If not specified, uses 
// lookup table named by scalar. Otherwise, this specification supersedes.
//// \item @|obj.SetFieldDataName (string )| -  Set the name of the field data to extract. If not specified, uses 
// first field data encountered in file.
//// \item @|string = obj.GetFieldDataName ()| -  Set the name of the field data to extract. If not specified, uses 
// first field data encountered in file.
//// \item @|obj.SetReadAllScalars (int )| -  Enable reading all scalars. 
//// \item @|int = obj.GetReadAllScalars ()| -  Enable reading all scalars. 
//// \item @|obj.ReadAllScalarsOn ()| -  Enable reading all scalars. 
//// \item @|obj.ReadAllScalarsOff ()| -  Enable reading all scalars. 
//// \item @|obj.SetReadAllVectors (int )| -  Enable reading all vectors. 
//// \item @|int = obj.GetReadAllVectors ()| -  Enable reading all vectors. 
//// \item @|obj.ReadAllVectorsOn ()| -  Enable reading all vectors. 
//// \item @|obj.ReadAllVectorsOff ()| -  Enable reading all vectors. 
//// \item @|obj.SetReadAllNormals (int )| -  Enable reading all normals. 
//// \item @|int = obj.GetReadAllNormals ()| -  Enable reading all normals. 
//// \item @|obj.ReadAllNormalsOn ()| -  Enable reading all normals. 
//// \item @|obj.ReadAllNormalsOff ()| -  Enable reading all normals. 
//// \item @|obj.SetReadAllTensors (int )| -  Enable reading all tensors. 
//// \item @|int = obj.GetReadAllTensors ()| -  Enable reading all tensors. 
//// \item @|obj.ReadAllTensorsOn ()| -  Enable reading all tensors. 
//// \item @|obj.ReadAllTensorsOff ()| -  Enable reading all tensors. 
//// \item @|obj.SetReadAllColorScalars (int )| -  Enable reading all color scalars. 
//// \item @|int = obj.GetReadAllColorScalars ()| -  Enable reading all color scalars. 
//// \item @|obj.ReadAllColorScalarsOn ()| -  Enable reading all color scalars. 
//// \item @|obj.ReadAllColorScalarsOff ()| -  Enable reading all color scalars. 
//// \item @|obj.SetReadAllTCoords (int )| -  Enable reading all tcoords. 
//// \item @|int = obj.GetReadAllTCoords ()| -  Enable reading all tcoords. 
//// \item @|obj.ReadAllTCoordsOn ()| -  Enable reading all tcoords. 
//// \item @|obj.ReadAllTCoordsOff ()| -  Enable reading all tcoords. 
//// \item @|obj.SetReadAllFields (int )| -  Enable reading all fields. 
//// \item @|int = obj.GetReadAllFields ()| -  Enable reading all fields. 
//// \item @|obj.ReadAllFieldsOn ()| -  Enable reading all fields. 
//// \item @|obj.ReadAllFieldsOff ()| -  Enable reading all fields. 
//// \item @|int = obj.OpenVTKFile ()| -  Open a vtk data file. Returns zero if error.
//// \item @|int = obj.ReadHeader ()| -  Read the header of a vtk data file. Returns 0 if error.
//// \item @|int = obj.ReadCellData (vtkDataSet ds, int numCells)| -  Read the cell data of a vtk data file. The number of cells (from the 
// dataset) must match the number of cells defined in cell attributes (unless
// no geometry was defined).
//// \item @|int = obj.ReadPointData (vtkDataSet ds, int numPts)| -  Read the point data of a vtk data file. The number of points (from the
// dataset) must match the number of points defined in point attributes
// (unless no geometry was defined).
//// \item @|int = obj.ReadPoints (vtkPointSet ps, int numPts)| -  Read point coordinates. Return 0 if error.
//// \item @|int = obj.ReadPoints (vtkGraph g, int numPts)| -  Read point coordinates. Return 0 if error.
//// \item @|int = obj.ReadVertexData (vtkGraph g, int numVertices)| -  Read the vertex data of a vtk data file. The number of vertices (from the
// graph) must match the number of vertices defined in vertex attributes
// (unless no geometry was defined).
//// \item @|int = obj.ReadEdgeData (vtkGraph g, int numEdges)| -  Read the edge data of a vtk data file. The number of edges (from the
// graph) must match the number of edges defined in edge attributes
// (unless no geometry was defined).
//// \item @|int = obj.ReadRowData (vtkTable t, int numEdges)| -  Read the row data of a vtk data file.
//// \item @|int = obj.ReadCells (int size, int data)| -  Read a bunch of "cells". Return 0 if error.
//// \item @|int = obj.ReadCells (int size, int data, int skip1, int read2, int skip3)| -  Read a piece of the cells (for streaming compliance)
//// \item @|int = obj.ReadCoordinates (vtkRectilinearGrid rg, int axes, int numCoords)| -  Read the coordinates for a rectilinear grid. The axes parameter specifies
// which coordinate axes (0,1,2) is being read.
//// \item @|vtkAbstractArray = obj.ReadArray (string dataType, int numTuples, int numComp)| -  Helper functions for reading data.
//// \item @|vtkFieldData = obj.ReadFieldData ()| -  Helper functions for reading data.
//// \item @|obj.CloseVTKFile ()| -  Close the vtk file.
//// \item @|int = obj.ReadMetaData (vtkInformation )|
//\end{itemize}
//!
