#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataSetReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataSetReader.h"

//@@Signature
//sfunction @vtkDataSetReader:vtkDataSetReader vtkDataSetReaderConstructorFunction
//input a
//output p
//@@Parents vtkDataSetReader vtkDataReader 
ArrayVector vtkDataSetReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataSetReader::New(),"vtkDataSetReader",eval);
  } else if (arg[0].className() == "vtkDataSetReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataSetReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataSetReader");
    vtkDataSetReader*q = reinterpret_cast<vtkDataSetReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataSetReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataSetReader:GetClassName vtkDataSetReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataSetReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataSetReader requires 1 argument(s)");
  vtkDataSetReader* vtk_pointer = GetVTKPointer<vtkDataSetReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetReader:IsA vtkDataSetReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataSetReader requires 2 argument(s)");
  vtkDataSetReader* vtk_pointer = GetVTKPointer<vtkDataSetReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetReader:NewInstance vtkDataSetReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataSetReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataSetReader requires 1 argument(s)");
  vtkDataSetReader* vtk_pointer = GetVTKPointer<vtkDataSetReader>(arg[0]);
  Array retval;
  vtkDataSetReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetReader:SafeDownCast vtkDataSetReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataSetReader requires 2 argument(s)");
  vtkDataSetReader* vtk_pointer = GetVTKPointer<vtkDataSetReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataSetReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetReader:GetOutput__1 vtkDataSetReaderGetOutput__1Function
//input a0 
//output y
ArrayVector vtkDataSetReaderGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkDataSetReader requires 1 argument(s)");
  vtkDataSetReader* vtk_pointer = GetVTKPointer<vtkDataSetReader>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetReader:GetOutput__2 vtkDataSetReaderGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkDataSetReaderGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetOutput (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkDataSetReader requires 2 argument(s)");
  vtkDataSetReader* vtk_pointer = GetVTKPointer<vtkDataSetReader>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataSet  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetReader:GetPolyDataOutput vtkDataSetReaderGetPolyDataOutputFunction
//input a0 
//output y
ArrayVector vtkDataSetReaderGetPolyDataOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetPolyDataOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPolyDataOutput for class vtkDataSetReader requires 1 argument(s)");
  vtkDataSetReader* vtk_pointer = GetVTKPointer<vtkDataSetReader>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetPolyDataOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetReader:GetStructuredPointsOutput vtkDataSetReaderGetStructuredPointsOutputFunction
//input a0 
//output y
ArrayVector vtkDataSetReaderGetStructuredPointsOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredPoints *GetStructuredPointsOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStructuredPointsOutput for class vtkDataSetReader requires 1 argument(s)");
  vtkDataSetReader* vtk_pointer = GetVTKPointer<vtkDataSetReader>(arg[0]);
  Array retval;
  vtkStructuredPoints  *temp20;
  temp20 = (vtk_pointer)->GetStructuredPointsOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetReader:GetStructuredGridOutput vtkDataSetReaderGetStructuredGridOutputFunction
//input a0 
//output y
ArrayVector vtkDataSetReaderGetStructuredGridOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGrid *GetStructuredGridOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStructuredGridOutput for class vtkDataSetReader requires 1 argument(s)");
  vtkDataSetReader* vtk_pointer = GetVTKPointer<vtkDataSetReader>(arg[0]);
  Array retval;
  vtkStructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetStructuredGridOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetReader:GetUnstructuredGridOutput vtkDataSetReaderGetUnstructuredGridOutputFunction
//input a0 
//output y
ArrayVector vtkDataSetReaderGetUnstructuredGridOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetUnstructuredGridOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUnstructuredGridOutput for class vtkDataSetReader requires 1 argument(s)");
  vtkDataSetReader* vtk_pointer = GetVTKPointer<vtkDataSetReader>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetUnstructuredGridOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetReader:GetRectilinearGridOutput vtkDataSetReaderGetRectilinearGridOutputFunction
//input a0 
//output y
ArrayVector vtkDataSetReaderGetRectilinearGridOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRectilinearGrid *GetRectilinearGridOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRectilinearGridOutput for class vtkDataSetReader requires 1 argument(s)");
  vtkDataSetReader* vtk_pointer = GetVTKPointer<vtkDataSetReader>(arg[0]);
  Array retval;
  vtkRectilinearGrid  *temp20;
  temp20 = (vtk_pointer)->GetRectilinearGridOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectilinearGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetReader:ReadOutputType vtkDataSetReaderReadOutputTypeFunction
//input a0 
//output y
ArrayVector vtkDataSetReaderReadOutputTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ReadOutputType (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadOutputType for class vtkDataSetReader requires 1 argument(s)");
  vtkDataSetReader* vtk_pointer = GetVTKPointer<vtkDataSetReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->ReadOutputType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetReader:GetOutput vtkDataSetReaderGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkDataSetReaderGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkDataSetReaderGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkDataSetReaderGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataSetReaderGetOutput");
}

//@@Signature
//sfunction @vtkDataSetReader:display vtkDataSetReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataSetReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataSetReader* vtk_pointer = GetVTKPointer<vtkDataSetReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataSetReader:delete vtkDataSetReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkDataSetReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataSetReader
//@@Section VTKIO
//@@Usage
// vtkDataSetReader is a class that provides instance variables and methods
// to read any type of dataset in Visualization Toolkit (vtk) format.  The
// output type of this class will vary depending upon the type of data
// file. Convenience methods are provided to keep the data as a particular
// type. (See text for format description details).
// The superclass of this class, vtkDataReader, provides many methods for
// controlling the reading of the data file, see vtkDataReader for more
// information.
//
//To create an instance of class vtkDataSetReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataSetReader
//@]
//@@Methods
//The class vtkDataSetReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataSetReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataSetReader = obj.NewInstance ()|
// \item @|vtkDataSetReader = obj.SafeDownCast (vtkObject o)|
// \item @|vtkDataSet = obj.GetOutput ()| -  Get the output of this filter
//// \item @|vtkDataSet = obj.GetOutput (int idx)| -  Get the output of this filter
//// \item @|vtkPolyData = obj.GetPolyDataOutput ()| -  Get the output as various concrete types. This method is typically used
// when you know exactly what type of data is being read.  Otherwise, use
// the general GetOutput() method. If the wrong type is used NULL is
// returned.  (You must also set the filename of the object prior to
// getting the output.)
//// \item @|vtkStructuredPoints = obj.GetStructuredPointsOutput ()| -  Get the output as various concrete types. This method is typically used
// when you know exactly what type of data is being read.  Otherwise, use
// the general GetOutput() method. If the wrong type is used NULL is
// returned.  (You must also set the filename of the object prior to
// getting the output.)
//// \item @|vtkStructuredGrid = obj.GetStructuredGridOutput ()| -  Get the output as various concrete types. This method is typically used
// when you know exactly what type of data is being read.  Otherwise, use
// the general GetOutput() method. If the wrong type is used NULL is
// returned.  (You must also set the filename of the object prior to
// getting the output.)
//// \item @|vtkUnstructuredGrid = obj.GetUnstructuredGridOutput ()| -  Get the output as various concrete types. This method is typically used
// when you know exactly what type of data is being read.  Otherwise, use
// the general GetOutput() method. If the wrong type is used NULL is
// returned.  (You must also set the filename of the object prior to
// getting the output.)
//// \item @|vtkRectilinearGrid = obj.GetRectilinearGridOutput ()| -  Get the output as various concrete types. This method is typically used
// when you know exactly what type of data is being read.  Otherwise, use
// the general GetOutput() method. If the wrong type is used NULL is
// returned.  (You must also set the filename of the object prior to
// getting the output.)
//// \item @|int = obj.ReadOutputType ()| -  This method can be used to find out the type of output expected without
// needing to read the whole file.
////\end{itemize}
//!
