#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataSetWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataSetWriter.h"

//@@Signature
//sfunction @vtkDataSetWriter:vtkDataSetWriter vtkDataSetWriterConstructorFunction
//input a
//output p
//@@Parents vtkDataSetWriter vtkDataWriter 
ArrayVector vtkDataSetWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataSetWriter::New(),"vtkDataSetWriter",eval);
  } else if (arg[0].className() == "vtkDataSetWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataSetWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataSetWriter");
    vtkDataSetWriter*q = reinterpret_cast<vtkDataSetWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataSetWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataSetWriter:GetClassName vtkDataSetWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataSetWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataSetWriter requires 1 argument(s)");
  vtkDataSetWriter* vtk_pointer = GetVTKPointer<vtkDataSetWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetWriter:IsA vtkDataSetWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataSetWriter requires 2 argument(s)");
  vtkDataSetWriter* vtk_pointer = GetVTKPointer<vtkDataSetWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataSetWriter:NewInstance vtkDataSetWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataSetWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataSetWriter requires 1 argument(s)");
  vtkDataSetWriter* vtk_pointer = GetVTKPointer<vtkDataSetWriter>(arg[0]);
  Array retval;
  vtkDataSetWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetWriter:SafeDownCast vtkDataSetWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataSetWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSetWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataSetWriter requires 2 argument(s)");
  vtkDataSetWriter* vtk_pointer = GetVTKPointer<vtkDataSetWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataSetWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSetWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetWriter:GetInput__1 vtkDataSetWriterGetInput__1Function
//input a0 
//output y
ArrayVector vtkDataSetWriterGetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput__1 for class vtkDataSetWriter requires 1 argument(s)");
  vtkDataSetWriter* vtk_pointer = GetVTKPointer<vtkDataSetWriter>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetWriter:GetInput__2 vtkDataSetWriterGetInput__2Function
//input a0 a1 
//output y
ArrayVector vtkDataSetWriterGetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetInput (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetInput__2 for class vtkDataSetWriter requires 2 argument(s)");
  vtkDataSetWriter* vtk_pointer = GetVTKPointer<vtkDataSetWriter>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataSet  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataSetWriter:GetInput vtkDataSetWriterGetInputFunction
//input varargin
//output varargout
ArrayVector vtkDataSetWriterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkDataSetWriterGetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkDataSetWriterGetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkDataSetWriterGetInput");
}

//@@Signature
//sfunction @vtkDataSetWriter:display vtkDataSetWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataSetWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataSetWriter* vtk_pointer = GetVTKPointer<vtkDataSetWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataSetWriter:delete vtkDataSetWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkDataSetWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataSetWriter
//@@Section VTKIO
//@@Usage
// vtkDataSetWriter is an abstract class for mapper objects that write their 
// data to disk (or into a communications port). The input to this object is
// a dataset of any type.
//
//To create an instance of class vtkDataSetWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataSetWriter
//@]
//@@Methods
//The class vtkDataSetWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataSetWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataSetWriter = obj.NewInstance ()|
// \item @|vtkDataSetWriter = obj.SafeDownCast (vtkObject o)|
// \item @|vtkDataSet = obj.GetInput ()| -  Get the input to this writer.
//// \item @|vtkDataSet = obj.GetInput (int port)| -  Get the input to this writer.
////\end{itemize}
//!
