#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDataWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDataWriter.h"

//@@Signature
//sfunction @vtkDataWriter:vtkDataWriter vtkDataWriterConstructorFunction
//input a
//output p
//@@Parents vtkDataWriter vtkWriter 
ArrayVector vtkDataWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDataWriter::New(),"vtkDataWriter",eval);
  } else if (arg[0].className() == "vtkDataWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDataWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDataWriter");
    vtkDataWriter*q = reinterpret_cast<vtkDataWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDataWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDataWriter:GetClassName vtkDataWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDataWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDataWriter requires 1 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:IsA vtkDataWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDataWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDataWriter requires 2 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:NewInstance vtkDataWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDataWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDataWriter requires 1 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  vtkDataWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:SafeDownCast vtkDataWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDataWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDataWriter requires 2 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDataWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:SetFileName vtkDataWriterSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkDataWriterSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkDataWriter requires 2 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:GetFileName vtkDataWriterGetFileNameFunction
//input a0 
//output y
ArrayVector vtkDataWriterGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkDataWriter requires 1 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:SetWriteToOutputString vtkDataWriterSetWriteToOutputStringFunction
//input a0 a1 
//output none
ArrayVector vtkDataWriterSetWriteToOutputStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWriteToOutputString (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetWriteToOutputString for class vtkDataWriter requires 2 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetWriteToOutputString(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:GetWriteToOutputString vtkDataWriterGetWriteToOutputStringFunction
//input a0 
//output y
ArrayVector vtkDataWriterGetWriteToOutputStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWriteToOutputString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWriteToOutputString for class vtkDataWriter requires 1 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWriteToOutputString();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:WriteToOutputStringOn vtkDataWriterWriteToOutputStringOnFunction
//input a0 
//output none
ArrayVector vtkDataWriterWriteToOutputStringOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WriteToOutputStringOn (); */
  if (arg.size() < 1) 
    throw Exception("Function WriteToOutputStringOn for class vtkDataWriter requires 1 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  vtk_pointer->WriteToOutputStringOn();
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:WriteToOutputStringOff vtkDataWriterWriteToOutputStringOffFunction
//input a0 
//output none
ArrayVector vtkDataWriterWriteToOutputStringOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WriteToOutputStringOff (); */
  if (arg.size() < 1) 
    throw Exception("Function WriteToOutputStringOff for class vtkDataWriter requires 1 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  vtk_pointer->WriteToOutputStringOff();
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:GetOutputStringLength vtkDataWriterGetOutputStringLengthFunction
//input a0 
//output y
ArrayVector vtkDataWriterGetOutputStringLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputStringLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputStringLength for class vtkDataWriter requires 1 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutputStringLength();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:GetOutputString vtkDataWriterGetOutputStringFunction
//input a0 
//output y
ArrayVector vtkDataWriterGetOutputStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetOutputString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputString for class vtkDataWriter requires 1 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetOutputString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:RegisterAndGetOutputString vtkDataWriterRegisterAndGetOutputStringFunction
//input a0 
//output y
ArrayVector vtkDataWriterRegisterAndGetOutputStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *RegisterAndGetOutputString (); */
  if (arg.size() < 1) 
    throw Exception("Function RegisterAndGetOutputString for class vtkDataWriter requires 1 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->RegisterAndGetOutputString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:SetHeader vtkDataWriterSetHeaderFunction
//input a0 a1 
//output none
ArrayVector vtkDataWriterSetHeaderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHeader (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetHeader for class vtkDataWriter requires 2 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetHeader(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:GetHeader vtkDataWriterGetHeaderFunction
//input a0 
//output y
ArrayVector vtkDataWriterGetHeaderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetHeader (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeader for class vtkDataWriter requires 1 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetHeader();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:SetFileType vtkDataWriterSetFileTypeFunction
//input a0 a1 
//output none
ArrayVector vtkDataWriterSetFileTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileType for class vtkDataWriter requires 2 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFileType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:GetFileTypeMinValue vtkDataWriterGetFileTypeMinValueFunction
//input a0 
//output y
ArrayVector vtkDataWriterGetFileTypeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFileTypeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileTypeMinValue for class vtkDataWriter requires 1 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFileTypeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:GetFileTypeMaxValue vtkDataWriterGetFileTypeMaxValueFunction
//input a0 
//output y
ArrayVector vtkDataWriterGetFileTypeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFileTypeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileTypeMaxValue for class vtkDataWriter requires 1 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFileTypeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:GetFileType vtkDataWriterGetFileTypeFunction
//input a0 
//output y
ArrayVector vtkDataWriterGetFileTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFileType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileType for class vtkDataWriter requires 1 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFileType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:SetFileTypeToASCII vtkDataWriterSetFileTypeToASCIIFunction
//input a0 
//output none
ArrayVector vtkDataWriterSetFileTypeToASCIIFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileTypeToASCII ();this SetFileType VTK_ASCII  */
  if (arg.size() < 1) 
    throw Exception("Function SetFileTypeToASCII for class vtkDataWriter requires 1 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  vtk_pointer->SetFileTypeToASCII();
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:SetFileTypeToBinary vtkDataWriterSetFileTypeToBinaryFunction
//input a0 
//output none
ArrayVector vtkDataWriterSetFileTypeToBinaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileTypeToBinary ();this SetFileType VTK_BINARY  */
  if (arg.size() < 1) 
    throw Exception("Function SetFileTypeToBinary for class vtkDataWriter requires 1 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  vtk_pointer->SetFileTypeToBinary();
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:SetScalarsName vtkDataWriterSetScalarsNameFunction
//input a0 a1 
//output none
ArrayVector vtkDataWriterSetScalarsNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarsName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarsName for class vtkDataWriter requires 2 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetScalarsName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:GetScalarsName vtkDataWriterGetScalarsNameFunction
//input a0 
//output y
ArrayVector vtkDataWriterGetScalarsNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetScalarsName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarsName for class vtkDataWriter requires 1 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetScalarsName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:SetVectorsName vtkDataWriterSetVectorsNameFunction
//input a0 a1 
//output none
ArrayVector vtkDataWriterSetVectorsNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorsName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetVectorsName for class vtkDataWriter requires 2 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetVectorsName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:GetVectorsName vtkDataWriterGetVectorsNameFunction
//input a0 
//output y
ArrayVector vtkDataWriterGetVectorsNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetVectorsName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVectorsName for class vtkDataWriter requires 1 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetVectorsName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:SetTensorsName vtkDataWriterSetTensorsNameFunction
//input a0 a1 
//output none
ArrayVector vtkDataWriterSetTensorsNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTensorsName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTensorsName for class vtkDataWriter requires 2 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetTensorsName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:GetTensorsName vtkDataWriterGetTensorsNameFunction
//input a0 
//output y
ArrayVector vtkDataWriterGetTensorsNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetTensorsName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTensorsName for class vtkDataWriter requires 1 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetTensorsName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:SetNormalsName vtkDataWriterSetNormalsNameFunction
//input a0 a1 
//output none
ArrayVector vtkDataWriterSetNormalsNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormalsName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormalsName for class vtkDataWriter requires 2 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetNormalsName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:GetNormalsName vtkDataWriterGetNormalsNameFunction
//input a0 
//output y
ArrayVector vtkDataWriterGetNormalsNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetNormalsName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormalsName for class vtkDataWriter requires 1 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetNormalsName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:SetTCoordsName vtkDataWriterSetTCoordsNameFunction
//input a0 a1 
//output none
ArrayVector vtkDataWriterSetTCoordsNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTCoordsName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTCoordsName for class vtkDataWriter requires 2 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetTCoordsName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:GetTCoordsName vtkDataWriterGetTCoordsNameFunction
//input a0 
//output y
ArrayVector vtkDataWriterGetTCoordsNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetTCoordsName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTCoordsName for class vtkDataWriter requires 1 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetTCoordsName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:SetGlobalIdsName vtkDataWriterSetGlobalIdsNameFunction
//input a0 a1 
//output none
ArrayVector vtkDataWriterSetGlobalIdsNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGlobalIdsName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetGlobalIdsName for class vtkDataWriter requires 2 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetGlobalIdsName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:GetGlobalIdsName vtkDataWriterGetGlobalIdsNameFunction
//input a0 
//output y
ArrayVector vtkDataWriterGetGlobalIdsNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetGlobalIdsName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGlobalIdsName for class vtkDataWriter requires 1 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetGlobalIdsName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:SetPedigreeIdsName vtkDataWriterSetPedigreeIdsNameFunction
//input a0 a1 
//output none
ArrayVector vtkDataWriterSetPedigreeIdsNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPedigreeIdsName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetPedigreeIdsName for class vtkDataWriter requires 2 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetPedigreeIdsName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:GetPedigreeIdsName vtkDataWriterGetPedigreeIdsNameFunction
//input a0 
//output y
ArrayVector vtkDataWriterGetPedigreeIdsNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetPedigreeIdsName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPedigreeIdsName for class vtkDataWriter requires 1 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetPedigreeIdsName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:SetLookupTableName vtkDataWriterSetLookupTableNameFunction
//input a0 a1 
//output none
ArrayVector vtkDataWriterSetLookupTableNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLookupTableName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLookupTableName for class vtkDataWriter requires 2 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetLookupTableName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:GetLookupTableName vtkDataWriterGetLookupTableNameFunction
//input a0 
//output y
ArrayVector vtkDataWriterGetLookupTableNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetLookupTableName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLookupTableName for class vtkDataWriter requires 1 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetLookupTableName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:SetFieldDataName vtkDataWriterSetFieldDataNameFunction
//input a0 a1 
//output none
ArrayVector vtkDataWriterSetFieldDataNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFieldDataName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFieldDataName for class vtkDataWriter requires 2 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFieldDataName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:GetFieldDataName vtkDataWriterGetFieldDataNameFunction
//input a0 
//output y
ArrayVector vtkDataWriterGetFieldDataNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFieldDataName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFieldDataName for class vtkDataWriter requires 1 argument(s)");
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFieldDataName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDataWriter:display vtkDataWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDataWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDataWriter* vtk_pointer = GetVTKPointer<vtkDataWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDataWriter:delete vtkDataWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkDataWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkDataWriter
//@@Section VTKIO
//@@Usage
// vtkDataWriter is a helper class that opens and writes the vtk header and 
// point data (e.g., scalars, vectors, normals, etc.) from a vtk data file. 
// See text for various formats.
//
//To create an instance of class vtkDataWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkDataWriter
//@]
//@@Methods
//The class vtkDataWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkDataWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkDataWriter = obj.NewInstance ()|
// \item @|vtkDataWriter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string )| -  Specify file name of vtk polygon data file to write.
//// \item @|string = obj.GetFileName ()| -  Specify file name of vtk polygon data file to write.
//// \item @|obj.SetWriteToOutputString (int )| -  Enable writing to an OutputString instead of the default, a file.
//// \item @|int = obj.GetWriteToOutputString ()| -  Enable writing to an OutputString instead of the default, a file.
//// \item @|obj.WriteToOutputStringOn ()| -  Enable writing to an OutputString instead of the default, a file.
//// \item @|obj.WriteToOutputStringOff ()| -  Enable writing to an OutputString instead of the default, a file.
//// \item @|int = obj.GetOutputStringLength ()| -  When WriteToOutputString in on, then a string is allocated, written to,
// and can be retrieved with these methods.  The string is deleted during
// the next call to write ...
//// \item @|string = obj.GetOutputString ()| -  When WriteToOutputString in on, then a string is allocated, written to,
// and can be retrieved with these methods.  The string is deleted during
// the next call to write ...
//// \item @|string = obj.RegisterAndGetOutputString ()| -  This convenience method returns the string, sets the IVAR to NULL,
// so that the user is responsible for deleting the string.
// I am not sure what the name should be, so it may change in the future.
//// \item @|obj.SetHeader (string )| -  Specify the header for the vtk data file.
//// \item @|string = obj.GetHeader ()| -  Specify the header for the vtk data file.
//// \item @|obj.SetFileType (int )| -  Specify file type (ASCII or BINARY) for vtk data file.
//// \item @|int = obj.GetFileTypeMinValue ()| -  Specify file type (ASCII or BINARY) for vtk data file.
//// \item @|int = obj.GetFileTypeMaxValue ()| -  Specify file type (ASCII or BINARY) for vtk data file.
//// \item @|int = obj.GetFileType ()| -  Specify file type (ASCII or BINARY) for vtk data file.
//// \item @|obj.SetFileTypeToASCII ()| -  Specify file type (ASCII or BINARY) for vtk data file.
//// \item @|obj.SetFileTypeToBinary ()| -  Specify file type (ASCII or BINARY) for vtk data file.
//// \item @|obj.SetScalarsName (string )| -  Give a name to the scalar data. If not specified, uses default
// name "scalars".
//// \item @|string = obj.GetScalarsName ()| -  Give a name to the scalar data. If not specified, uses default
// name "scalars".
//// \item @|obj.SetVectorsName (string )| -  Give a name to the vector data. If not specified, uses default
// name "vectors".
//// \item @|string = obj.GetVectorsName ()| -  Give a name to the vector data. If not specified, uses default
// name "vectors".
//// \item @|obj.SetTensorsName (string )| -  Give a name to the tensors data. If not specified, uses default
// name "tensors".
//// \item @|string = obj.GetTensorsName ()| -  Give a name to the tensors data. If not specified, uses default
// name "tensors".
//// \item @|obj.SetNormalsName (string )| -  Give a name to the normals data. If not specified, uses default
// name "normals".
//// \item @|string = obj.GetNormalsName ()| -  Give a name to the normals data. If not specified, uses default
// name "normals".
//// \item @|obj.SetTCoordsName (string )| -  Give a name to the texture coordinates data. If not specified, uses 
// default name "textureCoords".
//// \item @|string = obj.GetTCoordsName ()| -  Give a name to the texture coordinates data. If not specified, uses 
// default name "textureCoords".
//// \item @|obj.SetGlobalIdsName (string )| -  Give a name to the global ids data. If not specified, uses 
// default name "global_ids".
//// \item @|string = obj.GetGlobalIdsName ()| -  Give a name to the global ids data. If not specified, uses 
// default name "global_ids".
//// \item @|obj.SetPedigreeIdsName (string )| -  Give a name to the pedigree ids data. If not specified, uses 
// default name "pedigree_ids".
//// \item @|string = obj.GetPedigreeIdsName ()| -  Give a name to the pedigree ids data. If not specified, uses 
// default name "pedigree_ids".
//// \item @|obj.SetLookupTableName (string )| -  Give a name to the lookup table. If not specified, uses default
// name "lookupTable".
//// \item @|string = obj.GetLookupTableName ()| -  Give a name to the lookup table. If not specified, uses default
// name "lookupTable".
//// \item @|obj.SetFieldDataName (string )| -  Give a name to the field data. If not specified, uses default 
// name "field".
//// \item @|string = obj.GetFieldDataName ()| -  Give a name to the field data. If not specified, uses default 
// name "field".
////\end{itemize}
//!
