#include "VTKWrap.hpp"

// FreeMat wrapper for vtkDelimitedTextWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkDelimitedTextWriter.h"

//@@Signature
//sfunction @vtkDelimitedTextWriter:vtkDelimitedTextWriter vtkDelimitedTextWriterConstructorFunction
//input a
//output p
//@@Parents vtkDelimitedTextWriter vtkWriter 
ArrayVector vtkDelimitedTextWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkDelimitedTextWriter::New(),"vtkDelimitedTextWriter",eval);
  } else if (arg[0].className() == "vtkDelimitedTextWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkDelimitedTextWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkDelimitedTextWriter");
    vtkDelimitedTextWriter*q = reinterpret_cast<vtkDelimitedTextWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkDelimitedTextWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkDelimitedTextWriter:GetClassName vtkDelimitedTextWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkDelimitedTextWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkDelimitedTextWriter requires 1 argument(s)");
  vtkDelimitedTextWriter* vtk_pointer = GetVTKPointer<vtkDelimitedTextWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextWriter:IsA vtkDelimitedTextWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkDelimitedTextWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkDelimitedTextWriter requires 2 argument(s)");
  vtkDelimitedTextWriter* vtk_pointer = GetVTKPointer<vtkDelimitedTextWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextWriter:NewInstance vtkDelimitedTextWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkDelimitedTextWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDelimitedTextWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkDelimitedTextWriter requires 1 argument(s)");
  vtkDelimitedTextWriter* vtk_pointer = GetVTKPointer<vtkDelimitedTextWriter>(arg[0]);
  Array retval;
  vtkDelimitedTextWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDelimitedTextWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextWriter:SafeDownCast vtkDelimitedTextWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkDelimitedTextWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDelimitedTextWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkDelimitedTextWriter requires 2 argument(s)");
  vtkDelimitedTextWriter* vtk_pointer = GetVTKPointer<vtkDelimitedTextWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkDelimitedTextWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDelimitedTextWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextWriter:SetFieldDelimiter vtkDelimitedTextWriterSetFieldDelimiterFunction
//input a0 a1 
//output none
ArrayVector vtkDelimitedTextWriterSetFieldDelimiterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFieldDelimiter (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFieldDelimiter for class vtkDelimitedTextWriter requires 2 argument(s)");
  vtkDelimitedTextWriter* vtk_pointer = GetVTKPointer<vtkDelimitedTextWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFieldDelimiter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextWriter:GetFieldDelimiter vtkDelimitedTextWriterGetFieldDelimiterFunction
//input a0 
//output y
ArrayVector vtkDelimitedTextWriterGetFieldDelimiterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFieldDelimiter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFieldDelimiter for class vtkDelimitedTextWriter requires 1 argument(s)");
  vtkDelimitedTextWriter* vtk_pointer = GetVTKPointer<vtkDelimitedTextWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFieldDelimiter();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextWriter:SetStringDelimiter vtkDelimitedTextWriterSetStringDelimiterFunction
//input a0 a1 
//output none
ArrayVector vtkDelimitedTextWriterSetStringDelimiterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStringDelimiter (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetStringDelimiter for class vtkDelimitedTextWriter requires 2 argument(s)");
  vtkDelimitedTextWriter* vtk_pointer = GetVTKPointer<vtkDelimitedTextWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetStringDelimiter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextWriter:GetStringDelimiter vtkDelimitedTextWriterGetStringDelimiterFunction
//input a0 
//output y
ArrayVector vtkDelimitedTextWriterGetStringDelimiterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetStringDelimiter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStringDelimiter for class vtkDelimitedTextWriter requires 1 argument(s)");
  vtkDelimitedTextWriter* vtk_pointer = GetVTKPointer<vtkDelimitedTextWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetStringDelimiter();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextWriter:SetFileName vtkDelimitedTextWriterSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkDelimitedTextWriterSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkDelimitedTextWriter requires 2 argument(s)");
  vtkDelimitedTextWriter* vtk_pointer = GetVTKPointer<vtkDelimitedTextWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextWriter:GetFileName vtkDelimitedTextWriterGetFileNameFunction
//input a0 
//output y
ArrayVector vtkDelimitedTextWriterGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkDelimitedTextWriter requires 1 argument(s)");
  vtkDelimitedTextWriter* vtk_pointer = GetVTKPointer<vtkDelimitedTextWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextWriter:SetUseStringDelimiter vtkDelimitedTextWriterSetUseStringDelimiterFunction
//input a0 a1 
//output none
ArrayVector vtkDelimitedTextWriterSetUseStringDelimiterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUseStringDelimiter (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUseStringDelimiter for class vtkDelimitedTextWriter requires 2 argument(s)");
  vtkDelimitedTextWriter* vtk_pointer = GetVTKPointer<vtkDelimitedTextWriter>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetUseStringDelimiter(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextWriter:GetUseStringDelimiter vtkDelimitedTextWriterGetUseStringDelimiterFunction
//input a0 
//output y
ArrayVector vtkDelimitedTextWriterGetUseStringDelimiterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetUseStringDelimiter (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUseStringDelimiter for class vtkDelimitedTextWriter requires 1 argument(s)");
  vtkDelimitedTextWriter* vtk_pointer = GetVTKPointer<vtkDelimitedTextWriter>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetUseStringDelimiter();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkDelimitedTextWriter:display vtkDelimitedTextWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkDelimitedTextWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkDelimitedTextWriter* vtk_pointer = GetVTKPointer<vtkDelimitedTextWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkDelimitedTextWriter:delete vtkDelimitedTextWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkDelimitedTextWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
