#include "VTKWrap.hpp"

// FreeMat wrapper for vtkEnSight6BinaryReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkEnSight6BinaryReader.h"

//@@Signature
//sfunction @vtkEnSight6BinaryReader:vtkEnSight6BinaryReader vtkEnSight6BinaryReaderConstructorFunction
//input a
//output p
//@@Parents vtkEnSight6BinaryReader vtkEnSightReader 
ArrayVector vtkEnSight6BinaryReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkEnSight6BinaryReader::New(),"vtkEnSight6BinaryReader",eval);
  } else if (arg[0].className() == "vtkEnSight6BinaryReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkEnSight6BinaryReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkEnSight6BinaryReader");
    vtkEnSight6BinaryReader*q = reinterpret_cast<vtkEnSight6BinaryReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkEnSight6BinaryReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkEnSight6BinaryReader:GetClassName vtkEnSight6BinaryReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkEnSight6BinaryReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkEnSight6BinaryReader requires 1 argument(s)");
  vtkEnSight6BinaryReader* vtk_pointer = GetVTKPointer<vtkEnSight6BinaryReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEnSight6BinaryReader:IsA vtkEnSight6BinaryReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkEnSight6BinaryReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkEnSight6BinaryReader requires 2 argument(s)");
  vtkEnSight6BinaryReader* vtk_pointer = GetVTKPointer<vtkEnSight6BinaryReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEnSight6BinaryReader:NewInstance vtkEnSight6BinaryReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkEnSight6BinaryReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEnSight6BinaryReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkEnSight6BinaryReader requires 1 argument(s)");
  vtkEnSight6BinaryReader* vtk_pointer = GetVTKPointer<vtkEnSight6BinaryReader>(arg[0]);
  Array retval;
  vtkEnSight6BinaryReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEnSight6BinaryReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEnSight6BinaryReader:SafeDownCast vtkEnSight6BinaryReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkEnSight6BinaryReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEnSight6BinaryReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkEnSight6BinaryReader requires 2 argument(s)");
  vtkEnSight6BinaryReader* vtk_pointer = GetVTKPointer<vtkEnSight6BinaryReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkEnSight6BinaryReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEnSight6BinaryReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEnSight6BinaryReader:display vtkEnSight6BinaryReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkEnSight6BinaryReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkEnSight6BinaryReader* vtk_pointer = GetVTKPointer<vtkEnSight6BinaryReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkEnSight6BinaryReader:delete vtkEnSight6BinaryReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkEnSight6BinaryReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkEnSight6BinaryReader
//@@Section VTKIO
//@@Usage
// vtkEnSight6BinaryReader is a class to read binary EnSight6 files into vtk.
// Because the different parts of the EnSight data can be of various data
// types, this reader produces multiple outputs, one per part in the input
// file.
// All variable information is being stored in field data.  The descriptions
// listed in the case file are used as the array names in the field data.
// For complex vector variables, the description is appended with _r (for the
// array of real values) and _i (for the array if imaginary values).  Complex
// scalar variables are stored as a single array with 2 components, real and
// imaginary, listed in that order.
//
//To create an instance of class vtkEnSight6BinaryReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkEnSight6BinaryReader
//@]
//@@Methods
//The class vtkEnSight6BinaryReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkEnSight6BinaryReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkEnSight6BinaryReader = obj.NewInstance ()|
// \item @|vtkEnSight6BinaryReader = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
