#include "VTKWrap.hpp"

// FreeMat wrapper for vtkEnSight6Reader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkEnSight6Reader.h"

//@@Signature
//sfunction @vtkEnSight6Reader:vtkEnSight6Reader vtkEnSight6ReaderConstructorFunction
//input a
//output p
//@@Parents vtkEnSight6Reader vtkEnSightReader 
ArrayVector vtkEnSight6ReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkEnSight6Reader::New(),"vtkEnSight6Reader",eval);
  } else if (arg[0].className() == "vtkEnSight6Reader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkEnSight6Reader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkEnSight6Reader");
    vtkEnSight6Reader*q = reinterpret_cast<vtkEnSight6Reader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkEnSight6Reader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkEnSight6Reader:GetClassName vtkEnSight6ReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkEnSight6ReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkEnSight6Reader requires 1 argument(s)");
  vtkEnSight6Reader* vtk_pointer = GetVTKPointer<vtkEnSight6Reader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEnSight6Reader:IsA vtkEnSight6ReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkEnSight6ReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkEnSight6Reader requires 2 argument(s)");
  vtkEnSight6Reader* vtk_pointer = GetVTKPointer<vtkEnSight6Reader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEnSight6Reader:NewInstance vtkEnSight6ReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkEnSight6ReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEnSight6Reader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkEnSight6Reader requires 1 argument(s)");
  vtkEnSight6Reader* vtk_pointer = GetVTKPointer<vtkEnSight6Reader>(arg[0]);
  Array retval;
  vtkEnSight6Reader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEnSight6Reader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEnSight6Reader:SafeDownCast vtkEnSight6ReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkEnSight6ReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEnSight6Reader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkEnSight6Reader requires 2 argument(s)");
  vtkEnSight6Reader* vtk_pointer = GetVTKPointer<vtkEnSight6Reader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkEnSight6Reader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEnSight6Reader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEnSight6Reader:display vtkEnSight6ReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkEnSight6ReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkEnSight6Reader* vtk_pointer = GetVTKPointer<vtkEnSight6Reader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkEnSight6Reader:delete vtkEnSight6ReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkEnSight6ReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkEnSight6Reader
//@@Section VTKIO
//@@Usage
// vtkEnSight6Reader is a class to read EnSight6 files into vtk.
// Because the different parts of the EnSight data can be of various data
// types, this reader produces multiple outputs, one per part in the input
// file.
// All variable information is being stored in field data.  The descriptions
// listed in the case file are used as the array names in the field data.
// For complex vector variables, the description is appended with _r (for the
// array of real values) and _i (for the array if imaginary values).  Complex
// scalar variables are stored as a single array with 2 components, real and
// imaginary, listed in that order.
//
//To create an instance of class vtkEnSight6Reader, simply
//invoke its constructor as follows
//@[
//  obj = vtkEnSight6Reader
//@]
//@@Methods
//The class vtkEnSight6Reader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkEnSight6Reader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkEnSight6Reader = obj.NewInstance ()|
// \item @|vtkEnSight6Reader = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
