#include "VTKWrap.hpp"

// FreeMat wrapper for vtkEnSightGoldBinaryReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkEnSightGoldBinaryReader.h"

//@@Signature
//sfunction @vtkEnSightGoldBinaryReader:vtkEnSightGoldBinaryReader vtkEnSightGoldBinaryReaderConstructorFunction
//input a
//output p
//@@Parents vtkEnSightGoldBinaryReader vtkEnSightReader 
ArrayVector vtkEnSightGoldBinaryReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkEnSightGoldBinaryReader::New(),"vtkEnSightGoldBinaryReader",eval);
  } else if (arg[0].className() == "vtkEnSightGoldBinaryReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkEnSightGoldBinaryReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkEnSightGoldBinaryReader");
    vtkEnSightGoldBinaryReader*q = reinterpret_cast<vtkEnSightGoldBinaryReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkEnSightGoldBinaryReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkEnSightGoldBinaryReader:GetClassName vtkEnSightGoldBinaryReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkEnSightGoldBinaryReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkEnSightGoldBinaryReader requires 1 argument(s)");
  vtkEnSightGoldBinaryReader* vtk_pointer = GetVTKPointer<vtkEnSightGoldBinaryReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEnSightGoldBinaryReader:IsA vtkEnSightGoldBinaryReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkEnSightGoldBinaryReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkEnSightGoldBinaryReader requires 2 argument(s)");
  vtkEnSightGoldBinaryReader* vtk_pointer = GetVTKPointer<vtkEnSightGoldBinaryReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEnSightGoldBinaryReader:NewInstance vtkEnSightGoldBinaryReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkEnSightGoldBinaryReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEnSightGoldBinaryReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkEnSightGoldBinaryReader requires 1 argument(s)");
  vtkEnSightGoldBinaryReader* vtk_pointer = GetVTKPointer<vtkEnSightGoldBinaryReader>(arg[0]);
  Array retval;
  vtkEnSightGoldBinaryReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEnSightGoldBinaryReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEnSightGoldBinaryReader:SafeDownCast vtkEnSightGoldBinaryReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkEnSightGoldBinaryReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEnSightGoldBinaryReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkEnSightGoldBinaryReader requires 2 argument(s)");
  vtkEnSightGoldBinaryReader* vtk_pointer = GetVTKPointer<vtkEnSightGoldBinaryReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkEnSightGoldBinaryReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEnSightGoldBinaryReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEnSightGoldBinaryReader:display vtkEnSightGoldBinaryReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkEnSightGoldBinaryReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkEnSightGoldBinaryReader* vtk_pointer = GetVTKPointer<vtkEnSightGoldBinaryReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkEnSightGoldBinaryReader:delete vtkEnSightGoldBinaryReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkEnSightGoldBinaryReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkEnSightGoldBinaryReader
//@@Section VTKIO
//@@Usage
// vtkEnSightGoldBinaryReader is a class to read EnSight Gold files into vtk.
// Because the different parts of the EnSight data can be of various data
// types, this reader produces multiple outputs, one per part in the input
// file.
// All variable information is being stored in field data.  The descriptions
// listed in the case file are used as the array names in the field data.
// For complex vector variables, the description is appended with _r (for the
// array of real values) and _i (for the array if imaginary values).  Complex
// scalar variables are stored as a single array with 2 components, real and
// imaginary, listed in that order.
//
//To create an instance of class vtkEnSightGoldBinaryReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkEnSightGoldBinaryReader
//@]
//@@Methods
//The class vtkEnSightGoldBinaryReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkEnSightGoldBinaryReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkEnSightGoldBinaryReader = obj.NewInstance ()|
// \item @|vtkEnSightGoldBinaryReader = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
