#include "VTKWrap.hpp"

// FreeMat wrapper for vtkEnSightGoldReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkEnSightGoldReader.h"

//@@Signature
//sfunction @vtkEnSightGoldReader:vtkEnSightGoldReader vtkEnSightGoldReaderConstructorFunction
//input a
//output p
//@@Parents vtkEnSightGoldReader vtkEnSightReader 
ArrayVector vtkEnSightGoldReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkEnSightGoldReader::New(),"vtkEnSightGoldReader",eval);
  } else if (arg[0].className() == "vtkEnSightGoldReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkEnSightGoldReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkEnSightGoldReader");
    vtkEnSightGoldReader*q = reinterpret_cast<vtkEnSightGoldReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkEnSightGoldReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkEnSightGoldReader:GetClassName vtkEnSightGoldReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkEnSightGoldReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkEnSightGoldReader requires 1 argument(s)");
  vtkEnSightGoldReader* vtk_pointer = GetVTKPointer<vtkEnSightGoldReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEnSightGoldReader:IsA vtkEnSightGoldReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkEnSightGoldReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkEnSightGoldReader requires 2 argument(s)");
  vtkEnSightGoldReader* vtk_pointer = GetVTKPointer<vtkEnSightGoldReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEnSightGoldReader:NewInstance vtkEnSightGoldReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkEnSightGoldReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEnSightGoldReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkEnSightGoldReader requires 1 argument(s)");
  vtkEnSightGoldReader* vtk_pointer = GetVTKPointer<vtkEnSightGoldReader>(arg[0]);
  Array retval;
  vtkEnSightGoldReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEnSightGoldReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEnSightGoldReader:SafeDownCast vtkEnSightGoldReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkEnSightGoldReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEnSightGoldReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkEnSightGoldReader requires 2 argument(s)");
  vtkEnSightGoldReader* vtk_pointer = GetVTKPointer<vtkEnSightGoldReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkEnSightGoldReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEnSightGoldReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEnSightGoldReader:display vtkEnSightGoldReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkEnSightGoldReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkEnSightGoldReader* vtk_pointer = GetVTKPointer<vtkEnSightGoldReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkEnSightGoldReader:delete vtkEnSightGoldReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkEnSightGoldReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkEnSightGoldReader
//@@Section VTKIO
//@@Usage
// vtkEnSightGoldReader is a class to read EnSight Gold files into vtk.
// Because the different parts of the EnSight data can be of various data
// types, this reader produces multiple outputs, one per part in the input
// file.
// All variable information is being stored in field data.  The descriptions
// listed in the case file are used as the array names in the field data.
// For complex vector variables, the description is appended with _r (for the
// array of real values) and _i (for the array if imaginary values).  Complex
// scalar variables are stored as a single array with 2 components, real and
// imaginary, listed in that order.
//
//To create an instance of class vtkEnSightGoldReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkEnSightGoldReader
//@]
//@@Methods
//The class vtkEnSightGoldReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkEnSightGoldReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkEnSightGoldReader = obj.NewInstance ()|
// \item @|vtkEnSightGoldReader = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
