#include "VTKWrap.hpp"

// FreeMat wrapper for vtkEnSightReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkEnSightReader.h"

//@@Signature
//sfunction @vtkEnSightReader:vtkEnSightReader vtkEnSightReaderConstructorFunction
//input a
//output p
//@@Parents vtkEnSightReader vtkGenericEnSightReader 
ArrayVector vtkEnSightReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkEnSightReader::New(),"vtkEnSightReader",eval);
  } else if (arg[0].className() == "vtkEnSightReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkEnSightReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkEnSightReader");
    vtkEnSightReader*q = reinterpret_cast<vtkEnSightReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkEnSightReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkEnSightReader:GetClassName vtkEnSightReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkEnSightReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkEnSightReader requires 1 argument(s)");
  vtkEnSightReader* vtk_pointer = GetVTKPointer<vtkEnSightReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEnSightReader:IsA vtkEnSightReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkEnSightReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkEnSightReader requires 2 argument(s)");
  vtkEnSightReader* vtk_pointer = GetVTKPointer<vtkEnSightReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEnSightReader:NewInstance vtkEnSightReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkEnSightReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEnSightReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkEnSightReader requires 1 argument(s)");
  vtkEnSightReader* vtk_pointer = GetVTKPointer<vtkEnSightReader>(arg[0]);
  Array retval;
  vtkEnSightReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEnSightReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEnSightReader:SafeDownCast vtkEnSightReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkEnSightReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkEnSightReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkEnSightReader requires 2 argument(s)");
  vtkEnSightReader* vtk_pointer = GetVTKPointer<vtkEnSightReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkEnSightReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkEnSightReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkEnSightReader:GetMeasuredFileName vtkEnSightReaderGetMeasuredFileNameFunction
//input a0 
//output y
ArrayVector vtkEnSightReaderGetMeasuredFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetMeasuredFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMeasuredFileName for class vtkEnSightReader requires 1 argument(s)");
  vtkEnSightReader* vtk_pointer = GetVTKPointer<vtkEnSightReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetMeasuredFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEnSightReader:GetMatchFileName vtkEnSightReaderGetMatchFileNameFunction
//input a0 
//output y
ArrayVector vtkEnSightReaderGetMatchFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetMatchFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMatchFileName for class vtkEnSightReader requires 1 argument(s)");
  vtkEnSightReader* vtk_pointer = GetVTKPointer<vtkEnSightReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetMatchFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEnSightReader:SetParticleCoordinatesByIndex vtkEnSightReaderSetParticleCoordinatesByIndexFunction
//input a0 a1 
//output none
ArrayVector vtkEnSightReaderSetParticleCoordinatesByIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetParticleCoordinatesByIndex (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetParticleCoordinatesByIndex for class vtkEnSightReader requires 2 argument(s)");
  vtkEnSightReader* vtk_pointer = GetVTKPointer<vtkEnSightReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetParticleCoordinatesByIndex(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkEnSightReader:GetParticleCoordinatesByIndex vtkEnSightReaderGetParticleCoordinatesByIndexFunction
//input a0 
//output y
ArrayVector vtkEnSightReaderGetParticleCoordinatesByIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetParticleCoordinatesByIndex (); */
  if (arg.size() < 1) 
    throw Exception("Function GetParticleCoordinatesByIndex for class vtkEnSightReader requires 1 argument(s)");
  vtkEnSightReader* vtk_pointer = GetVTKPointer<vtkEnSightReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetParticleCoordinatesByIndex();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkEnSightReader:ParticleCoordinatesByIndexOn vtkEnSightReaderParticleCoordinatesByIndexOnFunction
//input a0 
//output none
ArrayVector vtkEnSightReaderParticleCoordinatesByIndexOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ParticleCoordinatesByIndexOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ParticleCoordinatesByIndexOn for class vtkEnSightReader requires 1 argument(s)");
  vtkEnSightReader* vtk_pointer = GetVTKPointer<vtkEnSightReader>(arg[0]);
  Array retval;
  vtk_pointer->ParticleCoordinatesByIndexOn();
  return retval;
}

//@@Signature
//sfunction @vtkEnSightReader:ParticleCoordinatesByIndexOff vtkEnSightReaderParticleCoordinatesByIndexOffFunction
//input a0 
//output none
ArrayVector vtkEnSightReaderParticleCoordinatesByIndexOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ParticleCoordinatesByIndexOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ParticleCoordinatesByIndexOff for class vtkEnSightReader requires 1 argument(s)");
  vtkEnSightReader* vtk_pointer = GetVTKPointer<vtkEnSightReader>(arg[0]);
  Array retval;
  vtk_pointer->ParticleCoordinatesByIndexOff();
  return retval;
}

//@@Signature
//sfunction @vtkEnSightReader:display vtkEnSightReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkEnSightReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkEnSightReader* vtk_pointer = GetVTKPointer<vtkEnSightReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkEnSightReader:delete vtkEnSightReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkEnSightReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
