#include "VTKWrap.hpp"

// FreeMat wrapper for vtkFLUENTReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkFLUENTReader.h"

//@@Signature
//sfunction @vtkFLUENTReader:vtkFLUENTReader vtkFLUENTReaderConstructorFunction
//input a
//output p
//@@Parents vtkFLUENTReader vtkMultiBlockDataSetAlgorithm 
ArrayVector vtkFLUENTReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkFLUENTReader::New(),"vtkFLUENTReader",eval);
  } else if (arg[0].className() == "vtkFLUENTReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkFLUENTReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkFLUENTReader");
    vtkFLUENTReader*q = reinterpret_cast<vtkFLUENTReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkFLUENTReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkFLUENTReader:GetClassName vtkFLUENTReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkFLUENTReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkFLUENTReader requires 1 argument(s)");
  vtkFLUENTReader* vtk_pointer = GetVTKPointer<vtkFLUENTReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFLUENTReader:IsA vtkFLUENTReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkFLUENTReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkFLUENTReader requires 2 argument(s)");
  vtkFLUENTReader* vtk_pointer = GetVTKPointer<vtkFLUENTReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFLUENTReader:NewInstance vtkFLUENTReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkFLUENTReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFLUENTReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkFLUENTReader requires 1 argument(s)");
  vtkFLUENTReader* vtk_pointer = GetVTKPointer<vtkFLUENTReader>(arg[0]);
  Array retval;
  vtkFLUENTReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFLUENTReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFLUENTReader:SafeDownCast vtkFLUENTReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkFLUENTReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFLUENTReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkFLUENTReader requires 2 argument(s)");
  vtkFLUENTReader* vtk_pointer = GetVTKPointer<vtkFLUENTReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkFLUENTReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFLUENTReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFLUENTReader:SetFileName vtkFLUENTReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkFLUENTReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkFLUENTReader requires 2 argument(s)");
  vtkFLUENTReader* vtk_pointer = GetVTKPointer<vtkFLUENTReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFLUENTReader:GetFileName vtkFLUENTReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkFLUENTReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkFLUENTReader requires 1 argument(s)");
  vtkFLUENTReader* vtk_pointer = GetVTKPointer<vtkFLUENTReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFLUENTReader:GetNumberOfCells vtkFLUENTReaderGetNumberOfCellsFunction
//input a0 
//output y
ArrayVector vtkFLUENTReaderGetNumberOfCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCells for class vtkFLUENTReader requires 1 argument(s)");
  vtkFLUENTReader* vtk_pointer = GetVTKPointer<vtkFLUENTReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFLUENTReader:GetNumberOfCellArrays vtkFLUENTReaderGetNumberOfCellArraysFunction
//input a0 
//output y
ArrayVector vtkFLUENTReaderGetNumberOfCellArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfCellArrays (void ); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCellArrays for class vtkFLUENTReader requires 1 argument(s)");
  vtkFLUENTReader* vtk_pointer = GetVTKPointer<vtkFLUENTReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfCellArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFLUENTReader:GetCellArrayName vtkFLUENTReaderGetCellArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkFLUENTReaderGetCellArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetCellArrayName (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellArrayName for class vtkFLUENTReader requires 2 argument(s)");
  vtkFLUENTReader* vtk_pointer = GetVTKPointer<vtkFLUENTReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCellArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFLUENTReader:GetCellArrayStatus vtkFLUENTReaderGetCellArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkFLUENTReaderGetCellArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellArrayStatus (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellArrayStatus for class vtkFLUENTReader requires 2 argument(s)");
  vtkFLUENTReader* vtk_pointer = GetVTKPointer<vtkFLUENTReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetCellArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFLUENTReader:SetCellArrayStatus vtkFLUENTReaderSetCellArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkFLUENTReaderSetCellArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellArrayStatus (const char *name, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetCellArrayStatus for class vtkFLUENTReader requires 3 argument(s)");
  vtkFLUENTReader* vtk_pointer = GetVTKPointer<vtkFLUENTReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetCellArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkFLUENTReader:DisableAllCellArrays vtkFLUENTReaderDisableAllCellArraysFunction
//input a0 
//output none
ArrayVector vtkFLUENTReaderDisableAllCellArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DisableAllCellArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function DisableAllCellArrays for class vtkFLUENTReader requires 1 argument(s)");
  vtkFLUENTReader* vtk_pointer = GetVTKPointer<vtkFLUENTReader>(arg[0]);
  Array retval;
  vtk_pointer->DisableAllCellArrays();
  return retval;
}

//@@Signature
//sfunction @vtkFLUENTReader:EnableAllCellArrays vtkFLUENTReaderEnableAllCellArraysFunction
//input a0 
//output none
ArrayVector vtkFLUENTReaderEnableAllCellArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableAllCellArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableAllCellArrays for class vtkFLUENTReader requires 1 argument(s)");
  vtkFLUENTReader* vtk_pointer = GetVTKPointer<vtkFLUENTReader>(arg[0]);
  Array retval;
  vtk_pointer->EnableAllCellArrays();
  return retval;
}

//@@Signature
//sfunction @vtkFLUENTReader:SetDataByteOrderToBigEndian vtkFLUENTReaderSetDataByteOrderToBigEndianFunction
//input a0 
//output none
ArrayVector vtkFLUENTReaderSetDataByteOrderToBigEndianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataByteOrderToBigEndian (); */
  if (arg.size() < 1) 
    throw Exception("Function SetDataByteOrderToBigEndian for class vtkFLUENTReader requires 1 argument(s)");
  vtkFLUENTReader* vtk_pointer = GetVTKPointer<vtkFLUENTReader>(arg[0]);
  Array retval;
  vtk_pointer->SetDataByteOrderToBigEndian();
  return retval;
}

//@@Signature
//sfunction @vtkFLUENTReader:SetDataByteOrderToLittleEndian vtkFLUENTReaderSetDataByteOrderToLittleEndianFunction
//input a0 
//output none
ArrayVector vtkFLUENTReaderSetDataByteOrderToLittleEndianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataByteOrderToLittleEndian (); */
  if (arg.size() < 1) 
    throw Exception("Function SetDataByteOrderToLittleEndian for class vtkFLUENTReader requires 1 argument(s)");
  vtkFLUENTReader* vtk_pointer = GetVTKPointer<vtkFLUENTReader>(arg[0]);
  Array retval;
  vtk_pointer->SetDataByteOrderToLittleEndian();
  return retval;
}

//@@Signature
//sfunction @vtkFLUENTReader:GetDataByteOrder vtkFLUENTReaderGetDataByteOrderFunction
//input a0 
//output y
ArrayVector vtkFLUENTReaderGetDataByteOrderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataByteOrder (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataByteOrder for class vtkFLUENTReader requires 1 argument(s)");
  vtkFLUENTReader* vtk_pointer = GetVTKPointer<vtkFLUENTReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataByteOrder();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFLUENTReader:SetDataByteOrder vtkFLUENTReaderSetDataByteOrderFunction
//input a0 a1 
//output none
ArrayVector vtkFLUENTReaderSetDataByteOrderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataByteOrder (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataByteOrder for class vtkFLUENTReader requires 2 argument(s)");
  vtkFLUENTReader* vtk_pointer = GetVTKPointer<vtkFLUENTReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDataByteOrder(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFLUENTReader:GetDataByteOrderAsString vtkFLUENTReaderGetDataByteOrderAsStringFunction
//input a0 
//output y
ArrayVector vtkFLUENTReaderGetDataByteOrderAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetDataByteOrderAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataByteOrderAsString for class vtkFLUENTReader requires 1 argument(s)");
  vtkFLUENTReader* vtk_pointer = GetVTKPointer<vtkFLUENTReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDataByteOrderAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFLUENTReader:display vtkFLUENTReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkFLUENTReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkFLUENTReader* vtk_pointer = GetVTKPointer<vtkFLUENTReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkFLUENTReader:delete vtkFLUENTReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkFLUENTReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkFLUENTReader
//@@Section VTKIO
//@@Usage
// vtkFLUENTReader creates an unstructured grid dataset. It reads .cas and
// .dat files stored in FLUENT native format.
//
// .SECTION Thanks
// Thanks to Brian W. Dotson & Terry E. Jordan (Department of Energy, National
// Energy Technology Laboratory) & Douglas McCorkle (Iowa State University)
// who developed this class.
// Please address all comments to Brian Dotson (brian.dotson@netl.doe.gov) &
// Terry Jordan (terry.jordan@sa.netl.doe.gov)
// & Doug McCorkle (mccdo@iastate.edu)
//
//
//To create an instance of class vtkFLUENTReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkFLUENTReader
//@]
//@@Methods
//The class vtkFLUENTReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkFLUENTReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkFLUENTReader = obj.NewInstance ()|
// \item @|vtkFLUENTReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string )| -  Specify the file name of the Fluent case file to read.
//// \item @|string = obj.GetFileName ()| -  Specify the file name of the Fluent case file to read.
//// \item @|int = obj.GetNumberOfCells ()| -  Get the total number of cells. The number of cells is only valid after a
// successful read of the data file is performed. Initial value is 0.
//// \item @|int = obj.GetNumberOfCellArrays (void )| -  Get the number of cell arrays available in the input.
//// \item @|string = obj.GetCellArrayName (int index)| -  Get the name of the  cell array with the given index in
// the input.
//// \item @|int = obj.GetCellArrayStatus (string name)| -  Get/Set whether the cell array with the given name is to
// be read.
//// \item @|obj.SetCellArrayStatus (string name, int status)| -  Get/Set whether the cell array with the given name is to
// be read.
//// \item @|obj.DisableAllCellArrays ()| -  Turn on/off all cell arrays.
//// \item @|obj.EnableAllCellArrays ()| -  Turn on/off all cell arrays.
//// \item @|obj.SetDataByteOrderToBigEndian ()| -  These methods should be used instead of the SwapBytes methods.
// They indicate the byte ordering of the file you are trying
// to read in. These methods will then either swap or not swap
// the bytes depending on the byte ordering of the machine it is
// being run on. For example, reading in a BigEndian file on a
// BigEndian machine will result in no swapping. Trying to read
// the same file on a LittleEndian machine will result in swapping.
// As a quick note most UNIX machines are BigEndian while PC's
// and VAX tend to be LittleEndian. So if the file you are reading
// in was generated on a VAX or PC, SetDataByteOrderToLittleEndian 
// otherwise SetDataByteOrderToBigEndian. Not used when reading
// text files. 
//// \item @|obj.SetDataByteOrderToLittleEndian ()| -  These methods should be used instead of the SwapBytes methods.
// They indicate the byte ordering of the file you are trying
// to read in. These methods will then either swap or not swap
// the bytes depending on the byte ordering of the machine it is
// being run on. For example, reading in a BigEndian file on a
// BigEndian machine will result in no swapping. Trying to read
// the same file on a LittleEndian machine will result in swapping.
// As a quick note most UNIX machines are BigEndian while PC's
// and VAX tend to be LittleEndian. So if the file you are reading
// in was generated on a VAX or PC, SetDataByteOrderToLittleEndian 
// otherwise SetDataByteOrderToBigEndian. Not used when reading
// text files. 
//// \item @|int = obj.GetDataByteOrder ()| -  These methods should be used instead of the SwapBytes methods.
// They indicate the byte ordering of the file you are trying
// to read in. These methods will then either swap or not swap
// the bytes depending on the byte ordering of the machine it is
// being run on. For example, reading in a BigEndian file on a
// BigEndian machine will result in no swapping. Trying to read
// the same file on a LittleEndian machine will result in swapping.
// As a quick note most UNIX machines are BigEndian while PC's
// and VAX tend to be LittleEndian. So if the file you are reading
// in was generated on a VAX or PC, SetDataByteOrderToLittleEndian 
// otherwise SetDataByteOrderToBigEndian. Not used when reading
// text files. 
//// \item @|obj.SetDataByteOrder (int )| -  These methods should be used instead of the SwapBytes methods.
// They indicate the byte ordering of the file you are trying
// to read in. These methods will then either swap or not swap
// the bytes depending on the byte ordering of the machine it is
// being run on. For example, reading in a BigEndian file on a
// BigEndian machine will result in no swapping. Trying to read
// the same file on a LittleEndian machine will result in swapping.
// As a quick note most UNIX machines are BigEndian while PC's
// and VAX tend to be LittleEndian. So if the file you are reading
// in was generated on a VAX or PC, SetDataByteOrderToLittleEndian 
// otherwise SetDataByteOrderToBigEndian. Not used when reading
// text files. 
//// \item @|string = obj.GetDataByteOrderAsString ()| -  These methods should be used instead of the SwapBytes methods.
// They indicate the byte ordering of the file you are trying
// to read in. These methods will then either swap or not swap
// the bytes depending on the byte ordering of the machine it is
// being run on. For example, reading in a BigEndian file on a
// BigEndian machine will result in no swapping. Trying to read
// the same file on a LittleEndian machine will result in swapping.
// As a quick note most UNIX machines are BigEndian while PC's
// and VAX tend to be LittleEndian. So if the file you are reading
// in was generated on a VAX or PC, SetDataByteOrderToLittleEndian 
// otherwise SetDataByteOrderToBigEndian. Not used when reading
// text files. 
////\end{itemize}
//!
