#include "VTKWrap.hpp"

// FreeMat wrapper for vtkFacetWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkFacetWriter.h"

//@@Signature
//sfunction @vtkFacetWriter:vtkFacetWriter vtkFacetWriterConstructorFunction
//input a
//output p
//@@Parents vtkFacetWriter vtkPolyDataAlgorithm 
ArrayVector vtkFacetWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkFacetWriter::New(),"vtkFacetWriter",eval);
  } else if (arg[0].className() == "vtkFacetWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkFacetWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkFacetWriter");
    vtkFacetWriter*q = reinterpret_cast<vtkFacetWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkFacetWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkFacetWriter:GetClassName vtkFacetWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkFacetWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkFacetWriter requires 1 argument(s)");
  vtkFacetWriter* vtk_pointer = GetVTKPointer<vtkFacetWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFacetWriter:IsA vtkFacetWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkFacetWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkFacetWriter requires 2 argument(s)");
  vtkFacetWriter* vtk_pointer = GetVTKPointer<vtkFacetWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFacetWriter:NewInstance vtkFacetWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkFacetWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFacetWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkFacetWriter requires 1 argument(s)");
  vtkFacetWriter* vtk_pointer = GetVTKPointer<vtkFacetWriter>(arg[0]);
  Array retval;
  vtkFacetWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFacetWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFacetWriter:SafeDownCast vtkFacetWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkFacetWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkFacetWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkFacetWriter requires 2 argument(s)");
  vtkFacetWriter* vtk_pointer = GetVTKPointer<vtkFacetWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkFacetWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkFacetWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkFacetWriter:SetFileName vtkFacetWriterSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkFacetWriterSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkFacetWriter requires 2 argument(s)");
  vtkFacetWriter* vtk_pointer = GetVTKPointer<vtkFacetWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkFacetWriter:GetFileName vtkFacetWriterGetFileNameFunction
//input a0 
//output y
ArrayVector vtkFacetWriterGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkFacetWriter requires 1 argument(s)");
  vtkFacetWriter* vtk_pointer = GetVTKPointer<vtkFacetWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkFacetWriter:Write vtkFacetWriterWriteFunction
//input a0 
//output none
ArrayVector vtkFacetWriterWriteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Write (); */
  if (arg.size() < 1) 
    throw Exception("Function Write for class vtkFacetWriter requires 1 argument(s)");
  vtkFacetWriter* vtk_pointer = GetVTKPointer<vtkFacetWriter>(arg[0]);
  Array retval;
  vtk_pointer->Write();
  return retval;
}

//@@Signature
//sfunction @vtkFacetWriter:display vtkFacetWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkFacetWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkFacetWriter* vtk_pointer = GetVTKPointer<vtkFacetWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkFacetWriter:delete vtkFacetWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkFacetWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkFacetWriter
//@@Section VTKIO
//@@Usage
// vtkFacetWriter creates an unstructured grid dataset. It reads ASCII files
// stored in Facet format
//
// The facet format looks like this:
// FACET FILE ...
// nparts
// Part 1 name
// 0
// npoints 0 0
// p1x p1y p1z
// p2x p2y p2z
// ...
// 1
// Part 1 name
// ncells npointspercell
// p1c1 p2c1 p3c1 ... pnc1 materialnum partnum
// p1c2 p2c2 p3c2 ... pnc2 materialnum partnum
// ...
//
//To create an instance of class vtkFacetWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkFacetWriter
//@]
//@@Methods
//The class vtkFacetWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkFacetWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkFacetWriter = obj.NewInstance ()|
// \item @|vtkFacetWriter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string )| -  Specify file name of Facet datafile to read
//// \item @|string = obj.GetFileName ()| -  Specify file name of Facet datafile to read
//// \item @|obj.Write ()| -  Write data
////\end{itemize}
//!
