#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGAMBITReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGAMBITReader.h"

//@@Signature
//sfunction @vtkGAMBITReader:vtkGAMBITReader vtkGAMBITReaderConstructorFunction
//input a
//output p
//@@Parents vtkGAMBITReader vtkUnstructuredGridAlgorithm 
ArrayVector vtkGAMBITReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGAMBITReader::New(),"vtkGAMBITReader",eval);
  } else if (arg[0].className() == "vtkGAMBITReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGAMBITReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGAMBITReader");
    vtkGAMBITReader*q = reinterpret_cast<vtkGAMBITReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGAMBITReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGAMBITReader:GetClassName vtkGAMBITReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGAMBITReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGAMBITReader requires 1 argument(s)");
  vtkGAMBITReader* vtk_pointer = GetVTKPointer<vtkGAMBITReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGAMBITReader:IsA vtkGAMBITReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGAMBITReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGAMBITReader requires 2 argument(s)");
  vtkGAMBITReader* vtk_pointer = GetVTKPointer<vtkGAMBITReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGAMBITReader:NewInstance vtkGAMBITReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGAMBITReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGAMBITReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGAMBITReader requires 1 argument(s)");
  vtkGAMBITReader* vtk_pointer = GetVTKPointer<vtkGAMBITReader>(arg[0]);
  Array retval;
  vtkGAMBITReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGAMBITReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGAMBITReader:SafeDownCast vtkGAMBITReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGAMBITReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGAMBITReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGAMBITReader requires 2 argument(s)");
  vtkGAMBITReader* vtk_pointer = GetVTKPointer<vtkGAMBITReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGAMBITReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGAMBITReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGAMBITReader:SetFileName vtkGAMBITReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkGAMBITReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkGAMBITReader requires 2 argument(s)");
  vtkGAMBITReader* vtk_pointer = GetVTKPointer<vtkGAMBITReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGAMBITReader:GetFileName vtkGAMBITReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkGAMBITReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkGAMBITReader requires 1 argument(s)");
  vtkGAMBITReader* vtk_pointer = GetVTKPointer<vtkGAMBITReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGAMBITReader:GetNumberOfCells vtkGAMBITReaderGetNumberOfCellsFunction
//input a0 
//output y
ArrayVector vtkGAMBITReaderGetNumberOfCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCells for class vtkGAMBITReader requires 1 argument(s)");
  vtkGAMBITReader* vtk_pointer = GetVTKPointer<vtkGAMBITReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGAMBITReader:GetNumberOfNodes vtkGAMBITReaderGetNumberOfNodesFunction
//input a0 
//output y
ArrayVector vtkGAMBITReaderGetNumberOfNodesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfNodes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfNodes for class vtkGAMBITReader requires 1 argument(s)");
  vtkGAMBITReader* vtk_pointer = GetVTKPointer<vtkGAMBITReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfNodes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGAMBITReader:GetNumberOfNodeFields vtkGAMBITReaderGetNumberOfNodeFieldsFunction
//input a0 
//output y
ArrayVector vtkGAMBITReaderGetNumberOfNodeFieldsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfNodeFields (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfNodeFields for class vtkGAMBITReader requires 1 argument(s)");
  vtkGAMBITReader* vtk_pointer = GetVTKPointer<vtkGAMBITReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfNodeFields();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGAMBITReader:GetNumberOfCellFields vtkGAMBITReaderGetNumberOfCellFieldsFunction
//input a0 
//output y
ArrayVector vtkGAMBITReaderGetNumberOfCellFieldsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfCellFields (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCellFields for class vtkGAMBITReader requires 1 argument(s)");
  vtkGAMBITReader* vtk_pointer = GetVTKPointer<vtkGAMBITReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfCellFields();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGAMBITReader:display vtkGAMBITReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGAMBITReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGAMBITReader* vtk_pointer = GetVTKPointer<vtkGAMBITReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGAMBITReader:delete vtkGAMBITReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkGAMBITReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGAMBITReader
//@@Section VTKIO
//@@Usage
// vtkGAMBITReader creates an unstructured grid dataset. It reads ASCII files
// stored in GAMBIT neutral format, with optional data stored at the nodes or
// at the cells of the model. A cell-based fielddata stores the material id.
//
//To create an instance of class vtkGAMBITReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkGAMBITReader
//@]
//@@Methods
//The class vtkGAMBITReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGAMBITReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGAMBITReader = obj.NewInstance ()|
// \item @|vtkGAMBITReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string )| -  Specify the file name of the GAMBIT data file to read.
//// \item @|string = obj.GetFileName ()| -  Specify the file name of the GAMBIT data file to read.
//// \item @|int = obj.GetNumberOfCells ()| -  Get the total number of cells. The number of cells is only valid after a
// successful read of the data file is performed.
//// \item @|int = obj.GetNumberOfNodes ()| -  Get the total number of nodes. The number of nodes is only valid after a
// successful read of the data file is performed.
//// \item @|int = obj.GetNumberOfNodeFields ()| -  Get the number of data components at the nodes and cells.
//// \item @|int = obj.GetNumberOfCellFields ()| -  Get the number of data components at the nodes and cells.
////\end{itemize}
//!
