#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGESignaReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGESignaReader.h"

//@@Signature
//sfunction @vtkGESignaReader:vtkGESignaReader vtkGESignaReaderConstructorFunction
//input a
//output p
//@@Parents vtkGESignaReader vtkMedicalImageReader2 
ArrayVector vtkGESignaReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGESignaReader::New(),"vtkGESignaReader",eval);
  } else if (arg[0].className() == "vtkGESignaReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGESignaReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGESignaReader");
    vtkGESignaReader*q = reinterpret_cast<vtkGESignaReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGESignaReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGESignaReader:GetClassName vtkGESignaReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGESignaReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGESignaReader requires 1 argument(s)");
  vtkGESignaReader* vtk_pointer = GetVTKPointer<vtkGESignaReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGESignaReader:IsA vtkGESignaReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGESignaReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGESignaReader requires 2 argument(s)");
  vtkGESignaReader* vtk_pointer = GetVTKPointer<vtkGESignaReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGESignaReader:NewInstance vtkGESignaReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGESignaReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGESignaReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGESignaReader requires 1 argument(s)");
  vtkGESignaReader* vtk_pointer = GetVTKPointer<vtkGESignaReader>(arg[0]);
  Array retval;
  vtkGESignaReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGESignaReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGESignaReader:SafeDownCast vtkGESignaReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGESignaReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGESignaReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGESignaReader requires 2 argument(s)");
  vtkGESignaReader* vtk_pointer = GetVTKPointer<vtkGESignaReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGESignaReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGESignaReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGESignaReader:CanReadFile vtkGESignaReaderCanReadFileFunction
//input a0 a1 
//output y
ArrayVector vtkGESignaReaderCanReadFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int CanReadFile (const char *fname); */
  if (arg.size() < 2) 
    throw Exception("Function CanReadFile for class vtkGESignaReader requires 2 argument(s)");
  vtkGESignaReader* vtk_pointer = GetVTKPointer<vtkGESignaReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CanReadFile(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGESignaReader:GetFileExtensions vtkGESignaReaderGetFileExtensionsFunction
//input a0 
//output y
ArrayVector vtkGESignaReaderGetFileExtensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetFileExtensions ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetFileExtensions for class vtkGESignaReader requires 1 argument(s)");
  vtkGESignaReader* vtk_pointer = GetVTKPointer<vtkGESignaReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetFileExtensions();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGESignaReader:GetDescriptiveName vtkGESignaReaderGetDescriptiveNameFunction
//input a0 
//output y
ArrayVector vtkGESignaReaderGetDescriptiveNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetDescriptiveName ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetDescriptiveName for class vtkGESignaReader requires 1 argument(s)");
  vtkGESignaReader* vtk_pointer = GetVTKPointer<vtkGESignaReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDescriptiveName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGESignaReader:display vtkGESignaReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGESignaReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGESignaReader* vtk_pointer = GetVTKPointer<vtkGESignaReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGESignaReader:delete vtkGESignaReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkGESignaReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGESignaReader
//@@Section VTKIO
//@@Usage
// vtkGESignaReader is a source object that reads some GE Signa ximg files It
// does support reading in pixel spacing, slice spacing and it computes an
// origin for the image in millimeters. It always produces greyscale unsigned
// short data and it supports reading in rectangular, packed, compressed, and
// packed&compressed. It does not read in slice orientation, or position
// right now. To use it you just need to specify a filename or a file prefix
// and pattern.
//
//To create an instance of class vtkGESignaReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkGESignaReader
//@]
//@@Methods
//The class vtkGESignaReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGESignaReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGESignaReader = obj.NewInstance ()|
// \item @|vtkGESignaReader = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.CanReadFile (string fname)| -  Is the given file a GESigna file?
//// \item @|string = obj.GetFileExtensions ()| -  A descriptive name for this format
//// \item @|string = obj.GetDescriptiveName ()|
//\end{itemize}
//!
