#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGaussianCubeReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGaussianCubeReader.h"

//@@Signature
//sfunction @vtkGaussianCubeReader:vtkGaussianCubeReader vtkGaussianCubeReaderConstructorFunction
//input a
//output p
//@@Parents vtkGaussianCubeReader vtkMoleculeReaderBase 
ArrayVector vtkGaussianCubeReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGaussianCubeReader::New(),"vtkGaussianCubeReader",eval);
  } else if (arg[0].className() == "vtkGaussianCubeReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGaussianCubeReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGaussianCubeReader");
    vtkGaussianCubeReader*q = reinterpret_cast<vtkGaussianCubeReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGaussianCubeReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGaussianCubeReader:GetClassName vtkGaussianCubeReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGaussianCubeReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGaussianCubeReader requires 1 argument(s)");
  vtkGaussianCubeReader* vtk_pointer = GetVTKPointer<vtkGaussianCubeReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGaussianCubeReader:IsA vtkGaussianCubeReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGaussianCubeReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGaussianCubeReader requires 2 argument(s)");
  vtkGaussianCubeReader* vtk_pointer = GetVTKPointer<vtkGaussianCubeReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGaussianCubeReader:NewInstance vtkGaussianCubeReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGaussianCubeReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGaussianCubeReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGaussianCubeReader requires 1 argument(s)");
  vtkGaussianCubeReader* vtk_pointer = GetVTKPointer<vtkGaussianCubeReader>(arg[0]);
  Array retval;
  vtkGaussianCubeReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGaussianCubeReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGaussianCubeReader:SafeDownCast vtkGaussianCubeReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGaussianCubeReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGaussianCubeReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGaussianCubeReader requires 2 argument(s)");
  vtkGaussianCubeReader* vtk_pointer = GetVTKPointer<vtkGaussianCubeReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGaussianCubeReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGaussianCubeReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGaussianCubeReader:GetTransform vtkGaussianCubeReaderGetTransformFunction
//input a0 
//output y
ArrayVector vtkGaussianCubeReaderGetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransform *GetTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTransform for class vtkGaussianCubeReader requires 1 argument(s)");
  vtkGaussianCubeReader* vtk_pointer = GetVTKPointer<vtkGaussianCubeReader>(arg[0]);
  Array retval;
  vtkTransform  *temp20;
  temp20 = (vtk_pointer)->GetTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGaussianCubeReader:SetFileName vtkGaussianCubeReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkGaussianCubeReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkGaussianCubeReader requires 2 argument(s)");
  vtkGaussianCubeReader* vtk_pointer = GetVTKPointer<vtkGaussianCubeReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGaussianCubeReader:GetFileName vtkGaussianCubeReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkGaussianCubeReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkGaussianCubeReader requires 1 argument(s)");
  vtkGaussianCubeReader* vtk_pointer = GetVTKPointer<vtkGaussianCubeReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGaussianCubeReader:GetGridOutput vtkGaussianCubeReaderGetGridOutputFunction
//input a0 
//output y
ArrayVector vtkGaussianCubeReaderGetGridOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetGridOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGridOutput for class vtkGaussianCubeReader requires 1 argument(s)");
  vtkGaussianCubeReader* vtk_pointer = GetVTKPointer<vtkGaussianCubeReader>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetGridOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGaussianCubeReader:display vtkGaussianCubeReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGaussianCubeReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGaussianCubeReader* vtk_pointer = GetVTKPointer<vtkGaussianCubeReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGaussianCubeReader:delete vtkGaussianCubeReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkGaussianCubeReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGaussianCubeReader
//@@Section VTKIO
//@@Usage
// vtkGaussianCubeReader is a source object that reads ASCII files following
// the description in http://www.gaussian.com/00000430.htm
// The FileName must be specified.
//
// .SECTION Thanks
// Dr. Jean M. Favre who developed and contributed this class.
//
//To create an instance of class vtkGaussianCubeReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkGaussianCubeReader
//@]
//@@Methods
//The class vtkGaussianCubeReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGaussianCubeReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGaussianCubeReader = obj.NewInstance ()|
// \item @|vtkGaussianCubeReader = obj.SafeDownCast (vtkObject o)|
// \item @|vtkTransform = obj.GetTransform ()|
// \item @|obj.SetFileName (string )|
// \item @|string = obj.GetFileName ()|
// \item @|vtkImageData = obj.GetGridOutput ()|
//\end{itemize}
//!
