#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGenericDataObjectReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGenericDataObjectReader.h"

//@@Signature
//sfunction @vtkGenericDataObjectReader:vtkGenericDataObjectReader vtkGenericDataObjectReaderConstructorFunction
//input a
//output p
//@@Parents vtkGenericDataObjectReader vtkDataReader 
ArrayVector vtkGenericDataObjectReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGenericDataObjectReader::New(),"vtkGenericDataObjectReader",eval);
  } else if (arg[0].className() == "vtkGenericDataObjectReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGenericDataObjectReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGenericDataObjectReader");
    vtkGenericDataObjectReader*q = reinterpret_cast<vtkGenericDataObjectReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGenericDataObjectReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGenericDataObjectReader:GetClassName vtkGenericDataObjectReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGenericDataObjectReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGenericDataObjectReader requires 1 argument(s)");
  vtkGenericDataObjectReader* vtk_pointer = GetVTKPointer<vtkGenericDataObjectReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataObjectReader:IsA vtkGenericDataObjectReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGenericDataObjectReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGenericDataObjectReader requires 2 argument(s)");
  vtkGenericDataObjectReader* vtk_pointer = GetVTKPointer<vtkGenericDataObjectReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataObjectReader:NewInstance vtkGenericDataObjectReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGenericDataObjectReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericDataObjectReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGenericDataObjectReader requires 1 argument(s)");
  vtkGenericDataObjectReader* vtk_pointer = GetVTKPointer<vtkGenericDataObjectReader>(arg[0]);
  Array retval;
  vtkGenericDataObjectReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericDataObjectReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataObjectReader:SafeDownCast vtkGenericDataObjectReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGenericDataObjectReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericDataObjectReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGenericDataObjectReader requires 2 argument(s)");
  vtkGenericDataObjectReader* vtk_pointer = GetVTKPointer<vtkGenericDataObjectReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGenericDataObjectReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericDataObjectReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataObjectReader:GetOutput__1 vtkGenericDataObjectReaderGetOutput__1Function
//input a0 
//output y
ArrayVector vtkGenericDataObjectReaderGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkGenericDataObjectReader requires 1 argument(s)");
  vtkGenericDataObjectReader* vtk_pointer = GetVTKPointer<vtkGenericDataObjectReader>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataObjectReader:GetOutput__2 vtkGenericDataObjectReaderGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkGenericDataObjectReaderGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetOutput (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkGenericDataObjectReader requires 2 argument(s)");
  vtkGenericDataObjectReader* vtk_pointer = GetVTKPointer<vtkGenericDataObjectReader>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataObjectReader:GetGraphOutput vtkGenericDataObjectReaderGetGraphOutputFunction
//input a0 
//output y
ArrayVector vtkGenericDataObjectReaderGetGraphOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraph *GetGraphOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGraphOutput for class vtkGenericDataObjectReader requires 1 argument(s)");
  vtkGenericDataObjectReader* vtk_pointer = GetVTKPointer<vtkGenericDataObjectReader>(arg[0]);
  Array retval;
  vtkGraph  *temp20;
  temp20 = (vtk_pointer)->GetGraphOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataObjectReader:GetPolyDataOutput vtkGenericDataObjectReaderGetPolyDataOutputFunction
//input a0 
//output y
ArrayVector vtkGenericDataObjectReaderGetPolyDataOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetPolyDataOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPolyDataOutput for class vtkGenericDataObjectReader requires 1 argument(s)");
  vtkGenericDataObjectReader* vtk_pointer = GetVTKPointer<vtkGenericDataObjectReader>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetPolyDataOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataObjectReader:GetRectilinearGridOutput vtkGenericDataObjectReaderGetRectilinearGridOutputFunction
//input a0 
//output y
ArrayVector vtkGenericDataObjectReaderGetRectilinearGridOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRectilinearGrid *GetRectilinearGridOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRectilinearGridOutput for class vtkGenericDataObjectReader requires 1 argument(s)");
  vtkGenericDataObjectReader* vtk_pointer = GetVTKPointer<vtkGenericDataObjectReader>(arg[0]);
  Array retval;
  vtkRectilinearGrid  *temp20;
  temp20 = (vtk_pointer)->GetRectilinearGridOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectilinearGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataObjectReader:GetStructuredGridOutput vtkGenericDataObjectReaderGetStructuredGridOutputFunction
//input a0 
//output y
ArrayVector vtkGenericDataObjectReaderGetStructuredGridOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGrid *GetStructuredGridOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStructuredGridOutput for class vtkGenericDataObjectReader requires 1 argument(s)");
  vtkGenericDataObjectReader* vtk_pointer = GetVTKPointer<vtkGenericDataObjectReader>(arg[0]);
  Array retval;
  vtkStructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetStructuredGridOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataObjectReader:GetStructuredPointsOutput vtkGenericDataObjectReaderGetStructuredPointsOutputFunction
//input a0 
//output y
ArrayVector vtkGenericDataObjectReaderGetStructuredPointsOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredPoints *GetStructuredPointsOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStructuredPointsOutput for class vtkGenericDataObjectReader requires 1 argument(s)");
  vtkGenericDataObjectReader* vtk_pointer = GetVTKPointer<vtkGenericDataObjectReader>(arg[0]);
  Array retval;
  vtkStructuredPoints  *temp20;
  temp20 = (vtk_pointer)->GetStructuredPointsOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataObjectReader:GetTableOutput vtkGenericDataObjectReaderGetTableOutputFunction
//input a0 
//output y
ArrayVector vtkGenericDataObjectReaderGetTableOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTable *GetTableOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTableOutput for class vtkGenericDataObjectReader requires 1 argument(s)");
  vtkGenericDataObjectReader* vtk_pointer = GetVTKPointer<vtkGenericDataObjectReader>(arg[0]);
  Array retval;
  vtkTable  *temp20;
  temp20 = (vtk_pointer)->GetTableOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataObjectReader:GetTreeOutput vtkGenericDataObjectReaderGetTreeOutputFunction
//input a0 
//output y
ArrayVector vtkGenericDataObjectReaderGetTreeOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTree *GetTreeOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTreeOutput for class vtkGenericDataObjectReader requires 1 argument(s)");
  vtkGenericDataObjectReader* vtk_pointer = GetVTKPointer<vtkGenericDataObjectReader>(arg[0]);
  Array retval;
  vtkTree  *temp20;
  temp20 = (vtk_pointer)->GetTreeOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataObjectReader:GetUnstructuredGridOutput vtkGenericDataObjectReaderGetUnstructuredGridOutputFunction
//input a0 
//output y
ArrayVector vtkGenericDataObjectReaderGetUnstructuredGridOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetUnstructuredGridOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUnstructuredGridOutput for class vtkGenericDataObjectReader requires 1 argument(s)");
  vtkGenericDataObjectReader* vtk_pointer = GetVTKPointer<vtkGenericDataObjectReader>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetUnstructuredGridOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataObjectReader:ReadOutputType vtkGenericDataObjectReaderReadOutputTypeFunction
//input a0 
//output y
ArrayVector vtkGenericDataObjectReaderReadOutputTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ReadOutputType (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadOutputType for class vtkGenericDataObjectReader requires 1 argument(s)");
  vtkGenericDataObjectReader* vtk_pointer = GetVTKPointer<vtkGenericDataObjectReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->ReadOutputType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataObjectReader:GetOutput vtkGenericDataObjectReaderGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkGenericDataObjectReaderGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkGenericDataObjectReaderGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkGenericDataObjectReaderGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGenericDataObjectReaderGetOutput");
}

//@@Signature
//sfunction @vtkGenericDataObjectReader:display vtkGenericDataObjectReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGenericDataObjectReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGenericDataObjectReader* vtk_pointer = GetVTKPointer<vtkGenericDataObjectReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGenericDataObjectReader:delete vtkGenericDataObjectReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkGenericDataObjectReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGenericDataObjectReader
//@@Section VTKIO
//@@Usage
// vtkGenericDataObjectReader is a class that provides instance variables and methods
// to read any type of data object in Visualization Toolkit (vtk) format.  The
// output type of this class will vary depending upon the type of data
// file. Convenience methods are provided to return the data as a particular
// type. (See text for format description details).
// The superclass of this class, vtkDataReader, provides many methods for
// controlling the reading of the data file, see vtkDataReader for more
// information.
//
//To create an instance of class vtkGenericDataObjectReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkGenericDataObjectReader
//@]
//@@Methods
//The class vtkGenericDataObjectReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGenericDataObjectReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGenericDataObjectReader = obj.NewInstance ()|
// \item @|vtkGenericDataObjectReader = obj.SafeDownCast (vtkObject o)|
// \item @|vtkDataObject = obj.GetOutput ()| -  Get the output of this filter
//// \item @|vtkDataObject = obj.GetOutput (int idx)| -  Get the output of this filter
//// \item @|vtkGraph = obj.GetGraphOutput ()| -  Get the output as various concrete types. This method is typically used
// when you know exactly what type of data is being read.  Otherwise, use
// the general GetOutput() method. If the wrong type is used NULL is
// returned.  (You must also set the filename of the object prior to
// getting the output.)
//// \item @|vtkPolyData = obj.GetPolyDataOutput ()| -  Get the output as various concrete types. This method is typically used
// when you know exactly what type of data is being read.  Otherwise, use
// the general GetOutput() method. If the wrong type is used NULL is
// returned.  (You must also set the filename of the object prior to
// getting the output.)
//// \item @|vtkRectilinearGrid = obj.GetRectilinearGridOutput ()| -  Get the output as various concrete types. This method is typically used
// when you know exactly what type of data is being read.  Otherwise, use
// the general GetOutput() method. If the wrong type is used NULL is
// returned.  (You must also set the filename of the object prior to
// getting the output.)
//// \item @|vtkStructuredGrid = obj.GetStructuredGridOutput ()| -  Get the output as various concrete types. This method is typically used
// when you know exactly what type of data is being read.  Otherwise, use
// the general GetOutput() method. If the wrong type is used NULL is
// returned.  (You must also set the filename of the object prior to
// getting the output.)
//// \item @|vtkStructuredPoints = obj.GetStructuredPointsOutput ()| -  Get the output as various concrete types. This method is typically used
// when you know exactly what type of data is being read.  Otherwise, use
// the general GetOutput() method. If the wrong type is used NULL is
// returned.  (You must also set the filename of the object prior to
// getting the output.)
//// \item @|vtkTable = obj.GetTableOutput ()| -  Get the output as various concrete types. This method is typically used
// when you know exactly what type of data is being read.  Otherwise, use
// the general GetOutput() method. If the wrong type is used NULL is
// returned.  (You must also set the filename of the object prior to
// getting the output.)
//// \item @|vtkTree = obj.GetTreeOutput ()| -  Get the output as various concrete types. This method is typically used
// when you know exactly what type of data is being read.  Otherwise, use
// the general GetOutput() method. If the wrong type is used NULL is
// returned.  (You must also set the filename of the object prior to
// getting the output.)
//// \item @|vtkUnstructuredGrid = obj.GetUnstructuredGridOutput ()| -  Get the output as various concrete types. This method is typically used
// when you know exactly what type of data is being read.  Otherwise, use
// the general GetOutput() method. If the wrong type is used NULL is
// returned.  (You must also set the filename of the object prior to
// getting the output.)
//// \item @|int = obj.ReadOutputType ()| -  This method can be used to find out the type of output expected without
// needing to read the whole file.
////\end{itemize}
//!
