#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGenericDataObjectWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGenericDataObjectWriter.h"

//@@Signature
//sfunction @vtkGenericDataObjectWriter:vtkGenericDataObjectWriter vtkGenericDataObjectWriterConstructorFunction
//input a
//output p
//@@Parents vtkGenericDataObjectWriter vtkDataWriter 
ArrayVector vtkGenericDataObjectWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGenericDataObjectWriter::New(),"vtkGenericDataObjectWriter",eval);
  } else if (arg[0].className() == "vtkGenericDataObjectWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGenericDataObjectWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGenericDataObjectWriter");
    vtkGenericDataObjectWriter*q = reinterpret_cast<vtkGenericDataObjectWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGenericDataObjectWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGenericDataObjectWriter:GetClassName vtkGenericDataObjectWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGenericDataObjectWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGenericDataObjectWriter requires 1 argument(s)");
  vtkGenericDataObjectWriter* vtk_pointer = GetVTKPointer<vtkGenericDataObjectWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataObjectWriter:IsA vtkGenericDataObjectWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGenericDataObjectWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGenericDataObjectWriter requires 2 argument(s)");
  vtkGenericDataObjectWriter* vtk_pointer = GetVTKPointer<vtkGenericDataObjectWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataObjectWriter:NewInstance vtkGenericDataObjectWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGenericDataObjectWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericDataObjectWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGenericDataObjectWriter requires 1 argument(s)");
  vtkGenericDataObjectWriter* vtk_pointer = GetVTKPointer<vtkGenericDataObjectWriter>(arg[0]);
  Array retval;
  vtkGenericDataObjectWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericDataObjectWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataObjectWriter:SafeDownCast vtkGenericDataObjectWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGenericDataObjectWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericDataObjectWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGenericDataObjectWriter requires 2 argument(s)");
  vtkGenericDataObjectWriter* vtk_pointer = GetVTKPointer<vtkGenericDataObjectWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGenericDataObjectWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericDataObjectWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericDataObjectWriter:display vtkGenericDataObjectWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGenericDataObjectWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGenericDataObjectWriter* vtk_pointer = GetVTKPointer<vtkGenericDataObjectWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGenericDataObjectWriter:delete vtkGenericDataObjectWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkGenericDataObjectWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGenericDataObjectWriter
//@@Section VTKIO
//@@Usage
// vtkGenericDataObjectWriter is a concrete class that writes data objects
// to disk. The input to this object is any subclass of vtkDataObject.
//
//To create an instance of class vtkGenericDataObjectWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkGenericDataObjectWriter
//@]
//@@Methods
//The class vtkGenericDataObjectWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGenericDataObjectWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGenericDataObjectWriter = obj.NewInstance ()|
// \item @|vtkGenericDataObjectWriter = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
