#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGenericEnSightReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGenericEnSightReader.h"

//@@Signature
//sfunction @vtkGenericEnSightReader:vtkGenericEnSightReader vtkGenericEnSightReaderConstructorFunction
//input a
//output p
//@@Parents vtkGenericEnSightReader vtkMultiBlockDataSetAlgorithm 
ArrayVector vtkGenericEnSightReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGenericEnSightReader::New(),"vtkGenericEnSightReader",eval);
  } else if (arg[0].className() == "vtkGenericEnSightReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGenericEnSightReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGenericEnSightReader");
    vtkGenericEnSightReader*q = reinterpret_cast<vtkGenericEnSightReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGenericEnSightReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGenericEnSightReader:GetClassName vtkGenericEnSightReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGenericEnSightReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:IsA vtkGenericEnSightReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGenericEnSightReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGenericEnSightReader requires 2 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:NewInstance vtkGenericEnSightReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGenericEnSightReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericEnSightReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  vtkGenericEnSightReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericEnSightReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:SafeDownCast vtkGenericEnSightReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGenericEnSightReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericEnSightReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGenericEnSightReader requires 2 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGenericEnSightReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericEnSightReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:SetCaseFileName vtkGenericEnSightReaderSetCaseFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkGenericEnSightReaderSetCaseFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCaseFileName (const char *fileName); */
  if (arg.size() < 2) 
    throw Exception("Function SetCaseFileName for class vtkGenericEnSightReader requires 2 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetCaseFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetCaseFileName vtkGenericEnSightReaderGetCaseFileNameFunction
//input a0 
//output y
ArrayVector vtkGenericEnSightReaderGetCaseFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetCaseFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCaseFileName for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetCaseFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:SetFilePath vtkGenericEnSightReaderSetFilePathFunction
//input a0 a1 
//output none
ArrayVector vtkGenericEnSightReaderSetFilePathFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFilePath (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFilePath for class vtkGenericEnSightReader requires 2 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFilePath(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetFilePath vtkGenericEnSightReaderGetFilePathFunction
//input a0 
//output y
ArrayVector vtkGenericEnSightReaderGetFilePathFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFilePath (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFilePath for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFilePath();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetNumberOfVariables__1 vtkGenericEnSightReaderGetNumberOfVariables__1Function
//input a0 
//output y
ArrayVector vtkGenericEnSightReaderGetNumberOfVariables__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfVariables (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfVariables__1 for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfVariables();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetNumberOfComplexVariables vtkGenericEnSightReaderGetNumberOfComplexVariablesFunction
//input a0 
//output y
ArrayVector vtkGenericEnSightReaderGetNumberOfComplexVariablesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComplexVariables (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfComplexVariables for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfComplexVariables();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetNumberOfVariables__2 vtkGenericEnSightReaderGetNumberOfVariables__2Function
//input a0 a1 
//output y
ArrayVector vtkGenericEnSightReaderGetNumberOfVariables__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfVariables (int type); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfVariables__2 for class vtkGenericEnSightReader requires 2 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfVariables(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetNumberOfScalarsPerNode vtkGenericEnSightReaderGetNumberOfScalarsPerNodeFunction
//input a0 
//output y
ArrayVector vtkGenericEnSightReaderGetNumberOfScalarsPerNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfScalarsPerNode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfScalarsPerNode for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfScalarsPerNode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetNumberOfVectorsPerNode vtkGenericEnSightReaderGetNumberOfVectorsPerNodeFunction
//input a0 
//output y
ArrayVector vtkGenericEnSightReaderGetNumberOfVectorsPerNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfVectorsPerNode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfVectorsPerNode for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfVectorsPerNode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetNumberOfTensorsSymmPerNode vtkGenericEnSightReaderGetNumberOfTensorsSymmPerNodeFunction
//input a0 
//output y
ArrayVector vtkGenericEnSightReaderGetNumberOfTensorsSymmPerNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfTensorsSymmPerNode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTensorsSymmPerNode for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfTensorsSymmPerNode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetNumberOfScalarsPerElement vtkGenericEnSightReaderGetNumberOfScalarsPerElementFunction
//input a0 
//output y
ArrayVector vtkGenericEnSightReaderGetNumberOfScalarsPerElementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfScalarsPerElement (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfScalarsPerElement for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfScalarsPerElement();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetNumberOfVectorsPerElement vtkGenericEnSightReaderGetNumberOfVectorsPerElementFunction
//input a0 
//output y
ArrayVector vtkGenericEnSightReaderGetNumberOfVectorsPerElementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfVectorsPerElement (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfVectorsPerElement for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfVectorsPerElement();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetNumberOfTensorsSymmPerElement vtkGenericEnSightReaderGetNumberOfTensorsSymmPerElementFunction
//input a0 
//output y
ArrayVector vtkGenericEnSightReaderGetNumberOfTensorsSymmPerElementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfTensorsSymmPerElement (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTensorsSymmPerElement for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfTensorsSymmPerElement();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetNumberOfScalarsPerMeasuredNode vtkGenericEnSightReaderGetNumberOfScalarsPerMeasuredNodeFunction
//input a0 
//output y
ArrayVector vtkGenericEnSightReaderGetNumberOfScalarsPerMeasuredNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfScalarsPerMeasuredNode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfScalarsPerMeasuredNode for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfScalarsPerMeasuredNode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetNumberOfVectorsPerMeasuredNode vtkGenericEnSightReaderGetNumberOfVectorsPerMeasuredNodeFunction
//input a0 
//output y
ArrayVector vtkGenericEnSightReaderGetNumberOfVectorsPerMeasuredNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfVectorsPerMeasuredNode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfVectorsPerMeasuredNode for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfVectorsPerMeasuredNode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetNumberOfComplexScalarsPerNode vtkGenericEnSightReaderGetNumberOfComplexScalarsPerNodeFunction
//input a0 
//output y
ArrayVector vtkGenericEnSightReaderGetNumberOfComplexScalarsPerNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComplexScalarsPerNode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfComplexScalarsPerNode for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfComplexScalarsPerNode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetNumberOfComplexVectorsPerNode vtkGenericEnSightReaderGetNumberOfComplexVectorsPerNodeFunction
//input a0 
//output y
ArrayVector vtkGenericEnSightReaderGetNumberOfComplexVectorsPerNodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComplexVectorsPerNode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfComplexVectorsPerNode for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfComplexVectorsPerNode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetNumberOfComplexScalarsPerElement vtkGenericEnSightReaderGetNumberOfComplexScalarsPerElementFunction
//input a0 
//output y
ArrayVector vtkGenericEnSightReaderGetNumberOfComplexScalarsPerElementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComplexScalarsPerElement (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfComplexScalarsPerElement for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfComplexScalarsPerElement();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetNumberOfComplexVectorsPerElement vtkGenericEnSightReaderGetNumberOfComplexVectorsPerElementFunction
//input a0 
//output y
ArrayVector vtkGenericEnSightReaderGetNumberOfComplexVectorsPerElementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComplexVectorsPerElement (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfComplexVectorsPerElement for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfComplexVectorsPerElement();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetDescription__1 vtkGenericEnSightReaderGetDescription__1Function
//input a0 a1 
//output y
ArrayVector vtkGenericEnSightReaderGetDescription__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetDescription (int n); */
  if (arg.size() < 2) 
    throw Exception("Function GetDescription__1 for class vtkGenericEnSightReader requires 2 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetDescription(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetComplexDescription vtkGenericEnSightReaderGetComplexDescriptionFunction
//input a0 a1 
//output y
ArrayVector vtkGenericEnSightReaderGetComplexDescriptionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetComplexDescription (int n); */
  if (arg.size() < 2) 
    throw Exception("Function GetComplexDescription for class vtkGenericEnSightReader requires 2 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetComplexDescription(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetDescription__2 vtkGenericEnSightReaderGetDescription__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkGenericEnSightReaderGetDescription__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetDescription (int n, int type); */
  if (arg.size() < 3) 
    throw Exception("Function GetDescription__2 for class vtkGenericEnSightReader requires 3 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetDescription(temp0,temp1);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetVariableType vtkGenericEnSightReaderGetVariableTypeFunction
//input a0 a1 
//output y
ArrayVector vtkGenericEnSightReaderGetVariableTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVariableType (int n); */
  if (arg.size() < 2) 
    throw Exception("Function GetVariableType for class vtkGenericEnSightReader requires 2 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetVariableType(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetComplexVariableType vtkGenericEnSightReaderGetComplexVariableTypeFunction
//input a0 a1 
//output y
ArrayVector vtkGenericEnSightReaderGetComplexVariableTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComplexVariableType (int n); */
  if (arg.size() < 2) 
    throw Exception("Function GetComplexVariableType for class vtkGenericEnSightReader requires 2 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetComplexVariableType(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:SetTimeValue vtkGenericEnSightReaderSetTimeValueFunction
//input a0 a1 
//output none
ArrayVector vtkGenericEnSightReaderSetTimeValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTimeValue (float value); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimeValue for class vtkGenericEnSightReader requires 2 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetTimeValue(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetTimeValue vtkGenericEnSightReaderGetTimeValueFunction
//input a0 
//output y
ArrayVector vtkGenericEnSightReaderGetTimeValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetTimeValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimeValue for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetTimeValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetMinimumTimeValue vtkGenericEnSightReaderGetMinimumTimeValueFunction
//input a0 
//output y
ArrayVector vtkGenericEnSightReaderGetMinimumTimeValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetMinimumTimeValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMinimumTimeValue for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetMinimumTimeValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetMaximumTimeValue vtkGenericEnSightReaderGetMaximumTimeValueFunction
//input a0 
//output y
ArrayVector vtkGenericEnSightReaderGetMaximumTimeValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetMaximumTimeValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaximumTimeValue for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetMaximumTimeValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetTimeSets vtkGenericEnSightReaderGetTimeSetsFunction
//input a0 
//output y
ArrayVector vtkGenericEnSightReaderGetTimeSetsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArrayCollection *GetTimeSets (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimeSets for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  vtkDataArrayCollection  *temp20;
  temp20 = (vtk_pointer)->GetTimeSets();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArrayCollection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:DetermineEnSightVersion vtkGenericEnSightReaderDetermineEnSightVersionFunction
//input a0 a1 
//output y
ArrayVector vtkGenericEnSightReaderDetermineEnSightVersionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int DetermineEnSightVersion (int quiet); */
  if (arg.size() < 2) 
    throw Exception("Function DetermineEnSightVersion for class vtkGenericEnSightReader requires 2 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->DetermineEnSightVersion(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:ReadAllVariablesOn vtkGenericEnSightReaderReadAllVariablesOnFunction
//input a0 
//output none
ArrayVector vtkGenericEnSightReaderReadAllVariablesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadAllVariablesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadAllVariablesOn for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadAllVariablesOn();
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:ReadAllVariablesOff vtkGenericEnSightReaderReadAllVariablesOffFunction
//input a0 
//output none
ArrayVector vtkGenericEnSightReaderReadAllVariablesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadAllVariablesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadAllVariablesOff for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadAllVariablesOff();
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:SetReadAllVariables vtkGenericEnSightReaderSetReadAllVariablesFunction
//input a0 a1 
//output none
ArrayVector vtkGenericEnSightReaderSetReadAllVariablesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReadAllVariables (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReadAllVariables for class vtkGenericEnSightReader requires 2 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReadAllVariables(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetReadAllVariables vtkGenericEnSightReaderGetReadAllVariablesFunction
//input a0 
//output y
ArrayVector vtkGenericEnSightReaderGetReadAllVariablesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReadAllVariables (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReadAllVariables for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReadAllVariables();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetPointDataArraySelection vtkGenericEnSightReaderGetPointDataArraySelectionFunction
//input a0 
//output y
ArrayVector vtkGenericEnSightReaderGetPointDataArraySelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArraySelection *GetPointDataArraySelection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointDataArraySelection for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  vtkDataArraySelection  *temp20;
  temp20 = (vtk_pointer)->GetPointDataArraySelection();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArraySelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetCellDataArraySelection vtkGenericEnSightReaderGetCellDataArraySelectionFunction
//input a0 
//output y
ArrayVector vtkGenericEnSightReaderGetCellDataArraySelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArraySelection *GetCellDataArraySelection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellDataArraySelection for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  vtkDataArraySelection  *temp20;
  temp20 = (vtk_pointer)->GetCellDataArraySelection();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArraySelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetNumberOfPointArrays vtkGenericEnSightReaderGetNumberOfPointArraysFunction
//input a0 
//output y
ArrayVector vtkGenericEnSightReaderGetNumberOfPointArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPointArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPointArrays for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPointArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetNumberOfCellArrays vtkGenericEnSightReaderGetNumberOfCellArraysFunction
//input a0 
//output y
ArrayVector vtkGenericEnSightReaderGetNumberOfCellArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfCellArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCellArrays for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfCellArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetPointArrayName vtkGenericEnSightReaderGetPointArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkGenericEnSightReaderGetPointArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetPointArrayName (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetPointArrayName for class vtkGenericEnSightReader requires 2 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPointArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetCellArrayName vtkGenericEnSightReaderGetCellArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkGenericEnSightReaderGetCellArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetCellArrayName (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellArrayName for class vtkGenericEnSightReader requires 2 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCellArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetPointArrayStatus vtkGenericEnSightReaderGetPointArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkGenericEnSightReaderGetPointArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointArrayStatus (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetPointArrayStatus for class vtkGenericEnSightReader requires 2 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetPointArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetCellArrayStatus vtkGenericEnSightReaderGetCellArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkGenericEnSightReaderGetCellArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellArrayStatus (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellArrayStatus for class vtkGenericEnSightReader requires 2 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetCellArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:SetPointArrayStatus vtkGenericEnSightReaderSetPointArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkGenericEnSightReaderSetPointArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointArrayStatus (const char *name, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetPointArrayStatus for class vtkGenericEnSightReader requires 3 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetPointArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:SetCellArrayStatus vtkGenericEnSightReaderSetCellArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkGenericEnSightReaderSetCellArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellArrayStatus (const char *name, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetCellArrayStatus for class vtkGenericEnSightReader requires 3 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetCellArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:SetByteOrderToBigEndian vtkGenericEnSightReaderSetByteOrderToBigEndianFunction
//input a0 
//output none
ArrayVector vtkGenericEnSightReaderSetByteOrderToBigEndianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetByteOrderToBigEndian (); */
  if (arg.size() < 1) 
    throw Exception("Function SetByteOrderToBigEndian for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  vtk_pointer->SetByteOrderToBigEndian();
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:SetByteOrderToLittleEndian vtkGenericEnSightReaderSetByteOrderToLittleEndianFunction
//input a0 
//output none
ArrayVector vtkGenericEnSightReaderSetByteOrderToLittleEndianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetByteOrderToLittleEndian (); */
  if (arg.size() < 1) 
    throw Exception("Function SetByteOrderToLittleEndian for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  vtk_pointer->SetByteOrderToLittleEndian();
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:SetByteOrder vtkGenericEnSightReaderSetByteOrderFunction
//input a0 a1 
//output none
ArrayVector vtkGenericEnSightReaderSetByteOrderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetByteOrder (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetByteOrder for class vtkGenericEnSightReader requires 2 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetByteOrder(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetByteOrder vtkGenericEnSightReaderGetByteOrderFunction
//input a0 
//output y
ArrayVector vtkGenericEnSightReaderGetByteOrderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetByteOrder (); */
  if (arg.size() < 1) 
    throw Exception("Function GetByteOrder for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetByteOrder();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetByteOrderAsString vtkGenericEnSightReaderGetByteOrderAsStringFunction
//input a0 
//output y
ArrayVector vtkGenericEnSightReaderGetByteOrderAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetByteOrderAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetByteOrderAsString for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetByteOrderAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetGeometryFileName vtkGenericEnSightReaderGetGeometryFileNameFunction
//input a0 
//output y
ArrayVector vtkGenericEnSightReaderGetGeometryFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetGeometryFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGeometryFileName for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetGeometryFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:SetParticleCoordinatesByIndex vtkGenericEnSightReaderSetParticleCoordinatesByIndexFunction
//input a0 a1 
//output none
ArrayVector vtkGenericEnSightReaderSetParticleCoordinatesByIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetParticleCoordinatesByIndex (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetParticleCoordinatesByIndex for class vtkGenericEnSightReader requires 2 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetParticleCoordinatesByIndex(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetParticleCoordinatesByIndex vtkGenericEnSightReaderGetParticleCoordinatesByIndexFunction
//input a0 
//output y
ArrayVector vtkGenericEnSightReaderGetParticleCoordinatesByIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetParticleCoordinatesByIndex (); */
  if (arg.size() < 1) 
    throw Exception("Function GetParticleCoordinatesByIndex for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetParticleCoordinatesByIndex();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:ParticleCoordinatesByIndexOn vtkGenericEnSightReaderParticleCoordinatesByIndexOnFunction
//input a0 
//output none
ArrayVector vtkGenericEnSightReaderParticleCoordinatesByIndexOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ParticleCoordinatesByIndexOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ParticleCoordinatesByIndexOn for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  vtk_pointer->ParticleCoordinatesByIndexOn();
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:ParticleCoordinatesByIndexOff vtkGenericEnSightReaderParticleCoordinatesByIndexOffFunction
//input a0 
//output none
ArrayVector vtkGenericEnSightReaderParticleCoordinatesByIndexOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ParticleCoordinatesByIndexOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ParticleCoordinatesByIndexOff for class vtkGenericEnSightReader requires 1 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  vtk_pointer->ParticleCoordinatesByIndexOff();
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:CanReadFile vtkGenericEnSightReaderCanReadFileFunction
//input a0 a1 
//output y
ArrayVector vtkGenericEnSightReaderCanReadFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int CanReadFile (const char *casefilename); */
  if (arg.size() < 2) 
    throw Exception("Function CanReadFile for class vtkGenericEnSightReader requires 2 argument(s)");
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CanReadFile(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetNumberOfVariables vtkGenericEnSightReaderGetNumberOfVariablesFunction
//input varargin
//output varargout
ArrayVector vtkGenericEnSightReaderGetNumberOfVariablesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkGenericEnSightReaderGetNumberOfVariables__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkGenericEnSightReaderGetNumberOfVariables__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGenericEnSightReaderGetNumberOfVariables");
}

//@@Signature
//sfunction @vtkGenericEnSightReader:GetDescription vtkGenericEnSightReaderGetDescriptionFunction
//input varargin
//output varargout
ArrayVector vtkGenericEnSightReaderGetDescriptionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkGenericEnSightReaderGetDescription__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkGenericEnSightReaderGetDescription__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGenericEnSightReaderGetDescription");
}

//@@Signature
//sfunction @vtkGenericEnSightReader:display vtkGenericEnSightReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGenericEnSightReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGenericEnSightReader* vtk_pointer = GetVTKPointer<vtkGenericEnSightReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGenericEnSightReader:delete vtkGenericEnSightReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkGenericEnSightReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGenericEnSightReader
//@@Section VTKIO
//@@Usage
// The class vtkGenericEnSightReader allows the user to read an EnSight data
// set without a priori knowledge of what type of EnSight data set it is.
//
//To create an instance of class vtkGenericEnSightReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkGenericEnSightReader
//@]
//@@Methods
//The class vtkGenericEnSightReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGenericEnSightReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGenericEnSightReader = obj.NewInstance ()|
// \item @|vtkGenericEnSightReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCaseFileName (string fileName)| -  Set/Get the Case file name.
//// \item @|string = obj.GetCaseFileName ()| -  Set/Get the Case file name.
//// \item @|obj.SetFilePath (string )| -  Set/Get the file path.
//// \item @|string = obj.GetFilePath ()| -  Set/Get the file path.
//// \item @|int = obj.GetNumberOfVariables ()| -  Get the number of variables listed in the case file.
//// \item @|int = obj.GetNumberOfComplexVariables ()| -  Get the number of variables listed in the case file.
//// \item @|int = obj.GetNumberOfVariables (int type)| -  Get the number of variables of a particular type.
//// \item @|int = obj.GetNumberOfScalarsPerNode ()| -  Get the number of variables of a particular type.
//// \item @|int = obj.GetNumberOfVectorsPerNode ()| -  Get the number of variables of a particular type.
//// \item @|int = obj.GetNumberOfTensorsSymmPerNode ()| -  Get the number of variables of a particular type.
//// \item @|int = obj.GetNumberOfScalarsPerElement ()| -  Get the number of variables of a particular type.
//// \item @|int = obj.GetNumberOfVectorsPerElement ()| -  Get the number of variables of a particular type.
//// \item @|int = obj.GetNumberOfTensorsSymmPerElement ()| -  Get the number of variables of a particular type.
//// \item @|int = obj.GetNumberOfScalarsPerMeasuredNode ()| -  Get the number of variables of a particular type.
//// \item @|int = obj.GetNumberOfVectorsPerMeasuredNode ()| -  Get the number of variables of a particular type.
//// \item @|int = obj.GetNumberOfComplexScalarsPerNode ()| -  Get the number of variables of a particular type.
//// \item @|int = obj.GetNumberOfComplexVectorsPerNode ()| -  Get the number of variables of a particular type.
//// \item @|int = obj.GetNumberOfComplexScalarsPerElement ()| -  Get the number of variables of a particular type.
//// \item @|int = obj.GetNumberOfComplexVectorsPerElement ()| -  Get the number of variables of a particular type.
//// \item @|string = obj.GetDescription (int n)| -  Get the nth description for a non-complex variable.
//// \item @|string = obj.GetComplexDescription (int n)| -  Get the nth description for a complex variable.
//// \item @|string = obj.GetDescription (int n, int type)| -  Get the nth description of a particular variable type.  Returns NULL if no
// variable of this type exists in this data set.
// SCALAR_PER_NODE = 0; VECTOR_PER_NODE = 1;
// TENSOR_SYMM_PER_NODE = 2; SCALAR_PER_ELEMENT = 3;
// VECTOR_PER_ELEMENT = 4; TENSOR_SYMM_PER_ELEMENT = 5;
// SCALAR_PER_MEASURED_NODE = 6; VECTOR_PER_MEASURED_NODE = 7;
// COMPLEX_SCALAR_PER_NODE = 8; COMPLEX_VECTOR_PER_NODE 9;
// COMPLEX_SCALAR_PER_ELEMENT  = 10; COMPLEX_VECTOR_PER_ELEMENT = 11
//// \item @|int = obj.GetVariableType (int n)| -  Get the variable type of variable n.
//// \item @|int = obj.GetComplexVariableType (int n)| -  Get the variable type of variable n.
//// \item @|obj.SetTimeValue (float value)| -  Set/Get the time value at which to get the value.
//// \item @|float = obj.GetTimeValue ()| -  Set/Get the time value at which to get the value.
//// \item @|float = obj.GetMinimumTimeValue ()| -  Get the minimum or maximum time value for this data set.
//// \item @|float = obj.GetMaximumTimeValue ()| -  Get the minimum or maximum time value for this data set.
//// \item @|vtkDataArrayCollection = obj.GetTimeSets ()| -  Get the time values per time set
//// \item @|int = obj.DetermineEnSightVersion (int quiet)| -  Reads the FORMAT part of the case file to determine whether this is an
// EnSight6 or EnSightGold data set.  Returns an identifier listed in
// the FileTypes enum or -1 if an error occurred or the file could not
// be indentified as any EnSight type.
//// \item @|obj.ReadAllVariablesOn ()| -  Set/get the flag for whether to read all the variables
//// \item @|obj.ReadAllVariablesOff ()| -  Set/get the flag for whether to read all the variables
//// \item @|obj.SetReadAllVariables (int )| -  Set/get the flag for whether to read all the variables
//// \item @|int = obj.GetReadAllVariables ()| -  Set/get the flag for whether to read all the variables
//// \item @|vtkDataArraySelection = obj.GetPointDataArraySelection ()| -  Get the data array selection tables used to configure which data
// arrays are loaded by the reader.
//// \item @|vtkDataArraySelection = obj.GetCellDataArraySelection ()| -  Get the data array selection tables used to configure which data
// arrays are loaded by the reader.
//// \item @|int = obj.GetNumberOfPointArrays ()| -  Get the number of point or cell arrays available in the input.
//// \item @|int = obj.GetNumberOfCellArrays ()| -  Get the number of point or cell arrays available in the input.
//// \item @|string = obj.GetPointArrayName (int index)| -  Get the name of the point or cell array with the given index in
// the input.
//// \item @|string = obj.GetCellArrayName (int index)| -  Get the name of the point or cell array with the given index in
// the input.
//// \item @|int = obj.GetPointArrayStatus (string name)| -  Get/Set whether the point or cell array with the given name is to
// be read.
//// \item @|int = obj.GetCellArrayStatus (string name)| -  Get/Set whether the point or cell array with the given name is to
// be read.
//// \item @|obj.SetPointArrayStatus (string name, int status)| -  Get/Set whether the point or cell array with the given name is to
// be read.
//// \item @|obj.SetCellArrayStatus (string name, int status)| -  Get/Set whether the point or cell array with the given name is to
// be read.
//// \item @|obj.SetByteOrderToBigEndian ()| -  Set the byte order of the file (remember, more Unix workstations
// write big endian whereas PCs write little endian). Default is
// big endian (since most older PLOT3D files were written by
// workstations).
//// \item @|obj.SetByteOrderToLittleEndian ()| -  Set the byte order of the file (remember, more Unix workstations
// write big endian whereas PCs write little endian). Default is
// big endian (since most older PLOT3D files were written by
// workstations).
//// \item @|obj.SetByteOrder (int )| -  Set the byte order of the file (remember, more Unix workstations
// write big endian whereas PCs write little endian). Default is
// big endian (since most older PLOT3D files were written by
// workstations).
//// \item @|int = obj.GetByteOrder ()| -  Set the byte order of the file (remember, more Unix workstations
// write big endian whereas PCs write little endian). Default is
// big endian (since most older PLOT3D files were written by
// workstations).
//// \item @|string = obj.GetByteOrderAsString ()| -  Set the byte order of the file (remember, more Unix workstations
// write big endian whereas PCs write little endian). Default is
// big endian (since most older PLOT3D files were written by
// workstations).
//// \item @|string = obj.GetGeometryFileName ()| -  Get the Geometry file name. Made public to allow access from 
// apps requiring detailed info about the Data contents
//// \item @|obj.SetParticleCoordinatesByIndex (int )| -  The MeasuredGeometryFile should list particle coordinates
// from 0->N-1.
// If a file is loaded where point Ids are listed from 1-N
// the Id to points reference will be wrong and the data
// will be generated incorrectly.
// Setting ParticleCoordinatesByIndex to true will force
// all Id's to increment from 0->N-1 (relative to their order
// in the file) and regardless of the actual Id of of the point.
// Warning, if the Points are listed in non sequential order
// then setting this flag will reorder them.
//// \item @|int = obj.GetParticleCoordinatesByIndex ()| -  The MeasuredGeometryFile should list particle coordinates
// from 0->N-1.
// If a file is loaded where point Ids are listed from 1-N
// the Id to points reference will be wrong and the data
// will be generated incorrectly.
// Setting ParticleCoordinatesByIndex to true will force
// all Id's to increment from 0->N-1 (relative to their order
// in the file) and regardless of the actual Id of of the point.
// Warning, if the Points are listed in non sequential order
// then setting this flag will reorder them.
//// \item @|obj.ParticleCoordinatesByIndexOn ()| -  The MeasuredGeometryFile should list particle coordinates
// from 0->N-1.
// If a file is loaded where point Ids are listed from 1-N
// the Id to points reference will be wrong and the data
// will be generated incorrectly.
// Setting ParticleCoordinatesByIndex to true will force
// all Id's to increment from 0->N-1 (relative to their order
// in the file) and regardless of the actual Id of of the point.
// Warning, if the Points are listed in non sequential order
// then setting this flag will reorder them.
//// \item @|obj.ParticleCoordinatesByIndexOff ()| -  The MeasuredGeometryFile should list particle coordinates
// from 0->N-1.
// If a file is loaded where point Ids are listed from 1-N
// the Id to points reference will be wrong and the data
// will be generated incorrectly.
// Setting ParticleCoordinatesByIndex to true will force
// all Id's to increment from 0->N-1 (relative to their order
// in the file) and regardless of the actual Id of of the point.
// Warning, if the Points are listed in non sequential order
// then setting this flag will reorder them.
////\end{itemize}
//!
