#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGenericMovieWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGenericMovieWriter.h"

//@@Signature
//sfunction @vtkGenericMovieWriter:vtkGenericMovieWriter vtkGenericMovieWriterConstructorFunction
//input a
//output p
//@@Parents vtkGenericMovieWriter vtkProcessObject 
ArrayVector vtkGenericMovieWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGenericMovieWriter::New(),"vtkGenericMovieWriter",eval);
  } else if (arg[0].className() == "vtkGenericMovieWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGenericMovieWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGenericMovieWriter");
    vtkGenericMovieWriter*q = reinterpret_cast<vtkGenericMovieWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGenericMovieWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGenericMovieWriter:GetClassName vtkGenericMovieWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGenericMovieWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGenericMovieWriter requires 1 argument(s)");
  vtkGenericMovieWriter* vtk_pointer = GetVTKPointer<vtkGenericMovieWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericMovieWriter:IsA vtkGenericMovieWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGenericMovieWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGenericMovieWriter requires 2 argument(s)");
  vtkGenericMovieWriter* vtk_pointer = GetVTKPointer<vtkGenericMovieWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericMovieWriter:NewInstance vtkGenericMovieWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGenericMovieWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericMovieWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGenericMovieWriter requires 1 argument(s)");
  vtkGenericMovieWriter* vtk_pointer = GetVTKPointer<vtkGenericMovieWriter>(arg[0]);
  Array retval;
  vtkGenericMovieWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericMovieWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericMovieWriter:SafeDownCast vtkGenericMovieWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGenericMovieWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGenericMovieWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGenericMovieWriter requires 2 argument(s)");
  vtkGenericMovieWriter* vtk_pointer = GetVTKPointer<vtkGenericMovieWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGenericMovieWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGenericMovieWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericMovieWriter:SetInput vtkGenericMovieWriterSetInputFunction
//input a0 a1 
//output none
ArrayVector vtkGenericMovieWriterSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetInput (vtkImageData *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput for class vtkGenericMovieWriter requires 2 argument(s)");
  vtkGenericMovieWriter* vtk_pointer = GetVTKPointer<vtkGenericMovieWriter>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericMovieWriter:GetInput vtkGenericMovieWriterGetInputFunction
//input a0 
//output y
ArrayVector vtkGenericMovieWriterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkImageData *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput for class vtkGenericMovieWriter requires 1 argument(s)");
  vtkGenericMovieWriter* vtk_pointer = GetVTKPointer<vtkGenericMovieWriter>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGenericMovieWriter:SetFileName vtkGenericMovieWriterSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkGenericMovieWriterSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkGenericMovieWriter requires 2 argument(s)");
  vtkGenericMovieWriter* vtk_pointer = GetVTKPointer<vtkGenericMovieWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGenericMovieWriter:GetFileName vtkGenericMovieWriterGetFileNameFunction
//input a0 
//output y
ArrayVector vtkGenericMovieWriterGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkGenericMovieWriter requires 1 argument(s)");
  vtkGenericMovieWriter* vtk_pointer = GetVTKPointer<vtkGenericMovieWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericMovieWriter:Start vtkGenericMovieWriterStartFunction
//input a0 
//output none
ArrayVector vtkGenericMovieWriterStartFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Start () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function Start for class vtkGenericMovieWriter requires 1 argument(s)");
  vtkGenericMovieWriter* vtk_pointer = GetVTKPointer<vtkGenericMovieWriter>(arg[0]);
  Array retval;
  vtk_pointer->Start();
  return retval;
}

//@@Signature
//sfunction @vtkGenericMovieWriter:Write vtkGenericMovieWriterWriteFunction
//input a0 
//output none
ArrayVector vtkGenericMovieWriterWriteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Write () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function Write for class vtkGenericMovieWriter requires 1 argument(s)");
  vtkGenericMovieWriter* vtk_pointer = GetVTKPointer<vtkGenericMovieWriter>(arg[0]);
  Array retval;
  vtk_pointer->Write();
  return retval;
}

//@@Signature
//sfunction @vtkGenericMovieWriter:End vtkGenericMovieWriterEndFunction
//input a0 
//output none
ArrayVector vtkGenericMovieWriterEndFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void End () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function End for class vtkGenericMovieWriter requires 1 argument(s)");
  vtkGenericMovieWriter* vtk_pointer = GetVTKPointer<vtkGenericMovieWriter>(arg[0]);
  Array retval;
  vtk_pointer->End();
  return retval;
}

//@@Signature
//sfunction @vtkGenericMovieWriter:GetError vtkGenericMovieWriterGetErrorFunction
//input a0 
//output y
ArrayVector vtkGenericMovieWriterGetErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetError (); */
  if (arg.size() < 1) 
    throw Exception("Function GetError for class vtkGenericMovieWriter requires 1 argument(s)");
  vtkGenericMovieWriter* vtk_pointer = GetVTKPointer<vtkGenericMovieWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetError();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericMovieWriter:GetStringFromErrorCode vtkGenericMovieWriterGetStringFromErrorCodeFunction
//input a0 a1 
//output y
ArrayVector vtkGenericMovieWriterGetStringFromErrorCodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetStringFromErrorCode (unsigned long event); */
  if (arg.size() < 2) 
    throw Exception("Function GetStringFromErrorCode for class vtkGenericMovieWriter requires 2 argument(s)");
  vtkGenericMovieWriter* vtk_pointer = GetVTKPointer<vtkGenericMovieWriter>(arg[0]);
  Array retval;
  unsigned long     temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned long) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetStringFromErrorCode(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGenericMovieWriter:display vtkGenericMovieWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGenericMovieWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGenericMovieWriter* vtk_pointer = GetVTKPointer<vtkGenericMovieWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGenericMovieWriter:delete vtkGenericMovieWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkGenericMovieWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGenericMovieWriter
//@@Section VTKIO
//@@Usage
// vtkGenericMovieWriter is the abstract base class for several movie
// writers. The input type is a vtkImageData. The Start() method will
// open and create the file, the Write() method will output a frame to
// the file (i.e. the contents of the vtkImageData), End() will finalize
// and close the file.
//
//To create an instance of class vtkGenericMovieWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkGenericMovieWriter
//@]
//@@Methods
//The class vtkGenericMovieWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGenericMovieWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGenericMovieWriter = obj.NewInstance ()|
// \item @|vtkGenericMovieWriter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetInput (vtkImageData input)| -  Set/Get the input object from the image pipeline.
//// \item @|vtkImageData = obj.GetInput ()| -  Set/Get the input object from the image pipeline.
//// \item @|obj.SetFileName (string )| -  Specify file name of avi file.
//// \item @|string = obj.GetFileName ()| -  Specify file name of avi file.
//// \item @|obj.Start ()| -  These methods start writing an Movie file, write a frame to the file
// and then end the writing process.
//// \item @|obj.Write ()| -  These methods start writing an Movie file, write a frame to the file
// and then end the writing process.
//// \item @|obj.End ()| -  These methods start writing an Movie file, write a frame to the file
// and then end the writing process.
//// \item @|int = obj.GetError ()| -  Was there an error on the last write performed?
////\end{itemize}
//!
