#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGraphReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGraphReader.h"

//@@Signature
//sfunction @vtkGraphReader:vtkGraphReader vtkGraphReaderConstructorFunction
//input a
//output p
//@@Parents vtkGraphReader vtkDataReader 
ArrayVector vtkGraphReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGraphReader::New(),"vtkGraphReader",eval);
  } else if (arg[0].className() == "vtkGraphReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGraphReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGraphReader");
    vtkGraphReader*q = reinterpret_cast<vtkGraphReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGraphReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGraphReader:GetClassName vtkGraphReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGraphReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGraphReader requires 1 argument(s)");
  vtkGraphReader* vtk_pointer = GetVTKPointer<vtkGraphReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphReader:IsA vtkGraphReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGraphReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGraphReader requires 2 argument(s)");
  vtkGraphReader* vtk_pointer = GetVTKPointer<vtkGraphReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphReader:NewInstance vtkGraphReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGraphReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGraphReader requires 1 argument(s)");
  vtkGraphReader* vtk_pointer = GetVTKPointer<vtkGraphReader>(arg[0]);
  Array retval;
  vtkGraphReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphReader:SafeDownCast vtkGraphReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGraphReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGraphReader requires 2 argument(s)");
  vtkGraphReader* vtk_pointer = GetVTKPointer<vtkGraphReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGraphReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphReader:GetOutput__1 vtkGraphReaderGetOutput__1Function
//input a0 
//output y
ArrayVector vtkGraphReaderGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraph *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkGraphReader requires 1 argument(s)");
  vtkGraphReader* vtk_pointer = GetVTKPointer<vtkGraphReader>(arg[0]);
  Array retval;
  vtkGraph  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphReader:GetOutput__2 vtkGraphReaderGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkGraphReaderGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraph *GetOutput (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkGraphReader requires 2 argument(s)");
  vtkGraphReader* vtk_pointer = GetVTKPointer<vtkGraphReader>(arg[0]);
  Array retval;
  int      temp0;
  vtkGraph  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphReader:SetOutput vtkGraphReaderSetOutputFunction
//input a0 a1 
//output none
ArrayVector vtkGraphReaderSetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutput (vtkGraph *output); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutput for class vtkGraphReader requires 2 argument(s)");
  vtkGraphReader* vtk_pointer = GetVTKPointer<vtkGraphReader>(arg[0]);
  Array retval;
  vtkGraph  *temp0;
  temp0 = GetVTKPointer<vtkGraph>(arg[1]);
  vtk_pointer->SetOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkGraphReader:GetOutput vtkGraphReaderGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkGraphReaderGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkGraphReaderGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkGraphReaderGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGraphReaderGetOutput");
}

//@@Signature
//sfunction @vtkGraphReader:display vtkGraphReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGraphReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGraphReader* vtk_pointer = GetVTKPointer<vtkGraphReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGraphReader:delete vtkGraphReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkGraphReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGraphReader
//@@Section VTKIO
//@@Usage
// vtkGraphReader is a source object that reads ASCII or binary 
// vtkGraph data files in vtk format. (see text for format details).
// The output of this reader is a single vtkGraph data object.
// The superclass of this class, vtkDataReader, provides many methods for
// controlling the reading of the data file, see vtkDataReader for more
// information.
//
//To create an instance of class vtkGraphReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkGraphReader
//@]
//@@Methods
//The class vtkGraphReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGraphReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGraphReader = obj.NewInstance ()|
// \item @|vtkGraphReader = obj.SafeDownCast (vtkObject o)|
// \item @|vtkGraph = obj.GetOutput ()| -  Get the output of this reader.
//// \item @|vtkGraph = obj.GetOutput (int idx)| -  Get the output of this reader.
//// \item @|obj.SetOutput (vtkGraph output)| -  Get the output of this reader.
////\end{itemize}
//!
