#include "VTKWrap.hpp"

// FreeMat wrapper for vtkGraphWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkGraphWriter.h"

//@@Signature
//sfunction @vtkGraphWriter:vtkGraphWriter vtkGraphWriterConstructorFunction
//input a
//output p
//@@Parents vtkGraphWriter vtkDataWriter 
ArrayVector vtkGraphWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkGraphWriter::New(),"vtkGraphWriter",eval);
  } else if (arg[0].className() == "vtkGraphWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkGraphWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkGraphWriter");
    vtkGraphWriter*q = reinterpret_cast<vtkGraphWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkGraphWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkGraphWriter:GetClassName vtkGraphWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkGraphWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkGraphWriter requires 1 argument(s)");
  vtkGraphWriter* vtk_pointer = GetVTKPointer<vtkGraphWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphWriter:IsA vtkGraphWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkGraphWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkGraphWriter requires 2 argument(s)");
  vtkGraphWriter* vtk_pointer = GetVTKPointer<vtkGraphWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkGraphWriter:NewInstance vtkGraphWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkGraphWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkGraphWriter requires 1 argument(s)");
  vtkGraphWriter* vtk_pointer = GetVTKPointer<vtkGraphWriter>(arg[0]);
  Array retval;
  vtkGraphWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphWriter:SafeDownCast vtkGraphWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkGraphWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraphWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkGraphWriter requires 2 argument(s)");
  vtkGraphWriter* vtk_pointer = GetVTKPointer<vtkGraphWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkGraphWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraphWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphWriter:GetInput__1 vtkGraphWriterGetInput__1Function
//input a0 
//output y
ArrayVector vtkGraphWriterGetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraph *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput__1 for class vtkGraphWriter requires 1 argument(s)");
  vtkGraphWriter* vtk_pointer = GetVTKPointer<vtkGraphWriter>(arg[0]);
  Array retval;
  vtkGraph  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphWriter:GetInput__2 vtkGraphWriterGetInput__2Function
//input a0 a1 
//output y
ArrayVector vtkGraphWriterGetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkGraph *GetInput (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetInput__2 for class vtkGraphWriter requires 2 argument(s)");
  vtkGraphWriter* vtk_pointer = GetVTKPointer<vtkGraphWriter>(arg[0]);
  Array retval;
  int      temp0;
  vtkGraph  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkGraphWriter:GetInput vtkGraphWriterGetInputFunction
//input varargin
//output varargout
ArrayVector vtkGraphWriterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkGraphWriterGetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkGraphWriterGetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkGraphWriterGetInput");
}

//@@Signature
//sfunction @vtkGraphWriter:display vtkGraphWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkGraphWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkGraphWriter* vtk_pointer = GetVTKPointer<vtkGraphWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkGraphWriter:delete vtkGraphWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkGraphWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkGraphWriter
//@@Section VTKIO
//@@Usage
// vtkGraphWriter is a sink object that writes ASCII or binary 
// vtkGraph data files in vtk format. See text for format details.
//
//To create an instance of class vtkGraphWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkGraphWriter
//@]
//@@Methods
//The class vtkGraphWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkGraphWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkGraphWriter = obj.NewInstance ()|
// \item @|vtkGraphWriter = obj.SafeDownCast (vtkObject o)|
// \item @|vtkGraph = obj.GetInput ()| -  Get the input to this writer.
//// \item @|vtkGraph = obj.GetInput (int port)| -  Get the input to this writer.
////\end{itemize}
//!
