#include "VTKWrap.hpp"

// FreeMat wrapper for vtkIVWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkIVWriter.h"

//@@Signature
//sfunction @vtkIVWriter:vtkIVWriter vtkIVWriterConstructorFunction
//input a
//output p
//@@Parents vtkIVWriter vtkPolyDataWriter 
ArrayVector vtkIVWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkIVWriter::New(),"vtkIVWriter",eval);
  } else if (arg[0].className() == "vtkIVWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkIVWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkIVWriter");
    vtkIVWriter*q = reinterpret_cast<vtkIVWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkIVWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkIVWriter:GetClassName vtkIVWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkIVWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkIVWriter requires 1 argument(s)");
  vtkIVWriter* vtk_pointer = GetVTKPointer<vtkIVWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIVWriter:IsA vtkIVWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkIVWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkIVWriter requires 2 argument(s)");
  vtkIVWriter* vtk_pointer = GetVTKPointer<vtkIVWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkIVWriter:NewInstance vtkIVWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkIVWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIVWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkIVWriter requires 1 argument(s)");
  vtkIVWriter* vtk_pointer = GetVTKPointer<vtkIVWriter>(arg[0]);
  Array retval;
  vtkIVWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIVWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIVWriter:SafeDownCast vtkIVWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkIVWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIVWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkIVWriter requires 2 argument(s)");
  vtkIVWriter* vtk_pointer = GetVTKPointer<vtkIVWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkIVWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIVWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkIVWriter:display vtkIVWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkIVWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkIVWriter* vtk_pointer = GetVTKPointer<vtkIVWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkIVWriter:delete vtkIVWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkIVWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkIVWriter
//@@Section VTKIO
//@@Usage
// vtkIVWriter is a concrete subclass of vtkWriter that writes OpenInventor 2.0
// files.
//
//
//To create an instance of class vtkIVWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkIVWriter
//@]
//@@Methods
//The class vtkIVWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkIVWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkIVWriter = obj.NewInstance ()|
// \item @|vtkIVWriter = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
