#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageReader.h"

//@@Signature
//sfunction @vtkImageReader:vtkImageReader vtkImageReaderConstructorFunction
//input a
//output p
//@@Parents vtkImageReader vtkImageReader2 
ArrayVector vtkImageReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageReader::New(),"vtkImageReader",eval);
  } else if (arg[0].className() == "vtkImageReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageReader");
    vtkImageReader*q = reinterpret_cast<vtkImageReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageReader:GetClassName vtkImageReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageReader requires 1 argument(s)");
  vtkImageReader* vtk_pointer = GetVTKPointer<vtkImageReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageReader:IsA vtkImageReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageReader requires 2 argument(s)");
  vtkImageReader* vtk_pointer = GetVTKPointer<vtkImageReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageReader:NewInstance vtkImageReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageReader requires 1 argument(s)");
  vtkImageReader* vtk_pointer = GetVTKPointer<vtkImageReader>(arg[0]);
  Array retval;
  vtkImageReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageReader:SafeDownCast vtkImageReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageReader requires 2 argument(s)");
  vtkImageReader* vtk_pointer = GetVTKPointer<vtkImageReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageReader:SetDataVOI__1 vtkImageReaderSetDataVOI__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkImageReaderSetDataVOI__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataVOI (int , int , int , int , int , int ); */
  if (arg.size() < 7) 
    throw Exception("Function SetDataVOI__1 for class vtkImageReader requires 7 argument(s)");
  vtkImageReader* vtk_pointer = GetVTKPointer<vtkImageReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetDataVOI(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkImageReader:SetDataVOI__2 vtkImageReaderSetDataVOI__2Function
//input a0 a1 
//output none
ArrayVector vtkImageReaderSetDataVOI__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataVOI (int  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataVOI__2 for class vtkImageReader requires 2 argument(s)");
  vtkImageReader* vtk_pointer = GetVTKPointer<vtkImageReader>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetDataVOI(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageReader:GetDataVOI vtkImageReaderGetDataVOIFunction
//input a0 
//output y
ArrayVector vtkImageReaderGetDataVOIFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetDataVOI (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataVOI for class vtkImageReader requires 1 argument(s)");
  vtkImageReader* vtk_pointer = GetVTKPointer<vtkImageReader>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetDataVOI();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkImageReader:GetDataMask vtkImageReaderGetDataMaskFunction
//input a0 
//output y
ArrayVector vtkImageReaderGetDataMaskFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTypeUInt64 GetDataMask (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataMask for class vtkImageReader requires 1 argument(s)");
  vtkImageReader* vtk_pointer = GetVTKPointer<vtkImageReader>(arg[0]);
  Array retval;
  unsigned long long   temp20;
  temp20 = (vtk_pointer)->GetDataMask();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageReader:SetDataMask vtkImageReaderSetDataMaskFunction
//input a0 a1 
//output none
ArrayVector vtkImageReaderSetDataMaskFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataMask (vtkTypeUInt64 ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataMask for class vtkImageReader requires 2 argument(s)");
  vtkImageReader* vtk_pointer = GetVTKPointer<vtkImageReader>(arg[0]);
  Array retval;
  unsigned long long   temp0;
  vtk_pointer->SetDataMask(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageReader:SetTransform vtkImageReaderSetTransformFunction
//input a0 a1 
//output none
ArrayVector vtkImageReaderSetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetTransform (vtkTransform *); */
  if (arg.size() < 2) 
    throw Exception("Function SetTransform for class vtkImageReader requires 2 argument(s)");
  vtkImageReader* vtk_pointer = GetVTKPointer<vtkImageReader>(arg[0]);
  Array retval;
  vtkTransform  *temp0;
  temp0 = GetVTKPointer<vtkTransform>(arg[1]);
  vtk_pointer->SetTransform(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageReader:GetTransform vtkImageReaderGetTransformFunction
//input a0 
//output y
ArrayVector vtkImageReaderGetTransformFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTransform *GetTransform (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTransform for class vtkImageReader requires 1 argument(s)");
  vtkImageReader* vtk_pointer = GetVTKPointer<vtkImageReader>(arg[0]);
  Array retval;
  vtkTransform  *temp20;
  temp20 = (vtk_pointer)->GetTransform();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTransform",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageReader:ComputeInverseTransformedExtent vtkImageReaderComputeInverseTransformedExtentFunction
//input a0 a1 a2 
//output none
ArrayVector vtkImageReaderComputeInverseTransformedExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ComputeInverseTransformedExtent (int inExtent[6], int outExtent[6]); */
  if (arg.size() < 3) 
    throw Exception("Function ComputeInverseTransformedExtent for class vtkImageReader requires 3 argument(s)");
  vtkImageReader* vtk_pointer = GetVTKPointer<vtkImageReader>(arg[0]);
  Array retval;
  int    temp0[6];
  int    temp1[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  if ( !(arg[7].isVector() && arg[7].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[7].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp1[k] = (int)data[k+1];
  }
  vtk_pointer->ComputeInverseTransformedExtent(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkImageReader:OpenAndSeekFile vtkImageReaderOpenAndSeekFileFunction
//input a0 a1 a2 
//output y
ArrayVector vtkImageReaderOpenAndSeekFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int OpenAndSeekFile (int extent[6], int slice); */
  if (arg.size() < 3) 
    throw Exception("Function OpenAndSeekFile for class vtkImageReader requires 3 argument(s)");
  vtkImageReader* vtk_pointer = GetVTKPointer<vtkImageReader>(arg[0]);
  Array retval;
  int    temp0[6];
  int      temp1;
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  if ( !arg[7].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[7].asDouble();
  temp20 = (vtk_pointer)->OpenAndSeekFile(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageReader:SetScalarArrayName vtkImageReaderSetScalarArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkImageReaderSetScalarArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarArrayName for class vtkImageReader requires 2 argument(s)");
  vtkImageReader* vtk_pointer = GetVTKPointer<vtkImageReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetScalarArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageReader:GetScalarArrayName vtkImageReaderGetScalarArrayNameFunction
//input a0 
//output y
ArrayVector vtkImageReaderGetScalarArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetScalarArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarArrayName for class vtkImageReader requires 1 argument(s)");
  vtkImageReader* vtk_pointer = GetVTKPointer<vtkImageReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetScalarArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageReader:SetDataVOI vtkImageReaderSetDataVOIFunction
//input varargin
//output varargout
ArrayVector vtkImageReaderSetDataVOIFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkImageReaderSetDataVOI__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkImageReaderSetDataVOI__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkImageReaderSetDataVOI");
}

//@@Signature
//sfunction @vtkImageReader:display vtkImageReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageReader* vtk_pointer = GetVTKPointer<vtkImageReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageReader:delete vtkImageReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkImageReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageReader
//@@Section VTKIO
//@@Usage
// vtkImageReader provides methods needed to read a region from a file.
// It supports both transforms and masks on the input data, but as a result
// is more complicated and slower than its parent class vtkImageReader2.
//
//To create an instance of class vtkImageReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageReader
//@]
//@@Methods
//The class vtkImageReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageReader = obj.NewInstance ()|
// \item @|vtkImageReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetDataVOI (int , int , int , int , int , int )| -  Set/get the data VOI. You can limit the reader to only
// read a subset of the data. 
//// \item @|obj.SetDataVOI (int  a[6])| -  Set/get the data VOI. You can limit the reader to only
// read a subset of the data. 
//// \item @|int = obj. GetDataVOI ()| -  Set/get the data VOI. You can limit the reader to only
// read a subset of the data. 
//// \item @|vtkTypeUInt64 = obj.GetDataMask ()| -  Set/Get the Data mask.  The data mask is a simply integer whose bits are
// treated as a mask to the bits read from disk.  That is, the data mask is
// bitwise-and'ed to the numbers read from disk.  This ivar is stored as 64
// bits, the largest mask you will need.  The mask will be truncated to the
// data size required to be read (using the least significant bits).
//// \item @|obj.SetDataMask (vtkTypeUInt64 )| -  Set/Get the Data mask.  The data mask is a simply integer whose bits are
// treated as a mask to the bits read from disk.  That is, the data mask is
// bitwise-and'ed to the numbers read from disk.  This ivar is stored as 64
// bits, the largest mask you will need.  The mask will be truncated to the
// data size required to be read (using the least significant bits).
//// \item @|obj.SetTransform (vtkTransform )| -  Set/Get transformation matrix to transform the data from slice space
// into world space. This matrix must be a permutation matrix. To qualify,
// the sums of the rows must be + or - 1.
//// \item @|vtkTransform = obj.GetTransform ()| -  Set/Get transformation matrix to transform the data from slice space
// into world space. This matrix must be a permutation matrix. To qualify,
// the sums of the rows must be + or - 1.
//// \item @|obj.ComputeInverseTransformedExtent (int inExtent[6], int outExtent[6])|
// \item @|int = obj.OpenAndSeekFile (int extent[6], int slice)|
// \item @|obj.SetScalarArrayName (string )| -  Set/get the scalar array name for this data set.
//// \item @|string = obj.GetScalarArrayName ()| -  Set/get the scalar array name for this data set.
////\end{itemize}
//!
