#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageReader2Factory object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageReader2Factory.h"

//@@Signature
//sfunction @vtkImageReader2Factory:vtkImageReader2Factory vtkImageReader2FactoryConstructorFunction
//input a
//output p
//@@Parents vtkImageReader2Factory vtkObject 
ArrayVector vtkImageReader2FactoryConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageReader2Factory::New(),"vtkImageReader2Factory",eval);
  } else if (arg[0].className() == "vtkImageReader2Factory") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageReader2Factory"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageReader2Factory");
    vtkImageReader2Factory*q = reinterpret_cast<vtkImageReader2Factory*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageReader2Factory");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageReader2Factory:GetClassName vtkImageReader2FactoryGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageReader2FactoryGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageReader2Factory requires 1 argument(s)");
  vtkImageReader2Factory* vtk_pointer = GetVTKPointer<vtkImageReader2Factory>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageReader2Factory:IsA vtkImageReader2FactoryIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageReader2FactoryIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageReader2Factory requires 2 argument(s)");
  vtkImageReader2Factory* vtk_pointer = GetVTKPointer<vtkImageReader2Factory>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageReader2Factory:NewInstance vtkImageReader2FactoryNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageReader2FactoryNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageReader2Factory *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageReader2Factory requires 1 argument(s)");
  vtkImageReader2Factory* vtk_pointer = GetVTKPointer<vtkImageReader2Factory>(arg[0]);
  Array retval;
  vtkImageReader2Factory  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageReader2Factory",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageReader2Factory:SafeDownCast vtkImageReader2FactorySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageReader2FactorySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageReader2Factory *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageReader2Factory requires 2 argument(s)");
  vtkImageReader2Factory* vtk_pointer = GetVTKPointer<vtkImageReader2Factory>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageReader2Factory  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageReader2Factory",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageReader2Factory:RegisterReader vtkImageReader2FactoryRegisterReaderFunction
//input a0 a1 
//output none
ArrayVector vtkImageReader2FactoryRegisterReaderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void RegisterReader (vtkImageReader2 *r); */
  if (arg.size() < 2) 
    throw Exception("Function RegisterReader for class vtkImageReader2Factory requires 2 argument(s)");
  vtkImageReader2Factory* vtk_pointer = GetVTKPointer<vtkImageReader2Factory>(arg[0]);
  Array retval;
  vtkImageReader2  *temp0;
  temp0 = GetVTKPointer<vtkImageReader2>(arg[1]);
  vtk_pointer->RegisterReader(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageReader2Factory:CreateImageReader2 vtkImageReader2FactoryCreateImageReader2Function
//input a0 a1 
//output y
ArrayVector vtkImageReader2FactoryCreateImageReader2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkImageReader2 *CreateImageReader2 (const char *path); */
  if (arg.size() < 2) 
    throw Exception("Function CreateImageReader2 for class vtkImageReader2Factory requires 2 argument(s)");
  vtkImageReader2Factory* vtk_pointer = GetVTKPointer<vtkImageReader2Factory>(arg[0]);
  Array retval;
  char    *temp0;
  vtkImageReader2  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CreateImageReader2(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageReader2",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageReader2Factory:GetRegisteredReaders vtkImageReader2FactoryGetRegisteredReadersFunction
//input a0 a1 
//output none
ArrayVector vtkImageReader2FactoryGetRegisteredReadersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void GetRegisteredReaders (vtkImageReader2Collection *); */
  if (arg.size() < 2) 
    throw Exception("Function GetRegisteredReaders for class vtkImageReader2Factory requires 2 argument(s)");
  vtkImageReader2Factory* vtk_pointer = GetVTKPointer<vtkImageReader2Factory>(arg[0]);
  Array retval;
  vtkImageReader2Collection  *temp0;
  temp0 = GetVTKPointer<vtkImageReader2Collection>(arg[1]);
  vtk_pointer->GetRegisteredReaders(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageReader2Factory:display vtkImageReader2FactoryDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageReader2FactoryDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageReader2Factory* vtk_pointer = GetVTKPointer<vtkImageReader2Factory>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageReader2Factory:delete vtkImageReader2FactoryDeleteFunction
//input varargin
//output none
ArrayVector vtkImageReader2FactoryDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageReader2Factory
//@@Section VTKIO
//@@Usage
// vtkImageReader2Factory: This class is used to create a vtkImageReader2
// object given a path name to a file.  It calls CanReadFile on all
// available readers until one of them returns true.  The available reader
// list comes from three places.  In the InitializeReaders function of this
// class, built-in VTK classes are added to the list, users can call
// RegisterReader, or users can create a vtkObjectFactory that has
// CreateObject method that returns a new vtkImageReader2 sub class when
// given the string "vtkImageReaderObject".  This way applications can be
// extended with new readers via a plugin dll or by calling RegisterReader.
// Of course all of the readers that are part of the vtk release are made
// automatically available.
//
//
//To create an instance of class vtkImageReader2Factory, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageReader2Factory
//@]
//@@Methods
//The class vtkImageReader2Factory has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageReader2Factory class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageReader2Factory = obj.NewInstance ()|
// \item @|vtkImageReader2Factory = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
