#include "VTKWrap.hpp"

// FreeMat wrapper for vtkImageWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkImageWriter.h"

//@@Signature
//sfunction @vtkImageWriter:vtkImageWriter vtkImageWriterConstructorFunction
//input a
//output p
//@@Parents vtkImageWriter vtkImageAlgorithm 
ArrayVector vtkImageWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkImageWriter::New(),"vtkImageWriter",eval);
  } else if (arg[0].className() == "vtkImageWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkImageWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkImageWriter");
    vtkImageWriter*q = reinterpret_cast<vtkImageWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkImageWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkImageWriter:GetClassName vtkImageWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkImageWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkImageWriter requires 1 argument(s)");
  vtkImageWriter* vtk_pointer = GetVTKPointer<vtkImageWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageWriter:IsA vtkImageWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkImageWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkImageWriter requires 2 argument(s)");
  vtkImageWriter* vtk_pointer = GetVTKPointer<vtkImageWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageWriter:NewInstance vtkImageWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkImageWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkImageWriter requires 1 argument(s)");
  vtkImageWriter* vtk_pointer = GetVTKPointer<vtkImageWriter>(arg[0]);
  Array retval;
  vtkImageWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageWriter:SafeDownCast vtkImageWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkImageWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkImageWriter requires 2 argument(s)");
  vtkImageWriter* vtk_pointer = GetVTKPointer<vtkImageWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkImageWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkImageWriter:SetFileName vtkImageWriterSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkImageWriterSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkImageWriter requires 2 argument(s)");
  vtkImageWriter* vtk_pointer = GetVTKPointer<vtkImageWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageWriter:GetFileName vtkImageWriterGetFileNameFunction
//input a0 
//output y
ArrayVector vtkImageWriterGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkImageWriter requires 1 argument(s)");
  vtkImageWriter* vtk_pointer = GetVTKPointer<vtkImageWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageWriter:SetFilePrefix vtkImageWriterSetFilePrefixFunction
//input a0 a1 
//output none
ArrayVector vtkImageWriterSetFilePrefixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFilePrefix (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFilePrefix for class vtkImageWriter requires 2 argument(s)");
  vtkImageWriter* vtk_pointer = GetVTKPointer<vtkImageWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFilePrefix(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageWriter:GetFilePrefix vtkImageWriterGetFilePrefixFunction
//input a0 
//output y
ArrayVector vtkImageWriterGetFilePrefixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFilePrefix (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFilePrefix for class vtkImageWriter requires 1 argument(s)");
  vtkImageWriter* vtk_pointer = GetVTKPointer<vtkImageWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFilePrefix();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageWriter:SetFilePattern vtkImageWriterSetFilePatternFunction
//input a0 a1 
//output none
ArrayVector vtkImageWriterSetFilePatternFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFilePattern (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFilePattern for class vtkImageWriter requires 2 argument(s)");
  vtkImageWriter* vtk_pointer = GetVTKPointer<vtkImageWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFilePattern(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageWriter:GetFilePattern vtkImageWriterGetFilePatternFunction
//input a0 
//output y
ArrayVector vtkImageWriterGetFilePatternFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFilePattern (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFilePattern for class vtkImageWriter requires 1 argument(s)");
  vtkImageWriter* vtk_pointer = GetVTKPointer<vtkImageWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFilePattern();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageWriter:SetFileDimensionality vtkImageWriterSetFileDimensionalityFunction
//input a0 a1 
//output none
ArrayVector vtkImageWriterSetFileDimensionalityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileDimensionality (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileDimensionality for class vtkImageWriter requires 2 argument(s)");
  vtkImageWriter* vtk_pointer = GetVTKPointer<vtkImageWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFileDimensionality(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkImageWriter:GetFileDimensionality vtkImageWriterGetFileDimensionalityFunction
//input a0 
//output y
ArrayVector vtkImageWriterGetFileDimensionalityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFileDimensionality (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileDimensionality for class vtkImageWriter requires 1 argument(s)");
  vtkImageWriter* vtk_pointer = GetVTKPointer<vtkImageWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFileDimensionality();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkImageWriter:Write vtkImageWriterWriteFunction
//input a0 
//output none
ArrayVector vtkImageWriterWriteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Write (); */
  if (arg.size() < 1) 
    throw Exception("Function Write for class vtkImageWriter requires 1 argument(s)");
  vtkImageWriter* vtk_pointer = GetVTKPointer<vtkImageWriter>(arg[0]);
  Array retval;
  vtk_pointer->Write();
  return retval;
}

//@@Signature
//sfunction @vtkImageWriter:DeleteFiles vtkImageWriterDeleteFilesFunction
//input a0 
//output none
ArrayVector vtkImageWriterDeleteFilesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DeleteFiles (); */
  if (arg.size() < 1) 
    throw Exception("Function DeleteFiles for class vtkImageWriter requires 1 argument(s)");
  vtkImageWriter* vtk_pointer = GetVTKPointer<vtkImageWriter>(arg[0]);
  Array retval;
  vtk_pointer->DeleteFiles();
  return retval;
}

//@@Signature
//sfunction @vtkImageWriter:RecursiveWrite vtkImageWriterRecursiveWriteFunction
//input varargin
//output varargout
ArrayVector vtkImageWriterRecursiveWriteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkImageWriterRecursiveWrite");
}

//@@Signature
//sfunction @vtkImageWriter:display vtkImageWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkImageWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkImageWriter* vtk_pointer = GetVTKPointer<vtkImageWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkImageWriter:delete vtkImageWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkImageWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkImageWriter
//@@Section VTKIO
//@@Usage
// vtkImageWriter writes images to files with any data type. The data type of
// the file is the same scalar type as the input.  The dimensionality
// determines whether the data will be written in one or multiple files.
// This class is used as the superclass of most image writing classes 
// such as vtkBMPWriter etc. It supports streaming.
//
//To create an instance of class vtkImageWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkImageWriter
//@]
//@@Methods
//The class vtkImageWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkImageWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkImageWriter = obj.NewInstance ()|
// \item @|vtkImageWriter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string )| -  Specify file name for the image file. You should specify either
// a FileName or a FilePrefix. Use FilePrefix if the data is stored 
// in multiple files.
//// \item @|string = obj.GetFileName ()| -  Specify file name for the image file. You should specify either
// a FileName or a FilePrefix. Use FilePrefix if the data is stored 
// in multiple files.
//// \item @|obj.SetFilePrefix (string )| -  Specify file prefix for the image file(s).You should specify either
// a FileName or FilePrefix. Use FilePrefix if the data is stored
// in multiple files.
//// \item @|string = obj.GetFilePrefix ()| -  Specify file prefix for the image file(s).You should specify either
// a FileName or FilePrefix. Use FilePrefix if the data is stored
// in multiple files.
//// \item @|obj.SetFilePattern (string )| -  The sprintf format used to build filename from FilePrefix and number.
//// \item @|string = obj.GetFilePattern ()| -  The sprintf format used to build filename from FilePrefix and number.
//// \item @|obj.SetFileDimensionality (int )| -  What dimension are the files to be written. Usually this is 2, or 3.
// If it is 2 and the input is a volume then the volume will be 
// written as a series of 2d slices.
//// \item @|int = obj.GetFileDimensionality ()| -  What dimension are the files to be written. Usually this is 2, or 3.
// If it is 2 and the input is a volume then the volume will be 
// written as a series of 2d slices.
//// \item @|obj.Write ()| -  The main interface which triggers the writer to start.
//// \item @|obj.DeleteFiles ()|
//\end{itemize}
//!
