#include "VTKWrap.hpp"

// FreeMat wrapper for vtkInputStream object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkInputStream.h"

//@@Signature
//sfunction @vtkInputStream:vtkInputStream vtkInputStreamConstructorFunction
//input a
//output p
//@@Parents vtkInputStream vtkObject 
ArrayVector vtkInputStreamConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkInputStream::New(),"vtkInputStream",eval);
  } else if (arg[0].className() == "vtkInputStream") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkInputStream"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkInputStream");
    vtkInputStream*q = reinterpret_cast<vtkInputStream*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkInputStream");
    return ret;
  }
}
//@@Signature
//sfunction @vtkInputStream:GetClassName vtkInputStreamGetClassNameFunction
//input a0 
//output y
ArrayVector vtkInputStreamGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkInputStream requires 1 argument(s)");
  vtkInputStream* vtk_pointer = GetVTKPointer<vtkInputStream>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInputStream:IsA vtkInputStreamIsAFunction
//input a0 a1 
//output y
ArrayVector vtkInputStreamIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkInputStream requires 2 argument(s)");
  vtkInputStream* vtk_pointer = GetVTKPointer<vtkInputStream>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInputStream:NewInstance vtkInputStreamNewInstanceFunction
//input a0 
//output y
ArrayVector vtkInputStreamNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInputStream *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkInputStream requires 1 argument(s)");
  vtkInputStream* vtk_pointer = GetVTKPointer<vtkInputStream>(arg[0]);
  Array retval;
  vtkInputStream  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInputStream",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInputStream:SafeDownCast vtkInputStreamSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkInputStreamSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkInputStream *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkInputStream requires 2 argument(s)");
  vtkInputStream* vtk_pointer = GetVTKPointer<vtkInputStream>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkInputStream  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInputStream",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkInputStream:StartReading vtkInputStreamStartReadingFunction
//input a0 
//output none
ArrayVector vtkInputStreamStartReadingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void StartReading (); */
  if (arg.size() < 1) 
    throw Exception("Function StartReading for class vtkInputStream requires 1 argument(s)");
  vtkInputStream* vtk_pointer = GetVTKPointer<vtkInputStream>(arg[0]);
  Array retval;
  vtk_pointer->StartReading();
  return retval;
}

//@@Signature
//sfunction @vtkInputStream:Seek vtkInputStreamSeekFunction
//input a0 a1 
//output y
ArrayVector vtkInputStreamSeekFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Seek (unsigned long offset); */
  if (arg.size() < 2) 
    throw Exception("Function Seek for class vtkInputStream requires 2 argument(s)");
  vtkInputStream* vtk_pointer = GetVTKPointer<vtkInputStream>(arg[0]);
  Array retval;
  unsigned long     temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned long) arg[1].asDouble();
  temp20 = (vtk_pointer)->Seek(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInputStream:Read__1 vtkInputStreamRead__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkInputStreamRead__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned long Read (unsigned char *data, unsigned long length); */
  if (arg.size() < 3) 
    throw Exception("Function Read__1 for class vtkInputStream requires 3 argument(s)");
  vtkInputStream* vtk_pointer = GetVTKPointer<vtkInputStream>(arg[0]);
  Array retval;
  unsigned char    *temp0;
  unsigned long     temp1;
  unsigned long     temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned long) arg[2].asDouble();
  temp20 = (vtk_pointer)->Read(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInputStream:Read__2 vtkInputStreamRead__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkInputStreamRead__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long Read (char *data, unsigned long length); */
  if (arg.size() < 3) 
    throw Exception("Function Read__2 for class vtkInputStream requires 3 argument(s)");
  vtkInputStream* vtk_pointer = GetVTKPointer<vtkInputStream>(arg[0]);
  Array retval;
  char    *temp0;
  unsigned long     temp1;
  unsigned long     temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned long) arg[2].asDouble();
  temp20 = (vtk_pointer)->Read(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkInputStream:EndReading vtkInputStreamEndReadingFunction
//input a0 
//output none
ArrayVector vtkInputStreamEndReadingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void EndReading (); */
  if (arg.size() < 1) 
    throw Exception("Function EndReading for class vtkInputStream requires 1 argument(s)");
  vtkInputStream* vtk_pointer = GetVTKPointer<vtkInputStream>(arg[0]);
  Array retval;
  vtk_pointer->EndReading();
  return retval;
}

//@@Signature
//sfunction @vtkInputStream:Read vtkInputStreamReadFunction
//input varargin
//output varargout
ArrayVector vtkInputStreamReadFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkInputStreamRead__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkInputStreamRead__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkInputStreamRead");
}

//@@Signature
//sfunction @vtkInputStream:display vtkInputStreamDisplayFunction
//input varargin
//output varargout
ArrayVector vtkInputStreamDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkInputStream* vtk_pointer = GetVTKPointer<vtkInputStream>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkInputStream:delete vtkInputStreamDeleteFunction
//input varargin
//output none
ArrayVector vtkInputStreamDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkInputStream
//@@Section VTKIO
//@@Usage
// vtkInputStream provides a VTK-style interface wrapping around a
// standard input stream.  The access methods are virtual so that
// subclasses can transparently provide decoding of an encoded stream.
// Data lengths for Seek and Read calls refer to the length of the
// input data.  The actual length in the stream may differ for
// subclasses that implement an encoding scheme.
//
//To create an instance of class vtkInputStream, simply
//invoke its constructor as follows
//@[
//  obj = vtkInputStream
//@]
//@@Methods
//The class vtkInputStream has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkInputStream class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkInputStream = obj.NewInstance ()|
// \item @|vtkInputStream = obj.SafeDownCast (vtkObject o)|
// \item @|obj.StartReading ()| -  Called after the stream position has been set by the caller, but
// before any Seek or Read calls.  The stream position should not be
// adjusted by the caller until after an EndReading call.
//// \item @|int = obj.Seek (long offset)| -  Seek to the given offset in the input data.  Returns 1 for
// success, 0 for failure.
//// \item @|long = obj.Read (string data, long length)| -  Read input data of the given length.  Returns amount actually
// read.
//// \item @|long = obj.Read (string data, long length)| -  Read input data of the given length.  Returns amount actually
// read.
//// \item @|obj.EndReading ()| -  Called after all desired calls to Seek and Read have been made.
// After this call, the caller is free to change the position of the
// stream.  Additional reads should not be done until after another
// call to StartReading.
////\end{itemize}
//!
