#include "VTKWrap.hpp"

// FreeMat wrapper for vtkJPEGReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkJPEGReader.h"

//@@Signature
//sfunction @vtkJPEGReader:vtkJPEGReader vtkJPEGReaderConstructorFunction
//input a
//output p
//@@Parents vtkJPEGReader vtkImageReader2 
ArrayVector vtkJPEGReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkJPEGReader::New(),"vtkJPEGReader",eval);
  } else if (arg[0].className() == "vtkJPEGReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkJPEGReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkJPEGReader");
    vtkJPEGReader*q = reinterpret_cast<vtkJPEGReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkJPEGReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkJPEGReader:GetClassName vtkJPEGReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkJPEGReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkJPEGReader requires 1 argument(s)");
  vtkJPEGReader* vtk_pointer = GetVTKPointer<vtkJPEGReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkJPEGReader:IsA vtkJPEGReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkJPEGReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkJPEGReader requires 2 argument(s)");
  vtkJPEGReader* vtk_pointer = GetVTKPointer<vtkJPEGReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkJPEGReader:NewInstance vtkJPEGReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkJPEGReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkJPEGReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkJPEGReader requires 1 argument(s)");
  vtkJPEGReader* vtk_pointer = GetVTKPointer<vtkJPEGReader>(arg[0]);
  Array retval;
  vtkJPEGReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkJPEGReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkJPEGReader:SafeDownCast vtkJPEGReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkJPEGReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkJPEGReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkJPEGReader requires 2 argument(s)");
  vtkJPEGReader* vtk_pointer = GetVTKPointer<vtkJPEGReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkJPEGReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkJPEGReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkJPEGReader:CanReadFile vtkJPEGReaderCanReadFileFunction
//input a0 a1 
//output y
ArrayVector vtkJPEGReaderCanReadFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CanReadFile (const char *fname); */
  if (arg.size() < 2) 
    throw Exception("Function CanReadFile for class vtkJPEGReader requires 2 argument(s)");
  vtkJPEGReader* vtk_pointer = GetVTKPointer<vtkJPEGReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CanReadFile(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkJPEGReader:GetFileExtensions vtkJPEGReaderGetFileExtensionsFunction
//input a0 
//output y
ArrayVector vtkJPEGReaderGetFileExtensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetFileExtensions ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetFileExtensions for class vtkJPEGReader requires 1 argument(s)");
  vtkJPEGReader* vtk_pointer = GetVTKPointer<vtkJPEGReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetFileExtensions();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkJPEGReader:GetDescriptiveName vtkJPEGReaderGetDescriptiveNameFunction
//input a0 
//output y
ArrayVector vtkJPEGReaderGetDescriptiveNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetDescriptiveName ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetDescriptiveName for class vtkJPEGReader requires 1 argument(s)");
  vtkJPEGReader* vtk_pointer = GetVTKPointer<vtkJPEGReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDescriptiveName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkJPEGReader:display vtkJPEGReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkJPEGReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkJPEGReader* vtk_pointer = GetVTKPointer<vtkJPEGReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkJPEGReader:delete vtkJPEGReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkJPEGReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkJPEGReader
//@@Section VTKIO
//@@Usage
// vtkJPEGReader is a source object that reads JPEG files.
// It should be able to read most any JPEG file
//
//
//To create an instance of class vtkJPEGReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkJPEGReader
//@]
//@@Methods
//The class vtkJPEGReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkJPEGReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkJPEGReader = obj.NewInstance ()|
// \item @|vtkJPEGReader = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.CanReadFile (string fname)| -  Is the given file a JPEG file?
//// \item @|string = obj.GetFileExtensions ()| -  Return a descriptive name for the file format that might be useful in a GUI.
//// \item @|string = obj.GetDescriptiveName ()| -  Return a descriptive name for the file format that might be useful in a GUI.
////\end{itemize}
//!
