#include "VTKWrap.hpp"

// FreeMat wrapper for vtkJPEGWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkJPEGWriter.h"

//@@Signature
//sfunction @vtkJPEGWriter:vtkJPEGWriter vtkJPEGWriterConstructorFunction
//input a
//output p
//@@Parents vtkJPEGWriter vtkImageWriter 
ArrayVector vtkJPEGWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkJPEGWriter::New(),"vtkJPEGWriter",eval);
  } else if (arg[0].className() == "vtkJPEGWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkJPEGWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkJPEGWriter");
    vtkJPEGWriter*q = reinterpret_cast<vtkJPEGWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkJPEGWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkJPEGWriter:GetClassName vtkJPEGWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkJPEGWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkJPEGWriter requires 1 argument(s)");
  vtkJPEGWriter* vtk_pointer = GetVTKPointer<vtkJPEGWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkJPEGWriter:IsA vtkJPEGWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkJPEGWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkJPEGWriter requires 2 argument(s)");
  vtkJPEGWriter* vtk_pointer = GetVTKPointer<vtkJPEGWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkJPEGWriter:NewInstance vtkJPEGWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkJPEGWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkJPEGWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkJPEGWriter requires 1 argument(s)");
  vtkJPEGWriter* vtk_pointer = GetVTKPointer<vtkJPEGWriter>(arg[0]);
  Array retval;
  vtkJPEGWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkJPEGWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkJPEGWriter:SafeDownCast vtkJPEGWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkJPEGWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkJPEGWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkJPEGWriter requires 2 argument(s)");
  vtkJPEGWriter* vtk_pointer = GetVTKPointer<vtkJPEGWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkJPEGWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkJPEGWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkJPEGWriter:Write vtkJPEGWriterWriteFunction
//input a0 
//output none
ArrayVector vtkJPEGWriterWriteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Write (); */
  if (arg.size() < 1) 
    throw Exception("Function Write for class vtkJPEGWriter requires 1 argument(s)");
  vtkJPEGWriter* vtk_pointer = GetVTKPointer<vtkJPEGWriter>(arg[0]);
  Array retval;
  vtk_pointer->Write();
  return retval;
}

//@@Signature
//sfunction @vtkJPEGWriter:SetQuality vtkJPEGWriterSetQualityFunction
//input a0 a1 
//output none
ArrayVector vtkJPEGWriterSetQualityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQuality (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetQuality for class vtkJPEGWriter requires 2 argument(s)");
  vtkJPEGWriter* vtk_pointer = GetVTKPointer<vtkJPEGWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetQuality(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkJPEGWriter:GetQualityMinValue vtkJPEGWriterGetQualityMinValueFunction
//input a0 
//output y
ArrayVector vtkJPEGWriterGetQualityMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetQualityMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetQualityMinValue for class vtkJPEGWriter requires 1 argument(s)");
  vtkJPEGWriter* vtk_pointer = GetVTKPointer<vtkJPEGWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetQualityMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkJPEGWriter:GetQualityMaxValue vtkJPEGWriterGetQualityMaxValueFunction
//input a0 
//output y
ArrayVector vtkJPEGWriterGetQualityMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetQualityMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetQualityMaxValue for class vtkJPEGWriter requires 1 argument(s)");
  vtkJPEGWriter* vtk_pointer = GetVTKPointer<vtkJPEGWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetQualityMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkJPEGWriter:GetQuality vtkJPEGWriterGetQualityFunction
//input a0 
//output y
ArrayVector vtkJPEGWriterGetQualityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetQuality (); */
  if (arg.size() < 1) 
    throw Exception("Function GetQuality for class vtkJPEGWriter requires 1 argument(s)");
  vtkJPEGWriter* vtk_pointer = GetVTKPointer<vtkJPEGWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetQuality();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkJPEGWriter:SetProgressive vtkJPEGWriterSetProgressiveFunction
//input a0 a1 
//output none
ArrayVector vtkJPEGWriterSetProgressiveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProgressive (unsigned int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetProgressive for class vtkJPEGWriter requires 2 argument(s)");
  vtkJPEGWriter* vtk_pointer = GetVTKPointer<vtkJPEGWriter>(arg[0]);
  Array retval;
  unsigned int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  vtk_pointer->SetProgressive(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkJPEGWriter:GetProgressive vtkJPEGWriterGetProgressiveFunction
//input a0 
//output y
ArrayVector vtkJPEGWriterGetProgressiveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int unsigned GetProgressive (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProgressive for class vtkJPEGWriter requires 1 argument(s)");
  vtkJPEGWriter* vtk_pointer = GetVTKPointer<vtkJPEGWriter>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetProgressive();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkJPEGWriter:ProgressiveOn vtkJPEGWriterProgressiveOnFunction
//input a0 
//output none
ArrayVector vtkJPEGWriterProgressiveOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ProgressiveOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ProgressiveOn for class vtkJPEGWriter requires 1 argument(s)");
  vtkJPEGWriter* vtk_pointer = GetVTKPointer<vtkJPEGWriter>(arg[0]);
  Array retval;
  vtk_pointer->ProgressiveOn();
  return retval;
}

//@@Signature
//sfunction @vtkJPEGWriter:ProgressiveOff vtkJPEGWriterProgressiveOffFunction
//input a0 
//output none
ArrayVector vtkJPEGWriterProgressiveOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ProgressiveOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ProgressiveOff for class vtkJPEGWriter requires 1 argument(s)");
  vtkJPEGWriter* vtk_pointer = GetVTKPointer<vtkJPEGWriter>(arg[0]);
  Array retval;
  vtk_pointer->ProgressiveOff();
  return retval;
}

//@@Signature
//sfunction @vtkJPEGWriter:SetWriteToMemory vtkJPEGWriterSetWriteToMemoryFunction
//input a0 a1 
//output none
ArrayVector vtkJPEGWriterSetWriteToMemoryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWriteToMemory (unsigned int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetWriteToMemory for class vtkJPEGWriter requires 2 argument(s)");
  vtkJPEGWriter* vtk_pointer = GetVTKPointer<vtkJPEGWriter>(arg[0]);
  Array retval;
  unsigned int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  vtk_pointer->SetWriteToMemory(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkJPEGWriter:GetWriteToMemory vtkJPEGWriterGetWriteToMemoryFunction
//input a0 
//output y
ArrayVector vtkJPEGWriterGetWriteToMemoryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int unsigned GetWriteToMemory (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWriteToMemory for class vtkJPEGWriter requires 1 argument(s)");
  vtkJPEGWriter* vtk_pointer = GetVTKPointer<vtkJPEGWriter>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetWriteToMemory();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkJPEGWriter:WriteToMemoryOn vtkJPEGWriterWriteToMemoryOnFunction
//input a0 
//output none
ArrayVector vtkJPEGWriterWriteToMemoryOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WriteToMemoryOn (); */
  if (arg.size() < 1) 
    throw Exception("Function WriteToMemoryOn for class vtkJPEGWriter requires 1 argument(s)");
  vtkJPEGWriter* vtk_pointer = GetVTKPointer<vtkJPEGWriter>(arg[0]);
  Array retval;
  vtk_pointer->WriteToMemoryOn();
  return retval;
}

//@@Signature
//sfunction @vtkJPEGWriter:WriteToMemoryOff vtkJPEGWriterWriteToMemoryOffFunction
//input a0 
//output none
ArrayVector vtkJPEGWriterWriteToMemoryOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WriteToMemoryOff (); */
  if (arg.size() < 1) 
    throw Exception("Function WriteToMemoryOff for class vtkJPEGWriter requires 1 argument(s)");
  vtkJPEGWriter* vtk_pointer = GetVTKPointer<vtkJPEGWriter>(arg[0]);
  Array retval;
  vtk_pointer->WriteToMemoryOff();
  return retval;
}

//@@Signature
//sfunction @vtkJPEGWriter:SetResult vtkJPEGWriterSetResultFunction
//input a0 a1 
//output none
ArrayVector vtkJPEGWriterSetResultFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetResult (vtkUnsignedCharArray *); */
  if (arg.size() < 2) 
    throw Exception("Function SetResult for class vtkJPEGWriter requires 2 argument(s)");
  vtkJPEGWriter* vtk_pointer = GetVTKPointer<vtkJPEGWriter>(arg[0]);
  Array retval;
  vtkUnsignedCharArray  *temp0;
  temp0 = GetVTKPointer<vtkUnsignedCharArray>(arg[1]);
  vtk_pointer->SetResult(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkJPEGWriter:GetResult vtkJPEGWriterGetResultFunction
//input a0 
//output y
ArrayVector vtkJPEGWriterGetResultFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnsignedCharArray *GetResult (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResult for class vtkJPEGWriter requires 1 argument(s)");
  vtkJPEGWriter* vtk_pointer = GetVTKPointer<vtkJPEGWriter>(arg[0]);
  Array retval;
  vtkUnsignedCharArray  *temp20;
  temp20 = (vtk_pointer)->GetResult();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnsignedCharArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkJPEGWriter:display vtkJPEGWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkJPEGWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkJPEGWriter* vtk_pointer = GetVTKPointer<vtkJPEGWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkJPEGWriter:delete vtkJPEGWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkJPEGWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkJPEGWriter
//@@Section VTKIO
//@@Usage
// vtkJPEGWriter writes JPEG files. It supports 1 and 3 component data of
// unsigned char. It relies on the IJG's libjpeg.  Thanks to IJG for
// supplying a public jpeg IO library.
//
//To create an instance of class vtkJPEGWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkJPEGWriter
//@]
//@@Methods
//The class vtkJPEGWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkJPEGWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkJPEGWriter = obj.NewInstance ()|
// \item @|vtkJPEGWriter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Write ()| -  The main interface which triggers the writer to start.
//// \item @|obj.SetQuality (int )| -  Compression quality. 0 = Low quality, 100 = High quality
//// \item @|int = obj.GetQualityMinValue ()| -  Compression quality. 0 = Low quality, 100 = High quality
//// \item @|int = obj.GetQualityMaxValue ()| -  Compression quality. 0 = Low quality, 100 = High quality
//// \item @|int = obj.GetQuality ()| -  Compression quality. 0 = Low quality, 100 = High quality
//// \item @|obj.SetProgressive (int )| -  Progressive JPEG generation.
//// \item @|int = obj.GetProgressive ()| -  Progressive JPEG generation.
//// \item @|obj.ProgressiveOn ()| -  Progressive JPEG generation.
//// \item @|obj.ProgressiveOff ()| -  Progressive JPEG generation.
//// \item @|obj.SetWriteToMemory (int )| -  Write the image to memory (a vtkUnsignedCharArray)
//// \item @|int = obj.GetWriteToMemory ()| -  Write the image to memory (a vtkUnsignedCharArray)
//// \item @|obj.WriteToMemoryOn ()| -  Write the image to memory (a vtkUnsignedCharArray)
//// \item @|obj.WriteToMemoryOff ()| -  Write the image to memory (a vtkUnsignedCharArray)
//// \item @|obj.SetResult (vtkUnsignedCharArray )| -  When writing to memory this is the result, it will be NULL until the 
// data is written the first time
//// \item @|vtkUnsignedCharArray = obj.GetResult ()| -  When writing to memory this is the result, it will be NULL until the 
// data is written the first time
////\end{itemize}
//!
