#include "VTKWrap.hpp"

// FreeMat wrapper for vtkJavaScriptDataWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkJavaScriptDataWriter.h"

//@@Signature
//sfunction @vtkJavaScriptDataWriter:vtkJavaScriptDataWriter vtkJavaScriptDataWriterConstructorFunction
//input a
//output p
//@@Parents vtkJavaScriptDataWriter vtkWriter 
ArrayVector vtkJavaScriptDataWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkJavaScriptDataWriter::New(),"vtkJavaScriptDataWriter",eval);
  } else if (arg[0].className() == "vtkJavaScriptDataWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkJavaScriptDataWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkJavaScriptDataWriter");
    vtkJavaScriptDataWriter*q = reinterpret_cast<vtkJavaScriptDataWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkJavaScriptDataWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkJavaScriptDataWriter:GetClassName vtkJavaScriptDataWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkJavaScriptDataWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkJavaScriptDataWriter requires 1 argument(s)");
  vtkJavaScriptDataWriter* vtk_pointer = GetVTKPointer<vtkJavaScriptDataWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkJavaScriptDataWriter:IsA vtkJavaScriptDataWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkJavaScriptDataWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkJavaScriptDataWriter requires 2 argument(s)");
  vtkJavaScriptDataWriter* vtk_pointer = GetVTKPointer<vtkJavaScriptDataWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkJavaScriptDataWriter:NewInstance vtkJavaScriptDataWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkJavaScriptDataWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkJavaScriptDataWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkJavaScriptDataWriter requires 1 argument(s)");
  vtkJavaScriptDataWriter* vtk_pointer = GetVTKPointer<vtkJavaScriptDataWriter>(arg[0]);
  Array retval;
  vtkJavaScriptDataWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkJavaScriptDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkJavaScriptDataWriter:SafeDownCast vtkJavaScriptDataWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkJavaScriptDataWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkJavaScriptDataWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkJavaScriptDataWriter requires 2 argument(s)");
  vtkJavaScriptDataWriter* vtk_pointer = GetVTKPointer<vtkJavaScriptDataWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkJavaScriptDataWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkJavaScriptDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkJavaScriptDataWriter:SetVariableName vtkJavaScriptDataWriterSetVariableNameFunction
//input a0 a1 
//output none
ArrayVector vtkJavaScriptDataWriterSetVariableNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVariableName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetVariableName for class vtkJavaScriptDataWriter requires 2 argument(s)");
  vtkJavaScriptDataWriter* vtk_pointer = GetVTKPointer<vtkJavaScriptDataWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetVariableName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkJavaScriptDataWriter:GetVariableName vtkJavaScriptDataWriterGetVariableNameFunction
//input a0 
//output y
ArrayVector vtkJavaScriptDataWriterGetVariableNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetVariableName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVariableName for class vtkJavaScriptDataWriter requires 1 argument(s)");
  vtkJavaScriptDataWriter* vtk_pointer = GetVTKPointer<vtkJavaScriptDataWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetVariableName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkJavaScriptDataWriter:SetFileName vtkJavaScriptDataWriterSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkJavaScriptDataWriterSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkJavaScriptDataWriter requires 2 argument(s)");
  vtkJavaScriptDataWriter* vtk_pointer = GetVTKPointer<vtkJavaScriptDataWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkJavaScriptDataWriter:GetFileName vtkJavaScriptDataWriterGetFileNameFunction
//input a0 
//output y
ArrayVector vtkJavaScriptDataWriterGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkJavaScriptDataWriter requires 1 argument(s)");
  vtkJavaScriptDataWriter* vtk_pointer = GetVTKPointer<vtkJavaScriptDataWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkJavaScriptDataWriter:SetIncludeFieldNames vtkJavaScriptDataWriterSetIncludeFieldNamesFunction
//input a0 a1 
//output none
ArrayVector vtkJavaScriptDataWriterSetIncludeFieldNamesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIncludeFieldNames (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIncludeFieldNames for class vtkJavaScriptDataWriter requires 2 argument(s)");
  vtkJavaScriptDataWriter* vtk_pointer = GetVTKPointer<vtkJavaScriptDataWriter>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetIncludeFieldNames(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkJavaScriptDataWriter:GetIncludeFieldNames vtkJavaScriptDataWriterGetIncludeFieldNamesFunction
//input a0 
//output y
ArrayVector vtkJavaScriptDataWriterGetIncludeFieldNamesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetIncludeFieldNames (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIncludeFieldNames for class vtkJavaScriptDataWriter requires 1 argument(s)");
  vtkJavaScriptDataWriter* vtk_pointer = GetVTKPointer<vtkJavaScriptDataWriter>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetIncludeFieldNames();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkJavaScriptDataWriter:display vtkJavaScriptDataWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkJavaScriptDataWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkJavaScriptDataWriter* vtk_pointer = GetVTKPointer<vtkJavaScriptDataWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkJavaScriptDataWriter:delete vtkJavaScriptDataWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkJavaScriptDataWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
