#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMCubesReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMCubesReader.h"

//@@Signature
//sfunction @vtkMCubesReader:vtkMCubesReader vtkMCubesReaderConstructorFunction
//input a
//output p
//@@Parents vtkMCubesReader vtkPolyDataAlgorithm 
ArrayVector vtkMCubesReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMCubesReader::New(),"vtkMCubesReader",eval);
  } else if (arg[0].className() == "vtkMCubesReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMCubesReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMCubesReader");
    vtkMCubesReader*q = reinterpret_cast<vtkMCubesReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMCubesReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMCubesReader:GetClassName vtkMCubesReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMCubesReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMCubesReader requires 1 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:IsA vtkMCubesReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMCubesReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMCubesReader requires 2 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:NewInstance vtkMCubesReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMCubesReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMCubesReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMCubesReader requires 1 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  vtkMCubesReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMCubesReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:SafeDownCast vtkMCubesReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMCubesReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMCubesReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMCubesReader requires 2 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMCubesReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMCubesReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:SetFileName vtkMCubesReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkMCubesReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkMCubesReader requires 2 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:GetFileName vtkMCubesReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkMCubesReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkMCubesReader requires 1 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:SetLimitsFileName vtkMCubesReaderSetLimitsFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkMCubesReaderSetLimitsFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLimitsFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLimitsFileName for class vtkMCubesReader requires 2 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetLimitsFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:GetLimitsFileName vtkMCubesReaderGetLimitsFileNameFunction
//input a0 
//output y
ArrayVector vtkMCubesReaderGetLimitsFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetLimitsFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLimitsFileName for class vtkMCubesReader requires 1 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetLimitsFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:SetHeaderSize vtkMCubesReaderSetHeaderSizeFunction
//input a0 a1 
//output none
ArrayVector vtkMCubesReaderSetHeaderSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHeaderSize (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHeaderSize for class vtkMCubesReader requires 2 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetHeaderSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:GetHeaderSizeMinValue vtkMCubesReaderGetHeaderSizeMinValueFunction
//input a0 
//output y
ArrayVector vtkMCubesReaderGetHeaderSizeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetHeaderSizeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeaderSizeMinValue for class vtkMCubesReader requires 1 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetHeaderSizeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:GetHeaderSizeMaxValue vtkMCubesReaderGetHeaderSizeMaxValueFunction
//input a0 
//output y
ArrayVector vtkMCubesReaderGetHeaderSizeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetHeaderSizeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeaderSizeMaxValue for class vtkMCubesReader requires 1 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetHeaderSizeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:GetHeaderSize vtkMCubesReaderGetHeaderSizeFunction
//input a0 
//output y
ArrayVector vtkMCubesReaderGetHeaderSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetHeaderSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHeaderSize for class vtkMCubesReader requires 1 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetHeaderSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:SetFlipNormals vtkMCubesReaderSetFlipNormalsFunction
//input a0 a1 
//output none
ArrayVector vtkMCubesReaderSetFlipNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFlipNormals (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFlipNormals for class vtkMCubesReader requires 2 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFlipNormals(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:GetFlipNormals vtkMCubesReaderGetFlipNormalsFunction
//input a0 
//output y
ArrayVector vtkMCubesReaderGetFlipNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFlipNormals (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFlipNormals for class vtkMCubesReader requires 1 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFlipNormals();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:FlipNormalsOn vtkMCubesReaderFlipNormalsOnFunction
//input a0 
//output none
ArrayVector vtkMCubesReaderFlipNormalsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FlipNormalsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function FlipNormalsOn for class vtkMCubesReader requires 1 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  vtk_pointer->FlipNormalsOn();
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:FlipNormalsOff vtkMCubesReaderFlipNormalsOffFunction
//input a0 
//output none
ArrayVector vtkMCubesReaderFlipNormalsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void FlipNormalsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function FlipNormalsOff for class vtkMCubesReader requires 1 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  vtk_pointer->FlipNormalsOff();
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:SetNormals vtkMCubesReaderSetNormalsFunction
//input a0 a1 
//output none
ArrayVector vtkMCubesReaderSetNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNormals (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNormals for class vtkMCubesReader requires 2 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNormals(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:GetNormals vtkMCubesReaderGetNormalsFunction
//input a0 
//output y
ArrayVector vtkMCubesReaderGetNormalsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNormals (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNormals for class vtkMCubesReader requires 1 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNormals();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:NormalsOn vtkMCubesReaderNormalsOnFunction
//input a0 
//output none
ArrayVector vtkMCubesReaderNormalsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalsOn for class vtkMCubesReader requires 1 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  vtk_pointer->NormalsOn();
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:NormalsOff vtkMCubesReaderNormalsOffFunction
//input a0 
//output none
ArrayVector vtkMCubesReaderNormalsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NormalsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function NormalsOff for class vtkMCubesReader requires 1 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  vtk_pointer->NormalsOff();
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:SetDataByteOrderToBigEndian vtkMCubesReaderSetDataByteOrderToBigEndianFunction
//input a0 
//output none
ArrayVector vtkMCubesReaderSetDataByteOrderToBigEndianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataByteOrderToBigEndian (); */
  if (arg.size() < 1) 
    throw Exception("Function SetDataByteOrderToBigEndian for class vtkMCubesReader requires 1 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  vtk_pointer->SetDataByteOrderToBigEndian();
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:SetDataByteOrderToLittleEndian vtkMCubesReaderSetDataByteOrderToLittleEndianFunction
//input a0 
//output none
ArrayVector vtkMCubesReaderSetDataByteOrderToLittleEndianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataByteOrderToLittleEndian (); */
  if (arg.size() < 1) 
    throw Exception("Function SetDataByteOrderToLittleEndian for class vtkMCubesReader requires 1 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  vtk_pointer->SetDataByteOrderToLittleEndian();
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:GetDataByteOrder vtkMCubesReaderGetDataByteOrderFunction
//input a0 
//output y
ArrayVector vtkMCubesReaderGetDataByteOrderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataByteOrder (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataByteOrder for class vtkMCubesReader requires 1 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataByteOrder();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:SetDataByteOrder vtkMCubesReaderSetDataByteOrderFunction
//input a0 a1 
//output none
ArrayVector vtkMCubesReaderSetDataByteOrderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataByteOrder (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataByteOrder for class vtkMCubesReader requires 2 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDataByteOrder(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:GetDataByteOrderAsString vtkMCubesReaderGetDataByteOrderAsStringFunction
//input a0 
//output y
ArrayVector vtkMCubesReaderGetDataByteOrderAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetDataByteOrderAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataByteOrderAsString for class vtkMCubesReader requires 1 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDataByteOrderAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:SetSwapBytes vtkMCubesReaderSetSwapBytesFunction
//input a0 a1 
//output none
ArrayVector vtkMCubesReaderSetSwapBytesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSwapBytes (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSwapBytes for class vtkMCubesReader requires 2 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSwapBytes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:GetSwapBytes vtkMCubesReaderGetSwapBytesFunction
//input a0 
//output y
ArrayVector vtkMCubesReaderGetSwapBytesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSwapBytes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSwapBytes for class vtkMCubesReader requires 1 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSwapBytes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:SwapBytesOn vtkMCubesReaderSwapBytesOnFunction
//input a0 
//output none
ArrayVector vtkMCubesReaderSwapBytesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SwapBytesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SwapBytesOn for class vtkMCubesReader requires 1 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  vtk_pointer->SwapBytesOn();
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:SwapBytesOff vtkMCubesReaderSwapBytesOffFunction
//input a0 
//output none
ArrayVector vtkMCubesReaderSwapBytesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SwapBytesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SwapBytesOff for class vtkMCubesReader requires 1 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  vtk_pointer->SwapBytesOff();
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:SetLocator vtkMCubesReaderSetLocatorFunction
//input a0 a1 
//output none
ArrayVector vtkMCubesReaderSetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLocator (vtkIncrementalPointLocator *locator); */
  if (arg.size() < 2) 
    throw Exception("Function SetLocator for class vtkMCubesReader requires 2 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp0;
  temp0 = GetVTKPointer<vtkIncrementalPointLocator>(arg[1]);
  vtk_pointer->SetLocator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:GetLocator vtkMCubesReaderGetLocatorFunction
//input a0 
//output y
ArrayVector vtkMCubesReaderGetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalPointLocator *GetLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocator for class vtkMCubesReader requires 1 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp20;
  temp20 = (vtk_pointer)->GetLocator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:CreateDefaultLocator vtkMCubesReaderCreateDefaultLocatorFunction
//input a0 
//output none
ArrayVector vtkMCubesReaderCreateDefaultLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultLocator for class vtkMCubesReader requires 1 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultLocator();
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:GetMTime vtkMCubesReaderGetMTimeFunction
//input a0 
//output y
ArrayVector vtkMCubesReaderGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkMCubesReader requires 1 argument(s)");
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMCubesReader:display vtkMCubesReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMCubesReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMCubesReader* vtk_pointer = GetVTKPointer<vtkMCubesReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMCubesReader:delete vtkMCubesReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkMCubesReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMCubesReader
//@@Section VTKIO
//@@Usage
// vtkMCubesReader is a source object that reads binary marching cubes
// files. (Marching cubes is an isosurfacing technique that generates 
// many triangles.) The binary format is supported by W. Lorensen's
// marching cubes program (and the vtkSliceCubes object). The format 
// repeats point coordinates, so this object will merge the points 
// with a vtkLocator object. You can choose to supply the vtkLocator 
// or use the default.
//
//To create an instance of class vtkMCubesReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkMCubesReader
//@]
//@@Methods
//The class vtkMCubesReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMCubesReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMCubesReader = obj.NewInstance ()|
// \item @|vtkMCubesReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string )| -  Specify file name of marching cubes file.
//// \item @|string = obj.GetFileName ()| -  Specify file name of marching cubes file.
//// \item @|obj.SetLimitsFileName (string )| -  Set / get the file name of the marching cubes limits file.
//// \item @|string = obj.GetLimitsFileName ()| -  Set / get the file name of the marching cubes limits file.
//// \item @|obj.SetHeaderSize (int )| -  Specify a header size if one exists. The header is skipped and not used at this time.
//// \item @|int = obj.GetHeaderSizeMinValue ()| -  Specify a header size if one exists. The header is skipped and not used at this time.
//// \item @|int = obj.GetHeaderSizeMaxValue ()| -  Specify a header size if one exists. The header is skipped and not used at this time.
//// \item @|int = obj.GetHeaderSize ()| -  Specify a header size if one exists. The header is skipped and not used at this time.
//// \item @|obj.SetFlipNormals (int )| -  Specify whether to flip normals in opposite direction. Flipping ONLY
// changes the direction of the normal vector. Contrast this with flipping
// in vtkPolyDataNormals which flips both the normal and the cell point
// order.
//// \item @|int = obj.GetFlipNormals ()| -  Specify whether to flip normals in opposite direction. Flipping ONLY
// changes the direction of the normal vector. Contrast this with flipping
// in vtkPolyDataNormals which flips both the normal and the cell point
// order.
//// \item @|obj.FlipNormalsOn ()| -  Specify whether to flip normals in opposite direction. Flipping ONLY
// changes the direction of the normal vector. Contrast this with flipping
// in vtkPolyDataNormals which flips both the normal and the cell point
// order.
//// \item @|obj.FlipNormalsOff ()| -  Specify whether to flip normals in opposite direction. Flipping ONLY
// changes the direction of the normal vector. Contrast this with flipping
// in vtkPolyDataNormals which flips both the normal and the cell point
// order.
//// \item @|obj.SetNormals (int )| -  Specify whether to read normals.
//// \item @|int = obj.GetNormals ()| -  Specify whether to read normals.
//// \item @|obj.NormalsOn ()| -  Specify whether to read normals.
//// \item @|obj.NormalsOff ()| -  Specify whether to read normals.
//// \item @|obj.SetDataByteOrderToBigEndian ()| -  These methods should be used instead of the SwapBytes methods.
// They indicate the byte ordering of the file you are trying
// to read in. These methods will then either swap or not swap
// the bytes depending on the byte ordering of the machine it is
// being run on. For example, reading in a BigEndian file on a
// BigEndian machine will result in no swapping. Trying to read
// the same file on a LittleEndian machine will result in swapping.
// As a quick note most UNIX machines are BigEndian while PC's
// and VAX tend to be LittleEndian. So if the file you are reading
// in was generated on a VAX or PC, SetDataByteOrderToLittleEndian otherwise
// SetDataByteOrderToBigEndian. 
//// \item @|obj.SetDataByteOrderToLittleEndian ()| -  These methods should be used instead of the SwapBytes methods.
// They indicate the byte ordering of the file you are trying
// to read in. These methods will then either swap or not swap
// the bytes depending on the byte ordering of the machine it is
// being run on. For example, reading in a BigEndian file on a
// BigEndian machine will result in no swapping. Trying to read
// the same file on a LittleEndian machine will result in swapping.
// As a quick note most UNIX machines are BigEndian while PC's
// and VAX tend to be LittleEndian. So if the file you are reading
// in was generated on a VAX or PC, SetDataByteOrderToLittleEndian otherwise
// SetDataByteOrderToBigEndian. 
//// \item @|int = obj.GetDataByteOrder ()| -  These methods should be used instead of the SwapBytes methods.
// They indicate the byte ordering of the file you are trying
// to read in. These methods will then either swap or not swap
// the bytes depending on the byte ordering of the machine it is
// being run on. For example, reading in a BigEndian file on a
// BigEndian machine will result in no swapping. Trying to read
// the same file on a LittleEndian machine will result in swapping.
// As a quick note most UNIX machines are BigEndian while PC's
// and VAX tend to be LittleEndian. So if the file you are reading
// in was generated on a VAX or PC, SetDataByteOrderToLittleEndian otherwise
// SetDataByteOrderToBigEndian. 
//// \item @|obj.SetDataByteOrder (int )| -  These methods should be used instead of the SwapBytes methods.
// They indicate the byte ordering of the file you are trying
// to read in. These methods will then either swap or not swap
// the bytes depending on the byte ordering of the machine it is
// being run on. For example, reading in a BigEndian file on a
// BigEndian machine will result in no swapping. Trying to read
// the same file on a LittleEndian machine will result in swapping.
// As a quick note most UNIX machines are BigEndian while PC's
// and VAX tend to be LittleEndian. So if the file you are reading
// in was generated on a VAX or PC, SetDataByteOrderToLittleEndian otherwise
// SetDataByteOrderToBigEndian. 
//// \item @|string = obj.GetDataByteOrderAsString ()| -  These methods should be used instead of the SwapBytes methods.
// They indicate the byte ordering of the file you are trying
// to read in. These methods will then either swap or not swap
// the bytes depending on the byte ordering of the machine it is
// being run on. For example, reading in a BigEndian file on a
// BigEndian machine will result in no swapping. Trying to read
// the same file on a LittleEndian machine will result in swapping.
// As a quick note most UNIX machines are BigEndian while PC's
// and VAX tend to be LittleEndian. So if the file you are reading
// in was generated on a VAX or PC, SetDataByteOrderToLittleEndian otherwise
// SetDataByteOrderToBigEndian. 
//// \item @|obj.SetSwapBytes (int )| -  Turn on/off byte swapping.
//// \item @|int = obj.GetSwapBytes ()| -  Turn on/off byte swapping.
//// \item @|obj.SwapBytesOn ()| -  Turn on/off byte swapping.
//// \item @|obj.SwapBytesOff ()| -  Turn on/off byte swapping.
//// \item @|obj.SetLocator (vtkIncrementalPointLocator locator)| -  Set / get a spatial locator for merging points. By default, 
// an instance of vtkMergePoints is used.
//// \item @|vtkIncrementalPointLocator = obj.GetLocator ()| -  Set / get a spatial locator for merging points. By default, 
// an instance of vtkMergePoints is used.
//// \item @|obj.CreateDefaultLocator ()| -  Create default locator. Used to create one when none is specified.
//// \item @|long = obj.GetMTime ()| -  Return the mtime also considering the locator.
////\end{itemize}
//!
