#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMCubesWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMCubesWriter.h"

//@@Signature
//sfunction @vtkMCubesWriter:vtkMCubesWriter vtkMCubesWriterConstructorFunction
//input a
//output p
//@@Parents vtkMCubesWriter vtkPolyDataWriter 
ArrayVector vtkMCubesWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMCubesWriter::New(),"vtkMCubesWriter",eval);
  } else if (arg[0].className() == "vtkMCubesWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMCubesWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMCubesWriter");
    vtkMCubesWriter*q = reinterpret_cast<vtkMCubesWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMCubesWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMCubesWriter:GetClassName vtkMCubesWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMCubesWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMCubesWriter requires 1 argument(s)");
  vtkMCubesWriter* vtk_pointer = GetVTKPointer<vtkMCubesWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMCubesWriter:IsA vtkMCubesWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMCubesWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMCubesWriter requires 2 argument(s)");
  vtkMCubesWriter* vtk_pointer = GetVTKPointer<vtkMCubesWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMCubesWriter:NewInstance vtkMCubesWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMCubesWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMCubesWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMCubesWriter requires 1 argument(s)");
  vtkMCubesWriter* vtk_pointer = GetVTKPointer<vtkMCubesWriter>(arg[0]);
  Array retval;
  vtkMCubesWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMCubesWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMCubesWriter:SafeDownCast vtkMCubesWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMCubesWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMCubesWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMCubesWriter requires 2 argument(s)");
  vtkMCubesWriter* vtk_pointer = GetVTKPointer<vtkMCubesWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMCubesWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMCubesWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMCubesWriter:SetLimitsFileName vtkMCubesWriterSetLimitsFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkMCubesWriterSetLimitsFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLimitsFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLimitsFileName for class vtkMCubesWriter requires 2 argument(s)");
  vtkMCubesWriter* vtk_pointer = GetVTKPointer<vtkMCubesWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetLimitsFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMCubesWriter:GetLimitsFileName vtkMCubesWriterGetLimitsFileNameFunction
//input a0 
//output y
ArrayVector vtkMCubesWriterGetLimitsFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetLimitsFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLimitsFileName for class vtkMCubesWriter requires 1 argument(s)");
  vtkMCubesWriter* vtk_pointer = GetVTKPointer<vtkMCubesWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetLimitsFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMCubesWriter:display vtkMCubesWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMCubesWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMCubesWriter* vtk_pointer = GetVTKPointer<vtkMCubesWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMCubesWriter:delete vtkMCubesWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkMCubesWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMCubesWriter
//@@Section VTKIO
//@@Usage
// vtkMCubesWriter is a polydata writer that writes binary marching cubes
// files. (Marching cubes is an isosurfacing technique that generates many
// triangles.) The binary format is supported by W. Lorensen's marching cubes
// program (and the vtkSliceCubes object). Each triangle is represented by
// three records, with each record consisting of six single precision
// floating point numbers representing the a triangle vertex coordinate and
// vertex normal.
//
//To create an instance of class vtkMCubesWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkMCubesWriter
//@]
//@@Methods
//The class vtkMCubesWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMCubesWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMCubesWriter = obj.NewInstance ()|
// \item @|vtkMCubesWriter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetLimitsFileName (string )| -  Set/get file name of marching cubes limits file.
//// \item @|string = obj.GetLimitsFileName ()| -  Set/get file name of marching cubes limits file.
////\end{itemize}
//!
