#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMFIXReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMFIXReader.h"

//@@Signature
//sfunction @vtkMFIXReader:vtkMFIXReader vtkMFIXReaderConstructorFunction
//input a
//output p
//@@Parents vtkMFIXReader vtkUnstructuredGridAlgorithm 
ArrayVector vtkMFIXReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMFIXReader::New(),"vtkMFIXReader",eval);
  } else if (arg[0].className() == "vtkMFIXReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMFIXReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMFIXReader");
    vtkMFIXReader*q = reinterpret_cast<vtkMFIXReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMFIXReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMFIXReader:GetClassName vtkMFIXReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMFIXReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMFIXReader requires 1 argument(s)");
  vtkMFIXReader* vtk_pointer = GetVTKPointer<vtkMFIXReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMFIXReader:IsA vtkMFIXReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMFIXReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMFIXReader requires 2 argument(s)");
  vtkMFIXReader* vtk_pointer = GetVTKPointer<vtkMFIXReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMFIXReader:NewInstance vtkMFIXReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMFIXReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMFIXReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMFIXReader requires 1 argument(s)");
  vtkMFIXReader* vtk_pointer = GetVTKPointer<vtkMFIXReader>(arg[0]);
  Array retval;
  vtkMFIXReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMFIXReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMFIXReader:SafeDownCast vtkMFIXReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMFIXReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMFIXReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMFIXReader requires 2 argument(s)");
  vtkMFIXReader* vtk_pointer = GetVTKPointer<vtkMFIXReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMFIXReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMFIXReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMFIXReader:SetFileName vtkMFIXReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkMFIXReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkMFIXReader requires 2 argument(s)");
  vtkMFIXReader* vtk_pointer = GetVTKPointer<vtkMFIXReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMFIXReader:GetFileName vtkMFIXReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkMFIXReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkMFIXReader requires 1 argument(s)");
  vtkMFIXReader* vtk_pointer = GetVTKPointer<vtkMFIXReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMFIXReader:GetNumberOfCells vtkMFIXReaderGetNumberOfCellsFunction
//input a0 
//output y
ArrayVector vtkMFIXReaderGetNumberOfCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCells for class vtkMFIXReader requires 1 argument(s)");
  vtkMFIXReader* vtk_pointer = GetVTKPointer<vtkMFIXReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMFIXReader:GetNumberOfPoints vtkMFIXReaderGetNumberOfPointsFunction
//input a0 
//output y
ArrayVector vtkMFIXReaderGetNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPoints for class vtkMFIXReader requires 1 argument(s)");
  vtkMFIXReader* vtk_pointer = GetVTKPointer<vtkMFIXReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMFIXReader:GetNumberOfCellFields vtkMFIXReaderGetNumberOfCellFieldsFunction
//input a0 
//output y
ArrayVector vtkMFIXReaderGetNumberOfCellFieldsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfCellFields (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCellFields for class vtkMFIXReader requires 1 argument(s)");
  vtkMFIXReader* vtk_pointer = GetVTKPointer<vtkMFIXReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfCellFields();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMFIXReader:SetTimeStep vtkMFIXReaderSetTimeStepFunction
//input a0 a1 
//output none
ArrayVector vtkMFIXReaderSetTimeStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimeStep (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimeStep for class vtkMFIXReader requires 2 argument(s)");
  vtkMFIXReader* vtk_pointer = GetVTKPointer<vtkMFIXReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTimeStep(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMFIXReader:GetTimeStep vtkMFIXReaderGetTimeStepFunction
//input a0 
//output y
ArrayVector vtkMFIXReaderGetTimeStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTimeStep (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimeStep for class vtkMFIXReader requires 1 argument(s)");
  vtkMFIXReader* vtk_pointer = GetVTKPointer<vtkMFIXReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTimeStep();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMFIXReader:GetNumberOfTimeSteps vtkMFIXReaderGetNumberOfTimeStepsFunction
//input a0 
//output y
ArrayVector vtkMFIXReaderGetNumberOfTimeStepsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfTimeSteps (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTimeSteps for class vtkMFIXReader requires 1 argument(s)");
  vtkMFIXReader* vtk_pointer = GetVTKPointer<vtkMFIXReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfTimeSteps();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMFIXReader:GetTimeStepRange vtkMFIXReaderGetTimeStepRangeFunction
//input a0 
//output y
ArrayVector vtkMFIXReaderGetTimeStepRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetTimeStepRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimeStepRange for class vtkMFIXReader requires 1 argument(s)");
  vtkMFIXReader* vtk_pointer = GetVTKPointer<vtkMFIXReader>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetTimeStepRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkMFIXReader:SetTimeStepRange__1 vtkMFIXReaderSetTimeStepRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkMFIXReaderSetTimeStepRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimeStepRange (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetTimeStepRange__1 for class vtkMFIXReader requires 3 argument(s)");
  vtkMFIXReader* vtk_pointer = GetVTKPointer<vtkMFIXReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetTimeStepRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMFIXReader:SetTimeStepRange__2 vtkMFIXReaderSetTimeStepRange__2Function
//input a0 a1 
//output none
ArrayVector vtkMFIXReaderSetTimeStepRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimeStepRange (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimeStepRange__2 for class vtkMFIXReader requires 2 argument(s)");
  vtkMFIXReader* vtk_pointer = GetVTKPointer<vtkMFIXReader>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetTimeStepRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMFIXReader:GetNumberOfCellArrays vtkMFIXReaderGetNumberOfCellArraysFunction
//input a0 
//output y
ArrayVector vtkMFIXReaderGetNumberOfCellArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfCellArrays (void ); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCellArrays for class vtkMFIXReader requires 1 argument(s)");
  vtkMFIXReader* vtk_pointer = GetVTKPointer<vtkMFIXReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfCellArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMFIXReader:GetCellArrayName vtkMFIXReaderGetCellArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkMFIXReaderGetCellArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetCellArrayName (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellArrayName for class vtkMFIXReader requires 2 argument(s)");
  vtkMFIXReader* vtk_pointer = GetVTKPointer<vtkMFIXReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCellArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMFIXReader:GetCellArrayStatus vtkMFIXReaderGetCellArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkMFIXReaderGetCellArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellArrayStatus (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellArrayStatus for class vtkMFIXReader requires 2 argument(s)");
  vtkMFIXReader* vtk_pointer = GetVTKPointer<vtkMFIXReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetCellArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMFIXReader:SetCellArrayStatus vtkMFIXReaderSetCellArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkMFIXReaderSetCellArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellArrayStatus (const char *name, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetCellArrayStatus for class vtkMFIXReader requires 3 argument(s)");
  vtkMFIXReader* vtk_pointer = GetVTKPointer<vtkMFIXReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetCellArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMFIXReader:DisableAllCellArrays vtkMFIXReaderDisableAllCellArraysFunction
//input a0 
//output none
ArrayVector vtkMFIXReaderDisableAllCellArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DisableAllCellArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function DisableAllCellArrays for class vtkMFIXReader requires 1 argument(s)");
  vtkMFIXReader* vtk_pointer = GetVTKPointer<vtkMFIXReader>(arg[0]);
  Array retval;
  vtk_pointer->DisableAllCellArrays();
  return retval;
}

//@@Signature
//sfunction @vtkMFIXReader:EnableAllCellArrays vtkMFIXReaderEnableAllCellArraysFunction
//input a0 
//output none
ArrayVector vtkMFIXReaderEnableAllCellArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableAllCellArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function EnableAllCellArrays for class vtkMFIXReader requires 1 argument(s)");
  vtkMFIXReader* vtk_pointer = GetVTKPointer<vtkMFIXReader>(arg[0]);
  Array retval;
  vtk_pointer->EnableAllCellArrays();
  return retval;
}

//@@Signature
//sfunction @vtkMFIXReader:GetCellDataRange vtkMFIXReaderGetCellDataRangeFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkMFIXReaderGetCellDataRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GetCellDataRange (int cellComp, int index, float *min, float *max); */
  if (arg.size() < 5) 
    throw Exception("Function GetCellDataRange for class vtkMFIXReader requires 5 argument(s)");
  vtkMFIXReader* vtk_pointer = GetVTKPointer<vtkMFIXReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  float   *temp2;
  float   *temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new float[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (float)data[k+1];
      }
    if ( !arg[4].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[4].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp3 = new float[length];
      for ( int k = 0; k < length; k++ ) temp3[k] = (float)data[k+1];
      }
  vtk_pointer->GetCellDataRange(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkMFIXReader:SetTimeStepRange vtkMFIXReaderSetTimeStepRangeFunction
//input varargin
//output varargout
ArrayVector vtkMFIXReaderSetTimeStepRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkMFIXReaderSetTimeStepRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkMFIXReaderSetTimeStepRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMFIXReaderSetTimeStepRange");
}

//@@Signature
//sfunction @vtkMFIXReader:display vtkMFIXReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMFIXReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMFIXReader* vtk_pointer = GetVTKPointer<vtkMFIXReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMFIXReader:delete vtkMFIXReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkMFIXReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMFIXReader
//@@Section VTKIO
//@@Usage
// vtkMFIXReader creates an unstructured grid dataset. It reads a restart
// file and a set of sp files.  The restart file contains the mesh 
// information.  MFIX meshes are either cylindrical or rectilinear, but 
// this reader will convert them to an unstructured grid.  The sp files 
// contain transient data for the cells.  Each sp file has one or more 
// variables stored inside it.  
//
//To create an instance of class vtkMFIXReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkMFIXReader
//@]
//@@Methods
//The class vtkMFIXReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMFIXReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMFIXReader = obj.NewInstance ()|
// \item @|vtkMFIXReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string )| -  Specify the file name of the MFIX Restart data file to read.
//// \item @|string = obj.GetFileName ()| -  Specify the file name of the MFIX Restart data file to read.
//// \item @|int = obj.GetNumberOfCells ()| -  Get the total number of cells. The number of cells is only valid after a
// successful read of the data file is performed.
//// \item @|int = obj.GetNumberOfPoints ()| -  Get the total number of nodes. The number of nodes is only valid after a
// successful read of the data file is performed.
//// \item @|int = obj.GetNumberOfCellFields ()| -  Get the number of data components at the nodes and cells.
//// \item @|obj.SetTimeStep (int )| -  Which TimeStep to read.
//// \item @|int = obj.GetTimeStep ()| -  Which TimeStep to read.
//// \item @|int = obj.GetNumberOfTimeSteps ()| -  Returns the number of timesteps.
//// \item @|int = obj. GetTimeStepRange ()| -  Which TimeStepRange to read
//// \item @|obj.SetTimeStepRange (int , int )| -  Which TimeStepRange to read
//// \item @|obj.SetTimeStepRange (int  a[2])| -  Which TimeStepRange to read
//// \item @|int = obj.GetNumberOfCellArrays (void )|
// \item @|string = obj.GetCellArrayName (int index)| -  Get the name of the  cell array with the given index in
// the input.
//// \item @|int = obj.GetCellArrayStatus (string name)| -  Get/Set whether the cell array with the given name is to
// be read.
//// \item @|obj.SetCellArrayStatus (string name, int status)| -  Get/Set whether the cell array with the given name is to
// be read.
//// \item @|obj.DisableAllCellArrays ()| -  Turn on/off all cell arrays.
//// \item @|obj.EnableAllCellArrays ()| -  Turn on/off all cell arrays.
//// \item @|obj.GetCellDataRange (int cellComp, int index, float min, float max)| -  Get the range of cell data.
////\end{itemize}
//!
