#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMINCImageReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMINCImageReader.h"

//@@Signature
//sfunction @vtkMINCImageReader:vtkMINCImageReader vtkMINCImageReaderConstructorFunction
//input a
//output p
//@@Parents vtkMINCImageReader vtkImageReader2 
ArrayVector vtkMINCImageReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMINCImageReader::New(),"vtkMINCImageReader",eval);
  } else if (arg[0].className() == "vtkMINCImageReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMINCImageReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMINCImageReader");
    vtkMINCImageReader*q = reinterpret_cast<vtkMINCImageReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMINCImageReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMINCImageReader:GetClassName vtkMINCImageReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMINCImageReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMINCImageReader requires 1 argument(s)");
  vtkMINCImageReader* vtk_pointer = GetVTKPointer<vtkMINCImageReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageReader:IsA vtkMINCImageReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMINCImageReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMINCImageReader requires 2 argument(s)");
  vtkMINCImageReader* vtk_pointer = GetVTKPointer<vtkMINCImageReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageReader:NewInstance vtkMINCImageReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMINCImageReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMINCImageReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMINCImageReader requires 1 argument(s)");
  vtkMINCImageReader* vtk_pointer = GetVTKPointer<vtkMINCImageReader>(arg[0]);
  Array retval;
  vtkMINCImageReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMINCImageReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageReader:SafeDownCast vtkMINCImageReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMINCImageReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMINCImageReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMINCImageReader requires 2 argument(s)");
  vtkMINCImageReader* vtk_pointer = GetVTKPointer<vtkMINCImageReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMINCImageReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMINCImageReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageReader:SetFileName vtkMINCImageReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkMINCImageReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetFileName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkMINCImageReader requires 2 argument(s)");
  vtkMINCImageReader* vtk_pointer = GetVTKPointer<vtkMINCImageReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageReader:GetFileExtensions vtkMINCImageReaderGetFileExtensionsFunction
//input a0 
//output y
ArrayVector vtkMINCImageReaderGetFileExtensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetFileExtensions ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetFileExtensions for class vtkMINCImageReader requires 1 argument(s)");
  vtkMINCImageReader* vtk_pointer = GetVTKPointer<vtkMINCImageReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetFileExtensions();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageReader:GetDescriptiveName vtkMINCImageReaderGetDescriptiveNameFunction
//input a0 
//output y
ArrayVector vtkMINCImageReaderGetDescriptiveNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetDescriptiveName ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetDescriptiveName for class vtkMINCImageReader requires 1 argument(s)");
  vtkMINCImageReader* vtk_pointer = GetVTKPointer<vtkMINCImageReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDescriptiveName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageReader:CanReadFile vtkMINCImageReaderCanReadFileFunction
//input a0 a1 
//output y
ArrayVector vtkMINCImageReaderCanReadFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int CanReadFile (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function CanReadFile for class vtkMINCImageReader requires 2 argument(s)");
  vtkMINCImageReader* vtk_pointer = GetVTKPointer<vtkMINCImageReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CanReadFile(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageReader:GetDirectionCosines vtkMINCImageReaderGetDirectionCosinesFunction
//input a0 
//output y
ArrayVector vtkMINCImageReaderGetDirectionCosinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkMatrix4x4 *GetDirectionCosines (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDirectionCosines for class vtkMINCImageReader requires 1 argument(s)");
  vtkMINCImageReader* vtk_pointer = GetVTKPointer<vtkMINCImageReader>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp20;
  temp20 = (vtk_pointer)->GetDirectionCosines();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMatrix4x4",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageReader:GetRescaleSlope vtkMINCImageReaderGetRescaleSlopeFunction
//input a0 
//output y
ArrayVector vtkMINCImageReaderGetRescaleSlopeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetRescaleSlope (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRescaleSlope for class vtkMINCImageReader requires 1 argument(s)");
  vtkMINCImageReader* vtk_pointer = GetVTKPointer<vtkMINCImageReader>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRescaleSlope();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageReader:GetRescaleIntercept vtkMINCImageReaderGetRescaleInterceptFunction
//input a0 
//output y
ArrayVector vtkMINCImageReaderGetRescaleInterceptFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetRescaleIntercept (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRescaleIntercept for class vtkMINCImageReader requires 1 argument(s)");
  vtkMINCImageReader* vtk_pointer = GetVTKPointer<vtkMINCImageReader>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRescaleIntercept();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageReader:SetRescaleRealValues vtkMINCImageReaderSetRescaleRealValuesFunction
//input a0 a1 
//output none
ArrayVector vtkMINCImageReaderSetRescaleRealValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRescaleRealValues (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRescaleRealValues for class vtkMINCImageReader requires 2 argument(s)");
  vtkMINCImageReader* vtk_pointer = GetVTKPointer<vtkMINCImageReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetRescaleRealValues(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageReader:RescaleRealValuesOn vtkMINCImageReaderRescaleRealValuesOnFunction
//input a0 
//output none
ArrayVector vtkMINCImageReaderRescaleRealValuesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RescaleRealValuesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function RescaleRealValuesOn for class vtkMINCImageReader requires 1 argument(s)");
  vtkMINCImageReader* vtk_pointer = GetVTKPointer<vtkMINCImageReader>(arg[0]);
  Array retval;
  vtk_pointer->RescaleRealValuesOn();
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageReader:RescaleRealValuesOff vtkMINCImageReaderRescaleRealValuesOffFunction
//input a0 
//output none
ArrayVector vtkMINCImageReaderRescaleRealValuesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RescaleRealValuesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function RescaleRealValuesOff for class vtkMINCImageReader requires 1 argument(s)");
  vtkMINCImageReader* vtk_pointer = GetVTKPointer<vtkMINCImageReader>(arg[0]);
  Array retval;
  vtk_pointer->RescaleRealValuesOff();
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageReader:GetRescaleRealValues vtkMINCImageReaderGetRescaleRealValuesFunction
//input a0 
//output y
ArrayVector vtkMINCImageReaderGetRescaleRealValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetRescaleRealValues (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRescaleRealValues for class vtkMINCImageReader requires 1 argument(s)");
  vtkMINCImageReader* vtk_pointer = GetVTKPointer<vtkMINCImageReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetRescaleRealValues();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageReader:GetDataRange__1 vtkMINCImageReaderGetDataRange__1Function
//input a0 
//output y
ArrayVector vtkMINCImageReaderGetDataRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double *GetDataRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataRange__1 for class vtkMINCImageReader requires 1 argument(s)");
  vtkMINCImageReader* vtk_pointer = GetVTKPointer<vtkMINCImageReader>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetDataRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageReader:GetDataRange__2 vtkMINCImageReaderGetDataRange__2Function
//input a0 a1 
//output none
ArrayVector vtkMINCImageReaderGetDataRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void GetDataRange (double range[2]);double r this GetDataRange range r range r  */
  if (arg.size() < 2) 
    throw Exception("Function GetDataRange__2 for class vtkMINCImageReader requires 2 argument(s)");
  vtkMINCImageReader* vtk_pointer = GetVTKPointer<vtkMINCImageReader>(arg[0]);
  Array retval;
  double temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->GetDataRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageReader:GetNumberOfTimeSteps vtkMINCImageReaderGetNumberOfTimeStepsFunction
//input a0 
//output y
ArrayVector vtkMINCImageReaderGetNumberOfTimeStepsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfTimeSteps (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTimeSteps for class vtkMINCImageReader requires 1 argument(s)");
  vtkMINCImageReader* vtk_pointer = GetVTKPointer<vtkMINCImageReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfTimeSteps();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageReader:SetTimeStep vtkMINCImageReaderSetTimeStepFunction
//input a0 a1 
//output none
ArrayVector vtkMINCImageReaderSetTimeStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimeStep (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimeStep for class vtkMINCImageReader requires 2 argument(s)");
  vtkMINCImageReader* vtk_pointer = GetVTKPointer<vtkMINCImageReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTimeStep(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageReader:GetTimeStep vtkMINCImageReaderGetTimeStepFunction
//input a0 
//output y
ArrayVector vtkMINCImageReaderGetTimeStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTimeStep (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimeStep for class vtkMINCImageReader requires 1 argument(s)");
  vtkMINCImageReader* vtk_pointer = GetVTKPointer<vtkMINCImageReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTimeStep();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageReader:GetImageAttributes vtkMINCImageReaderGetImageAttributesFunction
//input a0 
//output y
ArrayVector vtkMINCImageReaderGetImageAttributesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkMINCImageAttributes *GetImageAttributes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageAttributes for class vtkMINCImageReader requires 1 argument(s)");
  vtkMINCImageReader* vtk_pointer = GetVTKPointer<vtkMINCImageReader>(arg[0]);
  Array retval;
  vtkMINCImageAttributes  *temp20;
  temp20 = (vtk_pointer)->GetImageAttributes();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMINCImageAttributes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageReader:GetDataRange vtkMINCImageReaderGetDataRangeFunction
//input varargin
//output varargout
ArrayVector vtkMINCImageReaderGetDataRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkMINCImageReaderGetDataRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkMINCImageReaderGetDataRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMINCImageReaderGetDataRange");
}

//@@Signature
//sfunction @vtkMINCImageReader:display vtkMINCImageReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMINCImageReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMINCImageReader* vtk_pointer = GetVTKPointer<vtkMINCImageReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMINCImageReader:delete vtkMINCImageReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkMINCImageReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMINCImageReader
//@@Section VTKIO
//@@Usage
// MINC is a NetCDF-based medical image file format that was developed
// at the Montreal Neurological Institute in 1992. 
// This class will read a MINC file into VTK, rearranging the data to
// match the VTK x, y, and z dimensions, and optionally rescaling
// real-valued data to VTK_FLOAT if RescaleRealValuesOn() is set.
// If RescaleRealValues is off, then the data will be stored in its
// original data type and the GetRescaleSlope(), GetRescaleIntercept()
// method can be used to retrieve global rescaling parameters.
// If the original file had a time dimension, the SetTimeStep() method
// can be used to specify a time step to read.
// All of the original header information can be accessed though the
// GetImageAttributes() method.
//
//To create an instance of class vtkMINCImageReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkMINCImageReader
//@]
//@@Methods
//The class vtkMINCImageReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMINCImageReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMINCImageReader = obj.NewInstance ()|
// \item @|vtkMINCImageReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string name)| -  Set the file name.
//// \item @|string = obj.GetFileExtensions ()| -  Get the name of this file format.
//// \item @|string = obj.GetDescriptiveName ()| -  Test whether the specified file can be read.
//// \item @|int = obj.CanReadFile (string name)| -  Test whether the specified file can be read.
//// \item @|vtkMatrix4x4 = obj.GetDirectionCosines ()| -  Get a matrix that describes the orientation of the data.
// The three columns of the matrix are the direction cosines
// for the x, y and z dimensions respectively.
//// \item @|double = obj.GetRescaleSlope ()| -  Get the slope and intercept for rescaling the scalar values
// to real data values.  To convert scalar values to real values,
// use the equation y = x*RescaleSlope + RescaleIntercept.
//// \item @|double = obj.GetRescaleIntercept ()| -  Get the slope and intercept for rescaling the scalar values
// to real data values.  To convert scalar values to real values,
// use the equation y = x*RescaleSlope + RescaleIntercept.
//// \item @|obj.SetRescaleRealValues (int )| -  Rescale real data values to float.  If this is done, the
// RescaleSlope and RescaleIntercept will be set to 1 and 0
// respectively.  This is off by default.
//// \item @|obj.RescaleRealValuesOn ()| -  Rescale real data values to float.  If this is done, the
// RescaleSlope and RescaleIntercept will be set to 1 and 0
// respectively.  This is off by default.
//// \item @|obj.RescaleRealValuesOff ()| -  Rescale real data values to float.  If this is done, the
// RescaleSlope and RescaleIntercept will be set to 1 and 0
// respectively.  This is off by default.
//// \item @|int = obj.GetRescaleRealValues ()| -  Rescale real data values to float.  If this is done, the
// RescaleSlope and RescaleIntercept will be set to 1 and 0
// respectively.  This is off by default.
//// \item @|double = obj.GetDataRange ()| -  Get the scalar range of the output from the information in
// the file header.  This is more efficient that computing the
// scalar range, but in some cases the MINC file stores an
// incorrect valid_range and the DataRange will be incorrect.
//// \item @|obj.GetDataRange (double range[2])| -  Get the scalar range of the output from the information in
// the file header.  This is more efficient that computing the
// scalar range, but in some cases the MINC file stores an
// incorrect valid_range and the DataRange will be incorrect.
//// \item @|int = obj.GetNumberOfTimeSteps ()| -  Get the number of time steps in the file.
//// \item @|obj.SetTimeStep (int )| -  Set the time step to read.
//// \item @|int = obj.GetTimeStep ()| -  Set the time step to read.
//// \item @|vtkMINCImageAttributes = obj.GetImageAttributes ()| -  Get the image attributes, which contain patient information and
// other useful metadata.
////\end{itemize}
//!
