#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMINCImageWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMINCImageWriter.h"

//@@Signature
//sfunction @vtkMINCImageWriter:vtkMINCImageWriter vtkMINCImageWriterConstructorFunction
//input a
//output p
//@@Parents vtkMINCImageWriter vtkImageWriter 
ArrayVector vtkMINCImageWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMINCImageWriter::New(),"vtkMINCImageWriter",eval);
  } else if (arg[0].className() == "vtkMINCImageWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMINCImageWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMINCImageWriter");
    vtkMINCImageWriter*q = reinterpret_cast<vtkMINCImageWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMINCImageWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMINCImageWriter:GetClassName vtkMINCImageWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMINCImageWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMINCImageWriter requires 1 argument(s)");
  vtkMINCImageWriter* vtk_pointer = GetVTKPointer<vtkMINCImageWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageWriter:IsA vtkMINCImageWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMINCImageWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMINCImageWriter requires 2 argument(s)");
  vtkMINCImageWriter* vtk_pointer = GetVTKPointer<vtkMINCImageWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageWriter:NewInstance vtkMINCImageWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMINCImageWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMINCImageWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMINCImageWriter requires 1 argument(s)");
  vtkMINCImageWriter* vtk_pointer = GetVTKPointer<vtkMINCImageWriter>(arg[0]);
  Array retval;
  vtkMINCImageWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMINCImageWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageWriter:SafeDownCast vtkMINCImageWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMINCImageWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMINCImageWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMINCImageWriter requires 2 argument(s)");
  vtkMINCImageWriter* vtk_pointer = GetVTKPointer<vtkMINCImageWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMINCImageWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMINCImageWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageWriter:GetFileExtensions vtkMINCImageWriterGetFileExtensionsFunction
//input a0 
//output y
ArrayVector vtkMINCImageWriterGetFileExtensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetFileExtensions ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetFileExtensions for class vtkMINCImageWriter requires 1 argument(s)");
  vtkMINCImageWriter* vtk_pointer = GetVTKPointer<vtkMINCImageWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetFileExtensions();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageWriter:GetDescriptiveName vtkMINCImageWriterGetDescriptiveNameFunction
//input a0 
//output y
ArrayVector vtkMINCImageWriterGetDescriptiveNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetDescriptiveName ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetDescriptiveName for class vtkMINCImageWriter requires 1 argument(s)");
  vtkMINCImageWriter* vtk_pointer = GetVTKPointer<vtkMINCImageWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDescriptiveName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageWriter:SetFileName vtkMINCImageWriterSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkMINCImageWriterSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetFileName (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkMINCImageWriter requires 2 argument(s)");
  vtkMINCImageWriter* vtk_pointer = GetVTKPointer<vtkMINCImageWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageWriter:Write vtkMINCImageWriterWriteFunction
//input a0 
//output none
ArrayVector vtkMINCImageWriterWriteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Write (); */
  if (arg.size() < 1) 
    throw Exception("Function Write for class vtkMINCImageWriter requires 1 argument(s)");
  vtkMINCImageWriter* vtk_pointer = GetVTKPointer<vtkMINCImageWriter>(arg[0]);
  Array retval;
  vtk_pointer->Write();
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageWriter:SetDirectionCosines vtkMINCImageWriterSetDirectionCosinesFunction
//input a0 a1 
//output none
ArrayVector vtkMINCImageWriterSetDirectionCosinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDirectionCosines (vtkMatrix4x4 *matrix); */
  if (arg.size() < 2) 
    throw Exception("Function SetDirectionCosines for class vtkMINCImageWriter requires 2 argument(s)");
  vtkMINCImageWriter* vtk_pointer = GetVTKPointer<vtkMINCImageWriter>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp0;
  temp0 = GetVTKPointer<vtkMatrix4x4>(arg[1]);
  vtk_pointer->SetDirectionCosines(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageWriter:GetDirectionCosines vtkMINCImageWriterGetDirectionCosinesFunction
//input a0 
//output y
ArrayVector vtkMINCImageWriterGetDirectionCosinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMatrix4x4 *GetDirectionCosines (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDirectionCosines for class vtkMINCImageWriter requires 1 argument(s)");
  vtkMINCImageWriter* vtk_pointer = GetVTKPointer<vtkMINCImageWriter>(arg[0]);
  Array retval;
  vtkMatrix4x4  *temp20;
  temp20 = (vtk_pointer)->GetDirectionCosines();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMatrix4x4",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageWriter:SetRescaleSlope vtkMINCImageWriterSetRescaleSlopeFunction
//input a0 a1 
//output none
ArrayVector vtkMINCImageWriterSetRescaleSlopeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRescaleSlope (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRescaleSlope for class vtkMINCImageWriter requires 2 argument(s)");
  vtkMINCImageWriter* vtk_pointer = GetVTKPointer<vtkMINCImageWriter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRescaleSlope(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageWriter:GetRescaleSlope vtkMINCImageWriterGetRescaleSlopeFunction
//input a0 
//output y
ArrayVector vtkMINCImageWriterGetRescaleSlopeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRescaleSlope (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRescaleSlope for class vtkMINCImageWriter requires 1 argument(s)");
  vtkMINCImageWriter* vtk_pointer = GetVTKPointer<vtkMINCImageWriter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRescaleSlope();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageWriter:SetRescaleIntercept vtkMINCImageWriterSetRescaleInterceptFunction
//input a0 a1 
//output none
ArrayVector vtkMINCImageWriterSetRescaleInterceptFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRescaleIntercept (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetRescaleIntercept for class vtkMINCImageWriter requires 2 argument(s)");
  vtkMINCImageWriter* vtk_pointer = GetVTKPointer<vtkMINCImageWriter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetRescaleIntercept(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageWriter:GetRescaleIntercept vtkMINCImageWriterGetRescaleInterceptFunction
//input a0 
//output y
ArrayVector vtkMINCImageWriterGetRescaleInterceptFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRescaleIntercept (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRescaleIntercept for class vtkMINCImageWriter requires 1 argument(s)");
  vtkMINCImageWriter* vtk_pointer = GetVTKPointer<vtkMINCImageWriter>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRescaleIntercept();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageWriter:SetImageAttributes vtkMINCImageWriterSetImageAttributesFunction
//input a0 a1 
//output none
ArrayVector vtkMINCImageWriterSetImageAttributesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetImageAttributes (vtkMINCImageAttributes *attributes); */
  if (arg.size() < 2) 
    throw Exception("Function SetImageAttributes for class vtkMINCImageWriter requires 2 argument(s)");
  vtkMINCImageWriter* vtk_pointer = GetVTKPointer<vtkMINCImageWriter>(arg[0]);
  Array retval;
  vtkMINCImageAttributes  *temp0;
  temp0 = GetVTKPointer<vtkMINCImageAttributes>(arg[1]);
  vtk_pointer->SetImageAttributes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageWriter:GetImageAttributes vtkMINCImageWriterGetImageAttributesFunction
//input a0 
//output y
ArrayVector vtkMINCImageWriterGetImageAttributesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkMINCImageAttributes *GetImageAttributes ();return this ImageAttributes  */
  if (arg.size() < 1) 
    throw Exception("Function GetImageAttributes for class vtkMINCImageWriter requires 1 argument(s)");
  vtkMINCImageWriter* vtk_pointer = GetVTKPointer<vtkMINCImageWriter>(arg[0]);
  Array retval;
  vtkMINCImageAttributes  *temp20;
  temp20 = (vtk_pointer)->GetImageAttributes();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMINCImageAttributes",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageWriter:SetStrictValidation vtkMINCImageWriterSetStrictValidationFunction
//input a0 a1 
//output none
ArrayVector vtkMINCImageWriterSetStrictValidationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStrictValidation (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetStrictValidation for class vtkMINCImageWriter requires 2 argument(s)");
  vtkMINCImageWriter* vtk_pointer = GetVTKPointer<vtkMINCImageWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetStrictValidation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageWriter:StrictValidationOn vtkMINCImageWriterStrictValidationOnFunction
//input a0 
//output none
ArrayVector vtkMINCImageWriterStrictValidationOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StrictValidationOn (); */
  if (arg.size() < 1) 
    throw Exception("Function StrictValidationOn for class vtkMINCImageWriter requires 1 argument(s)");
  vtkMINCImageWriter* vtk_pointer = GetVTKPointer<vtkMINCImageWriter>(arg[0]);
  Array retval;
  vtk_pointer->StrictValidationOn();
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageWriter:StrictValidationOff vtkMINCImageWriterStrictValidationOffFunction
//input a0 
//output none
ArrayVector vtkMINCImageWriterStrictValidationOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void StrictValidationOff (); */
  if (arg.size() < 1) 
    throw Exception("Function StrictValidationOff for class vtkMINCImageWriter requires 1 argument(s)");
  vtkMINCImageWriter* vtk_pointer = GetVTKPointer<vtkMINCImageWriter>(arg[0]);
  Array retval;
  vtk_pointer->StrictValidationOff();
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageWriter:GetStrictValidation vtkMINCImageWriterGetStrictValidationFunction
//input a0 
//output y
ArrayVector vtkMINCImageWriterGetStrictValidationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetStrictValidation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStrictValidation for class vtkMINCImageWriter requires 1 argument(s)");
  vtkMINCImageWriter* vtk_pointer = GetVTKPointer<vtkMINCImageWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetStrictValidation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageWriter:SetHistoryAddition vtkMINCImageWriterSetHistoryAdditionFunction
//input a0 a1 
//output none
ArrayVector vtkMINCImageWriterSetHistoryAdditionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHistoryAddition (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetHistoryAddition for class vtkMINCImageWriter requires 2 argument(s)");
  vtkMINCImageWriter* vtk_pointer = GetVTKPointer<vtkMINCImageWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetHistoryAddition(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageWriter:GetHistoryAddition vtkMINCImageWriterGetHistoryAdditionFunction
//input a0 
//output y
ArrayVector vtkMINCImageWriterGetHistoryAdditionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetHistoryAddition (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHistoryAddition for class vtkMINCImageWriter requires 1 argument(s)");
  vtkMINCImageWriter* vtk_pointer = GetVTKPointer<vtkMINCImageWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetHistoryAddition();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMINCImageWriter:display vtkMINCImageWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMINCImageWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMINCImageWriter* vtk_pointer = GetVTKPointer<vtkMINCImageWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMINCImageWriter:delete vtkMINCImageWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkMINCImageWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMINCImageWriter
//@@Section VTKIO
//@@Usage
// MINC is a NetCDF-based medical image file format that was developed
// at the Montreal Neurological Institute in 1992. 
// The data is written slice-by-slice, and this writer is therefore
// suitable for streaming MINC data that is larger than the memory
// size through VTK.  This writer can also produce files with up to
// 4 dimensions, where the fourth dimension is provided by using
// AddInput() to specify multiple input data sets.  If you want to
// set header information for the file, you must supply a
// vtkMINCImageAttributes 
//
//To create an instance of class vtkMINCImageWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkMINCImageWriter
//@]
//@@Methods
//The class vtkMINCImageWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMINCImageWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMINCImageWriter = obj.NewInstance ()|
// \item @|vtkMINCImageWriter = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetFileExtensions ()| -  Get the name of this file format.
//// \item @|string = obj.GetDescriptiveName ()| -  Set the file name.
//// \item @|obj.SetFileName (string name)| -  Set the file name.
//// \item @|obj.Write ()| -  Write the data.  This will attempt to stream the data
// slice-by-slice through the pipeline and out to the file,
// unless the whole extent of the input has already been
// updated.
//// \item @|obj.SetDirectionCosines (vtkMatrix4x4 matrix)| -  Set a matrix that describes the orientation of the data.  The
// three columns of this matrix should give the unit-vector
// directions for the VTK x, y and z dimensions respectively.  
// The writer will use this information to determine how to map
// the VTK dimensions to the canonical MINC dimensions, and if
// necessary, the writer will re-order one or more dimensions
// back-to-front to ensure that no MINC dimension ends up with
// a direction cosines vector whose dot product with the canonical
// unit vector for that dimension is negative.
//// \item @|vtkMatrix4x4 = obj.GetDirectionCosines ()| -  Set a matrix that describes the orientation of the data.  The
// three columns of this matrix should give the unit-vector
// directions for the VTK x, y and z dimensions respectively.  
// The writer will use this information to determine how to map
// the VTK dimensions to the canonical MINC dimensions, and if
// necessary, the writer will re-order one or more dimensions
// back-to-front to ensure that no MINC dimension ends up with
// a direction cosines vector whose dot product with the canonical
// unit vector for that dimension is negative.
//// \item @|obj.SetRescaleSlope (double )| -  Set the slope and intercept for rescaling the intensities.  The
// default values are zero, which indicates to the reader that no
// rescaling is to be performed.
//// \item @|double = obj.GetRescaleSlope ()| -  Set the slope and intercept for rescaling the intensities.  The
// default values are zero, which indicates to the reader that no
// rescaling is to be performed.
//// \item @|obj.SetRescaleIntercept (double )| -  Set the slope and intercept for rescaling the intensities.  The
// default values are zero, which indicates to the reader that no
// rescaling is to be performed.
//// \item @|double = obj.GetRescaleIntercept ()| -  Set the slope and intercept for rescaling the intensities.  The
// default values are zero, which indicates to the reader that no
// rescaling is to be performed.
//// \item @|obj.SetImageAttributes (vtkMINCImageAttributes attributes)| -  Set the image attributes, which contain patient information and
// other useful metadata.
//// \item @|vtkMINCImageAttributes = obj.GetImageAttributes ()| -  Set the image attributes, which contain patient information and
// other useful metadata.
//// \item @|obj.SetStrictValidation (int )| -  Set whether to validate that all variable attributes that
// have been set are ones that are listed in the MINC standard.
//// \item @|obj.StrictValidationOn ()| -  Set whether to validate that all variable attributes that
// have been set are ones that are listed in the MINC standard.
//// \item @|obj.StrictValidationOff ()| -  Set whether to validate that all variable attributes that
// have been set are ones that are listed in the MINC standard.
//// \item @|int = obj.GetStrictValidation ()| -  Set whether to validate that all variable attributes that
// have been set are ones that are listed in the MINC standard.
//// \item @|obj.SetHistoryAddition (string )| -  Set a string value to append to the history of the file.  This
// string should describe, briefly, how the file was processed.
//// \item @|string = obj.GetHistoryAddition ()| -  Set a string value to append to the history of the file.  This
// string should describe, briefly, how the file was processed.
////\end{itemize}
//!
