#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMaterialLibrary object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMaterialLibrary.h"

//@@Signature
//sfunction @vtkMaterialLibrary:vtkMaterialLibrary vtkMaterialLibraryConstructorFunction
//input a
//output p
//@@Parents vtkMaterialLibrary vtkObject 
ArrayVector vtkMaterialLibraryConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMaterialLibrary::New(),"vtkMaterialLibrary",eval);
  } else if (arg[0].className() == "vtkMaterialLibrary") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMaterialLibrary"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMaterialLibrary");
    vtkMaterialLibrary*q = reinterpret_cast<vtkMaterialLibrary*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMaterialLibrary");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMaterialLibrary:GetClassName vtkMaterialLibraryGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMaterialLibraryGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMaterialLibrary requires 1 argument(s)");
  vtkMaterialLibrary* vtk_pointer = GetVTKPointer<vtkMaterialLibrary>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMaterialLibrary:IsA vtkMaterialLibraryIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMaterialLibraryIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMaterialLibrary requires 2 argument(s)");
  vtkMaterialLibrary* vtk_pointer = GetVTKPointer<vtkMaterialLibrary>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMaterialLibrary:NewInstance vtkMaterialLibraryNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMaterialLibraryNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMaterialLibrary *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMaterialLibrary requires 1 argument(s)");
  vtkMaterialLibrary* vtk_pointer = GetVTKPointer<vtkMaterialLibrary>(arg[0]);
  Array retval;
  vtkMaterialLibrary  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMaterialLibrary",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMaterialLibrary:SafeDownCast vtkMaterialLibrarySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMaterialLibrarySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMaterialLibrary *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMaterialLibrary requires 2 argument(s)");
  vtkMaterialLibrary* vtk_pointer = GetVTKPointer<vtkMaterialLibrary>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMaterialLibrary  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMaterialLibrary",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMaterialLibrary:GetMaterial vtkMaterialLibraryGetMaterialFunction
//input a0 a1 
//output y
ArrayVector vtkMaterialLibraryGetMaterialFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static char *GetMaterial (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetMaterial for class vtkMaterialLibrary requires 2 argument(s)");
  vtkMaterialLibrary* vtk_pointer = GetVTKPointer<vtkMaterialLibrary>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetMaterial(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMaterialLibrary:GetNumberOfMaterials vtkMaterialLibraryGetNumberOfMaterialsFunction
//input a0 
//output y
ArrayVector vtkMaterialLibraryGetNumberOfMaterialsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static unsigned int GetNumberOfMaterials (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfMaterials for class vtkMaterialLibrary requires 1 argument(s)");
  vtkMaterialLibrary* vtk_pointer = GetVTKPointer<vtkMaterialLibrary>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfMaterials();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMaterialLibrary:display vtkMaterialLibraryDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMaterialLibraryDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMaterialLibrary* vtk_pointer = GetVTKPointer<vtkMaterialLibrary>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMaterialLibrary:delete vtkMaterialLibraryDeleteFunction
//input varargin
//output none
ArrayVector vtkMaterialLibraryDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMaterialLibrary
//@@Section VTKIO
//@@Usage
// This class provides the Material XMLs.
// .SECTION Thanks
// Shader support in VTK includes key contributions by Gary Templet at 
// Sandia National Labs.
//
//To create an instance of class vtkMaterialLibrary, simply
//invoke its constructor as follows
//@[
//  obj = vtkMaterialLibrary
//@]
//@@Methods
//The class vtkMaterialLibrary has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMaterialLibrary class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMaterialLibrary = obj.NewInstance ()|
// \item @|vtkMaterialLibrary = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
