#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMedicalImageProperties object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMedicalImageProperties.h"

//@@Signature
//sfunction @vtkMedicalImageProperties:vtkMedicalImageProperties vtkMedicalImagePropertiesConstructorFunction
//input a
//output p
//@@Parents vtkMedicalImageProperties vtkObject 
ArrayVector vtkMedicalImagePropertiesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMedicalImageProperties::New(),"vtkMedicalImageProperties",eval);
  } else if (arg[0].className() == "vtkMedicalImageProperties") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMedicalImageProperties"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMedicalImageProperties");
    vtkMedicalImageProperties*q = reinterpret_cast<vtkMedicalImageProperties*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMedicalImageProperties");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMedicalImageProperties:GetClassName vtkMedicalImagePropertiesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:IsA vtkMedicalImagePropertiesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMedicalImagePropertiesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:NewInstance vtkMedicalImagePropertiesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMedicalImageProperties *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  vtkMedicalImageProperties  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMedicalImageProperties",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SafeDownCast vtkMedicalImagePropertiesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMedicalImagePropertiesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMedicalImageProperties *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMedicalImageProperties  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMedicalImageProperties",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:Clear vtkMedicalImagePropertiesClearFunction
//input a0 
//output none
ArrayVector vtkMedicalImagePropertiesClearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Clear (); */
  if (arg.size() < 1) 
    throw Exception("Function Clear for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  vtk_pointer->Clear();
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetPatientName vtkMedicalImagePropertiesSetPatientNameFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetPatientNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPatientName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetPatientName for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetPatientName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetPatientName vtkMedicalImagePropertiesGetPatientNameFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetPatientNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetPatientName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPatientName for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetPatientName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetPatientID vtkMedicalImagePropertiesSetPatientIDFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetPatientIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPatientID (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetPatientID for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetPatientID(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetPatientID vtkMedicalImagePropertiesGetPatientIDFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetPatientIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetPatientID (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPatientID for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetPatientID();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetPatientAge vtkMedicalImagePropertiesSetPatientAgeFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetPatientAgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPatientAge (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetPatientAge for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetPatientAge(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetPatientAge vtkMedicalImagePropertiesGetPatientAgeFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetPatientAgeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetPatientAge (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPatientAge for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetPatientAge();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetPatientAgeYear vtkMedicalImagePropertiesGetPatientAgeYearFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetPatientAgeYearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPatientAgeYear (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPatientAgeYear for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPatientAgeYear();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetPatientAgeMonth vtkMedicalImagePropertiesGetPatientAgeMonthFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetPatientAgeMonthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPatientAgeMonth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPatientAgeMonth for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPatientAgeMonth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetPatientAgeWeek vtkMedicalImagePropertiesGetPatientAgeWeekFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetPatientAgeWeekFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPatientAgeWeek (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPatientAgeWeek for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPatientAgeWeek();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetPatientAgeDay vtkMedicalImagePropertiesGetPatientAgeDayFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetPatientAgeDayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPatientAgeDay (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPatientAgeDay for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPatientAgeDay();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetPatientSex vtkMedicalImagePropertiesSetPatientSexFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetPatientSexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPatientSex (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetPatientSex for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetPatientSex(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetPatientSex vtkMedicalImagePropertiesGetPatientSexFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetPatientSexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetPatientSex (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPatientSex for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetPatientSex();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetPatientBirthDate vtkMedicalImagePropertiesSetPatientBirthDateFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetPatientBirthDateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPatientBirthDate (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetPatientBirthDate for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetPatientBirthDate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetPatientBirthDate vtkMedicalImagePropertiesGetPatientBirthDateFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetPatientBirthDateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetPatientBirthDate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPatientBirthDate for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetPatientBirthDate();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetPatientBirthDateYear vtkMedicalImagePropertiesGetPatientBirthDateYearFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetPatientBirthDateYearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPatientBirthDateYear (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPatientBirthDateYear for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPatientBirthDateYear();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetPatientBirthDateMonth vtkMedicalImagePropertiesGetPatientBirthDateMonthFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetPatientBirthDateMonthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPatientBirthDateMonth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPatientBirthDateMonth for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPatientBirthDateMonth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetPatientBirthDateDay vtkMedicalImagePropertiesGetPatientBirthDateDayFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetPatientBirthDateDayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPatientBirthDateDay (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPatientBirthDateDay for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPatientBirthDateDay();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetStudyDate vtkMedicalImagePropertiesSetStudyDateFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetStudyDateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStudyDate (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetStudyDate for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetStudyDate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetStudyDate vtkMedicalImagePropertiesGetStudyDateFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetStudyDateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetStudyDate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStudyDate for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetStudyDate();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetAcquisitionDate vtkMedicalImagePropertiesSetAcquisitionDateFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetAcquisitionDateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAcquisitionDate (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetAcquisitionDate for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetAcquisitionDate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetAcquisitionDate vtkMedicalImagePropertiesGetAcquisitionDateFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetAcquisitionDateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetAcquisitionDate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAcquisitionDate for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetAcquisitionDate();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetAcquisitionDateYear vtkMedicalImagePropertiesGetAcquisitionDateYearFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetAcquisitionDateYearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAcquisitionDateYear (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAcquisitionDateYear for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAcquisitionDateYear();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetAcquisitionDateMonth vtkMedicalImagePropertiesGetAcquisitionDateMonthFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetAcquisitionDateMonthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAcquisitionDateMonth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAcquisitionDateMonth for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAcquisitionDateMonth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetAcquisitionDateDay vtkMedicalImagePropertiesGetAcquisitionDateDayFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetAcquisitionDateDayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAcquisitionDateDay (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAcquisitionDateDay for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAcquisitionDateDay();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetStudyTime vtkMedicalImagePropertiesSetStudyTimeFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetStudyTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStudyTime (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetStudyTime for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetStudyTime(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetStudyTime vtkMedicalImagePropertiesGetStudyTimeFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetStudyTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetStudyTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStudyTime for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetStudyTime();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetAcquisitionTime vtkMedicalImagePropertiesSetAcquisitionTimeFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetAcquisitionTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAcquisitionTime (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetAcquisitionTime for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetAcquisitionTime(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetAcquisitionTime vtkMedicalImagePropertiesGetAcquisitionTimeFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetAcquisitionTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetAcquisitionTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAcquisitionTime for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetAcquisitionTime();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetImageDate vtkMedicalImagePropertiesSetImageDateFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetImageDateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImageDate (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetImageDate for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetImageDate(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetImageDate vtkMedicalImagePropertiesGetImageDateFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetImageDateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetImageDate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageDate for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetImageDate();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetImageDateYear vtkMedicalImagePropertiesGetImageDateYearFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetImageDateYearFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetImageDateYear (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageDateYear for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetImageDateYear();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetImageDateMonth vtkMedicalImagePropertiesGetImageDateMonthFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetImageDateMonthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetImageDateMonth (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageDateMonth for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetImageDateMonth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetImageDateDay vtkMedicalImagePropertiesGetImageDateDayFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetImageDateDayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetImageDateDay (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageDateDay for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetImageDateDay();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetDateAsLocale vtkMedicalImagePropertiesGetDateAsLocaleFunction
//input a0 a1 a2 
//output y
ArrayVector vtkMedicalImagePropertiesGetDateAsLocaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int GetDateAsLocale (const char *date, char *locale); */
  if (arg.size() < 3) 
    throw Exception("Function GetDateAsLocale for class vtkMedicalImageProperties requires 3 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  temp20 = (vtk_pointer)->GetDateAsLocale(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetImageTime vtkMedicalImagePropertiesSetImageTimeFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetImageTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImageTime (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetImageTime for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetImageTime(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetImageTime vtkMedicalImagePropertiesGetImageTimeFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetImageTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetImageTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageTime for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetImageTime();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetImageNumber vtkMedicalImagePropertiesSetImageNumberFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetImageNumberFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImageNumber (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetImageNumber for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetImageNumber(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetImageNumber vtkMedicalImagePropertiesGetImageNumberFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetImageNumberFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetImageNumber (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageNumber for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetImageNumber();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetSeriesNumber vtkMedicalImagePropertiesSetSeriesNumberFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetSeriesNumberFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSeriesNumber (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSeriesNumber for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetSeriesNumber(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetSeriesNumber vtkMedicalImagePropertiesGetSeriesNumberFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetSeriesNumberFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetSeriesNumber (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSeriesNumber for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetSeriesNumber();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetSeriesDescription vtkMedicalImagePropertiesSetSeriesDescriptionFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetSeriesDescriptionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSeriesDescription (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSeriesDescription for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetSeriesDescription(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetSeriesDescription vtkMedicalImagePropertiesGetSeriesDescriptionFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetSeriesDescriptionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetSeriesDescription (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSeriesDescription for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetSeriesDescription();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetStudyID vtkMedicalImagePropertiesSetStudyIDFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetStudyIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStudyID (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetStudyID for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetStudyID(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetStudyID vtkMedicalImagePropertiesGetStudyIDFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetStudyIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetStudyID (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStudyID for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetStudyID();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetStudyDescription vtkMedicalImagePropertiesSetStudyDescriptionFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetStudyDescriptionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStudyDescription (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetStudyDescription for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetStudyDescription(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetStudyDescription vtkMedicalImagePropertiesGetStudyDescriptionFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetStudyDescriptionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetStudyDescription (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStudyDescription for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetStudyDescription();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetModality vtkMedicalImagePropertiesSetModalityFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetModalityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetModality (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetModality for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetModality(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetModality vtkMedicalImagePropertiesGetModalityFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetModalityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetModality (); */
  if (arg.size() < 1) 
    throw Exception("Function GetModality for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetModality();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetManufacturer vtkMedicalImagePropertiesSetManufacturerFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetManufacturerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetManufacturer (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetManufacturer for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetManufacturer(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetManufacturer vtkMedicalImagePropertiesGetManufacturerFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetManufacturerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetManufacturer (); */
  if (arg.size() < 1) 
    throw Exception("Function GetManufacturer for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetManufacturer();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetManufacturerModelName vtkMedicalImagePropertiesSetManufacturerModelNameFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetManufacturerModelNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetManufacturerModelName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetManufacturerModelName for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetManufacturerModelName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetManufacturerModelName vtkMedicalImagePropertiesGetManufacturerModelNameFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetManufacturerModelNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetManufacturerModelName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetManufacturerModelName for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetManufacturerModelName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetStationName vtkMedicalImagePropertiesSetStationNameFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetStationNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStationName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetStationName for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetStationName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetStationName vtkMedicalImagePropertiesGetStationNameFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetStationNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetStationName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStationName for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetStationName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetInstitutionName vtkMedicalImagePropertiesSetInstitutionNameFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetInstitutionNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInstitutionName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInstitutionName for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetInstitutionName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetInstitutionName vtkMedicalImagePropertiesGetInstitutionNameFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetInstitutionNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetInstitutionName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInstitutionName for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetInstitutionName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetConvolutionKernel vtkMedicalImagePropertiesSetConvolutionKernelFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetConvolutionKernelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetConvolutionKernel (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetConvolutionKernel for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetConvolutionKernel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetConvolutionKernel vtkMedicalImagePropertiesGetConvolutionKernelFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetConvolutionKernelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetConvolutionKernel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetConvolutionKernel for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetConvolutionKernel();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetSliceThickness vtkMedicalImagePropertiesSetSliceThicknessFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetSliceThicknessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSliceThickness (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSliceThickness for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetSliceThickness(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetSliceThickness vtkMedicalImagePropertiesGetSliceThicknessFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetSliceThicknessFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetSliceThickness (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSliceThickness for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetSliceThickness();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetSliceThicknessAsDouble vtkMedicalImagePropertiesGetSliceThicknessAsDoubleFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetSliceThicknessAsDoubleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetSliceThicknessAsDouble (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSliceThicknessAsDouble for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetSliceThicknessAsDouble();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetKVP vtkMedicalImagePropertiesSetKVPFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetKVPFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetKVP (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetKVP for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetKVP(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetKVP vtkMedicalImagePropertiesGetKVPFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetKVPFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetKVP (); */
  if (arg.size() < 1) 
    throw Exception("Function GetKVP for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetKVP();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetGantryTilt vtkMedicalImagePropertiesSetGantryTiltFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetGantryTiltFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGantryTilt (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetGantryTilt for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetGantryTilt(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetGantryTilt vtkMedicalImagePropertiesGetGantryTiltFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetGantryTiltFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetGantryTilt (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGantryTilt for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetGantryTilt();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetGantryTiltAsDouble vtkMedicalImagePropertiesGetGantryTiltAsDoubleFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetGantryTiltAsDoubleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double GetGantryTiltAsDouble (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGantryTiltAsDouble for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetGantryTiltAsDouble();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetEchoTime vtkMedicalImagePropertiesSetEchoTimeFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetEchoTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEchoTime (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetEchoTime for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetEchoTime(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetEchoTime vtkMedicalImagePropertiesGetEchoTimeFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetEchoTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetEchoTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEchoTime for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetEchoTime();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetEchoTrainLength vtkMedicalImagePropertiesSetEchoTrainLengthFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetEchoTrainLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEchoTrainLength (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetEchoTrainLength for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetEchoTrainLength(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetEchoTrainLength vtkMedicalImagePropertiesGetEchoTrainLengthFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetEchoTrainLengthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetEchoTrainLength (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEchoTrainLength for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetEchoTrainLength();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetRepetitionTime vtkMedicalImagePropertiesSetRepetitionTimeFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetRepetitionTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRepetitionTime (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetRepetitionTime for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetRepetitionTime(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetRepetitionTime vtkMedicalImagePropertiesGetRepetitionTimeFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetRepetitionTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetRepetitionTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRepetitionTime for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetRepetitionTime();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetExposureTime vtkMedicalImagePropertiesSetExposureTimeFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetExposureTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExposureTime (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetExposureTime for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetExposureTime(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetExposureTime vtkMedicalImagePropertiesGetExposureTimeFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetExposureTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetExposureTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExposureTime for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetExposureTime();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetXRayTubeCurrent vtkMedicalImagePropertiesSetXRayTubeCurrentFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetXRayTubeCurrentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetXRayTubeCurrent (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetXRayTubeCurrent for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetXRayTubeCurrent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetXRayTubeCurrent vtkMedicalImagePropertiesGetXRayTubeCurrentFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetXRayTubeCurrentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetXRayTubeCurrent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXRayTubeCurrent for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetXRayTubeCurrent();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetExposure vtkMedicalImagePropertiesSetExposureFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetExposureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetExposure (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetExposure for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetExposure(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetExposure vtkMedicalImagePropertiesGetExposureFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetExposureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetExposure (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExposure for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetExposure();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetDirectionCosine__1 vtkMedicalImagePropertiesSetDirectionCosine__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkMedicalImagePropertiesSetDirectionCosine__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDirectionCosine (double , double , double , double , double , double ); */
  if (arg.size() < 7) 
    throw Exception("Function SetDirectionCosine__1 for class vtkMedicalImageProperties requires 7 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (double) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (double) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (double) arg[6].asDouble();
  vtk_pointer->SetDirectionCosine(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetDirectionCosine__2 vtkMedicalImagePropertiesSetDirectionCosine__2Function
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesSetDirectionCosine__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDirectionCosine (double  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDirectionCosine__2 for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  double temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetDirectionCosine(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetDirectionCosine vtkMedicalImagePropertiesGetDirectionCosineFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetDirectionCosineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetDirectionCosine (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDirectionCosine for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetDirectionCosine();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:AddUserDefinedValue vtkMedicalImagePropertiesAddUserDefinedValueFunction
//input a0 a1 a2 
//output none
ArrayVector vtkMedicalImagePropertiesAddUserDefinedValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddUserDefinedValue (const char *name, const char *value); */
  if (arg.size() < 3) 
    throw Exception("Function AddUserDefinedValue for class vtkMedicalImageProperties requires 3 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->AddUserDefinedValue(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetUserDefinedValue vtkMedicalImagePropertiesGetUserDefinedValueFunction
//input a0 a1 
//output y
ArrayVector vtkMedicalImagePropertiesGetUserDefinedValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetUserDefinedValue (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetUserDefinedValue for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  char    *temp0;
  const char    *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetUserDefinedValue(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetNumberOfUserDefinedValues vtkMedicalImagePropertiesGetNumberOfUserDefinedValuesFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetNumberOfUserDefinedValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned int GetNumberOfUserDefinedValues (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfUserDefinedValues for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfUserDefinedValues();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetUserDefinedNameByIndex vtkMedicalImagePropertiesGetUserDefinedNameByIndexFunction
//input a0 a1 
//output y
ArrayVector vtkMedicalImagePropertiesGetUserDefinedNameByIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetUserDefinedNameByIndex (unsigned int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetUserDefinedNameByIndex for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  unsigned int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetUserDefinedNameByIndex(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetUserDefinedValueByIndex vtkMedicalImagePropertiesGetUserDefinedValueByIndexFunction
//input a0 a1 
//output y
ArrayVector vtkMedicalImagePropertiesGetUserDefinedValueByIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetUserDefinedValueByIndex (unsigned int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetUserDefinedValueByIndex for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  unsigned int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetUserDefinedValueByIndex(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:RemoveAllUserDefinedValues vtkMedicalImagePropertiesRemoveAllUserDefinedValuesFunction
//input a0 
//output none
ArrayVector vtkMedicalImagePropertiesRemoveAllUserDefinedValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveAllUserDefinedValues (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllUserDefinedValues for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllUserDefinedValues();
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:AddWindowLevelPreset vtkMedicalImagePropertiesAddWindowLevelPresetFunction
//input a0 a1 a2 
//output y
ArrayVector vtkMedicalImagePropertiesAddWindowLevelPresetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int AddWindowLevelPreset (double w, double l); */
  if (arg.size() < 3) 
    throw Exception("Function AddWindowLevelPreset for class vtkMedicalImageProperties requires 3 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  temp20 = (vtk_pointer)->AddWindowLevelPreset(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:RemoveWindowLevelPreset vtkMedicalImagePropertiesRemoveWindowLevelPresetFunction
//input a0 a1 a2 
//output none
ArrayVector vtkMedicalImagePropertiesRemoveWindowLevelPresetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveWindowLevelPreset (double w, double l); */
  if (arg.size() < 3) 
    throw Exception("Function RemoveWindowLevelPreset for class vtkMedicalImageProperties requires 3 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  vtk_pointer->RemoveWindowLevelPreset(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:RemoveAllWindowLevelPresets vtkMedicalImagePropertiesRemoveAllWindowLevelPresetsFunction
//input a0 
//output none
ArrayVector vtkMedicalImagePropertiesRemoveAllWindowLevelPresetsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveAllWindowLevelPresets (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllWindowLevelPresets for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllWindowLevelPresets();
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetNumberOfWindowLevelPresets vtkMedicalImagePropertiesGetNumberOfWindowLevelPresetsFunction
//input a0 
//output y
ArrayVector vtkMedicalImagePropertiesGetNumberOfWindowLevelPresetsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfWindowLevelPresets (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfWindowLevelPresets for class vtkMedicalImageProperties requires 1 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfWindowLevelPresets();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:HasWindowLevelPreset vtkMedicalImagePropertiesHasWindowLevelPresetFunction
//input a0 a1 a2 
//output y
ArrayVector vtkMedicalImagePropertiesHasWindowLevelPresetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int HasWindowLevelPreset (double w, double l); */
  if (arg.size() < 3) 
    throw Exception("Function HasWindowLevelPreset for class vtkMedicalImageProperties requires 3 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  temp20 = (vtk_pointer)->HasWindowLevelPreset(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetWindowLevelPresetIndex vtkMedicalImagePropertiesGetWindowLevelPresetIndexFunction
//input a0 a1 a2 
//output y
ArrayVector vtkMedicalImagePropertiesGetWindowLevelPresetIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetWindowLevelPresetIndex (double w, double l); */
  if (arg.size() < 3) 
    throw Exception("Function GetWindowLevelPresetIndex for class vtkMedicalImageProperties requires 3 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetWindowLevelPresetIndex(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetNthWindowLevelPreset__1 vtkMedicalImagePropertiesGetNthWindowLevelPreset__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkMedicalImagePropertiesGetNthWindowLevelPreset__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNthWindowLevelPreset (int idx, double *w, double *l); */
  if (arg.size() < 4) 
    throw Exception("Function GetNthWindowLevelPreset__1 for class vtkMedicalImageProperties requires 4 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  int      temp0;
  double  *temp1;
  double  *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
    if ( !arg[3].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[3].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp2 = new double[length];
      for ( int k = 0; k < length; k++ ) temp2[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->GetNthWindowLevelPreset(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetNthWindowLevelPreset__2 vtkMedicalImagePropertiesGetNthWindowLevelPreset__2Function
//input a0 a1 
//output y
ArrayVector vtkMedicalImagePropertiesGetNthWindowLevelPreset__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual double *GetNthWindowLevelPreset (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetNthWindowLevelPreset__2 for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  int      temp0;
  double  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNthWindowLevelPreset(temp0);
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetNthWindowLevelPresetComment vtkMedicalImagePropertiesSetNthWindowLevelPresetCommentFunction
//input a0 a1 a2 
//output none
ArrayVector vtkMedicalImagePropertiesSetNthWindowLevelPresetCommentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetNthWindowLevelPresetComment (int idx, const char *comment); */
  if (arg.size() < 3) 
    throw Exception("Function SetNthWindowLevelPresetComment for class vtkMedicalImageProperties requires 3 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->SetNthWindowLevelPresetComment(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetNthWindowLevelPresetComment vtkMedicalImagePropertiesGetNthWindowLevelPresetCommentFunction
//input a0 a1 
//output y
ArrayVector vtkMedicalImagePropertiesGetNthWindowLevelPresetCommentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetNthWindowLevelPresetComment (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetNthWindowLevelPresetComment for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNthWindowLevelPresetComment(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetInstanceUIDFromSliceID vtkMedicalImagePropertiesGetInstanceUIDFromSliceIDFunction
//input a0 a1 a2 
//output y
ArrayVector vtkMedicalImagePropertiesGetInstanceUIDFromSliceIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetInstanceUIDFromSliceID (int volumeidx, int sliceid); */
  if (arg.size() < 3) 
    throw Exception("Function GetInstanceUIDFromSliceID for class vtkMedicalImageProperties requires 3 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetInstanceUIDFromSliceID(temp0,temp1);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetInstanceUIDFromSliceID vtkMedicalImagePropertiesSetInstanceUIDFromSliceIDFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkMedicalImagePropertiesSetInstanceUIDFromSliceIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInstanceUIDFromSliceID (int volumeidx, int sliceid, const char *uid); */
  if (arg.size() < 4) 
    throw Exception("Function SetInstanceUIDFromSliceID for class vtkMedicalImageProperties requires 4 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  char    *temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  char tmp_string2[1024];
  strcpy(tmp_string2,qPrintable(arg[3].asString())); 
  temp2 = tmp_string2;
  vtk_pointer->SetInstanceUIDFromSliceID(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetOrientationType vtkMedicalImagePropertiesGetOrientationTypeFunction
//input a0 a1 
//output y
ArrayVector vtkMedicalImagePropertiesGetOrientationTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOrientationType (int volumeidx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOrientationType for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOrientationType(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetOrientationType vtkMedicalImagePropertiesSetOrientationTypeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkMedicalImagePropertiesSetOrientationTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrientationType (int volumeidx, int orientation); */
  if (arg.size() < 3) 
    throw Exception("Function SetOrientationType for class vtkMedicalImageProperties requires 3 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetOrientationType(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetStringFromOrientationType vtkMedicalImagePropertiesGetStringFromOrientationTypeFunction
//input a0 a1 
//output y
ArrayVector vtkMedicalImagePropertiesGetStringFromOrientationTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static const char *GetStringFromOrientationType (unsigned int type); */
  if (arg.size() < 2) 
    throw Exception("Function GetStringFromOrientationType for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  unsigned int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetStringFromOrientationType(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:DeepCopy vtkMedicalImagePropertiesDeepCopyFunction
//input a0 a1 
//output none
ArrayVector vtkMedicalImagePropertiesDeepCopyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void DeepCopy (vtkMedicalImageProperties *p); */
  if (arg.size() < 2) 
    throw Exception("Function DeepCopy for class vtkMedicalImageProperties requires 2 argument(s)");
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  Array retval;
  vtkMedicalImageProperties  *temp0;
  temp0 = GetVTKPointer<vtkMedicalImageProperties>(arg[1]);
  vtk_pointer->DeepCopy(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMedicalImageProperties:SetDirectionCosine vtkMedicalImagePropertiesSetDirectionCosineFunction
//input varargin
//output varargout
ArrayVector vtkMedicalImagePropertiesSetDirectionCosineFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkMedicalImagePropertiesSetDirectionCosine__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkMedicalImagePropertiesSetDirectionCosine__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMedicalImagePropertiesSetDirectionCosine");
}

//@@Signature
//sfunction @vtkMedicalImageProperties:GetNthWindowLevelPreset vtkMedicalImagePropertiesGetNthWindowLevelPresetFunction
//input varargin
//output varargout
ArrayVector vtkMedicalImagePropertiesGetNthWindowLevelPresetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsVectorArg(arg[2]) && VTKIsVectorArg(arg[3]))
    return vtkMedicalImagePropertiesGetNthWindowLevelPreset__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkMedicalImagePropertiesGetNthWindowLevelPreset__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkMedicalImagePropertiesGetNthWindowLevelPreset");
}

//@@Signature
//sfunction @vtkMedicalImageProperties:display vtkMedicalImagePropertiesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMedicalImagePropertiesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMedicalImageProperties* vtk_pointer = GetVTKPointer<vtkMedicalImageProperties>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMedicalImageProperties:delete vtkMedicalImagePropertiesDeleteFunction
//input varargin
//output none
ArrayVector vtkMedicalImagePropertiesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMedicalImageProperties
//@@Section VTKIO
//@@Usage
// vtkMedicalImageProperties is a helper class that can be used by medical
// image readers and applications to encapsulate medical image/acquisition
// properties. Later on, this should probably be extended to add
// any user-defined property.
//
//To create an instance of class vtkMedicalImageProperties, simply
//invoke its constructor as follows
//@[
//  obj = vtkMedicalImageProperties
//@]
//@@Methods
//The class vtkMedicalImageProperties has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMedicalImageProperties class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMedicalImageProperties = obj.NewInstance ()|
// \item @|vtkMedicalImageProperties = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Clear ()| -  Convenience method to reset all fields to an emptry string/value
//// \item @|obj.SetPatientName (string )| -  Patient name
// For ex: DICOM (0010,0010) = DOE,JOHN
//// \item @|string = obj.GetPatientName ()| -  Patient name
// For ex: DICOM (0010,0010) = DOE,JOHN
//// \item @|obj.SetPatientID (string )| -  Patient ID
// For ex: DICOM (0010,0020) = 1933197
//// \item @|string = obj.GetPatientID ()| -  Patient ID
// For ex: DICOM (0010,0020) = 1933197
//// \item @|obj.SetPatientAge (string )| -  Patient age
// Format: nnnD, nnW, nnnM or nnnY (eventually nnD, nnW, nnY)
//         with D (day), M (month), W (week), Y (year)
// For ex: DICOM (0010,1010) = 031Y
//// \item @|string = obj.GetPatientAge ()| -  Patient age
// Format: nnnD, nnW, nnnM or nnnY (eventually nnD, nnW, nnY)
//         with D (day), M (month), W (week), Y (year)
// For ex: DICOM (0010,1010) = 031Y
//// \item @|int = obj.GetPatientAgeYear ()|
// \item @|int = obj.GetPatientAgeMonth ()|
// \item @|int = obj.GetPatientAgeWeek ()|
// \item @|int = obj.GetPatientAgeDay ()|
// \item @|obj.SetPatientSex (string )| -  Patient sex
// For ex: DICOM (0010,0040) = M
//// \item @|string = obj.GetPatientSex ()| -  Patient sex
// For ex: DICOM (0010,0040) = M
//// \item @|obj.SetPatientBirthDate (string )| -  Patient birth date
// Format: yyyymmdd
// For ex: DICOM (0010,0030) = 19680427
//// \item @|string = obj.GetPatientBirthDate ()| -  Patient birth date
// Format: yyyymmdd
// For ex: DICOM (0010,0030) = 19680427
//// \item @|int = obj.GetPatientBirthDateYear ()|
// \item @|int = obj.GetPatientBirthDateMonth ()|
// \item @|int = obj.GetPatientBirthDateDay ()|
// \item @|obj.SetStudyDate (string )| -  Study Date
// Format: yyyymmdd
// For ex: DICOM (0008,0020) = 20030617
//// \item @|string = obj.GetStudyDate ()| -  Study Date
// Format: yyyymmdd
// For ex: DICOM (0008,0020) = 20030617
//// \item @|obj.SetAcquisitionDate (string )| -  Acquisition Date
// Format: yyyymmdd
// For ex: DICOM (0008,0022) = 20030617
//// \item @|string = obj.GetAcquisitionDate ()| -  Acquisition Date
// Format: yyyymmdd
// For ex: DICOM (0008,0022) = 20030617
//// \item @|int = obj.GetAcquisitionDateYear ()|
// \item @|int = obj.GetAcquisitionDateMonth ()|
// \item @|int = obj.GetAcquisitionDateDay ()|
// \item @|obj.SetStudyTime (string )| -  Study Time
// Format: hhmmss.frac (any trailing component(s) can be ommited)
// For ex: DICOM (0008,0030) = 162552.0705 or 230012, or 0012
//// \item @|string = obj.GetStudyTime ()| -  Study Time
// Format: hhmmss.frac (any trailing component(s) can be ommited)
// For ex: DICOM (0008,0030) = 162552.0705 or 230012, or 0012
//// \item @|obj.SetAcquisitionTime (string )| -  Acquisition time
// Format: hhmmss.frac (any trailing component(s) can be ommited)
// For ex: DICOM (0008,0032) = 162552.0705 or 230012, or 0012
//// \item @|string = obj.GetAcquisitionTime ()| -  Acquisition time
// Format: hhmmss.frac (any trailing component(s) can be ommited)
// For ex: DICOM (0008,0032) = 162552.0705 or 230012, or 0012
//// \item @|obj.SetImageDate (string )| -  Image Date aka Content Date
// Format: yyyymmdd
// For ex: DICOM (0008,0023) = 20030617
//// \item @|string = obj.GetImageDate ()| -  Image Date aka Content Date
// Format: yyyymmdd
// For ex: DICOM (0008,0023) = 20030617
//// \item @|int = obj.GetImageDateYear ()|
// \item @|int = obj.GetImageDateMonth ()|
// \item @|int = obj.GetImageDateDay ()|
// \item @|obj.SetImageTime (string )| -  Image Time
// Format: hhmmss.frac (any trailing component(s) can be ommited)
// For ex: DICOM (0008,0033) = 162552.0705 or 230012, or 0012
//// \item @|string = obj.GetImageTime ()| -  Image Time
// Format: hhmmss.frac (any trailing component(s) can be ommited)
// For ex: DICOM (0008,0033) = 162552.0705 or 230012, or 0012
//// \item @|obj.SetImageNumber (string )| -  Image number
// For ex: DICOM (0020,0013) = 1
//// \item @|string = obj.GetImageNumber ()| -  Image number
// For ex: DICOM (0020,0013) = 1
//// \item @|obj.SetSeriesNumber (string )| -  Series number
// For ex: DICOM (0020,0011) = 902
//// \item @|string = obj.GetSeriesNumber ()| -  Series number
// For ex: DICOM (0020,0011) = 902
//// \item @|obj.SetSeriesDescription (string )| -  Series Description
// User provided description of the Series
// For ex: DICOM (0008,103e) = SCOUT
//// \item @|string = obj.GetSeriesDescription ()| -  Series Description
// User provided description of the Series
// For ex: DICOM (0008,103e) = SCOUT
//// \item @|obj.SetStudyID (string )| -  Study ID
// For ex: DICOM (0020,0010) = 37481
//// \item @|string = obj.GetStudyID ()| -  Study ID
// For ex: DICOM (0020,0010) = 37481
//// \item @|obj.SetStudyDescription (string )| -  Study description
// For ex: DICOM (0008,1030) = BRAIN/C-SP/FACIAL
//// \item @|string = obj.GetStudyDescription ()| -  Study description
// For ex: DICOM (0008,1030) = BRAIN/C-SP/FACIAL
//// \item @|obj.SetModality (string )| -  Modality
// For ex: DICOM (0008,0060)= CT
//// \item @|string = obj.GetModality ()| -  Modality
// For ex: DICOM (0008,0060)= CT
//// \item @|obj.SetManufacturer (string )| -  Manufacturer
// For ex: DICOM (0008,0070) = Siemens
//// \item @|string = obj.GetManufacturer ()| -  Manufacturer
// For ex: DICOM (0008,0070) = Siemens
//// \item @|obj.SetManufacturerModelName (string )| -  Manufacturer's Model Name
// For ex: DICOM (0008,1090) = LightSpeed QX/i
//// \item @|string = obj.GetManufacturerModelName ()| -  Manufacturer's Model Name
// For ex: DICOM (0008,1090) = LightSpeed QX/i
//// \item @|obj.SetStationName (string )| -  Station Name
// For ex: DICOM (0008,1010) = LSPD_OC8
//// \item @|string = obj.GetStationName ()| -  Station Name
// For ex: DICOM (0008,1010) = LSPD_OC8
//// \item @|obj.SetInstitutionName (string )| -  Institution Name
// For ex: DICOM (0008,0080) = FooCity Medical Center
//// \item @|string = obj.GetInstitutionName ()| -  Institution Name
// For ex: DICOM (0008,0080) = FooCity Medical Center
//// \item @|obj.SetConvolutionKernel (string )| -  Convolution Kernel (or algorithm used to reconstruct the data)
// For ex: DICOM (0018,1210) = Bone
//// \item @|string = obj.GetConvolutionKernel ()| -  Convolution Kernel (or algorithm used to reconstruct the data)
// For ex: DICOM (0018,1210) = Bone
//// \item @|obj.SetSliceThickness (string )| -  Slice Thickness (Nominal reconstructed slice thickness, in mm)
// For ex: DICOM (0018,0050) = 0.273438
//// \item @|string = obj.GetSliceThickness ()| -  Slice Thickness (Nominal reconstructed slice thickness, in mm)
// For ex: DICOM (0018,0050) = 0.273438
//// \item @|double = obj.GetSliceThicknessAsDouble ()| -  Slice Thickness (Nominal reconstructed slice thickness, in mm)
// For ex: DICOM (0018,0050) = 0.273438
//// \item @|obj.SetKVP (string )| -  Peak kilo voltage output of the (x-ray) generator used
// For ex: DICOM (0018,0060) = 120
//// \item @|string = obj.GetKVP ()| -  Peak kilo voltage output of the (x-ray) generator used
// For ex: DICOM (0018,0060) = 120
//// \item @|obj.SetGantryTilt (string )| -  Gantry/Detector tilt (Nominal angle of tilt in degrees of the scanning
// gantry.)
// For ex: DICOM (0018,1120) = 15
//// \item @|string = obj.GetGantryTilt ()| -  Gantry/Detector tilt (Nominal angle of tilt in degrees of the scanning
// gantry.)
// For ex: DICOM (0018,1120) = 15
//// \item @|double = obj.GetGantryTiltAsDouble ()| -  Gantry/Detector tilt (Nominal angle of tilt in degrees of the scanning
// gantry.)
// For ex: DICOM (0018,1120) = 15
//// \item @|obj.SetEchoTime (string )| -  Echo Time
// (Time in ms between the middle of the excitation pulse and the peak of
// the echo produced)
// For ex: DICOM (0018,0081) = 105
//// \item @|string = obj.GetEchoTime ()| -  Echo Time
// (Time in ms between the middle of the excitation pulse and the peak of
// the echo produced)
// For ex: DICOM (0018,0081) = 105
//// \item @|obj.SetEchoTrainLength (string )| -  Echo Train Length
// (Number of lines in k-space acquired per excitation per image)
// For ex: DICOM (0018,0091) = 35
//// \item @|string = obj.GetEchoTrainLength ()| -  Echo Train Length
// (Number of lines in k-space acquired per excitation per image)
// For ex: DICOM (0018,0091) = 35
//// \item @|obj.SetRepetitionTime (string )| -  Repetition Time
// The period of time in msec between the beginning of a pulse sequence and
// the beginning of the succeeding (essentially identical) pulse sequence.
// For ex: DICOM (0018,0080) = 2040
//// \item @|string = obj.GetRepetitionTime ()| -  Repetition Time
// The period of time in msec between the beginning of a pulse sequence and
// the beginning of the succeeding (essentially identical) pulse sequence.
// For ex: DICOM (0018,0080) = 2040
//// \item @|obj.SetExposureTime (string )| -  Exposure time (time of x-ray exposure in msec)
// For ex: DICOM (0018,1150) = 5
//// \item @|string = obj.GetExposureTime ()| -  Exposure time (time of x-ray exposure in msec)
// For ex: DICOM (0018,1150) = 5
//// \item @|obj.SetXRayTubeCurrent (string )| -  X-ray tube current (in mA)
// For ex: DICOM (0018,1151) = 400
//// \item @|string = obj.GetXRayTubeCurrent ()| -  X-ray tube current (in mA)
// For ex: DICOM (0018,1151) = 400
//// \item @|obj.SetExposure (string )| -  Exposure (The exposure expressed in mAs, for example calculated
// from Exposure Time and X-ray Tube Current)
// For ex: DICOM (0018,1152) = 114
//// \item @|string = obj.GetExposure ()| -  Exposure (The exposure expressed in mAs, for example calculated
// from Exposure Time and X-ray Tube Current)
// For ex: DICOM (0018,1152) = 114
//// \item @|obj.SetDirectionCosine (double , double , double , double , double , double )| -  Get the direction cosine (default to 1,0,0,0,1,0)
//// \item @|obj.SetDirectionCosine (double  a[6])| -  Get the direction cosine (default to 1,0,0,0,1,0)
//// \item @|double = obj. GetDirectionCosine ()| -  Get the direction cosine (default to 1,0,0,0,1,0)
//// \item @|obj.AddUserDefinedValue (string name, string value)|
// \item @|string = obj.GetUserDefinedValue (string name)|
// \item @|int = obj.GetNumberOfUserDefinedValues ()|
// \item @|string = obj.GetUserDefinedNameByIndex (int idx)|
// \item @|string = obj.GetUserDefinedValueByIndex (int idx)|
// \item @|obj.RemoveAllUserDefinedValues ()|
// \item @|int = obj.AddWindowLevelPreset (double w, double l)| -  Add/Remove/Query the window/level presets that may have been associated
// to a medical image. Window is also known as 'width', level is also known
// as 'center'. The same window/level pair can not be added twice.
// As a convenience, a comment (aka Explanation) can be associated to
// a preset.
// For ex:
// \verbatim
//         DICOM Window Center (0028,1050) = 00045\000470
//         DICOM Window Width  (0028,1051) = 0106\03412
//         DICOM Window Center Width Explanation (0028,1055) = WINDOW1\WINDOW2
// \endverbatim
//// \item @|obj.RemoveWindowLevelPreset (double w, double l)| -  Add/Remove/Query the window/level presets that may have been associated
// to a medical image. Window is also known as 'width', level is also known
// as 'center'. The same window/level pair can not be added twice.
// As a convenience, a comment (aka Explanation) can be associated to
// a preset.
// For ex:
// \verbatim
//         DICOM Window Center (0028,1050) = 00045\000470
//         DICOM Window Width  (0028,1051) = 0106\03412
//         DICOM Window Center Width Explanation (0028,1055) = WINDOW1\WINDOW2
// \endverbatim
//// \item @|obj.RemoveAllWindowLevelPresets ()| -  Add/Remove/Query the window/level presets that may have been associated
// to a medical image. Window is also known as 'width', level is also known
// as 'center'. The same window/level pair can not be added twice.
// As a convenience, a comment (aka Explanation) can be associated to
// a preset.
// For ex:
// \verbatim
//         DICOM Window Center (0028,1050) = 00045\000470
//         DICOM Window Width  (0028,1051) = 0106\03412
//         DICOM Window Center Width Explanation (0028,1055) = WINDOW1\WINDOW2
// \endverbatim
//// \item @|int = obj.GetNumberOfWindowLevelPresets ()| -  Add/Remove/Query the window/level presets that may have been associated
// to a medical image. Window is also known as 'width', level is also known
// as 'center'. The same window/level pair can not be added twice.
// As a convenience, a comment (aka Explanation) can be associated to
// a preset.
// For ex:
// \verbatim
//         DICOM Window Center (0028,1050) = 00045\000470
//         DICOM Window Width  (0028,1051) = 0106\03412
//         DICOM Window Center Width Explanation (0028,1055) = WINDOW1\WINDOW2
// \endverbatim
//// \item @|int = obj.HasWindowLevelPreset (double w, double l)| -  Add/Remove/Query the window/level presets that may have been associated
// to a medical image. Window is also known as 'width', level is also known
// as 'center'. The same window/level pair can not be added twice.
// As a convenience, a comment (aka Explanation) can be associated to
// a preset.
// For ex:
// \verbatim
//         DICOM Window Center (0028,1050) = 00045\000470
//         DICOM Window Width  (0028,1051) = 0106\03412
//         DICOM Window Center Width Explanation (0028,1055) = WINDOW1\WINDOW2
// \endverbatim
//// \item @|int = obj.GetWindowLevelPresetIndex (double w, double l)| -  Add/Remove/Query the window/level presets that may have been associated
// to a medical image. Window is also known as 'width', level is also known
// as 'center'. The same window/level pair can not be added twice.
// As a convenience, a comment (aka Explanation) can be associated to
// a preset.
// For ex:
// \verbatim
//         DICOM Window Center (0028,1050) = 00045\000470
//         DICOM Window Width  (0028,1051) = 0106\03412
//         DICOM Window Center Width Explanation (0028,1055) = WINDOW1\WINDOW2
// \endverbatim
//// \item @|int = obj.GetNthWindowLevelPreset (int idx, double w, double l)| -  Add/Remove/Query the window/level presets that may have been associated
// to a medical image. Window is also known as 'width', level is also known
// as 'center'. The same window/level pair can not be added twice.
// As a convenience, a comment (aka Explanation) can be associated to
// a preset.
// For ex:
// \verbatim
//         DICOM Window Center (0028,1050) = 00045\000470
//         DICOM Window Width  (0028,1051) = 0106\03412
//         DICOM Window Center Width Explanation (0028,1055) = WINDOW1\WINDOW2
// \endverbatim
//// \item @|double = obj.GetNthWindowLevelPreset (int idx)| -  Add/Remove/Query the window/level presets that may have been associated
// to a medical image. Window is also known as 'width', level is also known
// as 'center'. The same window/level pair can not be added twice.
// As a convenience, a comment (aka Explanation) can be associated to
// a preset.
// For ex:
// \verbatim
//         DICOM Window Center (0028,1050) = 00045\000470
//         DICOM Window Width  (0028,1051) = 0106\03412
//         DICOM Window Center Width Explanation (0028,1055) = WINDOW1\WINDOW2
// \endverbatim
//// \item @|obj.SetNthWindowLevelPresetComment (int idx, string comment)| -  Add/Remove/Query the window/level presets that may have been associated
// to a medical image. Window is also known as 'width', level is also known
// as 'center'. The same window/level pair can not be added twice.
// As a convenience, a comment (aka Explanation) can be associated to
// a preset.
// For ex:
// \verbatim
//         DICOM Window Center (0028,1050) = 00045\000470
//         DICOM Window Width  (0028,1051) = 0106\03412
//         DICOM Window Center Width Explanation (0028,1055) = WINDOW1\WINDOW2
// \endverbatim
//// \item @|string = obj.GetNthWindowLevelPresetComment (int idx)| -  Add/Remove/Query the window/level presets that may have been associated
// to a medical image. Window is also known as 'width', level is also known
// as 'center'. The same window/level pair can not be added twice.
// As a convenience, a comment (aka Explanation) can be associated to
// a preset.
// For ex:
// \verbatim
//         DICOM Window Center (0028,1050) = 00045\000470
//         DICOM Window Width  (0028,1051) = 0106\03412
//         DICOM Window Center Width Explanation (0028,1055) = WINDOW1\WINDOW2
// \endverbatim
//// \item @|string = obj.GetInstanceUIDFromSliceID (int volumeidx, int sliceid)| -  Mapping from a sliceidx within a volumeidx into a DICOM Instance UID
// Some DICOM reader can populate this structure so that later on from 
// a slice index in a vtkImageData volume we can backtrack and find out
// which 2d slice it was coming from
//// \item @|obj.SetInstanceUIDFromSliceID (int volumeidx, int sliceid, string uid)| -  Mapping from a sliceidx within a volumeidx into a DICOM Instance UID
// Some DICOM reader can populate this structure so that later on from 
// a slice index in a vtkImageData volume we can backtrack and find out
// which 2d slice it was coming from
//// \item @|int = obj.GetOrientationType (int volumeidx)|
// \item @|obj.SetOrientationType (int volumeidx, int orientation)|
// \item @|obj.DeepCopy (vtkMedicalImageProperties p)| -  Copy the contents of p to this instance.
////\end{itemize}
//!
