#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMetaImageReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMetaImageReader.h"

//@@Signature
//sfunction @vtkMetaImageReader:vtkMetaImageReader vtkMetaImageReaderConstructorFunction
//input a
//output p
//@@Parents vtkMetaImageReader vtkImageReader2 
ArrayVector vtkMetaImageReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMetaImageReader::New(),"vtkMetaImageReader",eval);
  } else if (arg[0].className() == "vtkMetaImageReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMetaImageReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMetaImageReader");
    vtkMetaImageReader*q = reinterpret_cast<vtkMetaImageReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMetaImageReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMetaImageReader:GetClassName vtkMetaImageReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMetaImageReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMetaImageReader requires 1 argument(s)");
  vtkMetaImageReader* vtk_pointer = GetVTKPointer<vtkMetaImageReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageReader:IsA vtkMetaImageReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMetaImageReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMetaImageReader requires 2 argument(s)");
  vtkMetaImageReader* vtk_pointer = GetVTKPointer<vtkMetaImageReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageReader:NewInstance vtkMetaImageReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMetaImageReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMetaImageReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMetaImageReader requires 1 argument(s)");
  vtkMetaImageReader* vtk_pointer = GetVTKPointer<vtkMetaImageReader>(arg[0]);
  Array retval;
  vtkMetaImageReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMetaImageReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageReader:SafeDownCast vtkMetaImageReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMetaImageReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMetaImageReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMetaImageReader requires 2 argument(s)");
  vtkMetaImageReader* vtk_pointer = GetVTKPointer<vtkMetaImageReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMetaImageReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMetaImageReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageReader:GetFileExtensions vtkMetaImageReaderGetFileExtensionsFunction
//input a0 
//output y
ArrayVector vtkMetaImageReaderGetFileExtensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetFileExtensions ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetFileExtensions for class vtkMetaImageReader requires 1 argument(s)");
  vtkMetaImageReader* vtk_pointer = GetVTKPointer<vtkMetaImageReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetFileExtensions();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageReader:GetDescriptiveName vtkMetaImageReaderGetDescriptiveNameFunction
//input a0 
//output y
ArrayVector vtkMetaImageReaderGetDescriptiveNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetDescriptiveName ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetDescriptiveName for class vtkMetaImageReader requires 1 argument(s)");
  vtkMetaImageReader* vtk_pointer = GetVTKPointer<vtkMetaImageReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDescriptiveName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageReader:GetWidth vtkMetaImageReaderGetWidthFunction
//input a0 
//output y
ArrayVector vtkMetaImageReaderGetWidthFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWidth ();return this GetDataExtent this GetDataExtent  */
  if (arg.size() < 1) 
    throw Exception("Function GetWidth for class vtkMetaImageReader requires 1 argument(s)");
  vtkMetaImageReader* vtk_pointer = GetVTKPointer<vtkMetaImageReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWidth();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageReader:GetHeight vtkMetaImageReaderGetHeightFunction
//input a0 
//output y
ArrayVector vtkMetaImageReaderGetHeightFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetHeight ();return this GetDataExtent this GetDataExtent  */
  if (arg.size() < 1) 
    throw Exception("Function GetHeight for class vtkMetaImageReader requires 1 argument(s)");
  vtkMetaImageReader* vtk_pointer = GetVTKPointer<vtkMetaImageReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetHeight();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageReader:GetNumberOfComponents vtkMetaImageReaderGetNumberOfComponentsFunction
//input a0 
//output y
ArrayVector vtkMetaImageReaderGetNumberOfComponentsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfComponents ();return this GetNumberOfScalarComponents  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfComponents for class vtkMetaImageReader requires 1 argument(s)");
  vtkMetaImageReader* vtk_pointer = GetVTKPointer<vtkMetaImageReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfComponents();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageReader:GetPixelRepresentation vtkMetaImageReaderGetPixelRepresentationFunction
//input a0 
//output y
ArrayVector vtkMetaImageReaderGetPixelRepresentationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPixelRepresentation ();return this GetDataScalarType  */
  if (arg.size() < 1) 
    throw Exception("Function GetPixelRepresentation for class vtkMetaImageReader requires 1 argument(s)");
  vtkMetaImageReader* vtk_pointer = GetVTKPointer<vtkMetaImageReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPixelRepresentation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageReader:GetDataByteOrder vtkMetaImageReaderGetDataByteOrderFunction
//input a0 
//output y
ArrayVector vtkMetaImageReaderGetDataByteOrderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataByteOrder (void ); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataByteOrder for class vtkMetaImageReader requires 1 argument(s)");
  vtkMetaImageReader* vtk_pointer = GetVTKPointer<vtkMetaImageReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataByteOrder();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageReader:GetRescaleSlope vtkMetaImageReaderGetRescaleSlopeFunction
//input a0 
//output y
ArrayVector vtkMetaImageReaderGetRescaleSlopeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRescaleSlope (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRescaleSlope for class vtkMetaImageReader requires 1 argument(s)");
  vtkMetaImageReader* vtk_pointer = GetVTKPointer<vtkMetaImageReader>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRescaleSlope();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageReader:GetRescaleOffset vtkMetaImageReaderGetRescaleOffsetFunction
//input a0 
//output y
ArrayVector vtkMetaImageReaderGetRescaleOffsetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetRescaleOffset (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRescaleOffset for class vtkMetaImageReader requires 1 argument(s)");
  vtkMetaImageReader* vtk_pointer = GetVTKPointer<vtkMetaImageReader>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetRescaleOffset();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageReader:GetBitsAllocated vtkMetaImageReaderGetBitsAllocatedFunction
//input a0 
//output y
ArrayVector vtkMetaImageReaderGetBitsAllocatedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBitsAllocated (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBitsAllocated for class vtkMetaImageReader requires 1 argument(s)");
  vtkMetaImageReader* vtk_pointer = GetVTKPointer<vtkMetaImageReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBitsAllocated();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageReader:GetDistanceUnits vtkMetaImageReaderGetDistanceUnitsFunction
//input a0 
//output y
ArrayVector vtkMetaImageReaderGetDistanceUnitsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetDistanceUnits (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDistanceUnits for class vtkMetaImageReader requires 1 argument(s)");
  vtkMetaImageReader* vtk_pointer = GetVTKPointer<vtkMetaImageReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetDistanceUnits();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageReader:GetAnatomicalOrientation vtkMetaImageReaderGetAnatomicalOrientationFunction
//input a0 
//output y
ArrayVector vtkMetaImageReaderGetAnatomicalOrientationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetAnatomicalOrientation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAnatomicalOrientation for class vtkMetaImageReader requires 1 argument(s)");
  vtkMetaImageReader* vtk_pointer = GetVTKPointer<vtkMetaImageReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetAnatomicalOrientation();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageReader:GetGantryAngle vtkMetaImageReaderGetGantryAngleFunction
//input a0 
//output y
ArrayVector vtkMetaImageReaderGetGantryAngleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetGantryAngle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGantryAngle for class vtkMetaImageReader requires 1 argument(s)");
  vtkMetaImageReader* vtk_pointer = GetVTKPointer<vtkMetaImageReader>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetGantryAngle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageReader:GetPatientName vtkMetaImageReaderGetPatientNameFunction
//input a0 
//output y
ArrayVector vtkMetaImageReaderGetPatientNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetPatientName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPatientName for class vtkMetaImageReader requires 1 argument(s)");
  vtkMetaImageReader* vtk_pointer = GetVTKPointer<vtkMetaImageReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetPatientName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageReader:GetPatientID vtkMetaImageReaderGetPatientIDFunction
//input a0 
//output y
ArrayVector vtkMetaImageReaderGetPatientIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetPatientID (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPatientID for class vtkMetaImageReader requires 1 argument(s)");
  vtkMetaImageReader* vtk_pointer = GetVTKPointer<vtkMetaImageReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetPatientID();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageReader:GetDate vtkMetaImageReaderGetDateFunction
//input a0 
//output y
ArrayVector vtkMetaImageReaderGetDateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetDate (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDate for class vtkMetaImageReader requires 1 argument(s)");
  vtkMetaImageReader* vtk_pointer = GetVTKPointer<vtkMetaImageReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetDate();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageReader:GetSeries vtkMetaImageReaderGetSeriesFunction
//input a0 
//output y
ArrayVector vtkMetaImageReaderGetSeriesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetSeries (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSeries for class vtkMetaImageReader requires 1 argument(s)");
  vtkMetaImageReader* vtk_pointer = GetVTKPointer<vtkMetaImageReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetSeries();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageReader:GetImageNumber vtkMetaImageReaderGetImageNumberFunction
//input a0 
//output y
ArrayVector vtkMetaImageReaderGetImageNumberFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetImageNumber (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageNumber for class vtkMetaImageReader requires 1 argument(s)");
  vtkMetaImageReader* vtk_pointer = GetVTKPointer<vtkMetaImageReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetImageNumber();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageReader:GetModality vtkMetaImageReaderGetModalityFunction
//input a0 
//output y
ArrayVector vtkMetaImageReaderGetModalityFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetModality (); */
  if (arg.size() < 1) 
    throw Exception("Function GetModality for class vtkMetaImageReader requires 1 argument(s)");
  vtkMetaImageReader* vtk_pointer = GetVTKPointer<vtkMetaImageReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetModality();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageReader:GetStudyID vtkMetaImageReaderGetStudyIDFunction
//input a0 
//output y
ArrayVector vtkMetaImageReaderGetStudyIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetStudyID (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStudyID for class vtkMetaImageReader requires 1 argument(s)");
  vtkMetaImageReader* vtk_pointer = GetVTKPointer<vtkMetaImageReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetStudyID();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageReader:GetStudyUID vtkMetaImageReaderGetStudyUIDFunction
//input a0 
//output y
ArrayVector vtkMetaImageReaderGetStudyUIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetStudyUID (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStudyUID for class vtkMetaImageReader requires 1 argument(s)");
  vtkMetaImageReader* vtk_pointer = GetVTKPointer<vtkMetaImageReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetStudyUID();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageReader:GetTransferSyntaxUID vtkMetaImageReaderGetTransferSyntaxUIDFunction
//input a0 
//output y
ArrayVector vtkMetaImageReaderGetTransferSyntaxUIDFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetTransferSyntaxUID (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTransferSyntaxUID for class vtkMetaImageReader requires 1 argument(s)");
  vtkMetaImageReader* vtk_pointer = GetVTKPointer<vtkMetaImageReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetTransferSyntaxUID();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageReader:CanReadFile vtkMetaImageReaderCanReadFileFunction
//input a0 a1 
//output y
ArrayVector vtkMetaImageReaderCanReadFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int CanReadFile (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function CanReadFile for class vtkMetaImageReader requires 2 argument(s)");
  vtkMetaImageReader* vtk_pointer = GetVTKPointer<vtkMetaImageReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CanReadFile(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageReader:display vtkMetaImageReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMetaImageReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMetaImageReader* vtk_pointer = GetVTKPointer<vtkMetaImageReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMetaImageReader:delete vtkMetaImageReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkMetaImageReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMetaImageReader
//@@Section VTKIO
//@@Usage
// One of the formats for which a reader is already available in the toolkit is
// the MetaImage file format. This is a fairly simple yet powerful format
// consisting of a text header and a binary data section. The following
// instructions describe how you can write a MetaImage header for the data that
// you download from the BrainWeb page.
//
// The minimal structure of the MetaImage header is the following:
//
//    NDims = 3
//    DimSize = 181 217 181
//    ElementType = MET_UCHAR
//    ElementSpacing = 1.0 1.0 1.0
//    ElementByteOrderMSB = False
//    ElementDataFile = brainweb1.raw
//
//    * NDims indicate that this is a 3D image. ITK can handle images of
//      arbitrary dimension.
//    * DimSize indicates the size of the volume in pixels along each
//      direction.
//    * ElementType indicate the primitive type used for pixels. In this case
//      is "unsigned char", implying that the data is digitized in 8 bits /
//      pixel.
//    * ElementSpacing indicates the physical separation between the center of
//      one pixel and the center of the next pixel along each direction in space.
//      The units used are millimeters.
//    * ElementByteOrderMSB indicates is the data is encoded in little or big
//      endian order. You might want to play with this value when moving data
//      between different computer platforms.
//    * ElementDataFile is the name of the file containing the raw binary data
//      of the image. This file must be in the same directory as the header. 
//
// MetaImage headers are expected to have extension: ".mha" or ".mhd"
//
// Once you write this header text file, it should be possible to read the
// image into your ITK based application using the itk::FileIOToImageFilter
// class.
//
//To create an instance of class vtkMetaImageReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkMetaImageReader
//@]
//@@Methods
//The class vtkMetaImageReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMetaImageReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMetaImageReader = obj.NewInstance ()|
// \item @|vtkMetaImageReader = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetFileExtensions ()|
// \item @|string = obj.GetDescriptiveName ()|
// \item @|int = obj.GetWidth ()|
// \item @|int = obj.GetHeight ()|
// \item @|int = obj.GetNumberOfComponents ()|
// \item @|int = obj.GetPixelRepresentation ()|
// \item @|int = obj.GetDataByteOrder (void )|
// \item @|double = obj.GetRescaleSlope ()|
// \item @|double = obj.GetRescaleOffset ()|
// \item @|int = obj.GetBitsAllocated ()|
// \item @|string = obj.GetDistanceUnits ()|
// \item @|string = obj.GetAnatomicalOrientation ()|
// \item @|double = obj.GetGantryAngle ()|
// \item @|string = obj.GetPatientName ()|
// \item @|string = obj.GetPatientID ()|
// \item @|string = obj.GetDate ()|
// \item @|string = obj.GetSeries ()|
// \item @|string = obj.GetImageNumber ()|
// \item @|string = obj.GetModality ()|
// \item @|string = obj.GetStudyID ()|
// \item @|string = obj.GetStudyUID ()|
// \item @|string = obj.GetTransferSyntaxUID ()|
// \item @|int = obj.CanReadFile (string name)| -  Test whether the file with the given name can be read by this
// reader.
////\end{itemize}
//!
