#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMetaImageWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMetaImageWriter.h"

//@@Signature
//sfunction @vtkMetaImageWriter:vtkMetaImageWriter vtkMetaImageWriterConstructorFunction
//input a
//output p
//@@Parents vtkMetaImageWriter vtkImageWriter 
ArrayVector vtkMetaImageWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMetaImageWriter::New(),"vtkMetaImageWriter",eval);
  } else if (arg[0].className() == "vtkMetaImageWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMetaImageWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMetaImageWriter");
    vtkMetaImageWriter*q = reinterpret_cast<vtkMetaImageWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMetaImageWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMetaImageWriter:GetClassName vtkMetaImageWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMetaImageWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMetaImageWriter requires 1 argument(s)");
  vtkMetaImageWriter* vtk_pointer = GetVTKPointer<vtkMetaImageWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageWriter:IsA vtkMetaImageWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMetaImageWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMetaImageWriter requires 2 argument(s)");
  vtkMetaImageWriter* vtk_pointer = GetVTKPointer<vtkMetaImageWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageWriter:NewInstance vtkMetaImageWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMetaImageWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMetaImageWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMetaImageWriter requires 1 argument(s)");
  vtkMetaImageWriter* vtk_pointer = GetVTKPointer<vtkMetaImageWriter>(arg[0]);
  Array retval;
  vtkMetaImageWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMetaImageWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageWriter:SafeDownCast vtkMetaImageWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMetaImageWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMetaImageWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMetaImageWriter requires 2 argument(s)");
  vtkMetaImageWriter* vtk_pointer = GetVTKPointer<vtkMetaImageWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMetaImageWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMetaImageWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageWriter:SetFileName vtkMetaImageWriterSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkMetaImageWriterSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetFileName (const char *fname); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkMetaImageWriter requires 2 argument(s)");
  vtkMetaImageWriter* vtk_pointer = GetVTKPointer<vtkMetaImageWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageWriter:GetFileName vtkMetaImageWriterGetFileNameFunction
//input a0 
//output y
ArrayVector vtkMetaImageWriterGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual char *GetFileName ();return this MHDFileName  */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkMetaImageWriter requires 1 argument(s)");
  vtkMetaImageWriter* vtk_pointer = GetVTKPointer<vtkMetaImageWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageWriter:SetRAWFileName vtkMetaImageWriterSetRAWFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkMetaImageWriterSetRAWFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetRAWFileName (const char *fname); */
  if (arg.size() < 2) 
    throw Exception("Function SetRAWFileName for class vtkMetaImageWriter requires 2 argument(s)");
  vtkMetaImageWriter* vtk_pointer = GetVTKPointer<vtkMetaImageWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetRAWFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageWriter:GetRAWFileName vtkMetaImageWriterGetRAWFileNameFunction
//input a0 
//output y
ArrayVector vtkMetaImageWriterGetRAWFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual char *GetRAWFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRAWFileName for class vtkMetaImageWriter requires 1 argument(s)");
  vtkMetaImageWriter* vtk_pointer = GetVTKPointer<vtkMetaImageWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetRAWFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageWriter:SetCompression vtkMetaImageWriterSetCompressionFunction
//input a0 a1 
//output none
ArrayVector vtkMetaImageWriterSetCompressionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCompression (bool compress);this Compress compress  */
  if (arg.size() < 2) 
    throw Exception("Function SetCompression for class vtkMetaImageWriter requires 2 argument(s)");
  vtkMetaImageWriter* vtk_pointer = GetVTKPointer<vtkMetaImageWriter>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetCompression(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageWriter:GetCompression vtkMetaImageWriterGetCompressionFunction
//input a0 
//output y
ArrayVector vtkMetaImageWriterGetCompressionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool GetCompression (void );return this Compress  */
  if (arg.size() < 1) 
    throw Exception("Function GetCompression for class vtkMetaImageWriter requires 1 argument(s)");
  vtkMetaImageWriter* vtk_pointer = GetVTKPointer<vtkMetaImageWriter>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetCompression();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageWriter:Write vtkMetaImageWriterWriteFunction
//input a0 
//output none
ArrayVector vtkMetaImageWriterWriteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Write (); */
  if (arg.size() < 1) 
    throw Exception("Function Write for class vtkMetaImageWriter requires 1 argument(s)");
  vtkMetaImageWriter* vtk_pointer = GetVTKPointer<vtkMetaImageWriter>(arg[0]);
  Array retval;
  vtk_pointer->Write();
  return retval;
}

//@@Signature
//sfunction @vtkMetaImageWriter:display vtkMetaImageWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMetaImageWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMetaImageWriter* vtk_pointer = GetVTKPointer<vtkMetaImageWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMetaImageWriter:delete vtkMetaImageWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkMetaImageWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMetaImageWriter
//@@Section VTKIO
//@@Usage
// One of the formats for which a reader is already available in the toolkit is
// the MetaImage file format. This is a fairly simple yet powerful format
// consisting of a text header and a binary data section. The following
// instructions describe how you can write a MetaImage header for the data that
// you download from the BrainWeb page.
//
// The minimal structure of the MetaImage header is the following:
//
//    NDims = 3
//    DimSize = 181 217 181
//    ElementType = MET_UCHAR
//    ElementSpacing = 1.0 1.0 1.0
//    ElementByteOrderMSB = False
//    ElementDataFile = brainweb1.raw
//
//    * NDims indicate that this is a 3D image. ITK can handle images of
//      arbitrary dimension.
//    * DimSize indicates the size of the volume in pixels along each
//      direction.
//    * ElementType indicate the primitive type used for pixels. In this case
//      is "unsigned char", implying that the data is digitized in 8 bits /
//      pixel.
//    * ElementSpacing indicates the physical separation between the center of
//      one pixel and the center of the next pixel along each direction in space.
//      The units used are millimeters.
//    * ElementByteOrderMSB indicates is the data is encoded in little or big
//      endian order. You might want to play with this value when moving data
//      between different computer platforms.
//    * ElementDataFile is the name of the file containing the raw binary data
//      of the image. This file must be in the same directory as the header. 
//
// MetaImage headers are expected to have extension: ".mha" or ".mhd"
//
// Once you write this header text file, it should be possible to read the
// image into your ITK based application using the itk::FileIOToImageFilter
// class.
//
//To create an instance of class vtkMetaImageWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkMetaImageWriter
//@]
//@@Methods
//The class vtkMetaImageWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMetaImageWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMetaImageWriter = obj.NewInstance ()|
// \item @|vtkMetaImageWriter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string fname)| -  Specify file name of meta file
//// \item @|string = obj.GetFileName ()| -  Specify the file name of the raw image data.
//// \item @|obj.SetRAWFileName (string fname)| -  Specify the file name of the raw image data.
//// \item @|string = obj.GetRAWFileName ()| -  Specify the file name of the raw image data.
//// \item @|obj.SetCompression (bool compress)|
// \item @|bool = obj.GetCompression (void )|
// \item @|obj.Write ()|
//\end{itemize}
//!
