#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMoleculeReaderBase object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMoleculeReaderBase.h"

//@@Signature
//sfunction @vtkMoleculeReaderBase:vtkMoleculeReaderBase vtkMoleculeReaderBaseConstructorFunction
//input a
//output p
//@@Parents vtkMoleculeReaderBase vtkPolyDataAlgorithm 
ArrayVector vtkMoleculeReaderBaseConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMoleculeReaderBase::New(),"vtkMoleculeReaderBase",eval);
  } else if (arg[0].className() == "vtkMoleculeReaderBase") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMoleculeReaderBase"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMoleculeReaderBase");
    vtkMoleculeReaderBase*q = reinterpret_cast<vtkMoleculeReaderBase*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMoleculeReaderBase");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMoleculeReaderBase:GetClassName vtkMoleculeReaderBaseGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMoleculeReaderBaseGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMoleculeReaderBase requires 1 argument(s)");
  vtkMoleculeReaderBase* vtk_pointer = GetVTKPointer<vtkMoleculeReaderBase>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMoleculeReaderBase:IsA vtkMoleculeReaderBaseIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMoleculeReaderBaseIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMoleculeReaderBase requires 2 argument(s)");
  vtkMoleculeReaderBase* vtk_pointer = GetVTKPointer<vtkMoleculeReaderBase>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMoleculeReaderBase:NewInstance vtkMoleculeReaderBaseNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMoleculeReaderBaseNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMoleculeReaderBase *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMoleculeReaderBase requires 1 argument(s)");
  vtkMoleculeReaderBase* vtk_pointer = GetVTKPointer<vtkMoleculeReaderBase>(arg[0]);
  Array retval;
  vtkMoleculeReaderBase  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMoleculeReaderBase",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMoleculeReaderBase:SafeDownCast vtkMoleculeReaderBaseSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMoleculeReaderBaseSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMoleculeReaderBase *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMoleculeReaderBase requires 2 argument(s)");
  vtkMoleculeReaderBase* vtk_pointer = GetVTKPointer<vtkMoleculeReaderBase>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMoleculeReaderBase  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMoleculeReaderBase",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMoleculeReaderBase:SetFileName vtkMoleculeReaderBaseSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkMoleculeReaderBaseSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkMoleculeReaderBase requires 2 argument(s)");
  vtkMoleculeReaderBase* vtk_pointer = GetVTKPointer<vtkMoleculeReaderBase>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMoleculeReaderBase:GetFileName vtkMoleculeReaderBaseGetFileNameFunction
//input a0 
//output y
ArrayVector vtkMoleculeReaderBaseGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkMoleculeReaderBase requires 1 argument(s)");
  vtkMoleculeReaderBase* vtk_pointer = GetVTKPointer<vtkMoleculeReaderBase>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMoleculeReaderBase:SetBScale vtkMoleculeReaderBaseSetBScaleFunction
//input a0 a1 
//output none
ArrayVector vtkMoleculeReaderBaseSetBScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBScale (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBScale for class vtkMoleculeReaderBase requires 2 argument(s)");
  vtkMoleculeReaderBase* vtk_pointer = GetVTKPointer<vtkMoleculeReaderBase>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetBScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMoleculeReaderBase:GetBScale vtkMoleculeReaderBaseGetBScaleFunction
//input a0 
//output y
ArrayVector vtkMoleculeReaderBaseGetBScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetBScale (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBScale for class vtkMoleculeReaderBase requires 1 argument(s)");
  vtkMoleculeReaderBase* vtk_pointer = GetVTKPointer<vtkMoleculeReaderBase>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetBScale();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMoleculeReaderBase:SetHBScale vtkMoleculeReaderBaseSetHBScaleFunction
//input a0 a1 
//output none
ArrayVector vtkMoleculeReaderBaseSetHBScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHBScale (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHBScale for class vtkMoleculeReaderBase requires 2 argument(s)");
  vtkMoleculeReaderBase* vtk_pointer = GetVTKPointer<vtkMoleculeReaderBase>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetHBScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMoleculeReaderBase:GetHBScale vtkMoleculeReaderBaseGetHBScaleFunction
//input a0 
//output y
ArrayVector vtkMoleculeReaderBaseGetHBScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetHBScale (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHBScale for class vtkMoleculeReaderBase requires 1 argument(s)");
  vtkMoleculeReaderBase* vtk_pointer = GetVTKPointer<vtkMoleculeReaderBase>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetHBScale();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMoleculeReaderBase:GetNumberOfAtoms vtkMoleculeReaderBaseGetNumberOfAtomsFunction
//input a0 
//output y
ArrayVector vtkMoleculeReaderBaseGetNumberOfAtomsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfAtoms (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfAtoms for class vtkMoleculeReaderBase requires 1 argument(s)");
  vtkMoleculeReaderBase* vtk_pointer = GetVTKPointer<vtkMoleculeReaderBase>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfAtoms();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMoleculeReaderBase:display vtkMoleculeReaderBaseDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMoleculeReaderBaseDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMoleculeReaderBase* vtk_pointer = GetVTKPointer<vtkMoleculeReaderBase>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMoleculeReaderBase:delete vtkMoleculeReaderBaseDeleteFunction
//input varargin
//output none
ArrayVector vtkMoleculeReaderBaseDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMoleculeReaderBase
//@@Section VTKIO
//@@Usage
// vtkMoleculeReaderBase is a source object that reads Molecule files
// The FileName must be specified
//
// .SECTION Thanks
// Dr. Jean M. Favre who developed and contributed this class
//
//To create an instance of class vtkMoleculeReaderBase, simply
//invoke its constructor as follows
//@[
//  obj = vtkMoleculeReaderBase
//@]
//@@Methods
//The class vtkMoleculeReaderBase has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMoleculeReaderBase class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMoleculeReaderBase = obj.NewInstance ()|
// \item @|vtkMoleculeReaderBase = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string )|
// \item @|string = obj.GetFileName ()|
// \item @|obj.SetBScale (double )|
// \item @|double = obj.GetBScale ()|
// \item @|obj.SetHBScale (double )|
// \item @|double = obj.GetHBScale ()|
// \item @|int = obj.GetNumberOfAtoms ()|
//\end{itemize}
//!
