#include "VTKWrap.hpp"

// FreeMat wrapper for vtkMultiBlockPLOT3DReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkMultiBlockPLOT3DReader.h"

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:vtkMultiBlockPLOT3DReader vtkMultiBlockPLOT3DReaderConstructorFunction
//input a
//output p
//@@Parents vtkMultiBlockPLOT3DReader vtkMultiBlockDataSetAlgorithm 
ArrayVector vtkMultiBlockPLOT3DReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkMultiBlockPLOT3DReader::New(),"vtkMultiBlockPLOT3DReader",eval);
  } else if (arg[0].className() == "vtkMultiBlockPLOT3DReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkMultiBlockPLOT3DReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkMultiBlockPLOT3DReader");
    vtkMultiBlockPLOT3DReader*q = reinterpret_cast<vtkMultiBlockPLOT3DReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkMultiBlockPLOT3DReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:GetClassName vtkMultiBlockPLOT3DReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkMultiBlockPLOT3DReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:IsA vtkMultiBlockPLOT3DReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkMultiBlockPLOT3DReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkMultiBlockPLOT3DReader requires 2 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:NewInstance vtkMultiBlockPLOT3DReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkMultiBlockPLOT3DReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiBlockPLOT3DReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  vtkMultiBlockPLOT3DReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiBlockPLOT3DReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:SafeDownCast vtkMultiBlockPLOT3DReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkMultiBlockPLOT3DReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiBlockPLOT3DReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkMultiBlockPLOT3DReader requires 2 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkMultiBlockPLOT3DReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiBlockPLOT3DReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:SetFileName vtkMultiBlockPLOT3DReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (const char *name);this SetXYZFileName name  */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkMultiBlockPLOT3DReader requires 2 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:GetFileName vtkMultiBlockPLOT3DReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkMultiBlockPLOT3DReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetFileName ();return this GetXYZFileName  */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:SetXYZFileName vtkMultiBlockPLOT3DReaderSetXYZFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderSetXYZFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetXYZFileName (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetXYZFileName for class vtkMultiBlockPLOT3DReader requires 2 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetXYZFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:GetXYZFileName vtkMultiBlockPLOT3DReaderGetXYZFileNameFunction
//input a0 
//output y
ArrayVector vtkMultiBlockPLOT3DReaderGetXYZFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetXYZFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXYZFileName for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetXYZFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:SetQFileName vtkMultiBlockPLOT3DReaderSetQFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderSetQFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetQFileName for class vtkMultiBlockPLOT3DReader requires 2 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetQFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:GetQFileName vtkMultiBlockPLOT3DReaderGetQFileNameFunction
//input a0 
//output y
ArrayVector vtkMultiBlockPLOT3DReaderGetQFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetQFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetQFileName for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetQFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:GetNumberOfBlocks vtkMultiBlockPLOT3DReaderGetNumberOfBlocksFunction
//input a0 
//output y
ArrayVector vtkMultiBlockPLOT3DReaderGetNumberOfBlocksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfBlocks (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfBlocks for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfBlocks();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:GetNumberOfGrids vtkMultiBlockPLOT3DReaderGetNumberOfGridsFunction
//input a0 
//output y
ArrayVector vtkMultiBlockPLOT3DReaderGetNumberOfGridsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfGrids ();return this GetNumberOfBlocks  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfGrids for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfGrids();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:SetBinaryFile vtkMultiBlockPLOT3DReaderSetBinaryFileFunction
//input a0 a1 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderSetBinaryFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBinaryFile (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBinaryFile for class vtkMultiBlockPLOT3DReader requires 2 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBinaryFile(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:GetBinaryFile vtkMultiBlockPLOT3DReaderGetBinaryFileFunction
//input a0 
//output y
ArrayVector vtkMultiBlockPLOT3DReaderGetBinaryFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBinaryFile (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBinaryFile for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBinaryFile();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:BinaryFileOn vtkMultiBlockPLOT3DReaderBinaryFileOnFunction
//input a0 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderBinaryFileOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BinaryFileOn (); */
  if (arg.size() < 1) 
    throw Exception("Function BinaryFileOn for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->BinaryFileOn();
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:BinaryFileOff vtkMultiBlockPLOT3DReaderBinaryFileOffFunction
//input a0 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderBinaryFileOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BinaryFileOff (); */
  if (arg.size() < 1) 
    throw Exception("Function BinaryFileOff for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->BinaryFileOff();
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:SetMultiGrid vtkMultiBlockPLOT3DReaderSetMultiGridFunction
//input a0 a1 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderSetMultiGridFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMultiGrid (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMultiGrid for class vtkMultiBlockPLOT3DReader requires 2 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMultiGrid(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:GetMultiGrid vtkMultiBlockPLOT3DReaderGetMultiGridFunction
//input a0 
//output y
ArrayVector vtkMultiBlockPLOT3DReaderGetMultiGridFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMultiGrid (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMultiGrid for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMultiGrid();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:MultiGridOn vtkMultiBlockPLOT3DReaderMultiGridOnFunction
//input a0 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderMultiGridOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MultiGridOn (); */
  if (arg.size() < 1) 
    throw Exception("Function MultiGridOn for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->MultiGridOn();
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:MultiGridOff vtkMultiBlockPLOT3DReaderMultiGridOffFunction
//input a0 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderMultiGridOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MultiGridOff (); */
  if (arg.size() < 1) 
    throw Exception("Function MultiGridOff for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->MultiGridOff();
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:SetHasByteCount vtkMultiBlockPLOT3DReaderSetHasByteCountFunction
//input a0 a1 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderSetHasByteCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHasByteCount (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHasByteCount for class vtkMultiBlockPLOT3DReader requires 2 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetHasByteCount(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:GetHasByteCount vtkMultiBlockPLOT3DReaderGetHasByteCountFunction
//input a0 
//output y
ArrayVector vtkMultiBlockPLOT3DReaderGetHasByteCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetHasByteCount (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHasByteCount for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetHasByteCount();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:HasByteCountOn vtkMultiBlockPLOT3DReaderHasByteCountOnFunction
//input a0 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderHasByteCountOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HasByteCountOn (); */
  if (arg.size() < 1) 
    throw Exception("Function HasByteCountOn for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->HasByteCountOn();
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:HasByteCountOff vtkMultiBlockPLOT3DReaderHasByteCountOffFunction
//input a0 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderHasByteCountOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HasByteCountOff (); */
  if (arg.size() < 1) 
    throw Exception("Function HasByteCountOff for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->HasByteCountOff();
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:SetIBlanking vtkMultiBlockPLOT3DReaderSetIBlankingFunction
//input a0 a1 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderSetIBlankingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIBlanking (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIBlanking for class vtkMultiBlockPLOT3DReader requires 2 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIBlanking(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:GetIBlanking vtkMultiBlockPLOT3DReaderGetIBlankingFunction
//input a0 
//output y
ArrayVector vtkMultiBlockPLOT3DReaderGetIBlankingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIBlanking (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIBlanking for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIBlanking();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:IBlankingOn vtkMultiBlockPLOT3DReaderIBlankingOnFunction
//input a0 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderIBlankingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IBlankingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function IBlankingOn for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->IBlankingOn();
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:IBlankingOff vtkMultiBlockPLOT3DReaderIBlankingOffFunction
//input a0 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderIBlankingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IBlankingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function IBlankingOff for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->IBlankingOff();
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:SetTwoDimensionalGeometry vtkMultiBlockPLOT3DReaderSetTwoDimensionalGeometryFunction
//input a0 a1 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderSetTwoDimensionalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTwoDimensionalGeometry (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTwoDimensionalGeometry for class vtkMultiBlockPLOT3DReader requires 2 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTwoDimensionalGeometry(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:GetTwoDimensionalGeometry vtkMultiBlockPLOT3DReaderGetTwoDimensionalGeometryFunction
//input a0 
//output y
ArrayVector vtkMultiBlockPLOT3DReaderGetTwoDimensionalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTwoDimensionalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTwoDimensionalGeometry for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTwoDimensionalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:TwoDimensionalGeometryOn vtkMultiBlockPLOT3DReaderTwoDimensionalGeometryOnFunction
//input a0 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderTwoDimensionalGeometryOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TwoDimensionalGeometryOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TwoDimensionalGeometryOn for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->TwoDimensionalGeometryOn();
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:TwoDimensionalGeometryOff vtkMultiBlockPLOT3DReaderTwoDimensionalGeometryOffFunction
//input a0 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderTwoDimensionalGeometryOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TwoDimensionalGeometryOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TwoDimensionalGeometryOff for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->TwoDimensionalGeometryOff();
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:SetForceRead vtkMultiBlockPLOT3DReaderSetForceReadFunction
//input a0 a1 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderSetForceReadFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetForceRead (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetForceRead for class vtkMultiBlockPLOT3DReader requires 2 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetForceRead(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:GetForceRead vtkMultiBlockPLOT3DReaderGetForceReadFunction
//input a0 
//output y
ArrayVector vtkMultiBlockPLOT3DReaderGetForceReadFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetForceRead (); */
  if (arg.size() < 1) 
    throw Exception("Function GetForceRead for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetForceRead();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:ForceReadOn vtkMultiBlockPLOT3DReaderForceReadOnFunction
//input a0 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderForceReadOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ForceReadOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ForceReadOn for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->ForceReadOn();
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:ForceReadOff vtkMultiBlockPLOT3DReaderForceReadOffFunction
//input a0 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderForceReadOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ForceReadOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ForceReadOff for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->ForceReadOff();
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:SetByteOrderToBigEndian vtkMultiBlockPLOT3DReaderSetByteOrderToBigEndianFunction
//input a0 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderSetByteOrderToBigEndianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetByteOrderToBigEndian (); */
  if (arg.size() < 1) 
    throw Exception("Function SetByteOrderToBigEndian for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->SetByteOrderToBigEndian();
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:SetByteOrderToLittleEndian vtkMultiBlockPLOT3DReaderSetByteOrderToLittleEndianFunction
//input a0 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderSetByteOrderToLittleEndianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetByteOrderToLittleEndian (); */
  if (arg.size() < 1) 
    throw Exception("Function SetByteOrderToLittleEndian for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->SetByteOrderToLittleEndian();
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:SetByteOrder vtkMultiBlockPLOT3DReaderSetByteOrderFunction
//input a0 a1 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderSetByteOrderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetByteOrder (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetByteOrder for class vtkMultiBlockPLOT3DReader requires 2 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetByteOrder(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:GetByteOrder vtkMultiBlockPLOT3DReaderGetByteOrderFunction
//input a0 
//output y
ArrayVector vtkMultiBlockPLOT3DReaderGetByteOrderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetByteOrder (); */
  if (arg.size() < 1) 
    throw Exception("Function GetByteOrder for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetByteOrder();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:GetByteOrderAsString vtkMultiBlockPLOT3DReaderGetByteOrderAsStringFunction
//input a0 
//output y
ArrayVector vtkMultiBlockPLOT3DReaderGetByteOrderAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetByteOrderAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetByteOrderAsString for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetByteOrderAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:SetR vtkMultiBlockPLOT3DReaderSetRFunction
//input a0 a1 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderSetRFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetR (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetR for class vtkMultiBlockPLOT3DReader requires 2 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetR(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:GetR vtkMultiBlockPLOT3DReaderGetRFunction
//input a0 
//output y
ArrayVector vtkMultiBlockPLOT3DReaderGetRFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetR (); */
  if (arg.size() < 1) 
    throw Exception("Function GetR for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetR();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:SetGamma vtkMultiBlockPLOT3DReaderSetGammaFunction
//input a0 a1 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderSetGammaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGamma (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGamma for class vtkMultiBlockPLOT3DReader requires 2 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetGamma(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:GetGamma vtkMultiBlockPLOT3DReaderGetGammaFunction
//input a0 
//output y
ArrayVector vtkMultiBlockPLOT3DReaderGetGammaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetGamma (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGamma for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetGamma();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:SetUvinf vtkMultiBlockPLOT3DReaderSetUvinfFunction
//input a0 a1 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderSetUvinfFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUvinf (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUvinf for class vtkMultiBlockPLOT3DReader requires 2 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetUvinf(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:GetUvinf vtkMultiBlockPLOT3DReaderGetUvinfFunction
//input a0 
//output y
ArrayVector vtkMultiBlockPLOT3DReaderGetUvinfFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetUvinf (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUvinf for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetUvinf();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:SetVvinf vtkMultiBlockPLOT3DReaderSetVvinfFunction
//input a0 a1 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderSetVvinfFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVvinf (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetVvinf for class vtkMultiBlockPLOT3DReader requires 2 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetVvinf(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:GetVvinf vtkMultiBlockPLOT3DReaderGetVvinfFunction
//input a0 
//output y
ArrayVector vtkMultiBlockPLOT3DReaderGetVvinfFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetVvinf (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVvinf for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetVvinf();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:SetWvinf vtkMultiBlockPLOT3DReaderSetWvinfFunction
//input a0 a1 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderSetWvinfFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWvinf (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetWvinf for class vtkMultiBlockPLOT3DReader requires 2 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetWvinf(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:GetWvinf vtkMultiBlockPLOT3DReaderGetWvinfFunction
//input a0 
//output y
ArrayVector vtkMultiBlockPLOT3DReaderGetWvinfFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetWvinf (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWvinf for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetWvinf();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:SetScalarFunctionNumber vtkMultiBlockPLOT3DReaderSetScalarFunctionNumberFunction
//input a0 a1 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderSetScalarFunctionNumberFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarFunctionNumber (int num); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarFunctionNumber for class vtkMultiBlockPLOT3DReader requires 2 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScalarFunctionNumber(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:GetScalarFunctionNumber vtkMultiBlockPLOT3DReaderGetScalarFunctionNumberFunction
//input a0 
//output y
ArrayVector vtkMultiBlockPLOT3DReaderGetScalarFunctionNumberFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarFunctionNumber (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarFunctionNumber for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScalarFunctionNumber();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:SetVectorFunctionNumber vtkMultiBlockPLOT3DReaderSetVectorFunctionNumberFunction
//input a0 a1 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderSetVectorFunctionNumberFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorFunctionNumber (int num); */
  if (arg.size() < 2) 
    throw Exception("Function SetVectorFunctionNumber for class vtkMultiBlockPLOT3DReader requires 2 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetVectorFunctionNumber(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:GetVectorFunctionNumber vtkMultiBlockPLOT3DReaderGetVectorFunctionNumberFunction
//input a0 
//output y
ArrayVector vtkMultiBlockPLOT3DReaderGetVectorFunctionNumberFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVectorFunctionNumber (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVectorFunctionNumber for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVectorFunctionNumber();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:AddFunction vtkMultiBlockPLOT3DReaderAddFunctionFunction
//input a0 a1 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderAddFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddFunction (int functionNumber); */
  if (arg.size() < 2) 
    throw Exception("Function AddFunction for class vtkMultiBlockPLOT3DReader requires 2 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->AddFunction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:RemoveFunction vtkMultiBlockPLOT3DReaderRemoveFunctionFunction
//input a0 a1 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderRemoveFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveFunction (int ); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveFunction for class vtkMultiBlockPLOT3DReader requires 2 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->RemoveFunction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:RemoveAllFunctions vtkMultiBlockPLOT3DReaderRemoveAllFunctionsFunction
//input a0 
//output none
ArrayVector vtkMultiBlockPLOT3DReaderRemoveAllFunctionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllFunctions (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllFunctions for class vtkMultiBlockPLOT3DReader requires 1 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllFunctions();
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:CanReadBinaryFile vtkMultiBlockPLOT3DReaderCanReadBinaryFileFunction
//input a0 a1 
//output y
ArrayVector vtkMultiBlockPLOT3DReaderCanReadBinaryFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int CanReadBinaryFile (const char *fname); */
  if (arg.size() < 2) 
    throw Exception("Function CanReadBinaryFile for class vtkMultiBlockPLOT3DReader requires 2 argument(s)");
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CanReadBinaryFile(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkMultiBlockPLOT3DReader:display vtkMultiBlockPLOT3DReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkMultiBlockPLOT3DReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkMultiBlockPLOT3DReader* vtk_pointer = GetVTKPointer<vtkMultiBlockPLOT3DReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkMultiBlockPLOT3DReader:delete vtkMultiBlockPLOT3DReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkMultiBlockPLOT3DReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkMultiBlockPLOT3DReader
//@@Section VTKIO
//@@Usage
// vtkMultiBlockPLOT3DReader is a reader object that reads PLOT3D formatted
// files and generates structured grid(s) on output. PLOT3D is a computer
// graphics program designed to visualize the grids and solutions of
// computational fluid dynamics. Please see the "PLOT3D User's Manual"
// available from NASA Ames Research Center, Moffett Field CA.
//
// PLOT3D files consist of a grid file (also known as XYZ file), an 
// optional solution file (also known as a Q file), and an optional function 
// file that contains user created data (currently unsupported). The Q file 
// contains solution  information as follows: the four parameters free stream 
// mach number (Fsmach), angle of attack (Alpha), Reynolds number (Re), and 
// total integration time (Time). This information is stored in an array
// called Properties in the FieldData of each output (tuple 0: fsmach, tuple 1:
// alpha, tuple 2: re, tuple 3: time). In addition, the solution file contains 
// the flow density (scalar), flow momentum (vector), and flow energy (scalar).
//
// The reader can generate additional scalars and vectors (or "functions")
// from this information. To use vtkMultiBlockPLOT3DReader, you must specify the 
// particular function number for the scalar and vector you want to visualize.
// This implementation of the reader provides the following functions. The
// scalar functions are:
//    -1  - don't read or compute any scalars
//    100 - density
//    110 - pressure
//    120 - temperature
//    130 - enthalpy
//    140 - internal energy
//    144 - kinetic energy
//    153 - velocity magnitude
//    163 - stagnation energy
//    170 - entropy
//    184 - swirl.
//
// The vector functions are:
//    -1  - don't read or compute any vectors
//    200 - velocity
//    201 - vorticity
//    202 - momentum
//    210 - pressure gradient.
//
// (Other functions are described in the PLOT3D spec, but only those listed are
// implemented here.) Note that by default, this reader creates the density 
// scalar (100) and momentum vector (202) as output. (These are just read in
// from the solution file.) Please note that the validity of computation is
// a function of this class's gas constants (R, Gamma) and the equations used.
// They may not be suitable for your computational domain.
//
// Additionally, you can read other data and associate it as a vtkDataArray
// into the output's point attribute data. Use the method AddFunction()
// to list all the functions that you'd like to read. AddFunction() accepts
// an integer parameter that defines the function number.
//
//
//To create an instance of class vtkMultiBlockPLOT3DReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkMultiBlockPLOT3DReader
//@]
//@@Methods
//The class vtkMultiBlockPLOT3DReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkMultiBlockPLOT3DReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkMultiBlockPLOT3DReader = obj.NewInstance ()|
// \item @|vtkMultiBlockPLOT3DReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string name)| -  Set/Get the PLOT3D geometry filename.
//// \item @|string = obj.GetFileName ()| -  Set/Get the PLOT3D geometry filename.
//// \item @|obj.SetXYZFileName (string )| -  Set/Get the PLOT3D geometry filename.
//// \item @|string = obj.GetXYZFileName ()| -  Set/Get the PLOT3D geometry filename.
//// \item @|obj.SetQFileName (string )| -  Set/Get the PLOT3D solution filename.
//// \item @|string = obj.GetQFileName ()| -  Set/Get the PLOT3D solution filename.
//// \item @|int = obj.GetNumberOfBlocks ()| -  This returns the number of outputs this reader will produce.
// This number is equal to the number of grids in the current 
// file. This method has to be called before getting any output
// if the number of outputs will be greater than 1 (the first
// output is always the same). Note that every time this method
// is invoked, the header file is opened and part of the header 
// is read.
//// \item @|int = obj.GetNumberOfGrids ()| -  Is the file to be read written in binary format (as opposed
// to ascii).
//// \item @|obj.SetBinaryFile (int )| -  Is the file to be read written in binary format (as opposed
// to ascii).
//// \item @|int = obj.GetBinaryFile ()| -  Is the file to be read written in binary format (as opposed
// to ascii).
//// \item @|obj.BinaryFileOn ()| -  Is the file to be read written in binary format (as opposed
// to ascii).
//// \item @|obj.BinaryFileOff ()| -  Is the file to be read written in binary format (as opposed
// to ascii).
//// \item @|obj.SetMultiGrid (int )| -  Does the file to be read contain information about number of
// grids. In some PLOT3D files, the first value contains the number 
// of grids (even if there is only 1). If reading such a file,
// set this to true.
//// \item @|int = obj.GetMultiGrid ()| -  Does the file to be read contain information about number of
// grids. In some PLOT3D files, the first value contains the number 
// of grids (even if there is only 1). If reading such a file,
// set this to true.
//// \item @|obj.MultiGridOn ()| -  Does the file to be read contain information about number of
// grids. In some PLOT3D files, the first value contains the number 
// of grids (even if there is only 1). If reading such a file,
// set this to true.
//// \item @|obj.MultiGridOff ()| -  Does the file to be read contain information about number of
// grids. In some PLOT3D files, the first value contains the number 
// of grids (even if there is only 1). If reading such a file,
// set this to true.
//// \item @|obj.SetHasByteCount (int )| -  Were the arrays written with leading and trailing byte counts ?
// Usually, files written by a fortran program will contain these
// byte counts whereas the ones written by C/C++ won't.
//// \item @|int = obj.GetHasByteCount ()| -  Were the arrays written with leading and trailing byte counts ?
// Usually, files written by a fortran program will contain these
// byte counts whereas the ones written by C/C++ won't.
//// \item @|obj.HasByteCountOn ()| -  Were the arrays written with leading and trailing byte counts ?
// Usually, files written by a fortran program will contain these
// byte counts whereas the ones written by C/C++ won't.
//// \item @|obj.HasByteCountOff ()| -  Were the arrays written with leading and trailing byte counts ?
// Usually, files written by a fortran program will contain these
// byte counts whereas the ones written by C/C++ won't.
//// \item @|obj.SetIBlanking (int )| -  Is there iblanking (point visibility) information in the file.
// If there is iblanking arrays, these will be read and assigned
// to the PointVisibility array of the output.
//// \item @|int = obj.GetIBlanking ()| -  Is there iblanking (point visibility) information in the file.
// If there is iblanking arrays, these will be read and assigned
// to the PointVisibility array of the output.
//// \item @|obj.IBlankingOn ()| -  Is there iblanking (point visibility) information in the file.
// If there is iblanking arrays, these will be read and assigned
// to the PointVisibility array of the output.
//// \item @|obj.IBlankingOff ()| -  Is there iblanking (point visibility) information in the file.
// If there is iblanking arrays, these will be read and assigned
// to the PointVisibility array of the output.
//// \item @|obj.SetTwoDimensionalGeometry (int )| -  If only two-dimensional data was written to the file,
// turn this on.
//// \item @|int = obj.GetTwoDimensionalGeometry ()| -  If only two-dimensional data was written to the file,
// turn this on.
//// \item @|obj.TwoDimensionalGeometryOn ()| -  If only two-dimensional data was written to the file,
// turn this on.
//// \item @|obj.TwoDimensionalGeometryOff ()| -  If only two-dimensional data was written to the file,
// turn this on.
//// \item @|obj.SetForceRead (int )| -  Try to read a binary file even if the file length seems to be
// inconsistent with the header information. Use this with caution,
// if the file length is not the same as calculated from the header.
// either the file is corrupt or the settings are wrong. 
//// \item @|int = obj.GetForceRead ()| -  Try to read a binary file even if the file length seems to be
// inconsistent with the header information. Use this with caution,
// if the file length is not the same as calculated from the header.
// either the file is corrupt or the settings are wrong. 
//// \item @|obj.ForceReadOn ()| -  Try to read a binary file even if the file length seems to be
// inconsistent with the header information. Use this with caution,
// if the file length is not the same as calculated from the header.
// either the file is corrupt or the settings are wrong. 
//// \item @|obj.ForceReadOff ()| -  Try to read a binary file even if the file length seems to be
// inconsistent with the header information. Use this with caution,
// if the file length is not the same as calculated from the header.
// either the file is corrupt or the settings are wrong. 
//// \item @|obj.SetByteOrderToBigEndian ()| -  Set the byte order of the file (remember, more Unix workstations
// write big endian whereas PCs write little endian). Default is
// big endian (since most older PLOT3D files were written by
// workstations).
//// \item @|obj.SetByteOrderToLittleEndian ()| -  Set the byte order of the file (remember, more Unix workstations
// write big endian whereas PCs write little endian). Default is
// big endian (since most older PLOT3D files were written by
// workstations).
//// \item @|obj.SetByteOrder (int )| -  Set the byte order of the file (remember, more Unix workstations
// write big endian whereas PCs write little endian). Default is
// big endian (since most older PLOT3D files were written by
// workstations).
//// \item @|int = obj.GetByteOrder ()| -  Set the byte order of the file (remember, more Unix workstations
// write big endian whereas PCs write little endian). Default is
// big endian (since most older PLOT3D files were written by
// workstations).
//// \item @|string = obj.GetByteOrderAsString ()| -  Set the byte order of the file (remember, more Unix workstations
// write big endian whereas PCs write little endian). Default is
// big endian (since most older PLOT3D files were written by
// workstations).
//// \item @|obj.SetR (double )| -  Set/Get the gas constant. Default is 1.0.
//// \item @|double = obj.GetR ()| -  Set/Get the gas constant. Default is 1.0.
//// \item @|obj.SetGamma (double )| -  Set/Get the ratio of specific heats. Default is 1.4.
//// \item @|double = obj.GetGamma ()| -  Set/Get the ratio of specific heats. Default is 1.4.
//// \item @|obj.SetUvinf (double )| -  Set/Get the x-component of the free-stream velocity. Default is 1.0.
//// \item @|double = obj.GetUvinf ()| -  Set/Get the x-component of the free-stream velocity. Default is 1.0.
//// \item @|obj.SetVvinf (double )| -  Set/Get the y-component of the free-stream velocity. Default is 1.0.
//// \item @|double = obj.GetVvinf ()| -  Set/Get the y-component of the free-stream velocity. Default is 1.0.
//// \item @|obj.SetWvinf (double )| -  Set/Get the z-component of the free-stream velocity. Default is 1.0.
//// \item @|double = obj.GetWvinf ()| -  Set/Get the z-component of the free-stream velocity. Default is 1.0.
//// \item @|obj.SetScalarFunctionNumber (int num)| -  Specify the scalar function to extract. If ==(-1), then no scalar 
// function is extracted.
//// \item @|int = obj.GetScalarFunctionNumber ()| -  Specify the scalar function to extract. If ==(-1), then no scalar 
// function is extracted.
//// \item @|obj.SetVectorFunctionNumber (int num)| -  Specify the vector function to extract. If ==(-1), then no vector
// function is extracted.
//// \item @|int = obj.GetVectorFunctionNumber ()| -  Specify the vector function to extract. If ==(-1), then no vector
// function is extracted.
//// \item @|obj.AddFunction (int functionNumber)| -  Specify additional functions to read. These are placed into the
// point data as data arrays. Later on they can be used by labeling
// them as scalars, etc.
//// \item @|obj.RemoveFunction (int )| -  Specify additional functions to read. These are placed into the
// point data as data arrays. Later on they can be used by labeling
// them as scalars, etc.
//// \item @|obj.RemoveAllFunctions ()| -  Specify additional functions to read. These are placed into the
// point data as data arrays. Later on they can be used by labeling
// them as scalars, etc.
//// \item @|int = obj.CanReadBinaryFile (string fname)| -  Return 1 if the reader can read the given file name. Only meaningful
// for binary files.
////\end{itemize}
//!
