#include "VTKWrap.hpp"

// FreeMat wrapper for vtkNetCDFCFReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkNetCDFCFReader.h"

//@@Signature
//sfunction @vtkNetCDFCFReader:vtkNetCDFCFReader vtkNetCDFCFReaderConstructorFunction
//input a
//output p
//@@Parents vtkNetCDFCFReader vtkNetCDFReader 
ArrayVector vtkNetCDFCFReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkNetCDFCFReader::New(),"vtkNetCDFCFReader",eval);
  } else if (arg[0].className() == "vtkNetCDFCFReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkNetCDFCFReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkNetCDFCFReader");
    vtkNetCDFCFReader*q = reinterpret_cast<vtkNetCDFCFReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkNetCDFCFReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkNetCDFCFReader:GetClassName vtkNetCDFCFReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkNetCDFCFReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkNetCDFCFReader requires 1 argument(s)");
  vtkNetCDFCFReader* vtk_pointer = GetVTKPointer<vtkNetCDFCFReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFCFReader:IsA vtkNetCDFCFReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkNetCDFCFReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkNetCDFCFReader requires 2 argument(s)");
  vtkNetCDFCFReader* vtk_pointer = GetVTKPointer<vtkNetCDFCFReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFCFReader:NewInstance vtkNetCDFCFReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkNetCDFCFReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkNetCDFCFReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkNetCDFCFReader requires 1 argument(s)");
  vtkNetCDFCFReader* vtk_pointer = GetVTKPointer<vtkNetCDFCFReader>(arg[0]);
  Array retval;
  vtkNetCDFCFReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkNetCDFCFReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFCFReader:SafeDownCast vtkNetCDFCFReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkNetCDFCFReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkNetCDFCFReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkNetCDFCFReader requires 2 argument(s)");
  vtkNetCDFCFReader* vtk_pointer = GetVTKPointer<vtkNetCDFCFReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkNetCDFCFReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkNetCDFCFReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFCFReader:GetSphericalCoordinates vtkNetCDFCFReaderGetSphericalCoordinatesFunction
//input a0 
//output y
ArrayVector vtkNetCDFCFReaderGetSphericalCoordinatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSphericalCoordinates (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSphericalCoordinates for class vtkNetCDFCFReader requires 1 argument(s)");
  vtkNetCDFCFReader* vtk_pointer = GetVTKPointer<vtkNetCDFCFReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSphericalCoordinates();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFCFReader:SetSphericalCoordinates vtkNetCDFCFReaderSetSphericalCoordinatesFunction
//input a0 a1 
//output none
ArrayVector vtkNetCDFCFReaderSetSphericalCoordinatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSphericalCoordinates (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSphericalCoordinates for class vtkNetCDFCFReader requires 2 argument(s)");
  vtkNetCDFCFReader* vtk_pointer = GetVTKPointer<vtkNetCDFCFReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSphericalCoordinates(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFCFReader:SphericalCoordinatesOn vtkNetCDFCFReaderSphericalCoordinatesOnFunction
//input a0 
//output none
ArrayVector vtkNetCDFCFReaderSphericalCoordinatesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SphericalCoordinatesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SphericalCoordinatesOn for class vtkNetCDFCFReader requires 1 argument(s)");
  vtkNetCDFCFReader* vtk_pointer = GetVTKPointer<vtkNetCDFCFReader>(arg[0]);
  Array retval;
  vtk_pointer->SphericalCoordinatesOn();
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFCFReader:SphericalCoordinatesOff vtkNetCDFCFReaderSphericalCoordinatesOffFunction
//input a0 
//output none
ArrayVector vtkNetCDFCFReaderSphericalCoordinatesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SphericalCoordinatesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SphericalCoordinatesOff for class vtkNetCDFCFReader requires 1 argument(s)");
  vtkNetCDFCFReader* vtk_pointer = GetVTKPointer<vtkNetCDFCFReader>(arg[0]);
  Array retval;
  vtk_pointer->SphericalCoordinatesOff();
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFCFReader:GetVerticalScale vtkNetCDFCFReaderGetVerticalScaleFunction
//input a0 
//output y
ArrayVector vtkNetCDFCFReaderGetVerticalScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetVerticalScale (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVerticalScale for class vtkNetCDFCFReader requires 1 argument(s)");
  vtkNetCDFCFReader* vtk_pointer = GetVTKPointer<vtkNetCDFCFReader>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetVerticalScale();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFCFReader:SetVerticalScale vtkNetCDFCFReaderSetVerticalScaleFunction
//input a0 a1 
//output none
ArrayVector vtkNetCDFCFReaderSetVerticalScaleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVerticalScale (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetVerticalScale for class vtkNetCDFCFReader requires 2 argument(s)");
  vtkNetCDFCFReader* vtk_pointer = GetVTKPointer<vtkNetCDFCFReader>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetVerticalScale(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFCFReader:GetVerticalBias vtkNetCDFCFReaderGetVerticalBiasFunction
//input a0 
//output y
ArrayVector vtkNetCDFCFReaderGetVerticalBiasFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetVerticalBias (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVerticalBias for class vtkNetCDFCFReader requires 1 argument(s)");
  vtkNetCDFCFReader* vtk_pointer = GetVTKPointer<vtkNetCDFCFReader>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetVerticalBias();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFCFReader:SetVerticalBias vtkNetCDFCFReaderSetVerticalBiasFunction
//input a0 a1 
//output none
ArrayVector vtkNetCDFCFReaderSetVerticalBiasFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVerticalBias (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetVerticalBias for class vtkNetCDFCFReader requires 2 argument(s)");
  vtkNetCDFCFReader* vtk_pointer = GetVTKPointer<vtkNetCDFCFReader>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetVerticalBias(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFCFReader:CanReadFile vtkNetCDFCFReaderCanReadFileFunction
//input a0 a1 
//output y
ArrayVector vtkNetCDFCFReaderCanReadFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int CanReadFile (const char *filename); */
  if (arg.size() < 2) 
    throw Exception("Function CanReadFile for class vtkNetCDFCFReader requires 2 argument(s)");
  vtkNetCDFCFReader* vtk_pointer = GetVTKPointer<vtkNetCDFCFReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CanReadFile(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFCFReader:display vtkNetCDFCFReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkNetCDFCFReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkNetCDFCFReader* vtk_pointer = GetVTKPointer<vtkNetCDFCFReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkNetCDFCFReader:delete vtkNetCDFCFReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkNetCDFCFReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkNetCDFCFReader
//@@Section VTKIO
//@@Usage
//
// Reads netCDF files that follow the CF convention.  Details on this convention
// can be found at <http://cf-pcmdi.llnl.gov/>.
//
//
//To create an instance of class vtkNetCDFCFReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkNetCDFCFReader
//@]
//@@Methods
//The class vtkNetCDFCFReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkNetCDFCFReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkNetCDFCFReader = obj.NewInstance ()|
// \item @|vtkNetCDFCFReader = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetSphericalCoordinates ()| -  If on (the default), then 3D data with latitude/longitude dimensions
// will be read in as curvilinear data shaped like spherical coordinates.
// If false, then the data will always be read in Cartesian coordinates.
//// \item @|obj.SetSphericalCoordinates (int )| -  If on (the default), then 3D data with latitude/longitude dimensions
// will be read in as curvilinear data shaped like spherical coordinates.
// If false, then the data will always be read in Cartesian coordinates.
//// \item @|obj.SphericalCoordinatesOn ()| -  If on (the default), then 3D data with latitude/longitude dimensions
// will be read in as curvilinear data shaped like spherical coordinates.
// If false, then the data will always be read in Cartesian coordinates.
//// \item @|obj.SphericalCoordinatesOff ()| -  If on (the default), then 3D data with latitude/longitude dimensions
// will be read in as curvilinear data shaped like spherical coordinates.
// If false, then the data will always be read in Cartesian coordinates.
//// \item @|double = obj.GetVerticalScale ()| -  The scale and bias of the vertical component of spherical coordinates.  It
// is common to write the vertical component with respect to something other
// than the center of the sphere (for example, the surface).  In this case, it
// might be necessary to scale and/or bias the vertical height.  The height
// will become height*scale + bias.  Keep in mind that if the positive
// attribute of the vertical dimension is down, then the height is negated.
// By default the scale is 1 and the bias is 0 (that is, no change).  The
// scaling will be adjusted if it results in invalid (negative) vertical
// values.
//// \item @|obj.SetVerticalScale (double )| -  The scale and bias of the vertical component of spherical coordinates.  It
// is common to write the vertical component with respect to something other
// than the center of the sphere (for example, the surface).  In this case, it
// might be necessary to scale and/or bias the vertical height.  The height
// will become height*scale + bias.  Keep in mind that if the positive
// attribute of the vertical dimension is down, then the height is negated.
// By default the scale is 1 and the bias is 0 (that is, no change).  The
// scaling will be adjusted if it results in invalid (negative) vertical
// values.
//// \item @|double = obj.GetVerticalBias ()| -  The scale and bias of the vertical component of spherical coordinates.  It
// is common to write the vertical component with respect to something other
// than the center of the sphere (for example, the surface).  In this case, it
// might be necessary to scale and/or bias the vertical height.  The height
// will become height*scale + bias.  Keep in mind that if the positive
// attribute of the vertical dimension is down, then the height is negated.
// By default the scale is 1 and the bias is 0 (that is, no change).  The
// scaling will be adjusted if it results in invalid (negative) vertical
// values.
//// \item @|obj.SetVerticalBias (double )| -  The scale and bias of the vertical component of spherical coordinates.  It
// is common to write the vertical component with respect to something other
// than the center of the sphere (for example, the surface).  In this case, it
// might be necessary to scale and/or bias the vertical height.  The height
// will become height*scale + bias.  Keep in mind that if the positive
// attribute of the vertical dimension is down, then the height is negated.
// By default the scale is 1 and the bias is 0 (that is, no change).  The
// scaling will be adjusted if it results in invalid (negative) vertical
// values.
////\end{itemize}
//!
