#include "VTKWrap.hpp"

// FreeMat wrapper for vtkNetCDFPOPReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkNetCDFPOPReader.h"

//@@Signature
//sfunction @vtkNetCDFPOPReader:vtkNetCDFPOPReader vtkNetCDFPOPReaderConstructorFunction
//input a
//output p
//@@Parents vtkNetCDFPOPReader vtkRectilinearGridAlgorithm 
ArrayVector vtkNetCDFPOPReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkNetCDFPOPReader::New(),"vtkNetCDFPOPReader",eval);
  } else if (arg[0].className() == "vtkNetCDFPOPReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkNetCDFPOPReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkNetCDFPOPReader");
    vtkNetCDFPOPReader*q = reinterpret_cast<vtkNetCDFPOPReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkNetCDFPOPReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkNetCDFPOPReader:GetClassName vtkNetCDFPOPReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkNetCDFPOPReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkNetCDFPOPReader requires 1 argument(s)");
  vtkNetCDFPOPReader* vtk_pointer = GetVTKPointer<vtkNetCDFPOPReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:IsA vtkNetCDFPOPReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkNetCDFPOPReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkNetCDFPOPReader requires 2 argument(s)");
  vtkNetCDFPOPReader* vtk_pointer = GetVTKPointer<vtkNetCDFPOPReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:NewInstance vtkNetCDFPOPReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkNetCDFPOPReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkNetCDFPOPReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkNetCDFPOPReader requires 1 argument(s)");
  vtkNetCDFPOPReader* vtk_pointer = GetVTKPointer<vtkNetCDFPOPReader>(arg[0]);
  Array retval;
  vtkNetCDFPOPReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkNetCDFPOPReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:SafeDownCast vtkNetCDFPOPReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkNetCDFPOPReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkNetCDFPOPReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkNetCDFPOPReader requires 2 argument(s)");
  vtkNetCDFPOPReader* vtk_pointer = GetVTKPointer<vtkNetCDFPOPReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkNetCDFPOPReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkNetCDFPOPReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:SetFilename vtkNetCDFPOPReaderSetFilenameFunction
//input a0 a1 
//output none
ArrayVector vtkNetCDFPOPReaderSetFilenameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFilename (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFilename for class vtkNetCDFPOPReader requires 2 argument(s)");
  vtkNetCDFPOPReader* vtk_pointer = GetVTKPointer<vtkNetCDFPOPReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFilename(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:GetFilename vtkNetCDFPOPReaderGetFilenameFunction
//input a0 
//output y
ArrayVector vtkNetCDFPOPReaderGetFilenameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFilename (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFilename for class vtkNetCDFPOPReader requires 1 argument(s)");
  vtkNetCDFPOPReader* vtk_pointer = GetVTKPointer<vtkNetCDFPOPReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFilename();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:SetWholeExtent__1 vtkNetCDFPOPReaderSetWholeExtent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkNetCDFPOPReaderSetWholeExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWholeExtent (int , int , int , int , int , int ); */
  if (arg.size() < 7) 
    throw Exception("Function SetWholeExtent__1 for class vtkNetCDFPOPReader requires 7 argument(s)");
  vtkNetCDFPOPReader* vtk_pointer = GetVTKPointer<vtkNetCDFPOPReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetWholeExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:SetWholeExtent__2 vtkNetCDFPOPReaderSetWholeExtent__2Function
//input a0 a1 
//output none
ArrayVector vtkNetCDFPOPReaderSetWholeExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWholeExtent (int  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetWholeExtent__2 for class vtkNetCDFPOPReader requires 2 argument(s)");
  vtkNetCDFPOPReader* vtk_pointer = GetVTKPointer<vtkNetCDFPOPReader>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetWholeExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:GetWholeExtent vtkNetCDFPOPReaderGetWholeExtentFunction
//input a0 
//output y
ArrayVector vtkNetCDFPOPReaderGetWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetWholeExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWholeExtent for class vtkNetCDFPOPReader requires 1 argument(s)");
  vtkNetCDFPOPReader* vtk_pointer = GetVTKPointer<vtkNetCDFPOPReader>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetWholeExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:SetSubExtent__1 vtkNetCDFPOPReaderSetSubExtent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkNetCDFPOPReaderSetSubExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSubExtent (int , int , int , int , int , int ); */
  if (arg.size() < 7) 
    throw Exception("Function SetSubExtent__1 for class vtkNetCDFPOPReader requires 7 argument(s)");
  vtkNetCDFPOPReader* vtk_pointer = GetVTKPointer<vtkNetCDFPOPReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetSubExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:SetSubExtent__2 vtkNetCDFPOPReaderSetSubExtent__2Function
//input a0 a1 
//output none
ArrayVector vtkNetCDFPOPReaderSetSubExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSubExtent (int  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSubExtent__2 for class vtkNetCDFPOPReader requires 2 argument(s)");
  vtkNetCDFPOPReader* vtk_pointer = GetVTKPointer<vtkNetCDFPOPReader>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetSubExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:GetSubExtent vtkNetCDFPOPReaderGetSubExtentFunction
//input a0 
//output y
ArrayVector vtkNetCDFPOPReaderGetSubExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetSubExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSubExtent for class vtkNetCDFPOPReader requires 1 argument(s)");
  vtkNetCDFPOPReader* vtk_pointer = GetVTKPointer<vtkNetCDFPOPReader>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetSubExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:SetOrigin__1 vtkNetCDFPOPReaderSetOrigin__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkNetCDFPOPReaderSetOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetOrigin__1 for class vtkNetCDFPOPReader requires 4 argument(s)");
  vtkNetCDFPOPReader* vtk_pointer = GetVTKPointer<vtkNetCDFPOPReader>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:SetOrigin__2 vtkNetCDFPOPReaderSetOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkNetCDFPOPReaderSetOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrigin (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrigin__2 for class vtkNetCDFPOPReader requires 2 argument(s)");
  vtkNetCDFPOPReader* vtk_pointer = GetVTKPointer<vtkNetCDFPOPReader>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:GetOrigin vtkNetCDFPOPReaderGetOriginFunction
//input a0 
//output y
ArrayVector vtkNetCDFPOPReaderGetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrigin for class vtkNetCDFPOPReader requires 1 argument(s)");
  vtkNetCDFPOPReader* vtk_pointer = GetVTKPointer<vtkNetCDFPOPReader>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:SetSpacing__1 vtkNetCDFPOPReaderSetSpacing__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkNetCDFPOPReaderSetSpacing__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpacing (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetSpacing__1 for class vtkNetCDFPOPReader requires 4 argument(s)");
  vtkNetCDFPOPReader* vtk_pointer = GetVTKPointer<vtkNetCDFPOPReader>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetSpacing(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:SetSpacing__2 vtkNetCDFPOPReaderSetSpacing__2Function
//input a0 a1 
//output none
ArrayVector vtkNetCDFPOPReaderSetSpacing__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpacing (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetSpacing__2 for class vtkNetCDFPOPReader requires 2 argument(s)");
  vtkNetCDFPOPReader* vtk_pointer = GetVTKPointer<vtkNetCDFPOPReader>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetSpacing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:GetSpacing vtkNetCDFPOPReaderGetSpacingFunction
//input a0 
//output y
ArrayVector vtkNetCDFPOPReaderGetSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetSpacing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSpacing for class vtkNetCDFPOPReader requires 1 argument(s)");
  vtkNetCDFPOPReader* vtk_pointer = GetVTKPointer<vtkNetCDFPOPReader>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetSpacing();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:SetStride__1 vtkNetCDFPOPReaderSetStride__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkNetCDFPOPReaderSetStride__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStride (int , int , int ); */
  if (arg.size() < 4) 
    throw Exception("Function SetStride__1 for class vtkNetCDFPOPReader requires 4 argument(s)");
  vtkNetCDFPOPReader* vtk_pointer = GetVTKPointer<vtkNetCDFPOPReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetStride(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:SetStride__2 vtkNetCDFPOPReaderSetStride__2Function
//input a0 a1 
//output none
ArrayVector vtkNetCDFPOPReaderSetStride__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStride (int  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetStride__2 for class vtkNetCDFPOPReader requires 2 argument(s)");
  vtkNetCDFPOPReader* vtk_pointer = GetVTKPointer<vtkNetCDFPOPReader>(arg[0]);
  Array retval;
  int    temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetStride(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:GetStride vtkNetCDFPOPReaderGetStrideFunction
//input a0 
//output y
ArrayVector vtkNetCDFPOPReaderGetStrideFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetStride (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStride for class vtkNetCDFPOPReader requires 1 argument(s)");
  vtkNetCDFPOPReader* vtk_pointer = GetVTKPointer<vtkNetCDFPOPReader>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetStride();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:SetBlockReadSize vtkNetCDFPOPReaderSetBlockReadSizeFunction
//input a0 a1 
//output none
ArrayVector vtkNetCDFPOPReaderSetBlockReadSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBlockReadSize (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBlockReadSize for class vtkNetCDFPOPReader requires 2 argument(s)");
  vtkNetCDFPOPReader* vtk_pointer = GetVTKPointer<vtkNetCDFPOPReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBlockReadSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:GetBlockReadSize vtkNetCDFPOPReaderGetBlockReadSizeFunction
//input a0 
//output y
ArrayVector vtkNetCDFPOPReaderGetBlockReadSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBlockReadSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBlockReadSize for class vtkNetCDFPOPReader requires 1 argument(s)");
  vtkNetCDFPOPReader* vtk_pointer = GetVTKPointer<vtkNetCDFPOPReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBlockReadSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:GetNumberOfVariableArrays vtkNetCDFPOPReaderGetNumberOfVariableArraysFunction
//input a0 
//output y
ArrayVector vtkNetCDFPOPReaderGetNumberOfVariableArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfVariableArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfVariableArrays for class vtkNetCDFPOPReader requires 1 argument(s)");
  vtkNetCDFPOPReader* vtk_pointer = GetVTKPointer<vtkNetCDFPOPReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfVariableArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:GetVariableArrayName vtkNetCDFPOPReaderGetVariableArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkNetCDFPOPReaderGetVariableArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetVariableArrayName (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetVariableArrayName for class vtkNetCDFPOPReader requires 2 argument(s)");
  vtkNetCDFPOPReader* vtk_pointer = GetVTKPointer<vtkNetCDFPOPReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetVariableArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:GetVariableArrayStatus vtkNetCDFPOPReaderGetVariableArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkNetCDFPOPReaderGetVariableArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetVariableArrayStatus (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetVariableArrayStatus for class vtkNetCDFPOPReader requires 2 argument(s)");
  vtkNetCDFPOPReader* vtk_pointer = GetVTKPointer<vtkNetCDFPOPReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetVariableArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:SetVariableArrayStatus vtkNetCDFPOPReaderSetVariableArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkNetCDFPOPReaderSetVariableArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetVariableArrayStatus (const char *name, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetVariableArrayStatus for class vtkNetCDFPOPReader requires 3 argument(s)");
  vtkNetCDFPOPReader* vtk_pointer = GetVTKPointer<vtkNetCDFPOPReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetVariableArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:SetWholeExtent vtkNetCDFPOPReaderSetWholeExtentFunction
//input varargin
//output varargout
ArrayVector vtkNetCDFPOPReaderSetWholeExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkNetCDFPOPReaderSetWholeExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkNetCDFPOPReaderSetWholeExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkNetCDFPOPReaderSetWholeExtent");
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:SetSubExtent vtkNetCDFPOPReaderSetSubExtentFunction
//input varargin
//output varargout
ArrayVector vtkNetCDFPOPReaderSetSubExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkNetCDFPOPReaderSetSubExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkNetCDFPOPReaderSetSubExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkNetCDFPOPReaderSetSubExtent");
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:SetOrigin vtkNetCDFPOPReaderSetOriginFunction
//input varargin
//output varargout
ArrayVector vtkNetCDFPOPReaderSetOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkNetCDFPOPReaderSetOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkNetCDFPOPReaderSetOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkNetCDFPOPReaderSetOrigin");
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:SetSpacing vtkNetCDFPOPReaderSetSpacingFunction
//input varargin
//output varargout
ArrayVector vtkNetCDFPOPReaderSetSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkNetCDFPOPReaderSetSpacing__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkNetCDFPOPReaderSetSpacing__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkNetCDFPOPReaderSetSpacing");
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:SetStride vtkNetCDFPOPReaderSetStrideFunction
//input varargin
//output varargout
ArrayVector vtkNetCDFPOPReaderSetStrideFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkNetCDFPOPReaderSetStride__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkNetCDFPOPReaderSetStride__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkNetCDFPOPReaderSetStride");
}

//@@Signature
//sfunction @vtkNetCDFPOPReader:display vtkNetCDFPOPReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkNetCDFPOPReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkNetCDFPOPReader* vtk_pointer = GetVTKPointer<vtkNetCDFPOPReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkNetCDFPOPReader:delete vtkNetCDFPOPReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkNetCDFPOPReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkNetCDFPOPReader
//@@Section VTKIO
//@@Usage
// vtkNetCDFPOPReader is a source object that reads NetCDF files.
// It should be able to read most any NetCDF file that wants to output rectilinear grid
//
//
//To create an instance of class vtkNetCDFPOPReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkNetCDFPOPReader
//@]
//@@Methods
//The class vtkNetCDFPOPReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkNetCDFPOPReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkNetCDFPOPReader = obj.NewInstance ()|
// \item @|vtkNetCDFPOPReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFilename (string )|
// \item @|string = obj.GetFilename ()|
// \item @|obj.SetWholeExtent (int , int , int , int , int , int )|
// \item @|obj.SetWholeExtent (int  a[6])|
// \item @|int = obj. GetWholeExtent ()|
// \item @|obj.SetSubExtent (int , int , int , int , int , int )|
// \item @|obj.SetSubExtent (int  a[6])|
// \item @|int = obj. GetSubExtent ()|
// \item @|obj.SetOrigin (double , double , double )|
// \item @|obj.SetOrigin (double  a[3])|
// \item @|double = obj. GetOrigin ()|
// \item @|obj.SetSpacing (double , double , double )|
// \item @|obj.SetSpacing (double  a[3])|
// \item @|double = obj. GetSpacing ()|
// \item @|obj.SetStride (int , int , int )|
// \item @|obj.SetStride (int  a[3])|
// \item @|int = obj. GetStride ()|
// \item @|obj.SetBlockReadSize (int )|
// \item @|int = obj.GetBlockReadSize ()|
// \item @|int = obj.GetNumberOfVariableArrays ()| -  Variable array selection.
//// \item @|string = obj.GetVariableArrayName (int idx)| -  Variable array selection.
//// \item @|int = obj.GetVariableArrayStatus (string name)| -  Variable array selection.
//// \item @|obj.SetVariableArrayStatus (string name, int status)| -  Variable array selection.
////\end{itemize}
//!
