#include "VTKWrap.hpp"

// FreeMat wrapper for vtkNetCDFReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkNetCDFReader.h"

//@@Signature
//sfunction @vtkNetCDFReader:vtkNetCDFReader vtkNetCDFReaderConstructorFunction
//input a
//output p
//@@Parents vtkNetCDFReader vtkDataObjectAlgorithm 
ArrayVector vtkNetCDFReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkNetCDFReader::New(),"vtkNetCDFReader",eval);
  } else if (arg[0].className() == "vtkNetCDFReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkNetCDFReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkNetCDFReader");
    vtkNetCDFReader*q = reinterpret_cast<vtkNetCDFReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkNetCDFReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkNetCDFReader:GetClassName vtkNetCDFReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkNetCDFReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkNetCDFReader requires 1 argument(s)");
  vtkNetCDFReader* vtk_pointer = GetVTKPointer<vtkNetCDFReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFReader:IsA vtkNetCDFReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkNetCDFReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkNetCDFReader requires 2 argument(s)");
  vtkNetCDFReader* vtk_pointer = GetVTKPointer<vtkNetCDFReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFReader:NewInstance vtkNetCDFReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkNetCDFReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkNetCDFReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkNetCDFReader requires 1 argument(s)");
  vtkNetCDFReader* vtk_pointer = GetVTKPointer<vtkNetCDFReader>(arg[0]);
  Array retval;
  vtkNetCDFReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkNetCDFReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFReader:SafeDownCast vtkNetCDFReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkNetCDFReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkNetCDFReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkNetCDFReader requires 2 argument(s)");
  vtkNetCDFReader* vtk_pointer = GetVTKPointer<vtkNetCDFReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkNetCDFReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkNetCDFReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFReader:SetFileName vtkNetCDFReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkNetCDFReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetFileName (const char *filename); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkNetCDFReader requires 2 argument(s)");
  vtkNetCDFReader* vtk_pointer = GetVTKPointer<vtkNetCDFReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFReader:GetFileName vtkNetCDFReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkNetCDFReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkNetCDFReader requires 1 argument(s)");
  vtkNetCDFReader* vtk_pointer = GetVTKPointer<vtkNetCDFReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFReader:UpdateMetaData vtkNetCDFReaderUpdateMetaDataFunction
//input a0 
//output y
ArrayVector vtkNetCDFReaderUpdateMetaDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int UpdateMetaData (); */
  if (arg.size() < 1) 
    throw Exception("Function UpdateMetaData for class vtkNetCDFReader requires 1 argument(s)");
  vtkNetCDFReader* vtk_pointer = GetVTKPointer<vtkNetCDFReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->UpdateMetaData();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFReader:GetNumberOfVariableArrays vtkNetCDFReaderGetNumberOfVariableArraysFunction
//input a0 
//output y
ArrayVector vtkNetCDFReaderGetNumberOfVariableArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfVariableArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfVariableArrays for class vtkNetCDFReader requires 1 argument(s)");
  vtkNetCDFReader* vtk_pointer = GetVTKPointer<vtkNetCDFReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfVariableArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFReader:GetVariableArrayName vtkNetCDFReaderGetVariableArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkNetCDFReaderGetVariableArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetVariableArrayName (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetVariableArrayName for class vtkNetCDFReader requires 2 argument(s)");
  vtkNetCDFReader* vtk_pointer = GetVTKPointer<vtkNetCDFReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetVariableArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFReader:GetVariableArrayStatus vtkNetCDFReaderGetVariableArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkNetCDFReaderGetVariableArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetVariableArrayStatus (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetVariableArrayStatus for class vtkNetCDFReader requires 2 argument(s)");
  vtkNetCDFReader* vtk_pointer = GetVTKPointer<vtkNetCDFReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetVariableArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFReader:SetVariableArrayStatus vtkNetCDFReaderSetVariableArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkNetCDFReaderSetVariableArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetVariableArrayStatus (const char *name, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetVariableArrayStatus for class vtkNetCDFReader requires 3 argument(s)");
  vtkNetCDFReader* vtk_pointer = GetVTKPointer<vtkNetCDFReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetVariableArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFReader:GetVariableDimensions vtkNetCDFReaderGetVariableDimensionsFunction
//input a0 
//output y
ArrayVector vtkNetCDFReaderGetVariableDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStringArray *GetVariableDimensions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVariableDimensions for class vtkNetCDFReader requires 1 argument(s)");
  vtkNetCDFReader* vtk_pointer = GetVTKPointer<vtkNetCDFReader>(arg[0]);
  Array retval;
  vtkStringArray  *temp20;
  temp20 = (vtk_pointer)->GetVariableDimensions();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStringArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFReader:SetDimensions vtkNetCDFReaderSetDimensionsFunction
//input a0 a1 
//output none
ArrayVector vtkNetCDFReaderSetDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDimensions (const char *dimensions); */
  if (arg.size() < 2) 
    throw Exception("Function SetDimensions for class vtkNetCDFReader requires 2 argument(s)");
  vtkNetCDFReader* vtk_pointer = GetVTKPointer<vtkNetCDFReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetDimensions(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFReader:GetAllDimensions vtkNetCDFReaderGetAllDimensionsFunction
//input a0 
//output y
ArrayVector vtkNetCDFReaderGetAllDimensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStringArray *GetAllDimensions (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAllDimensions for class vtkNetCDFReader requires 1 argument(s)");
  vtkNetCDFReader* vtk_pointer = GetVTKPointer<vtkNetCDFReader>(arg[0]);
  Array retval;
  vtkStringArray  *temp20;
  temp20 = (vtk_pointer)->GetAllDimensions();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStringArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFReader:GetReplaceFillValueWithNan vtkNetCDFReaderGetReplaceFillValueWithNanFunction
//input a0 
//output y
ArrayVector vtkNetCDFReaderGetReplaceFillValueWithNanFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReplaceFillValueWithNan (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReplaceFillValueWithNan for class vtkNetCDFReader requires 1 argument(s)");
  vtkNetCDFReader* vtk_pointer = GetVTKPointer<vtkNetCDFReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReplaceFillValueWithNan();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFReader:SetReplaceFillValueWithNan vtkNetCDFReaderSetReplaceFillValueWithNanFunction
//input a0 a1 
//output none
ArrayVector vtkNetCDFReaderSetReplaceFillValueWithNanFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReplaceFillValueWithNan (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReplaceFillValueWithNan for class vtkNetCDFReader requires 2 argument(s)");
  vtkNetCDFReader* vtk_pointer = GetVTKPointer<vtkNetCDFReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReplaceFillValueWithNan(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFReader:ReplaceFillValueWithNanOn vtkNetCDFReaderReplaceFillValueWithNanOnFunction
//input a0 
//output none
ArrayVector vtkNetCDFReaderReplaceFillValueWithNanOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReplaceFillValueWithNanOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReplaceFillValueWithNanOn for class vtkNetCDFReader requires 1 argument(s)");
  vtkNetCDFReader* vtk_pointer = GetVTKPointer<vtkNetCDFReader>(arg[0]);
  Array retval;
  vtk_pointer->ReplaceFillValueWithNanOn();
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFReader:ReplaceFillValueWithNanOff vtkNetCDFReaderReplaceFillValueWithNanOffFunction
//input a0 
//output none
ArrayVector vtkNetCDFReaderReplaceFillValueWithNanOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReplaceFillValueWithNanOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReplaceFillValueWithNanOff for class vtkNetCDFReader requires 1 argument(s)");
  vtkNetCDFReader* vtk_pointer = GetVTKPointer<vtkNetCDFReader>(arg[0]);
  Array retval;
  vtk_pointer->ReplaceFillValueWithNanOff();
  return retval;
}

//@@Signature
//sfunction @vtkNetCDFReader:display vtkNetCDFReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkNetCDFReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkNetCDFReader* vtk_pointer = GetVTKPointer<vtkNetCDFReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkNetCDFReader:delete vtkNetCDFReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkNetCDFReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkNetCDFReader
//@@Section VTKIO
//@@Usage
//
// A superclass for reading netCDF files.  Subclass add conventions to the
// reader.  This class just outputs data into a multi block data set with a
// vtkImageData at each block.  A block is created for each variable except that
// variables with matching dimensions will be placed in the same block.
//
//To create an instance of class vtkNetCDFReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkNetCDFReader
//@]
//@@Methods
//The class vtkNetCDFReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkNetCDFReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkNetCDFReader = obj.NewInstance ()|
// \item @|vtkNetCDFReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string filename)|
// \item @|string = obj.GetFileName ()|
// \item @|int = obj.UpdateMetaData ()| -  Update the meta data from the current file.  Automatically called
// during the RequestInformation pipeline update stage.
//// \item @|int = obj.GetNumberOfVariableArrays ()| -  Variable array selection.
//// \item @|string = obj.GetVariableArrayName (int idx)| -  Variable array selection.
//// \item @|int = obj.GetVariableArrayStatus (string name)| -  Variable array selection.
//// \item @|obj.SetVariableArrayStatus (string name, int status)| -  Variable array selection.
//// \item @|vtkStringArray = obj.GetVariableDimensions ()| -  Returns an array with string encodings for the dimensions used in each of
// the variables.  The indices in the returned array correspond to those used
// in the GetVariableArrayName method.  Two arrays with the same dimensions
// will have the same encoded string returned by this method.
//// \item @|obj.SetDimensions (string dimensions)| -  Loads the grid with the given dimensions.  The dimensions are encoded in a
// string that conforms to the same format as returned by
// GetVariableDimensions and GetAllDimensions.  This method is really a
// convenience method for SetVariableArrayStatus.  It turns on all variables
// that have the given dimensions and turns off all other variables.
//// \item @|vtkStringArray = obj.GetAllDimensions ()| -  Returns an array with string encodings for the dimension combinations used
// in the variables.  The result is the same as GetVariableDimensions except
// that each entry in the array is unique (a set of dimensions is only given
// once even if it occurs for multiple variables) and the order is
// meaningless.
//// \item @|int = obj.GetReplaceFillValueWithNan ()| -  If on, any float or double variable read that has a _FillValue attribute
// will have that fill value replaced with a not-a-number (NaN) value.  The
// advantage of setting these to NaN values is that, if implemented properly
// by the system and careful math operations are used, they can implicitly be
// ignored by calculations like finding the range of the values.  That said,
// this option should be used with caution as VTK does not fully support NaN
// values and therefore odd calculations may occur.  By default this is off.
//// \item @|obj.SetReplaceFillValueWithNan (int )| -  If on, any float or double variable read that has a _FillValue attribute
// will have that fill value replaced with a not-a-number (NaN) value.  The
// advantage of setting these to NaN values is that, if implemented properly
// by the system and careful math operations are used, they can implicitly be
// ignored by calculations like finding the range of the values.  That said,
// this option should be used with caution as VTK does not fully support NaN
// values and therefore odd calculations may occur.  By default this is off.
//// \item @|obj.ReplaceFillValueWithNanOn ()| -  If on, any float or double variable read that has a _FillValue attribute
// will have that fill value replaced with a not-a-number (NaN) value.  The
// advantage of setting these to NaN values is that, if implemented properly
// by the system and careful math operations are used, they can implicitly be
// ignored by calculations like finding the range of the values.  That said,
// this option should be used with caution as VTK does not fully support NaN
// values and therefore odd calculations may occur.  By default this is off.
//// \item @|obj.ReplaceFillValueWithNanOff ()| -  If on, any float or double variable read that has a _FillValue attribute
// will have that fill value replaced with a not-a-number (NaN) value.  The
// advantage of setting these to NaN values is that, if implemented properly
// by the system and careful math operations are used, they can implicitly be
// ignored by calculations like finding the range of the values.  That said,
// this option should be used with caution as VTK does not fully support NaN
// values and therefore odd calculations may occur.  By default this is off.
////\end{itemize}
//!
