#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOBJReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOBJReader.h"

//@@Signature
//sfunction @vtkOBJReader:vtkOBJReader vtkOBJReaderConstructorFunction
//input a
//output p
//@@Parents vtkOBJReader vtkPolyDataAlgorithm 
ArrayVector vtkOBJReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOBJReader::New(),"vtkOBJReader",eval);
  } else if (arg[0].className() == "vtkOBJReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOBJReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOBJReader");
    vtkOBJReader*q = reinterpret_cast<vtkOBJReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOBJReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOBJReader:GetClassName vtkOBJReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOBJReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOBJReader requires 1 argument(s)");
  vtkOBJReader* vtk_pointer = GetVTKPointer<vtkOBJReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOBJReader:IsA vtkOBJReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOBJReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOBJReader requires 2 argument(s)");
  vtkOBJReader* vtk_pointer = GetVTKPointer<vtkOBJReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOBJReader:NewInstance vtkOBJReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOBJReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOBJReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOBJReader requires 1 argument(s)");
  vtkOBJReader* vtk_pointer = GetVTKPointer<vtkOBJReader>(arg[0]);
  Array retval;
  vtkOBJReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOBJReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOBJReader:SafeDownCast vtkOBJReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOBJReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOBJReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOBJReader requires 2 argument(s)");
  vtkOBJReader* vtk_pointer = GetVTKPointer<vtkOBJReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOBJReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOBJReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOBJReader:SetFileName vtkOBJReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkOBJReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkOBJReader requires 2 argument(s)");
  vtkOBJReader* vtk_pointer = GetVTKPointer<vtkOBJReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOBJReader:GetFileName vtkOBJReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkOBJReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkOBJReader requires 1 argument(s)");
  vtkOBJReader* vtk_pointer = GetVTKPointer<vtkOBJReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOBJReader:display vtkOBJReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOBJReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOBJReader* vtk_pointer = GetVTKPointer<vtkOBJReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOBJReader:delete vtkOBJReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkOBJReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOBJReader
//@@Section VTKIO
//@@Usage
// vtkOBJReader is a source object that reads Wavefront .obj
// files. The output of this source object is polygonal data.
//
//To create an instance of class vtkOBJReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkOBJReader
//@]
//@@Methods
//The class vtkOBJReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOBJReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOBJReader = obj.NewInstance ()|
// \item @|vtkOBJReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string )| -  Specify file name of Wavefront .obj file.
//// \item @|string = obj.GetFileName ()| -  Specify file name of Wavefront .obj file.
////\end{itemize}
//!
