#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOpenFOAMReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOpenFOAMReader.h"

//@@Signature
//sfunction @vtkOpenFOAMReader:vtkOpenFOAMReader vtkOpenFOAMReaderConstructorFunction
//input a
//output p
//@@Parents vtkOpenFOAMReader vtkMultiBlockDataSetAlgorithm 
ArrayVector vtkOpenFOAMReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOpenFOAMReader::New(),"vtkOpenFOAMReader",eval);
  } else if (arg[0].className() == "vtkOpenFOAMReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOpenFOAMReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOpenFOAMReader");
    vtkOpenFOAMReader*q = reinterpret_cast<vtkOpenFOAMReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOpenFOAMReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOpenFOAMReader:GetClassName vtkOpenFOAMReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOpenFOAMReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:IsA vtkOpenFOAMReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOpenFOAMReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOpenFOAMReader requires 2 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:NewInstance vtkOpenFOAMReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOpenFOAMReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenFOAMReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  vtkOpenFOAMReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenFOAMReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:SafeDownCast vtkOpenFOAMReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOpenFOAMReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOpenFOAMReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOpenFOAMReader requires 2 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOpenFOAMReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOpenFOAMReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:CanReadFile vtkOpenFOAMReaderCanReadFileFunction
//input a0 a1 
//output y
ArrayVector vtkOpenFOAMReaderCanReadFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CanReadFile (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function CanReadFile for class vtkOpenFOAMReader requires 2 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CanReadFile(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:SetFileName vtkOpenFOAMReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkOpenFOAMReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkOpenFOAMReader requires 2 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:GetFileName vtkOpenFOAMReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkOpenFOAMReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:GetNumberOfCellArrays vtkOpenFOAMReaderGetNumberOfCellArraysFunction
//input a0 
//output y
ArrayVector vtkOpenFOAMReaderGetNumberOfCellArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfCellArrays (void );return this GetNumberOfSelectionArrays this CellDataArraySelection  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCellArrays for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfCellArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:GetCellArrayStatus vtkOpenFOAMReaderGetCellArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkOpenFOAMReaderGetCellArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellArrayStatus (const char *name);return this GetSelectionArrayStatus this CellDataArraySelection name  */
  if (arg.size() < 2) 
    throw Exception("Function GetCellArrayStatus for class vtkOpenFOAMReader requires 2 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetCellArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:SetCellArrayStatus vtkOpenFOAMReaderSetCellArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkOpenFOAMReaderSetCellArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellArrayStatus (const char *name, int status);this SetSelectionArrayStatus this CellDataArraySelection name status  */
  if (arg.size() < 3) 
    throw Exception("Function SetCellArrayStatus for class vtkOpenFOAMReader requires 3 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetCellArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:GetCellArrayName vtkOpenFOAMReaderGetCellArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkOpenFOAMReaderGetCellArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetCellArrayName (int index);return this GetSelectionArrayName this CellDataArraySelection index  */
  if (arg.size() < 2) 
    throw Exception("Function GetCellArrayName for class vtkOpenFOAMReader requires 2 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCellArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:DisableAllCellArrays vtkOpenFOAMReaderDisableAllCellArraysFunction
//input a0 
//output none
ArrayVector vtkOpenFOAMReaderDisableAllCellArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DisableAllCellArrays ();this DisableAllSelectionArrays this CellDataArraySelection  */
  if (arg.size() < 1) 
    throw Exception("Function DisableAllCellArrays for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  vtk_pointer->DisableAllCellArrays();
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:EnableAllCellArrays vtkOpenFOAMReaderEnableAllCellArraysFunction
//input a0 
//output none
ArrayVector vtkOpenFOAMReaderEnableAllCellArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableAllCellArrays ();this EnableAllSelectionArrays this CellDataArraySelection  */
  if (arg.size() < 1) 
    throw Exception("Function EnableAllCellArrays for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  vtk_pointer->EnableAllCellArrays();
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:GetNumberOfPointArrays vtkOpenFOAMReaderGetNumberOfPointArraysFunction
//input a0 
//output y
ArrayVector vtkOpenFOAMReaderGetNumberOfPointArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPointArrays (void );return this GetNumberOfSelectionArrays this PointDataArraySelection  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPointArrays for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPointArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:GetPointArrayStatus vtkOpenFOAMReaderGetPointArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkOpenFOAMReaderGetPointArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointArrayStatus (const char *name);return this GetSelectionArrayStatus this PointDataArraySelection name  */
  if (arg.size() < 2) 
    throw Exception("Function GetPointArrayStatus for class vtkOpenFOAMReader requires 2 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetPointArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:SetPointArrayStatus vtkOpenFOAMReaderSetPointArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkOpenFOAMReaderSetPointArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointArrayStatus (const char *name, int status);this SetSelectionArrayStatus this PointDataArraySelection name status  */
  if (arg.size() < 3) 
    throw Exception("Function SetPointArrayStatus for class vtkOpenFOAMReader requires 3 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetPointArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:GetPointArrayName vtkOpenFOAMReaderGetPointArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkOpenFOAMReaderGetPointArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetPointArrayName (int index);return this GetSelectionArrayName this PointDataArraySelection index  */
  if (arg.size() < 2) 
    throw Exception("Function GetPointArrayName for class vtkOpenFOAMReader requires 2 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPointArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:DisableAllPointArrays vtkOpenFOAMReaderDisableAllPointArraysFunction
//input a0 
//output none
ArrayVector vtkOpenFOAMReaderDisableAllPointArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DisableAllPointArrays ();this DisableAllSelectionArrays this PointDataArraySelection  */
  if (arg.size() < 1) 
    throw Exception("Function DisableAllPointArrays for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  vtk_pointer->DisableAllPointArrays();
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:EnableAllPointArrays vtkOpenFOAMReaderEnableAllPointArraysFunction
//input a0 
//output none
ArrayVector vtkOpenFOAMReaderEnableAllPointArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableAllPointArrays ();this EnableAllSelectionArrays this PointDataArraySelection  */
  if (arg.size() < 1) 
    throw Exception("Function EnableAllPointArrays for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  vtk_pointer->EnableAllPointArrays();
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:GetNumberOfLagrangianArrays vtkOpenFOAMReaderGetNumberOfLagrangianArraysFunction
//input a0 
//output y
ArrayVector vtkOpenFOAMReaderGetNumberOfLagrangianArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfLagrangianArrays (void );return this GetNumberOfSelectionArrays this LagrangianDataArraySelection  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfLagrangianArrays for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfLagrangianArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:GetLagrangianArrayStatus vtkOpenFOAMReaderGetLagrangianArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkOpenFOAMReaderGetLagrangianArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLagrangianArrayStatus (const char *name);return this GetSelectionArrayStatus this LagrangianDataArraySelection name  */
  if (arg.size() < 2) 
    throw Exception("Function GetLagrangianArrayStatus for class vtkOpenFOAMReader requires 2 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetLagrangianArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:SetLagrangianArrayStatus vtkOpenFOAMReaderSetLagrangianArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkOpenFOAMReaderSetLagrangianArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLagrangianArrayStatus (const char *name, int status);this SetSelectionArrayStatus this LagrangianDataArraySelection name status  */
  if (arg.size() < 3) 
    throw Exception("Function SetLagrangianArrayStatus for class vtkOpenFOAMReader requires 3 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetLagrangianArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:GetLagrangianArrayName vtkOpenFOAMReaderGetLagrangianArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkOpenFOAMReaderGetLagrangianArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetLagrangianArrayName (int index);return this GetSelectionArrayName this LagrangianDataArraySelection index  */
  if (arg.size() < 2) 
    throw Exception("Function GetLagrangianArrayName for class vtkOpenFOAMReader requires 2 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetLagrangianArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:DisableAllLagrangianArrays vtkOpenFOAMReaderDisableAllLagrangianArraysFunction
//input a0 
//output none
ArrayVector vtkOpenFOAMReaderDisableAllLagrangianArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DisableAllLagrangianArrays ();this DisableAllSelectionArrays this LagrangianDataArraySelection  */
  if (arg.size() < 1) 
    throw Exception("Function DisableAllLagrangianArrays for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  vtk_pointer->DisableAllLagrangianArrays();
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:EnableAllLagrangianArrays vtkOpenFOAMReaderEnableAllLagrangianArraysFunction
//input a0 
//output none
ArrayVector vtkOpenFOAMReaderEnableAllLagrangianArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableAllLagrangianArrays ();this EnableAllSelectionArrays this LagrangianDataArraySelection  */
  if (arg.size() < 1) 
    throw Exception("Function EnableAllLagrangianArrays for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  vtk_pointer->EnableAllLagrangianArrays();
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:GetNumberOfPatchArrays vtkOpenFOAMReaderGetNumberOfPatchArraysFunction
//input a0 
//output y
ArrayVector vtkOpenFOAMReaderGetNumberOfPatchArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPatchArrays (void );return this GetNumberOfSelectionArrays this PatchDataArraySelection  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPatchArrays for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPatchArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:GetPatchArrayStatus vtkOpenFOAMReaderGetPatchArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkOpenFOAMReaderGetPatchArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPatchArrayStatus (const char *name);return this GetSelectionArrayStatus this PatchDataArraySelection name  */
  if (arg.size() < 2) 
    throw Exception("Function GetPatchArrayStatus for class vtkOpenFOAMReader requires 2 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetPatchArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:SetPatchArrayStatus vtkOpenFOAMReaderSetPatchArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkOpenFOAMReaderSetPatchArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPatchArrayStatus (const char *name, int status);this SetSelectionArrayStatus this PatchDataArraySelection name status  */
  if (arg.size() < 3) 
    throw Exception("Function SetPatchArrayStatus for class vtkOpenFOAMReader requires 3 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetPatchArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:GetPatchArrayName vtkOpenFOAMReaderGetPatchArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkOpenFOAMReaderGetPatchArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetPatchArrayName (int index);return this GetSelectionArrayName this PatchDataArraySelection index  */
  if (arg.size() < 2) 
    throw Exception("Function GetPatchArrayName for class vtkOpenFOAMReader requires 2 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPatchArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:DisableAllPatchArrays vtkOpenFOAMReaderDisableAllPatchArraysFunction
//input a0 
//output none
ArrayVector vtkOpenFOAMReaderDisableAllPatchArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DisableAllPatchArrays ();this DisableAllSelectionArrays this PatchDataArraySelection  */
  if (arg.size() < 1) 
    throw Exception("Function DisableAllPatchArrays for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  vtk_pointer->DisableAllPatchArrays();
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:EnableAllPatchArrays vtkOpenFOAMReaderEnableAllPatchArraysFunction
//input a0 
//output none
ArrayVector vtkOpenFOAMReaderEnableAllPatchArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EnableAllPatchArrays ();this EnableAllSelectionArrays this PatchDataArraySelection  */
  if (arg.size() < 1) 
    throw Exception("Function EnableAllPatchArrays for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  vtk_pointer->EnableAllPatchArrays();
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:SetCreateCellToPoint vtkOpenFOAMReaderSetCreateCellToPointFunction
//input a0 a1 
//output none
ArrayVector vtkOpenFOAMReaderSetCreateCellToPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCreateCellToPoint (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCreateCellToPoint for class vtkOpenFOAMReader requires 2 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCreateCellToPoint(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:GetCreateCellToPoint vtkOpenFOAMReaderGetCreateCellToPointFunction
//input a0 
//output y
ArrayVector vtkOpenFOAMReaderGetCreateCellToPointFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCreateCellToPoint (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCreateCellToPoint for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCreateCellToPoint();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:CreateCellToPointOn vtkOpenFOAMReaderCreateCellToPointOnFunction
//input a0 
//output none
ArrayVector vtkOpenFOAMReaderCreateCellToPointOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateCellToPointOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateCellToPointOn for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  vtk_pointer->CreateCellToPointOn();
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:CreateCellToPointOff vtkOpenFOAMReaderCreateCellToPointOffFunction
//input a0 
//output none
ArrayVector vtkOpenFOAMReaderCreateCellToPointOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateCellToPointOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateCellToPointOff for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  vtk_pointer->CreateCellToPointOff();
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:SetCacheMesh vtkOpenFOAMReaderSetCacheMeshFunction
//input a0 a1 
//output none
ArrayVector vtkOpenFOAMReaderSetCacheMeshFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCacheMesh (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCacheMesh for class vtkOpenFOAMReader requires 2 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCacheMesh(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:GetCacheMesh vtkOpenFOAMReaderGetCacheMeshFunction
//input a0 
//output y
ArrayVector vtkOpenFOAMReaderGetCacheMeshFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCacheMesh (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCacheMesh for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCacheMesh();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:CacheMeshOn vtkOpenFOAMReaderCacheMeshOnFunction
//input a0 
//output none
ArrayVector vtkOpenFOAMReaderCacheMeshOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CacheMeshOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CacheMeshOn for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  vtk_pointer->CacheMeshOn();
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:CacheMeshOff vtkOpenFOAMReaderCacheMeshOffFunction
//input a0 
//output none
ArrayVector vtkOpenFOAMReaderCacheMeshOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CacheMeshOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CacheMeshOff for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  vtk_pointer->CacheMeshOff();
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:SetDecomposePolyhedra vtkOpenFOAMReaderSetDecomposePolyhedraFunction
//input a0 a1 
//output none
ArrayVector vtkOpenFOAMReaderSetDecomposePolyhedraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDecomposePolyhedra (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDecomposePolyhedra for class vtkOpenFOAMReader requires 2 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDecomposePolyhedra(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:GetDecomposePolyhedra vtkOpenFOAMReaderGetDecomposePolyhedraFunction
//input a0 
//output y
ArrayVector vtkOpenFOAMReaderGetDecomposePolyhedraFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDecomposePolyhedra (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDecomposePolyhedra for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDecomposePolyhedra();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:DecomposePolyhedraOn vtkOpenFOAMReaderDecomposePolyhedraOnFunction
//input a0 
//output none
ArrayVector vtkOpenFOAMReaderDecomposePolyhedraOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DecomposePolyhedraOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DecomposePolyhedraOn for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  vtk_pointer->DecomposePolyhedraOn();
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:DecomposePolyhedraOff vtkOpenFOAMReaderDecomposePolyhedraOffFunction
//input a0 
//output none
ArrayVector vtkOpenFOAMReaderDecomposePolyhedraOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DecomposePolyhedraOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DecomposePolyhedraOff for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  vtk_pointer->DecomposePolyhedraOff();
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:SetPositionsIsIn13Format vtkOpenFOAMReaderSetPositionsIsIn13FormatFunction
//input a0 a1 
//output none
ArrayVector vtkOpenFOAMReaderSetPositionsIsIn13FormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPositionsIsIn13Format (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPositionsIsIn13Format for class vtkOpenFOAMReader requires 2 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPositionsIsIn13Format(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:GetPositionsIsIn13Format vtkOpenFOAMReaderGetPositionsIsIn13FormatFunction
//input a0 
//output y
ArrayVector vtkOpenFOAMReaderGetPositionsIsIn13FormatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPositionsIsIn13Format (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPositionsIsIn13Format for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPositionsIsIn13Format();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:PositionsIsIn13FormatOn vtkOpenFOAMReaderPositionsIsIn13FormatOnFunction
//input a0 
//output none
ArrayVector vtkOpenFOAMReaderPositionsIsIn13FormatOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PositionsIsIn13FormatOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PositionsIsIn13FormatOn for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  vtk_pointer->PositionsIsIn13FormatOn();
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:PositionsIsIn13FormatOff vtkOpenFOAMReaderPositionsIsIn13FormatOffFunction
//input a0 
//output none
ArrayVector vtkOpenFOAMReaderPositionsIsIn13FormatOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PositionsIsIn13FormatOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PositionsIsIn13FormatOff for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  vtk_pointer->PositionsIsIn13FormatOff();
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:SetListTimeStepsByControlDict vtkOpenFOAMReaderSetListTimeStepsByControlDictFunction
//input a0 a1 
//output none
ArrayVector vtkOpenFOAMReaderSetListTimeStepsByControlDictFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetListTimeStepsByControlDict (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetListTimeStepsByControlDict for class vtkOpenFOAMReader requires 2 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetListTimeStepsByControlDict(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:GetListTimeStepsByControlDict vtkOpenFOAMReaderGetListTimeStepsByControlDictFunction
//input a0 
//output y
ArrayVector vtkOpenFOAMReaderGetListTimeStepsByControlDictFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetListTimeStepsByControlDict (); */
  if (arg.size() < 1) 
    throw Exception("Function GetListTimeStepsByControlDict for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetListTimeStepsByControlDict();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:ListTimeStepsByControlDictOn vtkOpenFOAMReaderListTimeStepsByControlDictOnFunction
//input a0 
//output none
ArrayVector vtkOpenFOAMReaderListTimeStepsByControlDictOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ListTimeStepsByControlDictOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ListTimeStepsByControlDictOn for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  vtk_pointer->ListTimeStepsByControlDictOn();
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:ListTimeStepsByControlDictOff vtkOpenFOAMReaderListTimeStepsByControlDictOffFunction
//input a0 
//output none
ArrayVector vtkOpenFOAMReaderListTimeStepsByControlDictOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ListTimeStepsByControlDictOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ListTimeStepsByControlDictOff for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  vtk_pointer->ListTimeStepsByControlDictOff();
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:SetAddDimensionsToArrayNames vtkOpenFOAMReaderSetAddDimensionsToArrayNamesFunction
//input a0 a1 
//output none
ArrayVector vtkOpenFOAMReaderSetAddDimensionsToArrayNamesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAddDimensionsToArrayNames (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAddDimensionsToArrayNames for class vtkOpenFOAMReader requires 2 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAddDimensionsToArrayNames(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:GetAddDimensionsToArrayNames vtkOpenFOAMReaderGetAddDimensionsToArrayNamesFunction
//input a0 
//output y
ArrayVector vtkOpenFOAMReaderGetAddDimensionsToArrayNamesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAddDimensionsToArrayNames (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAddDimensionsToArrayNames for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAddDimensionsToArrayNames();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:AddDimensionsToArrayNamesOn vtkOpenFOAMReaderAddDimensionsToArrayNamesOnFunction
//input a0 
//output none
ArrayVector vtkOpenFOAMReaderAddDimensionsToArrayNamesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddDimensionsToArrayNamesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function AddDimensionsToArrayNamesOn for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  vtk_pointer->AddDimensionsToArrayNamesOn();
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:AddDimensionsToArrayNamesOff vtkOpenFOAMReaderAddDimensionsToArrayNamesOffFunction
//input a0 
//output none
ArrayVector vtkOpenFOAMReaderAddDimensionsToArrayNamesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddDimensionsToArrayNamesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function AddDimensionsToArrayNamesOff for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  vtk_pointer->AddDimensionsToArrayNamesOff();
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:SetReadZones vtkOpenFOAMReaderSetReadZonesFunction
//input a0 a1 
//output none
ArrayVector vtkOpenFOAMReaderSetReadZonesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReadZones (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReadZones for class vtkOpenFOAMReader requires 2 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReadZones(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:GetReadZones vtkOpenFOAMReaderGetReadZonesFunction
//input a0 
//output y
ArrayVector vtkOpenFOAMReaderGetReadZonesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReadZones (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReadZones for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReadZones();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:ReadZonesOn vtkOpenFOAMReaderReadZonesOnFunction
//input a0 
//output none
ArrayVector vtkOpenFOAMReaderReadZonesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadZonesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadZonesOn for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadZonesOn();
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:ReadZonesOff vtkOpenFOAMReaderReadZonesOffFunction
//input a0 
//output none
ArrayVector vtkOpenFOAMReaderReadZonesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadZonesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadZonesOff for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadZonesOff();
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:SetRefresh vtkOpenFOAMReaderSetRefreshFunction
//input a0 
//output none
ArrayVector vtkOpenFOAMReaderSetRefreshFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRefresh ();this Refresh true this Modified  */
  if (arg.size() < 1) 
    throw Exception("Function SetRefresh for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  vtk_pointer->SetRefresh();
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:SetParent vtkOpenFOAMReaderSetParentFunction
//input a0 a1 
//output none
ArrayVector vtkOpenFOAMReaderSetParentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetParent (vtkOpenFOAMReader *parent);this Parent parent  */
  if (arg.size() < 2) 
    throw Exception("Function SetParent for class vtkOpenFOAMReader requires 2 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  vtkOpenFOAMReader  *temp0;
  temp0 = GetVTKPointer<vtkOpenFOAMReader>(arg[1]);
  vtk_pointer->SetParent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:SetTimeValue vtkOpenFOAMReaderSetTimeValueFunction
//input a0 a1 
//output y
ArrayVector vtkOpenFOAMReaderSetTimeValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool SetTimeValue (const double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimeValue for class vtkOpenFOAMReader requires 2 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  double   temp0;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  temp20 = (vtk_pointer)->SetTimeValue(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:GetTimeValues vtkOpenFOAMReaderGetTimeValuesFunction
//input a0 
//output y
ArrayVector vtkOpenFOAMReaderGetTimeValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDoubleArray *GetTimeValues (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimeValues for class vtkOpenFOAMReader requires 1 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  vtkDoubleArray  *temp20;
  temp20 = (vtk_pointer)->GetTimeValues();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDoubleArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:MakeMetaDataAtTimeStep vtkOpenFOAMReaderMakeMetaDataAtTimeStepFunction
//input a0 a1 
//output y
ArrayVector vtkOpenFOAMReaderMakeMetaDataAtTimeStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int MakeMetaDataAtTimeStep (const bool ); */
  if (arg.size() < 2) 
    throw Exception("Function MakeMetaDataAtTimeStep for class vtkOpenFOAMReader requires 2 argument(s)");
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  Array retval;
  bool   temp0;
  int      temp20;
  temp20 = (vtk_pointer)->MakeMetaDataAtTimeStep(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOpenFOAMReader:display vtkOpenFOAMReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOpenFOAMReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOpenFOAMReader* vtk_pointer = GetVTKPointer<vtkOpenFOAMReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOpenFOAMReader:delete vtkOpenFOAMReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkOpenFOAMReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOpenFOAMReader
//@@Section VTKIO
//@@Usage
// vtkOpenFOAMReader creates a multiblock dataset. It reads mesh
// information and time dependent data.  The polyMesh folders contain
// mesh information. The time folders contain transient data for the
// cells. Each folder can contain any number of data files.
//
//To create an instance of class vtkOpenFOAMReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkOpenFOAMReader
//@]
//@@Methods
//The class vtkOpenFOAMReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOpenFOAMReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOpenFOAMReader = obj.NewInstance ()|
// \item @|vtkOpenFOAMReader = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.CanReadFile (string )| -  Determine if the file can be readed with this reader.
//// \item @|obj.SetFileName (string )| -  Set/Get the filename.
//// \item @|string = obj.GetFileName ()| -  Set/Get the filename.
//// \item @|int = obj.GetNumberOfCellArrays (void )| -  Get/Set whether the cell array with the given name is to
// be read.
//// \item @|int = obj.GetCellArrayStatus (string name)| -  Get/Set whether the cell array with the given name is to
// be read.
//// \item @|obj.SetCellArrayStatus (string name, int status)| -  Get the name of the  cell array with the given index in
// the input.
//// \item @|string = obj.GetCellArrayName (int index)| -  Turn on/off all cell arrays.
//// \item @|obj.DisableAllCellArrays ()| -  Turn on/off all cell arrays.
//// \item @|obj.EnableAllCellArrays ()| -  Get the number of point arrays available in the input.
//// \item @|int = obj.GetNumberOfPointArrays (void )| -  Get/Set whether the point array with the given name is to
// be read.
//// \item @|int = obj.GetPointArrayStatus (string name)| -  Get/Set whether the point array with the given name is to
// be read.
//// \item @|obj.SetPointArrayStatus (string name, int status)| -  Get the name of the  point array with the given index in
// the input.
//// \item @|string = obj.GetPointArrayName (int index)| -  Turn on/off all point arrays.
//// \item @|obj.DisableAllPointArrays ()| -  Turn on/off all point arrays.
//// \item @|obj.EnableAllPointArrays ()| -  Get the number of Lagrangian arrays available in the input.
//// \item @|int = obj.GetNumberOfLagrangianArrays (void )| -  Get/Set whether the Lagrangian array with the given name is to
// be read.
//// \item @|int = obj.GetLagrangianArrayStatus (string name)| -  Get/Set whether the Lagrangian array with the given name is to
// be read.
//// \item @|obj.SetLagrangianArrayStatus (string name, int status)| -  Get the name of the  Lagrangian array with the given index in
// the input.
//// \item @|string = obj.GetLagrangianArrayName (int index)| -  Turn on/off all Lagrangian arrays.
//// \item @|obj.DisableAllLagrangianArrays ()| -  Turn on/off all Lagrangian arrays.
//// \item @|obj.EnableAllLagrangianArrays ()| -  Get the number of Patches (inlcuding Internal Mesh) available in the input.
//// \item @|int = obj.GetNumberOfPatchArrays (void )| -  Get/Set whether the Patch with the given name is to
// be read.
//// \item @|int = obj.GetPatchArrayStatus (string name)| -  Get/Set whether the Patch with the given name is to
// be read.
//// \item @|obj.SetPatchArrayStatus (string name, int status)| -  Get the name of the Patch with the given index in
// the input.
//// \item @|string = obj.GetPatchArrayName (int index)| -  Turn on/off all Patches including the Internal Mesh.
//// \item @|obj.DisableAllPatchArrays ()| -  Turn on/off all Patches including the Internal Mesh.
//// \item @|obj.EnableAllPatchArrays ()| -  Set/Get whether to create cell-to-point translated data for cell-type data
//// \item @|obj.SetCreateCellToPoint (int )| -  Set/Get whether to create cell-to-point translated data for cell-type data
//// \item @|int = obj.GetCreateCellToPoint ()| -  Set/Get whether to create cell-to-point translated data for cell-type data
//// \item @|obj.CreateCellToPointOn ()| -  Set/Get whether to create cell-to-point translated data for cell-type data
//// \item @|obj.CreateCellToPointOff ()| -  Set/Get whether to create cell-to-point translated data for cell-type data
//// \item @|obj.SetCacheMesh (int )| -  Set/Get whether mesh is to be cached.
//// \item @|int = obj.GetCacheMesh ()| -  Set/Get whether mesh is to be cached.
//// \item @|obj.CacheMeshOn ()| -  Set/Get whether mesh is to be cached.
//// \item @|obj.CacheMeshOff ()| -  Set/Get whether mesh is to be cached.
//// \item @|obj.SetDecomposePolyhedra (int )| -  Set/Get whether polyhedra are to be decomposed.
//// \item @|int = obj.GetDecomposePolyhedra ()| -  Set/Get whether polyhedra are to be decomposed.
//// \item @|obj.DecomposePolyhedraOn ()| -  Set/Get whether polyhedra are to be decomposed.
//// \item @|obj.DecomposePolyhedraOff ()| -  Set/Get whether polyhedra are to be decomposed.
//// \item @|obj.SetPositionsIsIn13Format (int )| -  Set/Get whether the lagrangian/positions is in OF 1.3 format
//// \item @|int = obj.GetPositionsIsIn13Format ()| -  Set/Get whether the lagrangian/positions is in OF 1.3 format
//// \item @|obj.PositionsIsIn13FormatOn ()| -  Set/Get whether the lagrangian/positions is in OF 1.3 format
//// \item @|obj.PositionsIsIn13FormatOff ()| -  Set/Get whether the lagrangian/positions is in OF 1.3 format
//// \item @|obj.SetListTimeStepsByControlDict (int )| -  Determine if time directories are to be listed according to controlDict
//// \item @|int = obj.GetListTimeStepsByControlDict ()| -  Determine if time directories are to be listed according to controlDict
//// \item @|obj.ListTimeStepsByControlDictOn ()| -  Determine if time directories are to be listed according to controlDict
//// \item @|obj.ListTimeStepsByControlDictOff ()| -  Determine if time directories are to be listed according to controlDict
//// \item @|obj.SetAddDimensionsToArrayNames (int )| -  Add dimensions to array names
//// \item @|int = obj.GetAddDimensionsToArrayNames ()| -  Add dimensions to array names
//// \item @|obj.AddDimensionsToArrayNamesOn ()| -  Add dimensions to array names
//// \item @|obj.AddDimensionsToArrayNamesOff ()| -  Add dimensions to array names
//// \item @|obj.SetReadZones (int )| -  Set/Get whether zones will be read.
//// \item @|int = obj.GetReadZones ()| -  Set/Get whether zones will be read.
//// \item @|obj.ReadZonesOn ()| -  Set/Get whether zones will be read.
//// \item @|obj.ReadZonesOff ()| -  Set/Get whether zones will be read.
//// \item @|obj.SetRefresh ()|
// \item @|obj.SetParent (vtkOpenFOAMReader parent)|
// \item @|bool = obj.SetTimeValue (double )|
// \item @|vtkDoubleArray = obj.GetTimeValues ()|
// \item @|int = obj.MakeMetaDataAtTimeStep (bool )|
//\end{itemize}
//!
