#include "VTKWrap.hpp"

// FreeMat wrapper for vtkOutputStream object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkOutputStream.h"

//@@Signature
//sfunction @vtkOutputStream:vtkOutputStream vtkOutputStreamConstructorFunction
//input a
//output p
//@@Parents vtkOutputStream vtkObject 
ArrayVector vtkOutputStreamConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkOutputStream::New(),"vtkOutputStream",eval);
  } else if (arg[0].className() == "vtkOutputStream") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkOutputStream"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkOutputStream");
    vtkOutputStream*q = reinterpret_cast<vtkOutputStream*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkOutputStream");
    return ret;
  }
}
//@@Signature
//sfunction @vtkOutputStream:GetClassName vtkOutputStreamGetClassNameFunction
//input a0 
//output y
ArrayVector vtkOutputStreamGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkOutputStream requires 1 argument(s)");
  vtkOutputStream* vtk_pointer = GetVTKPointer<vtkOutputStream>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOutputStream:IsA vtkOutputStreamIsAFunction
//input a0 a1 
//output y
ArrayVector vtkOutputStreamIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkOutputStream requires 2 argument(s)");
  vtkOutputStream* vtk_pointer = GetVTKPointer<vtkOutputStream>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOutputStream:NewInstance vtkOutputStreamNewInstanceFunction
//input a0 
//output y
ArrayVector vtkOutputStreamNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOutputStream *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkOutputStream requires 1 argument(s)");
  vtkOutputStream* vtk_pointer = GetVTKPointer<vtkOutputStream>(arg[0]);
  Array retval;
  vtkOutputStream  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOutputStream",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOutputStream:SafeDownCast vtkOutputStreamSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkOutputStreamSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkOutputStream *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkOutputStream requires 2 argument(s)");
  vtkOutputStream* vtk_pointer = GetVTKPointer<vtkOutputStream>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkOutputStream  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkOutputStream",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkOutputStream:StartWriting vtkOutputStreamStartWritingFunction
//input a0 
//output y
ArrayVector vtkOutputStreamStartWritingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int StartWriting (); */
  if (arg.size() < 1) 
    throw Exception("Function StartWriting for class vtkOutputStream requires 1 argument(s)");
  vtkOutputStream* vtk_pointer = GetVTKPointer<vtkOutputStream>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->StartWriting();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOutputStream:Write__1 vtkOutputStreamWrite__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkOutputStreamWrite__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Write (const unsigned char *data, unsigned long length); */
  if (arg.size() < 3) 
    throw Exception("Function Write__1 for class vtkOutputStream requires 3 argument(s)");
  vtkOutputStream* vtk_pointer = GetVTKPointer<vtkOutputStream>(arg[0]);
  Array retval;
  unsigned char    *temp0;
  unsigned long     temp1;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new unsigned char[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
      }
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned long) arg[2].asDouble();
  temp20 = (vtk_pointer)->Write(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOutputStream:Write__2 vtkOutputStreamWrite__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkOutputStreamWrite__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Write (const char *data, unsigned long length); */
  if (arg.size() < 3) 
    throw Exception("Function Write__2 for class vtkOutputStream requires 3 argument(s)");
  vtkOutputStream* vtk_pointer = GetVTKPointer<vtkOutputStream>(arg[0]);
  Array retval;
  char    *temp0;
  unsigned long     temp1;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned long) arg[2].asDouble();
  temp20 = (vtk_pointer)->Write(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOutputStream:EndWriting vtkOutputStreamEndWritingFunction
//input a0 
//output y
ArrayVector vtkOutputStreamEndWritingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int EndWriting (); */
  if (arg.size() < 1) 
    throw Exception("Function EndWriting for class vtkOutputStream requires 1 argument(s)");
  vtkOutputStream* vtk_pointer = GetVTKPointer<vtkOutputStream>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->EndWriting();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkOutputStream:Write vtkOutputStreamWriteFunction
//input varargin
//output varargout
ArrayVector vtkOutputStreamWriteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkOutputStreamWrite__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkOutputStreamWrite__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkOutputStreamWrite");
}

//@@Signature
//sfunction @vtkOutputStream:display vtkOutputStreamDisplayFunction
//input varargin
//output varargout
ArrayVector vtkOutputStreamDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkOutputStream* vtk_pointer = GetVTKPointer<vtkOutputStream>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkOutputStream:delete vtkOutputStreamDeleteFunction
//input varargin
//output none
ArrayVector vtkOutputStreamDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkOutputStream
//@@Section VTKIO
//@@Usage
// vtkOutputStream provides a VTK-style interface wrapping around a
// standard output stream.  The access methods are virtual so that
// subclasses can transparently provide encoding of the output.  Data
// lengths for Write calls refer to the length of the data in memory.
// The actual length in the stream may differ for subclasses that
// implement an encoding scheme.
//
//To create an instance of class vtkOutputStream, simply
//invoke its constructor as follows
//@[
//  obj = vtkOutputStream
//@]
//@@Methods
//The class vtkOutputStream has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkOutputStream class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkOutputStream = obj.NewInstance ()|
// \item @|vtkOutputStream = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.StartWriting ()| -  Called after the stream position has been set by the caller, but
// before any Write calls.  The stream position should not be
// adjusted by the caller until after an EndWriting call.
//// \item @|int = obj.Write (string data, long length)| -  Write output data of the given length.
//// \item @|int = obj.Write (string data, long length)| -  Write output data of the given length.
//// \item @|int = obj.EndWriting ()| -  Called after all desired calls to Write have been made.  After
// this call, the caller is free to change the position of the
// stream.  Additional writes should not be done until after another
// call to StartWriting.
////\end{itemize}
//!
