#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPDBReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPDBReader.h"

//@@Signature
//sfunction @vtkPDBReader:vtkPDBReader vtkPDBReaderConstructorFunction
//input a
//output p
//@@Parents vtkPDBReader vtkMoleculeReaderBase 
ArrayVector vtkPDBReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPDBReader::New(),"vtkPDBReader",eval);
  } else if (arg[0].className() == "vtkPDBReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPDBReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPDBReader");
    vtkPDBReader*q = reinterpret_cast<vtkPDBReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPDBReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPDBReader:GetClassName vtkPDBReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPDBReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPDBReader requires 1 argument(s)");
  vtkPDBReader* vtk_pointer = GetVTKPointer<vtkPDBReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPDBReader:IsA vtkPDBReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPDBReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPDBReader requires 2 argument(s)");
  vtkPDBReader* vtk_pointer = GetVTKPointer<vtkPDBReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPDBReader:NewInstance vtkPDBReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPDBReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPDBReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPDBReader requires 1 argument(s)");
  vtkPDBReader* vtk_pointer = GetVTKPointer<vtkPDBReader>(arg[0]);
  Array retval;
  vtkPDBReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPDBReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPDBReader:SafeDownCast vtkPDBReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPDBReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPDBReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPDBReader requires 2 argument(s)");
  vtkPDBReader* vtk_pointer = GetVTKPointer<vtkPDBReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPDBReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPDBReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPDBReader:display vtkPDBReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPDBReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPDBReader* vtk_pointer = GetVTKPointer<vtkPDBReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPDBReader:delete vtkPDBReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkPDBReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPDBReader
//@@Section VTKIO
//@@Usage
// vtkPDBReader is a source object that reads Molecule files
// The FileName must be specified
//
// .SECTION Thanks
// Dr. Jean M. Favre who developed and contributed this class
//
//To create an instance of class vtkPDBReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkPDBReader
//@]
//@@Methods
//The class vtkPDBReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPDBReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPDBReader = obj.NewInstance ()|
// \item @|vtkPDBReader = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
