#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPLOT3DReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPLOT3DReader.h"

//@@Signature
//sfunction @vtkPLOT3DReader:vtkPLOT3DReader vtkPLOT3DReaderConstructorFunction
//input a
//output p
//@@Parents vtkPLOT3DReader vtkStructuredGridSource 
ArrayVector vtkPLOT3DReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPLOT3DReader::New(),"vtkPLOT3DReader",eval);
  } else if (arg[0].className() == "vtkPLOT3DReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPLOT3DReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPLOT3DReader");
    vtkPLOT3DReader*q = reinterpret_cast<vtkPLOT3DReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPLOT3DReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPLOT3DReader:GetClassName vtkPLOT3DReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPLOT3DReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:IsA vtkPLOT3DReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPLOT3DReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPLOT3DReader requires 2 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:NewInstance vtkPLOT3DReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPLOT3DReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPLOT3DReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  vtkPLOT3DReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPLOT3DReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:SafeDownCast vtkPLOT3DReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPLOT3DReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPLOT3DReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPLOT3DReader requires 2 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPLOT3DReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPLOT3DReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:SetFileName vtkPLOT3DReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkPLOT3DReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (const char *name);this SetXYZFileName name  */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkPLOT3DReader requires 2 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:GetFileName vtkPLOT3DReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkPLOT3DReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetFileName ();return this GetXYZFileName  */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:SetXYZFileName vtkPLOT3DReaderSetXYZFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkPLOT3DReaderSetXYZFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetXYZFileName (const char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetXYZFileName for class vtkPLOT3DReader requires 2 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetXYZFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:GetXYZFileName vtkPLOT3DReaderGetXYZFileNameFunction
//input a0 
//output y
ArrayVector vtkPLOT3DReaderGetXYZFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetXYZFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetXYZFileName for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetXYZFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:SetQFileName vtkPLOT3DReaderSetQFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkPLOT3DReaderSetQFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetQFileName for class vtkPLOT3DReader requires 2 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetQFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:GetQFileName vtkPLOT3DReaderGetQFileNameFunction
//input a0 
//output y
ArrayVector vtkPLOT3DReaderGetQFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetQFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetQFileName for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetQFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:SetFunctionFileName vtkPLOT3DReaderSetFunctionFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkPLOT3DReaderSetFunctionFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFunctionFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFunctionFileName for class vtkPLOT3DReader requires 2 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFunctionFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:GetFunctionFileName vtkPLOT3DReaderGetFunctionFileNameFunction
//input a0 
//output y
ArrayVector vtkPLOT3DReaderGetFunctionFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFunctionFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFunctionFileName for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFunctionFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:GetNumberOfOutputs vtkPLOT3DReaderGetNumberOfOutputsFunction
//input a0 
//output y
ArrayVector vtkPLOT3DReaderGetNumberOfOutputsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfOutputs (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfOutputs for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfOutputs();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:GetNumberOfGrids vtkPLOT3DReaderGetNumberOfGridsFunction
//input a0 
//output y
ArrayVector vtkPLOT3DReaderGetNumberOfGridsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfGrids ();return this GetNumberOfOutputs  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfGrids for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfGrids();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:SetOutput vtkPLOT3DReaderSetOutputFunction
//input a0 a1 a2 
//output none
ArrayVector vtkPLOT3DReaderSetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutput (int idx, vtkStructuredGrid *output); */
  if (arg.size() < 3) 
    throw Exception("Function SetOutput for class vtkPLOT3DReader requires 3 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  int      temp0;
  vtkStructuredGrid  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkStructuredGrid>(arg[2]);
  vtk_pointer->SetOutput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:SetBinaryFile vtkPLOT3DReaderSetBinaryFileFunction
//input a0 a1 
//output none
ArrayVector vtkPLOT3DReaderSetBinaryFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetBinaryFile (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetBinaryFile for class vtkPLOT3DReader requires 2 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetBinaryFile(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:GetBinaryFile vtkPLOT3DReaderGetBinaryFileFunction
//input a0 
//output y
ArrayVector vtkPLOT3DReaderGetBinaryFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetBinaryFile (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBinaryFile for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetBinaryFile();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:BinaryFileOn vtkPLOT3DReaderBinaryFileOnFunction
//input a0 
//output none
ArrayVector vtkPLOT3DReaderBinaryFileOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BinaryFileOn (); */
  if (arg.size() < 1) 
    throw Exception("Function BinaryFileOn for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->BinaryFileOn();
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:BinaryFileOff vtkPLOT3DReaderBinaryFileOffFunction
//input a0 
//output none
ArrayVector vtkPLOT3DReaderBinaryFileOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void BinaryFileOff (); */
  if (arg.size() < 1) 
    throw Exception("Function BinaryFileOff for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->BinaryFileOff();
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:SetMultiGrid vtkPLOT3DReaderSetMultiGridFunction
//input a0 a1 
//output none
ArrayVector vtkPLOT3DReaderSetMultiGridFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMultiGrid (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMultiGrid for class vtkPLOT3DReader requires 2 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMultiGrid(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:GetMultiGrid vtkPLOT3DReaderGetMultiGridFunction
//input a0 
//output y
ArrayVector vtkPLOT3DReaderGetMultiGridFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMultiGrid (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMultiGrid for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMultiGrid();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:MultiGridOn vtkPLOT3DReaderMultiGridOnFunction
//input a0 
//output none
ArrayVector vtkPLOT3DReaderMultiGridOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MultiGridOn (); */
  if (arg.size() < 1) 
    throw Exception("Function MultiGridOn for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->MultiGridOn();
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:MultiGridOff vtkPLOT3DReaderMultiGridOffFunction
//input a0 
//output none
ArrayVector vtkPLOT3DReaderMultiGridOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MultiGridOff (); */
  if (arg.size() < 1) 
    throw Exception("Function MultiGridOff for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->MultiGridOff();
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:SetHasByteCount vtkPLOT3DReaderSetHasByteCountFunction
//input a0 a1 
//output none
ArrayVector vtkPLOT3DReaderSetHasByteCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHasByteCount (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHasByteCount for class vtkPLOT3DReader requires 2 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetHasByteCount(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:GetHasByteCount vtkPLOT3DReaderGetHasByteCountFunction
//input a0 
//output y
ArrayVector vtkPLOT3DReaderGetHasByteCountFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetHasByteCount (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHasByteCount for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetHasByteCount();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:HasByteCountOn vtkPLOT3DReaderHasByteCountOnFunction
//input a0 
//output none
ArrayVector vtkPLOT3DReaderHasByteCountOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HasByteCountOn (); */
  if (arg.size() < 1) 
    throw Exception("Function HasByteCountOn for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->HasByteCountOn();
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:HasByteCountOff vtkPLOT3DReaderHasByteCountOffFunction
//input a0 
//output none
ArrayVector vtkPLOT3DReaderHasByteCountOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HasByteCountOff (); */
  if (arg.size() < 1) 
    throw Exception("Function HasByteCountOff for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->HasByteCountOff();
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:SetIBlanking vtkPLOT3DReaderSetIBlankingFunction
//input a0 a1 
//output none
ArrayVector vtkPLOT3DReaderSetIBlankingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIBlanking (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIBlanking for class vtkPLOT3DReader requires 2 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIBlanking(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:GetIBlanking vtkPLOT3DReaderGetIBlankingFunction
//input a0 
//output y
ArrayVector vtkPLOT3DReaderGetIBlankingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIBlanking (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIBlanking for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIBlanking();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:IBlankingOn vtkPLOT3DReaderIBlankingOnFunction
//input a0 
//output none
ArrayVector vtkPLOT3DReaderIBlankingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IBlankingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function IBlankingOn for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->IBlankingOn();
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:IBlankingOff vtkPLOT3DReaderIBlankingOffFunction
//input a0 
//output none
ArrayVector vtkPLOT3DReaderIBlankingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IBlankingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function IBlankingOff for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->IBlankingOff();
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:SetTwoDimensionalGeometry vtkPLOT3DReaderSetTwoDimensionalGeometryFunction
//input a0 a1 
//output none
ArrayVector vtkPLOT3DReaderSetTwoDimensionalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTwoDimensionalGeometry (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTwoDimensionalGeometry for class vtkPLOT3DReader requires 2 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTwoDimensionalGeometry(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:GetTwoDimensionalGeometry vtkPLOT3DReaderGetTwoDimensionalGeometryFunction
//input a0 
//output y
ArrayVector vtkPLOT3DReaderGetTwoDimensionalGeometryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTwoDimensionalGeometry (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTwoDimensionalGeometry for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTwoDimensionalGeometry();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:TwoDimensionalGeometryOn vtkPLOT3DReaderTwoDimensionalGeometryOnFunction
//input a0 
//output none
ArrayVector vtkPLOT3DReaderTwoDimensionalGeometryOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TwoDimensionalGeometryOn (); */
  if (arg.size() < 1) 
    throw Exception("Function TwoDimensionalGeometryOn for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->TwoDimensionalGeometryOn();
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:TwoDimensionalGeometryOff vtkPLOT3DReaderTwoDimensionalGeometryOffFunction
//input a0 
//output none
ArrayVector vtkPLOT3DReaderTwoDimensionalGeometryOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void TwoDimensionalGeometryOff (); */
  if (arg.size() < 1) 
    throw Exception("Function TwoDimensionalGeometryOff for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->TwoDimensionalGeometryOff();
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:SetForceRead vtkPLOT3DReaderSetForceReadFunction
//input a0 a1 
//output none
ArrayVector vtkPLOT3DReaderSetForceReadFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetForceRead (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetForceRead for class vtkPLOT3DReader requires 2 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetForceRead(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:GetForceRead vtkPLOT3DReaderGetForceReadFunction
//input a0 
//output y
ArrayVector vtkPLOT3DReaderGetForceReadFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetForceRead (); */
  if (arg.size() < 1) 
    throw Exception("Function GetForceRead for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetForceRead();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:ForceReadOn vtkPLOT3DReaderForceReadOnFunction
//input a0 
//output none
ArrayVector vtkPLOT3DReaderForceReadOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ForceReadOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ForceReadOn for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->ForceReadOn();
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:ForceReadOff vtkPLOT3DReaderForceReadOffFunction
//input a0 
//output none
ArrayVector vtkPLOT3DReaderForceReadOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ForceReadOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ForceReadOff for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->ForceReadOff();
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:SetDoNotReduceNumberOfOutputs vtkPLOT3DReaderSetDoNotReduceNumberOfOutputsFunction
//input a0 a1 
//output none
ArrayVector vtkPLOT3DReaderSetDoNotReduceNumberOfOutputsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDoNotReduceNumberOfOutputs (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDoNotReduceNumberOfOutputs for class vtkPLOT3DReader requires 2 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDoNotReduceNumberOfOutputs(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:GetDoNotReduceNumberOfOutputs vtkPLOT3DReaderGetDoNotReduceNumberOfOutputsFunction
//input a0 
//output y
ArrayVector vtkPLOT3DReaderGetDoNotReduceNumberOfOutputsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDoNotReduceNumberOfOutputs (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDoNotReduceNumberOfOutputs for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDoNotReduceNumberOfOutputs();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:DoNotReduceNumberOfOutputsOn vtkPLOT3DReaderDoNotReduceNumberOfOutputsOnFunction
//input a0 
//output none
ArrayVector vtkPLOT3DReaderDoNotReduceNumberOfOutputsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DoNotReduceNumberOfOutputsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function DoNotReduceNumberOfOutputsOn for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->DoNotReduceNumberOfOutputsOn();
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:DoNotReduceNumberOfOutputsOff vtkPLOT3DReaderDoNotReduceNumberOfOutputsOffFunction
//input a0 
//output none
ArrayVector vtkPLOT3DReaderDoNotReduceNumberOfOutputsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void DoNotReduceNumberOfOutputsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function DoNotReduceNumberOfOutputsOff for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->DoNotReduceNumberOfOutputsOff();
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:SetByteOrderToBigEndian vtkPLOT3DReaderSetByteOrderToBigEndianFunction
//input a0 
//output none
ArrayVector vtkPLOT3DReaderSetByteOrderToBigEndianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetByteOrderToBigEndian (); */
  if (arg.size() < 1) 
    throw Exception("Function SetByteOrderToBigEndian for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->SetByteOrderToBigEndian();
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:SetByteOrderToLittleEndian vtkPLOT3DReaderSetByteOrderToLittleEndianFunction
//input a0 
//output none
ArrayVector vtkPLOT3DReaderSetByteOrderToLittleEndianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetByteOrderToLittleEndian (); */
  if (arg.size() < 1) 
    throw Exception("Function SetByteOrderToLittleEndian for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->SetByteOrderToLittleEndian();
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:SetByteOrder vtkPLOT3DReaderSetByteOrderFunction
//input a0 a1 
//output none
ArrayVector vtkPLOT3DReaderSetByteOrderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetByteOrder (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetByteOrder for class vtkPLOT3DReader requires 2 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetByteOrder(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:GetByteOrder vtkPLOT3DReaderGetByteOrderFunction
//input a0 
//output y
ArrayVector vtkPLOT3DReaderGetByteOrderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetByteOrder (); */
  if (arg.size() < 1) 
    throw Exception("Function GetByteOrder for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetByteOrder();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:GetByteOrderAsString vtkPLOT3DReaderGetByteOrderAsStringFunction
//input a0 
//output y
ArrayVector vtkPLOT3DReaderGetByteOrderAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetByteOrderAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetByteOrderAsString for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetByteOrderAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:SetR vtkPLOT3DReaderSetRFunction
//input a0 a1 
//output none
ArrayVector vtkPLOT3DReaderSetRFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetR (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetR for class vtkPLOT3DReader requires 2 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetR(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:GetR vtkPLOT3DReaderGetRFunction
//input a0 
//output y
ArrayVector vtkPLOT3DReaderGetRFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetR (); */
  if (arg.size() < 1) 
    throw Exception("Function GetR for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetR();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:SetGamma vtkPLOT3DReaderSetGammaFunction
//input a0 a1 
//output none
ArrayVector vtkPLOT3DReaderSetGammaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGamma (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGamma for class vtkPLOT3DReader requires 2 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetGamma(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:GetGamma vtkPLOT3DReaderGetGammaFunction
//input a0 
//output y
ArrayVector vtkPLOT3DReaderGetGammaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetGamma (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGamma for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetGamma();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:SetUvinf vtkPLOT3DReaderSetUvinfFunction
//input a0 a1 
//output none
ArrayVector vtkPLOT3DReaderSetUvinfFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetUvinf (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetUvinf for class vtkPLOT3DReader requires 2 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetUvinf(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:GetUvinf vtkPLOT3DReaderGetUvinfFunction
//input a0 
//output y
ArrayVector vtkPLOT3DReaderGetUvinfFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetUvinf (); */
  if (arg.size() < 1) 
    throw Exception("Function GetUvinf for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetUvinf();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:SetVvinf vtkPLOT3DReaderSetVvinfFunction
//input a0 a1 
//output none
ArrayVector vtkPLOT3DReaderSetVvinfFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVvinf (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetVvinf for class vtkPLOT3DReader requires 2 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetVvinf(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:GetVvinf vtkPLOT3DReaderGetVvinfFunction
//input a0 
//output y
ArrayVector vtkPLOT3DReaderGetVvinfFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetVvinf (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVvinf for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetVvinf();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:SetWvinf vtkPLOT3DReaderSetWvinfFunction
//input a0 a1 
//output none
ArrayVector vtkPLOT3DReaderSetWvinfFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWvinf (double ); */
  if (arg.size() < 2) 
    throw Exception("Function SetWvinf for class vtkPLOT3DReader requires 2 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetWvinf(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:GetWvinf vtkPLOT3DReaderGetWvinfFunction
//input a0 
//output y
ArrayVector vtkPLOT3DReaderGetWvinfFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double GetWvinf (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWvinf for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  double   temp20;
  temp20 = (vtk_pointer)->GetWvinf();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:SetScalarFunctionNumber vtkPLOT3DReaderSetScalarFunctionNumberFunction
//input a0 a1 
//output none
ArrayVector vtkPLOT3DReaderSetScalarFunctionNumberFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarFunctionNumber (int num); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarFunctionNumber for class vtkPLOT3DReader requires 2 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScalarFunctionNumber(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:GetScalarFunctionNumber vtkPLOT3DReaderGetScalarFunctionNumberFunction
//input a0 
//output y
ArrayVector vtkPLOT3DReaderGetScalarFunctionNumberFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarFunctionNumber (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarFunctionNumber for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScalarFunctionNumber();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:SetVectorFunctionNumber vtkPLOT3DReaderSetVectorFunctionNumberFunction
//input a0 a1 
//output none
ArrayVector vtkPLOT3DReaderSetVectorFunctionNumberFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetVectorFunctionNumber (int num); */
  if (arg.size() < 2) 
    throw Exception("Function SetVectorFunctionNumber for class vtkPLOT3DReader requires 2 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetVectorFunctionNumber(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:GetVectorFunctionNumber vtkPLOT3DReaderGetVectorFunctionNumberFunction
//input a0 
//output y
ArrayVector vtkPLOT3DReaderGetVectorFunctionNumberFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetVectorFunctionNumber (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVectorFunctionNumber for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetVectorFunctionNumber();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:AddFunction vtkPLOT3DReaderAddFunctionFunction
//input a0 a1 
//output none
ArrayVector vtkPLOT3DReaderAddFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void AddFunction (int functionNumber); */
  if (arg.size() < 2) 
    throw Exception("Function AddFunction for class vtkPLOT3DReader requires 2 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->AddFunction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:RemoveFunction vtkPLOT3DReaderRemoveFunctionFunction
//input a0 a1 
//output none
ArrayVector vtkPLOT3DReaderRemoveFunctionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveFunction (int ); */
  if (arg.size() < 2) 
    throw Exception("Function RemoveFunction for class vtkPLOT3DReader requires 2 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->RemoveFunction(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:RemoveAllFunctions vtkPLOT3DReaderRemoveAllFunctionsFunction
//input a0 
//output none
ArrayVector vtkPLOT3DReaderRemoveAllFunctionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void RemoveAllFunctions (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllFunctions for class vtkPLOT3DReader requires 1 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllFunctions();
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:CanReadBinaryFile vtkPLOT3DReaderCanReadBinaryFileFunction
//input a0 a1 
//output y
ArrayVector vtkPLOT3DReaderCanReadBinaryFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int CanReadBinaryFile (const char *fname); */
  if (arg.size() < 2) 
    throw Exception("Function CanReadBinaryFile for class vtkPLOT3DReader requires 2 argument(s)");
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CanReadBinaryFile(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLOT3DReader:display vtkPLOT3DReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPLOT3DReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPLOT3DReader* vtk_pointer = GetVTKPointer<vtkPLOT3DReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPLOT3DReader:delete vtkPLOT3DReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkPLOT3DReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPLOT3DReader
//@@Section VTKIO
//@@Usage
// vtkPLOT3DReader is a reader object that reads PLOT3D formatted files and 
// generates structured grid(s) on output. PLOT3D is a computer graphics 
// program designed to visualize the grids and solutions of computational 
// fluid dynamics. Please see the "PLOT3D User's Manual" available from 
// NASA Ames Research Center, Moffett Field CA.
//
// PLOT3D files consist of a grid file (also known as XYZ file), an 
// optional solution file (also known as a Q file), and an optional function 
// file that contains user created data (currently unsupported). The Q file 
// contains solution  information as follows: the four parameters free stream 
// mach number (Fsmach), angle of attack (Alpha), Reynolds number (Re), and 
// total integration time (Time). This information is stored in an array
// called Properties in the FieldData of each output (tuple 0: fsmach, tuple 1:
// alpha, tuple 2: re, tuple 3: time). In addition, the solution file contains 
// the flow density (scalar), flow momentum (vector), and flow energy (scalar).
//
// The reader can generate additional scalars and vectors (or "functions")
// from this information. To use vtkPLOT3DReader, you must specify the 
// particular function number for the scalar and vector you want to visualize.
// This implementation of the reader provides the following functions. The
// scalar functions are:
//    -1  - don't read or compute any scalars
//    100 - density
//    110 - pressure
//    120 - temperature
//    130 - enthalpy
//    140 - internal energy
//    144 - kinetic energy
//    153 - velocity magnitude
//    163 - stagnation energy
//    170 - entropy
//    184 - swirl.
//
// The vector functions are:
//    -1  - don't read or compute any vectors
//    200 - velocity
//    201 - vorticity
//    202 - momentum
//    210 - pressure gradient.
//
// (Other functions are described in the PLOT3D spec, but only those listed are
// implemented here.) Note that by default, this reader creates the density 
// scalar (100) and momentum vector (202) as output. (These are just read in
// from the solution file.) Please note that the validity of computation is
// a function of this class's gas constants (R, Gamma) and the equations used.
// They may not be suitable for your computational domain.
//
// Additionally, you can read other data and associate it as a vtkDataArray
// into the output's point attribute data. Use the method AddFunction()
// to list all the functions that you'd like to read. AddFunction() accepts
// an integer parameter that defines the function number.
//
//
//To create an instance of class vtkPLOT3DReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkPLOT3DReader
//@]
//@@Methods
//The class vtkPLOT3DReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPLOT3DReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPLOT3DReader = obj.NewInstance ()|
// \item @|vtkPLOT3DReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string name)| -  Set/Get the PLOT3D geometry filename.
//// \item @|string = obj.GetFileName ()| -  Set/Get the PLOT3D geometry filename.
//// \item @|obj.SetXYZFileName (string )| -  Set/Get the PLOT3D geometry filename.
//// \item @|string = obj.GetXYZFileName ()| -  Set/Get the PLOT3D geometry filename.
//// \item @|obj.SetQFileName (string )| -  Set/Get the PLOT3D solution filename.
//// \item @|string = obj.GetQFileName ()| -  Set/Get the PLOT3D solution filename.
//// \item @|obj.SetFunctionFileName (string )| -  Set/Get the PLOT3D Function Filename (optional)
//// \item @|string = obj.GetFunctionFileName ()| -  Set/Get the PLOT3D Function Filename (optional)
//// \item @|int = obj.GetNumberOfOutputs ()| -  This returns the number of outputs this reader will produce.
// This number is equal to the number of grids in the current 
// file. This method has to be called before getting any output
// if the number of outputs will be greater than 1 (the first
// output is always the same). Note that every time this method
// is invoked, the header file is opened and part of the header 
// is read.
//// \item @|int = obj.GetNumberOfGrids ()| -  Replace an output.
//// \item @|obj.SetOutput (int idx, vtkStructuredGrid output)| -  Replace an output.
//// \item @|obj.SetBinaryFile (int )| -  Is the file to be read written in binary format (as opposed
// to ascii).
//// \item @|int = obj.GetBinaryFile ()| -  Is the file to be read written in binary format (as opposed
// to ascii).
//// \item @|obj.BinaryFileOn ()| -  Is the file to be read written in binary format (as opposed
// to ascii).
//// \item @|obj.BinaryFileOff ()| -  Is the file to be read written in binary format (as opposed
// to ascii).
//// \item @|obj.SetMultiGrid (int )| -  Does the file to be read contain information about number of
// grids. In some PLOT3D files, the first value contains the number 
// of grids (even if there is only 1). If reading such a file,
// set this to true.
//// \item @|int = obj.GetMultiGrid ()| -  Does the file to be read contain information about number of
// grids. In some PLOT3D files, the first value contains the number 
// of grids (even if there is only 1). If reading such a file,
// set this to true.
//// \item @|obj.MultiGridOn ()| -  Does the file to be read contain information about number of
// grids. In some PLOT3D files, the first value contains the number 
// of grids (even if there is only 1). If reading such a file,
// set this to true.
//// \item @|obj.MultiGridOff ()| -  Does the file to be read contain information about number of
// grids. In some PLOT3D files, the first value contains the number 
// of grids (even if there is only 1). If reading such a file,
// set this to true.
//// \item @|obj.SetHasByteCount (int )| -  Were the arrays written with leading and trailing byte counts ?
// Usually, files written by a fortran program will contain these
// byte counts whereas the ones written by C/C++ won't.
//// \item @|int = obj.GetHasByteCount ()| -  Were the arrays written with leading and trailing byte counts ?
// Usually, files written by a fortran program will contain these
// byte counts whereas the ones written by C/C++ won't.
//// \item @|obj.HasByteCountOn ()| -  Were the arrays written with leading and trailing byte counts ?
// Usually, files written by a fortran program will contain these
// byte counts whereas the ones written by C/C++ won't.
//// \item @|obj.HasByteCountOff ()| -  Were the arrays written with leading and trailing byte counts ?
// Usually, files written by a fortran program will contain these
// byte counts whereas the ones written by C/C++ won't.
//// \item @|obj.SetIBlanking (int )| -  Is there iblanking (point visibility) information in the file.
// If there is iblanking arrays, these will be read and assigned
// to the PointVisibility array of the output.
//// \item @|int = obj.GetIBlanking ()| -  Is there iblanking (point visibility) information in the file.
// If there is iblanking arrays, these will be read and assigned
// to the PointVisibility array of the output.
//// \item @|obj.IBlankingOn ()| -  Is there iblanking (point visibility) information in the file.
// If there is iblanking arrays, these will be read and assigned
// to the PointVisibility array of the output.
//// \item @|obj.IBlankingOff ()| -  Is there iblanking (point visibility) information in the file.
// If there is iblanking arrays, these will be read and assigned
// to the PointVisibility array of the output.
//// \item @|obj.SetTwoDimensionalGeometry (int )| -  If only two-dimensional data was written to the file,
// turn this on.
//// \item @|int = obj.GetTwoDimensionalGeometry ()| -  If only two-dimensional data was written to the file,
// turn this on.
//// \item @|obj.TwoDimensionalGeometryOn ()| -  If only two-dimensional data was written to the file,
// turn this on.
//// \item @|obj.TwoDimensionalGeometryOff ()| -  If only two-dimensional data was written to the file,
// turn this on.
//// \item @|obj.SetForceRead (int )| -  Try to read a binary file even if the file length seems to be
// inconsistent with the header information. Use this with caution,
// if the file length is not the same as calculated from the header.
// either the file is corrupt or the settings are wrong. 
//// \item @|int = obj.GetForceRead ()| -  Try to read a binary file even if the file length seems to be
// inconsistent with the header information. Use this with caution,
// if the file length is not the same as calculated from the header.
// either the file is corrupt or the settings are wrong. 
//// \item @|obj.ForceReadOn ()| -  Try to read a binary file even if the file length seems to be
// inconsistent with the header information. Use this with caution,
// if the file length is not the same as calculated from the header.
// either the file is corrupt or the settings are wrong. 
//// \item @|obj.ForceReadOff ()| -  Try to read a binary file even if the file length seems to be
// inconsistent with the header information. Use this with caution,
// if the file length is not the same as calculated from the header.
// either the file is corrupt or the settings are wrong. 
//// \item @|obj.SetDoNotReduceNumberOfOutputs (int )| -  If this is on, the reader will never reduce the number of outputs  
// after reading a file with n grids and producing n outputs. If the
// file read afterwards contains fewer grids, the extra outputs will
// be empty. This option can be used by application which rely on
// the initial number of outputs not shrinking.
//// \item @|int = obj.GetDoNotReduceNumberOfOutputs ()| -  If this is on, the reader will never reduce the number of outputs  
// after reading a file with n grids and producing n outputs. If the
// file read afterwards contains fewer grids, the extra outputs will
// be empty. This option can be used by application which rely on
// the initial number of outputs not shrinking.
//// \item @|obj.DoNotReduceNumberOfOutputsOn ()| -  If this is on, the reader will never reduce the number of outputs  
// after reading a file with n grids and producing n outputs. If the
// file read afterwards contains fewer grids, the extra outputs will
// be empty. This option can be used by application which rely on
// the initial number of outputs not shrinking.
//// \item @|obj.DoNotReduceNumberOfOutputsOff ()| -  If this is on, the reader will never reduce the number of outputs  
// after reading a file with n grids and producing n outputs. If the
// file read afterwards contains fewer grids, the extra outputs will
// be empty. This option can be used by application which rely on
// the initial number of outputs not shrinking.
//// \item @|obj.SetByteOrderToBigEndian ()| -  Set the byte order of the file (remember, more Unix workstations
// write big endian whereas PCs write little endian). Default is
// big endian (since most older PLOT3D files were written by
// workstations).
//// \item @|obj.SetByteOrderToLittleEndian ()| -  Set the byte order of the file (remember, more Unix workstations
// write big endian whereas PCs write little endian). Default is
// big endian (since most older PLOT3D files were written by
// workstations).
//// \item @|obj.SetByteOrder (int )| -  Set the byte order of the file (remember, more Unix workstations
// write big endian whereas PCs write little endian). Default is
// big endian (since most older PLOT3D files were written by
// workstations).
//// \item @|int = obj.GetByteOrder ()| -  Set the byte order of the file (remember, more Unix workstations
// write big endian whereas PCs write little endian). Default is
// big endian (since most older PLOT3D files were written by
// workstations).
//// \item @|string = obj.GetByteOrderAsString ()| -  Set the byte order of the file (remember, more Unix workstations
// write big endian whereas PCs write little endian). Default is
// big endian (since most older PLOT3D files were written by
// workstations).
//// \item @|obj.SetR (double )| -  Set/Get the gas constant. Default is 1.0.
//// \item @|double = obj.GetR ()| -  Set/Get the gas constant. Default is 1.0.
//// \item @|obj.SetGamma (double )| -  Set/Get the ratio of specific heats. Default is 1.4.
//// \item @|double = obj.GetGamma ()| -  Set/Get the ratio of specific heats. Default is 1.4.
//// \item @|obj.SetUvinf (double )| -  Set/Get the x-component of the free-stream velocity. Default is 1.0.
//// \item @|double = obj.GetUvinf ()| -  Set/Get the x-component of the free-stream velocity. Default is 1.0.
//// \item @|obj.SetVvinf (double )| -  Set/Get the y-component of the free-stream velocity. Default is 1.0.
//// \item @|double = obj.GetVvinf ()| -  Set/Get the y-component of the free-stream velocity. Default is 1.0.
//// \item @|obj.SetWvinf (double )| -  Set/Get the z-component of the free-stream velocity. Default is 1.0.
//// \item @|double = obj.GetWvinf ()| -  Set/Get the z-component of the free-stream velocity. Default is 1.0.
//// \item @|obj.SetScalarFunctionNumber (int num)| -  Specify the scalar function to extract. If ==(-1), then no scalar 
// function is extracted.
//// \item @|int = obj.GetScalarFunctionNumber ()| -  Specify the scalar function to extract. If ==(-1), then no scalar 
// function is extracted.
//// \item @|obj.SetVectorFunctionNumber (int num)| -  Specify the vector function to extract. If ==(-1), then no vector
// function is extracted.
//// \item @|int = obj.GetVectorFunctionNumber ()| -  Specify the vector function to extract. If ==(-1), then no vector
// function is extracted.
//// \item @|obj.AddFunction (int functionNumber)| -  Specify additional functions to read. These are placed into the
// point data as data arrays. Later on they can be used by labeling
// them as scalars, etc.
//// \item @|obj.RemoveFunction (int )| -  Specify additional functions to read. These are placed into the
// point data as data arrays. Later on they can be used by labeling
// them as scalars, etc.
//// \item @|obj.RemoveAllFunctions ()| -  Specify additional functions to read. These are placed into the
// point data as data arrays. Later on they can be used by labeling
// them as scalars, etc.
//// \item @|int = obj.CanReadBinaryFile (string fname)| -  Return 1 if the reader can read the given file name. Only meaningful
// for binary files.
////\end{itemize}
//!
