#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPLYReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPLYReader.h"

//@@Signature
//sfunction @vtkPLYReader:vtkPLYReader vtkPLYReaderConstructorFunction
//input a
//output p
//@@Parents vtkPLYReader vtkPolyDataAlgorithm 
ArrayVector vtkPLYReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPLYReader::New(),"vtkPLYReader",eval);
  } else if (arg[0].className() == "vtkPLYReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPLYReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPLYReader");
    vtkPLYReader*q = reinterpret_cast<vtkPLYReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPLYReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPLYReader:GetClassName vtkPLYReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPLYReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPLYReader requires 1 argument(s)");
  vtkPLYReader* vtk_pointer = GetVTKPointer<vtkPLYReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLYReader:IsA vtkPLYReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPLYReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPLYReader requires 2 argument(s)");
  vtkPLYReader* vtk_pointer = GetVTKPointer<vtkPLYReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLYReader:NewInstance vtkPLYReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPLYReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPLYReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPLYReader requires 1 argument(s)");
  vtkPLYReader* vtk_pointer = GetVTKPointer<vtkPLYReader>(arg[0]);
  Array retval;
  vtkPLYReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPLYReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPLYReader:SafeDownCast vtkPLYReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPLYReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPLYReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPLYReader requires 2 argument(s)");
  vtkPLYReader* vtk_pointer = GetVTKPointer<vtkPLYReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPLYReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPLYReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPLYReader:SetFileName vtkPLYReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkPLYReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkPLYReader requires 2 argument(s)");
  vtkPLYReader* vtk_pointer = GetVTKPointer<vtkPLYReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPLYReader:GetFileName vtkPLYReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkPLYReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkPLYReader requires 1 argument(s)");
  vtkPLYReader* vtk_pointer = GetVTKPointer<vtkPLYReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLYReader:CanReadFile vtkPLYReaderCanReadFileFunction
//input a0 a1 
//output y
ArrayVector vtkPLYReaderCanReadFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int CanReadFile (const char *filename); */
  if (arg.size() < 2) 
    throw Exception("Function CanReadFile for class vtkPLYReader requires 2 argument(s)");
  vtkPLYReader* vtk_pointer = GetVTKPointer<vtkPLYReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CanReadFile(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLYReader:display vtkPLYReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPLYReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPLYReader* vtk_pointer = GetVTKPointer<vtkPLYReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPLYReader:delete vtkPLYReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkPLYReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPLYReader
//@@Section VTKIO
//@@Usage
// vtkPLYReader is a source object that reads polygonal data in
// Stanford University PLY file format (see 
// http://graphics.stanford.edu/data/3Dscanrep). It requires that
// the elements "vertex" and "face" are defined. The "vertex" element
// must have the properties "x", "y", and "z". The "face" element must
// have the property "vertex_indices" defined. Optionally, if the "face"
// element has the properties "intensity" and/or the triplet "red",
// "green", and "blue"; these are read and added as scalars to the
// output data.
//
//To create an instance of class vtkPLYReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkPLYReader
//@]
//@@Methods
//The class vtkPLYReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPLYReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPLYReader = obj.NewInstance ()|
// \item @|vtkPLYReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string )| -  Specify file name of stereo lithography file.
//// \item @|string = obj.GetFileName ()| -  Specify file name of stereo lithography file.
////\end{itemize}
//!
