#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPLYWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPLYWriter.h"

//@@Signature
//sfunction @vtkPLYWriter:vtkPLYWriter vtkPLYWriterConstructorFunction
//input a
//output p
//@@Parents vtkPLYWriter vtkPolyDataWriter 
ArrayVector vtkPLYWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPLYWriter::New(),"vtkPLYWriter",eval);
  } else if (arg[0].className() == "vtkPLYWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPLYWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPLYWriter");
    vtkPLYWriter*q = reinterpret_cast<vtkPLYWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPLYWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPLYWriter:GetClassName vtkPLYWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPLYWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPLYWriter requires 1 argument(s)");
  vtkPLYWriter* vtk_pointer = GetVTKPointer<vtkPLYWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLYWriter:IsA vtkPLYWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPLYWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPLYWriter requires 2 argument(s)");
  vtkPLYWriter* vtk_pointer = GetVTKPointer<vtkPLYWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLYWriter:NewInstance vtkPLYWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPLYWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPLYWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPLYWriter requires 1 argument(s)");
  vtkPLYWriter* vtk_pointer = GetVTKPointer<vtkPLYWriter>(arg[0]);
  Array retval;
  vtkPLYWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPLYWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPLYWriter:SafeDownCast vtkPLYWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPLYWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPLYWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPLYWriter requires 2 argument(s)");
  vtkPLYWriter* vtk_pointer = GetVTKPointer<vtkPLYWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPLYWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPLYWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPLYWriter:SetDataByteOrder vtkPLYWriterSetDataByteOrderFunction
//input a0 a1 
//output none
ArrayVector vtkPLYWriterSetDataByteOrderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataByteOrder (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataByteOrder for class vtkPLYWriter requires 2 argument(s)");
  vtkPLYWriter* vtk_pointer = GetVTKPointer<vtkPLYWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDataByteOrder(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPLYWriter:GetDataByteOrderMinValue vtkPLYWriterGetDataByteOrderMinValueFunction
//input a0 
//output y
ArrayVector vtkPLYWriterGetDataByteOrderMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataByteOrderMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataByteOrderMinValue for class vtkPLYWriter requires 1 argument(s)");
  vtkPLYWriter* vtk_pointer = GetVTKPointer<vtkPLYWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataByteOrderMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLYWriter:GetDataByteOrderMaxValue vtkPLYWriterGetDataByteOrderMaxValueFunction
//input a0 
//output y
ArrayVector vtkPLYWriterGetDataByteOrderMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataByteOrderMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataByteOrderMaxValue for class vtkPLYWriter requires 1 argument(s)");
  vtkPLYWriter* vtk_pointer = GetVTKPointer<vtkPLYWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataByteOrderMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLYWriter:GetDataByteOrder vtkPLYWriterGetDataByteOrderFunction
//input a0 
//output y
ArrayVector vtkPLYWriterGetDataByteOrderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataByteOrder (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataByteOrder for class vtkPLYWriter requires 1 argument(s)");
  vtkPLYWriter* vtk_pointer = GetVTKPointer<vtkPLYWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataByteOrder();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLYWriter:SetDataByteOrderToBigEndian vtkPLYWriterSetDataByteOrderToBigEndianFunction
//input a0 
//output none
ArrayVector vtkPLYWriterSetDataByteOrderToBigEndianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataByteOrderToBigEndian ();this SetDataByteOrder VTK_BIG_ENDIAN  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataByteOrderToBigEndian for class vtkPLYWriter requires 1 argument(s)");
  vtkPLYWriter* vtk_pointer = GetVTKPointer<vtkPLYWriter>(arg[0]);
  Array retval;
  vtk_pointer->SetDataByteOrderToBigEndian();
  return retval;
}

//@@Signature
//sfunction @vtkPLYWriter:SetDataByteOrderToLittleEndian vtkPLYWriterSetDataByteOrderToLittleEndianFunction
//input a0 
//output none
ArrayVector vtkPLYWriterSetDataByteOrderToLittleEndianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataByteOrderToLittleEndian ();this SetDataByteOrder VTK_LITTLE_ENDIAN  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataByteOrderToLittleEndian for class vtkPLYWriter requires 1 argument(s)");
  vtkPLYWriter* vtk_pointer = GetVTKPointer<vtkPLYWriter>(arg[0]);
  Array retval;
  vtk_pointer->SetDataByteOrderToLittleEndian();
  return retval;
}

//@@Signature
//sfunction @vtkPLYWriter:SetColorMode vtkPLYWriterSetColorModeFunction
//input a0 a1 
//output none
ArrayVector vtkPLYWriterSetColorModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetColorMode for class vtkPLYWriter requires 2 argument(s)");
  vtkPLYWriter* vtk_pointer = GetVTKPointer<vtkPLYWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetColorMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPLYWriter:GetColorMode vtkPLYWriterGetColorModeFunction
//input a0 
//output y
ArrayVector vtkPLYWriterGetColorModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetColorMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColorMode for class vtkPLYWriter requires 1 argument(s)");
  vtkPLYWriter* vtk_pointer = GetVTKPointer<vtkPLYWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetColorMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLYWriter:SetColorModeToDefault vtkPLYWriterSetColorModeToDefaultFunction
//input a0 
//output none
ArrayVector vtkPLYWriterSetColorModeToDefaultFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorModeToDefault ();this SetColorMode VTK_COLOR_MODE_DEFAULT  */
  if (arg.size() < 1) 
    throw Exception("Function SetColorModeToDefault for class vtkPLYWriter requires 1 argument(s)");
  vtkPLYWriter* vtk_pointer = GetVTKPointer<vtkPLYWriter>(arg[0]);
  Array retval;
  vtk_pointer->SetColorModeToDefault();
  return retval;
}

//@@Signature
//sfunction @vtkPLYWriter:SetColorModeToUniformCellColor vtkPLYWriterSetColorModeToUniformCellColorFunction
//input a0 
//output none
ArrayVector vtkPLYWriterSetColorModeToUniformCellColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorModeToUniformCellColor ();this SetColorMode VTK_COLOR_MODE_UNIFORM_CELL_COLOR  */
  if (arg.size() < 1) 
    throw Exception("Function SetColorModeToUniformCellColor for class vtkPLYWriter requires 1 argument(s)");
  vtkPLYWriter* vtk_pointer = GetVTKPointer<vtkPLYWriter>(arg[0]);
  Array retval;
  vtk_pointer->SetColorModeToUniformCellColor();
  return retval;
}

//@@Signature
//sfunction @vtkPLYWriter:SetColorModeToUniformPointColor vtkPLYWriterSetColorModeToUniformPointColorFunction
//input a0 
//output none
ArrayVector vtkPLYWriterSetColorModeToUniformPointColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorModeToUniformPointColor ();this SetColorMode VTK_COLOR_MODE_UNIFORM_POINT_COLOR  */
  if (arg.size() < 1) 
    throw Exception("Function SetColorModeToUniformPointColor for class vtkPLYWriter requires 1 argument(s)");
  vtkPLYWriter* vtk_pointer = GetVTKPointer<vtkPLYWriter>(arg[0]);
  Array retval;
  vtk_pointer->SetColorModeToUniformPointColor();
  return retval;
}

//@@Signature
//sfunction @vtkPLYWriter:SetColorModeToUniformColor vtkPLYWriterSetColorModeToUniformColorFunction
//input a0 
//output none
ArrayVector vtkPLYWriterSetColorModeToUniformColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorModeToUniformColor ();this SetColorMode VTK_COLOR_MODE_UNIFORM_COLOR  */
  if (arg.size() < 1) 
    throw Exception("Function SetColorModeToUniformColor for class vtkPLYWriter requires 1 argument(s)");
  vtkPLYWriter* vtk_pointer = GetVTKPointer<vtkPLYWriter>(arg[0]);
  Array retval;
  vtk_pointer->SetColorModeToUniformColor();
  return retval;
}

//@@Signature
//sfunction @vtkPLYWriter:SetColorModeToOff vtkPLYWriterSetColorModeToOffFunction
//input a0 
//output none
ArrayVector vtkPLYWriterSetColorModeToOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColorModeToOff ();this SetColorMode VTK_COLOR_MODE_OFF  */
  if (arg.size() < 1) 
    throw Exception("Function SetColorModeToOff for class vtkPLYWriter requires 1 argument(s)");
  vtkPLYWriter* vtk_pointer = GetVTKPointer<vtkPLYWriter>(arg[0]);
  Array retval;
  vtk_pointer->SetColorModeToOff();
  return retval;
}

//@@Signature
//sfunction @vtkPLYWriter:SetArrayName vtkPLYWriterSetArrayNameFunction
//input a0 a1 
//output none
ArrayVector vtkPLYWriterSetArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetArrayName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetArrayName for class vtkPLYWriter requires 2 argument(s)");
  vtkPLYWriter* vtk_pointer = GetVTKPointer<vtkPLYWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetArrayName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPLYWriter:GetArrayName vtkPLYWriterGetArrayNameFunction
//input a0 
//output y
ArrayVector vtkPLYWriterGetArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetArrayName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetArrayName for class vtkPLYWriter requires 1 argument(s)");
  vtkPLYWriter* vtk_pointer = GetVTKPointer<vtkPLYWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetArrayName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLYWriter:SetComponent vtkPLYWriterSetComponentFunction
//input a0 a1 
//output none
ArrayVector vtkPLYWriterSetComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetComponent (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetComponent for class vtkPLYWriter requires 2 argument(s)");
  vtkPLYWriter* vtk_pointer = GetVTKPointer<vtkPLYWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetComponent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPLYWriter:GetComponentMinValue vtkPLYWriterGetComponentMinValueFunction
//input a0 
//output y
ArrayVector vtkPLYWriterGetComponentMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComponentMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComponentMinValue for class vtkPLYWriter requires 1 argument(s)");
  vtkPLYWriter* vtk_pointer = GetVTKPointer<vtkPLYWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComponentMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLYWriter:GetComponentMaxValue vtkPLYWriterGetComponentMaxValueFunction
//input a0 
//output y
ArrayVector vtkPLYWriterGetComponentMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComponentMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComponentMaxValue for class vtkPLYWriter requires 1 argument(s)");
  vtkPLYWriter* vtk_pointer = GetVTKPointer<vtkPLYWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComponentMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLYWriter:GetComponent vtkPLYWriterGetComponentFunction
//input a0 
//output y
ArrayVector vtkPLYWriterGetComponentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetComponent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetComponent for class vtkPLYWriter requires 1 argument(s)");
  vtkPLYWriter* vtk_pointer = GetVTKPointer<vtkPLYWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetComponent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPLYWriter:SetLookupTable vtkPLYWriterSetLookupTableFunction
//input a0 a1 
//output none
ArrayVector vtkPLYWriterSetLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetLookupTable (vtkScalarsToColors *); */
  if (arg.size() < 2) 
    throw Exception("Function SetLookupTable for class vtkPLYWriter requires 2 argument(s)");
  vtkPLYWriter* vtk_pointer = GetVTKPointer<vtkPLYWriter>(arg[0]);
  Array retval;
  vtkScalarsToColors  *temp0;
  temp0 = GetVTKPointer<vtkScalarsToColors>(arg[1]);
  vtk_pointer->SetLookupTable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPLYWriter:GetLookupTable vtkPLYWriterGetLookupTableFunction
//input a0 
//output y
ArrayVector vtkPLYWriterGetLookupTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkScalarsToColors *GetLookupTable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLookupTable for class vtkPLYWriter requires 1 argument(s)");
  vtkPLYWriter* vtk_pointer = GetVTKPointer<vtkPLYWriter>(arg[0]);
  Array retval;
  vtkScalarsToColors  *temp20;
  temp20 = (vtk_pointer)->GetLookupTable();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkScalarsToColors",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPLYWriter:SetColor__1 vtkPLYWriterSetColor__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkPLYWriterSetColor__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColor (unsigned char , unsigned char , unsigned char ); */
  if (arg.size() < 4) 
    throw Exception("Function SetColor__1 for class vtkPLYWriter requires 4 argument(s)");
  vtkPLYWriter* vtk_pointer = GetVTKPointer<vtkPLYWriter>(arg[0]);
  Array retval;
  unsigned char     temp0;
  unsigned char     temp1;
  unsigned char     temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned char) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned char) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (unsigned char) arg[3].asDouble();
  vtk_pointer->SetColor(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkPLYWriter:SetColor__2 vtkPLYWriterSetColor__2Function
//input a0 a1 
//output none
ArrayVector vtkPLYWriterSetColor__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetColor (unsigned char  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetColor__2 for class vtkPLYWriter requires 2 argument(s)");
  vtkPLYWriter* vtk_pointer = GetVTKPointer<vtkPLYWriter>(arg[0]);
  Array retval;
  unsigned char   temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (unsigned char)data[k+1];
  }
  vtk_pointer->SetColor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPLYWriter:GetColor vtkPLYWriterGetColorFunction
//input a0 
//output y
ArrayVector vtkPLYWriterGetColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned char  *GetColor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetColor for class vtkPLYWriter requires 1 argument(s)");
  vtkPLYWriter* vtk_pointer = GetVTKPointer<vtkPLYWriter>(arg[0]);
  Array retval;
  unsigned char    *temp20;
  temp20 = (vtk_pointer)->GetColor();
  return retval;
}

//@@Signature
//sfunction @vtkPLYWriter:SetColor vtkPLYWriterSetColorFunction
//input varargin
//output varargout
ArrayVector vtkPLYWriterSetColorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkPLYWriterSetColor__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkPLYWriterSetColor__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPLYWriterSetColor");
}

//@@Signature
//sfunction @vtkPLYWriter:display vtkPLYWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPLYWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPLYWriter* vtk_pointer = GetVTKPointer<vtkPLYWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPLYWriter:delete vtkPLYWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkPLYWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPLYWriter
//@@Section VTKIO
//@@Usage
// vtkPLYWriter writes polygonal data in Stanford University PLY format
// (see http://graphics.stanford.edu/data/3Dscanrep/). The data can be
// written in either binary (little or big endian) or ASCII representation.
// As for PointData and CellData, vtkPLYWriter cannot handle normals or
// vectors. It only handles RGB PointData and CellData. You need to set the
// name of the array (using SetName for the array and SetArrayName for the
// writer). If the array is not a vtkUnsignedCharArray with 3 components,
// you need to specify a vtkLookupTable to map the scalars to RGB.
//
//To create an instance of class vtkPLYWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkPLYWriter
//@]
//@@Methods
//The class vtkPLYWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPLYWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPLYWriter = obj.NewInstance ()|
// \item @|vtkPLYWriter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetDataByteOrder (int )| -  If the file type is binary, then the user can specify which
// byte order to use (little versus big endian).
//// \item @|int = obj.GetDataByteOrderMinValue ()| -  If the file type is binary, then the user can specify which
// byte order to use (little versus big endian).
//// \item @|int = obj.GetDataByteOrderMaxValue ()| -  If the file type is binary, then the user can specify which
// byte order to use (little versus big endian).
//// \item @|int = obj.GetDataByteOrder ()| -  If the file type is binary, then the user can specify which
// byte order to use (little versus big endian).
//// \item @|obj.SetDataByteOrderToBigEndian ()| -  If the file type is binary, then the user can specify which
// byte order to use (little versus big endian).
//// \item @|obj.SetDataByteOrderToLittleEndian ()| -  These methods enable the user to control how to add color into the PLY
// output file. The default behavior is as follows. The user provides the
// name of an array and a component number. If the type of the array is
// three components, unsigned char, then the data is written as three
// separate "red", "green" and "blue" properties. If the type is not
// unsigned char, and a lookup table is provided, then the array/component
// are mapped through the table to generate three separate "red", "green"
// and "blue" properties in the PLY file. The user can also set the
// ColorMode to specify a uniform color for the whole part (on a vertex
// colors, face colors, or both. (Note: vertex colors or cell colors may be
// written, depending on where the named array is found. If points and
// cells have the arrays with the same name, then both colors will be
// written.)
//// \item @|obj.SetColorMode (int )| -  These methods enable the user to control how to add color into the PLY
// output file. The default behavior is as follows. The user provides the
// name of an array and a component number. If the type of the array is
// three components, unsigned char, then the data is written as three
// separate "red", "green" and "blue" properties. If the type is not
// unsigned char, and a lookup table is provided, then the array/component
// are mapped through the table to generate three separate "red", "green"
// and "blue" properties in the PLY file. The user can also set the
// ColorMode to specify a uniform color for the whole part (on a vertex
// colors, face colors, or both. (Note: vertex colors or cell colors may be
// written, depending on where the named array is found. If points and
// cells have the arrays with the same name, then both colors will be
// written.)
//// \item @|int = obj.GetColorMode ()| -  These methods enable the user to control how to add color into the PLY
// output file. The default behavior is as follows. The user provides the
// name of an array and a component number. If the type of the array is
// three components, unsigned char, then the data is written as three
// separate "red", "green" and "blue" properties. If the type is not
// unsigned char, and a lookup table is provided, then the array/component
// are mapped through the table to generate three separate "red", "green"
// and "blue" properties in the PLY file. The user can also set the
// ColorMode to specify a uniform color for the whole part (on a vertex
// colors, face colors, or both. (Note: vertex colors or cell colors may be
// written, depending on where the named array is found. If points and
// cells have the arrays with the same name, then both colors will be
// written.)
//// \item @|obj.SetColorModeToDefault ()| -  These methods enable the user to control how to add color into the PLY
// output file. The default behavior is as follows. The user provides the
// name of an array and a component number. If the type of the array is
// three components, unsigned char, then the data is written as three
// separate "red", "green" and "blue" properties. If the type is not
// unsigned char, and a lookup table is provided, then the array/component
// are mapped through the table to generate three separate "red", "green"
// and "blue" properties in the PLY file. The user can also set the
// ColorMode to specify a uniform color for the whole part (on a vertex
// colors, face colors, or both. (Note: vertex colors or cell colors may be
// written, depending on where the named array is found. If points and
// cells have the arrays with the same name, then both colors will be
// written.)
//// \item @|obj.SetColorModeToUniformCellColor ()| -  These methods enable the user to control how to add color into the PLY
// output file. The default behavior is as follows. The user provides the
// name of an array and a component number. If the type of the array is
// three components, unsigned char, then the data is written as three
// separate "red", "green" and "blue" properties. If the type is not
// unsigned char, and a lookup table is provided, then the array/component
// are mapped through the table to generate three separate "red", "green"
// and "blue" properties in the PLY file. The user can also set the
// ColorMode to specify a uniform color for the whole part (on a vertex
// colors, face colors, or both. (Note: vertex colors or cell colors may be
// written, depending on where the named array is found. If points and
// cells have the arrays with the same name, then both colors will be
// written.)
//// \item @|obj.SetColorModeToUniformPointColor ()| -  These methods enable the user to control how to add color into the PLY
// output file. The default behavior is as follows. The user provides the
// name of an array and a component number. If the type of the array is
// three components, unsigned char, then the data is written as three
// separate "red", "green" and "blue" properties. If the type is not
// unsigned char, and a lookup table is provided, then the array/component
// are mapped through the table to generate three separate "red", "green"
// and "blue" properties in the PLY file. The user can also set the
// ColorMode to specify a uniform color for the whole part (on a vertex
// colors, face colors, or both. (Note: vertex colors or cell colors may be
// written, depending on where the named array is found. If points and
// cells have the arrays with the same name, then both colors will be
// written.)
//// \item @|obj.SetColorModeToUniformColor ()| -  These methods enable the user to control how to add color into the PLY
// output file. The default behavior is as follows. The user provides the
// name of an array and a component number. If the type of the array is
// three components, unsigned char, then the data is written as three
// separate "red", "green" and "blue" properties. If the type is not
// unsigned char, and a lookup table is provided, then the array/component
// are mapped through the table to generate three separate "red", "green"
// and "blue" properties in the PLY file. The user can also set the
// ColorMode to specify a uniform color for the whole part (on a vertex
// colors, face colors, or both. (Note: vertex colors or cell colors may be
// written, depending on where the named array is found. If points and
// cells have the arrays with the same name, then both colors will be
// written.)
//// \item @|obj.SetColorModeToOff ()| -  Specify the array name to use to color the data.
//// \item @|obj.SetArrayName (string )| -  Specify the array name to use to color the data.
//// \item @|string = obj.GetArrayName ()| -  Specify the array name to use to color the data.
//// \item @|obj.SetComponent (int )| -  Specify the array component to use to color the data.
//// \item @|int = obj.GetComponentMinValue ()| -  Specify the array component to use to color the data.
//// \item @|int = obj.GetComponentMaxValue ()| -  Specify the array component to use to color the data.
//// \item @|int = obj.GetComponent ()| -  Specify the array component to use to color the data.
//// \item @|obj.SetLookupTable (vtkScalarsToColors )| -  A lookup table can be specified in order to convert data arrays to
// RGBA colors.
//// \item @|vtkScalarsToColors = obj.GetLookupTable ()| -  A lookup table can be specified in order to convert data arrays to
// RGBA colors.
//// \item @|obj.SetColor (char , char , char )| -  Set the color to use when using a uniform color (either point or cells,
// or both). The color is specified as a triplet of three unsigned chars
// between (0,255). This only takes effect when the ColorMode is set to
// uniform point, uniform cell, or uniform color.
//// \item @|obj.SetColor (char  a[3])| -  Set the color to use when using a uniform color (either point or cells,
// or both). The color is specified as a triplet of three unsigned chars
// between (0,255). This only takes effect when the ColorMode is set to
// uniform point, uniform cell, or uniform color.
//// \item @|char = obj. GetColor ()| -  Set the color to use when using a uniform color (either point or cells,
// or both). The color is specified as a triplet of three unsigned chars
// between (0,255). This only takes effect when the ColorMode is set to
// uniform point, uniform cell, or uniform color.
////\end{itemize}
//!
