#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPNGReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPNGReader.h"

//@@Signature
//sfunction @vtkPNGReader:vtkPNGReader vtkPNGReaderConstructorFunction
//input a
//output p
//@@Parents vtkPNGReader vtkImageReader2 
ArrayVector vtkPNGReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPNGReader::New(),"vtkPNGReader",eval);
  } else if (arg[0].className() == "vtkPNGReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPNGReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPNGReader");
    vtkPNGReader*q = reinterpret_cast<vtkPNGReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPNGReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPNGReader:GetClassName vtkPNGReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPNGReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPNGReader requires 1 argument(s)");
  vtkPNGReader* vtk_pointer = GetVTKPointer<vtkPNGReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPNGReader:IsA vtkPNGReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPNGReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPNGReader requires 2 argument(s)");
  vtkPNGReader* vtk_pointer = GetVTKPointer<vtkPNGReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPNGReader:NewInstance vtkPNGReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPNGReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPNGReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPNGReader requires 1 argument(s)");
  vtkPNGReader* vtk_pointer = GetVTKPointer<vtkPNGReader>(arg[0]);
  Array retval;
  vtkPNGReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPNGReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPNGReader:SafeDownCast vtkPNGReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPNGReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPNGReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPNGReader requires 2 argument(s)");
  vtkPNGReader* vtk_pointer = GetVTKPointer<vtkPNGReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPNGReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPNGReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPNGReader:CanReadFile vtkPNGReaderCanReadFileFunction
//input a0 a1 
//output y
ArrayVector vtkPNGReaderCanReadFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int CanReadFile (const char *fname); */
  if (arg.size() < 2) 
    throw Exception("Function CanReadFile for class vtkPNGReader requires 2 argument(s)");
  vtkPNGReader* vtk_pointer = GetVTKPointer<vtkPNGReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CanReadFile(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPNGReader:GetFileExtensions vtkPNGReaderGetFileExtensionsFunction
//input a0 
//output y
ArrayVector vtkPNGReaderGetFileExtensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetFileExtensions ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetFileExtensions for class vtkPNGReader requires 1 argument(s)");
  vtkPNGReader* vtk_pointer = GetVTKPointer<vtkPNGReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetFileExtensions();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPNGReader:GetDescriptiveName vtkPNGReaderGetDescriptiveNameFunction
//input a0 
//output y
ArrayVector vtkPNGReaderGetDescriptiveNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetDescriptiveName ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetDescriptiveName for class vtkPNGReader requires 1 argument(s)");
  vtkPNGReader* vtk_pointer = GetVTKPointer<vtkPNGReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDescriptiveName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPNGReader:display vtkPNGReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPNGReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPNGReader* vtk_pointer = GetVTKPointer<vtkPNGReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPNGReader:delete vtkPNGReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkPNGReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPNGReader
//@@Section VTKIO
//@@Usage
// vtkPNGReader is a source object that reads PNG files.
// It should be able to read most any PNG file
//
//
//To create an instance of class vtkPNGReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkPNGReader
//@]
//@@Methods
//The class vtkPNGReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPNGReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPNGReader = obj.NewInstance ()|
// \item @|vtkPNGReader = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.CanReadFile (string fname)| -  Is the given file a PNG file?
//// \item @|string = obj.GetFileExtensions ()| -  Return a descriptive name for the file format that might be useful in a GUI.
//// \item @|string = obj.GetDescriptiveName ()|
//\end{itemize}
//!
