#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPNGWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPNGWriter.h"

//@@Signature
//sfunction @vtkPNGWriter:vtkPNGWriter vtkPNGWriterConstructorFunction
//input a
//output p
//@@Parents vtkPNGWriter vtkImageWriter 
ArrayVector vtkPNGWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPNGWriter::New(),"vtkPNGWriter",eval);
  } else if (arg[0].className() == "vtkPNGWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPNGWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPNGWriter");
    vtkPNGWriter*q = reinterpret_cast<vtkPNGWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPNGWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPNGWriter:GetClassName vtkPNGWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPNGWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPNGWriter requires 1 argument(s)");
  vtkPNGWriter* vtk_pointer = GetVTKPointer<vtkPNGWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPNGWriter:IsA vtkPNGWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPNGWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPNGWriter requires 2 argument(s)");
  vtkPNGWriter* vtk_pointer = GetVTKPointer<vtkPNGWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPNGWriter:NewInstance vtkPNGWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPNGWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPNGWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPNGWriter requires 1 argument(s)");
  vtkPNGWriter* vtk_pointer = GetVTKPointer<vtkPNGWriter>(arg[0]);
  Array retval;
  vtkPNGWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPNGWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPNGWriter:SafeDownCast vtkPNGWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPNGWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPNGWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPNGWriter requires 2 argument(s)");
  vtkPNGWriter* vtk_pointer = GetVTKPointer<vtkPNGWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPNGWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPNGWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPNGWriter:Write vtkPNGWriterWriteFunction
//input a0 
//output none
ArrayVector vtkPNGWriterWriteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Write (); */
  if (arg.size() < 1) 
    throw Exception("Function Write for class vtkPNGWriter requires 1 argument(s)");
  vtkPNGWriter* vtk_pointer = GetVTKPointer<vtkPNGWriter>(arg[0]);
  Array retval;
  vtk_pointer->Write();
  return retval;
}

//@@Signature
//sfunction @vtkPNGWriter:SetWriteToMemory vtkPNGWriterSetWriteToMemoryFunction
//input a0 a1 
//output none
ArrayVector vtkPNGWriterSetWriteToMemoryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWriteToMemory (unsigned int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetWriteToMemory for class vtkPNGWriter requires 2 argument(s)");
  vtkPNGWriter* vtk_pointer = GetVTKPointer<vtkPNGWriter>(arg[0]);
  Array retval;
  unsigned int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  vtk_pointer->SetWriteToMemory(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPNGWriter:GetWriteToMemory vtkPNGWriterGetWriteToMemoryFunction
//input a0 
//output y
ArrayVector vtkPNGWriterGetWriteToMemoryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int unsigned GetWriteToMemory (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWriteToMemory for class vtkPNGWriter requires 1 argument(s)");
  vtkPNGWriter* vtk_pointer = GetVTKPointer<vtkPNGWriter>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetWriteToMemory();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPNGWriter:WriteToMemoryOn vtkPNGWriterWriteToMemoryOnFunction
//input a0 
//output none
ArrayVector vtkPNGWriterWriteToMemoryOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WriteToMemoryOn (); */
  if (arg.size() < 1) 
    throw Exception("Function WriteToMemoryOn for class vtkPNGWriter requires 1 argument(s)");
  vtkPNGWriter* vtk_pointer = GetVTKPointer<vtkPNGWriter>(arg[0]);
  Array retval;
  vtk_pointer->WriteToMemoryOn();
  return retval;
}

//@@Signature
//sfunction @vtkPNGWriter:WriteToMemoryOff vtkPNGWriterWriteToMemoryOffFunction
//input a0 
//output none
ArrayVector vtkPNGWriterWriteToMemoryOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WriteToMemoryOff (); */
  if (arg.size() < 1) 
    throw Exception("Function WriteToMemoryOff for class vtkPNGWriter requires 1 argument(s)");
  vtkPNGWriter* vtk_pointer = GetVTKPointer<vtkPNGWriter>(arg[0]);
  Array retval;
  vtk_pointer->WriteToMemoryOff();
  return retval;
}

//@@Signature
//sfunction @vtkPNGWriter:SetResult vtkPNGWriterSetResultFunction
//input a0 a1 
//output none
ArrayVector vtkPNGWriterSetResultFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetResult (vtkUnsignedCharArray *); */
  if (arg.size() < 2) 
    throw Exception("Function SetResult for class vtkPNGWriter requires 2 argument(s)");
  vtkPNGWriter* vtk_pointer = GetVTKPointer<vtkPNGWriter>(arg[0]);
  Array retval;
  vtkUnsignedCharArray  *temp0;
  temp0 = GetVTKPointer<vtkUnsignedCharArray>(arg[1]);
  vtk_pointer->SetResult(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPNGWriter:GetResult vtkPNGWriterGetResultFunction
//input a0 
//output y
ArrayVector vtkPNGWriterGetResultFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnsignedCharArray *GetResult (); */
  if (arg.size() < 1) 
    throw Exception("Function GetResult for class vtkPNGWriter requires 1 argument(s)");
  vtkPNGWriter* vtk_pointer = GetVTKPointer<vtkPNGWriter>(arg[0]);
  Array retval;
  vtkUnsignedCharArray  *temp20;
  temp20 = (vtk_pointer)->GetResult();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnsignedCharArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPNGWriter:display vtkPNGWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPNGWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPNGWriter* vtk_pointer = GetVTKPointer<vtkPNGWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPNGWriter:delete vtkPNGWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkPNGWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPNGWriter
//@@Section VTKIO
//@@Usage
// vtkPNGWriter writes PNG files. It supports 1 to 4 component data of
// unsigned char or unsigned short
//
//To create an instance of class vtkPNGWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkPNGWriter
//@]
//@@Methods
//The class vtkPNGWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPNGWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPNGWriter = obj.NewInstance ()|
// \item @|vtkPNGWriter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.Write ()| -  The main interface which triggers the writer to start.
//// \item @|obj.SetWriteToMemory (int )| -  Write the image to memory (a vtkUnsignedCharArray)
//// \item @|int = obj.GetWriteToMemory ()| -  Write the image to memory (a vtkUnsignedCharArray)
//// \item @|obj.WriteToMemoryOn ()| -  Write the image to memory (a vtkUnsignedCharArray)
//// \item @|obj.WriteToMemoryOff ()| -  Write the image to memory (a vtkUnsignedCharArray)
//// \item @|obj.SetResult (vtkUnsignedCharArray )| -  When writing to memory this is the result, it will be NULL until the 
// data is written the first time
//// \item @|vtkUnsignedCharArray = obj.GetResult ()| -  When writing to memory this is the result, it will be NULL until the 
// data is written the first time
////\end{itemize}
//!
