#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPNMReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPNMReader.h"

//@@Signature
//sfunction @vtkPNMReader:vtkPNMReader vtkPNMReaderConstructorFunction
//input a
//output p
//@@Parents vtkPNMReader vtkImageReader 
ArrayVector vtkPNMReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPNMReader::New(),"vtkPNMReader",eval);
  } else if (arg[0].className() == "vtkPNMReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPNMReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPNMReader");
    vtkPNMReader*q = reinterpret_cast<vtkPNMReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPNMReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPNMReader:GetClassName vtkPNMReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPNMReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPNMReader requires 1 argument(s)");
  vtkPNMReader* vtk_pointer = GetVTKPointer<vtkPNMReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPNMReader:IsA vtkPNMReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPNMReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPNMReader requires 2 argument(s)");
  vtkPNMReader* vtk_pointer = GetVTKPointer<vtkPNMReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPNMReader:NewInstance vtkPNMReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPNMReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPNMReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPNMReader requires 1 argument(s)");
  vtkPNMReader* vtk_pointer = GetVTKPointer<vtkPNMReader>(arg[0]);
  Array retval;
  vtkPNMReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPNMReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPNMReader:SafeDownCast vtkPNMReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPNMReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPNMReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPNMReader requires 2 argument(s)");
  vtkPNMReader* vtk_pointer = GetVTKPointer<vtkPNMReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPNMReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPNMReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPNMReader:CanReadFile vtkPNMReaderCanReadFileFunction
//input a0 a1 
//output y
ArrayVector vtkPNMReaderCanReadFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CanReadFile (const char *fname); */
  if (arg.size() < 2) 
    throw Exception("Function CanReadFile for class vtkPNMReader requires 2 argument(s)");
  vtkPNMReader* vtk_pointer = GetVTKPointer<vtkPNMReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CanReadFile(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPNMReader:GetFileExtensions vtkPNMReaderGetFileExtensionsFunction
//input a0 
//output y
ArrayVector vtkPNMReaderGetFileExtensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetFileExtensions ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetFileExtensions for class vtkPNMReader requires 1 argument(s)");
  vtkPNMReader* vtk_pointer = GetVTKPointer<vtkPNMReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetFileExtensions();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPNMReader:GetDescriptiveName vtkPNMReaderGetDescriptiveNameFunction
//input a0 
//output y
ArrayVector vtkPNMReaderGetDescriptiveNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetDescriptiveName ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetDescriptiveName for class vtkPNMReader requires 1 argument(s)");
  vtkPNMReader* vtk_pointer = GetVTKPointer<vtkPNMReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDescriptiveName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPNMReader:display vtkPNMReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPNMReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPNMReader* vtk_pointer = GetVTKPointer<vtkPNMReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPNMReader:delete vtkPNMReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkPNMReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPNMReader
//@@Section VTKIO
//@@Usage
// vtkPNMReader is a source object that reads pnm (portable anymap) files.
// This includes .pbm (bitmap), .pgm (grayscale), and .ppm (pixmap) files.
// (Currently this object only reads binary versions of these files.)
//
// PNMReader creates structured point datasets. The dimension of the 
// dataset depends upon the number of files read. Reading a single file 
// results in a 2D image, while reading more than one file results in a 
// 3D volume.
//
// To read a volume, files must be of the form "FileName.<number>" (e.g.,
// foo.ppm.0, foo.ppm.1, ...). You must also specify the DataExtent.  The
// fifth and sixth values of the DataExtent specify the beginning and ending
// files to read.
//
//To create an instance of class vtkPNMReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkPNMReader
//@]
//@@Methods
//The class vtkPNMReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPNMReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPNMReader = obj.NewInstance ()|
// \item @|vtkPNMReader = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.CanReadFile (string fname)|
// \item @|string = obj.GetFileExtensions ()| -  PNM 
//// \item @|string = obj.GetDescriptiveName ()|
//\end{itemize}
//!
