#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPNMWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPNMWriter.h"

//@@Signature
//sfunction @vtkPNMWriter:vtkPNMWriter vtkPNMWriterConstructorFunction
//input a
//output p
//@@Parents vtkPNMWriter vtkImageWriter 
ArrayVector vtkPNMWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPNMWriter::New(),"vtkPNMWriter",eval);
  } else if (arg[0].className() == "vtkPNMWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPNMWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPNMWriter");
    vtkPNMWriter*q = reinterpret_cast<vtkPNMWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPNMWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPNMWriter:GetClassName vtkPNMWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPNMWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPNMWriter requires 1 argument(s)");
  vtkPNMWriter* vtk_pointer = GetVTKPointer<vtkPNMWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPNMWriter:IsA vtkPNMWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPNMWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPNMWriter requires 2 argument(s)");
  vtkPNMWriter* vtk_pointer = GetVTKPointer<vtkPNMWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPNMWriter:NewInstance vtkPNMWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPNMWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPNMWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPNMWriter requires 1 argument(s)");
  vtkPNMWriter* vtk_pointer = GetVTKPointer<vtkPNMWriter>(arg[0]);
  Array retval;
  vtkPNMWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPNMWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPNMWriter:SafeDownCast vtkPNMWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPNMWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPNMWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPNMWriter requires 2 argument(s)");
  vtkPNMWriter* vtk_pointer = GetVTKPointer<vtkPNMWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPNMWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPNMWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPNMWriter:display vtkPNMWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPNMWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPNMWriter* vtk_pointer = GetVTKPointer<vtkPNMWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPNMWriter:delete vtkPNMWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkPNMWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPNMWriter
//@@Section VTKIO
//@@Usage
// vtkPNMWriter writes PNM file. The data type
// of the file is unsigned char regardless of the input type.
//
//To create an instance of class vtkPNMWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkPNMWriter
//@]
//@@Methods
//The class vtkPNMWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPNMWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPNMWriter = obj.NewInstance ()|
// \item @|vtkPNMWriter = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
