#include "VTKWrap.hpp"

// FreeMat wrapper for vtkParticleReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkParticleReader.h"

//@@Signature
//sfunction @vtkParticleReader:vtkParticleReader vtkParticleReaderConstructorFunction
//input a
//output p
//@@Parents vtkParticleReader vtkPolyDataAlgorithm 
ArrayVector vtkParticleReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkParticleReader::New(),"vtkParticleReader",eval);
  } else if (arg[0].className() == "vtkParticleReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkParticleReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkParticleReader");
    vtkParticleReader*q = reinterpret_cast<vtkParticleReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkParticleReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkParticleReader:GetClassName vtkParticleReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkParticleReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkParticleReader requires 1 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:IsA vtkParticleReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkParticleReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkParticleReader requires 2 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:NewInstance vtkParticleReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkParticleReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParticleReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkParticleReader requires 1 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  vtkParticleReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParticleReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:SafeDownCast vtkParticleReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkParticleReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkParticleReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkParticleReader requires 2 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkParticleReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkParticleReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:SetFileName vtkParticleReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkParticleReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkParticleReader requires 2 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:GetFileName vtkParticleReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkParticleReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkParticleReader requires 1 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:SetDataByteOrderToBigEndian vtkParticleReaderSetDataByteOrderToBigEndianFunction
//input a0 
//output none
ArrayVector vtkParticleReaderSetDataByteOrderToBigEndianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataByteOrderToBigEndian (); */
  if (arg.size() < 1) 
    throw Exception("Function SetDataByteOrderToBigEndian for class vtkParticleReader requires 1 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  vtk_pointer->SetDataByteOrderToBigEndian();
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:SetDataByteOrderToLittleEndian vtkParticleReaderSetDataByteOrderToLittleEndianFunction
//input a0 
//output none
ArrayVector vtkParticleReaderSetDataByteOrderToLittleEndianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataByteOrderToLittleEndian (); */
  if (arg.size() < 1) 
    throw Exception("Function SetDataByteOrderToLittleEndian for class vtkParticleReader requires 1 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  vtk_pointer->SetDataByteOrderToLittleEndian();
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:GetDataByteOrder vtkParticleReaderGetDataByteOrderFunction
//input a0 
//output y
ArrayVector vtkParticleReaderGetDataByteOrderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataByteOrder (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataByteOrder for class vtkParticleReader requires 1 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataByteOrder();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:SetDataByteOrder vtkParticleReaderSetDataByteOrderFunction
//input a0 a1 
//output none
ArrayVector vtkParticleReaderSetDataByteOrderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataByteOrder (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataByteOrder for class vtkParticleReader requires 2 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDataByteOrder(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:GetDataByteOrderAsString vtkParticleReaderGetDataByteOrderAsStringFunction
//input a0 
//output y
ArrayVector vtkParticleReaderGetDataByteOrderAsStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetDataByteOrderAsString (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataByteOrderAsString for class vtkParticleReader requires 1 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDataByteOrderAsString();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:SetSwapBytes vtkParticleReaderSetSwapBytesFunction
//input a0 a1 
//output none
ArrayVector vtkParticleReaderSetSwapBytesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSwapBytes (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSwapBytes for class vtkParticleReader requires 2 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSwapBytes(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:GetSwapBytes vtkParticleReaderGetSwapBytesFunction
//input a0 
//output y
ArrayVector vtkParticleReaderGetSwapBytesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSwapBytes ();return this SwapBytes  */
  if (arg.size() < 1) 
    throw Exception("Function GetSwapBytes for class vtkParticleReader requires 1 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSwapBytes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:SwapBytesOn vtkParticleReaderSwapBytesOnFunction
//input a0 
//output none
ArrayVector vtkParticleReaderSwapBytesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SwapBytesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SwapBytesOn for class vtkParticleReader requires 1 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  vtk_pointer->SwapBytesOn();
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:SwapBytesOff vtkParticleReaderSwapBytesOffFunction
//input a0 
//output none
ArrayVector vtkParticleReaderSwapBytesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SwapBytesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SwapBytesOff for class vtkParticleReader requires 1 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  vtk_pointer->SwapBytesOff();
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:SetHasScalar vtkParticleReaderSetHasScalarFunction
//input a0 a1 
//output none
ArrayVector vtkParticleReaderSetHasScalarFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetHasScalar (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetHasScalar for class vtkParticleReader requires 2 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetHasScalar(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:GetHasScalar vtkParticleReaderGetHasScalarFunction
//input a0 
//output y
ArrayVector vtkParticleReaderGetHasScalarFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetHasScalar (); */
  if (arg.size() < 1) 
    throw Exception("Function GetHasScalar for class vtkParticleReader requires 1 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetHasScalar();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:HasScalarOn vtkParticleReaderHasScalarOnFunction
//input a0 
//output none
ArrayVector vtkParticleReaderHasScalarOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HasScalarOn (); */
  if (arg.size() < 1) 
    throw Exception("Function HasScalarOn for class vtkParticleReader requires 1 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  vtk_pointer->HasScalarOn();
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:HasScalarOff vtkParticleReaderHasScalarOffFunction
//input a0 
//output none
ArrayVector vtkParticleReaderHasScalarOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void HasScalarOff (); */
  if (arg.size() < 1) 
    throw Exception("Function HasScalarOff for class vtkParticleReader requires 1 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  vtk_pointer->HasScalarOff();
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:SetFileType vtkParticleReaderSetFileTypeFunction
//input a0 a1 
//output none
ArrayVector vtkParticleReaderSetFileTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileType for class vtkParticleReader requires 2 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetFileType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:GetFileTypeMinValue vtkParticleReaderGetFileTypeMinValueFunction
//input a0 
//output y
ArrayVector vtkParticleReaderGetFileTypeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFileTypeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileTypeMinValue for class vtkParticleReader requires 1 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFileTypeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:GetFileTypeMaxValue vtkParticleReaderGetFileTypeMaxValueFunction
//input a0 
//output y
ArrayVector vtkParticleReaderGetFileTypeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFileTypeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileTypeMaxValue for class vtkParticleReader requires 1 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFileTypeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:GetFileType vtkParticleReaderGetFileTypeFunction
//input a0 
//output y
ArrayVector vtkParticleReaderGetFileTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFileType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileType for class vtkParticleReader requires 1 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetFileType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:SetFileTypeToUnknown vtkParticleReaderSetFileTypeToUnknownFunction
//input a0 
//output none
ArrayVector vtkParticleReaderSetFileTypeToUnknownFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileTypeToUnknown ();this SetFileType FILE_TYPE_IS_UNKNOWN  */
  if (arg.size() < 1) 
    throw Exception("Function SetFileTypeToUnknown for class vtkParticleReader requires 1 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  vtk_pointer->SetFileTypeToUnknown();
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:SetFileTypeToText vtkParticleReaderSetFileTypeToTextFunction
//input a0 
//output none
ArrayVector vtkParticleReaderSetFileTypeToTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileTypeToText ();this SetFileType FILE_TYPE_IS_TEXT  */
  if (arg.size() < 1) 
    throw Exception("Function SetFileTypeToText for class vtkParticleReader requires 1 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  vtk_pointer->SetFileTypeToText();
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:SetFileTypeToBinary vtkParticleReaderSetFileTypeToBinaryFunction
//input a0 
//output none
ArrayVector vtkParticleReaderSetFileTypeToBinaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileTypeToBinary ();this SetFileType FILE_TYPE_IS_BINARY  */
  if (arg.size() < 1) 
    throw Exception("Function SetFileTypeToBinary for class vtkParticleReader requires 1 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  vtk_pointer->SetFileTypeToBinary();
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:SetDataType vtkParticleReaderSetDataTypeFunction
//input a0 a1 
//output none
ArrayVector vtkParticleReaderSetDataTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataType for class vtkParticleReader requires 2 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDataType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:GetDataTypeMinValue vtkParticleReaderGetDataTypeMinValueFunction
//input a0 
//output y
ArrayVector vtkParticleReaderGetDataTypeMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataTypeMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataTypeMinValue for class vtkParticleReader requires 1 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataTypeMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:GetDataTypeMaxValue vtkParticleReaderGetDataTypeMaxValueFunction
//input a0 
//output y
ArrayVector vtkParticleReaderGetDataTypeMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataTypeMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataTypeMaxValue for class vtkParticleReader requires 1 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataTypeMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:GetDataType vtkParticleReaderGetDataTypeFunction
//input a0 
//output y
ArrayVector vtkParticleReaderGetDataTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataType for class vtkParticleReader requires 1 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:SetDataTypeToFloat vtkParticleReaderSetDataTypeToFloatFunction
//input a0 
//output none
ArrayVector vtkParticleReaderSetDataTypeToFloatFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToFloat ();this SetDataType VTK_FLOAT  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToFloat for class vtkParticleReader requires 1 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToFloat();
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:SetDataTypeToDouble vtkParticleReaderSetDataTypeToDoubleFunction
//input a0 
//output none
ArrayVector vtkParticleReaderSetDataTypeToDoubleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataTypeToDouble ();this SetDataType VTK_DOUBLE  */
  if (arg.size() < 1) 
    throw Exception("Function SetDataTypeToDouble for class vtkParticleReader requires 1 argument(s)");
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  Array retval;
  vtk_pointer->SetDataTypeToDouble();
  return retval;
}

//@@Signature
//sfunction @vtkParticleReader:display vtkParticleReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkParticleReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkParticleReader* vtk_pointer = GetVTKPointer<vtkParticleReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkParticleReader:delete vtkParticleReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkParticleReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkParticleReader
//@@Section VTKIO
//@@Usage
// vtkParticleReader reads either a binary or a text file of 
//  particles. Each particle can have associated with it an optional
//  scalar value. So the format is: x, y, z, scalar 
//  (all floats or doubles). The text file can consist of a comma 
//  delimited set of values. In most cases vtkParticleReader can 
//  automatically determine whether the file is text or binary. 
//  The data can be either float or double. 
//  Progress updates are provided. 
//  With respect to binary files, random access into the file to read 
//  pieces is supported.
//  
//
//To create an instance of class vtkParticleReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkParticleReader
//@]
//@@Methods
//The class vtkParticleReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkParticleReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkParticleReader = obj.NewInstance ()|
// \item @|vtkParticleReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string )| -  Specify file name.
//// \item @|string = obj.GetFileName ()| -  Specify file name.
//// \item @|obj.SetDataByteOrderToBigEndian ()| -  These methods should be used instead of the SwapBytes methods.
// They indicate the byte ordering of the file you are trying
// to read in. These methods will then either swap or not swap
// the bytes depending on the byte ordering of the machine it is
// being run on. For example, reading in a BigEndian file on a
// BigEndian machine will result in no swapping. Trying to read
// the same file on a LittleEndian machine will result in swapping.
// As a quick note most UNIX machines are BigEndian while PC's
// and VAX tend to be LittleEndian. So if the file you are reading
// in was generated on a VAX or PC, SetDataByteOrderToLittleEndian 
// otherwise SetDataByteOrderToBigEndian. Not used when reading
// text files. 
//// \item @|obj.SetDataByteOrderToLittleEndian ()| -  These methods should be used instead of the SwapBytes methods.
// They indicate the byte ordering of the file you are trying
// to read in. These methods will then either swap or not swap
// the bytes depending on the byte ordering of the machine it is
// being run on. For example, reading in a BigEndian file on a
// BigEndian machine will result in no swapping. Trying to read
// the same file on a LittleEndian machine will result in swapping.
// As a quick note most UNIX machines are BigEndian while PC's
// and VAX tend to be LittleEndian. So if the file you are reading
// in was generated on a VAX or PC, SetDataByteOrderToLittleEndian 
// otherwise SetDataByteOrderToBigEndian. Not used when reading
// text files. 
//// \item @|int = obj.GetDataByteOrder ()| -  These methods should be used instead of the SwapBytes methods.
// They indicate the byte ordering of the file you are trying
// to read in. These methods will then either swap or not swap
// the bytes depending on the byte ordering of the machine it is
// being run on. For example, reading in a BigEndian file on a
// BigEndian machine will result in no swapping. Trying to read
// the same file on a LittleEndian machine will result in swapping.
// As a quick note most UNIX machines are BigEndian while PC's
// and VAX tend to be LittleEndian. So if the file you are reading
// in was generated on a VAX or PC, SetDataByteOrderToLittleEndian 
// otherwise SetDataByteOrderToBigEndian. Not used when reading
// text files. 
//// \item @|obj.SetDataByteOrder (int )| -  These methods should be used instead of the SwapBytes methods.
// They indicate the byte ordering of the file you are trying
// to read in. These methods will then either swap or not swap
// the bytes depending on the byte ordering of the machine it is
// being run on. For example, reading in a BigEndian file on a
// BigEndian machine will result in no swapping. Trying to read
// the same file on a LittleEndian machine will result in swapping.
// As a quick note most UNIX machines are BigEndian while PC's
// and VAX tend to be LittleEndian. So if the file you are reading
// in was generated on a VAX or PC, SetDataByteOrderToLittleEndian 
// otherwise SetDataByteOrderToBigEndian. Not used when reading
// text files. 
//// \item @|string = obj.GetDataByteOrderAsString ()| -  These methods should be used instead of the SwapBytes methods.
// They indicate the byte ordering of the file you are trying
// to read in. These methods will then either swap or not swap
// the bytes depending on the byte ordering of the machine it is
// being run on. For example, reading in a BigEndian file on a
// BigEndian machine will result in no swapping. Trying to read
// the same file on a LittleEndian machine will result in swapping.
// As a quick note most UNIX machines are BigEndian while PC's
// and VAX tend to be LittleEndian. So if the file you are reading
// in was generated on a VAX or PC, SetDataByteOrderToLittleEndian 
// otherwise SetDataByteOrderToBigEndian. Not used when reading
// text files. 
//// \item @|obj.SetSwapBytes (int )| -  Set/Get the byte swapping to explicitly swap the bytes of a file.
// Not used when reading text files.
//// \item @|int = obj.GetSwapBytes ()| -  Set/Get the byte swapping to explicitly swap the bytes of a file.
// Not used when reading text files.
//// \item @|obj.SwapBytesOn ()| -  Set/Get the byte swapping to explicitly swap the bytes of a file.
// Not used when reading text files.
//// \item @|obj.SwapBytesOff ()| -  Set/Get the byte swapping to explicitly swap the bytes of a file.
// Not used when reading text files.
//// \item @|obj.SetHasScalar (int )| -  Default: 1. If 1 then each particle has a value associated with it.
//// \item @|int = obj.GetHasScalar ()| -  Default: 1. If 1 then each particle has a value associated with it.
//// \item @|obj.HasScalarOn ()| -  Default: 1. If 1 then each particle has a value associated with it.
//// \item @|obj.HasScalarOff ()| -  Default: 1. If 1 then each particle has a value associated with it.
//// \item @|obj.SetFileType (int )| -  Get/Set the file type.  The options are:
// - FILE_TYPE_IS_UNKNOWN (default) the class 
//     will attempt to determine the file type.
//     If this fails then you should set the file type
//     yourself.
// - FILE_TYPE_IS_TEXT the file type is text.
// - FILE_TYPE_IS_BINARY the file type is binary.
//// \item @|int = obj.GetFileTypeMinValue ()| -  Get/Set the file type.  The options are:
// - FILE_TYPE_IS_UNKNOWN (default) the class 
//     will attempt to determine the file type.
//     If this fails then you should set the file type
//     yourself.
// - FILE_TYPE_IS_TEXT the file type is text.
// - FILE_TYPE_IS_BINARY the file type is binary.
//// \item @|int = obj.GetFileTypeMaxValue ()| -  Get/Set the file type.  The options are:
// - FILE_TYPE_IS_UNKNOWN (default) the class 
//     will attempt to determine the file type.
//     If this fails then you should set the file type
//     yourself.
// - FILE_TYPE_IS_TEXT the file type is text.
// - FILE_TYPE_IS_BINARY the file type is binary.
//// \item @|int = obj.GetFileType ()| -  Get/Set the file type.  The options are:
// - FILE_TYPE_IS_UNKNOWN (default) the class 
//     will attempt to determine the file type.
//     If this fails then you should set the file type
//     yourself.
// - FILE_TYPE_IS_TEXT the file type is text.
// - FILE_TYPE_IS_BINARY the file type is binary.
//// \item @|obj.SetFileTypeToUnknown ()| -  Get/Set the file type.  The options are:
// - FILE_TYPE_IS_UNKNOWN (default) the class 
//     will attempt to determine the file type.
//     If this fails then you should set the file type
//     yourself.
// - FILE_TYPE_IS_TEXT the file type is text.
// - FILE_TYPE_IS_BINARY the file type is binary.
//// \item @|obj.SetFileTypeToText ()| -  Get/Set the file type.  The options are:
// - FILE_TYPE_IS_UNKNOWN (default) the class 
//     will attempt to determine the file type.
//     If this fails then you should set the file type
//     yourself.
// - FILE_TYPE_IS_TEXT the file type is text.
// - FILE_TYPE_IS_BINARY the file type is binary.
//// \item @|obj.SetFileTypeToBinary ()| -  Get/Set the data type.  The options are:
// - VTK_FLOAT (default) single precision floating point.
// - VTK_DOUBLE double precision floating point.
//// \item @|obj.SetDataType (int )| -  Get/Set the data type.  The options are:
// - VTK_FLOAT (default) single precision floating point.
// - VTK_DOUBLE double precision floating point.
//// \item @|int = obj.GetDataTypeMinValue ()| -  Get/Set the data type.  The options are:
// - VTK_FLOAT (default) single precision floating point.
// - VTK_DOUBLE double precision floating point.
//// \item @|int = obj.GetDataTypeMaxValue ()| -  Get/Set the data type.  The options are:
// - VTK_FLOAT (default) single precision floating point.
// - VTK_DOUBLE double precision floating point.
//// \item @|int = obj.GetDataType ()| -  Get/Set the data type.  The options are:
// - VTK_FLOAT (default) single precision floating point.
// - VTK_DOUBLE double precision floating point.
//// \item @|obj.SetDataTypeToFloat ()| -  Get/Set the data type.  The options are:
// - VTK_FLOAT (default) single precision floating point.
// - VTK_DOUBLE double precision floating point.
//// \item @|obj.SetDataTypeToDouble ()|
//\end{itemize}
//!
