#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPolyDataReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPolyDataReader.h"

//@@Signature
//sfunction @vtkPolyDataReader:vtkPolyDataReader vtkPolyDataReaderConstructorFunction
//input a
//output p
//@@Parents vtkPolyDataReader vtkDataReader 
ArrayVector vtkPolyDataReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPolyDataReader::New(),"vtkPolyDataReader",eval);
  } else if (arg[0].className() == "vtkPolyDataReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPolyDataReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPolyDataReader");
    vtkPolyDataReader*q = reinterpret_cast<vtkPolyDataReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPolyDataReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPolyDataReader:GetClassName vtkPolyDataReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPolyDataReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPolyDataReader requires 1 argument(s)");
  vtkPolyDataReader* vtk_pointer = GetVTKPointer<vtkPolyDataReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataReader:IsA vtkPolyDataReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPolyDataReader requires 2 argument(s)");
  vtkPolyDataReader* vtk_pointer = GetVTKPointer<vtkPolyDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataReader:NewInstance vtkPolyDataReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPolyDataReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPolyDataReader requires 1 argument(s)");
  vtkPolyDataReader* vtk_pointer = GetVTKPointer<vtkPolyDataReader>(arg[0]);
  Array retval;
  vtkPolyDataReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataReader:SafeDownCast vtkPolyDataReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPolyDataReader requires 2 argument(s)");
  vtkPolyDataReader* vtk_pointer = GetVTKPointer<vtkPolyDataReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPolyDataReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataReader:GetOutput__1 vtkPolyDataReaderGetOutput__1Function
//input a0 
//output y
ArrayVector vtkPolyDataReaderGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkPolyDataReader requires 1 argument(s)");
  vtkPolyDataReader* vtk_pointer = GetVTKPointer<vtkPolyDataReader>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataReader:GetOutput__2 vtkPolyDataReaderGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkPolyDataReaderGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetOutput (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkPolyDataReader requires 2 argument(s)");
  vtkPolyDataReader* vtk_pointer = GetVTKPointer<vtkPolyDataReader>(arg[0]);
  Array retval;
  int      temp0;
  vtkPolyData  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataReader:SetOutput vtkPolyDataReaderSetOutputFunction
//input a0 a1 
//output none
ArrayVector vtkPolyDataReaderSetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutput (vtkPolyData *output); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutput for class vtkPolyDataReader requires 2 argument(s)");
  vtkPolyDataReader* vtk_pointer = GetVTKPointer<vtkPolyDataReader>(arg[0]);
  Array retval;
  vtkPolyData  *temp0;
  temp0 = GetVTKPointer<vtkPolyData>(arg[1]);
  vtk_pointer->SetOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataReader:GetOutput vtkPolyDataReaderGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataReaderGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkPolyDataReaderGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkPolyDataReaderGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolyDataReaderGetOutput");
}

//@@Signature
//sfunction @vtkPolyDataReader:display vtkPolyDataReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPolyDataReader* vtk_pointer = GetVTKPointer<vtkPolyDataReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPolyDataReader:delete vtkPolyDataReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkPolyDataReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPolyDataReader
//@@Section VTKIO
//@@Usage
// vtkPolyDataReader is a source object that reads ASCII or binary 
// polygonal data files in vtk format (see text for format details).
// The output of this reader is a single vtkPolyData data object.
// The superclass of this class, vtkDataReader, provides many methods for
// controlling the reading of the data file, see vtkDataReader for more
// information.
//
//To create an instance of class vtkPolyDataReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkPolyDataReader
//@]
//@@Methods
//The class vtkPolyDataReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPolyDataReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPolyDataReader = obj.NewInstance ()|
// \item @|vtkPolyDataReader = obj.SafeDownCast (vtkObject o)|
// \item @|vtkPolyData = obj.GetOutput ()| -  Get the output of this reader.
//// \item @|vtkPolyData = obj.GetOutput (int idx)| -  Get the output of this reader.
//// \item @|obj.SetOutput (vtkPolyData output)| -  Get the output of this reader.
////\end{itemize}
//!
