#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPolyDataWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPolyDataWriter.h"

//@@Signature
//sfunction @vtkPolyDataWriter:vtkPolyDataWriter vtkPolyDataWriterConstructorFunction
//input a
//output p
//@@Parents vtkPolyDataWriter vtkDataWriter 
ArrayVector vtkPolyDataWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPolyDataWriter::New(),"vtkPolyDataWriter",eval);
  } else if (arg[0].className() == "vtkPolyDataWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPolyDataWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPolyDataWriter");
    vtkPolyDataWriter*q = reinterpret_cast<vtkPolyDataWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPolyDataWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPolyDataWriter:GetClassName vtkPolyDataWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPolyDataWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPolyDataWriter requires 1 argument(s)");
  vtkPolyDataWriter* vtk_pointer = GetVTKPointer<vtkPolyDataWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataWriter:IsA vtkPolyDataWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPolyDataWriter requires 2 argument(s)");
  vtkPolyDataWriter* vtk_pointer = GetVTKPointer<vtkPolyDataWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataWriter:NewInstance vtkPolyDataWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPolyDataWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPolyDataWriter requires 1 argument(s)");
  vtkPolyDataWriter* vtk_pointer = GetVTKPointer<vtkPolyDataWriter>(arg[0]);
  Array retval;
  vtkPolyDataWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataWriter:SafeDownCast vtkPolyDataWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPolyDataWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyDataWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPolyDataWriter requires 2 argument(s)");
  vtkPolyDataWriter* vtk_pointer = GetVTKPointer<vtkPolyDataWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPolyDataWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataWriter:GetInput__1 vtkPolyDataWriterGetInput__1Function
//input a0 
//output y
ArrayVector vtkPolyDataWriterGetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput__1 for class vtkPolyDataWriter requires 1 argument(s)");
  vtkPolyDataWriter* vtk_pointer = GetVTKPointer<vtkPolyDataWriter>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataWriter:GetInput__2 vtkPolyDataWriterGetInput__2Function
//input a0 a1 
//output y
ArrayVector vtkPolyDataWriterGetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetInput (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetInput__2 for class vtkPolyDataWriter requires 2 argument(s)");
  vtkPolyDataWriter* vtk_pointer = GetVTKPointer<vtkPolyDataWriter>(arg[0]);
  Array retval;
  int      temp0;
  vtkPolyData  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPolyDataWriter:GetInput vtkPolyDataWriterGetInputFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataWriterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkPolyDataWriterGetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkPolyDataWriterGetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkPolyDataWriterGetInput");
}

//@@Signature
//sfunction @vtkPolyDataWriter:display vtkPolyDataWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPolyDataWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPolyDataWriter* vtk_pointer = GetVTKPointer<vtkPolyDataWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPolyDataWriter:delete vtkPolyDataWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkPolyDataWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPolyDataWriter
//@@Section VTKIO
//@@Usage
// vtkPolyDataWriter is a source object that writes ASCII or binary 
// polygonal data files in vtk format. See text for format details.
//
//To create an instance of class vtkPolyDataWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkPolyDataWriter
//@]
//@@Methods
//The class vtkPolyDataWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPolyDataWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPolyDataWriter = obj.NewInstance ()|
// \item @|vtkPolyDataWriter = obj.SafeDownCast (vtkObject o)|
// \item @|vtkPolyData = obj.GetInput ()| -  Get the input to this writer.
//// \item @|vtkPolyData = obj.GetInput (int port)| -  Get the input to this writer.
////\end{itemize}
//!
