#include "VTKWrap.hpp"

// FreeMat wrapper for vtkPostScriptWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkPostScriptWriter.h"

//@@Signature
//sfunction @vtkPostScriptWriter:vtkPostScriptWriter vtkPostScriptWriterConstructorFunction
//input a
//output p
//@@Parents vtkPostScriptWriter vtkImageWriter 
ArrayVector vtkPostScriptWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkPostScriptWriter::New(),"vtkPostScriptWriter",eval);
  } else if (arg[0].className() == "vtkPostScriptWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkPostScriptWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkPostScriptWriter");
    vtkPostScriptWriter*q = reinterpret_cast<vtkPostScriptWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkPostScriptWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkPostScriptWriter:GetClassName vtkPostScriptWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkPostScriptWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkPostScriptWriter requires 1 argument(s)");
  vtkPostScriptWriter* vtk_pointer = GetVTKPointer<vtkPostScriptWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPostScriptWriter:IsA vtkPostScriptWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkPostScriptWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkPostScriptWriter requires 2 argument(s)");
  vtkPostScriptWriter* vtk_pointer = GetVTKPointer<vtkPostScriptWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkPostScriptWriter:NewInstance vtkPostScriptWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkPostScriptWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPostScriptWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkPostScriptWriter requires 1 argument(s)");
  vtkPostScriptWriter* vtk_pointer = GetVTKPointer<vtkPostScriptWriter>(arg[0]);
  Array retval;
  vtkPostScriptWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPostScriptWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPostScriptWriter:SafeDownCast vtkPostScriptWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkPostScriptWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPostScriptWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkPostScriptWriter requires 2 argument(s)");
  vtkPostScriptWriter* vtk_pointer = GetVTKPointer<vtkPostScriptWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkPostScriptWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPostScriptWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkPostScriptWriter:display vtkPostScriptWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkPostScriptWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkPostScriptWriter* vtk_pointer = GetVTKPointer<vtkPostScriptWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkPostScriptWriter:delete vtkPostScriptWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkPostScriptWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkPostScriptWriter
//@@Section VTKIO
//@@Usage
// vtkPostScriptWriter writes an image as a PostScript file using some
// reasonable scalings and centered on the page which is assumed to be
// about 8.5 by 11 inches. This is based loosely off of the code from
// pnmtops.c. Right now there aren't any real options.
//
//To create an instance of class vtkPostScriptWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkPostScriptWriter
//@]
//@@Methods
//The class vtkPostScriptWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkPostScriptWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkPostScriptWriter = obj.NewInstance ()|
// \item @|vtkPostScriptWriter = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
