#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRTXMLPolyDataReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRTXMLPolyDataReader.h"

//@@Signature
//sfunction @vtkRTXMLPolyDataReader:vtkRTXMLPolyDataReader vtkRTXMLPolyDataReaderConstructorFunction
//input a
//output p
//@@Parents vtkRTXMLPolyDataReader vtkXMLPolyDataReader 
ArrayVector vtkRTXMLPolyDataReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRTXMLPolyDataReader::New(),"vtkRTXMLPolyDataReader",eval);
  } else if (arg[0].className() == "vtkRTXMLPolyDataReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRTXMLPolyDataReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRTXMLPolyDataReader");
    vtkRTXMLPolyDataReader*q = reinterpret_cast<vtkRTXMLPolyDataReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRTXMLPolyDataReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRTXMLPolyDataReader:GetClassName vtkRTXMLPolyDataReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRTXMLPolyDataReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRTXMLPolyDataReader requires 1 argument(s)");
  vtkRTXMLPolyDataReader* vtk_pointer = GetVTKPointer<vtkRTXMLPolyDataReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRTXMLPolyDataReader:IsA vtkRTXMLPolyDataReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRTXMLPolyDataReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRTXMLPolyDataReader requires 2 argument(s)");
  vtkRTXMLPolyDataReader* vtk_pointer = GetVTKPointer<vtkRTXMLPolyDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRTXMLPolyDataReader:NewInstance vtkRTXMLPolyDataReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRTXMLPolyDataReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRTXMLPolyDataReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRTXMLPolyDataReader requires 1 argument(s)");
  vtkRTXMLPolyDataReader* vtk_pointer = GetVTKPointer<vtkRTXMLPolyDataReader>(arg[0]);
  Array retval;
  vtkRTXMLPolyDataReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRTXMLPolyDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRTXMLPolyDataReader:SafeDownCast vtkRTXMLPolyDataReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRTXMLPolyDataReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRTXMLPolyDataReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRTXMLPolyDataReader requires 2 argument(s)");
  vtkRTXMLPolyDataReader* vtk_pointer = GetVTKPointer<vtkRTXMLPolyDataReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRTXMLPolyDataReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRTXMLPolyDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRTXMLPolyDataReader:SetLocation vtkRTXMLPolyDataReaderSetLocationFunction
//input a0 a1 
//output none
ArrayVector vtkRTXMLPolyDataReaderSetLocationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLocation (const char *dataLocation); */
  if (arg.size() < 2) 
    throw Exception("Function SetLocation for class vtkRTXMLPolyDataReader requires 2 argument(s)");
  vtkRTXMLPolyDataReader* vtk_pointer = GetVTKPointer<vtkRTXMLPolyDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetLocation(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRTXMLPolyDataReader:GetDataLocation vtkRTXMLPolyDataReaderGetDataLocationFunction
//input a0 
//output y
ArrayVector vtkRTXMLPolyDataReaderGetDataLocationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetDataLocation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataLocation for class vtkRTXMLPolyDataReader requires 1 argument(s)");
  vtkRTXMLPolyDataReader* vtk_pointer = GetVTKPointer<vtkRTXMLPolyDataReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetDataLocation();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRTXMLPolyDataReader:UpdateToNextFile vtkRTXMLPolyDataReaderUpdateToNextFileFunction
//input a0 
//output none
ArrayVector vtkRTXMLPolyDataReaderUpdateToNextFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void UpdateToNextFile (); */
  if (arg.size() < 1) 
    throw Exception("Function UpdateToNextFile for class vtkRTXMLPolyDataReader requires 1 argument(s)");
  vtkRTXMLPolyDataReader* vtk_pointer = GetVTKPointer<vtkRTXMLPolyDataReader>(arg[0]);
  Array retval;
  vtk_pointer->UpdateToNextFile();
  return retval;
}

//@@Signature
//sfunction @vtkRTXMLPolyDataReader:NewDataAvailable vtkRTXMLPolyDataReaderNewDataAvailableFunction
//input a0 
//output y
ArrayVector vtkRTXMLPolyDataReaderNewDataAvailableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int NewDataAvailable (); */
  if (arg.size() < 1) 
    throw Exception("Function NewDataAvailable for class vtkRTXMLPolyDataReader requires 1 argument(s)");
  vtkRTXMLPolyDataReader* vtk_pointer = GetVTKPointer<vtkRTXMLPolyDataReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->NewDataAvailable();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRTXMLPolyDataReader:ResetReader vtkRTXMLPolyDataReaderResetReaderFunction
//input a0 
//output none
ArrayVector vtkRTXMLPolyDataReaderResetReaderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void ResetReader (); */
  if (arg.size() < 1) 
    throw Exception("Function ResetReader for class vtkRTXMLPolyDataReader requires 1 argument(s)");
  vtkRTXMLPolyDataReader* vtk_pointer = GetVTKPointer<vtkRTXMLPolyDataReader>(arg[0]);
  Array retval;
  vtk_pointer->ResetReader();
  return retval;
}

//@@Signature
//sfunction @vtkRTXMLPolyDataReader:GetNextFileName vtkRTXMLPolyDataReaderGetNextFileNameFunction
//input a0 
//output y
ArrayVector vtkRTXMLPolyDataReaderGetNextFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetNextFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNextFileName for class vtkRTXMLPolyDataReader requires 1 argument(s)");
  vtkRTXMLPolyDataReader* vtk_pointer = GetVTKPointer<vtkRTXMLPolyDataReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetNextFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRTXMLPolyDataReader:display vtkRTXMLPolyDataReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRTXMLPolyDataReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRTXMLPolyDataReader* vtk_pointer = GetVTKPointer<vtkRTXMLPolyDataReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRTXMLPolyDataReader:delete vtkRTXMLPolyDataReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkRTXMLPolyDataReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRTXMLPolyDataReader
//@@Section VTKIO
//@@Usage
// vtkRTXMLPolyDataReader reads the VTK XML PolyData file format in real time.  
//
//To create an instance of class vtkRTXMLPolyDataReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkRTXMLPolyDataReader
//@]
//@@Methods
//The class vtkRTXMLPolyDataReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRTXMLPolyDataReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRTXMLPolyDataReader = obj.NewInstance ()|
// \item @|vtkRTXMLPolyDataReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetLocation (string dataLocation)|
// \item @|string = obj.GetDataLocation ()|
// \item @|obj.UpdateToNextFile ()| -  Reader will read in the next available data file
// The filename is this->NextFileName maintained internally 
//// \item @|int = obj.NewDataAvailable ()| -  check if there is new data file available in the 
// given DataLocation
//// \item @|obj.ResetReader ()| -  ResetReader check the data directory specified in 
// this->DataLocation, and reset the Internal data structure
// specifically: this->Internal->ProcessedFileList
// for monitoring the arriving new data files
// if SetDataLocation(char*) is set by the user, 
// this ResetReader() should also be invoked. 
//// \item @|string = obj.GetNextFileName ()| -  Return the name of the next available data file
// assume NewDataAvailable() return VTK_OK
////\end{itemize}
//!
