#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRectilinearGridWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRectilinearGridWriter.h"

//@@Signature
//sfunction @vtkRectilinearGridWriter:vtkRectilinearGridWriter vtkRectilinearGridWriterConstructorFunction
//input a
//output p
//@@Parents vtkRectilinearGridWriter vtkDataWriter 
ArrayVector vtkRectilinearGridWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRectilinearGridWriter::New(),"vtkRectilinearGridWriter",eval);
  } else if (arg[0].className() == "vtkRectilinearGridWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRectilinearGridWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRectilinearGridWriter");
    vtkRectilinearGridWriter*q = reinterpret_cast<vtkRectilinearGridWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRectilinearGridWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRectilinearGridWriter:GetClassName vtkRectilinearGridWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRectilinearGridWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRectilinearGridWriter requires 1 argument(s)");
  vtkRectilinearGridWriter* vtk_pointer = GetVTKPointer<vtkRectilinearGridWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridWriter:IsA vtkRectilinearGridWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRectilinearGridWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRectilinearGridWriter requires 2 argument(s)");
  vtkRectilinearGridWriter* vtk_pointer = GetVTKPointer<vtkRectilinearGridWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridWriter:NewInstance vtkRectilinearGridWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRectilinearGridWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRectilinearGridWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRectilinearGridWriter requires 1 argument(s)");
  vtkRectilinearGridWriter* vtk_pointer = GetVTKPointer<vtkRectilinearGridWriter>(arg[0]);
  Array retval;
  vtkRectilinearGridWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectilinearGridWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridWriter:SafeDownCast vtkRectilinearGridWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRectilinearGridWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRectilinearGridWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRectilinearGridWriter requires 2 argument(s)");
  vtkRectilinearGridWriter* vtk_pointer = GetVTKPointer<vtkRectilinearGridWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRectilinearGridWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectilinearGridWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridWriter:GetInput__1 vtkRectilinearGridWriterGetInput__1Function
//input a0 
//output y
ArrayVector vtkRectilinearGridWriterGetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRectilinearGrid *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput__1 for class vtkRectilinearGridWriter requires 1 argument(s)");
  vtkRectilinearGridWriter* vtk_pointer = GetVTKPointer<vtkRectilinearGridWriter>(arg[0]);
  Array retval;
  vtkRectilinearGrid  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectilinearGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridWriter:GetInput__2 vtkRectilinearGridWriterGetInput__2Function
//input a0 a1 
//output y
ArrayVector vtkRectilinearGridWriterGetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRectilinearGrid *GetInput (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetInput__2 for class vtkRectilinearGridWriter requires 2 argument(s)");
  vtkRectilinearGridWriter* vtk_pointer = GetVTKPointer<vtkRectilinearGridWriter>(arg[0]);
  Array retval;
  int      temp0;
  vtkRectilinearGrid  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRectilinearGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRectilinearGridWriter:GetInput vtkRectilinearGridWriterGetInputFunction
//input varargin
//output varargout
ArrayVector vtkRectilinearGridWriterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkRectilinearGridWriterGetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkRectilinearGridWriterGetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkRectilinearGridWriterGetInput");
}

//@@Signature
//sfunction @vtkRectilinearGridWriter:display vtkRectilinearGridWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRectilinearGridWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRectilinearGridWriter* vtk_pointer = GetVTKPointer<vtkRectilinearGridWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRectilinearGridWriter:delete vtkRectilinearGridWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkRectilinearGridWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRectilinearGridWriter
//@@Section VTKIO
//@@Usage
// vtkRectilinearGridWriter is a source object that writes ASCII or binary 
// rectilinear grid data files in vtk format. See text for format details.
//
//To create an instance of class vtkRectilinearGridWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkRectilinearGridWriter
//@]
//@@Methods
//The class vtkRectilinearGridWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRectilinearGridWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRectilinearGridWriter = obj.NewInstance ()|
// \item @|vtkRectilinearGridWriter = obj.SafeDownCast (vtkObject o)|
// \item @|vtkRectilinearGrid = obj.GetInput ()| -  Get the input to this writer.
//// \item @|vtkRectilinearGrid = obj.GetInput (int port)| -  Get the input to this writer.
////\end{itemize}
//!
