#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRowQuery object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRowQuery.h"

//@@Signature
//sfunction @vtkRowQuery:vtkRowQuery vtkRowQueryConstructorFunction
//input a
//output p
//@@Parents vtkRowQuery vtkObject 
ArrayVector vtkRowQueryConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRowQuery::New(),"vtkRowQuery",eval);
  } else if (arg[0].className() == "vtkRowQuery") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRowQuery"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRowQuery");
    vtkRowQuery*q = reinterpret_cast<vtkRowQuery*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRowQuery");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRowQuery:GetClassName vtkRowQueryGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRowQueryGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRowQuery requires 1 argument(s)");
  vtkRowQuery* vtk_pointer = GetVTKPointer<vtkRowQuery>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRowQuery:IsA vtkRowQueryIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRowQueryIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRowQuery requires 2 argument(s)");
  vtkRowQuery* vtk_pointer = GetVTKPointer<vtkRowQuery>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRowQuery:NewInstance vtkRowQueryNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRowQueryNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRowQuery *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRowQuery requires 1 argument(s)");
  vtkRowQuery* vtk_pointer = GetVTKPointer<vtkRowQuery>(arg[0]);
  Array retval;
  vtkRowQuery  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRowQuery",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRowQuery:SafeDownCast vtkRowQuerySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRowQuerySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRowQuery *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRowQuery requires 2 argument(s)");
  vtkRowQuery* vtk_pointer = GetVTKPointer<vtkRowQuery>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRowQuery  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRowQuery",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRowQuery:Execute vtkRowQueryExecuteFunction
//input a0 
//output y
ArrayVector vtkRowQueryExecuteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool Execute () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function Execute for class vtkRowQuery requires 1 argument(s)");
  vtkRowQuery* vtk_pointer = GetVTKPointer<vtkRowQuery>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->Execute();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRowQuery:GetNumberOfFields vtkRowQueryGetNumberOfFieldsFunction
//input a0 
//output y
ArrayVector vtkRowQueryGetNumberOfFieldsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfFields () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFields for class vtkRowQuery requires 1 argument(s)");
  vtkRowQuery* vtk_pointer = GetVTKPointer<vtkRowQuery>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFields();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRowQuery:GetFieldName vtkRowQueryGetFieldNameFunction
//input a0 a1 
//output y
ArrayVector vtkRowQueryGetFieldNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetFieldName (int i) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetFieldName for class vtkRowQuery requires 2 argument(s)");
  vtkRowQuery* vtk_pointer = GetVTKPointer<vtkRowQuery>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetFieldName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRowQuery:GetFieldType vtkRowQueryGetFieldTypeFunction
//input a0 a1 
//output y
ArrayVector vtkRowQueryGetFieldTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetFieldType (int i) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetFieldType for class vtkRowQuery requires 2 argument(s)");
  vtkRowQuery* vtk_pointer = GetVTKPointer<vtkRowQuery>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetFieldType(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRowQuery:GetFieldIndex vtkRowQueryGetFieldIndexFunction
//input a0 a1 
//output y
ArrayVector vtkRowQueryGetFieldIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFieldIndex (char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetFieldIndex for class vtkRowQuery requires 2 argument(s)");
  vtkRowQuery* vtk_pointer = GetVTKPointer<vtkRowQuery>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetFieldIndex(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRowQuery:NextRow vtkRowQueryNextRowFunction
//input a0 
//output y
ArrayVector vtkRowQueryNextRowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool NextRow () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function NextRow for class vtkRowQuery requires 1 argument(s)");
  vtkRowQuery* vtk_pointer = GetVTKPointer<vtkRowQuery>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->NextRow();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRowQuery:IsActive vtkRowQueryIsActiveFunction
//input a0 
//output y
ArrayVector vtkRowQueryIsActiveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool IsActive () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function IsActive for class vtkRowQuery requires 1 argument(s)");
  vtkRowQuery* vtk_pointer = GetVTKPointer<vtkRowQuery>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->IsActive();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRowQuery:HasError vtkRowQueryHasErrorFunction
//input a0 
//output y
ArrayVector vtkRowQueryHasErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool HasError () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function HasError for class vtkRowQuery requires 1 argument(s)");
  vtkRowQuery* vtk_pointer = GetVTKPointer<vtkRowQuery>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->HasError();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRowQuery:GetLastErrorText vtkRowQueryGetLastErrorTextFunction
//input a0 
//output y
ArrayVector vtkRowQueryGetLastErrorTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetLastErrorText () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetLastErrorText for class vtkRowQuery requires 1 argument(s)");
  vtkRowQuery* vtk_pointer = GetVTKPointer<vtkRowQuery>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetLastErrorText();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRowQuery:SetCaseSensitiveFieldNames vtkRowQuerySetCaseSensitiveFieldNamesFunction
//input a0 a1 
//output none
ArrayVector vtkRowQuerySetCaseSensitiveFieldNamesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCaseSensitiveFieldNames (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCaseSensitiveFieldNames for class vtkRowQuery requires 2 argument(s)");
  vtkRowQuery* vtk_pointer = GetVTKPointer<vtkRowQuery>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetCaseSensitiveFieldNames(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRowQuery:GetCaseSensitiveFieldNames vtkRowQueryGetCaseSensitiveFieldNamesFunction
//input a0 
//output y
ArrayVector vtkRowQueryGetCaseSensitiveFieldNamesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetCaseSensitiveFieldNames (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCaseSensitiveFieldNames for class vtkRowQuery requires 1 argument(s)");
  vtkRowQuery* vtk_pointer = GetVTKPointer<vtkRowQuery>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetCaseSensitiveFieldNames();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkRowQuery:CaseSensitiveFieldNamesOn vtkRowQueryCaseSensitiveFieldNamesOnFunction
//input a0 
//output none
ArrayVector vtkRowQueryCaseSensitiveFieldNamesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CaseSensitiveFieldNamesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function CaseSensitiveFieldNamesOn for class vtkRowQuery requires 1 argument(s)");
  vtkRowQuery* vtk_pointer = GetVTKPointer<vtkRowQuery>(arg[0]);
  Array retval;
  vtk_pointer->CaseSensitiveFieldNamesOn();
  return retval;
}

//@@Signature
//sfunction @vtkRowQuery:CaseSensitiveFieldNamesOff vtkRowQueryCaseSensitiveFieldNamesOffFunction
//input a0 
//output none
ArrayVector vtkRowQueryCaseSensitiveFieldNamesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CaseSensitiveFieldNamesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function CaseSensitiveFieldNamesOff for class vtkRowQuery requires 1 argument(s)");
  vtkRowQuery* vtk_pointer = GetVTKPointer<vtkRowQuery>(arg[0]);
  Array retval;
  vtk_pointer->CaseSensitiveFieldNamesOff();
  return retval;
}

//@@Signature
//sfunction @vtkRowQuery:display vtkRowQueryDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRowQueryDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRowQuery* vtk_pointer = GetVTKPointer<vtkRowQuery>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRowQuery:delete vtkRowQueryDeleteFunction
//input varargin
//output none
ArrayVector vtkRowQueryDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRowQuery
//@@Section VTKIO
//@@Usage
// The abstract superclass of query classes that return row-oriented (table)
// results.  A subclass will provide database-specific query parameters and
// implement the vtkRowQuery API to return query results:
//
// Execute() - Execute the query.  No results need to be retrieved at this
//             point, unless you are performing caching.
//
// GetNumberOfFields() - After Execute() is performed, returns the number
//                       of fields in the query results.
//
// GetFieldName() - The name of the field at an index.
//
// GetFieldType() - The data type of the field at an index.
//
// NextRow() - Advances the query results by one row, and returns whether
//             there are more rows left in the query.
//
// DataValue() - Extract a single data value from the current row.
//
// .SECTION Thanks
// Thanks to Andrew Wilson from Sandia National Laboratories for his work
// on the database classes.
//
//
//To create an instance of class vtkRowQuery, simply
//invoke its constructor as follows
//@[
//  obj = vtkRowQuery
//@]
//@@Methods
//The class vtkRowQuery has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRowQuery class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRowQuery = obj.NewInstance ()|
// \item @|vtkRowQuery = obj.SafeDownCast (vtkObject o)|
// \item @|bool = obj.Execute ()| -  Execute the query.  This must be performed
// before any field name or data access functions
// are used.
//// \item @|int = obj.GetNumberOfFields ()| -  The number of fields in the query result.
//// \item @|string = obj.GetFieldName (int i)| -  Return the name of the specified query field.
//// \item @|int = obj.GetFieldType (int i)| -  Return the type of the field, using the constants defined in vtkType.h.
//// \item @|int = obj.GetFieldIndex (string name)| -  Return the index of the specified query field.
// Uses GetNumberOfFields() and GetFieldName()
// to match field name.
//// \item @|bool = obj.NextRow ()| -  Advance row, return false if past end.
//// \item @|bool = obj.IsActive ()| -  Return true if the query is active (i.e. execution was successful
// and results are ready to be fetched).  Returns false on error or
// inactive query.
//// \item @|bool = obj.HasError ()| -  Returns true if an error is set, otherwise false.
//// \item @|string = obj.GetLastErrorText ()| -  Get the last error text from the query
//// \item @|obj.SetCaseSensitiveFieldNames (bool )| -  Many databases do not preserve case in field names.  This can
// cause GetFieldIndex to fail if you search for a field named
// someFieldName when the database actually stores it as
// SOMEFIELDNAME.  This ivar controls whether GetFieldIndex()
// expects field names to be case-sensitive.  The default is OFF,
// i.e. case is not preserved.
//// \item @|bool = obj.GetCaseSensitiveFieldNames ()| -  Many databases do not preserve case in field names.  This can
// cause GetFieldIndex to fail if you search for a field named
// someFieldName when the database actually stores it as
// SOMEFIELDNAME.  This ivar controls whether GetFieldIndex()
// expects field names to be case-sensitive.  The default is OFF,
// i.e. case is not preserved.
//// \item @|obj.CaseSensitiveFieldNamesOn ()| -  Many databases do not preserve case in field names.  This can
// cause GetFieldIndex to fail if you search for a field named
// someFieldName when the database actually stores it as
// SOMEFIELDNAME.  This ivar controls whether GetFieldIndex()
// expects field names to be case-sensitive.  The default is OFF,
// i.e. case is not preserved.
//// \item @|obj.CaseSensitiveFieldNamesOff ()| -  Many databases do not preserve case in field names.  This can
// cause GetFieldIndex to fail if you search for a field named
// someFieldName when the database actually stores it as
// SOMEFIELDNAME.  This ivar controls whether GetFieldIndex()
// expects field names to be case-sensitive.  The default is OFF,
// i.e. case is not preserved.
////\end{itemize}
//!
