#include "VTKWrap.hpp"

// FreeMat wrapper for vtkRowQueryToTable object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkRowQueryToTable.h"

//@@Signature
//sfunction @vtkRowQueryToTable:vtkRowQueryToTable vtkRowQueryToTableConstructorFunction
//input a
//output p
//@@Parents vtkRowQueryToTable vtkTableAlgorithm 
ArrayVector vtkRowQueryToTableConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkRowQueryToTable::New(),"vtkRowQueryToTable",eval);
  } else if (arg[0].className() == "vtkRowQueryToTable") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkRowQueryToTable"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkRowQueryToTable");
    vtkRowQueryToTable*q = reinterpret_cast<vtkRowQueryToTable*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkRowQueryToTable");
    return ret;
  }
}
//@@Signature
//sfunction @vtkRowQueryToTable:GetClassName vtkRowQueryToTableGetClassNameFunction
//input a0 
//output y
ArrayVector vtkRowQueryToTableGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkRowQueryToTable requires 1 argument(s)");
  vtkRowQueryToTable* vtk_pointer = GetVTKPointer<vtkRowQueryToTable>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRowQueryToTable:IsA vtkRowQueryToTableIsAFunction
//input a0 a1 
//output y
ArrayVector vtkRowQueryToTableIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkRowQueryToTable requires 2 argument(s)");
  vtkRowQueryToTable* vtk_pointer = GetVTKPointer<vtkRowQueryToTable>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRowQueryToTable:NewInstance vtkRowQueryToTableNewInstanceFunction
//input a0 
//output y
ArrayVector vtkRowQueryToTableNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRowQueryToTable *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkRowQueryToTable requires 1 argument(s)");
  vtkRowQueryToTable* vtk_pointer = GetVTKPointer<vtkRowQueryToTable>(arg[0]);
  Array retval;
  vtkRowQueryToTable  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRowQueryToTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRowQueryToTable:SafeDownCast vtkRowQueryToTableSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkRowQueryToTableSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRowQueryToTable *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkRowQueryToTable requires 2 argument(s)");
  vtkRowQueryToTable* vtk_pointer = GetVTKPointer<vtkRowQueryToTable>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkRowQueryToTable  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRowQueryToTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRowQueryToTable:SetQuery vtkRowQueryToTableSetQueryFunction
//input a0 a1 
//output none
ArrayVector vtkRowQueryToTableSetQueryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetQuery (vtkRowQuery *query); */
  if (arg.size() < 2) 
    throw Exception("Function SetQuery for class vtkRowQueryToTable requires 2 argument(s)");
  vtkRowQueryToTable* vtk_pointer = GetVTKPointer<vtkRowQueryToTable>(arg[0]);
  Array retval;
  vtkRowQuery  *temp0;
  temp0 = GetVTKPointer<vtkRowQuery>(arg[1]);
  vtk_pointer->SetQuery(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkRowQueryToTable:GetQuery vtkRowQueryToTableGetQueryFunction
//input a0 
//output y
ArrayVector vtkRowQueryToTableGetQueryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkRowQuery *GetQuery (); */
  if (arg.size() < 1) 
    throw Exception("Function GetQuery for class vtkRowQueryToTable requires 1 argument(s)");
  vtkRowQueryToTable* vtk_pointer = GetVTKPointer<vtkRowQueryToTable>(arg[0]);
  Array retval;
  vtkRowQuery  *temp20;
  temp20 = (vtk_pointer)->GetQuery();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkRowQuery",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkRowQueryToTable:GetMTime vtkRowQueryToTableGetMTimeFunction
//input a0 
//output y
ArrayVector vtkRowQueryToTableGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkRowQueryToTable requires 1 argument(s)");
  vtkRowQueryToTable* vtk_pointer = GetVTKPointer<vtkRowQueryToTable>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkRowQueryToTable:display vtkRowQueryToTableDisplayFunction
//input varargin
//output varargout
ArrayVector vtkRowQueryToTableDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkRowQueryToTable* vtk_pointer = GetVTKPointer<vtkRowQueryToTable>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkRowQueryToTable:delete vtkRowQueryToTableDeleteFunction
//input varargin
//output none
ArrayVector vtkRowQueryToTableDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkRowQueryToTable
//@@Section VTKIO
//@@Usage
// vtkRowQueryToTable creates a vtkTable with the results of an arbitrary SQL
// query.  To use this filter, you first need an instance of a vtkSQLDatabase
// subclass.  You may use the database class to obtain a vtkRowQuery instance.
// Set that query on this filter to extract the query as a table.
//
// .SECTION Thanks
// Thanks to Andrew Wilson from Sandia National Laboratories for his work
// on the database classes.
//
//
//To create an instance of class vtkRowQueryToTable, simply
//invoke its constructor as follows
//@[
//  obj = vtkRowQueryToTable
//@]
//@@Methods
//The class vtkRowQueryToTable has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkRowQueryToTable class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkRowQueryToTable = obj.NewInstance ()|
// \item @|vtkRowQueryToTable = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetQuery (vtkRowQuery query)| -  The query to execute.
//// \item @|vtkRowQuery = obj.GetQuery ()| -  The query to execute.
//// \item @|long = obj.GetMTime ()| -  Update the modified time based on the query.
////\end{itemize}
//!
