#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSESAMEReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSESAMEReader.h"

//@@Signature
//sfunction @vtkSESAMEReader:vtkSESAMEReader vtkSESAMEReaderConstructorFunction
//input a
//output p
//@@Parents vtkSESAMEReader vtkRectilinearGridSource 
ArrayVector vtkSESAMEReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSESAMEReader::New(),"vtkSESAMEReader",eval);
  } else if (arg[0].className() == "vtkSESAMEReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSESAMEReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSESAMEReader");
    vtkSESAMEReader*q = reinterpret_cast<vtkSESAMEReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSESAMEReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSESAMEReader:GetClassName vtkSESAMEReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSESAMEReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSESAMEReader requires 1 argument(s)");
  vtkSESAMEReader* vtk_pointer = GetVTKPointer<vtkSESAMEReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSESAMEReader:IsA vtkSESAMEReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSESAMEReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSESAMEReader requires 2 argument(s)");
  vtkSESAMEReader* vtk_pointer = GetVTKPointer<vtkSESAMEReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSESAMEReader:NewInstance vtkSESAMEReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSESAMEReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSESAMEReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSESAMEReader requires 1 argument(s)");
  vtkSESAMEReader* vtk_pointer = GetVTKPointer<vtkSESAMEReader>(arg[0]);
  Array retval;
  vtkSESAMEReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSESAMEReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSESAMEReader:SafeDownCast vtkSESAMEReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSESAMEReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSESAMEReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSESAMEReader requires 2 argument(s)");
  vtkSESAMEReader* vtk_pointer = GetVTKPointer<vtkSESAMEReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSESAMEReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSESAMEReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSESAMEReader:SetFileName vtkSESAMEReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkSESAMEReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (const char *file); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkSESAMEReader requires 2 argument(s)");
  vtkSESAMEReader* vtk_pointer = GetVTKPointer<vtkSESAMEReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSESAMEReader:GetFileName vtkSESAMEReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkSESAMEReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkSESAMEReader requires 1 argument(s)");
  vtkSESAMEReader* vtk_pointer = GetVTKPointer<vtkSESAMEReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSESAMEReader:IsValidFile vtkSESAMEReaderIsValidFileFunction
//input a0 
//output y
ArrayVector vtkSESAMEReaderIsValidFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsValidFile (); */
  if (arg.size() < 1) 
    throw Exception("Function IsValidFile for class vtkSESAMEReader requires 1 argument(s)");
  vtkSESAMEReader* vtk_pointer = GetVTKPointer<vtkSESAMEReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->IsValidFile();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSESAMEReader:GetNumberOfTableIds vtkSESAMEReaderGetNumberOfTableIdsFunction
//input a0 
//output y
ArrayVector vtkSESAMEReaderGetNumberOfTableIdsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfTableIds (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTableIds for class vtkSESAMEReader requires 1 argument(s)");
  vtkSESAMEReader* vtk_pointer = GetVTKPointer<vtkSESAMEReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfTableIds();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSESAMEReader:GetTableIdsAsArray vtkSESAMEReaderGetTableIdsAsArrayFunction
//input a0 
//output y
ArrayVector vtkSESAMEReaderGetTableIdsAsArrayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIntArray *GetTableIdsAsArray (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTableIdsAsArray for class vtkSESAMEReader requires 1 argument(s)");
  vtkSESAMEReader* vtk_pointer = GetVTKPointer<vtkSESAMEReader>(arg[0]);
  Array retval;
  vtkIntArray  *temp20;
  temp20 = (vtk_pointer)->GetTableIdsAsArray();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIntArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSESAMEReader:SetTable vtkSESAMEReaderSetTableFunction
//input a0 a1 
//output none
ArrayVector vtkSESAMEReaderSetTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTable (int tableId); */
  if (arg.size() < 2) 
    throw Exception("Function SetTable for class vtkSESAMEReader requires 2 argument(s)");
  vtkSESAMEReader* vtk_pointer = GetVTKPointer<vtkSESAMEReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTable(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSESAMEReader:GetTable vtkSESAMEReaderGetTableFunction
//input a0 
//output y
ArrayVector vtkSESAMEReaderGetTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTable (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTable for class vtkSESAMEReader requires 1 argument(s)");
  vtkSESAMEReader* vtk_pointer = GetVTKPointer<vtkSESAMEReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTable();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSESAMEReader:GetNumberOfTableArrayNames vtkSESAMEReaderGetNumberOfTableArrayNamesFunction
//input a0 
//output y
ArrayVector vtkSESAMEReaderGetNumberOfTableArrayNamesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfTableArrayNames (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTableArrayNames for class vtkSESAMEReader requires 1 argument(s)");
  vtkSESAMEReader* vtk_pointer = GetVTKPointer<vtkSESAMEReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfTableArrayNames();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSESAMEReader:GetNumberOfTableArrays vtkSESAMEReaderGetNumberOfTableArraysFunction
//input a0 
//output y
ArrayVector vtkSESAMEReaderGetNumberOfTableArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfTableArrays ();return this GetNumberOfTableArrayNames  */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTableArrays for class vtkSESAMEReader requires 1 argument(s)");
  vtkSESAMEReader* vtk_pointer = GetVTKPointer<vtkSESAMEReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfTableArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSESAMEReader:GetTableArrayName vtkSESAMEReaderGetTableArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkSESAMEReaderGetTableArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetTableArrayName (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetTableArrayName for class vtkSESAMEReader requires 2 argument(s)");
  vtkSESAMEReader* vtk_pointer = GetVTKPointer<vtkSESAMEReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTableArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSESAMEReader:SetTableArrayStatus vtkSESAMEReaderSetTableArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkSESAMEReaderSetTableArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTableArrayStatus (const char *name, int flag); */
  if (arg.size() < 3) 
    throw Exception("Function SetTableArrayStatus for class vtkSESAMEReader requires 3 argument(s)");
  vtkSESAMEReader* vtk_pointer = GetVTKPointer<vtkSESAMEReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetTableArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSESAMEReader:GetTableArrayStatus vtkSESAMEReaderGetTableArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkSESAMEReaderGetTableArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTableArrayStatus (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetTableArrayStatus for class vtkSESAMEReader requires 2 argument(s)");
  vtkSESAMEReader* vtk_pointer = GetVTKPointer<vtkSESAMEReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetTableArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSESAMEReader:display vtkSESAMEReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSESAMEReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSESAMEReader* vtk_pointer = GetVTKPointer<vtkSESAMEReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSESAMEReader:delete vtkSESAMEReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkSESAMEReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSESAMEReader
//@@Section VTKIO
//@@Usage
// vtkSESAMEReader is a source object that reads SESAME files.
// Currently supported tables include 301, 304, 502, 503, 504, 505, 602
//
// SESAMEReader creates rectilinear grid datasets. The dimension of the 
// dataset depends upon the number of densities and temperatures in the table.
// Values at certain temperatures and densities are stored as scalars.
//
//
//To create an instance of class vtkSESAMEReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkSESAMEReader
//@]
//@@Methods
//The class vtkSESAMEReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSESAMEReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSESAMEReader = obj.NewInstance ()|
// \item @|vtkSESAMEReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string file)| -  Set the filename to read
//// \item @|string = obj.GetFileName ()| -  Get the filename to read
//// \item @|int = obj.IsValidFile ()| -  Return whether this is a valid file
//// \item @|int = obj.GetNumberOfTableIds ()| -  Get the number of tables in this file
//// \item @|vtkIntArray = obj.GetTableIdsAsArray ()| -  Returns the table ids in a data array.
//// \item @|obj.SetTable (int tableId)| -  Set the table to read in
//// \item @|int = obj.GetTable ()| -  Get the table to read in
//// \item @|int = obj.GetNumberOfTableArrayNames ()| -  Get the number of arrays for the table to read
//// \item @|int = obj.GetNumberOfTableArrays ()| -  Get the names of arrays for the table to read
//// \item @|string = obj.GetTableArrayName (int index)| -  Get the names of arrays for the table to read
//// \item @|obj.SetTableArrayStatus (string name, int flag)| -  Set whether to read a table array
//// \item @|int = obj.GetTableArrayStatus (string name)| -  Set whether to read a table array
////\end{itemize}
//!
