#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSLACParticleReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSLACParticleReader.h"

//@@Signature
//sfunction @vtkSLACParticleReader:vtkSLACParticleReader vtkSLACParticleReaderConstructorFunction
//input a
//output p
//@@Parents vtkSLACParticleReader vtkPolyDataAlgorithm 
ArrayVector vtkSLACParticleReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSLACParticleReader::New(),"vtkSLACParticleReader",eval);
  } else if (arg[0].className() == "vtkSLACParticleReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSLACParticleReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSLACParticleReader");
    vtkSLACParticleReader*q = reinterpret_cast<vtkSLACParticleReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSLACParticleReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSLACParticleReader:GetClassName vtkSLACParticleReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSLACParticleReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSLACParticleReader requires 1 argument(s)");
  vtkSLACParticleReader* vtk_pointer = GetVTKPointer<vtkSLACParticleReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSLACParticleReader:IsA vtkSLACParticleReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSLACParticleReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSLACParticleReader requires 2 argument(s)");
  vtkSLACParticleReader* vtk_pointer = GetVTKPointer<vtkSLACParticleReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSLACParticleReader:NewInstance vtkSLACParticleReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSLACParticleReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSLACParticleReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSLACParticleReader requires 1 argument(s)");
  vtkSLACParticleReader* vtk_pointer = GetVTKPointer<vtkSLACParticleReader>(arg[0]);
  Array retval;
  vtkSLACParticleReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSLACParticleReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSLACParticleReader:SafeDownCast vtkSLACParticleReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSLACParticleReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSLACParticleReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSLACParticleReader requires 2 argument(s)");
  vtkSLACParticleReader* vtk_pointer = GetVTKPointer<vtkSLACParticleReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSLACParticleReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSLACParticleReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSLACParticleReader:GetFileName vtkSLACParticleReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkSLACParticleReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkSLACParticleReader requires 1 argument(s)");
  vtkSLACParticleReader* vtk_pointer = GetVTKPointer<vtkSLACParticleReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSLACParticleReader:SetFileName vtkSLACParticleReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkSLACParticleReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkSLACParticleReader requires 2 argument(s)");
  vtkSLACParticleReader* vtk_pointer = GetVTKPointer<vtkSLACParticleReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSLACParticleReader:CanReadFile vtkSLACParticleReaderCanReadFileFunction
//input a0 a1 
//output y
ArrayVector vtkSLACParticleReaderCanReadFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int CanReadFile (const char *filename); */
  if (arg.size() < 2) 
    throw Exception("Function CanReadFile for class vtkSLACParticleReader requires 2 argument(s)");
  vtkSLACParticleReader* vtk_pointer = GetVTKPointer<vtkSLACParticleReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CanReadFile(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSLACParticleReader:display vtkSLACParticleReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSLACParticleReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSLACParticleReader* vtk_pointer = GetVTKPointer<vtkSLACParticleReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSLACParticleReader:delete vtkSLACParticleReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkSLACParticleReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSLACParticleReader
//@@Section VTKIO
//@@Usage
//
// A reader for a data format used by Omega3p, Tau3p, and several other tools
// used at the Standford Linear Accelerator Center (SLAC).  The underlying
// format uses netCDF to store arrays, but also imposes some conventions
// to store a list of particles in 3D space.
// 
// This reader supports pieces, but in actuality only loads anything in
// piece 0.  All other pieces are empty.
//
//
//To create an instance of class vtkSLACParticleReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkSLACParticleReader
//@]
//@@Methods
//The class vtkSLACParticleReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSLACParticleReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSLACParticleReader = obj.NewInstance ()|
// \item @|vtkSLACParticleReader = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetFileName ()|
// \item @|obj.SetFileName (string )|
//\end{itemize}
//!
