#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSLACReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSLACReader.h"

//@@Signature
//sfunction @vtkSLACReader:vtkSLACReader vtkSLACReaderConstructorFunction
//input a
//output p
//@@Parents vtkSLACReader vtkMultiBlockDataSetAlgorithm 
ArrayVector vtkSLACReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSLACReader::New(),"vtkSLACReader",eval);
  } else if (arg[0].className() == "vtkSLACReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSLACReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSLACReader");
    vtkSLACReader*q = reinterpret_cast<vtkSLACReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSLACReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSLACReader:GetClassName vtkSLACReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSLACReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSLACReader requires 1 argument(s)");
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSLACReader:IsA vtkSLACReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSLACReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSLACReader requires 2 argument(s)");
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSLACReader:NewInstance vtkSLACReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSLACReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSLACReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSLACReader requires 1 argument(s)");
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  Array retval;
  vtkSLACReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSLACReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSLACReader:SafeDownCast vtkSLACReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSLACReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSLACReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSLACReader requires 2 argument(s)");
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSLACReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSLACReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSLACReader:GetMeshFileName vtkSLACReaderGetMeshFileNameFunction
//input a0 
//output y
ArrayVector vtkSLACReaderGetMeshFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetMeshFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMeshFileName for class vtkSLACReader requires 1 argument(s)");
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetMeshFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSLACReader:SetMeshFileName vtkSLACReaderSetMeshFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkSLACReaderSetMeshFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMeshFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetMeshFileName for class vtkSLACReader requires 2 argument(s)");
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetMeshFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSLACReader:AddModeFileName vtkSLACReaderAddModeFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkSLACReaderAddModeFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void AddModeFileName (const char *fname); */
  if (arg.size() < 2) 
    throw Exception("Function AddModeFileName for class vtkSLACReader requires 2 argument(s)");
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->AddModeFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSLACReader:RemoveAllModeFileNames vtkSLACReaderRemoveAllModeFileNamesFunction
//input a0 
//output none
ArrayVector vtkSLACReaderRemoveAllModeFileNamesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void RemoveAllModeFileNames (); */
  if (arg.size() < 1) 
    throw Exception("Function RemoveAllModeFileNames for class vtkSLACReader requires 1 argument(s)");
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  Array retval;
  vtk_pointer->RemoveAllModeFileNames();
  return retval;
}

//@@Signature
//sfunction @vtkSLACReader:GetNumberOfModeFileNames vtkSLACReaderGetNumberOfModeFileNamesFunction
//input a0 
//output y
ArrayVector vtkSLACReaderGetNumberOfModeFileNamesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual unsigned int GetNumberOfModeFileNames (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfModeFileNames for class vtkSLACReader requires 1 argument(s)");
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfModeFileNames();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSLACReader:GetModeFileName vtkSLACReaderGetModeFileNameFunction
//input a0 a1 
//output y
ArrayVector vtkSLACReaderGetModeFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetModeFileName (unsigned int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetModeFileName for class vtkSLACReader requires 2 argument(s)");
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  Array retval;
  unsigned int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetModeFileName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSLACReader:GetReadInternalVolume vtkSLACReaderGetReadInternalVolumeFunction
//input a0 
//output y
ArrayVector vtkSLACReaderGetReadInternalVolumeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReadInternalVolume (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReadInternalVolume for class vtkSLACReader requires 1 argument(s)");
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReadInternalVolume();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSLACReader:SetReadInternalVolume vtkSLACReaderSetReadInternalVolumeFunction
//input a0 a1 
//output none
ArrayVector vtkSLACReaderSetReadInternalVolumeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReadInternalVolume (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReadInternalVolume for class vtkSLACReader requires 2 argument(s)");
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReadInternalVolume(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSLACReader:ReadInternalVolumeOn vtkSLACReaderReadInternalVolumeOnFunction
//input a0 
//output none
ArrayVector vtkSLACReaderReadInternalVolumeOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadInternalVolumeOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadInternalVolumeOn for class vtkSLACReader requires 1 argument(s)");
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadInternalVolumeOn();
  return retval;
}

//@@Signature
//sfunction @vtkSLACReader:ReadInternalVolumeOff vtkSLACReaderReadInternalVolumeOffFunction
//input a0 
//output none
ArrayVector vtkSLACReaderReadInternalVolumeOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadInternalVolumeOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadInternalVolumeOff for class vtkSLACReader requires 1 argument(s)");
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadInternalVolumeOff();
  return retval;
}

//@@Signature
//sfunction @vtkSLACReader:GetReadExternalSurface vtkSLACReaderGetReadExternalSurfaceFunction
//input a0 
//output y
ArrayVector vtkSLACReaderGetReadExternalSurfaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReadExternalSurface (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReadExternalSurface for class vtkSLACReader requires 1 argument(s)");
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReadExternalSurface();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSLACReader:SetReadExternalSurface vtkSLACReaderSetReadExternalSurfaceFunction
//input a0 a1 
//output none
ArrayVector vtkSLACReaderSetReadExternalSurfaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReadExternalSurface (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReadExternalSurface for class vtkSLACReader requires 2 argument(s)");
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReadExternalSurface(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSLACReader:ReadExternalSurfaceOn vtkSLACReaderReadExternalSurfaceOnFunction
//input a0 
//output none
ArrayVector vtkSLACReaderReadExternalSurfaceOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadExternalSurfaceOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadExternalSurfaceOn for class vtkSLACReader requires 1 argument(s)");
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadExternalSurfaceOn();
  return retval;
}

//@@Signature
//sfunction @vtkSLACReader:ReadExternalSurfaceOff vtkSLACReaderReadExternalSurfaceOffFunction
//input a0 
//output none
ArrayVector vtkSLACReaderReadExternalSurfaceOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadExternalSurfaceOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadExternalSurfaceOff for class vtkSLACReader requires 1 argument(s)");
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadExternalSurfaceOff();
  return retval;
}

//@@Signature
//sfunction @vtkSLACReader:GetReadMidpoints vtkSLACReaderGetReadMidpointsFunction
//input a0 
//output y
ArrayVector vtkSLACReaderGetReadMidpointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetReadMidpoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetReadMidpoints for class vtkSLACReader requires 1 argument(s)");
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetReadMidpoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSLACReader:SetReadMidpoints vtkSLACReaderSetReadMidpointsFunction
//input a0 a1 
//output none
ArrayVector vtkSLACReaderSetReadMidpointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetReadMidpoints (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetReadMidpoints for class vtkSLACReader requires 2 argument(s)");
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetReadMidpoints(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSLACReader:ReadMidpointsOn vtkSLACReaderReadMidpointsOnFunction
//input a0 
//output none
ArrayVector vtkSLACReaderReadMidpointsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadMidpointsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadMidpointsOn for class vtkSLACReader requires 1 argument(s)");
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadMidpointsOn();
  return retval;
}

//@@Signature
//sfunction @vtkSLACReader:ReadMidpointsOff vtkSLACReaderReadMidpointsOffFunction
//input a0 
//output none
ArrayVector vtkSLACReaderReadMidpointsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadMidpointsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadMidpointsOff for class vtkSLACReader requires 1 argument(s)");
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadMidpointsOff();
  return retval;
}

//@@Signature
//sfunction @vtkSLACReader:GetNumberOfVariableArrays vtkSLACReaderGetNumberOfVariableArraysFunction
//input a0 
//output y
ArrayVector vtkSLACReaderGetNumberOfVariableArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfVariableArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfVariableArrays for class vtkSLACReader requires 1 argument(s)");
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfVariableArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSLACReader:GetVariableArrayName vtkSLACReaderGetVariableArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkSLACReaderGetVariableArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetVariableArrayName (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetVariableArrayName for class vtkSLACReader requires 2 argument(s)");
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetVariableArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSLACReader:GetVariableArrayStatus vtkSLACReaderGetVariableArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkSLACReaderGetVariableArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetVariableArrayStatus (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetVariableArrayStatus for class vtkSLACReader requires 2 argument(s)");
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetVariableArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSLACReader:SetVariableArrayStatus vtkSLACReaderSetVariableArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkSLACReaderSetVariableArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetVariableArrayStatus (const char *name, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetVariableArrayStatus for class vtkSLACReader requires 3 argument(s)");
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetVariableArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkSLACReader:CanReadFile vtkSLACReaderCanReadFileFunction
//input a0 a1 
//output y
ArrayVector vtkSLACReaderCanReadFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static int CanReadFile (const char *filename); */
  if (arg.size() < 2) 
    throw Exception("Function CanReadFile for class vtkSLACReader requires 2 argument(s)");
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CanReadFile(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSLACReader:IS_INTERNAL_VOLUME vtkSLACReaderIS_INTERNAL_VOLUMEFunction
//input a0 
//output y
ArrayVector vtkSLACReaderIS_INTERNAL_VOLUMEFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *IS_INTERNAL_VOLUME (); */
  if (arg.size() < 1) 
    throw Exception("Function IS_INTERNAL_VOLUME for class vtkSLACReader requires 1 argument(s)");
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->IS_INTERNAL_VOLUME();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSLACReader:IS_EXTERNAL_SURFACE vtkSLACReaderIS_EXTERNAL_SURFACEFunction
//input a0 
//output y
ArrayVector vtkSLACReaderIS_EXTERNAL_SURFACEFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationIntegerKey *IS_EXTERNAL_SURFACE (); */
  if (arg.size() < 1) 
    throw Exception("Function IS_EXTERNAL_SURFACE for class vtkSLACReader requires 1 argument(s)");
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  Array retval;
  vtkInformationIntegerKey  *temp20;
  temp20 = (vtk_pointer)->IS_EXTERNAL_SURFACE();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationIntegerKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSLACReader:POINTS vtkSLACReaderPOINTSFunction
//input a0 
//output y
ArrayVector vtkSLACReaderPOINTSFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationObjectBaseKey *POINTS (); */
  if (arg.size() < 1) 
    throw Exception("Function POINTS for class vtkSLACReader requires 1 argument(s)");
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  Array retval;
  vtkInformationObjectBaseKey  *temp20;
  temp20 = (vtk_pointer)->POINTS();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationObjectBaseKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSLACReader:POINT_DATA vtkSLACReaderPOINT_DATAFunction
//input a0 
//output y
ArrayVector vtkSLACReaderPOINT_DATAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationObjectBaseKey *POINT_DATA (); */
  if (arg.size() < 1) 
    throw Exception("Function POINT_DATA for class vtkSLACReader requires 1 argument(s)");
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  Array retval;
  vtkInformationObjectBaseKey  *temp20;
  temp20 = (vtk_pointer)->POINT_DATA();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationObjectBaseKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSLACReader:display vtkSLACReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSLACReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSLACReader* vtk_pointer = GetVTKPointer<vtkSLACReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSLACReader:delete vtkSLACReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkSLACReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSLACReader
//@@Section VTKIO
//@@Usage
//
// A reader for a data format used by Omega3p, Tau3p, and several other tools
// used at the Standford Linear Accelerator Center (SLAC).  The underlying
// format uses netCDF to store arrays, but also imposes several conventions
// to form an unstructured grid of elements.
//
//
//To create an instance of class vtkSLACReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkSLACReader
//@]
//@@Methods
//The class vtkSLACReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSLACReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSLACReader = obj.NewInstance ()|
// \item @|vtkSLACReader = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetMeshFileName ()|
// \item @|obj.SetMeshFileName (string )|
// \item @|obj.AddModeFileName (string fname)| -  There may be one mode file (usually for actual modes) or multiple mode
// files (which usually actually represent time series).  These methods
// set and clear the list of mode files (which can be a single mode file).
//// \item @|obj.RemoveAllModeFileNames ()| -  There may be one mode file (usually for actual modes) or multiple mode
// files (which usually actually represent time series).  These methods
// set and clear the list of mode files (which can be a single mode file).
//// \item @|int = obj.GetNumberOfModeFileNames ()| -  There may be one mode file (usually for actual modes) or multiple mode
// files (which usually actually represent time series).  These methods
// set and clear the list of mode files (which can be a single mode file).
//// \item @|string = obj.GetModeFileName (int idx)| -  There may be one mode file (usually for actual modes) or multiple mode
// files (which usually actually represent time series).  These methods
// set and clear the list of mode files (which can be a single mode file).
//// \item @|int = obj.GetReadInternalVolume ()| -  If on, reads the internal volume of the data set.  Set to off by default.
//// \item @|obj.SetReadInternalVolume (int )| -  If on, reads the internal volume of the data set.  Set to off by default.
//// \item @|obj.ReadInternalVolumeOn ()| -  If on, reads the internal volume of the data set.  Set to off by default.
//// \item @|obj.ReadInternalVolumeOff ()| -  If on, reads the internal volume of the data set.  Set to off by default.
//// \item @|int = obj.GetReadExternalSurface ()| -  If on, reads the external surfaces of the data set.  Set to on by default.
//// \item @|obj.SetReadExternalSurface (int )| -  If on, reads the external surfaces of the data set.  Set to on by default.
//// \item @|obj.ReadExternalSurfaceOn ()| -  If on, reads the external surfaces of the data set.  Set to on by default.
//// \item @|obj.ReadExternalSurfaceOff ()| -  If on, reads the external surfaces of the data set.  Set to on by default.
//// \item @|int = obj.GetReadMidpoints ()| -  If on, reads midpoint information for external surfaces and builds
// quadratic surface triangles.  Set to on by default.
//// \item @|obj.SetReadMidpoints (int )| -  If on, reads midpoint information for external surfaces and builds
// quadratic surface triangles.  Set to on by default.
//// \item @|obj.ReadMidpointsOn ()| -  If on, reads midpoint information for external surfaces and builds
// quadratic surface triangles.  Set to on by default.
//// \item @|obj.ReadMidpointsOff ()| -  If on, reads midpoint information for external surfaces and builds
// quadratic surface triangles.  Set to on by default.
//// \item @|int = obj.GetNumberOfVariableArrays ()| -  Variable array selection.
//// \item @|string = obj.GetVariableArrayName (int idx)| -  Variable array selection.
//// \item @|int = obj.GetVariableArrayStatus (string name)| -  Variable array selection.
//// \item @|obj.SetVariableArrayStatus (string name, int status)| -  Variable array selection.
////\end{itemize}
//!
