#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSLCReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSLCReader.h"

//@@Signature
//sfunction @vtkSLCReader:vtkSLCReader vtkSLCReaderConstructorFunction
//input a
//output p
//@@Parents vtkSLCReader vtkImageReader2 
ArrayVector vtkSLCReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSLCReader::New(),"vtkSLCReader",eval);
  } else if (arg[0].className() == "vtkSLCReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSLCReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSLCReader");
    vtkSLCReader*q = reinterpret_cast<vtkSLCReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSLCReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSLCReader:GetClassName vtkSLCReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSLCReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSLCReader requires 1 argument(s)");
  vtkSLCReader* vtk_pointer = GetVTKPointer<vtkSLCReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSLCReader:IsA vtkSLCReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSLCReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSLCReader requires 2 argument(s)");
  vtkSLCReader* vtk_pointer = GetVTKPointer<vtkSLCReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSLCReader:NewInstance vtkSLCReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSLCReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSLCReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSLCReader requires 1 argument(s)");
  vtkSLCReader* vtk_pointer = GetVTKPointer<vtkSLCReader>(arg[0]);
  Array retval;
  vtkSLCReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSLCReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSLCReader:SafeDownCast vtkSLCReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSLCReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSLCReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSLCReader requires 2 argument(s)");
  vtkSLCReader* vtk_pointer = GetVTKPointer<vtkSLCReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSLCReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSLCReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSLCReader:SetFileName vtkSLCReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkSLCReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkSLCReader requires 2 argument(s)");
  vtkSLCReader* vtk_pointer = GetVTKPointer<vtkSLCReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSLCReader:GetFileName vtkSLCReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkSLCReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkSLCReader requires 1 argument(s)");
  vtkSLCReader* vtk_pointer = GetVTKPointer<vtkSLCReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSLCReader:GetError vtkSLCReaderGetErrorFunction
//input a0 
//output y
ArrayVector vtkSLCReaderGetErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetError (); */
  if (arg.size() < 1) 
    throw Exception("Function GetError for class vtkSLCReader requires 1 argument(s)");
  vtkSLCReader* vtk_pointer = GetVTKPointer<vtkSLCReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetError();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSLCReader:CanReadFile vtkSLCReaderCanReadFileFunction
//input a0 a1 
//output y
ArrayVector vtkSLCReaderCanReadFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int CanReadFile (const char *fname); */
  if (arg.size() < 2) 
    throw Exception("Function CanReadFile for class vtkSLCReader requires 2 argument(s)");
  vtkSLCReader* vtk_pointer = GetVTKPointer<vtkSLCReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CanReadFile(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSLCReader:GetFileExtensions vtkSLCReaderGetFileExtensionsFunction
//input a0 
//output y
ArrayVector vtkSLCReaderGetFileExtensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetFileExtensions ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetFileExtensions for class vtkSLCReader requires 1 argument(s)");
  vtkSLCReader* vtk_pointer = GetVTKPointer<vtkSLCReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetFileExtensions();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSLCReader:GetDescriptiveName vtkSLCReaderGetDescriptiveNameFunction
//input a0 
//output y
ArrayVector vtkSLCReaderGetDescriptiveNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetDescriptiveName ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetDescriptiveName for class vtkSLCReader requires 1 argument(s)");
  vtkSLCReader* vtk_pointer = GetVTKPointer<vtkSLCReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDescriptiveName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSLCReader:display vtkSLCReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSLCReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSLCReader* vtk_pointer = GetVTKPointer<vtkSLCReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSLCReader:delete vtkSLCReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkSLCReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSLCReader
//@@Section VTKIO
//@@Usage
// vtkSLCReader reads an SLC file and creates a structured point dataset.
// The size of the volume and the data spacing is set from the SLC file
// header.
//
//To create an instance of class vtkSLCReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkSLCReader
//@]
//@@Methods
//The class vtkSLCReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSLCReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSLCReader = obj.NewInstance ()|
// \item @|vtkSLCReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string )| -  Set/Get the name of the file to read.
//// \item @|string = obj.GetFileName ()| -  Set/Get the name of the file to read.
//// \item @|int = obj.GetError ()| -  Was there an error on the last read performed?
//// \item @|int = obj.CanReadFile (string fname)| -  Is the given file an SLC file?
//// \item @|string = obj.GetFileExtensions ()| -  SLC 
//// \item @|string = obj.GetDescriptiveName ()|
//\end{itemize}
//!
