#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSQLDatabase object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSQLDatabase.h"

//@@Signature
//sfunction @vtkSQLDatabase:vtkSQLDatabase vtkSQLDatabaseConstructorFunction
//input a
//output p
//@@Parents vtkSQLDatabase vtkObject 
ArrayVector vtkSQLDatabaseConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSQLDatabase::New(),"vtkSQLDatabase",eval);
  } else if (arg[0].className() == "vtkSQLDatabase") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSQLDatabase"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSQLDatabase");
    vtkSQLDatabase*q = reinterpret_cast<vtkSQLDatabase*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSQLDatabase");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSQLDatabase:GetClassName vtkSQLDatabaseGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSQLDatabaseGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSQLDatabase requires 1 argument(s)");
  vtkSQLDatabase* vtk_pointer = GetVTKPointer<vtkSQLDatabase>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabase:IsA vtkSQLDatabaseIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSQLDatabaseIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSQLDatabase requires 2 argument(s)");
  vtkSQLDatabase* vtk_pointer = GetVTKPointer<vtkSQLDatabase>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabase:NewInstance vtkSQLDatabaseNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSQLDatabaseNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSQLDatabase *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSQLDatabase requires 1 argument(s)");
  vtkSQLDatabase* vtk_pointer = GetVTKPointer<vtkSQLDatabase>(arg[0]);
  Array retval;
  vtkSQLDatabase  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSQLDatabase",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabase:SafeDownCast vtkSQLDatabaseSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSQLDatabaseSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSQLDatabase *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSQLDatabase requires 2 argument(s)");
  vtkSQLDatabase* vtk_pointer = GetVTKPointer<vtkSQLDatabase>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSQLDatabase  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSQLDatabase",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabase:Open vtkSQLDatabaseOpenFunction
//input a0 a1 
//output y
ArrayVector vtkSQLDatabaseOpenFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool Open (const char *password) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function Open for class vtkSQLDatabase requires 2 argument(s)");
  vtkSQLDatabase* vtk_pointer = GetVTKPointer<vtkSQLDatabase>(arg[0]);
  Array retval;
  char    *temp0;
  bool   temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->Open(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabase:Close vtkSQLDatabaseCloseFunction
//input a0 
//output none
ArrayVector vtkSQLDatabaseCloseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Close () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function Close for class vtkSQLDatabase requires 1 argument(s)");
  vtkSQLDatabase* vtk_pointer = GetVTKPointer<vtkSQLDatabase>(arg[0]);
  Array retval;
  vtk_pointer->Close();
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabase:IsOpen vtkSQLDatabaseIsOpenFunction
//input a0 
//output y
ArrayVector vtkSQLDatabaseIsOpenFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool IsOpen () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function IsOpen for class vtkSQLDatabase requires 1 argument(s)");
  vtkSQLDatabase* vtk_pointer = GetVTKPointer<vtkSQLDatabase>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->IsOpen();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabase:GetQueryInstance vtkSQLDatabaseGetQueryInstanceFunction
//input a0 
//output y
ArrayVector vtkSQLDatabaseGetQueryInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkSQLQuery *GetQueryInstance () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetQueryInstance for class vtkSQLDatabase requires 1 argument(s)");
  vtkSQLDatabase* vtk_pointer = GetVTKPointer<vtkSQLDatabase>(arg[0]);
  Array retval;
  vtkSQLQuery  *temp20;
  temp20 = (vtk_pointer)->GetQueryInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSQLQuery",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabase:HasError vtkSQLDatabaseHasErrorFunction
//input a0 
//output y
ArrayVector vtkSQLDatabaseHasErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool HasError () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function HasError for class vtkSQLDatabase requires 1 argument(s)");
  vtkSQLDatabase* vtk_pointer = GetVTKPointer<vtkSQLDatabase>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->HasError();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabase:GetLastErrorText vtkSQLDatabaseGetLastErrorTextFunction
//input a0 
//output y
ArrayVector vtkSQLDatabaseGetLastErrorTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetLastErrorText () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetLastErrorText for class vtkSQLDatabase requires 1 argument(s)");
  vtkSQLDatabase* vtk_pointer = GetVTKPointer<vtkSQLDatabase>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetLastErrorText();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabase:GetDatabaseType vtkSQLDatabaseGetDatabaseTypeFunction
//input a0 
//output y
ArrayVector vtkSQLDatabaseGetDatabaseTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual char *GetDatabaseType () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetDatabaseType for class vtkSQLDatabase requires 1 argument(s)");
  vtkSQLDatabase* vtk_pointer = GetVTKPointer<vtkSQLDatabase>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetDatabaseType();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabase:GetTables vtkSQLDatabaseGetTablesFunction
//input a0 
//output y
ArrayVector vtkSQLDatabaseGetTablesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkStringArray *GetTables () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetTables for class vtkSQLDatabase requires 1 argument(s)");
  vtkSQLDatabase* vtk_pointer = GetVTKPointer<vtkSQLDatabase>(arg[0]);
  Array retval;
  vtkStringArray  *temp20;
  temp20 = (vtk_pointer)->GetTables();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStringArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabase:GetRecord vtkSQLDatabaseGetRecordFunction
//input a0 a1 
//output y
ArrayVector vtkSQLDatabaseGetRecordFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkStringArray *GetRecord (const char *table) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetRecord for class vtkSQLDatabase requires 2 argument(s)");
  vtkSQLDatabase* vtk_pointer = GetVTKPointer<vtkSQLDatabase>(arg[0]);
  Array retval;
  char    *temp0;
  vtkStringArray  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetRecord(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStringArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabase:IsSupported vtkSQLDatabaseIsSupportedFunction
//input a0 a1 
//output y
ArrayVector vtkSQLDatabaseIsSupportedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool IsSupported (int );return false  */
  if (arg.size() < 2) 
    throw Exception("Function IsSupported for class vtkSQLDatabase requires 2 argument(s)");
  vtkSQLDatabase* vtk_pointer = GetVTKPointer<vtkSQLDatabase>(arg[0]);
  Array retval;
  int      temp0;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->IsSupported(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabase:GetURL vtkSQLDatabaseGetURLFunction
//input a0 
//output y
ArrayVector vtkSQLDatabaseGetURLFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkStdString GetURL () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetURL for class vtkSQLDatabase requires 1 argument(s)");
  vtkSQLDatabase* vtk_pointer = GetVTKPointer<vtkSQLDatabase>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetURL();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabase:GetTablePreamble vtkSQLDatabaseGetTablePreambleFunction
//input a0 a1 
//output y
ArrayVector vtkSQLDatabaseGetTablePreambleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkStdString GetTablePreamble (bool );return vtkStdString  */
  if (arg.size() < 2) 
    throw Exception("Function GetTablePreamble for class vtkSQLDatabase requires 2 argument(s)");
  vtkSQLDatabase* vtk_pointer = GetVTKPointer<vtkSQLDatabase>(arg[0]);
  Array retval;
  bool   temp0;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetTablePreamble(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabase:GetColumnSpecification vtkSQLDatabaseGetColumnSpecificationFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkSQLDatabaseGetColumnSpecificationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkStdString GetColumnSpecification (vtkSQLDatabaseSchema *schema, int tblHandle, int colHandle); */
  if (arg.size() < 4) 
    throw Exception("Function GetColumnSpecification for class vtkSQLDatabase requires 4 argument(s)");
  vtkSQLDatabase* vtk_pointer = GetVTKPointer<vtkSQLDatabase>(arg[0]);
  Array retval;
  vtkSQLDatabaseSchema  *temp0;
  int      temp1;
  int      temp2;
  const char    *temp20;
  temp0 = GetVTKPointer<vtkSQLDatabaseSchema>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->GetColumnSpecification(temp0,temp1,temp2);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabase:GetTriggerSpecification vtkSQLDatabaseGetTriggerSpecificationFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkSQLDatabaseGetTriggerSpecificationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkStdString GetTriggerSpecification (vtkSQLDatabaseSchema *schema, int tblHandle, int trgHandle); */
  if (arg.size() < 4) 
    throw Exception("Function GetTriggerSpecification for class vtkSQLDatabase requires 4 argument(s)");
  vtkSQLDatabase* vtk_pointer = GetVTKPointer<vtkSQLDatabase>(arg[0]);
  Array retval;
  vtkSQLDatabaseSchema  *temp0;
  int      temp1;
  int      temp2;
  const char    *temp20;
  temp0 = GetVTKPointer<vtkSQLDatabaseSchema>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->GetTriggerSpecification(temp0,temp1,temp2);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabase:CreateFromURL vtkSQLDatabaseCreateFromURLFunction
//input a0 a1 
//output y
ArrayVector vtkSQLDatabaseCreateFromURLFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkSQLDatabase *CreateFromURL (const char *URL); */
  if (arg.size() < 2) 
    throw Exception("Function CreateFromURL for class vtkSQLDatabase requires 2 argument(s)");
  vtkSQLDatabase* vtk_pointer = GetVTKPointer<vtkSQLDatabase>(arg[0]);
  Array retval;
  char    *temp0;
  vtkSQLDatabase  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CreateFromURL(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSQLDatabase",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabase:EffectSchema vtkSQLDatabaseEffectSchemaFunction
//input a0 a1 a2 
//output y
ArrayVector vtkSQLDatabaseEffectSchemaFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool EffectSchema (vtkSQLDatabaseSchema *, bool dropIfExistsfalse); */
  if (arg.size() < 3) 
    throw Exception("Function EffectSchema for class vtkSQLDatabase requires 3 argument(s)");
  vtkSQLDatabase* vtk_pointer = GetVTKPointer<vtkSQLDatabase>(arg[0]);
  Array retval;
  vtkSQLDatabaseSchema  *temp0;
  bool   temp1;
  bool   temp20;
  temp0 = GetVTKPointer<vtkSQLDatabaseSchema>(arg[1]);
  temp20 = (vtk_pointer)->EffectSchema(temp0,temp1);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabase:UnRegisterAllCreateFromURLCallbacks vtkSQLDatabaseUnRegisterAllCreateFromURLCallbacksFunction
//input a0 
//output none
ArrayVector vtkSQLDatabaseUnRegisterAllCreateFromURLCallbacksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void UnRegisterAllCreateFromURLCallbacks (); */
  if (arg.size() < 1) 
    throw Exception("Function UnRegisterAllCreateFromURLCallbacks for class vtkSQLDatabase requires 1 argument(s)");
  vtkSQLDatabase* vtk_pointer = GetVTKPointer<vtkSQLDatabase>(arg[0]);
  Array retval;
  vtk_pointer->UnRegisterAllCreateFromURLCallbacks();
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabase:DATABASE vtkSQLDatabaseDATABASEFunction
//input a0 
//output y
ArrayVector vtkSQLDatabaseDATABASEFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkInformationObjectBaseKey *DATABASE (); */
  if (arg.size() < 1) 
    throw Exception("Function DATABASE for class vtkSQLDatabase requires 1 argument(s)");
  vtkSQLDatabase* vtk_pointer = GetVTKPointer<vtkSQLDatabase>(arg[0]);
  Array retval;
  vtkInformationObjectBaseKey  *temp20;
  temp20 = (vtk_pointer)->DATABASE();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkInformationObjectBaseKey",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabase:display vtkSQLDatabaseDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSQLDatabaseDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSQLDatabase* vtk_pointer = GetVTKPointer<vtkSQLDatabase>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSQLDatabase:delete vtkSQLDatabaseDeleteFunction
//input varargin
//output none
ArrayVector vtkSQLDatabaseDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSQLDatabase
//@@Section VTKIO
//@@Usage
// Abstract base class for all SQL database connection classes.
// Manages a connection to the database, and is responsible for creating
// instances of the associated vtkSQLQuery objects associated with this
// class in order to perform execute queries on the database.
// To allow connections to a new type of database, create both a subclass
// of this class and vtkSQLQuery, and implement the required functions:
//
// Open() - open the database connection, if possible.
// Close() - close the connection.
// GetQueryInstance() - create and return an instance of the vtkSQLQuery
//                      subclass associated with the database type.
//
// The subclass should also provide API to set connection parameters.
//
// This class also provides the function EffectSchema to transform a 
// database schema into a SQL database.
//
// .SECTION Thanks
// Thanks to Andrew Wilson from Sandia National Laboratories for his work
// on the database classes and for the SQLite example. Thanks to David Thompson 
// and Philippe Pebay from Sandia National Laboratories for implementing
// this class.
//
//
//To create an instance of class vtkSQLDatabase, simply
//invoke its constructor as follows
//@[
//  obj = vtkSQLDatabase
//@]
//@@Methods
//The class vtkSQLDatabase has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSQLDatabase class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSQLDatabase = obj.NewInstance ()|
// \item @|vtkSQLDatabase = obj.SafeDownCast (vtkObject o)|
// \item @|bool = obj.Open (string password)| -  Open a new connection to the database.
// You need to set up any database parameters before calling this function.
// For database connections that do not require a password, pass an empty string.
// Returns true is the database was opened sucessfully, and false otherwise.
//// \item @|obj.Close ()| -  Close the connection to the database.
//// \item @|bool = obj.IsOpen ()| -  Return whether the database has an open connection.
//// \item @|vtkSQLQuery = obj.GetQueryInstance ()| -  Return an empty query on this database.
//// \item @|bool = obj.HasError ()| -  Did the last operation generate an error
//// \item @|string = obj.GetLastErrorText ()| -  Get the last error text from the database
// I'm using const so that people do NOT
// use the standard vtkGetStringMacro in their
// implementation, because 99% of the time that
// will not be the correct thing to do...
//// \item @|string = obj.GetDatabaseType ()| -  Get the type of the database (e.g. mysql, psql,..).
//// \item @|vtkStringArray = obj.GetTables ()| -  Get the list of tables from the database.
//// \item @|vtkStringArray = obj.GetRecord (string table)| -  Get the list of fields for a particular table.
//// \item @|bool = obj.IsSupported (int )| -  Get the URL of the database.
//// \item @|vtkStdString = obj.GetURL ()| -  Get the URL of the database.
//// \item @|vtkStdString = obj.GetTablePreamble (bool )| -  Return the SQL string with the syntax to create a column inside a
// "CREATE TABLE" SQL statement.
// NB: this method implements the following minimally-portable syntax:
// <column name> <column type> <column attributes>
// It must be overwritten for those SQL backends which have a different 
// syntax such as, e.g., MySQL.
//// \item @|vtkStdString = obj.GetColumnSpecification (vtkSQLDatabaseSchema schema, int tblHandle, int colHandle)| -  Return the SQL string with the syntax to create a column inside a
// "CREATE TABLE" SQL statement.
// NB: this method implements the following minimally-portable syntax:
// <column name> <column type> <column attributes>
// It must be overwritten for those SQL backends which have a different 
// syntax such as, e.g., MySQL.
//// \item @|vtkStdString = obj.GetTriggerSpecification (vtkSQLDatabaseSchema schema, int tblHandle, int trgHandle)| -  Return the SQL string with the syntax to create a trigger using a
// "CREATE TRIGGER" SQL statement.
// NB1: support is contingent on VTK_FEATURE_TRIGGERS being recognized as
// a supported feature. Not all backends (e.g., SQLite) support it.
// NB2: this method implements the following minimally-portable syntax:
// <trigger name> {BEFORE | AFTER} <event> ON <table name> FOR EACH ROW <trigger action>
// It must be overwritten for those SQL backends which have a different 
// syntax such as, e.g., PostgreSQL.
//// \item @|bool = obj.EffectSchema (vtkSQLDatabaseSchema , bool dropIfExistsfalse)| -  Effect a database schema.
////\end{itemize}
//!
