#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSQLDatabaseSchema object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSQLDatabaseSchema.h"

//@@Signature
//sfunction @vtkSQLDatabaseSchema:vtkSQLDatabaseSchema vtkSQLDatabaseSchemaConstructorFunction
//input a
//output p
//@@Parents vtkSQLDatabaseSchema vtkObject 
ArrayVector vtkSQLDatabaseSchemaConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSQLDatabaseSchema::New(),"vtkSQLDatabaseSchema",eval);
  } else if (arg[0].className() == "vtkSQLDatabaseSchema") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSQLDatabaseSchema"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSQLDatabaseSchema");
    vtkSQLDatabaseSchema*q = reinterpret_cast<vtkSQLDatabaseSchema*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSQLDatabaseSchema");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSQLDatabaseSchema:GetClassName vtkSQLDatabaseSchemaGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSQLDatabaseSchemaGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSQLDatabaseSchema requires 1 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:IsA vtkSQLDatabaseSchemaIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSQLDatabaseSchemaIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSQLDatabaseSchema requires 2 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:NewInstance vtkSQLDatabaseSchemaNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSQLDatabaseSchemaNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSQLDatabaseSchema *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSQLDatabaseSchema requires 1 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  vtkSQLDatabaseSchema  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSQLDatabaseSchema",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:SafeDownCast vtkSQLDatabaseSchemaSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSQLDatabaseSchemaSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSQLDatabaseSchema *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSQLDatabaseSchema requires 2 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSQLDatabaseSchema  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSQLDatabaseSchema",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:AddPreamble vtkSQLDatabaseSchemaAddPreambleFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkSQLDatabaseSchemaAddPreambleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int AddPreamble (const char *preName, const char *preAction, const char *preBackendVTK_SQL_ALLBACKENDS); */
  if (arg.size() < 4) 
    throw Exception("Function AddPreamble for class vtkSQLDatabaseSchema requires 4 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  char    *temp2;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  char tmp_string2[1024];
  strcpy(tmp_string2,qPrintable(arg[3].asString())); 
  temp2 = tmp_string2;
  temp20 = (vtk_pointer)->AddPreamble(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:AddTable vtkSQLDatabaseSchemaAddTableFunction
//input a0 a1 
//output y
ArrayVector vtkSQLDatabaseSchemaAddTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int AddTable (const char *tblName); */
  if (arg.size() < 2) 
    throw Exception("Function AddTable for class vtkSQLDatabaseSchema requires 2 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->AddTable(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:AddColumnToTable__1 vtkSQLDatabaseSchemaAddColumnToTable__1Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkSQLDatabaseSchemaAddColumnToTable__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int AddColumnToTable (int tblHandle, int colType, const char *colName, int colSize, const char *colAttribs); */
  if (arg.size() < 6) 
    throw Exception("Function AddColumnToTable__1 for class vtkSQLDatabaseSchema requires 6 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  char    *temp2;
  int      temp3;
  char    *temp4;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  char tmp_string2[1024];
  strcpy(tmp_string2,qPrintable(arg[3].asString())); 
  temp2 = tmp_string2;
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  char tmp_string4[1024];
  strcpy(tmp_string4,qPrintable(arg[5].asString())); 
  temp4 = tmp_string4;
  temp20 = (vtk_pointer)->AddColumnToTable(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:AddColumnToTable__2 vtkSQLDatabaseSchemaAddColumnToTable__2Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkSQLDatabaseSchemaAddColumnToTable__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int AddColumnToTable (const char *tblName, int colType, const char *colName, int colSize, const char *colAttribs);return this AddColumnToTable this GetTableHandleFromName tblName colType colName colSize colAttribs  */
  if (arg.size() < 6) 
    throw Exception("Function AddColumnToTable__2 for class vtkSQLDatabaseSchema requires 6 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char    *temp2;
  int      temp3;
  char    *temp4;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  char tmp_string2[1024];
  strcpy(tmp_string2,qPrintable(arg[3].asString())); 
  temp2 = tmp_string2;
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  char tmp_string4[1024];
  strcpy(tmp_string4,qPrintable(arg[5].asString())); 
  temp4 = tmp_string4;
  temp20 = (vtk_pointer)->AddColumnToTable(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:AddIndexToTable__1 vtkSQLDatabaseSchemaAddIndexToTable__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkSQLDatabaseSchemaAddIndexToTable__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int AddIndexToTable (int tblHandle, int idxType, const char *idxName); */
  if (arg.size() < 4) 
    throw Exception("Function AddIndexToTable__1 for class vtkSQLDatabaseSchema requires 4 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  char    *temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  char tmp_string2[1024];
  strcpy(tmp_string2,qPrintable(arg[3].asString())); 
  temp2 = tmp_string2;
  temp20 = (vtk_pointer)->AddIndexToTable(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:AddIndexToTable__2 vtkSQLDatabaseSchemaAddIndexToTable__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkSQLDatabaseSchemaAddIndexToTable__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int AddIndexToTable (const char *tblName, int idxType, const char *idxName);return this AddIndexToTable this GetTableHandleFromName tblName idxType idxName  */
  if (arg.size() < 4) 
    throw Exception("Function AddIndexToTable__2 for class vtkSQLDatabaseSchema requires 4 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char    *temp2;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  char tmp_string2[1024];
  strcpy(tmp_string2,qPrintable(arg[3].asString())); 
  temp2 = tmp_string2;
  temp20 = (vtk_pointer)->AddIndexToTable(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:AddColumnToIndex__1 vtkSQLDatabaseSchemaAddColumnToIndex__1Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkSQLDatabaseSchemaAddColumnToIndex__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int AddColumnToIndex (int tblHandle, int idxHandle, int colHandle); */
  if (arg.size() < 4) 
    throw Exception("Function AddColumnToIndex__1 for class vtkSQLDatabaseSchema requires 4 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->AddColumnToIndex(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:AddColumnToIndex__2 vtkSQLDatabaseSchemaAddColumnToIndex__2Function
//input a0 a1 a2 a3 
//output y
ArrayVector vtkSQLDatabaseSchemaAddColumnToIndex__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int AddColumnToIndex (const char *tblName, const char *idxName, const char *colName);int tblHandle this GetTableHandleFromName tblName return this AddColumnToIndex tblHandle this GetIndexHandleFromName tblName idxName this GetColumnHandleFromName tblName colName  */
  if (arg.size() < 4) 
    throw Exception("Function AddColumnToIndex__2 for class vtkSQLDatabaseSchema requires 4 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  char    *temp2;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  char tmp_string2[1024];
  strcpy(tmp_string2,qPrintable(arg[3].asString())); 
  temp2 = tmp_string2;
  temp20 = (vtk_pointer)->AddColumnToIndex(temp0,temp1,temp2);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:AddTriggerToTable__1 vtkSQLDatabaseSchemaAddTriggerToTable__1Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkSQLDatabaseSchemaAddTriggerToTable__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int AddTriggerToTable (int tblHandle, int trgType, const char *trgName, const char *trgAction, const char *trgBackendVTK_SQL_ALLBACKENDS); */
  if (arg.size() < 6) 
    throw Exception("Function AddTriggerToTable__1 for class vtkSQLDatabaseSchema requires 6 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  char    *temp2;
  char    *temp3;
  char    *temp4;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  char tmp_string2[1024];
  strcpy(tmp_string2,qPrintable(arg[3].asString())); 
  temp2 = tmp_string2;
  char tmp_string3[1024];
  strcpy(tmp_string3,qPrintable(arg[4].asString())); 
  temp3 = tmp_string3;
  char tmp_string4[1024];
  strcpy(tmp_string4,qPrintable(arg[5].asString())); 
  temp4 = tmp_string4;
  temp20 = (vtk_pointer)->AddTriggerToTable(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:AddTriggerToTable__2 vtkSQLDatabaseSchemaAddTriggerToTable__2Function
//input a0 a1 a2 a3 a4 a5 
//output y
ArrayVector vtkSQLDatabaseSchemaAddTriggerToTable__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int AddTriggerToTable (const char *tblName, int trgType, const char *trgName, const char *trgAction, const char *trgBackendVTK_SQL_ALLBACKENDS);return this AddTriggerToTable this GetTableHandleFromName tblName trgType trgName trgAction trgBackend  */
  if (arg.size() < 6) 
    throw Exception("Function AddTriggerToTable__2 for class vtkSQLDatabaseSchema requires 6 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char    *temp2;
  char    *temp3;
  char    *temp4;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  char tmp_string2[1024];
  strcpy(tmp_string2,qPrintable(arg[3].asString())); 
  temp2 = tmp_string2;
  char tmp_string3[1024];
  strcpy(tmp_string3,qPrintable(arg[4].asString())); 
  temp3 = tmp_string3;
  char tmp_string4[1024];
  strcpy(tmp_string4,qPrintable(arg[5].asString())); 
  temp4 = tmp_string4;
  temp20 = (vtk_pointer)->AddTriggerToTable(temp0,temp1,temp2,temp3,temp4);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:GetPreambleHandleFromName vtkSQLDatabaseSchemaGetPreambleHandleFromNameFunction
//input a0 a1 
//output y
ArrayVector vtkSQLDatabaseSchemaGetPreambleHandleFromNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPreambleHandleFromName (const char *preName); */
  if (arg.size() < 2) 
    throw Exception("Function GetPreambleHandleFromName for class vtkSQLDatabaseSchema requires 2 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetPreambleHandleFromName(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:GetPreambleNameFromHandle vtkSQLDatabaseSchemaGetPreambleNameFromHandleFunction
//input a0 a1 
//output y
ArrayVector vtkSQLDatabaseSchemaGetPreambleNameFromHandleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetPreambleNameFromHandle (int preHandle); */
  if (arg.size() < 2) 
    throw Exception("Function GetPreambleNameFromHandle for class vtkSQLDatabaseSchema requires 2 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPreambleNameFromHandle(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:GetPreambleActionFromHandle vtkSQLDatabaseSchemaGetPreambleActionFromHandleFunction
//input a0 a1 
//output y
ArrayVector vtkSQLDatabaseSchemaGetPreambleActionFromHandleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetPreambleActionFromHandle (int preHandle); */
  if (arg.size() < 2) 
    throw Exception("Function GetPreambleActionFromHandle for class vtkSQLDatabaseSchema requires 2 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPreambleActionFromHandle(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:GetPreambleBackendFromHandle vtkSQLDatabaseSchemaGetPreambleBackendFromHandleFunction
//input a0 a1 
//output y
ArrayVector vtkSQLDatabaseSchemaGetPreambleBackendFromHandleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetPreambleBackendFromHandle (int preHandle); */
  if (arg.size() < 2) 
    throw Exception("Function GetPreambleBackendFromHandle for class vtkSQLDatabaseSchema requires 2 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPreambleBackendFromHandle(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:GetTableHandleFromName vtkSQLDatabaseSchemaGetTableHandleFromNameFunction
//input a0 a1 
//output y
ArrayVector vtkSQLDatabaseSchemaGetTableHandleFromNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTableHandleFromName (const char *tblName); */
  if (arg.size() < 2) 
    throw Exception("Function GetTableHandleFromName for class vtkSQLDatabaseSchema requires 2 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetTableHandleFromName(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:GetTableNameFromHandle vtkSQLDatabaseSchemaGetTableNameFromHandleFunction
//input a0 a1 
//output y
ArrayVector vtkSQLDatabaseSchemaGetTableNameFromHandleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetTableNameFromHandle (int tblHandle); */
  if (arg.size() < 2) 
    throw Exception("Function GetTableNameFromHandle for class vtkSQLDatabaseSchema requires 2 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTableNameFromHandle(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:GetIndexHandleFromName vtkSQLDatabaseSchemaGetIndexHandleFromNameFunction
//input a0 a1 a2 
//output y
ArrayVector vtkSQLDatabaseSchemaGetIndexHandleFromNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIndexHandleFromName (const char *tblName, const char *idxName); */
  if (arg.size() < 3) 
    throw Exception("Function GetIndexHandleFromName for class vtkSQLDatabaseSchema requires 3 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  temp20 = (vtk_pointer)->GetIndexHandleFromName(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:GetIndexNameFromHandle vtkSQLDatabaseSchemaGetIndexNameFromHandleFunction
//input a0 a1 a2 
//output y
ArrayVector vtkSQLDatabaseSchemaGetIndexNameFromHandleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetIndexNameFromHandle (int tblHandle, int idxHandle); */
  if (arg.size() < 3) 
    throw Exception("Function GetIndexNameFromHandle for class vtkSQLDatabaseSchema requires 3 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetIndexNameFromHandle(temp0,temp1);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:GetIndexTypeFromHandle vtkSQLDatabaseSchemaGetIndexTypeFromHandleFunction
//input a0 a1 a2 
//output y
ArrayVector vtkSQLDatabaseSchemaGetIndexTypeFromHandleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIndexTypeFromHandle (int tblHandle, int idxHandle); */
  if (arg.size() < 3) 
    throw Exception("Function GetIndexTypeFromHandle for class vtkSQLDatabaseSchema requires 3 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetIndexTypeFromHandle(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:GetIndexColumnNameFromHandle vtkSQLDatabaseSchemaGetIndexColumnNameFromHandleFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkSQLDatabaseSchemaGetIndexColumnNameFromHandleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetIndexColumnNameFromHandle (int tblHandle, int idxHandle, int cnmHandle); */
  if (arg.size() < 4) 
    throw Exception("Function GetIndexColumnNameFromHandle for class vtkSQLDatabaseSchema requires 4 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->GetIndexColumnNameFromHandle(temp0,temp1,temp2);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:GetColumnHandleFromName vtkSQLDatabaseSchemaGetColumnHandleFromNameFunction
//input a0 a1 a2 
//output y
ArrayVector vtkSQLDatabaseSchemaGetColumnHandleFromNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetColumnHandleFromName (const char *tblName, const char *colName); */
  if (arg.size() < 3) 
    throw Exception("Function GetColumnHandleFromName for class vtkSQLDatabaseSchema requires 3 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  temp20 = (vtk_pointer)->GetColumnHandleFromName(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:GetColumnNameFromHandle vtkSQLDatabaseSchemaGetColumnNameFromHandleFunction
//input a0 a1 a2 
//output y
ArrayVector vtkSQLDatabaseSchemaGetColumnNameFromHandleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetColumnNameFromHandle (int tblHandle, int colHandle); */
  if (arg.size() < 3) 
    throw Exception("Function GetColumnNameFromHandle for class vtkSQLDatabaseSchema requires 3 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetColumnNameFromHandle(temp0,temp1);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:GetColumnTypeFromHandle vtkSQLDatabaseSchemaGetColumnTypeFromHandleFunction
//input a0 a1 a2 
//output y
ArrayVector vtkSQLDatabaseSchemaGetColumnTypeFromHandleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetColumnTypeFromHandle (int tblHandle, int colHandle); */
  if (arg.size() < 3) 
    throw Exception("Function GetColumnTypeFromHandle for class vtkSQLDatabaseSchema requires 3 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetColumnTypeFromHandle(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:GetColumnSizeFromHandle vtkSQLDatabaseSchemaGetColumnSizeFromHandleFunction
//input a0 a1 a2 
//output y
ArrayVector vtkSQLDatabaseSchemaGetColumnSizeFromHandleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetColumnSizeFromHandle (int tblHandle, int colHandle); */
  if (arg.size() < 3) 
    throw Exception("Function GetColumnSizeFromHandle for class vtkSQLDatabaseSchema requires 3 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetColumnSizeFromHandle(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:GetColumnAttributesFromHandle vtkSQLDatabaseSchemaGetColumnAttributesFromHandleFunction
//input a0 a1 a2 
//output y
ArrayVector vtkSQLDatabaseSchemaGetColumnAttributesFromHandleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetColumnAttributesFromHandle (int tblHandle, int colHandle); */
  if (arg.size() < 3) 
    throw Exception("Function GetColumnAttributesFromHandle for class vtkSQLDatabaseSchema requires 3 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetColumnAttributesFromHandle(temp0,temp1);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:GetTriggerHandleFromName vtkSQLDatabaseSchemaGetTriggerHandleFromNameFunction
//input a0 a1 a2 
//output y
ArrayVector vtkSQLDatabaseSchemaGetTriggerHandleFromNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTriggerHandleFromName (const char *tblName, const char *trgName); */
  if (arg.size() < 3) 
    throw Exception("Function GetTriggerHandleFromName for class vtkSQLDatabaseSchema requires 3 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  temp20 = (vtk_pointer)->GetTriggerHandleFromName(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:GetTriggerNameFromHandle vtkSQLDatabaseSchemaGetTriggerNameFromHandleFunction
//input a0 a1 a2 
//output y
ArrayVector vtkSQLDatabaseSchemaGetTriggerNameFromHandleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetTriggerNameFromHandle (int tblHandle, int trgHandle); */
  if (arg.size() < 3) 
    throw Exception("Function GetTriggerNameFromHandle for class vtkSQLDatabaseSchema requires 3 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetTriggerNameFromHandle(temp0,temp1);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:GetTriggerTypeFromHandle vtkSQLDatabaseSchemaGetTriggerTypeFromHandleFunction
//input a0 a1 a2 
//output y
ArrayVector vtkSQLDatabaseSchemaGetTriggerTypeFromHandleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTriggerTypeFromHandle (int tblHandle, int trgHandle); */
  if (arg.size() < 3) 
    throw Exception("Function GetTriggerTypeFromHandle for class vtkSQLDatabaseSchema requires 3 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetTriggerTypeFromHandle(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:GetTriggerActionFromHandle vtkSQLDatabaseSchemaGetTriggerActionFromHandleFunction
//input a0 a1 a2 
//output y
ArrayVector vtkSQLDatabaseSchemaGetTriggerActionFromHandleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetTriggerActionFromHandle (int tblHandle, int trgHandle); */
  if (arg.size() < 3) 
    throw Exception("Function GetTriggerActionFromHandle for class vtkSQLDatabaseSchema requires 3 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetTriggerActionFromHandle(temp0,temp1);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:GetTriggerBackendFromHandle vtkSQLDatabaseSchemaGetTriggerBackendFromHandleFunction
//input a0 a1 a2 
//output y
ArrayVector vtkSQLDatabaseSchemaGetTriggerBackendFromHandleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetTriggerBackendFromHandle (int tblHandle, int trgHandle); */
  if (arg.size() < 3) 
    throw Exception("Function GetTriggerBackendFromHandle for class vtkSQLDatabaseSchema requires 3 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetTriggerBackendFromHandle(temp0,temp1);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:Reset vtkSQLDatabaseSchemaResetFunction
//input a0 
//output none
ArrayVector vtkSQLDatabaseSchemaResetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Reset (); */
  if (arg.size() < 1) 
    throw Exception("Function Reset for class vtkSQLDatabaseSchema requires 1 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  vtk_pointer->Reset();
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:GetNumberOfPreambles vtkSQLDatabaseSchemaGetNumberOfPreamblesFunction
//input a0 
//output y
ArrayVector vtkSQLDatabaseSchemaGetNumberOfPreamblesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPreambles (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPreambles for class vtkSQLDatabaseSchema requires 1 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPreambles();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:GetNumberOfTables vtkSQLDatabaseSchemaGetNumberOfTablesFunction
//input a0 
//output y
ArrayVector vtkSQLDatabaseSchemaGetNumberOfTablesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfTables (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTables for class vtkSQLDatabaseSchema requires 1 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfTables();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:GetNumberOfColumnsInTable vtkSQLDatabaseSchemaGetNumberOfColumnsInTableFunction
//input a0 a1 
//output y
ArrayVector vtkSQLDatabaseSchemaGetNumberOfColumnsInTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfColumnsInTable (int tblHandle); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfColumnsInTable for class vtkSQLDatabaseSchema requires 2 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfColumnsInTable(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:GetNumberOfIndicesInTable vtkSQLDatabaseSchemaGetNumberOfIndicesInTableFunction
//input a0 a1 
//output y
ArrayVector vtkSQLDatabaseSchemaGetNumberOfIndicesInTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfIndicesInTable (int tblHandle); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfIndicesInTable for class vtkSQLDatabaseSchema requires 2 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfIndicesInTable(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:GetNumberOfColumnNamesInIndex vtkSQLDatabaseSchemaGetNumberOfColumnNamesInIndexFunction
//input a0 a1 a2 
//output y
ArrayVector vtkSQLDatabaseSchemaGetNumberOfColumnNamesInIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfColumnNamesInIndex (int tblHandle, int idxHandle); */
  if (arg.size() < 3) 
    throw Exception("Function GetNumberOfColumnNamesInIndex for class vtkSQLDatabaseSchema requires 3 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfColumnNamesInIndex(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:GetNumberOfTriggersInTable vtkSQLDatabaseSchemaGetNumberOfTriggersInTableFunction
//input a0 a1 
//output y
ArrayVector vtkSQLDatabaseSchemaGetNumberOfTriggersInTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfTriggersInTable (int tblHandle); */
  if (arg.size() < 2) 
    throw Exception("Function GetNumberOfTriggersInTable for class vtkSQLDatabaseSchema requires 2 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNumberOfTriggersInTable(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:SetName vtkSQLDatabaseSchemaSetNameFunction
//input a0 a1 
//output none
ArrayVector vtkSQLDatabaseSchemaSetNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetName for class vtkSQLDatabaseSchema requires 2 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:GetName vtkSQLDatabaseSchemaGetNameFunction
//input a0 
//output y
ArrayVector vtkSQLDatabaseSchemaGetNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetName for class vtkSQLDatabaseSchema requires 1 argument(s)");
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:AddColumnToTable vtkSQLDatabaseSchemaAddColumnToTableFunction
//input varargin
//output varargout
ArrayVector vtkSQLDatabaseSchemaAddColumnToTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[4]))
    return vtkSQLDatabaseSchemaAddColumnToTable__1Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[4]))
    return vtkSQLDatabaseSchemaAddColumnToTable__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSQLDatabaseSchemaAddColumnToTable");
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:AddIndexToTable vtkSQLDatabaseSchemaAddIndexToTableFunction
//input varargin
//output varargout
ArrayVector vtkSQLDatabaseSchemaAddIndexToTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkSQLDatabaseSchemaAddIndexToTable__1Function(nargout,arg,eval);
  if ((arg.size() == 4) && VTKIsScalarArg(arg[2]))
    return vtkSQLDatabaseSchemaAddIndexToTable__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSQLDatabaseSchemaAddIndexToTable");
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:AddColumnToIndex vtkSQLDatabaseSchemaAddColumnToIndexFunction
//input varargin
//output varargout
ArrayVector vtkSQLDatabaseSchemaAddColumnToIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkSQLDatabaseSchemaAddColumnToIndex__1Function(nargout,arg,eval);
  if ((arg.size() == 4))
    return vtkSQLDatabaseSchemaAddColumnToIndex__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSQLDatabaseSchemaAddColumnToIndex");
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:AddTriggerToTable vtkSQLDatabaseSchemaAddTriggerToTableFunction
//input varargin
//output varargout
ArrayVector vtkSQLDatabaseSchemaAddTriggerToTableFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 6) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkSQLDatabaseSchemaAddTriggerToTable__1Function(nargout,arg,eval);
  if ((arg.size() == 6) && VTKIsScalarArg(arg[2]))
    return vtkSQLDatabaseSchemaAddTriggerToTable__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSQLDatabaseSchemaAddTriggerToTable");
}

//@@Signature
//sfunction @vtkSQLDatabaseSchema:display vtkSQLDatabaseSchemaDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSQLDatabaseSchemaDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSQLDatabaseSchema* vtk_pointer = GetVTKPointer<vtkSQLDatabaseSchema>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSQLDatabaseSchema:delete vtkSQLDatabaseSchemaDeleteFunction
//input varargin
//output none
ArrayVector vtkSQLDatabaseSchemaDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSQLDatabaseSchema
//@@Section VTKIO
//@@Usage
//  A class to create a SQL database schema
//
// .SECTION Thanks
// Thanks to Philippe Pebay and David Thompson from Sandia National 
// Laboratories for implementing this class.
//
//
//To create an instance of class vtkSQLDatabaseSchema, simply
//invoke its constructor as follows
//@[
//  obj = vtkSQLDatabaseSchema
//@]
//@@Methods
//The class vtkSQLDatabaseSchema has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSQLDatabaseSchema class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSQLDatabaseSchema = obj.NewInstance ()|
// \item @|vtkSQLDatabaseSchema = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.AddPreamble (string preName, string preAction, string preBackendVTK_SQL_ALLBACKENDS)|
// \item @|int = obj.AddTable (string tblName)| -  Add a table to the schema 
//// \item @|int = obj.AddColumnToTable (int tblHandle, int colType, string colName, int colSize, string colAttribs)|
// \item @|int = obj.AddColumnToTable (string tblName, int colType, string colName, int colSize, string colAttribs)|
// \item @|int = obj.AddIndexToTable (int tblHandle, int idxType, string idxName)|
// \item @|int = obj.AddIndexToTable (string tblName, int idxType, string idxName)|
// \item @|int = obj.AddColumnToIndex (int tblHandle, int idxHandle, int colHandle)|
// \item @|int = obj.AddColumnToIndex (string tblName, string idxName, string colName)|
// \item @|int = obj.AddTriggerToTable (int tblHandle, int trgType, string trgName, string trgAction, string trgBackendVTK_SQL_ALLBACKENDS)|
// \item @|int = obj.AddTriggerToTable (string tblName, int trgType, string trgName, string trgAction, string trgBackendVTK_SQL_ALLBACKENDS)| -  Given a preamble name, get its handle.
//// \item @|int = obj.GetPreambleHandleFromName (string preName)| -  Given a preamble name, get its handle.
//// \item @|string = obj.GetPreambleNameFromHandle (int preHandle)| -  Given a preamble handle, get its name.
//// \item @|string = obj.GetPreambleActionFromHandle (int preHandle)| -  Given a preamble handle, get its action.
//// \item @|string = obj.GetPreambleBackendFromHandle (int preHandle)| -  Given a preamble handle, get its backend.
//// \item @|int = obj.GetTableHandleFromName (string tblName)| -  Given a table name, get its handle.
//// \item @|string = obj.GetTableNameFromHandle (int tblHandle)| -  Given a table hanlde, get its name.
//// \item @|int = obj.GetIndexHandleFromName (string tblName, string idxName)| -  Given the names of a table and an index, get the handle of the index in this table.
//// \item @|string = obj.GetIndexNameFromHandle (int tblHandle, int idxHandle)| -  Given the handles of a table and an index, get the name of the index.
//// \item @|int = obj.GetIndexTypeFromHandle (int tblHandle, int idxHandle)| -  Given the handles of a table and an index, get the type of the index.
//// \item @|string = obj.GetIndexColumnNameFromHandle (int tblHandle, int idxHandle, int cnmHandle)| -  Given the handles of a table, an index, and a column name, get the column name.
//// \item @|int = obj.GetColumnHandleFromName (string tblName, string colName)| -  Given the names of a table and a column, get the handle of the column in this table.
//// \item @|string = obj.GetColumnNameFromHandle (int tblHandle, int colHandle)| -  Given the handles of a table and a column, get the name of the column.
//// \item @|int = obj.GetColumnTypeFromHandle (int tblHandle, int colHandle)| -  Given the handles of a table and a column, get the type of the column.
//// \item @|int = obj.GetColumnSizeFromHandle (int tblHandle, int colHandle)| -  Given the handles of a table and a column, get the size of the column.
//// \item @|string = obj.GetColumnAttributesFromHandle (int tblHandle, int colHandle)| -  Given the handles of a table and a column, get the attributes of the column.
//// \item @|int = obj.GetTriggerHandleFromName (string tblName, string trgName)| -  Given the names of a trigger and a table, get the handle of the trigger in this table.
//// \item @|string = obj.GetTriggerNameFromHandle (int tblHandle, int trgHandle)| -  Given the handles of a table and a trigger, get the name of the trigger.
//// \item @|int = obj.GetTriggerTypeFromHandle (int tblHandle, int trgHandle)| -  Given the handles of a table and a trigger, get the type of the trigger.
//// \item @|string = obj.GetTriggerActionFromHandle (int tblHandle, int trgHandle)| -  Given the handles of a table and a trigger, get the action of the trigger.
//// \item @|string = obj.GetTriggerBackendFromHandle (int tblHandle, int trgHandle)| -  Given the handles of a table and a trigger, get the backend of the trigger.
//// \item @|obj.Reset ()| -  Reset the schema to its initial, empty state.
//// \item @|int = obj.GetNumberOfPreambles ()| -  Get the number of preambles.
//// \item @|int = obj.GetNumberOfTables ()| -  Get the number of tables.
//// \item @|int = obj.GetNumberOfColumnsInTable (int tblHandle)| -  Get the number of columns in a particular table .
//// \item @|int = obj.GetNumberOfIndicesInTable (int tblHandle)| -  Get the number of indices in a particular table .
//// \item @|int = obj.GetNumberOfColumnNamesInIndex (int tblHandle, int idxHandle)| -  Get the number of column names associated to a particular index in a particular table .
//// \item @|int = obj.GetNumberOfTriggersInTable (int tblHandle)| -  Get the number of trigger in a particular table .
//// \item @|obj.SetName (string )| -  Set/Get the name of the schema.
//// \item @|string = obj.GetName ()| -  Set/Get the name of the schema.
////\end{itemize}
//!
