#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSQLQuery object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSQLQuery.h"

//@@Signature
//sfunction @vtkSQLQuery:vtkSQLQuery vtkSQLQueryConstructorFunction
//input a
//output p
//@@Parents vtkSQLQuery vtkRowQuery 
ArrayVector vtkSQLQueryConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSQLQuery::New(),"vtkSQLQuery",eval);
  } else if (arg[0].className() == "vtkSQLQuery") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSQLQuery"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSQLQuery");
    vtkSQLQuery*q = reinterpret_cast<vtkSQLQuery*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSQLQuery");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSQLQuery:GetClassName vtkSQLQueryGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSQLQueryGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSQLQuery requires 1 argument(s)");
  vtkSQLQuery* vtk_pointer = GetVTKPointer<vtkSQLQuery>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLQuery:IsA vtkSQLQueryIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSQLQueryIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSQLQuery requires 2 argument(s)");
  vtkSQLQuery* vtk_pointer = GetVTKPointer<vtkSQLQuery>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLQuery:NewInstance vtkSQLQueryNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSQLQueryNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSQLQuery *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSQLQuery requires 1 argument(s)");
  vtkSQLQuery* vtk_pointer = GetVTKPointer<vtkSQLQuery>(arg[0]);
  Array retval;
  vtkSQLQuery  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSQLQuery",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSQLQuery:SafeDownCast vtkSQLQuerySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSQLQuerySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSQLQuery *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSQLQuery requires 2 argument(s)");
  vtkSQLQuery* vtk_pointer = GetVTKPointer<vtkSQLQuery>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSQLQuery  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSQLQuery",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSQLQuery:SetQuery vtkSQLQuerySetQueryFunction
//input a0 a1 
//output y
ArrayVector vtkSQLQuerySetQueryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool SetQuery (const char *query); */
  if (arg.size() < 2) 
    throw Exception("Function SetQuery for class vtkSQLQuery requires 2 argument(s)");
  vtkSQLQuery* vtk_pointer = GetVTKPointer<vtkSQLQuery>(arg[0]);
  Array retval;
  char    *temp0;
  bool   temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->SetQuery(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLQuery:GetQuery vtkSQLQueryGetQueryFunction
//input a0 
//output y
ArrayVector vtkSQLQueryGetQueryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetQuery (); */
  if (arg.size() < 1) 
    throw Exception("Function GetQuery for class vtkSQLQuery requires 1 argument(s)");
  vtkSQLQuery* vtk_pointer = GetVTKPointer<vtkSQLQuery>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetQuery();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLQuery:IsActive vtkSQLQueryIsActiveFunction
//input a0 
//output y
ArrayVector vtkSQLQueryIsActiveFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool IsActive ();return this Active  */
  if (arg.size() < 1) 
    throw Exception("Function IsActive for class vtkSQLQuery requires 1 argument(s)");
  vtkSQLQuery* vtk_pointer = GetVTKPointer<vtkSQLQuery>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->IsActive();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLQuery:Execute vtkSQLQueryExecuteFunction
//input a0 
//output y
ArrayVector vtkSQLQueryExecuteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool Execute () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function Execute for class vtkSQLQuery requires 1 argument(s)");
  vtkSQLQuery* vtk_pointer = GetVTKPointer<vtkSQLQuery>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->Execute();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLQuery:BeginTransaction vtkSQLQueryBeginTransactionFunction
//input a0 
//output y
ArrayVector vtkSQLQueryBeginTransactionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool BeginTransaction ();return true  */
  if (arg.size() < 1) 
    throw Exception("Function BeginTransaction for class vtkSQLQuery requires 1 argument(s)");
  vtkSQLQuery* vtk_pointer = GetVTKPointer<vtkSQLQuery>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->BeginTransaction();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLQuery:CommitTransaction vtkSQLQueryCommitTransactionFunction
//input a0 
//output y
ArrayVector vtkSQLQueryCommitTransactionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool CommitTransaction ();return true  */
  if (arg.size() < 1) 
    throw Exception("Function CommitTransaction for class vtkSQLQuery requires 1 argument(s)");
  vtkSQLQuery* vtk_pointer = GetVTKPointer<vtkSQLQuery>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->CommitTransaction();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLQuery:RollbackTransaction vtkSQLQueryRollbackTransactionFunction
//input a0 
//output y
ArrayVector vtkSQLQueryRollbackTransactionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool RollbackTransaction ();return true  */
  if (arg.size() < 1) 
    throw Exception("Function RollbackTransaction for class vtkSQLQuery requires 1 argument(s)");
  vtkSQLQuery* vtk_pointer = GetVTKPointer<vtkSQLQuery>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->RollbackTransaction();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLQuery:GetDatabase vtkSQLQueryGetDatabaseFunction
//input a0 
//output y
ArrayVector vtkSQLQueryGetDatabaseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSQLDatabase *GetDatabase (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDatabase for class vtkSQLQuery requires 1 argument(s)");
  vtkSQLQuery* vtk_pointer = GetVTKPointer<vtkSQLQuery>(arg[0]);
  Array retval;
  vtkSQLDatabase  *temp20;
  temp20 = (vtk_pointer)->GetDatabase();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSQLDatabase",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSQLQuery:BindParameter__1 vtkSQLQueryBindParameter__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkSQLQueryBindParameter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool BindParameter (int index, int value); */
  if (arg.size() < 3) 
    throw Exception("Function BindParameter__1 for class vtkSQLQuery requires 3 argument(s)");
  vtkSQLQuery* vtk_pointer = GetVTKPointer<vtkSQLQuery>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->BindParameter(temp0,temp1);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLQuery:BindParameter__2 vtkSQLQueryBindParameter__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkSQLQueryBindParameter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool BindParameter (int index, float value); */
  if (arg.size() < 3) 
    throw Exception("Function BindParameter__2 for class vtkSQLQuery requires 3 argument(s)");
  vtkSQLQuery* vtk_pointer = GetVTKPointer<vtkSQLQuery>(arg[0]);
  Array retval;
  int      temp0;
  float    temp1;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  temp20 = (vtk_pointer)->BindParameter(temp0,temp1);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLQuery:BindParameter__3 vtkSQLQueryBindParameter__3Function
//input a0 a1 a2 
//output y
ArrayVector vtkSQLQueryBindParameter__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool BindParameter (int index, double value); */
  if (arg.size() < 3) 
    throw Exception("Function BindParameter__3 for class vtkSQLQuery requires 3 argument(s)");
  vtkSQLQuery* vtk_pointer = GetVTKPointer<vtkSQLQuery>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  temp20 = (vtk_pointer)->BindParameter(temp0,temp1);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLQuery:BindParameter__4 vtkSQLQueryBindParameter__4Function
//input a0 a1 a2 
//output y
ArrayVector vtkSQLQueryBindParameter__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool BindParameter (int index, const char *stringValue); */
  if (arg.size() < 3) 
    throw Exception("Function BindParameter__4 for class vtkSQLQuery requires 3 argument(s)");
  vtkSQLQuery* vtk_pointer = GetVTKPointer<vtkSQLQuery>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  temp20 = (vtk_pointer)->BindParameter(temp0,temp1);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLQuery:ClearParameterBindings vtkSQLQueryClearParameterBindingsFunction
//input a0 
//output y
ArrayVector vtkSQLQueryClearParameterBindingsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual bool ClearParameterBindings (); */
  if (arg.size() < 1) 
    throw Exception("Function ClearParameterBindings for class vtkSQLQuery requires 1 argument(s)");
  vtkSQLQuery* vtk_pointer = GetVTKPointer<vtkSQLQuery>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->ClearParameterBindings();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLQuery:EscapeString vtkSQLQueryEscapeStringFunction
//input a0 a1 a2 
//output y
ArrayVector vtkSQLQueryEscapeStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *EscapeString (const char *src, bool addSurroundingQuotes); */
  if (arg.size() < 3) 
    throw Exception("Function EscapeString for class vtkSQLQuery requires 3 argument(s)");
  vtkSQLQuery* vtk_pointer = GetVTKPointer<vtkSQLQuery>(arg[0]);
  Array retval;
  char    *temp0;
  bool   temp1;
  char    *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->EscapeString(temp0,temp1);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLQuery:BindParameter vtkSQLQueryBindParameterFunction
//input varargin
//output varargout
ArrayVector vtkSQLQueryBindParameterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkSQLQueryBindParameter__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkSQLQueryBindParameter__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkSQLQueryBindParameter__3Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]))
    return vtkSQLQueryBindParameter__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSQLQueryBindParameter");
}

//@@Signature
//sfunction @vtkSQLQuery:display vtkSQLQueryDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSQLQueryDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSQLQuery* vtk_pointer = GetVTKPointer<vtkSQLQuery>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSQLQuery:delete vtkSQLQueryDeleteFunction
//input varargin
//output none
ArrayVector vtkSQLQueryDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSQLQuery
//@@Section VTKIO
//@@Usage
// The abstract superclass of SQL query classes.  Instances of subclasses
// of vtkSQLQuery are created using the GetQueryInstance() function in
// vtkSQLDatabase.  To implement a query connection for a new database
// type, subclass both vtkSQLDatabase and vtkSQLQuery, and implement the
// required functions.  For the query class, this involves the following:
//
// Execute() - Execute the query on the database.  No results need to be
//             retrieved at this point, unless you are performing caching.
//
// GetNumberOfFields() - After Execute() is performed, returns the number
//                       of fields in the query results.
//
// GetFieldName() - The name of the field at an index.
//
// GetFieldType() - The data type of the field at an index.
//
// NextRow() - Advances the query results by one row, and returns whether
//             there are more rows left in the query.
//
// DataValue() - Extract a single data value from the current row.
//
// Begin/Rollback/CommitTransaction() - These methods are optional but
// recommended if the database supports transactions.
//
// .SECTION Thanks
// Thanks to Andrew Wilson from Sandia National Laboratories for his work
// on the database classes.
//
//
//To create an instance of class vtkSQLQuery, simply
//invoke its constructor as follows
//@[
//  obj = vtkSQLQuery
//@]
//@@Methods
//The class vtkSQLQuery has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSQLQuery class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSQLQuery = obj.NewInstance ()|
// \item @|vtkSQLQuery = obj.SafeDownCast (vtkObject o)|
// \item @|bool = obj.SetQuery (string query)| -  The query string to be executed.  Since some databases will
// process the query string as soon as it's set, this method returns
// a boolean to indicate success or failure.
//// \item @|string = obj.GetQuery ()| -  The query string to be executed.  Since some databases will
// process the query string as soon as it's set, this method returns
// a boolean to indicate success or failure.
//// \item @|bool = obj.IsActive ()| -  Execute the query.  This must be performed
// before any field name or data access functions
// are used.
//// \item @|bool = obj.Execute ()| -  Execute the query.  This must be performed
// before any field name or data access functions
// are used.
//// \item @|bool = obj.BeginTransaction ()| -  Begin, commit, or roll back a transaction.  If the underlying
// database does not support transactions these calls will do
// nothing.
//// \item @|bool = obj.CommitTransaction ()| -  Begin, commit, or roll back a transaction.  If the underlying
// database does not support transactions these calls will do
// nothing.
//// \item @|bool = obj.RollbackTransaction ()| -  Return the database associated with the query.
//// \item @|vtkSQLDatabase = obj.GetDatabase ()| -  Return the database associated with the query.
//// \item @|bool = obj.BindParameter (int index, int value)|
// \item @|bool = obj.BindParameter (int index, float value)|
// \item @|bool = obj.BindParameter (int index, double value)|
// \item @|bool = obj.BindParameter (int index, string stringValue)| -  Bind a string value -- string must be null-terminated
//// \item @|bool = obj.ClearParameterBindings ()| -  Reset all parameter bindings to NULL.
//// \item @|string = obj.EscapeString (string src, bool addSurroundingQuotes)| -  Escape a string for inclusion into an SQL query.
// This method exists to provide a wrappable version of
// the method that takes and returns vtkStdString objects.
// You are responsible for calling delete [] on the
// character array returned by this method.
// This method simply calls the vtkStdString variant and thus
// need not be re-implemented by subclasses.
////\end{itemize}
//!
