#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSQLiteDatabase object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSQLiteDatabase.h"

//@@Signature
//sfunction @vtkSQLiteDatabase:vtkSQLiteDatabase vtkSQLiteDatabaseConstructorFunction
//input a
//output p
//@@Parents vtkSQLiteDatabase vtkSQLDatabase 
ArrayVector vtkSQLiteDatabaseConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSQLiteDatabase::New(),"vtkSQLiteDatabase",eval);
  } else if (arg[0].className() == "vtkSQLiteDatabase") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSQLiteDatabase"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSQLiteDatabase");
    vtkSQLiteDatabase*q = reinterpret_cast<vtkSQLiteDatabase*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSQLiteDatabase");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSQLiteDatabase:GetClassName vtkSQLiteDatabaseGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSQLiteDatabaseGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSQLiteDatabase requires 1 argument(s)");
  vtkSQLiteDatabase* vtk_pointer = GetVTKPointer<vtkSQLiteDatabase>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteDatabase:IsA vtkSQLiteDatabaseIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSQLiteDatabaseIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSQLiteDatabase requires 2 argument(s)");
  vtkSQLiteDatabase* vtk_pointer = GetVTKPointer<vtkSQLiteDatabase>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteDatabase:NewInstance vtkSQLiteDatabaseNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSQLiteDatabaseNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSQLiteDatabase *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSQLiteDatabase requires 1 argument(s)");
  vtkSQLiteDatabase* vtk_pointer = GetVTKPointer<vtkSQLiteDatabase>(arg[0]);
  Array retval;
  vtkSQLiteDatabase  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSQLiteDatabase",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteDatabase:SafeDownCast vtkSQLiteDatabaseSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSQLiteDatabaseSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSQLiteDatabase *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSQLiteDatabase requires 2 argument(s)");
  vtkSQLiteDatabase* vtk_pointer = GetVTKPointer<vtkSQLiteDatabase>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSQLiteDatabase  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSQLiteDatabase",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteDatabase:Open__1 vtkSQLiteDatabaseOpen__1Function
//input a0 a1 
//output y
ArrayVector vtkSQLiteDatabaseOpen__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool Open (const char *password); */
  if (arg.size() < 2) 
    throw Exception("Function Open__1 for class vtkSQLiteDatabase requires 2 argument(s)");
  vtkSQLiteDatabase* vtk_pointer = GetVTKPointer<vtkSQLiteDatabase>(arg[0]);
  Array retval;
  char    *temp0;
  bool   temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->Open(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteDatabase:Open__2 vtkSQLiteDatabaseOpen__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkSQLiteDatabaseOpen__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool Open (const char *password, int mode); */
  if (arg.size() < 3) 
    throw Exception("Function Open__2 for class vtkSQLiteDatabase requires 3 argument(s)");
  vtkSQLiteDatabase* vtk_pointer = GetVTKPointer<vtkSQLiteDatabase>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  bool   temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->Open(temp0,temp1);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteDatabase:Close vtkSQLiteDatabaseCloseFunction
//input a0 
//output none
ArrayVector vtkSQLiteDatabaseCloseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Close (); */
  if (arg.size() < 1) 
    throw Exception("Function Close for class vtkSQLiteDatabase requires 1 argument(s)");
  vtkSQLiteDatabase* vtk_pointer = GetVTKPointer<vtkSQLiteDatabase>(arg[0]);
  Array retval;
  vtk_pointer->Close();
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteDatabase:IsOpen vtkSQLiteDatabaseIsOpenFunction
//input a0 
//output y
ArrayVector vtkSQLiteDatabaseIsOpenFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool IsOpen (); */
  if (arg.size() < 1) 
    throw Exception("Function IsOpen for class vtkSQLiteDatabase requires 1 argument(s)");
  vtkSQLiteDatabase* vtk_pointer = GetVTKPointer<vtkSQLiteDatabase>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->IsOpen();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteDatabase:GetQueryInstance vtkSQLiteDatabaseGetQueryInstanceFunction
//input a0 
//output y
ArrayVector vtkSQLiteDatabaseGetQueryInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSQLQuery *GetQueryInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function GetQueryInstance for class vtkSQLiteDatabase requires 1 argument(s)");
  vtkSQLiteDatabase* vtk_pointer = GetVTKPointer<vtkSQLiteDatabase>(arg[0]);
  Array retval;
  vtkSQLQuery  *temp20;
  temp20 = (vtk_pointer)->GetQueryInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSQLQuery",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteDatabase:GetTables vtkSQLiteDatabaseGetTablesFunction
//input a0 
//output y
ArrayVector vtkSQLiteDatabaseGetTablesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStringArray *GetTables (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTables for class vtkSQLiteDatabase requires 1 argument(s)");
  vtkSQLiteDatabase* vtk_pointer = GetVTKPointer<vtkSQLiteDatabase>(arg[0]);
  Array retval;
  vtkStringArray  *temp20;
  temp20 = (vtk_pointer)->GetTables();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStringArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteDatabase:GetRecord vtkSQLiteDatabaseGetRecordFunction
//input a0 a1 
//output y
ArrayVector vtkSQLiteDatabaseGetRecordFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStringArray *GetRecord (const char *table); */
  if (arg.size() < 2) 
    throw Exception("Function GetRecord for class vtkSQLiteDatabase requires 2 argument(s)");
  vtkSQLiteDatabase* vtk_pointer = GetVTKPointer<vtkSQLiteDatabase>(arg[0]);
  Array retval;
  char    *temp0;
  vtkStringArray  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetRecord(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStringArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteDatabase:IsSupported vtkSQLiteDatabaseIsSupportedFunction
//input a0 a1 
//output y
ArrayVector vtkSQLiteDatabaseIsSupportedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool IsSupported (int feature); */
  if (arg.size() < 2) 
    throw Exception("Function IsSupported for class vtkSQLiteDatabase requires 2 argument(s)");
  vtkSQLiteDatabase* vtk_pointer = GetVTKPointer<vtkSQLiteDatabase>(arg[0]);
  Array retval;
  int      temp0;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->IsSupported(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteDatabase:HasError vtkSQLiteDatabaseHasErrorFunction
//input a0 
//output y
ArrayVector vtkSQLiteDatabaseHasErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool HasError (); */
  if (arg.size() < 1) 
    throw Exception("Function HasError for class vtkSQLiteDatabase requires 1 argument(s)");
  vtkSQLiteDatabase* vtk_pointer = GetVTKPointer<vtkSQLiteDatabase>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->HasError();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteDatabase:GetLastErrorText vtkSQLiteDatabaseGetLastErrorTextFunction
//input a0 
//output y
ArrayVector vtkSQLiteDatabaseGetLastErrorTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetLastErrorText (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLastErrorText for class vtkSQLiteDatabase requires 1 argument(s)");
  vtkSQLiteDatabase* vtk_pointer = GetVTKPointer<vtkSQLiteDatabase>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetLastErrorText();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteDatabase:GetDatabaseType vtkSQLiteDatabaseGetDatabaseTypeFunction
//input a0 
//output y
ArrayVector vtkSQLiteDatabaseGetDatabaseTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetDatabaseType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDatabaseType for class vtkSQLiteDatabase requires 1 argument(s)");
  vtkSQLiteDatabase* vtk_pointer = GetVTKPointer<vtkSQLiteDatabase>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetDatabaseType();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteDatabase:GetDatabaseFileName vtkSQLiteDatabaseGetDatabaseFileNameFunction
//input a0 
//output y
ArrayVector vtkSQLiteDatabaseGetDatabaseFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetDatabaseFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDatabaseFileName for class vtkSQLiteDatabase requires 1 argument(s)");
  vtkSQLiteDatabase* vtk_pointer = GetVTKPointer<vtkSQLiteDatabase>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetDatabaseFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteDatabase:SetDatabaseFileName vtkSQLiteDatabaseSetDatabaseFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkSQLiteDatabaseSetDatabaseFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDatabaseFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetDatabaseFileName for class vtkSQLiteDatabase requires 2 argument(s)");
  vtkSQLiteDatabase* vtk_pointer = GetVTKPointer<vtkSQLiteDatabase>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetDatabaseFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteDatabase:GetURL vtkSQLiteDatabaseGetURLFunction
//input a0 
//output y
ArrayVector vtkSQLiteDatabaseGetURLFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkStdString GetURL (); */
  if (arg.size() < 1) 
    throw Exception("Function GetURL for class vtkSQLiteDatabase requires 1 argument(s)");
  vtkSQLiteDatabase* vtk_pointer = GetVTKPointer<vtkSQLiteDatabase>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetURL();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteDatabase:GetColumnSpecification vtkSQLiteDatabaseGetColumnSpecificationFunction
//input a0 a1 a2 a3 
//output y
ArrayVector vtkSQLiteDatabaseGetColumnSpecificationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkStdString GetColumnSpecification (vtkSQLDatabaseSchema *schema, int tblHandle, int colHandle); */
  if (arg.size() < 4) 
    throw Exception("Function GetColumnSpecification for class vtkSQLiteDatabase requires 4 argument(s)");
  vtkSQLiteDatabase* vtk_pointer = GetVTKPointer<vtkSQLiteDatabase>(arg[0]);
  Array retval;
  vtkSQLDatabaseSchema  *temp0;
  int      temp1;
  int      temp2;
  const char    *temp20;
  temp0 = GetVTKPointer<vtkSQLDatabaseSchema>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  temp20 = (vtk_pointer)->GetColumnSpecification(temp0,temp1,temp2);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteDatabase:Open vtkSQLiteDatabaseOpenFunction
//input varargin
//output varargout
ArrayVector vtkSQLiteDatabaseOpenFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2))
    return vtkSQLiteDatabaseOpen__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkSQLiteDatabaseOpen__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSQLiteDatabaseOpen");
}

//@@Signature
//sfunction @vtkSQLiteDatabase:display vtkSQLiteDatabaseDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSQLiteDatabaseDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSQLiteDatabase* vtk_pointer = GetVTKPointer<vtkSQLiteDatabase>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSQLiteDatabase:delete vtkSQLiteDatabaseDeleteFunction
//input varargin
//output none
ArrayVector vtkSQLiteDatabaseDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSQLiteDatabase
//@@Section VTKIO
//@@Usage
//
// SQLite (http://www.sqlite.org) is a public-domain SQL database
// written in C++.  It's small, fast, and can be easily embedded
// inside other applications.  Its databases are stored in files.
//
// This class provides a VTK interface to SQLite.  You do not need to
// download any external libraries: we include a copy of SQLite 3.3.16
// in VTK/Utilities/vtksqlite.  
//
// If you want to open a database that stays in memory and never gets
// written to disk, pass in the URL 'sqlite://:memory:'; otherwise,
// specifiy the file path by passing the URL 'sqlite://<file_path>'.
//
// .SECTION Thanks
// Thanks to Andrew Wilson and Philippe Pebay from Sandia National 
// Laboratories for implementing this class.
//
//
//To create an instance of class vtkSQLiteDatabase, simply
//invoke its constructor as follows
//@[
//  obj = vtkSQLiteDatabase
//@]
//@@Methods
//The class vtkSQLiteDatabase has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSQLiteDatabase class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSQLiteDatabase = obj.NewInstance ()|
// \item @|vtkSQLiteDatabase = obj.SafeDownCast (vtkObject o)|
// \item @|bool = obj.Open (string password)| -  Open a new connection to the database.  You need to set the
// filename before calling this function.  Returns true if the
// database was opened successfully; false otherwise.
// - USE_EXISTING (default) - Fail if the file does not exist.
// - USE_EXISTING_OR_CREATE - Create a new file if necessary.
// - CREATE_OR_CLEAR - Create new or clear existing file.
// - CREATE - Create new, fail if file exists.
//// \item @|bool = obj.Open (string password, int mode)| -  Open a new connection to the database.  You need to set the
// filename before calling this function.  Returns true if the
// database was opened successfully; false otherwise.
// - USE_EXISTING (default) - Fail if the file does not exist.
// - USE_EXISTING_OR_CREATE - Create a new file if necessary.
// - CREATE_OR_CLEAR - Create new or clear existing file.
// - CREATE - Create new, fail if file exists.
//// \item @|obj.Close ()| -  Close the connection to the database.
//// \item @|bool = obj.IsOpen ()| -  Return whether the database has an open connection
//// \item @|vtkSQLQuery = obj.GetQueryInstance ()| -  Return an empty query on this database.
//// \item @|vtkStringArray = obj.GetTables ()| -  Get the list of tables from the database
//// \item @|vtkStringArray = obj.GetRecord (string table)| -  Get the list of fields for a particular table
//// \item @|bool = obj.IsSupported (int feature)| -  Return whether a feature is supported by the database.
//// \item @|bool = obj.HasError ()| -  Did the last operation generate an error
//// \item @|string = obj.GetLastErrorText ()| -  Get the last error text from the database
//// \item @|string = obj.GetDatabaseType ()| -  String representing database type (e.g. "sqlite").
//// \item @|string = obj.GetDatabaseFileName ()| -  String representing the database filename.
//// \item @|obj.SetDatabaseFileName (string )| -  String representing the database filename.
//// \item @|vtkStdString = obj.GetURL ()| -  Get the URL of the database.
//// \item @|vtkStdString = obj.GetColumnSpecification (vtkSQLDatabaseSchema schema, int tblHandle, int colHandle)| -  Return the SQL string with the syntax to create a column inside a
// "CREATE TABLE" SQL statement.
// NB: this method implements the SQLite-specific syntax:
// <column name> <column type> <column attributes>
////\end{itemize}
//!
