#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSQLiteQuery object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSQLiteQuery.h"

//@@Signature
//sfunction @vtkSQLiteQuery:vtkSQLiteQuery vtkSQLiteQueryConstructorFunction
//input a
//output p
//@@Parents vtkSQLiteQuery vtkSQLQuery 
ArrayVector vtkSQLiteQueryConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSQLiteQuery::New(),"vtkSQLiteQuery",eval);
  } else if (arg[0].className() == "vtkSQLiteQuery") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSQLiteQuery"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSQLiteQuery");
    vtkSQLiteQuery*q = reinterpret_cast<vtkSQLiteQuery*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSQLiteQuery");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSQLiteQuery:GetClassName vtkSQLiteQueryGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSQLiteQueryGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSQLiteQuery requires 1 argument(s)");
  vtkSQLiteQuery* vtk_pointer = GetVTKPointer<vtkSQLiteQuery>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteQuery:IsA vtkSQLiteQueryIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSQLiteQueryIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSQLiteQuery requires 2 argument(s)");
  vtkSQLiteQuery* vtk_pointer = GetVTKPointer<vtkSQLiteQuery>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteQuery:NewInstance vtkSQLiteQueryNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSQLiteQueryNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSQLiteQuery *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSQLiteQuery requires 1 argument(s)");
  vtkSQLiteQuery* vtk_pointer = GetVTKPointer<vtkSQLiteQuery>(arg[0]);
  Array retval;
  vtkSQLiteQuery  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSQLiteQuery",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteQuery:SafeDownCast vtkSQLiteQuerySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSQLiteQuerySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSQLiteQuery *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSQLiteQuery requires 2 argument(s)");
  vtkSQLiteQuery* vtk_pointer = GetVTKPointer<vtkSQLiteQuery>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSQLiteQuery  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSQLiteQuery",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteQuery:SetQuery vtkSQLiteQuerySetQueryFunction
//input a0 a1 
//output y
ArrayVector vtkSQLiteQuerySetQueryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool SetQuery (const char *query); */
  if (arg.size() < 2) 
    throw Exception("Function SetQuery for class vtkSQLiteQuery requires 2 argument(s)");
  vtkSQLiteQuery* vtk_pointer = GetVTKPointer<vtkSQLiteQuery>(arg[0]);
  Array retval;
  char    *temp0;
  bool   temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->SetQuery(temp0);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteQuery:Execute vtkSQLiteQueryExecuteFunction
//input a0 
//output y
ArrayVector vtkSQLiteQueryExecuteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool Execute (); */
  if (arg.size() < 1) 
    throw Exception("Function Execute for class vtkSQLiteQuery requires 1 argument(s)");
  vtkSQLiteQuery* vtk_pointer = GetVTKPointer<vtkSQLiteQuery>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->Execute();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteQuery:GetNumberOfFields vtkSQLiteQueryGetNumberOfFieldsFunction
//input a0 
//output y
ArrayVector vtkSQLiteQueryGetNumberOfFieldsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfFields (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFields for class vtkSQLiteQuery requires 1 argument(s)");
  vtkSQLiteQuery* vtk_pointer = GetVTKPointer<vtkSQLiteQuery>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFields();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteQuery:GetFieldName vtkSQLiteQueryGetFieldNameFunction
//input a0 a1 
//output y
ArrayVector vtkSQLiteQueryGetFieldNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetFieldName (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetFieldName for class vtkSQLiteQuery requires 2 argument(s)");
  vtkSQLiteQuery* vtk_pointer = GetVTKPointer<vtkSQLiteQuery>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetFieldName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteQuery:GetFieldType vtkSQLiteQueryGetFieldTypeFunction
//input a0 a1 
//output y
ArrayVector vtkSQLiteQueryGetFieldTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetFieldType (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetFieldType for class vtkSQLiteQuery requires 2 argument(s)");
  vtkSQLiteQuery* vtk_pointer = GetVTKPointer<vtkSQLiteQuery>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetFieldType(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteQuery:NextRow vtkSQLiteQueryNextRowFunction
//input a0 
//output y
ArrayVector vtkSQLiteQueryNextRowFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool NextRow (); */
  if (arg.size() < 1) 
    throw Exception("Function NextRow for class vtkSQLiteQuery requires 1 argument(s)");
  vtkSQLiteQuery* vtk_pointer = GetVTKPointer<vtkSQLiteQuery>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->NextRow();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteQuery:HasError vtkSQLiteQueryHasErrorFunction
//input a0 
//output y
ArrayVector vtkSQLiteQueryHasErrorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool HasError (); */
  if (arg.size() < 1) 
    throw Exception("Function HasError for class vtkSQLiteQuery requires 1 argument(s)");
  vtkSQLiteQuery* vtk_pointer = GetVTKPointer<vtkSQLiteQuery>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->HasError();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteQuery:BeginTransaction vtkSQLiteQueryBeginTransactionFunction
//input a0 
//output y
ArrayVector vtkSQLiteQueryBeginTransactionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool BeginTransaction (); */
  if (arg.size() < 1) 
    throw Exception("Function BeginTransaction for class vtkSQLiteQuery requires 1 argument(s)");
  vtkSQLiteQuery* vtk_pointer = GetVTKPointer<vtkSQLiteQuery>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->BeginTransaction();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteQuery:RollbackTransaction vtkSQLiteQueryRollbackTransactionFunction
//input a0 
//output y
ArrayVector vtkSQLiteQueryRollbackTransactionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool RollbackTransaction (); */
  if (arg.size() < 1) 
    throw Exception("Function RollbackTransaction for class vtkSQLiteQuery requires 1 argument(s)");
  vtkSQLiteQuery* vtk_pointer = GetVTKPointer<vtkSQLiteQuery>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->RollbackTransaction();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteQuery:CommitTransaction vtkSQLiteQueryCommitTransactionFunction
//input a0 
//output y
ArrayVector vtkSQLiteQueryCommitTransactionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool CommitTransaction (); */
  if (arg.size() < 1) 
    throw Exception("Function CommitTransaction for class vtkSQLiteQuery requires 1 argument(s)");
  vtkSQLiteQuery* vtk_pointer = GetVTKPointer<vtkSQLiteQuery>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->CommitTransaction();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteQuery:GetLastErrorText vtkSQLiteQueryGetLastErrorTextFunction
//input a0 
//output y
ArrayVector vtkSQLiteQueryGetLastErrorTextFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetLastErrorText (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLastErrorText for class vtkSQLiteQuery requires 1 argument(s)");
  vtkSQLiteQuery* vtk_pointer = GetVTKPointer<vtkSQLiteQuery>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetLastErrorText();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteQuery:BindParameter__1 vtkSQLiteQueryBindParameter__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkSQLiteQueryBindParameter__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool BindParameter (int index, int value); */
  if (arg.size() < 3) 
    throw Exception("Function BindParameter__1 for class vtkSQLiteQuery requires 3 argument(s)");
  vtkSQLiteQuery* vtk_pointer = GetVTKPointer<vtkSQLiteQuery>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  temp20 = (vtk_pointer)->BindParameter(temp0,temp1);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteQuery:BindParameter__2 vtkSQLiteQueryBindParameter__2Function
//input a0 a1 a2 
//output y
ArrayVector vtkSQLiteQueryBindParameter__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool BindParameter (int index, float value); */
  if (arg.size() < 3) 
    throw Exception("Function BindParameter__2 for class vtkSQLiteQuery requires 3 argument(s)");
  vtkSQLiteQuery* vtk_pointer = GetVTKPointer<vtkSQLiteQuery>(arg[0]);
  Array retval;
  int      temp0;
  float    temp1;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  temp20 = (vtk_pointer)->BindParameter(temp0,temp1);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteQuery:BindParameter__3 vtkSQLiteQueryBindParameter__3Function
//input a0 a1 a2 
//output y
ArrayVector vtkSQLiteQueryBindParameter__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool BindParameter (int index, double value); */
  if (arg.size() < 3) 
    throw Exception("Function BindParameter__3 for class vtkSQLiteQuery requires 3 argument(s)");
  vtkSQLiteQuery* vtk_pointer = GetVTKPointer<vtkSQLiteQuery>(arg[0]);
  Array retval;
  int      temp0;
  double   temp1;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  temp20 = (vtk_pointer)->BindParameter(temp0,temp1);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteQuery:BindParameter__4 vtkSQLiteQueryBindParameter__4Function
//input a0 a1 a2 
//output y
ArrayVector vtkSQLiteQueryBindParameter__4Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool BindParameter (int index, const char *stringValue); */
  if (arg.size() < 3) 
    throw Exception("Function BindParameter__4 for class vtkSQLiteQuery requires 3 argument(s)");
  vtkSQLiteQuery* vtk_pointer = GetVTKPointer<vtkSQLiteQuery>(arg[0]);
  Array retval;
  int      temp0;
  char    *temp1;
  bool   temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  temp20 = (vtk_pointer)->BindParameter(temp0,temp1);
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteQuery:ClearParameterBindings vtkSQLiteQueryClearParameterBindingsFunction
//input a0 
//output y
ArrayVector vtkSQLiteQueryClearParameterBindingsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool ClearParameterBindings (); */
  if (arg.size() < 1) 
    throw Exception("Function ClearParameterBindings for class vtkSQLiteQuery requires 1 argument(s)");
  vtkSQLiteQuery* vtk_pointer = GetVTKPointer<vtkSQLiteQuery>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->ClearParameterBindings();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkSQLiteQuery:BindParameter vtkSQLiteQueryBindParameterFunction
//input varargin
//output varargout
ArrayVector vtkSQLiteQueryBindParameterFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkSQLiteQueryBindParameter__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkSQLiteQueryBindParameter__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkSQLiteQueryBindParameter__3Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]))
    return vtkSQLiteQueryBindParameter__4Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkSQLiteQueryBindParameter");
}

//@@Signature
//sfunction @vtkSQLiteQuery:display vtkSQLiteQueryDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSQLiteQueryDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSQLiteQuery* vtk_pointer = GetVTKPointer<vtkSQLiteQuery>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSQLiteQuery:delete vtkSQLiteQueryDeleteFunction
//input varargin
//output none
ArrayVector vtkSQLiteQueryDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSQLiteQuery
//@@Section VTKIO
//@@Usage
//
// This is an implementation of vtkSQLQuery for SQLite databases.  See
// the documentation for vtkSQLQuery for information about what the
// methods do.
//
// .SECTION Bugs
//
// Sometimes Execute() will return false (meaning an error) but
// GetLastErrorText() winds up null.  I am not certain why this is
// happening.
//
// .SECTION Thanks
// Thanks to Andrew Wilson from Sandia National Laboratories for implementing
// this class.
//
//
//To create an instance of class vtkSQLiteQuery, simply
//invoke its constructor as follows
//@[
//  obj = vtkSQLiteQuery
//@]
//@@Methods
//The class vtkSQLiteQuery has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSQLiteQuery class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSQLiteQuery = obj.NewInstance ()|
// \item @|vtkSQLiteQuery = obj.SafeDownCast (vtkObject o)|
// \item @|bool = obj.SetQuery (string query)| -  Set the SQL query string.  This must be performed before
// Execute() or BindParameter() can be called.
//// \item @|bool = obj.Execute ()| -  Execute the query.  This must be performed
// before any field name or data access functions
// are used.
//// \item @|int = obj.GetNumberOfFields ()| -  The number of fields in the query result.
//// \item @|string = obj.GetFieldName (int i)| -  Return the name of the specified query field.
//// \item @|int = obj.GetFieldType (int i)| -  Return the type of the field, using the constants defined in vtkType.h.
//// \item @|bool = obj.NextRow ()| -  Advance row, return false if past end.
//// \item @|bool = obj.HasError ()| -  Return true if there is an error on the current query.
//// \item @|bool = obj.BeginTransaction ()| -  Begin, abort (roll back), or commit a transaction.
//// \item @|bool = obj.RollbackTransaction ()| -  Begin, abort (roll back), or commit a transaction.
//// \item @|bool = obj.CommitTransaction ()| -  Begin, abort (roll back), or commit a transaction.
//// \item @|string = obj.GetLastErrorText ()| -  Get the last error text from the query
//// \item @|bool = obj.BindParameter (int index, int value)| -  The following methods bind a parameter value to a placeholder in
// the SQL string.  See the documentation for vtkSQLQuery for
// further explanation.  The driver makes internal copies of string
// and BLOB parameters so you don't need to worry about keeping them
// in scope until the query finishes executing.
//// \item @|bool = obj.BindParameter (int index, float value)| -  The following methods bind a parameter value to a placeholder in
// the SQL string.  See the documentation for vtkSQLQuery for
// further explanation.  The driver makes internal copies of string
// and BLOB parameters so you don't need to worry about keeping them
// in scope until the query finishes executing.
//// \item @|bool = obj.BindParameter (int index, double value)| -  The following methods bind a parameter value to a placeholder in
// the SQL string.  See the documentation for vtkSQLQuery for
// further explanation.  The driver makes internal copies of string
// and BLOB parameters so you don't need to worry about keeping them
// in scope until the query finishes executing.
//// \item @|bool = obj.BindParameter (int index, string stringValue)| -  Bind a string value -- string must be null-terminated
//// \item @|bool = obj.ClearParameterBindings ()| -  Bind a blob value.  Not all databases support blobs as a data
// type.  Check vtkSQLDatabase::IsSupported(VTK_SQL_FEATURE_BLOB) to
// make sure.
////\end{itemize}
//!
