#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSTLReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSTLReader.h"

//@@Signature
//sfunction @vtkSTLReader:vtkSTLReader vtkSTLReaderConstructorFunction
//input a
//output p
//@@Parents vtkSTLReader vtkPolyDataAlgorithm 
ArrayVector vtkSTLReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSTLReader::New(),"vtkSTLReader",eval);
  } else if (arg[0].className() == "vtkSTLReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSTLReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSTLReader");
    vtkSTLReader*q = reinterpret_cast<vtkSTLReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSTLReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSTLReader:GetClassName vtkSTLReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSTLReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSTLReader requires 1 argument(s)");
  vtkSTLReader* vtk_pointer = GetVTKPointer<vtkSTLReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSTLReader:IsA vtkSTLReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSTLReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSTLReader requires 2 argument(s)");
  vtkSTLReader* vtk_pointer = GetVTKPointer<vtkSTLReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSTLReader:NewInstance vtkSTLReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSTLReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSTLReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSTLReader requires 1 argument(s)");
  vtkSTLReader* vtk_pointer = GetVTKPointer<vtkSTLReader>(arg[0]);
  Array retval;
  vtkSTLReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSTLReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSTLReader:SafeDownCast vtkSTLReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSTLReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSTLReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSTLReader requires 2 argument(s)");
  vtkSTLReader* vtk_pointer = GetVTKPointer<vtkSTLReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSTLReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSTLReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSTLReader:GetMTime vtkSTLReaderGetMTimeFunction
//input a0 
//output y
ArrayVector vtkSTLReaderGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkSTLReader requires 1 argument(s)");
  vtkSTLReader* vtk_pointer = GetVTKPointer<vtkSTLReader>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSTLReader:SetFileName vtkSTLReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkSTLReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkSTLReader requires 2 argument(s)");
  vtkSTLReader* vtk_pointer = GetVTKPointer<vtkSTLReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSTLReader:GetFileName vtkSTLReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkSTLReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkSTLReader requires 1 argument(s)");
  vtkSTLReader* vtk_pointer = GetVTKPointer<vtkSTLReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSTLReader:SetMerging vtkSTLReaderSetMergingFunction
//input a0 a1 
//output none
ArrayVector vtkSTLReaderSetMergingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMerging (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMerging for class vtkSTLReader requires 2 argument(s)");
  vtkSTLReader* vtk_pointer = GetVTKPointer<vtkSTLReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMerging(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSTLReader:GetMerging vtkSTLReaderGetMergingFunction
//input a0 
//output y
ArrayVector vtkSTLReaderGetMergingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMerging (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMerging for class vtkSTLReader requires 1 argument(s)");
  vtkSTLReader* vtk_pointer = GetVTKPointer<vtkSTLReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMerging();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSTLReader:MergingOn vtkSTLReaderMergingOnFunction
//input a0 
//output none
ArrayVector vtkSTLReaderMergingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MergingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function MergingOn for class vtkSTLReader requires 1 argument(s)");
  vtkSTLReader* vtk_pointer = GetVTKPointer<vtkSTLReader>(arg[0]);
  Array retval;
  vtk_pointer->MergingOn();
  return retval;
}

//@@Signature
//sfunction @vtkSTLReader:MergingOff vtkSTLReaderMergingOffFunction
//input a0 
//output none
ArrayVector vtkSTLReaderMergingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MergingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function MergingOff for class vtkSTLReader requires 1 argument(s)");
  vtkSTLReader* vtk_pointer = GetVTKPointer<vtkSTLReader>(arg[0]);
  Array retval;
  vtk_pointer->MergingOff();
  return retval;
}

//@@Signature
//sfunction @vtkSTLReader:SetScalarTags vtkSTLReaderSetScalarTagsFunction
//input a0 a1 
//output none
ArrayVector vtkSTLReaderSetScalarTagsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetScalarTags (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetScalarTags for class vtkSTLReader requires 2 argument(s)");
  vtkSTLReader* vtk_pointer = GetVTKPointer<vtkSTLReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetScalarTags(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSTLReader:GetScalarTags vtkSTLReaderGetScalarTagsFunction
//input a0 
//output y
ArrayVector vtkSTLReaderGetScalarTagsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScalarTags (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScalarTags for class vtkSTLReader requires 1 argument(s)");
  vtkSTLReader* vtk_pointer = GetVTKPointer<vtkSTLReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScalarTags();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSTLReader:ScalarTagsOn vtkSTLReaderScalarTagsOnFunction
//input a0 
//output none
ArrayVector vtkSTLReaderScalarTagsOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScalarTagsOn (); */
  if (arg.size() < 1) 
    throw Exception("Function ScalarTagsOn for class vtkSTLReader requires 1 argument(s)");
  vtkSTLReader* vtk_pointer = GetVTKPointer<vtkSTLReader>(arg[0]);
  Array retval;
  vtk_pointer->ScalarTagsOn();
  return retval;
}

//@@Signature
//sfunction @vtkSTLReader:ScalarTagsOff vtkSTLReaderScalarTagsOffFunction
//input a0 
//output none
ArrayVector vtkSTLReaderScalarTagsOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ScalarTagsOff (); */
  if (arg.size() < 1) 
    throw Exception("Function ScalarTagsOff for class vtkSTLReader requires 1 argument(s)");
  vtkSTLReader* vtk_pointer = GetVTKPointer<vtkSTLReader>(arg[0]);
  Array retval;
  vtk_pointer->ScalarTagsOff();
  return retval;
}

//@@Signature
//sfunction @vtkSTLReader:SetLocator vtkSTLReaderSetLocatorFunction
//input a0 a1 
//output none
ArrayVector vtkSTLReaderSetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLocator (vtkIncrementalPointLocator *locator); */
  if (arg.size() < 2) 
    throw Exception("Function SetLocator for class vtkSTLReader requires 2 argument(s)");
  vtkSTLReader* vtk_pointer = GetVTKPointer<vtkSTLReader>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp0;
  temp0 = GetVTKPointer<vtkIncrementalPointLocator>(arg[1]);
  vtk_pointer->SetLocator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSTLReader:GetLocator vtkSTLReaderGetLocatorFunction
//input a0 
//output y
ArrayVector vtkSTLReaderGetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalPointLocator *GetLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocator for class vtkSTLReader requires 1 argument(s)");
  vtkSTLReader* vtk_pointer = GetVTKPointer<vtkSTLReader>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp20;
  temp20 = (vtk_pointer)->GetLocator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSTLReader:CreateDefaultLocator vtkSTLReaderCreateDefaultLocatorFunction
//input a0 
//output none
ArrayVector vtkSTLReaderCreateDefaultLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultLocator for class vtkSTLReader requires 1 argument(s)");
  vtkSTLReader* vtk_pointer = GetVTKPointer<vtkSTLReader>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultLocator();
  return retval;
}

//@@Signature
//sfunction @vtkSTLReader:display vtkSTLReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSTLReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSTLReader* vtk_pointer = GetVTKPointer<vtkSTLReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSTLReader:delete vtkSTLReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkSTLReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSTLReader
//@@Section VTKIO
//@@Usage
// vtkSTLReader is a source object that reads ASCII or binary stereo 
// lithography files (.stl files). The FileName must be specified to
// vtkSTLReader. The object automatically detects whether the file is
// ASCII or binary.
//
// .stl files are quite inefficient since they duplicate vertex 
// definitions. By setting the Merging boolean you can control whether the 
// point data is merged after reading. Merging is performed by default, 
// however, merging requires a large amount of temporary storage since a 
// 3D hash table must be constructed.
//
//To create an instance of class vtkSTLReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkSTLReader
//@]
//@@Methods
//The class vtkSTLReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSTLReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSTLReader = obj.NewInstance ()|
// \item @|vtkSTLReader = obj.SafeDownCast (vtkObject o)|
// \item @|long = obj.GetMTime ()| -  Overload standard modified time function. If locator is modified,
// then this object is modified as well.
//// \item @|obj.SetFileName (string )| -  Specify file name of stereo lithography file.
//// \item @|string = obj.GetFileName ()| -  Specify file name of stereo lithography file.
//// \item @|obj.SetMerging (int )| -  Turn on/off merging of points/triangles.
//// \item @|int = obj.GetMerging ()| -  Turn on/off merging of points/triangles.
//// \item @|obj.MergingOn ()| -  Turn on/off merging of points/triangles.
//// \item @|obj.MergingOff ()| -  Turn on/off merging of points/triangles.
//// \item @|obj.SetScalarTags (int )| -  Turn on/off tagging of solids with scalars.
//// \item @|int = obj.GetScalarTags ()| -  Turn on/off tagging of solids with scalars.
//// \item @|obj.ScalarTagsOn ()| -  Turn on/off tagging of solids with scalars.
//// \item @|obj.ScalarTagsOff ()| -  Turn on/off tagging of solids with scalars.
//// \item @|obj.SetLocator (vtkIncrementalPointLocator locator)| -  Specify a spatial locator for merging points. By
// default an instance of vtkMergePoints is used.
//// \item @|vtkIncrementalPointLocator = obj.GetLocator ()| -  Specify a spatial locator for merging points. By
// default an instance of vtkMergePoints is used.
//// \item @|obj.CreateDefaultLocator ()| -  Create default locator. Used to create one when none is specified.
////\end{itemize}
//!
