#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSTLWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSTLWriter.h"

//@@Signature
//sfunction @vtkSTLWriter:vtkSTLWriter vtkSTLWriterConstructorFunction
//input a
//output p
//@@Parents vtkSTLWriter vtkPolyDataWriter 
ArrayVector vtkSTLWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSTLWriter::New(),"vtkSTLWriter",eval);
  } else if (arg[0].className() == "vtkSTLWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSTLWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSTLWriter");
    vtkSTLWriter*q = reinterpret_cast<vtkSTLWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSTLWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSTLWriter:GetClassName vtkSTLWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSTLWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSTLWriter requires 1 argument(s)");
  vtkSTLWriter* vtk_pointer = GetVTKPointer<vtkSTLWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSTLWriter:IsA vtkSTLWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSTLWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSTLWriter requires 2 argument(s)");
  vtkSTLWriter* vtk_pointer = GetVTKPointer<vtkSTLWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSTLWriter:NewInstance vtkSTLWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSTLWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSTLWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSTLWriter requires 1 argument(s)");
  vtkSTLWriter* vtk_pointer = GetVTKPointer<vtkSTLWriter>(arg[0]);
  Array retval;
  vtkSTLWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSTLWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSTLWriter:SafeDownCast vtkSTLWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSTLWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSTLWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSTLWriter requires 2 argument(s)");
  vtkSTLWriter* vtk_pointer = GetVTKPointer<vtkSTLWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSTLWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSTLWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSTLWriter:display vtkSTLWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSTLWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSTLWriter* vtk_pointer = GetVTKPointer<vtkSTLWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSTLWriter:delete vtkSTLWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkSTLWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSTLWriter
//@@Section VTKIO
//@@Usage
// vtkSTLWriter writes stereo lithography (.stl) files in either ASCII or
// binary form. Stereo lithography files only contain triangles. If polygons
// with more than 3 vertices are present, only the first 3 vertices are
// written.  Use vtkTriangleFilter to convert polygons to triangles.
//
//To create an instance of class vtkSTLWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkSTLWriter
//@]
//@@Methods
//The class vtkSTLWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSTLWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSTLWriter = obj.NewInstance ()|
// \item @|vtkSTLWriter = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
