#include "VTKWrap.hpp"

// FreeMat wrapper for vtkShaderCodeLibrary object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkShaderCodeLibrary.h"

//@@Signature
//sfunction @vtkShaderCodeLibrary:vtkShaderCodeLibrary vtkShaderCodeLibraryConstructorFunction
//input a
//output p
//@@Parents vtkShaderCodeLibrary vtkObject 
ArrayVector vtkShaderCodeLibraryConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkShaderCodeLibrary::New(),"vtkShaderCodeLibrary",eval);
  } else if (arg[0].className() == "vtkShaderCodeLibrary") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkShaderCodeLibrary"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkShaderCodeLibrary");
    vtkShaderCodeLibrary*q = reinterpret_cast<vtkShaderCodeLibrary*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkShaderCodeLibrary");
    return ret;
  }
}
//@@Signature
//sfunction @vtkShaderCodeLibrary:GetClassName vtkShaderCodeLibraryGetClassNameFunction
//input a0 
//output y
ArrayVector vtkShaderCodeLibraryGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkShaderCodeLibrary requires 1 argument(s)");
  vtkShaderCodeLibrary* vtk_pointer = GetVTKPointer<vtkShaderCodeLibrary>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShaderCodeLibrary:IsA vtkShaderCodeLibraryIsAFunction
//input a0 a1 
//output y
ArrayVector vtkShaderCodeLibraryIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkShaderCodeLibrary requires 2 argument(s)");
  vtkShaderCodeLibrary* vtk_pointer = GetVTKPointer<vtkShaderCodeLibrary>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShaderCodeLibrary:NewInstance vtkShaderCodeLibraryNewInstanceFunction
//input a0 
//output y
ArrayVector vtkShaderCodeLibraryNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkShaderCodeLibrary *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkShaderCodeLibrary requires 1 argument(s)");
  vtkShaderCodeLibrary* vtk_pointer = GetVTKPointer<vtkShaderCodeLibrary>(arg[0]);
  Array retval;
  vtkShaderCodeLibrary  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkShaderCodeLibrary",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkShaderCodeLibrary:SafeDownCast vtkShaderCodeLibrarySafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkShaderCodeLibrarySafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkShaderCodeLibrary *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkShaderCodeLibrary requires 2 argument(s)");
  vtkShaderCodeLibrary* vtk_pointer = GetVTKPointer<vtkShaderCodeLibrary>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkShaderCodeLibrary  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkShaderCodeLibrary",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkShaderCodeLibrary:GetShaderCode vtkShaderCodeLibraryGetShaderCodeFunction
//input a0 a1 
//output y
ArrayVector vtkShaderCodeLibraryGetShaderCodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static char *GetShaderCode (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetShaderCode for class vtkShaderCodeLibrary requires 2 argument(s)");
  vtkShaderCodeLibrary* vtk_pointer = GetVTKPointer<vtkShaderCodeLibrary>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetShaderCode(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkShaderCodeLibrary:RegisterShaderCode vtkShaderCodeLibraryRegisterShaderCodeFunction
//input a0 a1 a2 
//output none
ArrayVector vtkShaderCodeLibraryRegisterShaderCodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void RegisterShaderCode (const char *name, const char *code); */
  if (arg.size() < 3) 
    throw Exception("Function RegisterShaderCode for class vtkShaderCodeLibrary requires 3 argument(s)");
  vtkShaderCodeLibrary* vtk_pointer = GetVTKPointer<vtkShaderCodeLibrary>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->RegisterShaderCode(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkShaderCodeLibrary:display vtkShaderCodeLibraryDisplayFunction
//input varargin
//output varargout
ArrayVector vtkShaderCodeLibraryDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkShaderCodeLibrary* vtk_pointer = GetVTKPointer<vtkShaderCodeLibrary>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkShaderCodeLibrary:delete vtkShaderCodeLibraryDeleteFunction
//input varargin
//output none
ArrayVector vtkShaderCodeLibraryDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkShaderCodeLibrary
//@@Section VTKIO
//@@Usage
// This class provides the hardware shader code.
// .SECTION Thanks
// Shader support in VTK includes key contributions by Gary Templet at 
// Sandia National Labs.
//
//To create an instance of class vtkShaderCodeLibrary, simply
//invoke its constructor as follows
//@[
//  obj = vtkShaderCodeLibrary
//@]
//@@Methods
//The class vtkShaderCodeLibrary has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkShaderCodeLibrary class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkShaderCodeLibrary = obj.NewInstance ()|
// \item @|vtkShaderCodeLibrary = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
