#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSimplePointsReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSimplePointsReader.h"

//@@Signature
//sfunction @vtkSimplePointsReader:vtkSimplePointsReader vtkSimplePointsReaderConstructorFunction
//input a
//output p
//@@Parents vtkSimplePointsReader vtkPolyDataAlgorithm 
ArrayVector vtkSimplePointsReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSimplePointsReader::New(),"vtkSimplePointsReader",eval);
  } else if (arg[0].className() == "vtkSimplePointsReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSimplePointsReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSimplePointsReader");
    vtkSimplePointsReader*q = reinterpret_cast<vtkSimplePointsReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSimplePointsReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSimplePointsReader:GetClassName vtkSimplePointsReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSimplePointsReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSimplePointsReader requires 1 argument(s)");
  vtkSimplePointsReader* vtk_pointer = GetVTKPointer<vtkSimplePointsReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimplePointsReader:IsA vtkSimplePointsReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSimplePointsReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSimplePointsReader requires 2 argument(s)");
  vtkSimplePointsReader* vtk_pointer = GetVTKPointer<vtkSimplePointsReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimplePointsReader:NewInstance vtkSimplePointsReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSimplePointsReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSimplePointsReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSimplePointsReader requires 1 argument(s)");
  vtkSimplePointsReader* vtk_pointer = GetVTKPointer<vtkSimplePointsReader>(arg[0]);
  Array retval;
  vtkSimplePointsReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSimplePointsReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSimplePointsReader:SafeDownCast vtkSimplePointsReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSimplePointsReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSimplePointsReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSimplePointsReader requires 2 argument(s)");
  vtkSimplePointsReader* vtk_pointer = GetVTKPointer<vtkSimplePointsReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSimplePointsReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSimplePointsReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSimplePointsReader:SetFileName vtkSimplePointsReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkSimplePointsReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkSimplePointsReader requires 2 argument(s)");
  vtkSimplePointsReader* vtk_pointer = GetVTKPointer<vtkSimplePointsReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSimplePointsReader:GetFileName vtkSimplePointsReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkSimplePointsReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkSimplePointsReader requires 1 argument(s)");
  vtkSimplePointsReader* vtk_pointer = GetVTKPointer<vtkSimplePointsReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSimplePointsReader:display vtkSimplePointsReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSimplePointsReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSimplePointsReader* vtk_pointer = GetVTKPointer<vtkSimplePointsReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSimplePointsReader:delete vtkSimplePointsReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkSimplePointsReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSimplePointsReader
//@@Section VTKIO
//@@Usage
// vtkSimplePointsReader is a source object that reads a list of
// points from a file.  Each point is specified by three
// floating-point values in ASCII format.  There is one point per line
// of the file.  A vertex cell is created for each point in the
// output.  This reader is meant as an example of how to write a
// reader in VTK.
//
//To create an instance of class vtkSimplePointsReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkSimplePointsReader
//@]
//@@Methods
//The class vtkSimplePointsReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSimplePointsReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSimplePointsReader = obj.NewInstance ()|
// \item @|vtkSimplePointsReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string )| -  Set/Get the name of the file from which to read points.
//// \item @|string = obj.GetFileName ()| -  Set/Get the name of the file from which to read points.
////\end{itemize}
//!
