#include "VTKWrap.hpp"

// FreeMat wrapper for vtkSortFileNames object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkSortFileNames.h"

//@@Signature
//sfunction @vtkSortFileNames:vtkSortFileNames vtkSortFileNamesConstructorFunction
//input a
//output p
//@@Parents vtkSortFileNames vtkObject 
ArrayVector vtkSortFileNamesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkSortFileNames::New(),"vtkSortFileNames",eval);
  } else if (arg[0].className() == "vtkSortFileNames") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkSortFileNames"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkSortFileNames");
    vtkSortFileNames*q = reinterpret_cast<vtkSortFileNames*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkSortFileNames");
    return ret;
  }
}
//@@Signature
//sfunction @vtkSortFileNames:GetClassName vtkSortFileNamesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkSortFileNamesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkSortFileNames requires 1 argument(s)");
  vtkSortFileNames* vtk_pointer = GetVTKPointer<vtkSortFileNames>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSortFileNames:IsA vtkSortFileNamesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkSortFileNamesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkSortFileNames requires 2 argument(s)");
  vtkSortFileNames* vtk_pointer = GetVTKPointer<vtkSortFileNames>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSortFileNames:NewInstance vtkSortFileNamesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkSortFileNamesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSortFileNames *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkSortFileNames requires 1 argument(s)");
  vtkSortFileNames* vtk_pointer = GetVTKPointer<vtkSortFileNames>(arg[0]);
  Array retval;
  vtkSortFileNames  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSortFileNames",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSortFileNames:SafeDownCast vtkSortFileNamesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkSortFileNamesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSortFileNames *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkSortFileNames requires 2 argument(s)");
  vtkSortFileNames* vtk_pointer = GetVTKPointer<vtkSortFileNames>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkSortFileNames  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSortFileNames",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSortFileNames:SetGrouping vtkSortFileNamesSetGroupingFunction
//input a0 a1 
//output none
ArrayVector vtkSortFileNamesSetGroupingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGrouping (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGrouping for class vtkSortFileNames requires 2 argument(s)");
  vtkSortFileNames* vtk_pointer = GetVTKPointer<vtkSortFileNames>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGrouping(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSortFileNames:GetGrouping vtkSortFileNamesGetGroupingFunction
//input a0 
//output y
ArrayVector vtkSortFileNamesGetGroupingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGrouping (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGrouping for class vtkSortFileNames requires 1 argument(s)");
  vtkSortFileNames* vtk_pointer = GetVTKPointer<vtkSortFileNames>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGrouping();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSortFileNames:GroupingOn vtkSortFileNamesGroupingOnFunction
//input a0 
//output none
ArrayVector vtkSortFileNamesGroupingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GroupingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function GroupingOn for class vtkSortFileNames requires 1 argument(s)");
  vtkSortFileNames* vtk_pointer = GetVTKPointer<vtkSortFileNames>(arg[0]);
  Array retval;
  vtk_pointer->GroupingOn();
  return retval;
}

//@@Signature
//sfunction @vtkSortFileNames:GroupingOff vtkSortFileNamesGroupingOffFunction
//input a0 
//output none
ArrayVector vtkSortFileNamesGroupingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void GroupingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function GroupingOff for class vtkSortFileNames requires 1 argument(s)");
  vtkSortFileNames* vtk_pointer = GetVTKPointer<vtkSortFileNames>(arg[0]);
  Array retval;
  vtk_pointer->GroupingOff();
  return retval;
}

//@@Signature
//sfunction @vtkSortFileNames:SetNumericSort vtkSortFileNamesSetNumericSortFunction
//input a0 a1 
//output none
ArrayVector vtkSortFileNamesSetNumericSortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumericSort (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumericSort for class vtkSortFileNames requires 2 argument(s)");
  vtkSortFileNames* vtk_pointer = GetVTKPointer<vtkSortFileNames>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumericSort(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSortFileNames:GetNumericSort vtkSortFileNamesGetNumericSortFunction
//input a0 
//output y
ArrayVector vtkSortFileNamesGetNumericSortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumericSort (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumericSort for class vtkSortFileNames requires 1 argument(s)");
  vtkSortFileNames* vtk_pointer = GetVTKPointer<vtkSortFileNames>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumericSort();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSortFileNames:NumericSortOn vtkSortFileNamesNumericSortOnFunction
//input a0 
//output none
ArrayVector vtkSortFileNamesNumericSortOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NumericSortOn (); */
  if (arg.size() < 1) 
    throw Exception("Function NumericSortOn for class vtkSortFileNames requires 1 argument(s)");
  vtkSortFileNames* vtk_pointer = GetVTKPointer<vtkSortFileNames>(arg[0]);
  Array retval;
  vtk_pointer->NumericSortOn();
  return retval;
}

//@@Signature
//sfunction @vtkSortFileNames:NumericSortOff vtkSortFileNamesNumericSortOffFunction
//input a0 
//output none
ArrayVector vtkSortFileNamesNumericSortOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void NumericSortOff (); */
  if (arg.size() < 1) 
    throw Exception("Function NumericSortOff for class vtkSortFileNames requires 1 argument(s)");
  vtkSortFileNames* vtk_pointer = GetVTKPointer<vtkSortFileNames>(arg[0]);
  Array retval;
  vtk_pointer->NumericSortOff();
  return retval;
}

//@@Signature
//sfunction @vtkSortFileNames:SetIgnoreCase vtkSortFileNamesSetIgnoreCaseFunction
//input a0 a1 
//output none
ArrayVector vtkSortFileNamesSetIgnoreCaseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIgnoreCase (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIgnoreCase for class vtkSortFileNames requires 2 argument(s)");
  vtkSortFileNames* vtk_pointer = GetVTKPointer<vtkSortFileNames>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIgnoreCase(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSortFileNames:GetIgnoreCase vtkSortFileNamesGetIgnoreCaseFunction
//input a0 
//output y
ArrayVector vtkSortFileNamesGetIgnoreCaseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIgnoreCase (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIgnoreCase for class vtkSortFileNames requires 1 argument(s)");
  vtkSortFileNames* vtk_pointer = GetVTKPointer<vtkSortFileNames>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIgnoreCase();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSortFileNames:IgnoreCaseOn vtkSortFileNamesIgnoreCaseOnFunction
//input a0 
//output none
ArrayVector vtkSortFileNamesIgnoreCaseOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IgnoreCaseOn (); */
  if (arg.size() < 1) 
    throw Exception("Function IgnoreCaseOn for class vtkSortFileNames requires 1 argument(s)");
  vtkSortFileNames* vtk_pointer = GetVTKPointer<vtkSortFileNames>(arg[0]);
  Array retval;
  vtk_pointer->IgnoreCaseOn();
  return retval;
}

//@@Signature
//sfunction @vtkSortFileNames:IgnoreCaseOff vtkSortFileNamesIgnoreCaseOffFunction
//input a0 
//output none
ArrayVector vtkSortFileNamesIgnoreCaseOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void IgnoreCaseOff (); */
  if (arg.size() < 1) 
    throw Exception("Function IgnoreCaseOff for class vtkSortFileNames requires 1 argument(s)");
  vtkSortFileNames* vtk_pointer = GetVTKPointer<vtkSortFileNames>(arg[0]);
  Array retval;
  vtk_pointer->IgnoreCaseOff();
  return retval;
}

//@@Signature
//sfunction @vtkSortFileNames:SetSkipDirectories vtkSortFileNamesSetSkipDirectoriesFunction
//input a0 a1 
//output none
ArrayVector vtkSortFileNamesSetSkipDirectoriesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSkipDirectories (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSkipDirectories for class vtkSortFileNames requires 2 argument(s)");
  vtkSortFileNames* vtk_pointer = GetVTKPointer<vtkSortFileNames>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetSkipDirectories(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSortFileNames:GetSkipDirectories vtkSortFileNamesGetSkipDirectoriesFunction
//input a0 
//output y
ArrayVector vtkSortFileNamesGetSkipDirectoriesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetSkipDirectories (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSkipDirectories for class vtkSortFileNames requires 1 argument(s)");
  vtkSortFileNames* vtk_pointer = GetVTKPointer<vtkSortFileNames>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetSkipDirectories();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSortFileNames:SkipDirectoriesOn vtkSortFileNamesSkipDirectoriesOnFunction
//input a0 
//output none
ArrayVector vtkSortFileNamesSkipDirectoriesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SkipDirectoriesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SkipDirectoriesOn for class vtkSortFileNames requires 1 argument(s)");
  vtkSortFileNames* vtk_pointer = GetVTKPointer<vtkSortFileNames>(arg[0]);
  Array retval;
  vtk_pointer->SkipDirectoriesOn();
  return retval;
}

//@@Signature
//sfunction @vtkSortFileNames:SkipDirectoriesOff vtkSortFileNamesSkipDirectoriesOffFunction
//input a0 
//output none
ArrayVector vtkSortFileNamesSkipDirectoriesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SkipDirectoriesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SkipDirectoriesOff for class vtkSortFileNames requires 1 argument(s)");
  vtkSortFileNames* vtk_pointer = GetVTKPointer<vtkSortFileNames>(arg[0]);
  Array retval;
  vtk_pointer->SkipDirectoriesOff();
  return retval;
}

//@@Signature
//sfunction @vtkSortFileNames:SetInputFileNames vtkSortFileNamesSetInputFileNamesFunction
//input a0 a1 
//output none
ArrayVector vtkSortFileNamesSetInputFileNamesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInputFileNames (vtkStringArray *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInputFileNames for class vtkSortFileNames requires 2 argument(s)");
  vtkSortFileNames* vtk_pointer = GetVTKPointer<vtkSortFileNames>(arg[0]);
  Array retval;
  vtkStringArray  *temp0;
  temp0 = GetVTKPointer<vtkStringArray>(arg[1]);
  vtk_pointer->SetInputFileNames(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkSortFileNames:GetInputFileNames vtkSortFileNamesGetInputFileNamesFunction
//input a0 
//output y
ArrayVector vtkSortFileNamesGetInputFileNamesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStringArray *GetInputFileNames (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInputFileNames for class vtkSortFileNames requires 1 argument(s)");
  vtkSortFileNames* vtk_pointer = GetVTKPointer<vtkSortFileNames>(arg[0]);
  Array retval;
  vtkStringArray  *temp20;
  temp20 = (vtk_pointer)->GetInputFileNames();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStringArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSortFileNames:GetFileNames vtkSortFileNamesGetFileNamesFunction
//input a0 
//output y
ArrayVector vtkSortFileNamesGetFileNamesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkStringArray *GetFileNames (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileNames for class vtkSortFileNames requires 1 argument(s)");
  vtkSortFileNames* vtk_pointer = GetVTKPointer<vtkSortFileNames>(arg[0]);
  Array retval;
  vtkStringArray  *temp20;
  temp20 = (vtk_pointer)->GetFileNames();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStringArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSortFileNames:GetNumberOfGroups vtkSortFileNamesGetNumberOfGroupsFunction
//input a0 
//output y
ArrayVector vtkSortFileNamesGetNumberOfGroupsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int GetNumberOfGroups (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfGroups for class vtkSortFileNames requires 1 argument(s)");
  vtkSortFileNames* vtk_pointer = GetVTKPointer<vtkSortFileNames>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfGroups();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkSortFileNames:GetNthGroup vtkSortFileNamesGetNthGroupFunction
//input a0 a1 
//output y
ArrayVector vtkSortFileNamesGetNthGroupFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkStringArray *GetNthGroup (int i); */
  if (arg.size() < 2) 
    throw Exception("Function GetNthGroup for class vtkSortFileNames requires 2 argument(s)");
  vtkSortFileNames* vtk_pointer = GetVTKPointer<vtkSortFileNames>(arg[0]);
  Array retval;
  int      temp0;
  vtkStringArray  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetNthGroup(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStringArray",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkSortFileNames:Update vtkSortFileNamesUpdateFunction
//input a0 
//output none
ArrayVector vtkSortFileNamesUpdateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void Update (); */
  if (arg.size() < 1) 
    throw Exception("Function Update for class vtkSortFileNames requires 1 argument(s)");
  vtkSortFileNames* vtk_pointer = GetVTKPointer<vtkSortFileNames>(arg[0]);
  Array retval;
  vtk_pointer->Update();
  return retval;
}

//@@Signature
//sfunction @vtkSortFileNames:display vtkSortFileNamesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkSortFileNamesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkSortFileNames* vtk_pointer = GetVTKPointer<vtkSortFileNames>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkSortFileNames:delete vtkSortFileNamesDeleteFunction
//input varargin
//output none
ArrayVector vtkSortFileNamesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkSortFileNames
//@@Section VTKIO
//@@Usage
// vtkSortFileNames will take a list of filenames (e.g. from
// a file load dialog) and sort them into one or more series.  If
// the input list of filenames contains any directories, these can
// be removed before sorting using the SkipDirectories flag.  This
// class should be used where information about the series groupings
// can be determined by the filenames, but it might not be successful
// in cases where the information about the series groupings is
// stored in the files themselves (e.g DICOM).
//
//To create an instance of class vtkSortFileNames, simply
//invoke its constructor as follows
//@[
//  obj = vtkSortFileNames
//@]
//@@Methods
//The class vtkSortFileNames has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkSortFileNames class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkSortFileNames = obj.NewInstance ()|
// \item @|vtkSortFileNames = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetGrouping (int )| -  Sort the file names into groups, according to similarity in
// filename name and path.  Files in different directories,
// or with different extensions, or which do not fit into the same
// numbered series will be placed into different groups.  This is
// off by default.
//// \item @|int = obj.GetGrouping ()| -  Sort the file names into groups, according to similarity in
// filename name and path.  Files in different directories,
// or with different extensions, or which do not fit into the same
// numbered series will be placed into different groups.  This is
// off by default.
//// \item @|obj.GroupingOn ()| -  Sort the file names into groups, according to similarity in
// filename name and path.  Files in different directories,
// or with different extensions, or which do not fit into the same
// numbered series will be placed into different groups.  This is
// off by default.
//// \item @|obj.GroupingOff ()| -  Sort the file names into groups, according to similarity in
// filename name and path.  Files in different directories,
// or with different extensions, or which do not fit into the same
// numbered series will be placed into different groups.  This is
// off by default.
//// \item @|obj.SetNumericSort (int )| -  Sort the files numerically, rather than lexicographically.
// For filenames that contain numbers, this means the order will be
// ["file8.dat", "file9.dat", "file10.dat"]
// instead of the usual alphabetic sorting order
// ["file10.dat" "file8.dat", "file9.dat"].
// NumericSort is off by default.
//// \item @|int = obj.GetNumericSort ()| -  Sort the files numerically, rather than lexicographically.
// For filenames that contain numbers, this means the order will be
// ["file8.dat", "file9.dat", "file10.dat"]
// instead of the usual alphabetic sorting order
// ["file10.dat" "file8.dat", "file9.dat"].
// NumericSort is off by default.
//// \item @|obj.NumericSortOn ()| -  Sort the files numerically, rather than lexicographically.
// For filenames that contain numbers, this means the order will be
// ["file8.dat", "file9.dat", "file10.dat"]
// instead of the usual alphabetic sorting order
// ["file10.dat" "file8.dat", "file9.dat"].
// NumericSort is off by default.
//// \item @|obj.NumericSortOff ()| -  Sort the files numerically, rather than lexicographically.
// For filenames that contain numbers, this means the order will be
// ["file8.dat", "file9.dat", "file10.dat"]
// instead of the usual alphabetic sorting order
// ["file10.dat" "file8.dat", "file9.dat"].
// NumericSort is off by default.
//// \item @|obj.SetIgnoreCase (int )| -  Ignore case when sorting.  This flag is honored by both
// the sorting and the grouping. This is off by default.
//// \item @|int = obj.GetIgnoreCase ()| -  Ignore case when sorting.  This flag is honored by both
// the sorting and the grouping. This is off by default.
//// \item @|obj.IgnoreCaseOn ()| -  Ignore case when sorting.  This flag is honored by both
// the sorting and the grouping. This is off by default.
//// \item @|obj.IgnoreCaseOff ()| -  Ignore case when sorting.  This flag is honored by both
// the sorting and the grouping. This is off by default.
//// \item @|obj.SetSkipDirectories (int )| -  Skip directories. If this flag is set, any input item that
// is a directory rather than a file will not be included in
// the output.  This is off by default.
//// \item @|int = obj.GetSkipDirectories ()| -  Skip directories. If this flag is set, any input item that
// is a directory rather than a file will not be included in
// the output.  This is off by default.
//// \item @|obj.SkipDirectoriesOn ()| -  Skip directories. If this flag is set, any input item that
// is a directory rather than a file will not be included in
// the output.  This is off by default.
//// \item @|obj.SkipDirectoriesOff ()| -  Skip directories. If this flag is set, any input item that
// is a directory rather than a file will not be included in
// the output.  This is off by default.
//// \item @|obj.SetInputFileNames (vtkStringArray input)| -  Set a list of file names to group and sort.
//// \item @|vtkStringArray = obj.GetInputFileNames ()| -  Set a list of file names to group and sort.
//// \item @|vtkStringArray = obj.GetFileNames ()| -  Get the full list of sorted filenames.
//// \item @|int = obj.GetNumberOfGroups ()| -  Get the number of groups that the names were split into, if
// grouping is on.  The filenames are automatically split into
// groups, where the filenames in each group will be identical
// except for their series numbers.  If grouping is not on, this
// method will return zero.
//// \item @|vtkStringArray = obj.GetNthGroup (int i)| -  Get the Nth group of file names.  This method should only
// be used if grouping is on.  If grouping is off, it will always
// return null.
//// \item @|obj.Update ()| -  Update the output filenames from the input filenames.
// This method is called automatically by GetFileNames()
// and GetNumberOfGroups() if the input names have changed.
////\end{itemize}
//!
