#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStructuredGridReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStructuredGridReader.h"

//@@Signature
//sfunction @vtkStructuredGridReader:vtkStructuredGridReader vtkStructuredGridReaderConstructorFunction
//input a
//output p
//@@Parents vtkStructuredGridReader vtkDataReader 
ArrayVector vtkStructuredGridReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStructuredGridReader::New(),"vtkStructuredGridReader",eval);
  } else if (arg[0].className() == "vtkStructuredGridReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStructuredGridReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStructuredGridReader");
    vtkStructuredGridReader*q = reinterpret_cast<vtkStructuredGridReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStructuredGridReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStructuredGridReader:GetClassName vtkStructuredGridReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStructuredGridReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStructuredGridReader requires 1 argument(s)");
  vtkStructuredGridReader* vtk_pointer = GetVTKPointer<vtkStructuredGridReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridReader:IsA vtkStructuredGridReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredGridReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStructuredGridReader requires 2 argument(s)");
  vtkStructuredGridReader* vtk_pointer = GetVTKPointer<vtkStructuredGridReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridReader:NewInstance vtkStructuredGridReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStructuredGridReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGridReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStructuredGridReader requires 1 argument(s)");
  vtkStructuredGridReader* vtk_pointer = GetVTKPointer<vtkStructuredGridReader>(arg[0]);
  Array retval;
  vtkStructuredGridReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGridReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridReader:SafeDownCast vtkStructuredGridReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredGridReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGridReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStructuredGridReader requires 2 argument(s)");
  vtkStructuredGridReader* vtk_pointer = GetVTKPointer<vtkStructuredGridReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStructuredGridReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGridReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridReader:GetOutput__1 vtkStructuredGridReaderGetOutput__1Function
//input a0 
//output y
ArrayVector vtkStructuredGridReaderGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGrid *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkStructuredGridReader requires 1 argument(s)");
  vtkStructuredGridReader* vtk_pointer = GetVTKPointer<vtkStructuredGridReader>(arg[0]);
  Array retval;
  vtkStructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridReader:GetOutput__2 vtkStructuredGridReaderGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkStructuredGridReaderGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGrid *GetOutput (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkStructuredGridReader requires 2 argument(s)");
  vtkStructuredGridReader* vtk_pointer = GetVTKPointer<vtkStructuredGridReader>(arg[0]);
  Array retval;
  int      temp0;
  vtkStructuredGrid  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridReader:SetOutput vtkStructuredGridReaderSetOutputFunction
//input a0 a1 
//output none
ArrayVector vtkStructuredGridReaderSetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutput (vtkStructuredGrid *output); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutput for class vtkStructuredGridReader requires 2 argument(s)");
  vtkStructuredGridReader* vtk_pointer = GetVTKPointer<vtkStructuredGridReader>(arg[0]);
  Array retval;
  vtkStructuredGrid  *temp0;
  temp0 = GetVTKPointer<vtkStructuredGrid>(arg[1]);
  vtk_pointer->SetOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridReader:ReadMetaData vtkStructuredGridReaderReadMetaDataFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredGridReaderReadMetaDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ReadMetaData (vtkInformation *outInfo); */
  if (arg.size() < 2) 
    throw Exception("Function ReadMetaData for class vtkStructuredGridReader requires 2 argument(s)");
  vtkStructuredGridReader* vtk_pointer = GetVTKPointer<vtkStructuredGridReader>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp20 = (vtk_pointer)->ReadMetaData(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridReader:GetOutput vtkStructuredGridReaderGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkStructuredGridReaderGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkStructuredGridReaderGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkStructuredGridReaderGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkStructuredGridReaderGetOutput");
}

//@@Signature
//sfunction @vtkStructuredGridReader:display vtkStructuredGridReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStructuredGridReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStructuredGridReader* vtk_pointer = GetVTKPointer<vtkStructuredGridReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStructuredGridReader:delete vtkStructuredGridReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkStructuredGridReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStructuredGridReader
//@@Section VTKIO
//@@Usage
// vtkStructuredGridReader is a source object that reads ASCII or binary 
// structured grid data files in vtk format. (see text for format details).
// The output of this reader is a single vtkStructuredGrid data object.
// The superclass of this class, vtkDataReader, provides many methods for
// controlling the reading of the data file, see vtkDataReader for more
// information.
//
//To create an instance of class vtkStructuredGridReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkStructuredGridReader
//@]
//@@Methods
//The class vtkStructuredGridReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStructuredGridReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStructuredGridReader = obj.NewInstance ()|
// \item @|vtkStructuredGridReader = obj.SafeDownCast (vtkObject o)|
// \item @|vtkStructuredGrid = obj.GetOutput ()| -  Get the output of this reader.
//// \item @|vtkStructuredGrid = obj.GetOutput (int idx)| -  Get the output of this reader.
//// \item @|obj.SetOutput (vtkStructuredGrid output)| -  Get the output of this reader.
//// \item @|int = obj.ReadMetaData (vtkInformation outInfo)| -  Read the meta information from the file.  This needs to be public to it
// can be accessed by vtkDataSetReader.
////\end{itemize}
//!
