#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStructuredGridWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStructuredGridWriter.h"

//@@Signature
//sfunction @vtkStructuredGridWriter:vtkStructuredGridWriter vtkStructuredGridWriterConstructorFunction
//input a
//output p
//@@Parents vtkStructuredGridWriter vtkDataWriter 
ArrayVector vtkStructuredGridWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStructuredGridWriter::New(),"vtkStructuredGridWriter",eval);
  } else if (arg[0].className() == "vtkStructuredGridWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStructuredGridWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStructuredGridWriter");
    vtkStructuredGridWriter*q = reinterpret_cast<vtkStructuredGridWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStructuredGridWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStructuredGridWriter:GetClassName vtkStructuredGridWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStructuredGridWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStructuredGridWriter requires 1 argument(s)");
  vtkStructuredGridWriter* vtk_pointer = GetVTKPointer<vtkStructuredGridWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridWriter:IsA vtkStructuredGridWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredGridWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStructuredGridWriter requires 2 argument(s)");
  vtkStructuredGridWriter* vtk_pointer = GetVTKPointer<vtkStructuredGridWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridWriter:NewInstance vtkStructuredGridWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStructuredGridWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGridWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStructuredGridWriter requires 1 argument(s)");
  vtkStructuredGridWriter* vtk_pointer = GetVTKPointer<vtkStructuredGridWriter>(arg[0]);
  Array retval;
  vtkStructuredGridWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGridWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridWriter:SafeDownCast vtkStructuredGridWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredGridWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGridWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStructuredGridWriter requires 2 argument(s)");
  vtkStructuredGridWriter* vtk_pointer = GetVTKPointer<vtkStructuredGridWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStructuredGridWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGridWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridWriter:GetInput__1 vtkStructuredGridWriterGetInput__1Function
//input a0 
//output y
ArrayVector vtkStructuredGridWriterGetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGrid *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput__1 for class vtkStructuredGridWriter requires 1 argument(s)");
  vtkStructuredGridWriter* vtk_pointer = GetVTKPointer<vtkStructuredGridWriter>(arg[0]);
  Array retval;
  vtkStructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridWriter:GetInput__2 vtkStructuredGridWriterGetInput__2Function
//input a0 a1 
//output y
ArrayVector vtkStructuredGridWriterGetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGrid *GetInput (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetInput__2 for class vtkStructuredGridWriter requires 2 argument(s)");
  vtkStructuredGridWriter* vtk_pointer = GetVTKPointer<vtkStructuredGridWriter>(arg[0]);
  Array retval;
  int      temp0;
  vtkStructuredGrid  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredGridWriter:GetInput vtkStructuredGridWriterGetInputFunction
//input varargin
//output varargout
ArrayVector vtkStructuredGridWriterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkStructuredGridWriterGetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkStructuredGridWriterGetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkStructuredGridWriterGetInput");
}

//@@Signature
//sfunction @vtkStructuredGridWriter:display vtkStructuredGridWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStructuredGridWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStructuredGridWriter* vtk_pointer = GetVTKPointer<vtkStructuredGridWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStructuredGridWriter:delete vtkStructuredGridWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkStructuredGridWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStructuredGridWriter
//@@Section VTKIO
//@@Usage
// vtkStructuredGridWriter is a source object that writes ASCII or binary 
// structured grid data files in vtk format. See text for format details.
//
//To create an instance of class vtkStructuredGridWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkStructuredGridWriter
//@]
//@@Methods
//The class vtkStructuredGridWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStructuredGridWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStructuredGridWriter = obj.NewInstance ()|
// \item @|vtkStructuredGridWriter = obj.SafeDownCast (vtkObject o)|
// \item @|vtkStructuredGrid = obj.GetInput ()| -  Get the input to this writer.
//// \item @|vtkStructuredGrid = obj.GetInput (int port)| -  Get the input to this writer.
////\end{itemize}
//!
