#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStructuredPointsReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStructuredPointsReader.h"

//@@Signature
//sfunction @vtkStructuredPointsReader:vtkStructuredPointsReader vtkStructuredPointsReaderConstructorFunction
//input a
//output p
//@@Parents vtkStructuredPointsReader vtkDataReader 
ArrayVector vtkStructuredPointsReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStructuredPointsReader::New(),"vtkStructuredPointsReader",eval);
  } else if (arg[0].className() == "vtkStructuredPointsReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStructuredPointsReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStructuredPointsReader");
    vtkStructuredPointsReader*q = reinterpret_cast<vtkStructuredPointsReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStructuredPointsReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStructuredPointsReader:GetClassName vtkStructuredPointsReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStructuredPointsReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStructuredPointsReader requires 1 argument(s)");
  vtkStructuredPointsReader* vtk_pointer = GetVTKPointer<vtkStructuredPointsReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsReader:IsA vtkStructuredPointsReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredPointsReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStructuredPointsReader requires 2 argument(s)");
  vtkStructuredPointsReader* vtk_pointer = GetVTKPointer<vtkStructuredPointsReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsReader:NewInstance vtkStructuredPointsReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStructuredPointsReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredPointsReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStructuredPointsReader requires 1 argument(s)");
  vtkStructuredPointsReader* vtk_pointer = GetVTKPointer<vtkStructuredPointsReader>(arg[0]);
  Array retval;
  vtkStructuredPointsReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredPointsReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsReader:SafeDownCast vtkStructuredPointsReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredPointsReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredPointsReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStructuredPointsReader requires 2 argument(s)");
  vtkStructuredPointsReader* vtk_pointer = GetVTKPointer<vtkStructuredPointsReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStructuredPointsReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredPointsReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsReader:SetOutput vtkStructuredPointsReaderSetOutputFunction
//input a0 a1 
//output none
ArrayVector vtkStructuredPointsReaderSetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutput (vtkStructuredPoints *output); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutput for class vtkStructuredPointsReader requires 2 argument(s)");
  vtkStructuredPointsReader* vtk_pointer = GetVTKPointer<vtkStructuredPointsReader>(arg[0]);
  Array retval;
  vtkStructuredPoints  *temp0;
  temp0 = GetVTKPointer<vtkStructuredPoints>(arg[1]);
  vtk_pointer->SetOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsReader:GetOutput__1 vtkStructuredPointsReaderGetOutput__1Function
//input a0 a1 
//output y
ArrayVector vtkStructuredPointsReaderGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredPoints *GetOutput (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__1 for class vtkStructuredPointsReader requires 2 argument(s)");
  vtkStructuredPointsReader* vtk_pointer = GetVTKPointer<vtkStructuredPointsReader>(arg[0]);
  Array retval;
  int      temp0;
  vtkStructuredPoints  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsReader:GetOutput__2 vtkStructuredPointsReaderGetOutput__2Function
//input a0 
//output y
ArrayVector vtkStructuredPointsReaderGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredPoints *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__2 for class vtkStructuredPointsReader requires 1 argument(s)");
  vtkStructuredPointsReader* vtk_pointer = GetVTKPointer<vtkStructuredPointsReader>(arg[0]);
  Array retval;
  vtkStructuredPoints  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredPoints",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsReader:ReadMetaData vtkStructuredPointsReaderReadMetaDataFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredPointsReaderReadMetaDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ReadMetaData (vtkInformation *outInfo); */
  if (arg.size() < 2) 
    throw Exception("Function ReadMetaData for class vtkStructuredPointsReader requires 2 argument(s)");
  vtkStructuredPointsReader* vtk_pointer = GetVTKPointer<vtkStructuredPointsReader>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp20;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  temp20 = (vtk_pointer)->ReadMetaData(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsReader:GetOutput vtkStructuredPointsReaderGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkStructuredPointsReaderGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkStructuredPointsReaderGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkStructuredPointsReaderGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkStructuredPointsReaderGetOutput");
}

//@@Signature
//sfunction @vtkStructuredPointsReader:display vtkStructuredPointsReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStructuredPointsReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStructuredPointsReader* vtk_pointer = GetVTKPointer<vtkStructuredPointsReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStructuredPointsReader:delete vtkStructuredPointsReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkStructuredPointsReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStructuredPointsReader
//@@Section VTKIO
//@@Usage
// vtkStructuredPointsReader is a source object that reads ASCII or binary 
// structured points data files in vtk format (see text for format details).
// The output of this reader is a single vtkStructuredPoints data object.
// The superclass of this class, vtkDataReader, provides many methods for
// controlling the reading of the data file, see vtkDataReader for more
// information.
//
//To create an instance of class vtkStructuredPointsReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkStructuredPointsReader
//@]
//@@Methods
//The class vtkStructuredPointsReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStructuredPointsReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStructuredPointsReader = obj.NewInstance ()|
// \item @|vtkStructuredPointsReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetOutput (vtkStructuredPoints output)| -  Set/Get the output of this reader.
//// \item @|vtkStructuredPoints = obj.GetOutput (int idx)| -  Set/Get the output of this reader.
//// \item @|vtkStructuredPoints = obj.GetOutput ()| -  Set/Get the output of this reader.
//// \item @|int = obj.ReadMetaData (vtkInformation outInfo)| -  Read the meta information from the file.  This needs to be public to it
// can be accessed by vtkDataSetReader.
////\end{itemize}
//!
