#include "VTKWrap.hpp"

// FreeMat wrapper for vtkStructuredPointsWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkStructuredPointsWriter.h"

//@@Signature
//sfunction @vtkStructuredPointsWriter:vtkStructuredPointsWriter vtkStructuredPointsWriterConstructorFunction
//input a
//output p
//@@Parents vtkStructuredPointsWriter vtkDataWriter 
ArrayVector vtkStructuredPointsWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkStructuredPointsWriter::New(),"vtkStructuredPointsWriter",eval);
  } else if (arg[0].className() == "vtkStructuredPointsWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkStructuredPointsWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkStructuredPointsWriter");
    vtkStructuredPointsWriter*q = reinterpret_cast<vtkStructuredPointsWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkStructuredPointsWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkStructuredPointsWriter:GetClassName vtkStructuredPointsWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkStructuredPointsWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkStructuredPointsWriter requires 1 argument(s)");
  vtkStructuredPointsWriter* vtk_pointer = GetVTKPointer<vtkStructuredPointsWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsWriter:IsA vtkStructuredPointsWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredPointsWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkStructuredPointsWriter requires 2 argument(s)");
  vtkStructuredPointsWriter* vtk_pointer = GetVTKPointer<vtkStructuredPointsWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsWriter:NewInstance vtkStructuredPointsWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkStructuredPointsWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredPointsWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkStructuredPointsWriter requires 1 argument(s)");
  vtkStructuredPointsWriter* vtk_pointer = GetVTKPointer<vtkStructuredPointsWriter>(arg[0]);
  Array retval;
  vtkStructuredPointsWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredPointsWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsWriter:SafeDownCast vtkStructuredPointsWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkStructuredPointsWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredPointsWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkStructuredPointsWriter requires 2 argument(s)");
  vtkStructuredPointsWriter* vtk_pointer = GetVTKPointer<vtkStructuredPointsWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkStructuredPointsWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredPointsWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsWriter:GetInput__1 vtkStructuredPointsWriterGetInput__1Function
//input a0 
//output y
ArrayVector vtkStructuredPointsWriterGetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput__1 for class vtkStructuredPointsWriter requires 1 argument(s)");
  vtkStructuredPointsWriter* vtk_pointer = GetVTKPointer<vtkStructuredPointsWriter>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsWriter:GetInput__2 vtkStructuredPointsWriterGetInput__2Function
//input a0 a1 
//output y
ArrayVector vtkStructuredPointsWriterGetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetInput (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetInput__2 for class vtkStructuredPointsWriter requires 2 argument(s)");
  vtkStructuredPointsWriter* vtk_pointer = GetVTKPointer<vtkStructuredPointsWriter>(arg[0]);
  Array retval;
  int      temp0;
  vtkImageData  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkStructuredPointsWriter:GetInput vtkStructuredPointsWriterGetInputFunction
//input varargin
//output varargout
ArrayVector vtkStructuredPointsWriterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkStructuredPointsWriterGetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkStructuredPointsWriterGetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkStructuredPointsWriterGetInput");
}

//@@Signature
//sfunction @vtkStructuredPointsWriter:display vtkStructuredPointsWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkStructuredPointsWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkStructuredPointsWriter* vtk_pointer = GetVTKPointer<vtkStructuredPointsWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkStructuredPointsWriter:delete vtkStructuredPointsWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkStructuredPointsWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkStructuredPointsWriter
//@@Section VTKIO
//@@Usage
// vtkStructuredPointsWriter is a source object that writes ASCII or binary 
// structured points data in vtk file format. See text for format details.
//
//To create an instance of class vtkStructuredPointsWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkStructuredPointsWriter
//@]
//@@Methods
//The class vtkStructuredPointsWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkStructuredPointsWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkStructuredPointsWriter = obj.NewInstance ()|
// \item @|vtkStructuredPointsWriter = obj.SafeDownCast (vtkObject o)|
// \item @|vtkImageData = obj.GetInput ()| -  Get the input to this writer.
//// \item @|vtkImageData = obj.GetInput (int port)| -  Get the input to this writer.
////\end{itemize}
//!
