#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTIFFReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTIFFReader.h"

//@@Signature
//sfunction @vtkTIFFReader:vtkTIFFReader vtkTIFFReaderConstructorFunction
//input a
//output p
//@@Parents vtkTIFFReader vtkImageReader2 
ArrayVector vtkTIFFReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTIFFReader::New(),"vtkTIFFReader",eval);
  } else if (arg[0].className() == "vtkTIFFReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTIFFReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTIFFReader");
    vtkTIFFReader*q = reinterpret_cast<vtkTIFFReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTIFFReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTIFFReader:GetClassName vtkTIFFReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTIFFReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTIFFReader requires 1 argument(s)");
  vtkTIFFReader* vtk_pointer = GetVTKPointer<vtkTIFFReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTIFFReader:IsA vtkTIFFReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTIFFReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTIFFReader requires 2 argument(s)");
  vtkTIFFReader* vtk_pointer = GetVTKPointer<vtkTIFFReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTIFFReader:NewInstance vtkTIFFReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTIFFReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTIFFReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTIFFReader requires 1 argument(s)");
  vtkTIFFReader* vtk_pointer = GetVTKPointer<vtkTIFFReader>(arg[0]);
  Array retval;
  vtkTIFFReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTIFFReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTIFFReader:SafeDownCast vtkTIFFReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTIFFReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTIFFReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTIFFReader requires 2 argument(s)");
  vtkTIFFReader* vtk_pointer = GetVTKPointer<vtkTIFFReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTIFFReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTIFFReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTIFFReader:CanReadFile vtkTIFFReaderCanReadFileFunction
//input a0 a1 
//output y
ArrayVector vtkTIFFReaderCanReadFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int CanReadFile (const char *fname); */
  if (arg.size() < 2) 
    throw Exception("Function CanReadFile for class vtkTIFFReader requires 2 argument(s)");
  vtkTIFFReader* vtk_pointer = GetVTKPointer<vtkTIFFReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CanReadFile(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTIFFReader:GetFileExtensions vtkTIFFReaderGetFileExtensionsFunction
//input a0 
//output y
ArrayVector vtkTIFFReaderGetFileExtensionsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetFileExtensions ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetFileExtensions for class vtkTIFFReader requires 1 argument(s)");
  vtkTIFFReader* vtk_pointer = GetVTKPointer<vtkTIFFReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetFileExtensions();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTIFFReader:GetDescriptiveName vtkTIFFReaderGetDescriptiveNameFunction
//input a0 
//output y
ArrayVector vtkTIFFReaderGetDescriptiveNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetDescriptiveName ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetDescriptiveName for class vtkTIFFReader requires 1 argument(s)");
  vtkTIFFReader* vtk_pointer = GetVTKPointer<vtkTIFFReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDescriptiveName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTIFFReader:InitializeColors vtkTIFFReaderInitializeColorsFunction
//input a0 
//output none
ArrayVector vtkTIFFReaderInitializeColorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void InitializeColors (); */
  if (arg.size() < 1) 
    throw Exception("Function InitializeColors for class vtkTIFFReader requires 1 argument(s)");
  vtkTIFFReader* vtk_pointer = GetVTKPointer<vtkTIFFReader>(arg[0]);
  Array retval;
  vtk_pointer->InitializeColors();
  return retval;
}

//@@Signature
//sfunction @vtkTIFFReader:SetOrientationType vtkTIFFReaderSetOrientationTypeFunction
//input a0 a1 
//output none
ArrayVector vtkTIFFReaderSetOrientationTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOrientationType (unsigned int orientationType); */
  if (arg.size() < 2) 
    throw Exception("Function SetOrientationType for class vtkTIFFReader requires 2 argument(s)");
  vtkTIFFReader* vtk_pointer = GetVTKPointer<vtkTIFFReader>(arg[0]);
  Array retval;
  unsigned int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  vtk_pointer->SetOrientationType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTIFFReader:GetOrientationType vtkTIFFReaderGetOrientationTypeFunction
//input a0 
//output y
ArrayVector vtkTIFFReaderGetOrientationTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int unsigned GetOrientationType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrientationType for class vtkTIFFReader requires 1 argument(s)");
  vtkTIFFReader* vtk_pointer = GetVTKPointer<vtkTIFFReader>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetOrientationType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTIFFReader:GetOrientationTypeSpecifiedFlag vtkTIFFReaderGetOrientationTypeSpecifiedFlagFunction
//input a0 
//output y
ArrayVector vtkTIFFReaderGetOrientationTypeSpecifiedFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetOrientationTypeSpecifiedFlag (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOrientationTypeSpecifiedFlag for class vtkTIFFReader requires 1 argument(s)");
  vtkTIFFReader* vtk_pointer = GetVTKPointer<vtkTIFFReader>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetOrientationTypeSpecifiedFlag();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTIFFReader:SetOriginSpecifiedFlag vtkTIFFReaderSetOriginSpecifiedFlagFunction
//input a0 a1 
//output none
ArrayVector vtkTIFFReaderSetOriginSpecifiedFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOriginSpecifiedFlag (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOriginSpecifiedFlag for class vtkTIFFReader requires 2 argument(s)");
  vtkTIFFReader* vtk_pointer = GetVTKPointer<vtkTIFFReader>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetOriginSpecifiedFlag(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTIFFReader:GetOriginSpecifiedFlag vtkTIFFReaderGetOriginSpecifiedFlagFunction
//input a0 
//output y
ArrayVector vtkTIFFReaderGetOriginSpecifiedFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetOriginSpecifiedFlag (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOriginSpecifiedFlag for class vtkTIFFReader requires 1 argument(s)");
  vtkTIFFReader* vtk_pointer = GetVTKPointer<vtkTIFFReader>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetOriginSpecifiedFlag();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTIFFReader:OriginSpecifiedFlagOn vtkTIFFReaderOriginSpecifiedFlagOnFunction
//input a0 
//output none
ArrayVector vtkTIFFReaderOriginSpecifiedFlagOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OriginSpecifiedFlagOn (); */
  if (arg.size() < 1) 
    throw Exception("Function OriginSpecifiedFlagOn for class vtkTIFFReader requires 1 argument(s)");
  vtkTIFFReader* vtk_pointer = GetVTKPointer<vtkTIFFReader>(arg[0]);
  Array retval;
  vtk_pointer->OriginSpecifiedFlagOn();
  return retval;
}

//@@Signature
//sfunction @vtkTIFFReader:OriginSpecifiedFlagOff vtkTIFFReaderOriginSpecifiedFlagOffFunction
//input a0 
//output none
ArrayVector vtkTIFFReaderOriginSpecifiedFlagOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void OriginSpecifiedFlagOff (); */
  if (arg.size() < 1) 
    throw Exception("Function OriginSpecifiedFlagOff for class vtkTIFFReader requires 1 argument(s)");
  vtkTIFFReader* vtk_pointer = GetVTKPointer<vtkTIFFReader>(arg[0]);
  Array retval;
  vtk_pointer->OriginSpecifiedFlagOff();
  return retval;
}

//@@Signature
//sfunction @vtkTIFFReader:SetSpacingSpecifiedFlag vtkTIFFReaderSetSpacingSpecifiedFlagFunction
//input a0 a1 
//output none
ArrayVector vtkTIFFReaderSetSpacingSpecifiedFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetSpacingSpecifiedFlag (bool ); */
  if (arg.size() < 2) 
    throw Exception("Function SetSpacingSpecifiedFlag for class vtkTIFFReader requires 2 argument(s)");
  vtkTIFFReader* vtk_pointer = GetVTKPointer<vtkTIFFReader>(arg[0]);
  Array retval;
  bool   temp0;
  vtk_pointer->SetSpacingSpecifiedFlag(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTIFFReader:GetSpacingSpecifiedFlag vtkTIFFReaderGetSpacingSpecifiedFlagFunction
//input a0 
//output y
ArrayVector vtkTIFFReaderGetSpacingSpecifiedFlagFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature bool GetSpacingSpecifiedFlag (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSpacingSpecifiedFlag for class vtkTIFFReader requires 1 argument(s)");
  vtkTIFFReader* vtk_pointer = GetVTKPointer<vtkTIFFReader>(arg[0]);
  Array retval;
  bool   temp20;
  temp20 = (vtk_pointer)->GetSpacingSpecifiedFlag();
  retval = Array(QString("unable to return result."));
  return retval;
}

//@@Signature
//sfunction @vtkTIFFReader:SpacingSpecifiedFlagOn vtkTIFFReaderSpacingSpecifiedFlagOnFunction
//input a0 
//output none
ArrayVector vtkTIFFReaderSpacingSpecifiedFlagOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SpacingSpecifiedFlagOn (); */
  if (arg.size() < 1) 
    throw Exception("Function SpacingSpecifiedFlagOn for class vtkTIFFReader requires 1 argument(s)");
  vtkTIFFReader* vtk_pointer = GetVTKPointer<vtkTIFFReader>(arg[0]);
  Array retval;
  vtk_pointer->SpacingSpecifiedFlagOn();
  return retval;
}

//@@Signature
//sfunction @vtkTIFFReader:SpacingSpecifiedFlagOff vtkTIFFReaderSpacingSpecifiedFlagOffFunction
//input a0 
//output none
ArrayVector vtkTIFFReaderSpacingSpecifiedFlagOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SpacingSpecifiedFlagOff (); */
  if (arg.size() < 1) 
    throw Exception("Function SpacingSpecifiedFlagOff for class vtkTIFFReader requires 1 argument(s)");
  vtkTIFFReader* vtk_pointer = GetVTKPointer<vtkTIFFReader>(arg[0]);
  Array retval;
  vtk_pointer->SpacingSpecifiedFlagOff();
  return retval;
}

//@@Signature
//sfunction @vtkTIFFReader:display vtkTIFFReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTIFFReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTIFFReader* vtk_pointer = GetVTKPointer<vtkTIFFReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTIFFReader:delete vtkTIFFReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkTIFFReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTIFFReader
//@@Section VTKIO
//@@Usage
// vtkTIFFReader is a source object that reads TIFF files.
// It should be able to read almost any TIFF file
//
//
//To create an instance of class vtkTIFFReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkTIFFReader
//@]
//@@Methods
//The class vtkTIFFReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTIFFReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTIFFReader = obj.NewInstance ()|
// \item @|vtkTIFFReader = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.CanReadFile (string fname)| -  Is the given file name a tiff file file?
//// \item @|string = obj.GetFileExtensions ()| -  Return a descriptive name for the file format that might be useful
// in a GUI.
//// \item @|string = obj.GetDescriptiveName ()| -  Auxilary methods used by the reader internally.
//// \item @|obj.InitializeColors ()| -  Auxilary methods used by the reader internally.
//// \item @|obj.SetOrientationType (int orientationType)| -  Set orientation type 
// ORIENTATION_TOPLEFT         1       (row 0 top, col 0 lhs)
// ORIENTATION_TOPRIGHT        2       (row 0 top, col 0 rhs)
// ORIENTATION_BOTRIGHT        3       (row 0 bottom, col 0 rhs)
// ORIENTATION_BOTLEFT         4       (row 0 bottom, col 0 lhs)
// ORIENTATION_LEFTTOP         5       (row 0 lhs, col 0 top)
// ORIENTATION_RIGHTTOP        6       (row 0 rhs, col 0 top)
// ORIENTATION_RIGHTBOT        7       (row 0 rhs, col 0 bottom)
// ORIENTATION_LEFTBOT         8       (row 0 lhs, col 0 bottom)
// User need to explicitely include vtk_tiff.h header to have access to those #define
//// \item @|int = obj.GetOrientationType ()| -  Set orientation type 
// ORIENTATION_TOPLEFT         1       (row 0 top, col 0 lhs)
// ORIENTATION_TOPRIGHT        2       (row 0 top, col 0 rhs)
// ORIENTATION_BOTRIGHT        3       (row 0 bottom, col 0 rhs)
// ORIENTATION_BOTLEFT         4       (row 0 bottom, col 0 lhs)
// ORIENTATION_LEFTTOP         5       (row 0 lhs, col 0 top)
// ORIENTATION_RIGHTTOP        6       (row 0 rhs, col 0 top)
// ORIENTATION_RIGHTBOT        7       (row 0 rhs, col 0 bottom)
// ORIENTATION_LEFTBOT         8       (row 0 lhs, col 0 bottom)
// User need to explicitely include vtk_tiff.h header to have access to those #define
//// \item @|bool = obj.GetOrientationTypeSpecifiedFlag ()| -  Get method to check if orientation type is specified
//// \item @|obj.SetOriginSpecifiedFlag (bool )| -  Set/get methods to see if manual Origin/Spacing have
// been set.
//// \item @|bool = obj.GetOriginSpecifiedFlag ()| -  Set/get methods to see if manual Origin/Spacing have
// been set.
//// \item @|obj.OriginSpecifiedFlagOn ()| -  Set/get methods to see if manual Origin/Spacing have
// been set.
//// \item @|obj.OriginSpecifiedFlagOff ()| -  Set/get methods to see if manual Origin/Spacing have
// been set.
//// \item @|obj.SetSpacingSpecifiedFlag (bool )| -  
//// \item @|bool = obj.GetSpacingSpecifiedFlag ()| -  
//// \item @|obj.SpacingSpecifiedFlagOn ()| -  
//// \item @|obj.SpacingSpecifiedFlagOff ()| -  
////\end{itemize}
//!
