#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTIFFWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTIFFWriter.h"

//@@Signature
//sfunction @vtkTIFFWriter:vtkTIFFWriter vtkTIFFWriterConstructorFunction
//input a
//output p
//@@Parents vtkTIFFWriter vtkImageWriter 
ArrayVector vtkTIFFWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTIFFWriter::New(),"vtkTIFFWriter",eval);
  } else if (arg[0].className() == "vtkTIFFWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTIFFWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTIFFWriter");
    vtkTIFFWriter*q = reinterpret_cast<vtkTIFFWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTIFFWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTIFFWriter:GetClassName vtkTIFFWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTIFFWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTIFFWriter requires 1 argument(s)");
  vtkTIFFWriter* vtk_pointer = GetVTKPointer<vtkTIFFWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTIFFWriter:IsA vtkTIFFWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTIFFWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTIFFWriter requires 2 argument(s)");
  vtkTIFFWriter* vtk_pointer = GetVTKPointer<vtkTIFFWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTIFFWriter:NewInstance vtkTIFFWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTIFFWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTIFFWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTIFFWriter requires 1 argument(s)");
  vtkTIFFWriter* vtk_pointer = GetVTKPointer<vtkTIFFWriter>(arg[0]);
  Array retval;
  vtkTIFFWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTIFFWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTIFFWriter:SafeDownCast vtkTIFFWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTIFFWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTIFFWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTIFFWriter requires 2 argument(s)");
  vtkTIFFWriter* vtk_pointer = GetVTKPointer<vtkTIFFWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTIFFWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTIFFWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTIFFWriter:SetCompression vtkTIFFWriterSetCompressionFunction
//input a0 a1 
//output none
ArrayVector vtkTIFFWriterSetCompressionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCompression (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCompression for class vtkTIFFWriter requires 2 argument(s)");
  vtkTIFFWriter* vtk_pointer = GetVTKPointer<vtkTIFFWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCompression(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTIFFWriter:GetCompressionMinValue vtkTIFFWriterGetCompressionMinValueFunction
//input a0 
//output y
ArrayVector vtkTIFFWriterGetCompressionMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCompressionMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCompressionMinValue for class vtkTIFFWriter requires 1 argument(s)");
  vtkTIFFWriter* vtk_pointer = GetVTKPointer<vtkTIFFWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCompressionMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTIFFWriter:GetCompressionMaxValue vtkTIFFWriterGetCompressionMaxValueFunction
//input a0 
//output y
ArrayVector vtkTIFFWriterGetCompressionMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCompressionMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCompressionMaxValue for class vtkTIFFWriter requires 1 argument(s)");
  vtkTIFFWriter* vtk_pointer = GetVTKPointer<vtkTIFFWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCompressionMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTIFFWriter:GetCompression vtkTIFFWriterGetCompressionFunction
//input a0 
//output y
ArrayVector vtkTIFFWriterGetCompressionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCompression (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCompression for class vtkTIFFWriter requires 1 argument(s)");
  vtkTIFFWriter* vtk_pointer = GetVTKPointer<vtkTIFFWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCompression();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTIFFWriter:SetCompressionToNoCompression vtkTIFFWriterSetCompressionToNoCompressionFunction
//input a0 
//output none
ArrayVector vtkTIFFWriterSetCompressionToNoCompressionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCompressionToNoCompression ();this SetCompression NoCompression  */
  if (arg.size() < 1) 
    throw Exception("Function SetCompressionToNoCompression for class vtkTIFFWriter requires 1 argument(s)");
  vtkTIFFWriter* vtk_pointer = GetVTKPointer<vtkTIFFWriter>(arg[0]);
  Array retval;
  vtk_pointer->SetCompressionToNoCompression();
  return retval;
}

//@@Signature
//sfunction @vtkTIFFWriter:SetCompressionToPackBits vtkTIFFWriterSetCompressionToPackBitsFunction
//input a0 
//output none
ArrayVector vtkTIFFWriterSetCompressionToPackBitsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCompressionToPackBits ();this SetCompression PackBits  */
  if (arg.size() < 1) 
    throw Exception("Function SetCompressionToPackBits for class vtkTIFFWriter requires 1 argument(s)");
  vtkTIFFWriter* vtk_pointer = GetVTKPointer<vtkTIFFWriter>(arg[0]);
  Array retval;
  vtk_pointer->SetCompressionToPackBits();
  return retval;
}

//@@Signature
//sfunction @vtkTIFFWriter:SetCompressionToJPEG vtkTIFFWriterSetCompressionToJPEGFunction
//input a0 
//output none
ArrayVector vtkTIFFWriterSetCompressionToJPEGFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCompressionToJPEG ();this SetCompression JPEG  */
  if (arg.size() < 1) 
    throw Exception("Function SetCompressionToJPEG for class vtkTIFFWriter requires 1 argument(s)");
  vtkTIFFWriter* vtk_pointer = GetVTKPointer<vtkTIFFWriter>(arg[0]);
  Array retval;
  vtk_pointer->SetCompressionToJPEG();
  return retval;
}

//@@Signature
//sfunction @vtkTIFFWriter:SetCompressionToDeflate vtkTIFFWriterSetCompressionToDeflateFunction
//input a0 
//output none
ArrayVector vtkTIFFWriterSetCompressionToDeflateFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCompressionToDeflate ();this SetCompression Deflate  */
  if (arg.size() < 1) 
    throw Exception("Function SetCompressionToDeflate for class vtkTIFFWriter requires 1 argument(s)");
  vtkTIFFWriter* vtk_pointer = GetVTKPointer<vtkTIFFWriter>(arg[0]);
  Array retval;
  vtk_pointer->SetCompressionToDeflate();
  return retval;
}

//@@Signature
//sfunction @vtkTIFFWriter:SetCompressionToLZW vtkTIFFWriterSetCompressionToLZWFunction
//input a0 
//output none
ArrayVector vtkTIFFWriterSetCompressionToLZWFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCompressionToLZW ();this SetCompression LZW  */
  if (arg.size() < 1) 
    throw Exception("Function SetCompressionToLZW for class vtkTIFFWriter requires 1 argument(s)");
  vtkTIFFWriter* vtk_pointer = GetVTKPointer<vtkTIFFWriter>(arg[0]);
  Array retval;
  vtk_pointer->SetCompressionToLZW();
  return retval;
}

//@@Signature
//sfunction @vtkTIFFWriter:display vtkTIFFWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTIFFWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTIFFWriter* vtk_pointer = GetVTKPointer<vtkTIFFWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTIFFWriter:delete vtkTIFFWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkTIFFWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTIFFWriter
//@@Section VTKIO
//@@Usage
// vtkTIFFWriter writes image data as a TIFF data file. Data can be written
// uncompressed or compressed. Several forms of compression are supported
// including packed bits, JPEG, deflation, and LZW. (Note: LZW compression
// is currently under patent in the US and is disabled until the patent
// expires. However, the mechanism for supporting this compression is available
// for those with a valid license or to whom the patent does not apply.)
//
//To create an instance of class vtkTIFFWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkTIFFWriter
//@]
//@@Methods
//The class vtkTIFFWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTIFFWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTIFFWriter = obj.NewInstance ()|
// \item @|vtkTIFFWriter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetCompression (int )| -  Set compression type. Sinze LZW compression is patented outside US, the
// additional work steps have to be taken in order to use that compression.
//// \item @|int = obj.GetCompressionMinValue ()| -  Set compression type. Sinze LZW compression is patented outside US, the
// additional work steps have to be taken in order to use that compression.
//// \item @|int = obj.GetCompressionMaxValue ()| -  Set compression type. Sinze LZW compression is patented outside US, the
// additional work steps have to be taken in order to use that compression.
//// \item @|int = obj.GetCompression ()| -  Set compression type. Sinze LZW compression is patented outside US, the
// additional work steps have to be taken in order to use that compression.
//// \item @|obj.SetCompressionToNoCompression ()| -  Set compression type. Sinze LZW compression is patented outside US, the
// additional work steps have to be taken in order to use that compression.
//// \item @|obj.SetCompressionToPackBits ()| -  Set compression type. Sinze LZW compression is patented outside US, the
// additional work steps have to be taken in order to use that compression.
//// \item @|obj.SetCompressionToJPEG ()| -  Set compression type. Sinze LZW compression is patented outside US, the
// additional work steps have to be taken in order to use that compression.
//// \item @|obj.SetCompressionToDeflate ()| -  Set compression type. Sinze LZW compression is patented outside US, the
// additional work steps have to be taken in order to use that compression.
//// \item @|obj.SetCompressionToLZW ()|
//\end{itemize}
//!
