#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTableReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTableReader.h"

//@@Signature
//sfunction @vtkTableReader:vtkTableReader vtkTableReaderConstructorFunction
//input a
//output p
//@@Parents vtkTableReader vtkDataReader 
ArrayVector vtkTableReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTableReader::New(),"vtkTableReader",eval);
  } else if (arg[0].className() == "vtkTableReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTableReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTableReader");
    vtkTableReader*q = reinterpret_cast<vtkTableReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTableReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTableReader:GetClassName vtkTableReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTableReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTableReader requires 1 argument(s)");
  vtkTableReader* vtk_pointer = GetVTKPointer<vtkTableReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableReader:IsA vtkTableReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTableReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTableReader requires 2 argument(s)");
  vtkTableReader* vtk_pointer = GetVTKPointer<vtkTableReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableReader:NewInstance vtkTableReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTableReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTableReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTableReader requires 1 argument(s)");
  vtkTableReader* vtk_pointer = GetVTKPointer<vtkTableReader>(arg[0]);
  Array retval;
  vtkTableReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTableReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableReader:SafeDownCast vtkTableReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTableReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTableReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTableReader requires 2 argument(s)");
  vtkTableReader* vtk_pointer = GetVTKPointer<vtkTableReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTableReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTableReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableReader:GetOutput__1 vtkTableReaderGetOutput__1Function
//input a0 
//output y
ArrayVector vtkTableReaderGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTable *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkTableReader requires 1 argument(s)");
  vtkTableReader* vtk_pointer = GetVTKPointer<vtkTableReader>(arg[0]);
  Array retval;
  vtkTable  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableReader:GetOutput__2 vtkTableReaderGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkTableReaderGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTable *GetOutput (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkTableReader requires 2 argument(s)");
  vtkTableReader* vtk_pointer = GetVTKPointer<vtkTableReader>(arg[0]);
  Array retval;
  int      temp0;
  vtkTable  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableReader:SetOutput vtkTableReaderSetOutputFunction
//input a0 a1 
//output none
ArrayVector vtkTableReaderSetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutput (vtkTable *output); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutput for class vtkTableReader requires 2 argument(s)");
  vtkTableReader* vtk_pointer = GetVTKPointer<vtkTableReader>(arg[0]);
  Array retval;
  vtkTable  *temp0;
  temp0 = GetVTKPointer<vtkTable>(arg[1]);
  vtk_pointer->SetOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTableReader:GetOutput vtkTableReaderGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkTableReaderGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkTableReaderGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkTableReaderGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTableReaderGetOutput");
}

//@@Signature
//sfunction @vtkTableReader:display vtkTableReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTableReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTableReader* vtk_pointer = GetVTKPointer<vtkTableReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTableReader:delete vtkTableReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkTableReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTableReader
//@@Section VTKIO
//@@Usage
// vtkTableReader is a source object that reads ASCII or binary 
// vtkTable data files in vtk format. (see text for format details).
// The output of this reader is a single vtkTable data object.
// The superclass of this class, vtkDataReader, provides many methods for
// controlling the reading of the data file, see vtkDataReader for more
// information.
//
//To create an instance of class vtkTableReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkTableReader
//@]
//@@Methods
//The class vtkTableReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTableReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTableReader = obj.NewInstance ()|
// \item @|vtkTableReader = obj.SafeDownCast (vtkObject o)|
// \item @|vtkTable = obj.GetOutput ()| -  Get the output of this reader.
//// \item @|vtkTable = obj.GetOutput (int idx)| -  Get the output of this reader.
//// \item @|obj.SetOutput (vtkTable output)| -  Get the output of this reader.
////\end{itemize}
//!
