#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTableWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTableWriter.h"

//@@Signature
//sfunction @vtkTableWriter:vtkTableWriter vtkTableWriterConstructorFunction
//input a
//output p
//@@Parents vtkTableWriter vtkDataWriter 
ArrayVector vtkTableWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTableWriter::New(),"vtkTableWriter",eval);
  } else if (arg[0].className() == "vtkTableWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTableWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTableWriter");
    vtkTableWriter*q = reinterpret_cast<vtkTableWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTableWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTableWriter:GetClassName vtkTableWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTableWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTableWriter requires 1 argument(s)");
  vtkTableWriter* vtk_pointer = GetVTKPointer<vtkTableWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableWriter:IsA vtkTableWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTableWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTableWriter requires 2 argument(s)");
  vtkTableWriter* vtk_pointer = GetVTKPointer<vtkTableWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTableWriter:NewInstance vtkTableWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTableWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTableWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTableWriter requires 1 argument(s)");
  vtkTableWriter* vtk_pointer = GetVTKPointer<vtkTableWriter>(arg[0]);
  Array retval;
  vtkTableWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTableWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableWriter:SafeDownCast vtkTableWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTableWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTableWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTableWriter requires 2 argument(s)");
  vtkTableWriter* vtk_pointer = GetVTKPointer<vtkTableWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTableWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTableWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableWriter:GetInput__1 vtkTableWriterGetInput__1Function
//input a0 
//output y
ArrayVector vtkTableWriterGetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTable *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput__1 for class vtkTableWriter requires 1 argument(s)");
  vtkTableWriter* vtk_pointer = GetVTKPointer<vtkTableWriter>(arg[0]);
  Array retval;
  vtkTable  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableWriter:GetInput__2 vtkTableWriterGetInput__2Function
//input a0 a1 
//output y
ArrayVector vtkTableWriterGetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTable *GetInput (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetInput__2 for class vtkTableWriter requires 2 argument(s)");
  vtkTableWriter* vtk_pointer = GetVTKPointer<vtkTableWriter>(arg[0]);
  Array retval;
  int      temp0;
  vtkTable  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTableWriter:GetInput vtkTableWriterGetInputFunction
//input varargin
//output varargout
ArrayVector vtkTableWriterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkTableWriterGetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkTableWriterGetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTableWriterGetInput");
}

//@@Signature
//sfunction @vtkTableWriter:display vtkTableWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTableWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTableWriter* vtk_pointer = GetVTKPointer<vtkTableWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTableWriter:delete vtkTableWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkTableWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTableWriter
//@@Section VTKIO
//@@Usage
// vtkTableWriter is a sink object that writes ASCII or binary 
// vtkTable data files in vtk format. See text for format details.
//
//To create an instance of class vtkTableWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkTableWriter
//@]
//@@Methods
//The class vtkTableWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTableWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTableWriter = obj.NewInstance ()|
// \item @|vtkTableWriter = obj.SafeDownCast (vtkObject o)|
// \item @|vtkTable = obj.GetInput ()| -  Get the input to this writer.
//// \item @|vtkTable = obj.GetInput (int port)| -  Get the input to this writer.
////\end{itemize}
//!
