#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTecplotReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTecplotReader.h"

//@@Signature
//sfunction @vtkTecplotReader:vtkTecplotReader vtkTecplotReaderConstructorFunction
//input a
//output p
//@@Parents vtkTecplotReader vtkMultiBlockDataSetAlgorithm 
ArrayVector vtkTecplotReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTecplotReader::New(),"vtkTecplotReader",eval);
  } else if (arg[0].className() == "vtkTecplotReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTecplotReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTecplotReader");
    vtkTecplotReader*q = reinterpret_cast<vtkTecplotReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTecplotReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTecplotReader:GetClassName vtkTecplotReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTecplotReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTecplotReader requires 1 argument(s)");
  vtkTecplotReader* vtk_pointer = GetVTKPointer<vtkTecplotReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTecplotReader:IsA vtkTecplotReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTecplotReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTecplotReader requires 2 argument(s)");
  vtkTecplotReader* vtk_pointer = GetVTKPointer<vtkTecplotReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTecplotReader:NewInstance vtkTecplotReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTecplotReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTecplotReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTecplotReader requires 1 argument(s)");
  vtkTecplotReader* vtk_pointer = GetVTKPointer<vtkTecplotReader>(arg[0]);
  Array retval;
  vtkTecplotReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTecplotReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTecplotReader:SafeDownCast vtkTecplotReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTecplotReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTecplotReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTecplotReader requires 2 argument(s)");
  vtkTecplotReader* vtk_pointer = GetVTKPointer<vtkTecplotReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTecplotReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTecplotReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTecplotReader:GetNumberOfVariables vtkTecplotReaderGetNumberOfVariablesFunction
//input a0 
//output y
ArrayVector vtkTecplotReaderGetNumberOfVariablesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfVariables (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfVariables for class vtkTecplotReader requires 1 argument(s)");
  vtkTecplotReader* vtk_pointer = GetVTKPointer<vtkTecplotReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfVariables();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTecplotReader:SetFileName vtkTecplotReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkTecplotReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (const char *fileName); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkTecplotReader requires 2 argument(s)");
  vtkTecplotReader* vtk_pointer = GetVTKPointer<vtkTecplotReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTecplotReader:GetDataTitle vtkTecplotReaderGetDataTitleFunction
//input a0 
//output y
ArrayVector vtkTecplotReaderGetDataTitleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetDataTitle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataTitle for class vtkTecplotReader requires 1 argument(s)");
  vtkTecplotReader* vtk_pointer = GetVTKPointer<vtkTecplotReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDataTitle();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTecplotReader:GetNumberOfBlocks vtkTecplotReaderGetNumberOfBlocksFunction
//input a0 
//output y
ArrayVector vtkTecplotReaderGetNumberOfBlocksFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfBlocks (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfBlocks for class vtkTecplotReader requires 1 argument(s)");
  vtkTecplotReader* vtk_pointer = GetVTKPointer<vtkTecplotReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfBlocks();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTecplotReader:GetBlockName vtkTecplotReaderGetBlockNameFunction
//input a0 a1 
//output y
ArrayVector vtkTecplotReaderGetBlockNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetBlockName (int blockIdx); */
  if (arg.size() < 2) 
    throw Exception("Function GetBlockName for class vtkTecplotReader requires 2 argument(s)");
  vtkTecplotReader* vtk_pointer = GetVTKPointer<vtkTecplotReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetBlockName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTecplotReader:GetNumberOfDataAttributes vtkTecplotReaderGetNumberOfDataAttributesFunction
//input a0 
//output y
ArrayVector vtkTecplotReaderGetNumberOfDataAttributesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfDataAttributes (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfDataAttributes for class vtkTecplotReader requires 1 argument(s)");
  vtkTecplotReader* vtk_pointer = GetVTKPointer<vtkTecplotReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfDataAttributes();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTecplotReader:GetDataAttributeName vtkTecplotReaderGetDataAttributeNameFunction
//input a0 a1 
//output y
ArrayVector vtkTecplotReaderGetDataAttributeNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetDataAttributeName (int attrIndx); */
  if (arg.size() < 2) 
    throw Exception("Function GetDataAttributeName for class vtkTecplotReader requires 2 argument(s)");
  vtkTecplotReader* vtk_pointer = GetVTKPointer<vtkTecplotReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetDataAttributeName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTecplotReader:IsDataAttributeCellBased__1 vtkTecplotReaderIsDataAttributeCellBased__1Function
//input a0 a1 
//output y
ArrayVector vtkTecplotReaderIsDataAttributeCellBased__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsDataAttributeCellBased (const char *attrName); */
  if (arg.size() < 2) 
    throw Exception("Function IsDataAttributeCellBased__1 for class vtkTecplotReader requires 2 argument(s)");
  vtkTecplotReader* vtk_pointer = GetVTKPointer<vtkTecplotReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsDataAttributeCellBased(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTecplotReader:IsDataAttributeCellBased__2 vtkTecplotReaderIsDataAttributeCellBased__2Function
//input a0 a1 
//output y
ArrayVector vtkTecplotReaderIsDataAttributeCellBased__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsDataAttributeCellBased (int attrIndx); */
  if (arg.size() < 2) 
    throw Exception("Function IsDataAttributeCellBased__2 for class vtkTecplotReader requires 2 argument(s)");
  vtkTecplotReader* vtk_pointer = GetVTKPointer<vtkTecplotReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->IsDataAttributeCellBased(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTecplotReader:GetNumberOfDataArrays vtkTecplotReaderGetNumberOfDataArraysFunction
//input a0 
//output y
ArrayVector vtkTecplotReaderGetNumberOfDataArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfDataArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfDataArrays for class vtkTecplotReader requires 1 argument(s)");
  vtkTecplotReader* vtk_pointer = GetVTKPointer<vtkTecplotReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfDataArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTecplotReader:GetDataArrayName vtkTecplotReaderGetDataArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkTecplotReaderGetDataArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetDataArrayName (int arrayIdx); */
  if (arg.size() < 2) 
    throw Exception("Function GetDataArrayName for class vtkTecplotReader requires 2 argument(s)");
  vtkTecplotReader* vtk_pointer = GetVTKPointer<vtkTecplotReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetDataArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTecplotReader:GetDataArrayStatus vtkTecplotReaderGetDataArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkTecplotReaderGetDataArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataArrayStatus (const char *arayName); */
  if (arg.size() < 2) 
    throw Exception("Function GetDataArrayStatus for class vtkTecplotReader requires 2 argument(s)");
  vtkTecplotReader* vtk_pointer = GetVTKPointer<vtkTecplotReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetDataArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTecplotReader:SetDataArrayStatus vtkTecplotReaderSetDataArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkTecplotReaderSetDataArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataArrayStatus (const char *arayName, int bChecked); */
  if (arg.size() < 3) 
    throw Exception("Function SetDataArrayStatus for class vtkTecplotReader requires 3 argument(s)");
  vtkTecplotReader* vtk_pointer = GetVTKPointer<vtkTecplotReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetDataArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkTecplotReader:IsDataAttributeCellBased vtkTecplotReaderIsDataAttributeCellBasedFunction
//input varargin
//output varargout
ArrayVector vtkTecplotReaderIsDataAttributeCellBasedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2))
    return vtkTecplotReaderIsDataAttributeCellBased__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkTecplotReaderIsDataAttributeCellBased__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTecplotReaderIsDataAttributeCellBased");
}

//@@Signature
//sfunction @vtkTecplotReader:display vtkTecplotReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTecplotReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTecplotReader* vtk_pointer = GetVTKPointer<vtkTecplotReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTecplotReader:delete vtkTecplotReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkTecplotReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTecplotReader
//@@Section VTKIO
//@@Usage
//  vtkTecplotReader parses an ASCII Tecplot file to get a vtkMultiBlockDataSet
//  object made up of several vtkDataSet objects, of which each is of type
//  either vtkStructuredGrid or vtkUnstructuredGrid. Each vtkDataSet object 
//  maintains the geometry, topology, and some associated attributes describing
//  physical properties.
//
//  Tecplot treats 3D coordinates (only one or two coordinates might be
//  explicitly specified in a file) as varaibles too, whose names (e.g.,
//  'X' / 'x' / 'I', 'Y' / 'y' / 'J', 'Z' / 'z' / 'K') are provided in the
//  variables list (the 'VARIABLES' section). These names are then followed
//  in the list by those of other traditional variables or attributes (node-
//  based and / or cell-based data with the mode specified via token 'VAR
//  LOCATION', to be extracted to create vtkPointData and / or vtkCellData). 
//  Each zone described afterwards (in the 'ZONE's section) provides the 
//  specific values of the aforementioned variables (including 3D coordinates), 
//  in the same order as indicated by the variable-names list, through either
//  POINT-packing (i.e., tuple-based storage) or BLOCK-packing (component-based
//  storage). In particular, the first / description line of  each zone tells 
//  the type of all the  constituent cells as the connectivity / topology 
//  information. In other words, the entire dataset is made up of multiple zones
//  (blocks), of which each maintains a set of cells of the same type ('BRICK', 
//  'TRIANGLE', 'QUADRILATERAL', 'TETRAHEDRON', and 'POINT' in Tecplot terms). 
//  In addition, the description line of each zone specifies the zone name, 
//  dimensionality information (size of each dimension for a structured zone), 
//  number of nodes, and number of cells. Information about the file format is 
//  available at http://download.tecplot.com/360/dataformat.pdf.
//  
//
//To create an instance of class vtkTecplotReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkTecplotReader
//@]
//@@Methods
//The class vtkTecplotReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTecplotReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTecplotReader = obj.NewInstance ()|
// \item @|vtkTecplotReader = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetNumberOfVariables ()| -  Get the number of all variables (including 3D coordinates).
//// \item @|obj.SetFileName (string fileName)| -  Specify a Tecplot ASCII file for data loading.
//// \item @|string = obj.GetDataTitle ()| -  Get the Tecplot data title.
//// \item @|int = obj.GetNumberOfBlocks ()| -  Get the number of blocks (i.e., zones in Tecplot terms).
//// \item @|string = obj.GetBlockName (int blockIdx)| -  Get the name of a block specified by a zero-based index. NULL is returned
// for an invalid block index.
//// \item @|int = obj.GetNumberOfDataAttributes ()| -  Get the number of standard data attributes (node-based and cell-based),
// excluding 3D coordinates.
//// \item @|string = obj.GetDataAttributeName (int attrIndx)| -  Get the name of a zero-based data attribute (not 3D coordinates). NULL is
// returned for an invalid attribute index.
//// \item @|int = obj.IsDataAttributeCellBased (string attrName)| -  Get the type (0 for node-based and 1 for cell-based) of a specified data 
// attribute (not 3D coordinates). -1 is returned for an invalid attribute 
// name.
//// \item @|int = obj.IsDataAttributeCellBased (int attrIndx)| -  Get the type (0 for node-based and 1 for cell-based) of a specified data 
// attribute (not 3D coordinates). -1 is returned for an invalid attribute
// index.
//// \item @|int = obj.GetNumberOfDataArrays ()| -  Get the number of all data attributes (point data and cell data).
//// \item @|string = obj.GetDataArrayName (int arrayIdx)| -  Get the name of a data array specified by the zero-based index (arrayIdx).
//// \item @|int = obj.GetDataArrayStatus (string arayName)| -  Get the status of a specific data array (0: un-selected; 1: selected).
//// \item @|obj.SetDataArrayStatus (string arayName, int bChecked)| -  Set the status of a specific data array (0: de-select; 1: select) specified
// by the name.
////\end{itemize}
//!
