#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTreeReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTreeReader.h"

//@@Signature
//sfunction @vtkTreeReader:vtkTreeReader vtkTreeReaderConstructorFunction
//input a
//output p
//@@Parents vtkTreeReader vtkDataReader 
ArrayVector vtkTreeReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTreeReader::New(),"vtkTreeReader",eval);
  } else if (arg[0].className() == "vtkTreeReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTreeReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTreeReader");
    vtkTreeReader*q = reinterpret_cast<vtkTreeReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTreeReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTreeReader:GetClassName vtkTreeReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTreeReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTreeReader requires 1 argument(s)");
  vtkTreeReader* vtk_pointer = GetVTKPointer<vtkTreeReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeReader:IsA vtkTreeReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTreeReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTreeReader requires 2 argument(s)");
  vtkTreeReader* vtk_pointer = GetVTKPointer<vtkTreeReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeReader:NewInstance vtkTreeReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTreeReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTreeReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTreeReader requires 1 argument(s)");
  vtkTreeReader* vtk_pointer = GetVTKPointer<vtkTreeReader>(arg[0]);
  Array retval;
  vtkTreeReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTreeReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeReader:SafeDownCast vtkTreeReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTreeReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTreeReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTreeReader requires 2 argument(s)");
  vtkTreeReader* vtk_pointer = GetVTKPointer<vtkTreeReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTreeReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTreeReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeReader:GetOutput__1 vtkTreeReaderGetOutput__1Function
//input a0 
//output y
ArrayVector vtkTreeReaderGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTree *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkTreeReader requires 1 argument(s)");
  vtkTreeReader* vtk_pointer = GetVTKPointer<vtkTreeReader>(arg[0]);
  Array retval;
  vtkTree  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeReader:GetOutput__2 vtkTreeReaderGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkTreeReaderGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTree *GetOutput (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkTreeReader requires 2 argument(s)");
  vtkTreeReader* vtk_pointer = GetVTKPointer<vtkTreeReader>(arg[0]);
  Array retval;
  int      temp0;
  vtkTree  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeReader:SetOutput vtkTreeReaderSetOutputFunction
//input a0 a1 
//output none
ArrayVector vtkTreeReaderSetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutput (vtkTree *output); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutput for class vtkTreeReader requires 2 argument(s)");
  vtkTreeReader* vtk_pointer = GetVTKPointer<vtkTreeReader>(arg[0]);
  Array retval;
  vtkTree  *temp0;
  temp0 = GetVTKPointer<vtkTree>(arg[1]);
  vtk_pointer->SetOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkTreeReader:GetOutput vtkTreeReaderGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkTreeReaderGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkTreeReaderGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkTreeReaderGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTreeReaderGetOutput");
}

//@@Signature
//sfunction @vtkTreeReader:display vtkTreeReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTreeReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTreeReader* vtk_pointer = GetVTKPointer<vtkTreeReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTreeReader:delete vtkTreeReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkTreeReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTreeReader
//@@Section VTKIO
//@@Usage
// vtkTreeReader is a source object that reads ASCII or binary 
// vtkTree data files in vtk format. (see text for format details).
// The output of this reader is a single vtkTree data object.
// The superclass of this class, vtkDataReader, provides many methods for
// controlling the reading of the data file, see vtkDataReader for more
// information.
//
//To create an instance of class vtkTreeReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkTreeReader
//@]
//@@Methods
//The class vtkTreeReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTreeReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTreeReader = obj.NewInstance ()|
// \item @|vtkTreeReader = obj.SafeDownCast (vtkObject o)|
// \item @|vtkTree = obj.GetOutput ()| -  Get the output of this reader.
//// \item @|vtkTree = obj.GetOutput (int idx)| -  Get the output of this reader.
//// \item @|obj.SetOutput (vtkTree output)| -  Get the output of this reader.
////\end{itemize}
//!
