#include "VTKWrap.hpp"

// FreeMat wrapper for vtkTreeWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkTreeWriter.h"

//@@Signature
//sfunction @vtkTreeWriter:vtkTreeWriter vtkTreeWriterConstructorFunction
//input a
//output p
//@@Parents vtkTreeWriter vtkDataWriter 
ArrayVector vtkTreeWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkTreeWriter::New(),"vtkTreeWriter",eval);
  } else if (arg[0].className() == "vtkTreeWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkTreeWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkTreeWriter");
    vtkTreeWriter*q = reinterpret_cast<vtkTreeWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkTreeWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkTreeWriter:GetClassName vtkTreeWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkTreeWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkTreeWriter requires 1 argument(s)");
  vtkTreeWriter* vtk_pointer = GetVTKPointer<vtkTreeWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeWriter:IsA vtkTreeWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkTreeWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkTreeWriter requires 2 argument(s)");
  vtkTreeWriter* vtk_pointer = GetVTKPointer<vtkTreeWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkTreeWriter:NewInstance vtkTreeWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkTreeWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTreeWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkTreeWriter requires 1 argument(s)");
  vtkTreeWriter* vtk_pointer = GetVTKPointer<vtkTreeWriter>(arg[0]);
  Array retval;
  vtkTreeWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTreeWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeWriter:SafeDownCast vtkTreeWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkTreeWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTreeWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkTreeWriter requires 2 argument(s)");
  vtkTreeWriter* vtk_pointer = GetVTKPointer<vtkTreeWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkTreeWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTreeWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeWriter:GetInput__1 vtkTreeWriterGetInput__1Function
//input a0 
//output y
ArrayVector vtkTreeWriterGetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTree *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput__1 for class vtkTreeWriter requires 1 argument(s)");
  vtkTreeWriter* vtk_pointer = GetVTKPointer<vtkTreeWriter>(arg[0]);
  Array retval;
  vtkTree  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeWriter:GetInput__2 vtkTreeWriterGetInput__2Function
//input a0 a1 
//output y
ArrayVector vtkTreeWriterGetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkTree *GetInput (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetInput__2 for class vtkTreeWriter requires 2 argument(s)");
  vtkTreeWriter* vtk_pointer = GetVTKPointer<vtkTreeWriter>(arg[0]);
  Array retval;
  int      temp0;
  vtkTree  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkTree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkTreeWriter:GetInput vtkTreeWriterGetInputFunction
//input varargin
//output varargout
ArrayVector vtkTreeWriterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkTreeWriterGetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkTreeWriterGetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkTreeWriterGetInput");
}

//@@Signature
//sfunction @vtkTreeWriter:display vtkTreeWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkTreeWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkTreeWriter* vtk_pointer = GetVTKPointer<vtkTreeWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkTreeWriter:delete vtkTreeWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkTreeWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkTreeWriter
//@@Section VTKIO
//@@Usage
// vtkTreeWriter is a sink object that writes ASCII or binary 
// vtkTree data files in vtk format. See text for format details.
//
//To create an instance of class vtkTreeWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkTreeWriter
//@]
//@@Methods
//The class vtkTreeWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkTreeWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkTreeWriter = obj.NewInstance ()|
// \item @|vtkTreeWriter = obj.SafeDownCast (vtkObject o)|
// \item @|vtkTree = obj.GetInput ()| -  Get the input to this writer.
//// \item @|vtkTree = obj.GetInput (int port)| -  Get the input to this writer.
////\end{itemize}
//!
