#include "VTKWrap.hpp"

// FreeMat wrapper for vtkUGFacetReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkUGFacetReader.h"

//@@Signature
//sfunction @vtkUGFacetReader:vtkUGFacetReader vtkUGFacetReaderConstructorFunction
//input a
//output p
//@@Parents vtkUGFacetReader vtkPolyDataAlgorithm 
ArrayVector vtkUGFacetReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkUGFacetReader::New(),"vtkUGFacetReader",eval);
  } else if (arg[0].className() == "vtkUGFacetReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkUGFacetReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkUGFacetReader");
    vtkUGFacetReader*q = reinterpret_cast<vtkUGFacetReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkUGFacetReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkUGFacetReader:GetClassName vtkUGFacetReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkUGFacetReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkUGFacetReader requires 1 argument(s)");
  vtkUGFacetReader* vtk_pointer = GetVTKPointer<vtkUGFacetReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUGFacetReader:IsA vtkUGFacetReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkUGFacetReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkUGFacetReader requires 2 argument(s)");
  vtkUGFacetReader* vtk_pointer = GetVTKPointer<vtkUGFacetReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUGFacetReader:NewInstance vtkUGFacetReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkUGFacetReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUGFacetReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkUGFacetReader requires 1 argument(s)");
  vtkUGFacetReader* vtk_pointer = GetVTKPointer<vtkUGFacetReader>(arg[0]);
  Array retval;
  vtkUGFacetReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUGFacetReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUGFacetReader:SafeDownCast vtkUGFacetReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkUGFacetReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUGFacetReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkUGFacetReader requires 2 argument(s)");
  vtkUGFacetReader* vtk_pointer = GetVTKPointer<vtkUGFacetReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkUGFacetReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUGFacetReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUGFacetReader:GetMTime vtkUGFacetReaderGetMTimeFunction
//input a0 
//output y
ArrayVector vtkUGFacetReaderGetMTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMTime (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMTime for class vtkUGFacetReader requires 1 argument(s)");
  vtkUGFacetReader* vtk_pointer = GetVTKPointer<vtkUGFacetReader>(arg[0]);
  Array retval;
  unsigned long     temp20;
  temp20 = (vtk_pointer)->GetMTime();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUGFacetReader:SetFileName vtkUGFacetReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkUGFacetReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkUGFacetReader requires 2 argument(s)");
  vtkUGFacetReader* vtk_pointer = GetVTKPointer<vtkUGFacetReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUGFacetReader:GetFileName vtkUGFacetReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkUGFacetReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkUGFacetReader requires 1 argument(s)");
  vtkUGFacetReader* vtk_pointer = GetVTKPointer<vtkUGFacetReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUGFacetReader:GetNumberOfParts vtkUGFacetReaderGetNumberOfPartsFunction
//input a0 
//output y
ArrayVector vtkUGFacetReaderGetNumberOfPartsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfParts (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfParts for class vtkUGFacetReader requires 1 argument(s)");
  vtkUGFacetReader* vtk_pointer = GetVTKPointer<vtkUGFacetReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfParts();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUGFacetReader:GetPartColorIndex vtkUGFacetReaderGetPartColorIndexFunction
//input a0 a1 
//output y
ArrayVector vtkUGFacetReaderGetPartColorIndexFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature short GetPartColorIndex (int partId); */
  if (arg.size() < 2) 
    throw Exception("Function GetPartColorIndex for class vtkUGFacetReader requires 2 argument(s)");
  vtkUGFacetReader* vtk_pointer = GetVTKPointer<vtkUGFacetReader>(arg[0]);
  Array retval;
  int      temp0;
  short    temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPartColorIndex(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUGFacetReader:SetPartNumber vtkUGFacetReaderSetPartNumberFunction
//input a0 a1 
//output none
ArrayVector vtkUGFacetReaderSetPartNumberFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPartNumber (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPartNumber for class vtkUGFacetReader requires 2 argument(s)");
  vtkUGFacetReader* vtk_pointer = GetVTKPointer<vtkUGFacetReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPartNumber(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUGFacetReader:GetPartNumber vtkUGFacetReaderGetPartNumberFunction
//input a0 
//output y
ArrayVector vtkUGFacetReaderGetPartNumberFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPartNumber (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPartNumber for class vtkUGFacetReader requires 1 argument(s)");
  vtkUGFacetReader* vtk_pointer = GetVTKPointer<vtkUGFacetReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPartNumber();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUGFacetReader:SetMerging vtkUGFacetReaderSetMergingFunction
//input a0 a1 
//output none
ArrayVector vtkUGFacetReaderSetMergingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMerging (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetMerging for class vtkUGFacetReader requires 2 argument(s)");
  vtkUGFacetReader* vtk_pointer = GetVTKPointer<vtkUGFacetReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetMerging(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUGFacetReader:GetMerging vtkUGFacetReaderGetMergingFunction
//input a0 
//output y
ArrayVector vtkUGFacetReaderGetMergingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMerging (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMerging for class vtkUGFacetReader requires 1 argument(s)");
  vtkUGFacetReader* vtk_pointer = GetVTKPointer<vtkUGFacetReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMerging();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUGFacetReader:MergingOn vtkUGFacetReaderMergingOnFunction
//input a0 
//output none
ArrayVector vtkUGFacetReaderMergingOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MergingOn (); */
  if (arg.size() < 1) 
    throw Exception("Function MergingOn for class vtkUGFacetReader requires 1 argument(s)");
  vtkUGFacetReader* vtk_pointer = GetVTKPointer<vtkUGFacetReader>(arg[0]);
  Array retval;
  vtk_pointer->MergingOn();
  return retval;
}

//@@Signature
//sfunction @vtkUGFacetReader:MergingOff vtkUGFacetReaderMergingOffFunction
//input a0 
//output none
ArrayVector vtkUGFacetReaderMergingOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void MergingOff (); */
  if (arg.size() < 1) 
    throw Exception("Function MergingOff for class vtkUGFacetReader requires 1 argument(s)");
  vtkUGFacetReader* vtk_pointer = GetVTKPointer<vtkUGFacetReader>(arg[0]);
  Array retval;
  vtk_pointer->MergingOff();
  return retval;
}

//@@Signature
//sfunction @vtkUGFacetReader:SetLocator vtkUGFacetReaderSetLocatorFunction
//input a0 a1 
//output none
ArrayVector vtkUGFacetReaderSetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLocator (vtkIncrementalPointLocator *locator); */
  if (arg.size() < 2) 
    throw Exception("Function SetLocator for class vtkUGFacetReader requires 2 argument(s)");
  vtkUGFacetReader* vtk_pointer = GetVTKPointer<vtkUGFacetReader>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp0;
  temp0 = GetVTKPointer<vtkIncrementalPointLocator>(arg[1]);
  vtk_pointer->SetLocator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUGFacetReader:GetLocator vtkUGFacetReaderGetLocatorFunction
//input a0 
//output y
ArrayVector vtkUGFacetReaderGetLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkIncrementalPointLocator *GetLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocator for class vtkUGFacetReader requires 1 argument(s)");
  vtkUGFacetReader* vtk_pointer = GetVTKPointer<vtkUGFacetReader>(arg[0]);
  Array retval;
  vtkIncrementalPointLocator  *temp20;
  temp20 = (vtk_pointer)->GetLocator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkIncrementalPointLocator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUGFacetReader:CreateDefaultLocator vtkUGFacetReaderCreateDefaultLocatorFunction
//input a0 
//output none
ArrayVector vtkUGFacetReaderCreateDefaultLocatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void CreateDefaultLocator (); */
  if (arg.size() < 1) 
    throw Exception("Function CreateDefaultLocator for class vtkUGFacetReader requires 1 argument(s)");
  vtkUGFacetReader* vtk_pointer = GetVTKPointer<vtkUGFacetReader>(arg[0]);
  Array retval;
  vtk_pointer->CreateDefaultLocator();
  return retval;
}

//@@Signature
//sfunction @vtkUGFacetReader:display vtkUGFacetReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkUGFacetReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkUGFacetReader* vtk_pointer = GetVTKPointer<vtkUGFacetReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkUGFacetReader:delete vtkUGFacetReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkUGFacetReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkUGFacetReader
//@@Section VTKIO
//@@Usage
// vtkUGFacetReader is a source object that reads Unigraphics facet files.
// Unigraphics is a solid modeling system; facet files are the polygonal
// plot files it uses to create 3D plots.
//
//To create an instance of class vtkUGFacetReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkUGFacetReader
//@]
//@@Methods
//The class vtkUGFacetReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkUGFacetReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkUGFacetReader = obj.NewInstance ()|
// \item @|vtkUGFacetReader = obj.SafeDownCast (vtkObject o)|
// \item @|long = obj.GetMTime ()| -  Overload standard modified time function. If locator is modified,
// then this object is modified as well.
//// \item @|obj.SetFileName (string )| -  Specify Unigraphics file name.
//// \item @|string = obj.GetFileName ()| -  Specify Unigraphics file name.
//// \item @|int = obj.GetNumberOfParts ()| -  Special methods for interrogating the data file.
//// \item @|short = obj.GetPartColorIndex (int partId)| -  Retrieve color index for the parts in the file.
//// \item @|obj.SetPartNumber (int )| -  Specify the desired part to extract. The part number must range between
// [0,NumberOfParts-1]. If the value is =(-1), then all parts will be 
// extracted. If the value is <(-1), then no parts will be  extracted but 
// the part colors will be updated.
//// \item @|int = obj.GetPartNumber ()| -  Specify the desired part to extract. The part number must range between
// [0,NumberOfParts-1]. If the value is =(-1), then all parts will be 
// extracted. If the value is <(-1), then no parts will be  extracted but 
// the part colors will be updated.
//// \item @|obj.SetMerging (int )| -  Turn on/off merging of points/triangles.
//// \item @|int = obj.GetMerging ()| -  Turn on/off merging of points/triangles.
//// \item @|obj.MergingOn ()| -  Turn on/off merging of points/triangles.
//// \item @|obj.MergingOff ()| -  Turn on/off merging of points/triangles.
//// \item @|obj.SetLocator (vtkIncrementalPointLocator locator)| -  Specify a spatial locator for merging points. By
// default an instance of vtkMergePoints is used.
//// \item @|vtkIncrementalPointLocator = obj.GetLocator ()| -  Specify a spatial locator for merging points. By
// default an instance of vtkMergePoints is used.
//// \item @|obj.CreateDefaultLocator ()| -  Create default locator. Used to create one when none is specified.
////\end{itemize}
//!
