#include "VTKWrap.hpp"

// FreeMat wrapper for vtkUnstructuredGridReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkUnstructuredGridReader.h"

//@@Signature
//sfunction @vtkUnstructuredGridReader:vtkUnstructuredGridReader vtkUnstructuredGridReaderConstructorFunction
//input a
//output p
//@@Parents vtkUnstructuredGridReader vtkDataReader 
ArrayVector vtkUnstructuredGridReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkUnstructuredGridReader::New(),"vtkUnstructuredGridReader",eval);
  } else if (arg[0].className() == "vtkUnstructuredGridReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkUnstructuredGridReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkUnstructuredGridReader");
    vtkUnstructuredGridReader*q = reinterpret_cast<vtkUnstructuredGridReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkUnstructuredGridReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkUnstructuredGridReader:GetClassName vtkUnstructuredGridReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkUnstructuredGridReader requires 1 argument(s)");
  vtkUnstructuredGridReader* vtk_pointer = GetVTKPointer<vtkUnstructuredGridReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridReader:IsA vtkUnstructuredGridReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkUnstructuredGridReader requires 2 argument(s)");
  vtkUnstructuredGridReader* vtk_pointer = GetVTKPointer<vtkUnstructuredGridReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridReader:NewInstance vtkUnstructuredGridReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkUnstructuredGridReader requires 1 argument(s)");
  vtkUnstructuredGridReader* vtk_pointer = GetVTKPointer<vtkUnstructuredGridReader>(arg[0]);
  Array retval;
  vtkUnstructuredGridReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridReader:SafeDownCast vtkUnstructuredGridReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkUnstructuredGridReader requires 2 argument(s)");
  vtkUnstructuredGridReader* vtk_pointer = GetVTKPointer<vtkUnstructuredGridReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkUnstructuredGridReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridReader:GetOutput__1 vtkUnstructuredGridReaderGetOutput__1Function
//input a0 
//output y
ArrayVector vtkUnstructuredGridReaderGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkUnstructuredGridReader requires 1 argument(s)");
  vtkUnstructuredGridReader* vtk_pointer = GetVTKPointer<vtkUnstructuredGridReader>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridReader:GetOutput__2 vtkUnstructuredGridReaderGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridReaderGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetOutput (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkUnstructuredGridReader requires 2 argument(s)");
  vtkUnstructuredGridReader* vtk_pointer = GetVTKPointer<vtkUnstructuredGridReader>(arg[0]);
  Array retval;
  int      temp0;
  vtkUnstructuredGrid  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridReader:SetOutput vtkUnstructuredGridReaderSetOutputFunction
//input a0 a1 
//output none
ArrayVector vtkUnstructuredGridReaderSetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutput (vtkUnstructuredGrid *output); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutput for class vtkUnstructuredGridReader requires 2 argument(s)");
  vtkUnstructuredGridReader* vtk_pointer = GetVTKPointer<vtkUnstructuredGridReader>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp0;
  temp0 = GetVTKPointer<vtkUnstructuredGrid>(arg[1]);
  vtk_pointer->SetOutput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridReader:GetOutput vtkUnstructuredGridReaderGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridReaderGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkUnstructuredGridReaderGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkUnstructuredGridReaderGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkUnstructuredGridReaderGetOutput");
}

//@@Signature
//sfunction @vtkUnstructuredGridReader:display vtkUnstructuredGridReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkUnstructuredGridReader* vtk_pointer = GetVTKPointer<vtkUnstructuredGridReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkUnstructuredGridReader:delete vtkUnstructuredGridReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkUnstructuredGridReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkUnstructuredGridReader
//@@Section VTKIO
//@@Usage
// vtkUnstructuredGridReader is a source object that reads ASCII or binary 
// unstructured grid data files in vtk format. (see text for format details).
// The output of this reader is a single vtkUnstructuredGrid data object.
// The superclass of this class, vtkDataReader, provides many methods for
// controlling the reading of the data file, see vtkDataReader for more
// information.
//
//To create an instance of class vtkUnstructuredGridReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkUnstructuredGridReader
//@]
//@@Methods
//The class vtkUnstructuredGridReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkUnstructuredGridReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkUnstructuredGridReader = obj.NewInstance ()|
// \item @|vtkUnstructuredGridReader = obj.SafeDownCast (vtkObject o)|
// \item @|vtkUnstructuredGrid = obj.GetOutput ()| -  Get the output of this reader.
//// \item @|vtkUnstructuredGrid = obj.GetOutput (int idx)| -  Get the output of this reader.
//// \item @|obj.SetOutput (vtkUnstructuredGrid output)| -  Get the output of this reader.
////\end{itemize}
//!
