#include "VTKWrap.hpp"

// FreeMat wrapper for vtkUnstructuredGridWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkUnstructuredGridWriter.h"

//@@Signature
//sfunction @vtkUnstructuredGridWriter:vtkUnstructuredGridWriter vtkUnstructuredGridWriterConstructorFunction
//input a
//output p
//@@Parents vtkUnstructuredGridWriter vtkDataWriter 
ArrayVector vtkUnstructuredGridWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkUnstructuredGridWriter::New(),"vtkUnstructuredGridWriter",eval);
  } else if (arg[0].className() == "vtkUnstructuredGridWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkUnstructuredGridWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkUnstructuredGridWriter");
    vtkUnstructuredGridWriter*q = reinterpret_cast<vtkUnstructuredGridWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkUnstructuredGridWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkUnstructuredGridWriter:GetClassName vtkUnstructuredGridWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkUnstructuredGridWriter requires 1 argument(s)");
  vtkUnstructuredGridWriter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridWriter:IsA vtkUnstructuredGridWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkUnstructuredGridWriter requires 2 argument(s)");
  vtkUnstructuredGridWriter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridWriter:NewInstance vtkUnstructuredGridWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkUnstructuredGridWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkUnstructuredGridWriter requires 1 argument(s)");
  vtkUnstructuredGridWriter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridWriter>(arg[0]);
  Array retval;
  vtkUnstructuredGridWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridWriter:SafeDownCast vtkUnstructuredGridWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGridWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkUnstructuredGridWriter requires 2 argument(s)");
  vtkUnstructuredGridWriter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkUnstructuredGridWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGridWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridWriter:GetInput__1 vtkUnstructuredGridWriterGetInput__1Function
//input a0 
//output y
ArrayVector vtkUnstructuredGridWriterGetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetInput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetInput__1 for class vtkUnstructuredGridWriter requires 1 argument(s)");
  vtkUnstructuredGridWriter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridWriter>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridWriter:GetInput__2 vtkUnstructuredGridWriterGetInput__2Function
//input a0 a1 
//output y
ArrayVector vtkUnstructuredGridWriterGetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetInput (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetInput__2 for class vtkUnstructuredGridWriter requires 2 argument(s)");
  vtkUnstructuredGridWriter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridWriter>(arg[0]);
  Array retval;
  int      temp0;
  vtkUnstructuredGrid  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkUnstructuredGridWriter:GetInput vtkUnstructuredGridWriterGetInputFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridWriterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkUnstructuredGridWriterGetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkUnstructuredGridWriterGetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkUnstructuredGridWriterGetInput");
}

//@@Signature
//sfunction @vtkUnstructuredGridWriter:display vtkUnstructuredGridWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkUnstructuredGridWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkUnstructuredGridWriter* vtk_pointer = GetVTKPointer<vtkUnstructuredGridWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkUnstructuredGridWriter:delete vtkUnstructuredGridWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkUnstructuredGridWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkUnstructuredGridWriter
//@@Section VTKIO
//@@Usage
// vtkUnstructuredGridWriter is a source object that writes ASCII or binary 
// unstructured grid data files in vtk format. See text for format details.
//
//To create an instance of class vtkUnstructuredGridWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkUnstructuredGridWriter
//@]
//@@Methods
//The class vtkUnstructuredGridWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkUnstructuredGridWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkUnstructuredGridWriter = obj.NewInstance ()|
// \item @|vtkUnstructuredGridWriter = obj.SafeDownCast (vtkObject o)|
// \item @|vtkUnstructuredGrid = obj.GetInput ()| -  Get the input to this writer.
//// \item @|vtkUnstructuredGrid = obj.GetInput (int port)| -  Get the input to this writer.
////\end{itemize}
//!
