#include "VTKWrap.hpp"

// FreeMat wrapper for vtkVolumeReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkVolumeReader.h"

//@@Signature
//sfunction @vtkVolumeReader:vtkVolumeReader vtkVolumeReaderConstructorFunction
//input a
//output p
//@@Parents vtkVolumeReader vtkImageAlgorithm 
ArrayVector vtkVolumeReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkVolumeReader::New(),"vtkVolumeReader",eval);
  } else if (arg[0].className() == "vtkVolumeReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkVolumeReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkVolumeReader");
    vtkVolumeReader*q = reinterpret_cast<vtkVolumeReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkVolumeReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkVolumeReader:GetClassName vtkVolumeReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkVolumeReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkVolumeReader requires 1 argument(s)");
  vtkVolumeReader* vtk_pointer = GetVTKPointer<vtkVolumeReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeReader:IsA vtkVolumeReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkVolumeReader requires 2 argument(s)");
  vtkVolumeReader* vtk_pointer = GetVTKPointer<vtkVolumeReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeReader:NewInstance vtkVolumeReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkVolumeReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkVolumeReader requires 1 argument(s)");
  vtkVolumeReader* vtk_pointer = GetVTKPointer<vtkVolumeReader>(arg[0]);
  Array retval;
  vtkVolumeReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeReader:SafeDownCast vtkVolumeReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkVolumeReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkVolumeReader requires 2 argument(s)");
  vtkVolumeReader* vtk_pointer = GetVTKPointer<vtkVolumeReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkVolumeReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkVolumeReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeReader:SetFilePrefix vtkVolumeReaderSetFilePrefixFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeReaderSetFilePrefixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFilePrefix (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFilePrefix for class vtkVolumeReader requires 2 argument(s)");
  vtkVolumeReader* vtk_pointer = GetVTKPointer<vtkVolumeReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFilePrefix(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeReader:GetFilePrefix vtkVolumeReaderGetFilePrefixFunction
//input a0 
//output y
ArrayVector vtkVolumeReaderGetFilePrefixFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFilePrefix (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFilePrefix for class vtkVolumeReader requires 1 argument(s)");
  vtkVolumeReader* vtk_pointer = GetVTKPointer<vtkVolumeReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFilePrefix();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeReader:SetFilePattern vtkVolumeReaderSetFilePatternFunction
//input a0 a1 
//output none
ArrayVector vtkVolumeReaderSetFilePatternFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFilePattern (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFilePattern for class vtkVolumeReader requires 2 argument(s)");
  vtkVolumeReader* vtk_pointer = GetVTKPointer<vtkVolumeReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFilePattern(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeReader:GetFilePattern vtkVolumeReaderGetFilePatternFunction
//input a0 
//output y
ArrayVector vtkVolumeReaderGetFilePatternFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFilePattern (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFilePattern for class vtkVolumeReader requires 1 argument(s)");
  vtkVolumeReader* vtk_pointer = GetVTKPointer<vtkVolumeReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFilePattern();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkVolumeReader:SetImageRange__1 vtkVolumeReaderSetImageRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkVolumeReaderSetImageRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImageRange (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetImageRange__1 for class vtkVolumeReader requires 3 argument(s)");
  vtkVolumeReader* vtk_pointer = GetVTKPointer<vtkVolumeReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetImageRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeReader:SetImageRange__2 vtkVolumeReaderSetImageRange__2Function
//input a0 a1 
//output none
ArrayVector vtkVolumeReaderSetImageRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetImageRange (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetImageRange__2 for class vtkVolumeReader requires 2 argument(s)");
  vtkVolumeReader* vtk_pointer = GetVTKPointer<vtkVolumeReader>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetImageRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeReader:GetImageRange vtkVolumeReaderGetImageRangeFunction
//input a0 
//output y
ArrayVector vtkVolumeReaderGetImageRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetImageRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetImageRange for class vtkVolumeReader requires 1 argument(s)");
  vtkVolumeReader* vtk_pointer = GetVTKPointer<vtkVolumeReader>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetImageRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeReader:SetDataSpacing__1 vtkVolumeReaderSetDataSpacing__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkVolumeReaderSetDataSpacing__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataSpacing (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetDataSpacing__1 for class vtkVolumeReader requires 4 argument(s)");
  vtkVolumeReader* vtk_pointer = GetVTKPointer<vtkVolumeReader>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetDataSpacing(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeReader:SetDataSpacing__2 vtkVolumeReaderSetDataSpacing__2Function
//input a0 a1 
//output none
ArrayVector vtkVolumeReaderSetDataSpacing__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataSpacing (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataSpacing__2 for class vtkVolumeReader requires 2 argument(s)");
  vtkVolumeReader* vtk_pointer = GetVTKPointer<vtkVolumeReader>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetDataSpacing(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeReader:GetDataSpacing vtkVolumeReaderGetDataSpacingFunction
//input a0 
//output y
ArrayVector vtkVolumeReaderGetDataSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetDataSpacing (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataSpacing for class vtkVolumeReader requires 1 argument(s)");
  vtkVolumeReader* vtk_pointer = GetVTKPointer<vtkVolumeReader>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetDataSpacing();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeReader:SetDataOrigin__1 vtkVolumeReaderSetDataOrigin__1Function
//input a0 a1 a2 a3 
//output none
ArrayVector vtkVolumeReaderSetDataOrigin__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataOrigin (double , double , double ); */
  if (arg.size() < 4) 
    throw Exception("Function SetDataOrigin__1 for class vtkVolumeReader requires 4 argument(s)");
  vtkVolumeReader* vtk_pointer = GetVTKPointer<vtkVolumeReader>(arg[0]);
  Array retval;
  double   temp0;
  double   temp1;
  double   temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (double) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (double) arg[3].asDouble();
  vtk_pointer->SetDataOrigin(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeReader:SetDataOrigin__2 vtkVolumeReaderSetDataOrigin__2Function
//input a0 a1 
//output none
ArrayVector vtkVolumeReaderSetDataOrigin__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataOrigin (double  a[3]); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataOrigin__2 for class vtkVolumeReader requires 2 argument(s)");
  vtkVolumeReader* vtk_pointer = GetVTKPointer<vtkVolumeReader>(arg[0]);
  Array retval;
  double temp0[3];
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  vtk_pointer->SetDataOrigin(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeReader:GetDataOrigin vtkVolumeReaderGetDataOriginFunction
//input a0 
//output y
ArrayVector vtkVolumeReaderGetDataOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature double  *GetDataOrigin (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataOrigin for class vtkVolumeReader requires 1 argument(s)");
  vtkVolumeReader* vtk_pointer = GetVTKPointer<vtkVolumeReader>(arg[0]);
  Array retval;
  double  *temp20;
  temp20 = (vtk_pointer)->GetDataOrigin();
  BasicArray<double> tempResult(NTuple(3,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeReader:GetImage vtkVolumeReaderGetImageFunction
//input a0 a1 
//output y
ArrayVector vtkVolumeReaderGetImageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkImageData *GetImage (int ImageNumber) = 0; */
  if (arg.size() < 2) 
    throw Exception("Function GetImage for class vtkVolumeReader requires 2 argument(s)");
  vtkVolumeReader* vtk_pointer = GetVTKPointer<vtkVolumeReader>(arg[0]);
  Array retval;
  int      temp0;
  vtkImageData  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetImage(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkVolumeReader:SetImageRange vtkVolumeReaderSetImageRangeFunction
//input varargin
//output varargout
ArrayVector vtkVolumeReaderSetImageRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkVolumeReaderSetImageRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkVolumeReaderSetImageRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumeReaderSetImageRange");
}

//@@Signature
//sfunction @vtkVolumeReader:SetDataSpacing vtkVolumeReaderSetDataSpacingFunction
//input varargin
//output varargout
ArrayVector vtkVolumeReaderSetDataSpacingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkVolumeReaderSetDataSpacing__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkVolumeReaderSetDataSpacing__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumeReaderSetDataSpacing");
}

//@@Signature
//sfunction @vtkVolumeReader:SetDataOrigin vtkVolumeReaderSetDataOriginFunction
//input varargin
//output varargout
ArrayVector vtkVolumeReaderSetDataOriginFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 4) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]))
    return vtkVolumeReaderSetDataOrigin__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkVolumeReaderSetDataOrigin__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkVolumeReaderSetDataOrigin");
}

//@@Signature
//sfunction @vtkVolumeReader:display vtkVolumeReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkVolumeReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkVolumeReader* vtk_pointer = GetVTKPointer<vtkVolumeReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkVolumeReader:delete vtkVolumeReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkVolumeReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkVolumeReader
//@@Section VTKIO
//@@Usage
// vtkVolumeReader is a source object that reads image files.
//
// VolumeReader creates structured point datasets. The dimension of the 
// dataset depends upon the number of files read. Reading a single file 
// results in a 2D image, while reading more than one file results in a 
// 3D volume.
//
// File names are created using FilePattern and FilePrefix as follows:
// sprintf (filename, FilePattern, FilePrefix, number);
// where number is in the range ImageRange[0] to ImageRange[1]. If
// ImageRange[1] <= ImageRange[0], then slice number ImageRange[0] is
// read. Thus to read an image set ImageRange[0] = ImageRange[1] = slice 
// number. The default behavior is to read a single file (i.e., image slice 1).
//
// The DataMask instance variable is used to read data files with imbedded
// connectivity or segmentation information. For example, some data has
// the high order bit set to indicate connected surface. The DataMask allows
// you to select this data. Other important ivars include HeaderSize, which
// allows you to skip over initial info, and SwapBytes, which turns on/off
// byte swapping. Consider using vtkImageReader as a replacement.
//
//To create an instance of class vtkVolumeReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkVolumeReader
//@]
//@@Methods
//The class vtkVolumeReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkVolumeReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkVolumeReader = obj.NewInstance ()|
// \item @|vtkVolumeReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFilePrefix (string )| -  Specify file prefix for the image file(s).
//// \item @|string = obj.GetFilePrefix ()| -  Specify file prefix for the image file(s).
//// \item @|obj.SetFilePattern (string )| -  The sprintf format used to build filename from FilePrefix and number.
//// \item @|string = obj.GetFilePattern ()| -  The sprintf format used to build filename from FilePrefix and number.
//// \item @|obj.SetImageRange (int , int )| -  Set the range of files to read.
//// \item @|obj.SetImageRange (int  a[2])| -  Set the range of files to read.
//// \item @|int = obj. GetImageRange ()| -  Set the range of files to read.
//// \item @|obj.SetDataSpacing (double , double , double )| -  Specify the spacing for the data.
//// \item @|obj.SetDataSpacing (double  a[3])| -  Specify the spacing for the data.
//// \item @|double = obj. GetDataSpacing ()| -  Specify the spacing for the data.
//// \item @|obj.SetDataOrigin (double , double , double )| -  Specify the origin for the data.
//// \item @|obj.SetDataOrigin (double  a[3])| -  Specify the origin for the data.
//// \item @|double = obj. GetDataOrigin ()| -  Specify the origin for the data.
//// \item @|vtkImageData = obj.GetImage (int ImageNumber)| -  Other objects make use of this method.
////\end{itemize}
//!
