#include "VTKWrap.hpp"

// FreeMat wrapper for vtkWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkWriter.h"

//@@Signature
//sfunction @vtkWriter:vtkWriter vtkWriterConstructorFunction
//input a
//output p
//@@Parents vtkWriter vtkAlgorithm 
ArrayVector vtkWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkWriter::New(),"vtkWriter",eval);
  } else if (arg[0].className() == "vtkWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkWriter");
    vtkWriter*q = reinterpret_cast<vtkWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkWriter:GetClassName vtkWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkWriter requires 1 argument(s)");
  vtkWriter* vtk_pointer = GetVTKPointer<vtkWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWriter:IsA vtkWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkWriter requires 2 argument(s)");
  vtkWriter* vtk_pointer = GetVTKPointer<vtkWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWriter:NewInstance vtkWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkWriter requires 1 argument(s)");
  vtkWriter* vtk_pointer = GetVTKPointer<vtkWriter>(arg[0]);
  Array retval;
  vtkWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWriter:SafeDownCast vtkWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkWriter requires 2 argument(s)");
  vtkWriter* vtk_pointer = GetVTKPointer<vtkWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkWriter:Write vtkWriterWriteFunction
//input a0 
//output y
ArrayVector vtkWriterWriteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Write (); */
  if (arg.size() < 1) 
    throw Exception("Function Write for class vtkWriter requires 1 argument(s)");
  vtkWriter* vtk_pointer = GetVTKPointer<vtkWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->Write();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkWriter:EncodeString vtkWriterEncodeStringFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkWriterEncodeStringFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EncodeString (char *resname, const char *name, bool doublePercent); */
  if (arg.size() < 4) 
    throw Exception("Function EncodeString for class vtkWriter requires 4 argument(s)");
  vtkWriter* vtk_pointer = GetVTKPointer<vtkWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp1;
  bool   temp2;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  char tmp_string1[1024];
  strcpy(tmp_string1,qPrintable(arg[2].asString())); 
  temp1 = tmp_string1;
  vtk_pointer->EncodeString(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkWriter:SetInput__1 vtkWriterSetInput__1Function
//input a0 a1 
//output none
ArrayVector vtkWriterSetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkDataObject *input); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput__1 for class vtkWriter requires 2 argument(s)");
  vtkWriter* vtk_pointer = GetVTKPointer<vtkWriter>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkWriter:SetInput__2 vtkWriterSetInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkWriterSetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (int index, vtkDataObject *input); */
  if (arg.size() < 3) 
    throw Exception("Function SetInput__2 for class vtkWriter requires 3 argument(s)");
  vtkWriter* vtk_pointer = GetVTKPointer<vtkWriter>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->SetInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkWriter:SetInput vtkWriterSetInputFunction
//input varargin
//output varargout
ArrayVector vtkWriterSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkWriterSetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkWriterSetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkWriterSetInput");
}

//@@Signature
//sfunction @vtkWriter:display vtkWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkWriter* vtk_pointer = GetVTKPointer<vtkWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkWriter:delete vtkWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkWriter
//@@Section VTKIO
//@@Usage
// vtkWriter is an abstract class for mapper objects that write their data
// to disk (or into a communications port). All writers respond to Write()
// method. This method insures that there is input and input is up to date.
//
//To create an instance of class vtkWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkWriter
//@]
//@@Methods
//The class vtkWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkWriter = obj.NewInstance ()|
// \item @|vtkWriter = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.Write ()| -  Write data to output. Method executes subclasses WriteData() method, as 
// well as StartMethod() and EndMethod() methods.
// Returns 1 on success and 0 on failure.
//// \item @|obj.EncodeString (string resname, string name, bool doublePercent)| -  Encode the string so that the reader will not have problems.
// The resulting string is up to three times the size of the input 
// string.  doublePercent indicates whether to output a double '%' before
// escaped characters so the string may be used as a printf format string.
//// \item @|obj.SetInput (vtkDataObject input)| -  Set/get the input to this writer.
//// \item @|obj.SetInput (int index, vtkDataObject input)| -  Set/get the input to this writer.
////\end{itemize}
//!
