#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLCompositeDataReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLCompositeDataReader.h"

//@@Signature
//sfunction @vtkXMLCompositeDataReader:vtkXMLCompositeDataReader vtkXMLCompositeDataReaderConstructorFunction
//input a
//output p
//@@Parents vtkXMLCompositeDataReader vtkXMLReader 
ArrayVector vtkXMLCompositeDataReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLCompositeDataReader::New(),"vtkXMLCompositeDataReader",eval);
  } else if (arg[0].className() == "vtkXMLCompositeDataReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLCompositeDataReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLCompositeDataReader");
    vtkXMLCompositeDataReader*q = reinterpret_cast<vtkXMLCompositeDataReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLCompositeDataReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLCompositeDataReader:GetClassName vtkXMLCompositeDataReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLCompositeDataReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLCompositeDataReader requires 1 argument(s)");
  vtkXMLCompositeDataReader* vtk_pointer = GetVTKPointer<vtkXMLCompositeDataReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLCompositeDataReader:IsA vtkXMLCompositeDataReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLCompositeDataReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLCompositeDataReader requires 2 argument(s)");
  vtkXMLCompositeDataReader* vtk_pointer = GetVTKPointer<vtkXMLCompositeDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLCompositeDataReader:NewInstance vtkXMLCompositeDataReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLCompositeDataReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLCompositeDataReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLCompositeDataReader requires 1 argument(s)");
  vtkXMLCompositeDataReader* vtk_pointer = GetVTKPointer<vtkXMLCompositeDataReader>(arg[0]);
  Array retval;
  vtkXMLCompositeDataReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLCompositeDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLCompositeDataReader:SafeDownCast vtkXMLCompositeDataReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLCompositeDataReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLCompositeDataReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLCompositeDataReader requires 2 argument(s)");
  vtkXMLCompositeDataReader* vtk_pointer = GetVTKPointer<vtkXMLCompositeDataReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLCompositeDataReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLCompositeDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLCompositeDataReader:GetOutput__1 vtkXMLCompositeDataReaderGetOutput__1Function
//input a0 
//output y
ArrayVector vtkXMLCompositeDataReaderGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompositeDataSet *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkXMLCompositeDataReader requires 1 argument(s)");
  vtkXMLCompositeDataReader* vtk_pointer = GetVTKPointer<vtkXMLCompositeDataReader>(arg[0]);
  Array retval;
  vtkCompositeDataSet  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompositeDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLCompositeDataReader:GetOutput__2 vtkXMLCompositeDataReaderGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkXMLCompositeDataReaderGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCompositeDataSet *GetOutput (int ); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkXMLCompositeDataReader requires 2 argument(s)");
  vtkXMLCompositeDataReader* vtk_pointer = GetVTKPointer<vtkXMLCompositeDataReader>(arg[0]);
  Array retval;
  int      temp0;
  vtkCompositeDataSet  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCompositeDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLCompositeDataReader:GetOutput vtkXMLCompositeDataReaderGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkXMLCompositeDataReaderGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkXMLCompositeDataReaderGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkXMLCompositeDataReaderGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXMLCompositeDataReaderGetOutput");
}

//@@Signature
//sfunction @vtkXMLCompositeDataReader:display vtkXMLCompositeDataReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLCompositeDataReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLCompositeDataReader* vtk_pointer = GetVTKPointer<vtkXMLCompositeDataReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLCompositeDataReader:delete vtkXMLCompositeDataReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLCompositeDataReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLCompositeDataReader
//@@Section VTKIO
//@@Usage
// vtkXMLCompositeDataReader reads the VTK XML multi-group data file
// format. XML multi-group data files are meta-files that point to a list
// of serial VTK XML files. When reading in parallel, it will distribute
// sub-blocks among processor. If the number of sub-blocks is less than
// the number of processors, some processors will not have any sub-blocks
// for that group. If the number of sub-blocks is larger than the
// number of processors, each processor will possibly have more than
// 1 sub-block.
//
//To create an instance of class vtkXMLCompositeDataReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLCompositeDataReader
//@]
//@@Methods
//The class vtkXMLCompositeDataReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLCompositeDataReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLCompositeDataReader = obj.NewInstance ()|
// \item @|vtkXMLCompositeDataReader = obj.SafeDownCast (vtkObject o)|
// \item @|vtkCompositeDataSet = obj.GetOutput ()| -  Get the output data object for a port on this algorithm.
//// \item @|vtkCompositeDataSet = obj.GetOutput (int )| -  Get the output data object for a port on this algorithm.
////\end{itemize}
//!
