#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLCompositeDataWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLCompositeDataWriter.h"

//@@Signature
//sfunction @vtkXMLCompositeDataWriter:vtkXMLCompositeDataWriter vtkXMLCompositeDataWriterConstructorFunction
//input a
//output p
//@@Parents vtkXMLCompositeDataWriter vtkXMLWriter 
ArrayVector vtkXMLCompositeDataWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLCompositeDataWriter::New(),"vtkXMLCompositeDataWriter",eval);
  } else if (arg[0].className() == "vtkXMLCompositeDataWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLCompositeDataWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLCompositeDataWriter");
    vtkXMLCompositeDataWriter*q = reinterpret_cast<vtkXMLCompositeDataWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLCompositeDataWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLCompositeDataWriter:GetClassName vtkXMLCompositeDataWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLCompositeDataWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLCompositeDataWriter requires 1 argument(s)");
  vtkXMLCompositeDataWriter* vtk_pointer = GetVTKPointer<vtkXMLCompositeDataWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLCompositeDataWriter:IsA vtkXMLCompositeDataWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLCompositeDataWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLCompositeDataWriter requires 2 argument(s)");
  vtkXMLCompositeDataWriter* vtk_pointer = GetVTKPointer<vtkXMLCompositeDataWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLCompositeDataWriter:NewInstance vtkXMLCompositeDataWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLCompositeDataWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLCompositeDataWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLCompositeDataWriter requires 1 argument(s)");
  vtkXMLCompositeDataWriter* vtk_pointer = GetVTKPointer<vtkXMLCompositeDataWriter>(arg[0]);
  Array retval;
  vtkXMLCompositeDataWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLCompositeDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLCompositeDataWriter:SafeDownCast vtkXMLCompositeDataWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLCompositeDataWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLCompositeDataWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLCompositeDataWriter requires 2 argument(s)");
  vtkXMLCompositeDataWriter* vtk_pointer = GetVTKPointer<vtkXMLCompositeDataWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLCompositeDataWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLCompositeDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLCompositeDataWriter:GetDefaultFileExtension vtkXMLCompositeDataWriterGetDefaultFileExtensionFunction
//input a0 
//output y
ArrayVector vtkXMLCompositeDataWriterGetDefaultFileExtensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetDefaultFileExtension (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultFileExtension for class vtkXMLCompositeDataWriter requires 1 argument(s)");
  vtkXMLCompositeDataWriter* vtk_pointer = GetVTKPointer<vtkXMLCompositeDataWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDefaultFileExtension();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLCompositeDataWriter:GetGhostLevel vtkXMLCompositeDataWriterGetGhostLevelFunction
//input a0 
//output y
ArrayVector vtkXMLCompositeDataWriterGetGhostLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGhostLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGhostLevel for class vtkXMLCompositeDataWriter requires 1 argument(s)");
  vtkXMLCompositeDataWriter* vtk_pointer = GetVTKPointer<vtkXMLCompositeDataWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGhostLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLCompositeDataWriter:SetGhostLevel vtkXMLCompositeDataWriterSetGhostLevelFunction
//input a0 a1 
//output none
ArrayVector vtkXMLCompositeDataWriterSetGhostLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGhostLevel (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGhostLevel for class vtkXMLCompositeDataWriter requires 2 argument(s)");
  vtkXMLCompositeDataWriter* vtk_pointer = GetVTKPointer<vtkXMLCompositeDataWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGhostLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLCompositeDataWriter:GetWriteMetaFile vtkXMLCompositeDataWriterGetWriteMetaFileFunction
//input a0 
//output y
ArrayVector vtkXMLCompositeDataWriterGetWriteMetaFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWriteMetaFile (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWriteMetaFile for class vtkXMLCompositeDataWriter requires 1 argument(s)");
  vtkXMLCompositeDataWriter* vtk_pointer = GetVTKPointer<vtkXMLCompositeDataWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWriteMetaFile();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLCompositeDataWriter:SetWriteMetaFile vtkXMLCompositeDataWriterSetWriteMetaFileFunction
//input a0 a1 
//output none
ArrayVector vtkXMLCompositeDataWriterSetWriteMetaFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetWriteMetaFile (int flag); */
  if (arg.size() < 2) 
    throw Exception("Function SetWriteMetaFile for class vtkXMLCompositeDataWriter requires 2 argument(s)");
  vtkXMLCompositeDataWriter* vtk_pointer = GetVTKPointer<vtkXMLCompositeDataWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetWriteMetaFile(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLCompositeDataWriter:display vtkXMLCompositeDataWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLCompositeDataWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLCompositeDataWriter* vtk_pointer = GetVTKPointer<vtkXMLCompositeDataWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLCompositeDataWriter:delete vtkXMLCompositeDataWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLCompositeDataWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLCompositeDataWriter
//@@Section VTKIO
//@@Usage
// vtkXMLCompositeDataWriter writes (serially) the VTK XML multi-group,
// multi-block hierarchical and hierarchical box files. XML multi-group
// data files are meta-files that point to a list of serial VTK XML files.
//
//To create an instance of class vtkXMLCompositeDataWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLCompositeDataWriter
//@]
//@@Methods
//The class vtkXMLCompositeDataWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLCompositeDataWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLCompositeDataWriter = obj.NewInstance ()|
// \item @|vtkXMLCompositeDataWriter = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetDefaultFileExtension ()| -  Get the default file extension for files written by this writer.
//// \item @|int = obj.GetGhostLevel ()| -  Get/Set the number of ghost levels to be written.
//// \item @|obj.SetGhostLevel (int )| -  Get/Set the number of ghost levels to be written.
//// \item @|int = obj.GetWriteMetaFile ()| -  Get/Set whether this instance will write the meta-file. 
//// \item @|obj.SetWriteMetaFile (int flag)| -  Get/Set whether this instance will write the meta-file. 
////\end{itemize}
//!
