#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLDataParser object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLDataParser.h"

//@@Signature
//sfunction @vtkXMLDataParser:vtkXMLDataParser vtkXMLDataParserConstructorFunction
//input a
//output p
//@@Parents vtkXMLDataParser vtkXMLParser 
ArrayVector vtkXMLDataParserConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLDataParser::New(),"vtkXMLDataParser",eval);
  } else if (arg[0].className() == "vtkXMLDataParser") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLDataParser"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLDataParser");
    vtkXMLDataParser*q = reinterpret_cast<vtkXMLDataParser*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLDataParser");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLDataParser:GetClassName vtkXMLDataParserGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLDataParserGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLDataParser requires 1 argument(s)");
  vtkXMLDataParser* vtk_pointer = GetVTKPointer<vtkXMLDataParser>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataParser:IsA vtkXMLDataParserIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLDataParserIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLDataParser requires 2 argument(s)");
  vtkXMLDataParser* vtk_pointer = GetVTKPointer<vtkXMLDataParser>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataParser:NewInstance vtkXMLDataParserNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLDataParserNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLDataParser *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLDataParser requires 1 argument(s)");
  vtkXMLDataParser* vtk_pointer = GetVTKPointer<vtkXMLDataParser>(arg[0]);
  Array retval;
  vtkXMLDataParser  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLDataParser",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataParser:SafeDownCast vtkXMLDataParserSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLDataParserSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLDataParser *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLDataParser requires 2 argument(s)");
  vtkXMLDataParser* vtk_pointer = GetVTKPointer<vtkXMLDataParser>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLDataParser  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLDataParser",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataParser:GetRootElement vtkXMLDataParserGetRootElementFunction
//input a0 
//output y
ArrayVector vtkXMLDataParserGetRootElementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLDataElement *GetRootElement (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRootElement for class vtkXMLDataParser requires 1 argument(s)");
  vtkXMLDataParser* vtk_pointer = GetVTKPointer<vtkXMLDataParser>(arg[0]);
  Array retval;
  vtkXMLDataElement  *temp20;
  temp20 = (vtk_pointer)->GetRootElement();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLDataElement",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataParser:SetCompressor vtkXMLDataParserSetCompressorFunction
//input a0 a1 
//output none
ArrayVector vtkXMLDataParserSetCompressorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCompressor (vtkDataCompressor *); */
  if (arg.size() < 2) 
    throw Exception("Function SetCompressor for class vtkXMLDataParser requires 2 argument(s)");
  vtkXMLDataParser* vtk_pointer = GetVTKPointer<vtkXMLDataParser>(arg[0]);
  Array retval;
  vtkDataCompressor  *temp0;
  temp0 = GetVTKPointer<vtkDataCompressor>(arg[1]);
  vtk_pointer->SetCompressor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataParser:GetCompressor vtkXMLDataParserGetCompressorFunction
//input a0 
//output y
ArrayVector vtkXMLDataParserGetCompressorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataCompressor *GetCompressor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCompressor for class vtkXMLDataParser requires 1 argument(s)");
  vtkXMLDataParser* vtk_pointer = GetVTKPointer<vtkXMLDataParser>(arg[0]);
  Array retval;
  vtkDataCompressor  *temp20;
  temp20 = (vtk_pointer)->GetCompressor();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataCompressor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataParser:GetWordTypeSize vtkXMLDataParserGetWordTypeSizeFunction
//input a0 a1 
//output y
ArrayVector vtkXMLDataParserGetWordTypeSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetWordTypeSize (int wordType); */
  if (arg.size() < 2) 
    throw Exception("Function GetWordTypeSize for class vtkXMLDataParser requires 2 argument(s)");
  vtkXMLDataParser* vtk_pointer = GetVTKPointer<vtkXMLDataParser>(arg[0]);
  Array retval;
  int      temp0;
  unsigned long     temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetWordTypeSize(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataParser:Parse__1 vtkXMLDataParserParse__1Function
//input a0 
//output y
ArrayVector vtkXMLDataParserParse__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Parse (); */
  if (arg.size() < 1) 
    throw Exception("Function Parse__1 for class vtkXMLDataParser requires 1 argument(s)");
  vtkXMLDataParser* vtk_pointer = GetVTKPointer<vtkXMLDataParser>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->Parse();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataParser:GetAbort vtkXMLDataParserGetAbortFunction
//input a0 
//output y
ArrayVector vtkXMLDataParserGetAbortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAbort (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAbort for class vtkXMLDataParser requires 1 argument(s)");
  vtkXMLDataParser* vtk_pointer = GetVTKPointer<vtkXMLDataParser>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAbort();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataParser:SetAbort vtkXMLDataParserSetAbortFunction
//input a0 a1 
//output none
ArrayVector vtkXMLDataParserSetAbortFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAbort (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAbort for class vtkXMLDataParser requires 2 argument(s)");
  vtkXMLDataParser* vtk_pointer = GetVTKPointer<vtkXMLDataParser>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAbort(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataParser:GetProgress vtkXMLDataParserGetProgressFunction
//input a0 
//output y
ArrayVector vtkXMLDataParserGetProgressFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature float GetProgress (); */
  if (arg.size() < 1) 
    throw Exception("Function GetProgress for class vtkXMLDataParser requires 1 argument(s)");
  vtkXMLDataParser* vtk_pointer = GetVTKPointer<vtkXMLDataParser>(arg[0]);
  Array retval;
  float    temp20;
  temp20 = (vtk_pointer)->GetProgress();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataParser:SetProgress vtkXMLDataParserSetProgressFunction
//input a0 a1 
//output none
ArrayVector vtkXMLDataParserSetProgressFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetProgress (float ); */
  if (arg.size() < 2) 
    throw Exception("Function SetProgress for class vtkXMLDataParser requires 2 argument(s)");
  vtkXMLDataParser* vtk_pointer = GetVTKPointer<vtkXMLDataParser>(arg[0]);
  Array retval;
  float    temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->SetProgress(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataParser:SetAttributesEncoding vtkXMLDataParserSetAttributesEncodingFunction
//input a0 a1 
//output none
ArrayVector vtkXMLDataParserSetAttributesEncodingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAttributesEncoding (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAttributesEncoding for class vtkXMLDataParser requires 2 argument(s)");
  vtkXMLDataParser* vtk_pointer = GetVTKPointer<vtkXMLDataParser>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAttributesEncoding(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataParser:GetAttributesEncodingMinValue vtkXMLDataParserGetAttributesEncodingMinValueFunction
//input a0 
//output y
ArrayVector vtkXMLDataParserGetAttributesEncodingMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAttributesEncodingMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAttributesEncodingMinValue for class vtkXMLDataParser requires 1 argument(s)");
  vtkXMLDataParser* vtk_pointer = GetVTKPointer<vtkXMLDataParser>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAttributesEncodingMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataParser:GetAttributesEncodingMaxValue vtkXMLDataParserGetAttributesEncodingMaxValueFunction
//input a0 
//output y
ArrayVector vtkXMLDataParserGetAttributesEncodingMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAttributesEncodingMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAttributesEncodingMaxValue for class vtkXMLDataParser requires 1 argument(s)");
  vtkXMLDataParser* vtk_pointer = GetVTKPointer<vtkXMLDataParser>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAttributesEncodingMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataParser:GetAttributesEncoding vtkXMLDataParserGetAttributesEncodingFunction
//input a0 
//output y
ArrayVector vtkXMLDataParserGetAttributesEncodingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAttributesEncoding (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAttributesEncoding for class vtkXMLDataParser requires 1 argument(s)");
  vtkXMLDataParser* vtk_pointer = GetVTKPointer<vtkXMLDataParser>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAttributesEncoding();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataParser:CharacterDataHandler vtkXMLDataParserCharacterDataHandlerFunction
//input a0 a1 a2 
//output none
ArrayVector vtkXMLDataParserCharacterDataHandlerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CharacterDataHandler (const char *data, int length); */
  if (arg.size() < 3) 
    throw Exception("Function CharacterDataHandler for class vtkXMLDataParser requires 3 argument(s)");
  vtkXMLDataParser* vtk_pointer = GetVTKPointer<vtkXMLDataParser>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->CharacterDataHandler(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataParser:Parse vtkXMLDataParserParseFunction
//input varargin
//output varargout
ArrayVector vtkXMLDataParserParseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkXMLDataParserParse__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXMLDataParserParse");
}

//@@Signature
//sfunction @vtkXMLDataParser:ReadBlock vtkXMLDataParserReadBlockFunction
//input varargin
//output varargout
ArrayVector vtkXMLDataParserReadBlockFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkXMLDataParserReadBlock");
}

//@@Signature
//sfunction @vtkXMLDataParser:display vtkXMLDataParserDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLDataParserDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLDataParser* vtk_pointer = GetVTKPointer<vtkXMLDataParser>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLDataParser:delete vtkXMLDataParserDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLDataParserDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLDataParser
//@@Section VTKIO
//@@Usage
// vtkXMLDataParser provides a subclass of vtkXMLParser that
// constructs a representation of an XML data format's file using
// vtkXMLDataElement to represent each XML element.  This
// representation is then used by vtkXMLReader and its subclasses to
// traverse the structure of the file and extract data.
//
//To create an instance of class vtkXMLDataParser, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLDataParser
//@]
//@@Methods
//The class vtkXMLDataParser has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLDataParser class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLDataParser = obj.NewInstance ()|
// \item @|vtkXMLDataParser = obj.SafeDownCast (vtkObject o)|
// \item @|vtkXMLDataElement = obj.GetRootElement ()| -  Get the root element from the XML document.
//// \item @|obj.SetCompressor (vtkDataCompressor )| -  Get/Set the compressor used to decompress binary and appended data
// after reading from the file.
//// \item @|vtkDataCompressor = obj.GetCompressor ()| -  Get/Set the compressor used to decompress binary and appended data
// after reading from the file.
//// \item @|long = obj.GetWordTypeSize (int wordType)| -  Get the size of a word of the given type.
//// \item @|int = obj.Parse ()| -  Parse the XML input and check that the file is safe to read.
// Returns 1 for okay, 0 for error.
//// \item @|int = obj.GetAbort ()| -  Get/Set flag to abort reading of data.  This may be set by a
// progress event observer.
//// \item @|obj.SetAbort (int )| -  Get/Set flag to abort reading of data.  This may be set by a
// progress event observer.
//// \item @|float = obj.GetProgress ()| -  Get/Set progress of reading data.  This may be checked by a
// progress event observer.
//// \item @|obj.SetProgress (float )| -  Get/Set progress of reading data.  This may be checked by a
// progress event observer.
//// \item @|obj.SetAttributesEncoding (int )| -  Get/Set the character encoding that will be used to set the attributes's
// encoding type of each vtkXMLDataElement created by this parser (i.e.,
// the data element attributes will use that encoding internally).
// If set to VTK_ENCODING_NONE (default), the attribute encoding type will
// not be changed and will default to the vtkXMLDataElement default encoding
// type (see vtkXMLDataElement::AttributeEncoding).
//// \item @|int = obj.GetAttributesEncodingMinValue ()| -  Get/Set the character encoding that will be used to set the attributes's
// encoding type of each vtkXMLDataElement created by this parser (i.e.,
// the data element attributes will use that encoding internally).
// If set to VTK_ENCODING_NONE (default), the attribute encoding type will
// not be changed and will default to the vtkXMLDataElement default encoding
// type (see vtkXMLDataElement::AttributeEncoding).
//// \item @|int = obj.GetAttributesEncodingMaxValue ()| -  Get/Set the character encoding that will be used to set the attributes's
// encoding type of each vtkXMLDataElement created by this parser (i.e.,
// the data element attributes will use that encoding internally).
// If set to VTK_ENCODING_NONE (default), the attribute encoding type will
// not be changed and will default to the vtkXMLDataElement default encoding
// type (see vtkXMLDataElement::AttributeEncoding).
//// \item @|int = obj.GetAttributesEncoding ()| -  Get/Set the character encoding that will be used to set the attributes's
// encoding type of each vtkXMLDataElement created by this parser (i.e.,
// the data element attributes will use that encoding internally).
// If set to VTK_ENCODING_NONE (default), the attribute encoding type will
// not be changed and will default to the vtkXMLDataElement default encoding
// type (see vtkXMLDataElement::AttributeEncoding).
//// \item @|obj.CharacterDataHandler (string data, int length)| -  If you need the text inside XMLElements, turn IgnoreCharacterData off.
// This method will then be called when the file is parsed, and the text
// will be stored in each XMLDataElement. VTK XML Readers store the 
// information elsewhere, so the default is to ignore it.
////\end{itemize}
//!
