#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLDataReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLDataReader.h"

//@@Signature
//sfunction @vtkXMLDataReader:vtkXMLDataReader vtkXMLDataReaderConstructorFunction
//input a
//output p
//@@Parents vtkXMLDataReader vtkXMLReader 
ArrayVector vtkXMLDataReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLDataReader::New(),"vtkXMLDataReader",eval);
  } else if (arg[0].className() == "vtkXMLDataReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLDataReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLDataReader");
    vtkXMLDataReader*q = reinterpret_cast<vtkXMLDataReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLDataReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLDataReader:GetClassName vtkXMLDataReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLDataReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLDataReader requires 1 argument(s)");
  vtkXMLDataReader* vtk_pointer = GetVTKPointer<vtkXMLDataReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataReader:IsA vtkXMLDataReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLDataReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLDataReader requires 2 argument(s)");
  vtkXMLDataReader* vtk_pointer = GetVTKPointer<vtkXMLDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataReader:NewInstance vtkXMLDataReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLDataReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLDataReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLDataReader requires 1 argument(s)");
  vtkXMLDataReader* vtk_pointer = GetVTKPointer<vtkXMLDataReader>(arg[0]);
  Array retval;
  vtkXMLDataReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataReader:SafeDownCast vtkXMLDataReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLDataReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLDataReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLDataReader requires 2 argument(s)");
  vtkXMLDataReader* vtk_pointer = GetVTKPointer<vtkXMLDataReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLDataReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataReader:GetNumberOfPoints vtkXMLDataReaderGetNumberOfPointsFunction
//input a0 
//output y
ArrayVector vtkXMLDataReaderGetNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetNumberOfPoints () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPoints for class vtkXMLDataReader requires 1 argument(s)");
  vtkXMLDataReader* vtk_pointer = GetVTKPointer<vtkXMLDataReader>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataReader:GetNumberOfCells vtkXMLDataReaderGetNumberOfCellsFunction
//input a0 
//output y
ArrayVector vtkXMLDataReaderGetNumberOfCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetNumberOfCells () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCells for class vtkXMLDataReader requires 1 argument(s)");
  vtkXMLDataReader* vtk_pointer = GetVTKPointer<vtkXMLDataReader>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataReader:CopyOutputInformation vtkXMLDataReaderCopyOutputInformationFunction
//input a0 a1 a2 
//output none
ArrayVector vtkXMLDataReaderCopyOutputInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyOutputInformation (vtkInformation *outInfo, int port); */
  if (arg.size() < 3) 
    throw Exception("Function CopyOutputInformation for class vtkXMLDataReader requires 3 argument(s)");
  vtkXMLDataReader* vtk_pointer = GetVTKPointer<vtkXMLDataReader>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->CopyOutputInformation(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataReader:ReadPiece vtkXMLDataReaderReadPieceFunction
//input varargin
//output varargout
ArrayVector vtkXMLDataReaderReadPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkXMLDataReaderReadPiece");
}

//@@Signature
//sfunction @vtkXMLDataReader:ReadPieceData vtkXMLDataReaderReadPieceDataFunction
//input varargin
//output varargout
ArrayVector vtkXMLDataReaderReadPieceDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkXMLDataReaderReadPieceData");
}

//@@Signature
//sfunction @vtkXMLDataReader:display vtkXMLDataReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLDataReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLDataReader* vtk_pointer = GetVTKPointer<vtkXMLDataReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLDataReader:delete vtkXMLDataReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLDataReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLDataReader
//@@Section VTKIO
//@@Usage
// vtkXMLDataReader provides functionality common to all VTK XML file
// readers.  Concrete subclasses call upon this functionality when
// needed.
//
//To create an instance of class vtkXMLDataReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLDataReader
//@]
//@@Methods
//The class vtkXMLDataReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLDataReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLDataReader = obj.NewInstance ()|
// \item @|vtkXMLDataReader = obj.SafeDownCast (vtkObject o)|
// \item @|vtkIdType = obj.GetNumberOfPoints ()| -  Get the number of points in the output.
//// \item @|vtkIdType = obj.GetNumberOfCells ()| -  Get the number of cells in the output.
//// \item @|obj.CopyOutputInformation (vtkInformation outInfo, int port)|
//\end{itemize}
//!
