#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLDataSetWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLDataSetWriter.h"

//@@Signature
//sfunction @vtkXMLDataSetWriter:vtkXMLDataSetWriter vtkXMLDataSetWriterConstructorFunction
//input a
//output p
//@@Parents vtkXMLDataSetWriter vtkXMLWriter 
ArrayVector vtkXMLDataSetWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLDataSetWriter::New(),"vtkXMLDataSetWriter",eval);
  } else if (arg[0].className() == "vtkXMLDataSetWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLDataSetWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLDataSetWriter");
    vtkXMLDataSetWriter*q = reinterpret_cast<vtkXMLDataSetWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLDataSetWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLDataSetWriter:GetClassName vtkXMLDataSetWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLDataSetWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLDataSetWriter requires 1 argument(s)");
  vtkXMLDataSetWriter* vtk_pointer = GetVTKPointer<vtkXMLDataSetWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataSetWriter:IsA vtkXMLDataSetWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLDataSetWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLDataSetWriter requires 2 argument(s)");
  vtkXMLDataSetWriter* vtk_pointer = GetVTKPointer<vtkXMLDataSetWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataSetWriter:NewInstance vtkXMLDataSetWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLDataSetWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLDataSetWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLDataSetWriter requires 1 argument(s)");
  vtkXMLDataSetWriter* vtk_pointer = GetVTKPointer<vtkXMLDataSetWriter>(arg[0]);
  Array retval;
  vtkXMLDataSetWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLDataSetWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataSetWriter:SafeDownCast vtkXMLDataSetWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLDataSetWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLDataSetWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLDataSetWriter requires 2 argument(s)");
  vtkXMLDataSetWriter* vtk_pointer = GetVTKPointer<vtkXMLDataSetWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLDataSetWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLDataSetWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLDataSetWriter:display vtkXMLDataSetWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLDataSetWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLDataSetWriter* vtk_pointer = GetVTKPointer<vtkXMLDataSetWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLDataSetWriter:delete vtkXMLDataSetWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLDataSetWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLDataSetWriter
//@@Section VTKIO
//@@Usage
// vtkXMLDataSetWriter is a wrapper around the VTK XML file format
// writers.  Given an input vtkDataSet, the correct writer is
// automatically selected based on the type of input.
//
//To create an instance of class vtkXMLDataSetWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLDataSetWriter
//@]
//@@Methods
//The class vtkXMLDataSetWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLDataSetWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLDataSetWriter = obj.NewInstance ()|
// \item @|vtkXMLDataSetWriter = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
