#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLHierarchicalBoxDataReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLHierarchicalBoxDataReader.h"

//@@Signature
//sfunction @vtkXMLHierarchicalBoxDataReader:vtkXMLHierarchicalBoxDataReader vtkXMLHierarchicalBoxDataReaderConstructorFunction
//input a
//output p
//@@Parents vtkXMLHierarchicalBoxDataReader vtkXMLCompositeDataReader 
ArrayVector vtkXMLHierarchicalBoxDataReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLHierarchicalBoxDataReader::New(),"vtkXMLHierarchicalBoxDataReader",eval);
  } else if (arg[0].className() == "vtkXMLHierarchicalBoxDataReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLHierarchicalBoxDataReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLHierarchicalBoxDataReader");
    vtkXMLHierarchicalBoxDataReader*q = reinterpret_cast<vtkXMLHierarchicalBoxDataReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLHierarchicalBoxDataReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLHierarchicalBoxDataReader:GetClassName vtkXMLHierarchicalBoxDataReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLHierarchicalBoxDataReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLHierarchicalBoxDataReader requires 1 argument(s)");
  vtkXMLHierarchicalBoxDataReader* vtk_pointer = GetVTKPointer<vtkXMLHierarchicalBoxDataReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLHierarchicalBoxDataReader:IsA vtkXMLHierarchicalBoxDataReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLHierarchicalBoxDataReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLHierarchicalBoxDataReader requires 2 argument(s)");
  vtkXMLHierarchicalBoxDataReader* vtk_pointer = GetVTKPointer<vtkXMLHierarchicalBoxDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLHierarchicalBoxDataReader:NewInstance vtkXMLHierarchicalBoxDataReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLHierarchicalBoxDataReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLHierarchicalBoxDataReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLHierarchicalBoxDataReader requires 1 argument(s)");
  vtkXMLHierarchicalBoxDataReader* vtk_pointer = GetVTKPointer<vtkXMLHierarchicalBoxDataReader>(arg[0]);
  Array retval;
  vtkXMLHierarchicalBoxDataReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLHierarchicalBoxDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLHierarchicalBoxDataReader:SafeDownCast vtkXMLHierarchicalBoxDataReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLHierarchicalBoxDataReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLHierarchicalBoxDataReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLHierarchicalBoxDataReader requires 2 argument(s)");
  vtkXMLHierarchicalBoxDataReader* vtk_pointer = GetVTKPointer<vtkXMLHierarchicalBoxDataReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLHierarchicalBoxDataReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLHierarchicalBoxDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLHierarchicalBoxDataReader:display vtkXMLHierarchicalBoxDataReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLHierarchicalBoxDataReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLHierarchicalBoxDataReader* vtk_pointer = GetVTKPointer<vtkXMLHierarchicalBoxDataReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLHierarchicalBoxDataReader:delete vtkXMLHierarchicalBoxDataReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLHierarchicalBoxDataReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLHierarchicalBoxDataReader
//@@Section VTKIO
//@@Usage
// vtkXMLHierarchicalBoxDataReader reads the VTK XML hierarchical data file
// format. XML hierarchical data files are meta-files that point to a list
// of serial VTK XML files. When reading in parallel, it will distribute
// sub-blocks among processor. If the number of sub-blocks is less than
// the number of processors, some processors will not have any sub-blocks
// for that level. If the number of sub-blocks is larger than the
// number of processors, each processor will possibly have more than
// 1 sub-block.
//
//To create an instance of class vtkXMLHierarchicalBoxDataReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLHierarchicalBoxDataReader
//@]
//@@Methods
//The class vtkXMLHierarchicalBoxDataReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLHierarchicalBoxDataReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLHierarchicalBoxDataReader = obj.NewInstance ()|
// \item @|vtkXMLHierarchicalBoxDataReader = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
