#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLHierarchicalBoxDataWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLHierarchicalBoxDataWriter.h"

//@@Signature
//sfunction @vtkXMLHierarchicalBoxDataWriter:vtkXMLHierarchicalBoxDataWriter vtkXMLHierarchicalBoxDataWriterConstructorFunction
//input a
//output p
//@@Parents vtkXMLHierarchicalBoxDataWriter vtkXMLCompositeDataWriter 
ArrayVector vtkXMLHierarchicalBoxDataWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLHierarchicalBoxDataWriter::New(),"vtkXMLHierarchicalBoxDataWriter",eval);
  } else if (arg[0].className() == "vtkXMLHierarchicalBoxDataWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLHierarchicalBoxDataWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLHierarchicalBoxDataWriter");
    vtkXMLHierarchicalBoxDataWriter*q = reinterpret_cast<vtkXMLHierarchicalBoxDataWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLHierarchicalBoxDataWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLHierarchicalBoxDataWriter:GetClassName vtkXMLHierarchicalBoxDataWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLHierarchicalBoxDataWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLHierarchicalBoxDataWriter requires 1 argument(s)");
  vtkXMLHierarchicalBoxDataWriter* vtk_pointer = GetVTKPointer<vtkXMLHierarchicalBoxDataWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLHierarchicalBoxDataWriter:IsA vtkXMLHierarchicalBoxDataWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLHierarchicalBoxDataWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLHierarchicalBoxDataWriter requires 2 argument(s)");
  vtkXMLHierarchicalBoxDataWriter* vtk_pointer = GetVTKPointer<vtkXMLHierarchicalBoxDataWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLHierarchicalBoxDataWriter:NewInstance vtkXMLHierarchicalBoxDataWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLHierarchicalBoxDataWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLHierarchicalBoxDataWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLHierarchicalBoxDataWriter requires 1 argument(s)");
  vtkXMLHierarchicalBoxDataWriter* vtk_pointer = GetVTKPointer<vtkXMLHierarchicalBoxDataWriter>(arg[0]);
  Array retval;
  vtkXMLHierarchicalBoxDataWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLHierarchicalBoxDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLHierarchicalBoxDataWriter:SafeDownCast vtkXMLHierarchicalBoxDataWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLHierarchicalBoxDataWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLHierarchicalBoxDataWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLHierarchicalBoxDataWriter requires 2 argument(s)");
  vtkXMLHierarchicalBoxDataWriter* vtk_pointer = GetVTKPointer<vtkXMLHierarchicalBoxDataWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLHierarchicalBoxDataWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLHierarchicalBoxDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLHierarchicalBoxDataWriter:GetDefaultFileExtension vtkXMLHierarchicalBoxDataWriterGetDefaultFileExtensionFunction
//input a0 
//output y
ArrayVector vtkXMLHierarchicalBoxDataWriterGetDefaultFileExtensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetDefaultFileExtension ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultFileExtension for class vtkXMLHierarchicalBoxDataWriter requires 1 argument(s)");
  vtkXMLHierarchicalBoxDataWriter* vtk_pointer = GetVTKPointer<vtkXMLHierarchicalBoxDataWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDefaultFileExtension();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLHierarchicalBoxDataWriter:display vtkXMLHierarchicalBoxDataWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLHierarchicalBoxDataWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLHierarchicalBoxDataWriter* vtk_pointer = GetVTKPointer<vtkXMLHierarchicalBoxDataWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLHierarchicalBoxDataWriter:delete vtkXMLHierarchicalBoxDataWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLHierarchicalBoxDataWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLHierarchicalBoxDataWriter
//@@Section VTKIO
//@@Usage
// vtkXMLHierarchicalBoxDataWriter is a vtkXMLCompositeDataWriter subclass to
// handle vtkHierarchicalBoxDataSet.
//
//To create an instance of class vtkXMLHierarchicalBoxDataWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLHierarchicalBoxDataWriter
//@]
//@@Methods
//The class vtkXMLHierarchicalBoxDataWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLHierarchicalBoxDataWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLHierarchicalBoxDataWriter = obj.NewInstance ()|
// \item @|vtkXMLHierarchicalBoxDataWriter = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetDefaultFileExtension ()|
//\end{itemize}
//!
