#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLHierarchicalDataReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLHierarchicalDataReader.h"

//@@Signature
//sfunction @vtkXMLHierarchicalDataReader:vtkXMLHierarchicalDataReader vtkXMLHierarchicalDataReaderConstructorFunction
//input a
//output p
//@@Parents vtkXMLHierarchicalDataReader vtkXMLMultiGroupDataReader 
ArrayVector vtkXMLHierarchicalDataReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLHierarchicalDataReader::New(),"vtkXMLHierarchicalDataReader",eval);
  } else if (arg[0].className() == "vtkXMLHierarchicalDataReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLHierarchicalDataReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLHierarchicalDataReader");
    vtkXMLHierarchicalDataReader*q = reinterpret_cast<vtkXMLHierarchicalDataReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLHierarchicalDataReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLHierarchicalDataReader:GetClassName vtkXMLHierarchicalDataReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLHierarchicalDataReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLHierarchicalDataReader requires 1 argument(s)");
  vtkXMLHierarchicalDataReader* vtk_pointer = GetVTKPointer<vtkXMLHierarchicalDataReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLHierarchicalDataReader:IsA vtkXMLHierarchicalDataReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLHierarchicalDataReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLHierarchicalDataReader requires 2 argument(s)");
  vtkXMLHierarchicalDataReader* vtk_pointer = GetVTKPointer<vtkXMLHierarchicalDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLHierarchicalDataReader:NewInstance vtkXMLHierarchicalDataReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLHierarchicalDataReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLHierarchicalDataReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLHierarchicalDataReader requires 1 argument(s)");
  vtkXMLHierarchicalDataReader* vtk_pointer = GetVTKPointer<vtkXMLHierarchicalDataReader>(arg[0]);
  Array retval;
  vtkXMLHierarchicalDataReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLHierarchicalDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLHierarchicalDataReader:SafeDownCast vtkXMLHierarchicalDataReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLHierarchicalDataReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLHierarchicalDataReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLHierarchicalDataReader requires 2 argument(s)");
  vtkXMLHierarchicalDataReader* vtk_pointer = GetVTKPointer<vtkXMLHierarchicalDataReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLHierarchicalDataReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLHierarchicalDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLHierarchicalDataReader:display vtkXMLHierarchicalDataReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLHierarchicalDataReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLHierarchicalDataReader* vtk_pointer = GetVTKPointer<vtkXMLHierarchicalDataReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLHierarchicalDataReader:delete vtkXMLHierarchicalDataReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLHierarchicalDataReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLHierarchicalDataReader
//@@Section VTKIO
//@@Usage
// vtkXMLHierarchicalDataReader reads the VTK XML hierarchical data file
// format. XML hierarchical data files are meta-files that point to a list
// of serial VTK XML files. When reading in parallel, it will distribute
// sub-blocks among processor. If the number of sub-blocks is less than
// the number of processors, some processors will not have any sub-blocks
// for that level. If the number of sub-blocks is larger than the
// number of processors, each processor will possibly have more than
// 1 sub-block.
//
//To create an instance of class vtkXMLHierarchicalDataReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLHierarchicalDataReader
//@]
//@@Methods
//The class vtkXMLHierarchicalDataReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLHierarchicalDataReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLHierarchicalDataReader = obj.NewInstance ()|
// \item @|vtkXMLHierarchicalDataReader = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
