#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLHyperOctreeReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLHyperOctreeReader.h"

//@@Signature
//sfunction @vtkXMLHyperOctreeReader:vtkXMLHyperOctreeReader vtkXMLHyperOctreeReaderConstructorFunction
//input a
//output p
//@@Parents vtkXMLHyperOctreeReader vtkXMLDataReader 
ArrayVector vtkXMLHyperOctreeReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLHyperOctreeReader::New(),"vtkXMLHyperOctreeReader",eval);
  } else if (arg[0].className() == "vtkXMLHyperOctreeReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLHyperOctreeReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLHyperOctreeReader");
    vtkXMLHyperOctreeReader*q = reinterpret_cast<vtkXMLHyperOctreeReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLHyperOctreeReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLHyperOctreeReader:GetClassName vtkXMLHyperOctreeReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLHyperOctreeReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLHyperOctreeReader requires 1 argument(s)");
  vtkXMLHyperOctreeReader* vtk_pointer = GetVTKPointer<vtkXMLHyperOctreeReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLHyperOctreeReader:IsA vtkXMLHyperOctreeReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLHyperOctreeReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLHyperOctreeReader requires 2 argument(s)");
  vtkXMLHyperOctreeReader* vtk_pointer = GetVTKPointer<vtkXMLHyperOctreeReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLHyperOctreeReader:NewInstance vtkXMLHyperOctreeReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLHyperOctreeReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLHyperOctreeReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLHyperOctreeReader requires 1 argument(s)");
  vtkXMLHyperOctreeReader* vtk_pointer = GetVTKPointer<vtkXMLHyperOctreeReader>(arg[0]);
  Array retval;
  vtkXMLHyperOctreeReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLHyperOctreeReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLHyperOctreeReader:SafeDownCast vtkXMLHyperOctreeReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLHyperOctreeReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLHyperOctreeReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLHyperOctreeReader requires 2 argument(s)");
  vtkXMLHyperOctreeReader* vtk_pointer = GetVTKPointer<vtkXMLHyperOctreeReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLHyperOctreeReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLHyperOctreeReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLHyperOctreeReader:GetOutput__1 vtkXMLHyperOctreeReaderGetOutput__1Function
//input a0 
//output y
ArrayVector vtkXMLHyperOctreeReaderGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHyperOctree *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkXMLHyperOctreeReader requires 1 argument(s)");
  vtkXMLHyperOctreeReader* vtk_pointer = GetVTKPointer<vtkXMLHyperOctreeReader>(arg[0]);
  Array retval;
  vtkHyperOctree  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHyperOctree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLHyperOctreeReader:GetOutput__2 vtkXMLHyperOctreeReaderGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkXMLHyperOctreeReaderGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkHyperOctree *GetOutput (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkXMLHyperOctreeReader requires 2 argument(s)");
  vtkXMLHyperOctreeReader* vtk_pointer = GetVTKPointer<vtkXMLHyperOctreeReader>(arg[0]);
  Array retval;
  int      temp0;
  vtkHyperOctree  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkHyperOctree",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLHyperOctreeReader:GetOutput vtkXMLHyperOctreeReaderGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkXMLHyperOctreeReaderGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkXMLHyperOctreeReaderGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkXMLHyperOctreeReaderGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXMLHyperOctreeReaderGetOutput");
}

//@@Signature
//sfunction @vtkXMLHyperOctreeReader:display vtkXMLHyperOctreeReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLHyperOctreeReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLHyperOctreeReader* vtk_pointer = GetVTKPointer<vtkXMLHyperOctreeReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLHyperOctreeReader:delete vtkXMLHyperOctreeReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLHyperOctreeReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLHyperOctreeReader
//@@Section VTKIO
//@@Usage
// vtkXMLHyperOctreeReader reads the VTK XML HyperOctree file
// format.  One rectilinear grid file can be read to produce one
// output.  Streaming is supported.  The standard extension for this
// reader's file format is "vto".  This reader is also used to read a
// single piece of the parallel file format.
//
//To create an instance of class vtkXMLHyperOctreeReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLHyperOctreeReader
//@]
//@@Methods
//The class vtkXMLHyperOctreeReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLHyperOctreeReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLHyperOctreeReader = obj.NewInstance ()|
// \item @|vtkXMLHyperOctreeReader = obj.SafeDownCast (vtkObject o)|
// \item @|vtkHyperOctree = obj.GetOutput ()| -  Get the reader's output.
//// \item @|vtkHyperOctree = obj.GetOutput (int idx)| -  Get the reader's output.
////\end{itemize}
//!
