#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLHyperOctreeWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLHyperOctreeWriter.h"

//@@Signature
//sfunction @vtkXMLHyperOctreeWriter:vtkXMLHyperOctreeWriter vtkXMLHyperOctreeWriterConstructorFunction
//input a
//output p
//@@Parents vtkXMLHyperOctreeWriter vtkXMLWriter 
ArrayVector vtkXMLHyperOctreeWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLHyperOctreeWriter::New(),"vtkXMLHyperOctreeWriter",eval);
  } else if (arg[0].className() == "vtkXMLHyperOctreeWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLHyperOctreeWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLHyperOctreeWriter");
    vtkXMLHyperOctreeWriter*q = reinterpret_cast<vtkXMLHyperOctreeWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLHyperOctreeWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLHyperOctreeWriter:GetClassName vtkXMLHyperOctreeWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLHyperOctreeWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLHyperOctreeWriter requires 1 argument(s)");
  vtkXMLHyperOctreeWriter* vtk_pointer = GetVTKPointer<vtkXMLHyperOctreeWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLHyperOctreeWriter:IsA vtkXMLHyperOctreeWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLHyperOctreeWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLHyperOctreeWriter requires 2 argument(s)");
  vtkXMLHyperOctreeWriter* vtk_pointer = GetVTKPointer<vtkXMLHyperOctreeWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLHyperOctreeWriter:NewInstance vtkXMLHyperOctreeWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLHyperOctreeWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLHyperOctreeWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLHyperOctreeWriter requires 1 argument(s)");
  vtkXMLHyperOctreeWriter* vtk_pointer = GetVTKPointer<vtkXMLHyperOctreeWriter>(arg[0]);
  Array retval;
  vtkXMLHyperOctreeWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLHyperOctreeWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLHyperOctreeWriter:SafeDownCast vtkXMLHyperOctreeWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLHyperOctreeWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLHyperOctreeWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLHyperOctreeWriter requires 2 argument(s)");
  vtkXMLHyperOctreeWriter* vtk_pointer = GetVTKPointer<vtkXMLHyperOctreeWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLHyperOctreeWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLHyperOctreeWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLHyperOctreeWriter:GetDefaultFileExtension vtkXMLHyperOctreeWriterGetDefaultFileExtensionFunction
//input a0 
//output y
ArrayVector vtkXMLHyperOctreeWriterGetDefaultFileExtensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetDefaultFileExtension (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultFileExtension for class vtkXMLHyperOctreeWriter requires 1 argument(s)");
  vtkXMLHyperOctreeWriter* vtk_pointer = GetVTKPointer<vtkXMLHyperOctreeWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDefaultFileExtension();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLHyperOctreeWriter:display vtkXMLHyperOctreeWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLHyperOctreeWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLHyperOctreeWriter* vtk_pointer = GetVTKPointer<vtkXMLHyperOctreeWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLHyperOctreeWriter:delete vtkXMLHyperOctreeWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLHyperOctreeWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLHyperOctreeWriter
//@@Section VTKIO
//@@Usage
// vtkXMLHyperOctreeWriter writes the VTK XML HyperOctree file
// format.  One HyperOctree input can be written into one file in
// any number of streamed pieces.  The standard extension for this
// writer's file format is "vto".  This writer is also used to write a
// single piece of the parallel file format.
//
//To create an instance of class vtkXMLHyperOctreeWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLHyperOctreeWriter
//@]
//@@Methods
//The class vtkXMLHyperOctreeWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLHyperOctreeWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLHyperOctreeWriter = obj.NewInstance ()|
// \item @|vtkXMLHyperOctreeWriter = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetDefaultFileExtension ()| -  Get the default file extension for files written by this writer.
////\end{itemize}
//!
