#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLImageDataReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLImageDataReader.h"

//@@Signature
//sfunction @vtkXMLImageDataReader:vtkXMLImageDataReader vtkXMLImageDataReaderConstructorFunction
//input a
//output p
//@@Parents vtkXMLImageDataReader vtkXMLStructuredDataReader 
ArrayVector vtkXMLImageDataReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLImageDataReader::New(),"vtkXMLImageDataReader",eval);
  } else if (arg[0].className() == "vtkXMLImageDataReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLImageDataReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLImageDataReader");
    vtkXMLImageDataReader*q = reinterpret_cast<vtkXMLImageDataReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLImageDataReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLImageDataReader:GetClassName vtkXMLImageDataReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLImageDataReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLImageDataReader requires 1 argument(s)");
  vtkXMLImageDataReader* vtk_pointer = GetVTKPointer<vtkXMLImageDataReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLImageDataReader:IsA vtkXMLImageDataReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLImageDataReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLImageDataReader requires 2 argument(s)");
  vtkXMLImageDataReader* vtk_pointer = GetVTKPointer<vtkXMLImageDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLImageDataReader:NewInstance vtkXMLImageDataReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLImageDataReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLImageDataReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLImageDataReader requires 1 argument(s)");
  vtkXMLImageDataReader* vtk_pointer = GetVTKPointer<vtkXMLImageDataReader>(arg[0]);
  Array retval;
  vtkXMLImageDataReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLImageDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLImageDataReader:SafeDownCast vtkXMLImageDataReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLImageDataReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLImageDataReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLImageDataReader requires 2 argument(s)");
  vtkXMLImageDataReader* vtk_pointer = GetVTKPointer<vtkXMLImageDataReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLImageDataReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLImageDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLImageDataReader:GetOutput__1 vtkXMLImageDataReaderGetOutput__1Function
//input a0 
//output y
ArrayVector vtkXMLImageDataReaderGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkXMLImageDataReader requires 1 argument(s)");
  vtkXMLImageDataReader* vtk_pointer = GetVTKPointer<vtkXMLImageDataReader>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLImageDataReader:GetOutput__2 vtkXMLImageDataReaderGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkXMLImageDataReaderGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetOutput (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkXMLImageDataReader requires 2 argument(s)");
  vtkXMLImageDataReader* vtk_pointer = GetVTKPointer<vtkXMLImageDataReader>(arg[0]);
  Array retval;
  int      temp0;
  vtkImageData  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLImageDataReader:CopyOutputInformation vtkXMLImageDataReaderCopyOutputInformationFunction
//input a0 a1 a2 
//output none
ArrayVector vtkXMLImageDataReaderCopyOutputInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyOutputInformation (vtkInformation *outInfo, int port); */
  if (arg.size() < 3) 
    throw Exception("Function CopyOutputInformation for class vtkXMLImageDataReader requires 3 argument(s)");
  vtkXMLImageDataReader* vtk_pointer = GetVTKPointer<vtkXMLImageDataReader>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->CopyOutputInformation(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXMLImageDataReader:GetOutput vtkXMLImageDataReaderGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkXMLImageDataReaderGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkXMLImageDataReaderGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkXMLImageDataReaderGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXMLImageDataReaderGetOutput");
}

//@@Signature
//sfunction @vtkXMLImageDataReader:display vtkXMLImageDataReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLImageDataReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLImageDataReader* vtk_pointer = GetVTKPointer<vtkXMLImageDataReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLImageDataReader:delete vtkXMLImageDataReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLImageDataReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLImageDataReader
//@@Section VTKIO
//@@Usage
// vtkXMLImageDataReader reads the VTK XML ImageData file format.  One
// image data file can be read to produce one output.  Streaming is
// supported.  The standard extension for this reader's file format is
// "vti".  This reader is also used to read a single piece of the
// parallel file format.
//
//To create an instance of class vtkXMLImageDataReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLImageDataReader
//@]
//@@Methods
//The class vtkXMLImageDataReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLImageDataReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLImageDataReader = obj.NewInstance ()|
// \item @|vtkXMLImageDataReader = obj.SafeDownCast (vtkObject o)|
// \item @|vtkImageData = obj.GetOutput ()| -  Get the reader's output.
//// \item @|vtkImageData = obj.GetOutput (int idx)| -  Get the reader's output.
//// \item @|obj.CopyOutputInformation (vtkInformation outInfo, int port)| -  For the specified port, copy the information this reader sets up in
// SetupOutputInformation to outInfo
////\end{itemize}
//!
