#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLImageDataWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLImageDataWriter.h"

//@@Signature
//sfunction @vtkXMLImageDataWriter:vtkXMLImageDataWriter vtkXMLImageDataWriterConstructorFunction
//input a
//output p
//@@Parents vtkXMLImageDataWriter vtkXMLStructuredDataWriter 
ArrayVector vtkXMLImageDataWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLImageDataWriter::New(),"vtkXMLImageDataWriter",eval);
  } else if (arg[0].className() == "vtkXMLImageDataWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLImageDataWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLImageDataWriter");
    vtkXMLImageDataWriter*q = reinterpret_cast<vtkXMLImageDataWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLImageDataWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLImageDataWriter:GetClassName vtkXMLImageDataWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLImageDataWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLImageDataWriter requires 1 argument(s)");
  vtkXMLImageDataWriter* vtk_pointer = GetVTKPointer<vtkXMLImageDataWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLImageDataWriter:IsA vtkXMLImageDataWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLImageDataWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLImageDataWriter requires 2 argument(s)");
  vtkXMLImageDataWriter* vtk_pointer = GetVTKPointer<vtkXMLImageDataWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLImageDataWriter:NewInstance vtkXMLImageDataWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLImageDataWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLImageDataWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLImageDataWriter requires 1 argument(s)");
  vtkXMLImageDataWriter* vtk_pointer = GetVTKPointer<vtkXMLImageDataWriter>(arg[0]);
  Array retval;
  vtkXMLImageDataWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLImageDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLImageDataWriter:SafeDownCast vtkXMLImageDataWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLImageDataWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLImageDataWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLImageDataWriter requires 2 argument(s)");
  vtkXMLImageDataWriter* vtk_pointer = GetVTKPointer<vtkXMLImageDataWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLImageDataWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLImageDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLImageDataWriter:GetDefaultFileExtension vtkXMLImageDataWriterGetDefaultFileExtensionFunction
//input a0 
//output y
ArrayVector vtkXMLImageDataWriterGetDefaultFileExtensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetDefaultFileExtension (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultFileExtension for class vtkXMLImageDataWriter requires 1 argument(s)");
  vtkXMLImageDataWriter* vtk_pointer = GetVTKPointer<vtkXMLImageDataWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDefaultFileExtension();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLImageDataWriter:display vtkXMLImageDataWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLImageDataWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLImageDataWriter* vtk_pointer = GetVTKPointer<vtkXMLImageDataWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLImageDataWriter:delete vtkXMLImageDataWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLImageDataWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLImageDataWriter
//@@Section VTKIO
//@@Usage
// vtkXMLImageDataWriter writes the VTK XML ImageData file format.
// One image data input can be written into one file in any number of
// streamed pieces.  The standard extension for this writer's file
// format is "vti".  This writer is also used to write a single piece
// of the parallel file format.
//
//To create an instance of class vtkXMLImageDataWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLImageDataWriter
//@]
//@@Methods
//The class vtkXMLImageDataWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLImageDataWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLImageDataWriter = obj.NewInstance ()|
// \item @|vtkXMLImageDataWriter = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetDefaultFileExtension ()| -  Get the default file extension for files written by this writer.
////\end{itemize}
//!
