#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLMaterial object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLMaterial.h"

//@@Signature
//sfunction @vtkXMLMaterial:vtkXMLMaterial vtkXMLMaterialConstructorFunction
//input a
//output p
//@@Parents vtkXMLMaterial vtkObject 
ArrayVector vtkXMLMaterialConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLMaterial::New(),"vtkXMLMaterial",eval);
  } else if (arg[0].className() == "vtkXMLMaterial") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLMaterial"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLMaterial");
    vtkXMLMaterial*q = reinterpret_cast<vtkXMLMaterial*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLMaterial");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLMaterial:GetClassName vtkXMLMaterialGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLMaterialGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLMaterial requires 1 argument(s)");
  vtkXMLMaterial* vtk_pointer = GetVTKPointer<vtkXMLMaterial>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterial:IsA vtkXMLMaterialIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLMaterialIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLMaterial requires 2 argument(s)");
  vtkXMLMaterial* vtk_pointer = GetVTKPointer<vtkXMLMaterial>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterial:NewInstance vtkXMLMaterialNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLMaterialNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLMaterial *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLMaterial requires 1 argument(s)");
  vtkXMLMaterial* vtk_pointer = GetVTKPointer<vtkXMLMaterial>(arg[0]);
  Array retval;
  vtkXMLMaterial  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLMaterial",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterial:SafeDownCast vtkXMLMaterialSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLMaterialSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLMaterial *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLMaterial requires 2 argument(s)");
  vtkXMLMaterial* vtk_pointer = GetVTKPointer<vtkXMLMaterial>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLMaterial  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLMaterial",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterial:CreateInstance vtkXMLMaterialCreateInstanceFunction
//input a0 a1 
//output y
ArrayVector vtkXMLMaterialCreateInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static vtkXMLMaterial *CreateInstance (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function CreateInstance for class vtkXMLMaterial requires 2 argument(s)");
  vtkXMLMaterial* vtk_pointer = GetVTKPointer<vtkXMLMaterial>(arg[0]);
  Array retval;
  char    *temp0;
  vtkXMLMaterial  *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CreateInstance(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLMaterial",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterial:GetNumberOfProperties vtkXMLMaterialGetNumberOfPropertiesFunction
//input a0 
//output y
ArrayVector vtkXMLMaterialGetNumberOfPropertiesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfProperties (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfProperties for class vtkXMLMaterial requires 1 argument(s)");
  vtkXMLMaterial* vtk_pointer = GetVTKPointer<vtkXMLMaterial>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfProperties();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterial:GetNumberOfTextures vtkXMLMaterialGetNumberOfTexturesFunction
//input a0 
//output y
ArrayVector vtkXMLMaterialGetNumberOfTexturesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfTextures (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTextures for class vtkXMLMaterial requires 1 argument(s)");
  vtkXMLMaterial* vtk_pointer = GetVTKPointer<vtkXMLMaterial>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfTextures();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterial:GetNumberOfVertexShaders vtkXMLMaterialGetNumberOfVertexShadersFunction
//input a0 
//output y
ArrayVector vtkXMLMaterialGetNumberOfVertexShadersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfVertexShaders (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfVertexShaders for class vtkXMLMaterial requires 1 argument(s)");
  vtkXMLMaterial* vtk_pointer = GetVTKPointer<vtkXMLMaterial>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfVertexShaders();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterial:GetNumberOfFragmentShaders vtkXMLMaterialGetNumberOfFragmentShadersFunction
//input a0 
//output y
ArrayVector vtkXMLMaterialGetNumberOfFragmentShadersFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfFragmentShaders (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfFragmentShaders for class vtkXMLMaterial requires 1 argument(s)");
  vtkXMLMaterial* vtk_pointer = GetVTKPointer<vtkXMLMaterial>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfFragmentShaders();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterial:GetProperty vtkXMLMaterialGetPropertyFunction
//input a0 a1 
//output y
ArrayVector vtkXMLMaterialGetPropertyFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLDataElement *GetProperty (int id); */
  if (arg.size() < 2) 
    throw Exception("Function GetProperty for class vtkXMLMaterial requires 2 argument(s)");
  vtkXMLMaterial* vtk_pointer = GetVTKPointer<vtkXMLMaterial>(arg[0]);
  Array retval;
  int      temp0;
  vtkXMLDataElement  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetProperty(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLDataElement",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterial:GetTexture vtkXMLMaterialGetTextureFunction
//input a0 a1 
//output y
ArrayVector vtkXMLMaterialGetTextureFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLDataElement *GetTexture (int id); */
  if (arg.size() < 2) 
    throw Exception("Function GetTexture for class vtkXMLMaterial requires 2 argument(s)");
  vtkXMLMaterial* vtk_pointer = GetVTKPointer<vtkXMLMaterial>(arg[0]);
  Array retval;
  int      temp0;
  vtkXMLDataElement  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetTexture(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLDataElement",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterial:GetVertexShader vtkXMLMaterialGetVertexShaderFunction
//input a0 a1 
//output y
ArrayVector vtkXMLMaterialGetVertexShaderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLShader *GetVertexShader (int id); */
  if (arg.size() < 2) 
    throw Exception("Function GetVertexShader for class vtkXMLMaterial requires 2 argument(s)");
  vtkXMLMaterial* vtk_pointer = GetVTKPointer<vtkXMLMaterial>(arg[0]);
  Array retval;
  int      temp0;
  vtkXMLShader  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetVertexShader(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLShader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterial:GetFragmentShader vtkXMLMaterialGetFragmentShaderFunction
//input a0 a1 
//output y
ArrayVector vtkXMLMaterialGetFragmentShaderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLShader *GetFragmentShader (int id); */
  if (arg.size() < 2) 
    throw Exception("Function GetFragmentShader for class vtkXMLMaterial requires 2 argument(s)");
  vtkXMLMaterial* vtk_pointer = GetVTKPointer<vtkXMLMaterial>(arg[0]);
  Array retval;
  int      temp0;
  vtkXMLShader  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetFragmentShader(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLShader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterial:GetRootElement vtkXMLMaterialGetRootElementFunction
//input a0 
//output y
ArrayVector vtkXMLMaterialGetRootElementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLDataElement *GetRootElement (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRootElement for class vtkXMLMaterial requires 1 argument(s)");
  vtkXMLMaterial* vtk_pointer = GetVTKPointer<vtkXMLMaterial>(arg[0]);
  Array retval;
  vtkXMLDataElement  *temp20;
  temp20 = (vtk_pointer)->GetRootElement();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLDataElement",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterial:SetRootElement vtkXMLMaterialSetRootElementFunction
//input a0 a1 
//output none
ArrayVector vtkXMLMaterialSetRootElementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRootElement (vtkXMLDataElement *); */
  if (arg.size() < 2) 
    throw Exception("Function SetRootElement for class vtkXMLMaterial requires 2 argument(s)");
  vtkXMLMaterial* vtk_pointer = GetVTKPointer<vtkXMLMaterial>(arg[0]);
  Array retval;
  vtkXMLDataElement  *temp0;
  temp0 = GetVTKPointer<vtkXMLDataElement>(arg[1]);
  vtk_pointer->SetRootElement(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterial:GetShaderLanguage vtkXMLMaterialGetShaderLanguageFunction
//input a0 
//output y
ArrayVector vtkXMLMaterialGetShaderLanguageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShaderLanguage (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShaderLanguage for class vtkXMLMaterial requires 1 argument(s)");
  vtkXMLMaterial* vtk_pointer = GetVTKPointer<vtkXMLMaterial>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetShaderLanguage();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterial:GetShaderStyle vtkXMLMaterialGetShaderStyleFunction
//input a0 
//output y
ArrayVector vtkXMLMaterialGetShaderStyleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetShaderStyle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetShaderStyle for class vtkXMLMaterial requires 1 argument(s)");
  vtkXMLMaterial* vtk_pointer = GetVTKPointer<vtkXMLMaterial>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetShaderStyle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterial:display vtkXMLMaterialDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLMaterialDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLMaterial* vtk_pointer = GetVTKPointer<vtkXMLMaterial>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLMaterial:delete vtkXMLMaterialDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLMaterialDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLMaterial
//@@Section VTKIO
//@@Usage
// vtkXMLMaterial encapsulates VTK Material description. It keeps a pointer
// to vtkXMLDataElement that defines the material and provides 
// access to Shaders/Properties defined in it.
// .SECTION Thanks
// Shader support in VTK includes key contributions by Gary Templet at 
// Sandia National Labs.
//
//To create an instance of class vtkXMLMaterial, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLMaterial
//@]
//@@Methods
//The class vtkXMLMaterial has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLMaterial class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLMaterial = obj.NewInstance ()|
// \item @|vtkXMLMaterial = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetNumberOfProperties ()| -  Get number of elements of type Property.
//// \item @|int = obj.GetNumberOfTextures ()| -  Get number of elements of type Texture.
//// \item @|int = obj.GetNumberOfVertexShaders ()| -  Get number of Vertex shaders.
//// \item @|int = obj.GetNumberOfFragmentShaders ()| -  Get number of fragment shaders.
//// \item @|vtkXMLDataElement = obj.GetProperty (int id)| -  Get the ith vtkXMLDataElement of type <Property />.
//// \item @|vtkXMLDataElement = obj.GetTexture (int id)| -  Get the ith vtkXMLDataElement of type <Texture />.
//// \item @|vtkXMLShader = obj.GetVertexShader (int id)| -  Get the ith vtkXMLDataElement of type <VertexShader />.
//// \item @|vtkXMLShader = obj.GetFragmentShader (int id)| -  Get the ith vtkXMLDataElement of type <FragmentShader />.
//// \item @|vtkXMLDataElement = obj.GetRootElement ()| -  Get/Set the XML root element that describes this material.
//// \item @|obj.SetRootElement (vtkXMLDataElement )| -  Get/Set the XML root element that describes this material.
//// \item @|int = obj.GetShaderLanguage ()| -  Get the Language used by the shaders in this Material.
// The Language of a vtkXMLMaterial is based on the Language of it's
// shaders. 
//// \item @|int = obj.GetShaderStyle ()| -  Get the style the shaders.
// \post valid_result: result==1 || result==2
////\end{itemize}
//!
