#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLMaterialParser object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLMaterialParser.h"

//@@Signature
//sfunction @vtkXMLMaterialParser:vtkXMLMaterialParser vtkXMLMaterialParserConstructorFunction
//input a
//output p
//@@Parents vtkXMLMaterialParser vtkXMLParser 
ArrayVector vtkXMLMaterialParserConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLMaterialParser::New(),"vtkXMLMaterialParser",eval);
  } else if (arg[0].className() == "vtkXMLMaterialParser") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLMaterialParser"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLMaterialParser");
    vtkXMLMaterialParser*q = reinterpret_cast<vtkXMLMaterialParser*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLMaterialParser");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLMaterialParser:GetClassName vtkXMLMaterialParserGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLMaterialParserGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLMaterialParser requires 1 argument(s)");
  vtkXMLMaterialParser* vtk_pointer = GetVTKPointer<vtkXMLMaterialParser>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterialParser:IsA vtkXMLMaterialParserIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLMaterialParserIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLMaterialParser requires 2 argument(s)");
  vtkXMLMaterialParser* vtk_pointer = GetVTKPointer<vtkXMLMaterialParser>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterialParser:NewInstance vtkXMLMaterialParserNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLMaterialParserNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLMaterialParser *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLMaterialParser requires 1 argument(s)");
  vtkXMLMaterialParser* vtk_pointer = GetVTKPointer<vtkXMLMaterialParser>(arg[0]);
  Array retval;
  vtkXMLMaterialParser  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLMaterialParser",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterialParser:SafeDownCast vtkXMLMaterialParserSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLMaterialParserSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLMaterialParser *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLMaterialParser requires 2 argument(s)");
  vtkXMLMaterialParser* vtk_pointer = GetVTKPointer<vtkXMLMaterialParser>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLMaterialParser  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLMaterialParser",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterialParser:GetMaterial vtkXMLMaterialParserGetMaterialFunction
//input a0 
//output y
ArrayVector vtkXMLMaterialParserGetMaterialFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLMaterial *GetMaterial (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaterial for class vtkXMLMaterialParser requires 1 argument(s)");
  vtkXMLMaterialParser* vtk_pointer = GetVTKPointer<vtkXMLMaterialParser>(arg[0]);
  Array retval;
  vtkXMLMaterial  *temp20;
  temp20 = (vtk_pointer)->GetMaterial();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLMaterial",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterialParser:SetMaterial vtkXMLMaterialParserSetMaterialFunction
//input a0 a1 
//output none
ArrayVector vtkXMLMaterialParserSetMaterialFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetMaterial (vtkXMLMaterial *); */
  if (arg.size() < 2) 
    throw Exception("Function SetMaterial for class vtkXMLMaterialParser requires 2 argument(s)");
  vtkXMLMaterialParser* vtk_pointer = GetVTKPointer<vtkXMLMaterialParser>(arg[0]);
  Array retval;
  vtkXMLMaterial  *temp0;
  temp0 = GetVTKPointer<vtkXMLMaterial>(arg[1]);
  vtk_pointer->SetMaterial(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterialParser:Parse__1 vtkXMLMaterialParserParse__1Function
//input a0 
//output y
ArrayVector vtkXMLMaterialParserParse__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Parse (); */
  if (arg.size() < 1) 
    throw Exception("Function Parse__1 for class vtkXMLMaterialParser requires 1 argument(s)");
  vtkXMLMaterialParser* vtk_pointer = GetVTKPointer<vtkXMLMaterialParser>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->Parse();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterialParser:Parse__2 vtkXMLMaterialParserParse__2Function
//input a0 a1 
//output y
ArrayVector vtkXMLMaterialParserParse__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Parse (const char *inputString); */
  if (arg.size() < 2) 
    throw Exception("Function Parse__2 for class vtkXMLMaterialParser requires 2 argument(s)");
  vtkXMLMaterialParser* vtk_pointer = GetVTKPointer<vtkXMLMaterialParser>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->Parse(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterialParser:Parse__3 vtkXMLMaterialParserParse__3Function
//input a0 a1 a2 
//output y
ArrayVector vtkXMLMaterialParserParse__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Parse (const char *inputString, unsigned int length); */
  if (arg.size() < 3) 
    throw Exception("Function Parse__3 for class vtkXMLMaterialParser requires 3 argument(s)");
  vtkXMLMaterialParser* vtk_pointer = GetVTKPointer<vtkXMLMaterialParser>(arg[0]);
  Array retval;
  char    *temp0;
  unsigned int      temp1;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned int) arg[2].asDouble();
  temp20 = (vtk_pointer)->Parse(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterialParser:InitializeParser vtkXMLMaterialParserInitializeParserFunction
//input a0 
//output y
ArrayVector vtkXMLMaterialParserInitializeParserFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int InitializeParser (); */
  if (arg.size() < 1) 
    throw Exception("Function InitializeParser for class vtkXMLMaterialParser requires 1 argument(s)");
  vtkXMLMaterialParser* vtk_pointer = GetVTKPointer<vtkXMLMaterialParser>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->InitializeParser();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterialParser:Parse vtkXMLMaterialParserParseFunction
//input varargin
//output varargout
ArrayVector vtkXMLMaterialParserParseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkXMLMaterialParserParse__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkXMLMaterialParserParse__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkXMLMaterialParserParse__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXMLMaterialParserParse");
}

//@@Signature
//sfunction @vtkXMLMaterialParser:display vtkXMLMaterialParserDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLMaterialParserDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLMaterialParser* vtk_pointer = GetVTKPointer<vtkXMLMaterialParser>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLMaterialParser:delete vtkXMLMaterialParserDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLMaterialParserDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLMaterialParser
//@@Section VTKIO
//@@Usage
// vtkXMLMaterialParser parses a VTK Material file and provides that file's
// description of a number of vertex and fragment shaders along with data
// values specified for data members of vtkProperty. This material is to be
// applied to an actor through it's vtkProperty and augments VTK's concept
// of a vtkProperty to include explicitly include vertex and fragment shaders
// and parameter settings for those shaders. This effectively makes reflectance
// models and other shaders  a material property. If no shaders are specified
// VTK should default to standard rendering.
//
// .SECTION Design
// vtkXMLMaterialParser provides access to 3 distinct types of first-level
// vtkXMLDataElements that describe a VTK material. These elements are as
// follows:
//
// vtkProperty - describe values for vtkProperty data members
//
// vtkVertexShader - a vertex shader and enough information to
// install it into the hardware rendering pipeline including values for
// specific shader parameters and structures.
//
// vtkFragmentShader - a fragment shader and enough information to
// install it into the hardware rendering pipeline including values for
// specific shader parameters and structures.
//
// The design of the material file closely follows that of vtk's xml
// descriptions of it's data sets. This allows use of the very handy
// vtkXMLDataElement which provides easy access to an xml element's 
// attribute values. Inlined data is currently not handled.
//
// Ideally this class would be a Facade to a DOM parser, but VTK only
// provides access to expat, a SAX parser. Other vtk classes that parse
// xml files are tuned to read vtkDataSets and don't provide the functionality
// to handle generic xml data. As such they are of little use here.
//
// This class may be extended for better data  handling or may become a
// Facade to a DOM parser should on become part of the VTK code base.
// .SECTION Thanks
// Shader support in VTK includes key contributions by Gary Templet at 
// Sandia National Labs.
//
//To create an instance of class vtkXMLMaterialParser, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLMaterialParser
//@]
//@@Methods
//The class vtkXMLMaterialParser has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLMaterialParser class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLMaterialParser = obj.NewInstance ()|
// \item @|vtkXMLMaterialParser = obj.SafeDownCast (vtkObject o)|
// \item @|vtkXMLMaterial = obj.GetMaterial ()| -  Set/Get the vtkXMLMaterial representation of the parsed material.
//// \item @|obj.SetMaterial (vtkXMLMaterial )| -  Set/Get the vtkXMLMaterial representation of the parsed material.
//// \item @|int = obj.Parse ()| -  Overridden to initialize the internal structures before
// the parsing begins.
//// \item @|int = obj.Parse (string inputString)| -  Overridden to initialize the internal structures before
// the parsing begins.
//// \item @|int = obj.Parse (string inputString, int length)| -  Overridden to initialize the internal structures before
// the parsing begins.
//// \item @|int = obj.InitializeParser ()| -  Overridden to clean up internal structures before the chunk-parsing
// begins.
////\end{itemize}
//!
