#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLMaterialReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLMaterialReader.h"

//@@Signature
//sfunction @vtkXMLMaterialReader:vtkXMLMaterialReader vtkXMLMaterialReaderConstructorFunction
//input a
//output p
//@@Parents vtkXMLMaterialReader vtkObject 
ArrayVector vtkXMLMaterialReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLMaterialReader::New(),"vtkXMLMaterialReader",eval);
  } else if (arg[0].className() == "vtkXMLMaterialReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLMaterialReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLMaterialReader");
    vtkXMLMaterialReader*q = reinterpret_cast<vtkXMLMaterialReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLMaterialReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLMaterialReader:GetClassName vtkXMLMaterialReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLMaterialReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLMaterialReader requires 1 argument(s)");
  vtkXMLMaterialReader* vtk_pointer = GetVTKPointer<vtkXMLMaterialReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterialReader:IsA vtkXMLMaterialReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLMaterialReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLMaterialReader requires 2 argument(s)");
  vtkXMLMaterialReader* vtk_pointer = GetVTKPointer<vtkXMLMaterialReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterialReader:NewInstance vtkXMLMaterialReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLMaterialReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLMaterialReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLMaterialReader requires 1 argument(s)");
  vtkXMLMaterialReader* vtk_pointer = GetVTKPointer<vtkXMLMaterialReader>(arg[0]);
  Array retval;
  vtkXMLMaterialReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLMaterialReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterialReader:SafeDownCast vtkXMLMaterialReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLMaterialReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLMaterialReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLMaterialReader requires 2 argument(s)");
  vtkXMLMaterialReader* vtk_pointer = GetVTKPointer<vtkXMLMaterialReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLMaterialReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLMaterialReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterialReader:SetFileName vtkXMLMaterialReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkXMLMaterialReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkXMLMaterialReader requires 2 argument(s)");
  vtkXMLMaterialReader* vtk_pointer = GetVTKPointer<vtkXMLMaterialReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterialReader:GetFileName vtkXMLMaterialReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkXMLMaterialReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkXMLMaterialReader requires 1 argument(s)");
  vtkXMLMaterialReader* vtk_pointer = GetVTKPointer<vtkXMLMaterialReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterialReader:ReadMaterial vtkXMLMaterialReaderReadMaterialFunction
//input a0 
//output none
ArrayVector vtkXMLMaterialReaderReadMaterialFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ReadMaterial (); */
  if (arg.size() < 1) 
    throw Exception("Function ReadMaterial for class vtkXMLMaterialReader requires 1 argument(s)");
  vtkXMLMaterialReader* vtk_pointer = GetVTKPointer<vtkXMLMaterialReader>(arg[0]);
  Array retval;
  vtk_pointer->ReadMaterial();
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterialReader:GetMaterial vtkXMLMaterialReaderGetMaterialFunction
//input a0 
//output y
ArrayVector vtkXMLMaterialReaderGetMaterialFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLMaterial *GetMaterial (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaterial for class vtkXMLMaterialReader requires 1 argument(s)");
  vtkXMLMaterialReader* vtk_pointer = GetVTKPointer<vtkXMLMaterialReader>(arg[0]);
  Array retval;
  vtkXMLMaterial  *temp20;
  temp20 = (vtk_pointer)->GetMaterial();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLMaterial",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLMaterialReader:display vtkXMLMaterialReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLMaterialReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLMaterialReader* vtk_pointer = GetVTKPointer<vtkXMLMaterialReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLMaterialReader:delete vtkXMLMaterialReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLMaterialReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLMaterialReader
//@@Section VTKIO
//@@Usage
// vtkXMLMaterialReader provides access to three types of vtkXMLDataElement
// found in XML Material Files. This class sorts them by type and integer
// id from 0-N for N elements of a specific type starting with the first
// instance found.
//
// .SECTION Design
// This class is basically a Facade for vtkXMLMaterialParser. Currently
// functionality is to only provide access to vtkXMLDataElements but further
// extensions may return higher level data structures.
//
// Having both an vtkXMLMaterialParser and a vtkXMLMaterialReader is consistent with
// VTK's design for handling xml file and provides for future flexibility, that is
// better data handlers and interfacing with a DOM xml parser.
//
// vtkProperty - defines values for some or all data members of vtkProperty
//
// vtkVertexShader - defines vertex shaders
//
// vtkFragmentShader - defines fragment shaders
// .SECTION Thanks
// Shader support in VTK includes key contributions by Gary Templet at 
// Sandia National Labs.
//
//To create an instance of class vtkXMLMaterialReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLMaterialReader
//@]
//@@Methods
//The class vtkXMLMaterialReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLMaterialReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLMaterialReader = obj.NewInstance ()|
// \item @|vtkXMLMaterialReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string )| -  Set and get file name.
//// \item @|string = obj.GetFileName ()| -  Set and get file name.
//// \item @|obj.ReadMaterial ()| -  Read the material file refered to in FileName.
// If the Reader hasn't changed since the last ReadMaterial(),
// it does not read the file again.
//// \item @|vtkXMLMaterial = obj.GetMaterial ()| -  Get the Material representation read by the reader.
////\end{itemize}
//!
