#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLMultiBlockDataReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLMultiBlockDataReader.h"

//@@Signature
//sfunction @vtkXMLMultiBlockDataReader:vtkXMLMultiBlockDataReader vtkXMLMultiBlockDataReaderConstructorFunction
//input a
//output p
//@@Parents vtkXMLMultiBlockDataReader vtkXMLCompositeDataReader 
ArrayVector vtkXMLMultiBlockDataReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLMultiBlockDataReader::New(),"vtkXMLMultiBlockDataReader",eval);
  } else if (arg[0].className() == "vtkXMLMultiBlockDataReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLMultiBlockDataReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLMultiBlockDataReader");
    vtkXMLMultiBlockDataReader*q = reinterpret_cast<vtkXMLMultiBlockDataReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLMultiBlockDataReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLMultiBlockDataReader:GetClassName vtkXMLMultiBlockDataReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLMultiBlockDataReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLMultiBlockDataReader requires 1 argument(s)");
  vtkXMLMultiBlockDataReader* vtk_pointer = GetVTKPointer<vtkXMLMultiBlockDataReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLMultiBlockDataReader:IsA vtkXMLMultiBlockDataReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLMultiBlockDataReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLMultiBlockDataReader requires 2 argument(s)");
  vtkXMLMultiBlockDataReader* vtk_pointer = GetVTKPointer<vtkXMLMultiBlockDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLMultiBlockDataReader:NewInstance vtkXMLMultiBlockDataReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLMultiBlockDataReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLMultiBlockDataReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLMultiBlockDataReader requires 1 argument(s)");
  vtkXMLMultiBlockDataReader* vtk_pointer = GetVTKPointer<vtkXMLMultiBlockDataReader>(arg[0]);
  Array retval;
  vtkXMLMultiBlockDataReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLMultiBlockDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLMultiBlockDataReader:SafeDownCast vtkXMLMultiBlockDataReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLMultiBlockDataReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLMultiBlockDataReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLMultiBlockDataReader requires 2 argument(s)");
  vtkXMLMultiBlockDataReader* vtk_pointer = GetVTKPointer<vtkXMLMultiBlockDataReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLMultiBlockDataReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLMultiBlockDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLMultiBlockDataReader:display vtkXMLMultiBlockDataReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLMultiBlockDataReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLMultiBlockDataReader* vtk_pointer = GetVTKPointer<vtkXMLMultiBlockDataReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLMultiBlockDataReader:delete vtkXMLMultiBlockDataReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLMultiBlockDataReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLMultiBlockDataReader
//@@Section VTKIO
//@@Usage
// vtkXMLMultiBlockDataReader reads the VTK XML multi-block data file
// format. XML multi-block data files are meta-files that point to a list
// of serial VTK XML files. When reading in parallel, it will distribute
// sub-blocks among processor. If the number of sub-blocks is less than
// the number of processors, some processors will not have any sub-blocks
// for that block. If the number of sub-blocks is larger than the
// number of processors, each processor will possibly have more than
// 1 sub-block.
//
//To create an instance of class vtkXMLMultiBlockDataReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLMultiBlockDataReader
//@]
//@@Methods
//The class vtkXMLMultiBlockDataReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLMultiBlockDataReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLMultiBlockDataReader = obj.NewInstance ()|
// \item @|vtkXMLMultiBlockDataReader = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
