#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLMultiBlockDataWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLMultiBlockDataWriter.h"

//@@Signature
//sfunction @vtkXMLMultiBlockDataWriter:vtkXMLMultiBlockDataWriter vtkXMLMultiBlockDataWriterConstructorFunction
//input a
//output p
//@@Parents vtkXMLMultiBlockDataWriter vtkXMLCompositeDataWriter 
ArrayVector vtkXMLMultiBlockDataWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLMultiBlockDataWriter::New(),"vtkXMLMultiBlockDataWriter",eval);
  } else if (arg[0].className() == "vtkXMLMultiBlockDataWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLMultiBlockDataWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLMultiBlockDataWriter");
    vtkXMLMultiBlockDataWriter*q = reinterpret_cast<vtkXMLMultiBlockDataWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLMultiBlockDataWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLMultiBlockDataWriter:GetClassName vtkXMLMultiBlockDataWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLMultiBlockDataWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLMultiBlockDataWriter requires 1 argument(s)");
  vtkXMLMultiBlockDataWriter* vtk_pointer = GetVTKPointer<vtkXMLMultiBlockDataWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLMultiBlockDataWriter:IsA vtkXMLMultiBlockDataWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLMultiBlockDataWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLMultiBlockDataWriter requires 2 argument(s)");
  vtkXMLMultiBlockDataWriter* vtk_pointer = GetVTKPointer<vtkXMLMultiBlockDataWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLMultiBlockDataWriter:NewInstance vtkXMLMultiBlockDataWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLMultiBlockDataWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLMultiBlockDataWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLMultiBlockDataWriter requires 1 argument(s)");
  vtkXMLMultiBlockDataWriter* vtk_pointer = GetVTKPointer<vtkXMLMultiBlockDataWriter>(arg[0]);
  Array retval;
  vtkXMLMultiBlockDataWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLMultiBlockDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLMultiBlockDataWriter:SafeDownCast vtkXMLMultiBlockDataWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLMultiBlockDataWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLMultiBlockDataWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLMultiBlockDataWriter requires 2 argument(s)");
  vtkXMLMultiBlockDataWriter* vtk_pointer = GetVTKPointer<vtkXMLMultiBlockDataWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLMultiBlockDataWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLMultiBlockDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLMultiBlockDataWriter:GetDefaultFileExtension vtkXMLMultiBlockDataWriterGetDefaultFileExtensionFunction
//input a0 
//output y
ArrayVector vtkXMLMultiBlockDataWriterGetDefaultFileExtensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetDefaultFileExtension ();return  */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultFileExtension for class vtkXMLMultiBlockDataWriter requires 1 argument(s)");
  vtkXMLMultiBlockDataWriter* vtk_pointer = GetVTKPointer<vtkXMLMultiBlockDataWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDefaultFileExtension();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLMultiBlockDataWriter:display vtkXMLMultiBlockDataWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLMultiBlockDataWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLMultiBlockDataWriter* vtk_pointer = GetVTKPointer<vtkXMLMultiBlockDataWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLMultiBlockDataWriter:delete vtkXMLMultiBlockDataWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLMultiBlockDataWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLMultiBlockDataWriter
//@@Section VTKIO
//@@Usage
// vtkXMLMultiBlockDataWriter is a vtkXMLCompositeDataWriter subclass to handle
// vtkMultiBlockDataSet.
//
//To create an instance of class vtkXMLMultiBlockDataWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLMultiBlockDataWriter
//@]
//@@Methods
//The class vtkXMLMultiBlockDataWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLMultiBlockDataWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLMultiBlockDataWriter = obj.NewInstance ()|
// \item @|vtkXMLMultiBlockDataWriter = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetDefaultFileExtension ()|
//\end{itemize}
//!
