#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLMultiGroupDataReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLMultiGroupDataReader.h"

//@@Signature
//sfunction @vtkXMLMultiGroupDataReader:vtkXMLMultiGroupDataReader vtkXMLMultiGroupDataReaderConstructorFunction
//input a
//output p
//@@Parents vtkXMLMultiGroupDataReader vtkXMLMultiBlockDataReader 
ArrayVector vtkXMLMultiGroupDataReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLMultiGroupDataReader::New(),"vtkXMLMultiGroupDataReader",eval);
  } else if (arg[0].className() == "vtkXMLMultiGroupDataReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLMultiGroupDataReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLMultiGroupDataReader");
    vtkXMLMultiGroupDataReader*q = reinterpret_cast<vtkXMLMultiGroupDataReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLMultiGroupDataReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLMultiGroupDataReader:GetClassName vtkXMLMultiGroupDataReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLMultiGroupDataReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLMultiGroupDataReader requires 1 argument(s)");
  vtkXMLMultiGroupDataReader* vtk_pointer = GetVTKPointer<vtkXMLMultiGroupDataReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLMultiGroupDataReader:IsA vtkXMLMultiGroupDataReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLMultiGroupDataReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLMultiGroupDataReader requires 2 argument(s)");
  vtkXMLMultiGroupDataReader* vtk_pointer = GetVTKPointer<vtkXMLMultiGroupDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLMultiGroupDataReader:NewInstance vtkXMLMultiGroupDataReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLMultiGroupDataReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLMultiGroupDataReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLMultiGroupDataReader requires 1 argument(s)");
  vtkXMLMultiGroupDataReader* vtk_pointer = GetVTKPointer<vtkXMLMultiGroupDataReader>(arg[0]);
  Array retval;
  vtkXMLMultiGroupDataReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLMultiGroupDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLMultiGroupDataReader:SafeDownCast vtkXMLMultiGroupDataReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLMultiGroupDataReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLMultiGroupDataReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLMultiGroupDataReader requires 2 argument(s)");
  vtkXMLMultiGroupDataReader* vtk_pointer = GetVTKPointer<vtkXMLMultiGroupDataReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLMultiGroupDataReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLMultiGroupDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLMultiGroupDataReader:display vtkXMLMultiGroupDataReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLMultiGroupDataReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLMultiGroupDataReader* vtk_pointer = GetVTKPointer<vtkXMLMultiGroupDataReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLMultiGroupDataReader:delete vtkXMLMultiGroupDataReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLMultiGroupDataReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLMultiGroupDataReader
//@@Section VTKIO
//@@Usage
// vtkXMLMultiGroupDataReader is a legacy reader that reads multi group files
// into multiblock datasets.
//
//To create an instance of class vtkXMLMultiGroupDataReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLMultiGroupDataReader
//@]
//@@Methods
//The class vtkXMLMultiGroupDataReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLMultiGroupDataReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLMultiGroupDataReader = obj.NewInstance ()|
// \item @|vtkXMLMultiGroupDataReader = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
