#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLPDataReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLPDataReader.h"

//@@Signature
//sfunction @vtkXMLPDataReader:vtkXMLPDataReader vtkXMLPDataReaderConstructorFunction
//input a
//output p
//@@Parents vtkXMLPDataReader vtkXMLReader 
ArrayVector vtkXMLPDataReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLPDataReader::New(),"vtkXMLPDataReader",eval);
  } else if (arg[0].className() == "vtkXMLPDataReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLPDataReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLPDataReader");
    vtkXMLPDataReader*q = reinterpret_cast<vtkXMLPDataReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLPDataReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLPDataReader:GetClassName vtkXMLPDataReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLPDataReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLPDataReader requires 1 argument(s)");
  vtkXMLPDataReader* vtk_pointer = GetVTKPointer<vtkXMLPDataReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPDataReader:IsA vtkXMLPDataReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPDataReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLPDataReader requires 2 argument(s)");
  vtkXMLPDataReader* vtk_pointer = GetVTKPointer<vtkXMLPDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPDataReader:NewInstance vtkXMLPDataReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLPDataReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPDataReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLPDataReader requires 1 argument(s)");
  vtkXMLPDataReader* vtk_pointer = GetVTKPointer<vtkXMLPDataReader>(arg[0]);
  Array retval;
  vtkXMLPDataReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPDataReader:SafeDownCast vtkXMLPDataReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPDataReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPDataReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLPDataReader requires 2 argument(s)");
  vtkXMLPDataReader* vtk_pointer = GetVTKPointer<vtkXMLPDataReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLPDataReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPDataReader:GetNumberOfPieces vtkXMLPDataReaderGetNumberOfPiecesFunction
//input a0 
//output y
ArrayVector vtkXMLPDataReaderGetNumberOfPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPieces (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPieces for class vtkXMLPDataReader requires 1 argument(s)");
  vtkXMLPDataReader* vtk_pointer = GetVTKPointer<vtkXMLPDataReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPieces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPDataReader:CopyOutputInformation vtkXMLPDataReaderCopyOutputInformationFunction
//input a0 a1 a2 
//output none
ArrayVector vtkXMLPDataReaderCopyOutputInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyOutputInformation (vtkInformation *outInfo, int port); */
  if (arg.size() < 3) 
    throw Exception("Function CopyOutputInformation for class vtkXMLPDataReader requires 3 argument(s)");
  vtkXMLPDataReader* vtk_pointer = GetVTKPointer<vtkXMLPDataReader>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->CopyOutputInformation(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPDataReader:ReadPiece vtkXMLPDataReaderReadPieceFunction
//input varargin
//output varargout
ArrayVector vtkXMLPDataReaderReadPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkXMLPDataReaderReadPiece");
}

//@@Signature
//sfunction @vtkXMLPDataReader:ReadPieceData vtkXMLPDataReaderReadPieceDataFunction
//input varargin
//output varargout
ArrayVector vtkXMLPDataReaderReadPieceDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkXMLPDataReaderReadPieceData");
}

//@@Signature
//sfunction @vtkXMLPDataReader:display vtkXMLPDataReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLPDataReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLPDataReader* vtk_pointer = GetVTKPointer<vtkXMLPDataReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLPDataReader:delete vtkXMLPDataReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLPDataReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLPDataReader
//@@Section VTKIO
//@@Usage
// vtkXMLPDataReader provides functionality common to all PVTK XML
// file readers.  Concrete subclasses call upon this functionality
// when needed.
//
//To create an instance of class vtkXMLPDataReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLPDataReader
//@]
//@@Methods
//The class vtkXMLPDataReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLPDataReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLPDataReader = obj.NewInstance ()|
// \item @|vtkXMLPDataReader = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.GetNumberOfPieces ()| -  Get the number of pieces from the summary file being read.
//// \item @|obj.CopyOutputInformation (vtkInformation outInfo, int port)|
//\end{itemize}
//!
