#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLPDataSetWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLPDataSetWriter.h"

//@@Signature
//sfunction @vtkXMLPDataSetWriter:vtkXMLPDataSetWriter vtkXMLPDataSetWriterConstructorFunction
//input a
//output p
//@@Parents vtkXMLPDataSetWriter vtkXMLPDataWriter 
ArrayVector vtkXMLPDataSetWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLPDataSetWriter::New(),"vtkXMLPDataSetWriter",eval);
  } else if (arg[0].className() == "vtkXMLPDataSetWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLPDataSetWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLPDataSetWriter");
    vtkXMLPDataSetWriter*q = reinterpret_cast<vtkXMLPDataSetWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLPDataSetWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLPDataSetWriter:GetClassName vtkXMLPDataSetWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLPDataSetWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLPDataSetWriter requires 1 argument(s)");
  vtkXMLPDataSetWriter* vtk_pointer = GetVTKPointer<vtkXMLPDataSetWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPDataSetWriter:IsA vtkXMLPDataSetWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPDataSetWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLPDataSetWriter requires 2 argument(s)");
  vtkXMLPDataSetWriter* vtk_pointer = GetVTKPointer<vtkXMLPDataSetWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPDataSetWriter:NewInstance vtkXMLPDataSetWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLPDataSetWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPDataSetWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLPDataSetWriter requires 1 argument(s)");
  vtkXMLPDataSetWriter* vtk_pointer = GetVTKPointer<vtkXMLPDataSetWriter>(arg[0]);
  Array retval;
  vtkXMLPDataSetWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPDataSetWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPDataSetWriter:SafeDownCast vtkXMLPDataSetWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPDataSetWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPDataSetWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLPDataSetWriter requires 2 argument(s)");
  vtkXMLPDataSetWriter* vtk_pointer = GetVTKPointer<vtkXMLPDataSetWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLPDataSetWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPDataSetWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPDataSetWriter:display vtkXMLPDataSetWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLPDataSetWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLPDataSetWriter* vtk_pointer = GetVTKPointer<vtkXMLPDataSetWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLPDataSetWriter:delete vtkXMLPDataSetWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLPDataSetWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLPDataSetWriter
//@@Section VTKIO
//@@Usage
// vtkXMLPDataSetWriter is a wrapper around the PVTK XML file format
// writers.  Given an input vtkDataSet, the correct writer is
// automatically selected based on the type of input.
//
//To create an instance of class vtkXMLPDataSetWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLPDataSetWriter
//@]
//@@Methods
//The class vtkXMLPDataSetWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLPDataSetWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLPDataSetWriter = obj.NewInstance ()|
// \item @|vtkXMLPDataSetWriter = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
