#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLPDataWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLPDataWriter.h"

//@@Signature
//sfunction @vtkXMLPDataWriter:vtkXMLPDataWriter vtkXMLPDataWriterConstructorFunction
//input a
//output p
//@@Parents vtkXMLPDataWriter vtkXMLWriter 
ArrayVector vtkXMLPDataWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLPDataWriter::New(),"vtkXMLPDataWriter",eval);
  } else if (arg[0].className() == "vtkXMLPDataWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLPDataWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLPDataWriter");
    vtkXMLPDataWriter*q = reinterpret_cast<vtkXMLPDataWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLPDataWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLPDataWriter:GetClassName vtkXMLPDataWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLPDataWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLPDataWriter requires 1 argument(s)");
  vtkXMLPDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPDataWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPDataWriter:IsA vtkXMLPDataWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPDataWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLPDataWriter requires 2 argument(s)");
  vtkXMLPDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPDataWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPDataWriter:NewInstance vtkXMLPDataWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLPDataWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPDataWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLPDataWriter requires 1 argument(s)");
  vtkXMLPDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPDataWriter>(arg[0]);
  Array retval;
  vtkXMLPDataWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPDataWriter:SafeDownCast vtkXMLPDataWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPDataWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPDataWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLPDataWriter requires 2 argument(s)");
  vtkXMLPDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPDataWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLPDataWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPDataWriter:SetNumberOfPieces vtkXMLPDataWriterSetNumberOfPiecesFunction
//input a0 a1 
//output none
ArrayVector vtkXMLPDataWriterSetNumberOfPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfPieces (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfPieces for class vtkXMLPDataWriter requires 2 argument(s)");
  vtkXMLPDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPDataWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfPieces(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPDataWriter:GetNumberOfPieces vtkXMLPDataWriterGetNumberOfPiecesFunction
//input a0 
//output y
ArrayVector vtkXMLPDataWriterGetNumberOfPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPieces (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPieces for class vtkXMLPDataWriter requires 1 argument(s)");
  vtkXMLPDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPDataWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPieces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPDataWriter:SetStartPiece vtkXMLPDataWriterSetStartPieceFunction
//input a0 a1 
//output none
ArrayVector vtkXMLPDataWriterSetStartPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetStartPiece (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetStartPiece for class vtkXMLPDataWriter requires 2 argument(s)");
  vtkXMLPDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPDataWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetStartPiece(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPDataWriter:GetStartPiece vtkXMLPDataWriterGetStartPieceFunction
//input a0 
//output y
ArrayVector vtkXMLPDataWriterGetStartPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetStartPiece (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStartPiece for class vtkXMLPDataWriter requires 1 argument(s)");
  vtkXMLPDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPDataWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetStartPiece();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPDataWriter:SetEndPiece vtkXMLPDataWriterSetEndPieceFunction
//input a0 a1 
//output none
ArrayVector vtkXMLPDataWriterSetEndPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEndPiece (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEndPiece for class vtkXMLPDataWriter requires 2 argument(s)");
  vtkXMLPDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPDataWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEndPiece(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPDataWriter:GetEndPiece vtkXMLPDataWriterGetEndPieceFunction
//input a0 
//output y
ArrayVector vtkXMLPDataWriterGetEndPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEndPiece (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEndPiece for class vtkXMLPDataWriter requires 1 argument(s)");
  vtkXMLPDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPDataWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetEndPiece();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPDataWriter:SetGhostLevel vtkXMLPDataWriterSetGhostLevelFunction
//input a0 a1 
//output none
ArrayVector vtkXMLPDataWriterSetGhostLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGhostLevel (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGhostLevel for class vtkXMLPDataWriter requires 2 argument(s)");
  vtkXMLPDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPDataWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGhostLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPDataWriter:GetGhostLevel vtkXMLPDataWriterGetGhostLevelFunction
//input a0 
//output y
ArrayVector vtkXMLPDataWriterGetGhostLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGhostLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGhostLevel for class vtkXMLPDataWriter requires 1 argument(s)");
  vtkXMLPDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPDataWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGhostLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPDataWriter:SetWriteSummaryFile vtkXMLPDataWriterSetWriteSummaryFileFunction
//input a0 a1 
//output none
ArrayVector vtkXMLPDataWriterSetWriteSummaryFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetWriteSummaryFile (int flag); */
  if (arg.size() < 2) 
    throw Exception("Function SetWriteSummaryFile for class vtkXMLPDataWriter requires 2 argument(s)");
  vtkXMLPDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPDataWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetWriteSummaryFile(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPDataWriter:GetWriteSummaryFile vtkXMLPDataWriterGetWriteSummaryFileFunction
//input a0 
//output y
ArrayVector vtkXMLPDataWriterGetWriteSummaryFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWriteSummaryFile (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWriteSummaryFile for class vtkXMLPDataWriter requires 1 argument(s)");
  vtkXMLPDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPDataWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWriteSummaryFile();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPDataWriter:WriteSummaryFileOn vtkXMLPDataWriterWriteSummaryFileOnFunction
//input a0 
//output none
ArrayVector vtkXMLPDataWriterWriteSummaryFileOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WriteSummaryFileOn (); */
  if (arg.size() < 1) 
    throw Exception("Function WriteSummaryFileOn for class vtkXMLPDataWriter requires 1 argument(s)");
  vtkXMLPDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPDataWriter>(arg[0]);
  Array retval;
  vtk_pointer->WriteSummaryFileOn();
  return retval;
}

//@@Signature
//sfunction @vtkXMLPDataWriter:WriteSummaryFileOff vtkXMLPDataWriterWriteSummaryFileOffFunction
//input a0 
//output none
ArrayVector vtkXMLPDataWriterWriteSummaryFileOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WriteSummaryFileOff (); */
  if (arg.size() < 1) 
    throw Exception("Function WriteSummaryFileOff for class vtkXMLPDataWriter requires 1 argument(s)");
  vtkXMLPDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPDataWriter>(arg[0]);
  Array retval;
  vtk_pointer->WriteSummaryFileOff();
  return retval;
}

//@@Signature
//sfunction @vtkXMLPDataWriter:display vtkXMLPDataWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLPDataWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLPDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPDataWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLPDataWriter:delete vtkXMLPDataWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLPDataWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLPDataWriter
//@@Section VTKIO
//@@Usage
// vtkXMLPDataWriter is the superclass for all XML parallel data set
// writers.  It provides functionality needed for writing parallel
// formats, such as the selection of which writer writes the summary
// file and what range of pieces are assigned to each serial writer.
//
//To create an instance of class vtkXMLPDataWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLPDataWriter
//@]
//@@Methods
//The class vtkXMLPDataWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLPDataWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLPDataWriter = obj.NewInstance ()|
// \item @|vtkXMLPDataWriter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetNumberOfPieces (int )| -  Get/Set the number of pieces that are being written in parallel.
//// \item @|int = obj.GetNumberOfPieces ()| -  Get/Set the number of pieces that are being written in parallel.
//// \item @|obj.SetStartPiece (int )| -  Get/Set the range of pieces assigned to this writer.
//// \item @|int = obj.GetStartPiece ()| -  Get/Set the range of pieces assigned to this writer.
//// \item @|obj.SetEndPiece (int )| -  Get/Set the range of pieces assigned to this writer.
//// \item @|int = obj.GetEndPiece ()| -  Get/Set the range of pieces assigned to this writer.
//// \item @|obj.SetGhostLevel (int )| -  Get/Set the ghost level used for this writer's piece.
//// \item @|int = obj.GetGhostLevel ()| -  Get/Set the ghost level used for this writer's piece.
//// \item @|obj.SetWriteSummaryFile (int flag)| -  Get/Set whether this instance of the writer should write the
// summary file that refers to all of the pieces' individual files.
// Default is yes only for piece 0 writer.
//// \item @|int = obj.GetWriteSummaryFile ()| -  Get/Set whether this instance of the writer should write the
// summary file that refers to all of the pieces' individual files.
// Default is yes only for piece 0 writer.
//// \item @|obj.WriteSummaryFileOn ()| -  Get/Set whether this instance of the writer should write the
// summary file that refers to all of the pieces' individual files.
// Default is yes only for piece 0 writer.
//// \item @|obj.WriteSummaryFileOff ()| -  Get/Set whether this instance of the writer should write the
// summary file that refers to all of the pieces' individual files.
// Default is yes only for piece 0 writer.
////\end{itemize}
//!
