#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLPImageDataReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLPImageDataReader.h"

//@@Signature
//sfunction @vtkXMLPImageDataReader:vtkXMLPImageDataReader vtkXMLPImageDataReaderConstructorFunction
//input a
//output p
//@@Parents vtkXMLPImageDataReader vtkXMLPStructuredDataReader 
ArrayVector vtkXMLPImageDataReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLPImageDataReader::New(),"vtkXMLPImageDataReader",eval);
  } else if (arg[0].className() == "vtkXMLPImageDataReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLPImageDataReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLPImageDataReader");
    vtkXMLPImageDataReader*q = reinterpret_cast<vtkXMLPImageDataReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLPImageDataReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLPImageDataReader:GetClassName vtkXMLPImageDataReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLPImageDataReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLPImageDataReader requires 1 argument(s)");
  vtkXMLPImageDataReader* vtk_pointer = GetVTKPointer<vtkXMLPImageDataReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPImageDataReader:IsA vtkXMLPImageDataReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPImageDataReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLPImageDataReader requires 2 argument(s)");
  vtkXMLPImageDataReader* vtk_pointer = GetVTKPointer<vtkXMLPImageDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPImageDataReader:NewInstance vtkXMLPImageDataReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLPImageDataReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPImageDataReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLPImageDataReader requires 1 argument(s)");
  vtkXMLPImageDataReader* vtk_pointer = GetVTKPointer<vtkXMLPImageDataReader>(arg[0]);
  Array retval;
  vtkXMLPImageDataReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPImageDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPImageDataReader:SafeDownCast vtkXMLPImageDataReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPImageDataReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPImageDataReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLPImageDataReader requires 2 argument(s)");
  vtkXMLPImageDataReader* vtk_pointer = GetVTKPointer<vtkXMLPImageDataReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLPImageDataReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPImageDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPImageDataReader:GetOutput__1 vtkXMLPImageDataReaderGetOutput__1Function
//input a0 
//output y
ArrayVector vtkXMLPImageDataReaderGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkXMLPImageDataReader requires 1 argument(s)");
  vtkXMLPImageDataReader* vtk_pointer = GetVTKPointer<vtkXMLPImageDataReader>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPImageDataReader:GetOutput__2 vtkXMLPImageDataReaderGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkXMLPImageDataReaderGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetOutput (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkXMLPImageDataReader requires 2 argument(s)");
  vtkXMLPImageDataReader* vtk_pointer = GetVTKPointer<vtkXMLPImageDataReader>(arg[0]);
  Array retval;
  int      temp0;
  vtkImageData  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPImageDataReader:CopyOutputInformation vtkXMLPImageDataReaderCopyOutputInformationFunction
//input a0 a1 a2 
//output none
ArrayVector vtkXMLPImageDataReaderCopyOutputInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyOutputInformation (vtkInformation *outInfo, int port); */
  if (arg.size() < 3) 
    throw Exception("Function CopyOutputInformation for class vtkXMLPImageDataReader requires 3 argument(s)");
  vtkXMLPImageDataReader* vtk_pointer = GetVTKPointer<vtkXMLPImageDataReader>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->CopyOutputInformation(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPImageDataReader:GetOutput vtkXMLPImageDataReaderGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkXMLPImageDataReaderGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkXMLPImageDataReaderGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkXMLPImageDataReaderGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXMLPImageDataReaderGetOutput");
}

//@@Signature
//sfunction @vtkXMLPImageDataReader:display vtkXMLPImageDataReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLPImageDataReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLPImageDataReader* vtk_pointer = GetVTKPointer<vtkXMLPImageDataReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLPImageDataReader:delete vtkXMLPImageDataReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLPImageDataReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLPImageDataReader
//@@Section VTKIO
//@@Usage
// vtkXMLPImageDataReader reads the PVTK XML ImageData file format.
// This reads the parallel format's summary file and then uses
// vtkXMLImageDataReader to read data from the individual ImageData
// piece files.  Streaming is supported.  The standard extension for
// this reader's file format is "pvti".
//
//To create an instance of class vtkXMLPImageDataReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLPImageDataReader
//@]
//@@Methods
//The class vtkXMLPImageDataReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLPImageDataReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLPImageDataReader = obj.NewInstance ()|
// \item @|vtkXMLPImageDataReader = obj.SafeDownCast (vtkObject o)|
// \item @|vtkImageData = obj.GetOutput ()| -  Get the reader's output.
//// \item @|vtkImageData = obj.GetOutput (int idx)| -  Get the reader's output.
//// \item @|obj.CopyOutputInformation (vtkInformation outInfo, int port)|
//\end{itemize}
//!
