#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLPImageDataWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLPImageDataWriter.h"

//@@Signature
//sfunction @vtkXMLPImageDataWriter:vtkXMLPImageDataWriter vtkXMLPImageDataWriterConstructorFunction
//input a
//output p
//@@Parents vtkXMLPImageDataWriter vtkXMLPStructuredDataWriter 
ArrayVector vtkXMLPImageDataWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLPImageDataWriter::New(),"vtkXMLPImageDataWriter",eval);
  } else if (arg[0].className() == "vtkXMLPImageDataWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLPImageDataWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLPImageDataWriter");
    vtkXMLPImageDataWriter*q = reinterpret_cast<vtkXMLPImageDataWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLPImageDataWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLPImageDataWriter:GetClassName vtkXMLPImageDataWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLPImageDataWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLPImageDataWriter requires 1 argument(s)");
  vtkXMLPImageDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPImageDataWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPImageDataWriter:IsA vtkXMLPImageDataWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPImageDataWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLPImageDataWriter requires 2 argument(s)");
  vtkXMLPImageDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPImageDataWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPImageDataWriter:NewInstance vtkXMLPImageDataWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLPImageDataWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPImageDataWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLPImageDataWriter requires 1 argument(s)");
  vtkXMLPImageDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPImageDataWriter>(arg[0]);
  Array retval;
  vtkXMLPImageDataWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPImageDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPImageDataWriter:SafeDownCast vtkXMLPImageDataWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPImageDataWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPImageDataWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLPImageDataWriter requires 2 argument(s)");
  vtkXMLPImageDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPImageDataWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLPImageDataWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPImageDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPImageDataWriter:GetDefaultFileExtension vtkXMLPImageDataWriterGetDefaultFileExtensionFunction
//input a0 
//output y
ArrayVector vtkXMLPImageDataWriterGetDefaultFileExtensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetDefaultFileExtension (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultFileExtension for class vtkXMLPImageDataWriter requires 1 argument(s)");
  vtkXMLPImageDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPImageDataWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDefaultFileExtension();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPImageDataWriter:display vtkXMLPImageDataWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLPImageDataWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLPImageDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPImageDataWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLPImageDataWriter:delete vtkXMLPImageDataWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLPImageDataWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLPImageDataWriter
//@@Section VTKIO
//@@Usage
// vtkXMLPImageDataWriter writes the PVTK XML ImageData file format.
// One image data input can be written into a parallel file format
// with any number of pieces spread across files.  The standard
// extension for this writer's file format is "pvti".  This writer
// uses vtkXMLImageDataWriter to write the individual piece files.
//
//To create an instance of class vtkXMLPImageDataWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLPImageDataWriter
//@]
//@@Methods
//The class vtkXMLPImageDataWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLPImageDataWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLPImageDataWriter = obj.NewInstance ()|
// \item @|vtkXMLPImageDataWriter = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetDefaultFileExtension ()| -  Get the default file extension for files written by this writer.
////\end{itemize}
//!
