#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLPPolyDataReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLPPolyDataReader.h"

//@@Signature
//sfunction @vtkXMLPPolyDataReader:vtkXMLPPolyDataReader vtkXMLPPolyDataReaderConstructorFunction
//input a
//output p
//@@Parents vtkXMLPPolyDataReader vtkXMLPUnstructuredDataReader 
ArrayVector vtkXMLPPolyDataReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLPPolyDataReader::New(),"vtkXMLPPolyDataReader",eval);
  } else if (arg[0].className() == "vtkXMLPPolyDataReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLPPolyDataReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLPPolyDataReader");
    vtkXMLPPolyDataReader*q = reinterpret_cast<vtkXMLPPolyDataReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLPPolyDataReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLPPolyDataReader:GetClassName vtkXMLPPolyDataReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLPPolyDataReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLPPolyDataReader requires 1 argument(s)");
  vtkXMLPPolyDataReader* vtk_pointer = GetVTKPointer<vtkXMLPPolyDataReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPPolyDataReader:IsA vtkXMLPPolyDataReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPPolyDataReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLPPolyDataReader requires 2 argument(s)");
  vtkXMLPPolyDataReader* vtk_pointer = GetVTKPointer<vtkXMLPPolyDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPPolyDataReader:NewInstance vtkXMLPPolyDataReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLPPolyDataReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPPolyDataReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLPPolyDataReader requires 1 argument(s)");
  vtkXMLPPolyDataReader* vtk_pointer = GetVTKPointer<vtkXMLPPolyDataReader>(arg[0]);
  Array retval;
  vtkXMLPPolyDataReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPPolyDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPPolyDataReader:SafeDownCast vtkXMLPPolyDataReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPPolyDataReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPPolyDataReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLPPolyDataReader requires 2 argument(s)");
  vtkXMLPPolyDataReader* vtk_pointer = GetVTKPointer<vtkXMLPPolyDataReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLPPolyDataReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPPolyDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPPolyDataReader:GetOutput__1 vtkXMLPPolyDataReaderGetOutput__1Function
//input a0 
//output y
ArrayVector vtkXMLPPolyDataReaderGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkXMLPPolyDataReader requires 1 argument(s)");
  vtkXMLPPolyDataReader* vtk_pointer = GetVTKPointer<vtkXMLPPolyDataReader>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPPolyDataReader:GetOutput__2 vtkXMLPPolyDataReaderGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkXMLPPolyDataReaderGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetOutput (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkXMLPPolyDataReader requires 2 argument(s)");
  vtkXMLPPolyDataReader* vtk_pointer = GetVTKPointer<vtkXMLPPolyDataReader>(arg[0]);
  Array retval;
  int      temp0;
  vtkPolyData  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPPolyDataReader:GetOutput vtkXMLPPolyDataReaderGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkXMLPPolyDataReaderGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkXMLPPolyDataReaderGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkXMLPPolyDataReaderGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXMLPPolyDataReaderGetOutput");
}

//@@Signature
//sfunction @vtkXMLPPolyDataReader:display vtkXMLPPolyDataReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLPPolyDataReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLPPolyDataReader* vtk_pointer = GetVTKPointer<vtkXMLPPolyDataReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLPPolyDataReader:delete vtkXMLPPolyDataReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLPPolyDataReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLPPolyDataReader
//@@Section VTKIO
//@@Usage
// vtkXMLPPolyDataReader reads the PVTK XML PolyData file format.
// This reads the parallel format's summary file and then uses
// vtkXMLPolyDataReader to read data from the individual PolyData
// piece files.  Streaming is supported.  The standard extension for
// this reader's file format is "pvtp".
//
//To create an instance of class vtkXMLPPolyDataReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLPPolyDataReader
//@]
//@@Methods
//The class vtkXMLPPolyDataReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLPPolyDataReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLPPolyDataReader = obj.NewInstance ()|
// \item @|vtkXMLPPolyDataReader = obj.SafeDownCast (vtkObject o)|
// \item @|vtkPolyData = obj.GetOutput ()| -  Get the reader's output.
//// \item @|vtkPolyData = obj.GetOutput (int idx)| -  Get the reader's output.
////\end{itemize}
//!
