#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLPPolyDataWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLPPolyDataWriter.h"

//@@Signature
//sfunction @vtkXMLPPolyDataWriter:vtkXMLPPolyDataWriter vtkXMLPPolyDataWriterConstructorFunction
//input a
//output p
//@@Parents vtkXMLPPolyDataWriter vtkXMLPUnstructuredDataWriter 
ArrayVector vtkXMLPPolyDataWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLPPolyDataWriter::New(),"vtkXMLPPolyDataWriter",eval);
  } else if (arg[0].className() == "vtkXMLPPolyDataWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLPPolyDataWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLPPolyDataWriter");
    vtkXMLPPolyDataWriter*q = reinterpret_cast<vtkXMLPPolyDataWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLPPolyDataWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLPPolyDataWriter:GetClassName vtkXMLPPolyDataWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLPPolyDataWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLPPolyDataWriter requires 1 argument(s)");
  vtkXMLPPolyDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPPolyDataWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPPolyDataWriter:IsA vtkXMLPPolyDataWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPPolyDataWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLPPolyDataWriter requires 2 argument(s)");
  vtkXMLPPolyDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPPolyDataWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPPolyDataWriter:NewInstance vtkXMLPPolyDataWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLPPolyDataWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPPolyDataWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLPPolyDataWriter requires 1 argument(s)");
  vtkXMLPPolyDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPPolyDataWriter>(arg[0]);
  Array retval;
  vtkXMLPPolyDataWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPPolyDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPPolyDataWriter:SafeDownCast vtkXMLPPolyDataWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPPolyDataWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPPolyDataWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLPPolyDataWriter requires 2 argument(s)");
  vtkXMLPPolyDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPPolyDataWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLPPolyDataWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPPolyDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPPolyDataWriter:GetDefaultFileExtension vtkXMLPPolyDataWriterGetDefaultFileExtensionFunction
//input a0 
//output y
ArrayVector vtkXMLPPolyDataWriterGetDefaultFileExtensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetDefaultFileExtension (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultFileExtension for class vtkXMLPPolyDataWriter requires 1 argument(s)");
  vtkXMLPPolyDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPPolyDataWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDefaultFileExtension();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPPolyDataWriter:display vtkXMLPPolyDataWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLPPolyDataWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLPPolyDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPPolyDataWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLPPolyDataWriter:delete vtkXMLPPolyDataWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLPPolyDataWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLPPolyDataWriter
//@@Section VTKIO
//@@Usage
// vtkXMLPPolyDataWriter writes the PVTK XML PolyData file format.
// One poly data input can be written into a parallel file format with
// any number of pieces spread across files.  The standard extension
// for this writer's file format is "pvtp".  This writer uses
// vtkXMLPolyDataWriter to write the individual piece files.
//
//To create an instance of class vtkXMLPPolyDataWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLPPolyDataWriter
//@]
//@@Methods
//The class vtkXMLPPolyDataWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLPPolyDataWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLPPolyDataWriter = obj.NewInstance ()|
// \item @|vtkXMLPPolyDataWriter = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetDefaultFileExtension ()| -  Get the default file extension for files written by this writer.
////\end{itemize}
//!
