#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLPRectilinearGridWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLPRectilinearGridWriter.h"

//@@Signature
//sfunction @vtkXMLPRectilinearGridWriter:vtkXMLPRectilinearGridWriter vtkXMLPRectilinearGridWriterConstructorFunction
//input a
//output p
//@@Parents vtkXMLPRectilinearGridWriter vtkXMLPStructuredDataWriter 
ArrayVector vtkXMLPRectilinearGridWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLPRectilinearGridWriter::New(),"vtkXMLPRectilinearGridWriter",eval);
  } else if (arg[0].className() == "vtkXMLPRectilinearGridWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLPRectilinearGridWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLPRectilinearGridWriter");
    vtkXMLPRectilinearGridWriter*q = reinterpret_cast<vtkXMLPRectilinearGridWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLPRectilinearGridWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLPRectilinearGridWriter:GetClassName vtkXMLPRectilinearGridWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLPRectilinearGridWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLPRectilinearGridWriter requires 1 argument(s)");
  vtkXMLPRectilinearGridWriter* vtk_pointer = GetVTKPointer<vtkXMLPRectilinearGridWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPRectilinearGridWriter:IsA vtkXMLPRectilinearGridWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPRectilinearGridWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLPRectilinearGridWriter requires 2 argument(s)");
  vtkXMLPRectilinearGridWriter* vtk_pointer = GetVTKPointer<vtkXMLPRectilinearGridWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPRectilinearGridWriter:NewInstance vtkXMLPRectilinearGridWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLPRectilinearGridWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPRectilinearGridWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLPRectilinearGridWriter requires 1 argument(s)");
  vtkXMLPRectilinearGridWriter* vtk_pointer = GetVTKPointer<vtkXMLPRectilinearGridWriter>(arg[0]);
  Array retval;
  vtkXMLPRectilinearGridWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPRectilinearGridWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPRectilinearGridWriter:SafeDownCast vtkXMLPRectilinearGridWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPRectilinearGridWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPRectilinearGridWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLPRectilinearGridWriter requires 2 argument(s)");
  vtkXMLPRectilinearGridWriter* vtk_pointer = GetVTKPointer<vtkXMLPRectilinearGridWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLPRectilinearGridWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPRectilinearGridWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPRectilinearGridWriter:GetDefaultFileExtension vtkXMLPRectilinearGridWriterGetDefaultFileExtensionFunction
//input a0 
//output y
ArrayVector vtkXMLPRectilinearGridWriterGetDefaultFileExtensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetDefaultFileExtension (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultFileExtension for class vtkXMLPRectilinearGridWriter requires 1 argument(s)");
  vtkXMLPRectilinearGridWriter* vtk_pointer = GetVTKPointer<vtkXMLPRectilinearGridWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDefaultFileExtension();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPRectilinearGridWriter:display vtkXMLPRectilinearGridWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLPRectilinearGridWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLPRectilinearGridWriter* vtk_pointer = GetVTKPointer<vtkXMLPRectilinearGridWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLPRectilinearGridWriter:delete vtkXMLPRectilinearGridWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLPRectilinearGridWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLPRectilinearGridWriter
//@@Section VTKIO
//@@Usage
// vtkXMLPRectilinearGridWriter writes the PVTK XML RectilinearGrid
// file format.  One rectilinear grid input can be written into a
// parallel file format with any number of pieces spread across files.
// The standard extension for this writer's file format is "pvtr".
// This writer uses vtkXMLRectilinearGridWriter to write the
// individual piece files.
//
//To create an instance of class vtkXMLPRectilinearGridWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLPRectilinearGridWriter
//@]
//@@Methods
//The class vtkXMLPRectilinearGridWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLPRectilinearGridWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLPRectilinearGridWriter = obj.NewInstance ()|
// \item @|vtkXMLPRectilinearGridWriter = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetDefaultFileExtension ()| -  Get the default file extension for files written by this writer.
////\end{itemize}
//!
