#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLPStructuredDataReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLPStructuredDataReader.h"

//@@Signature
//sfunction @vtkXMLPStructuredDataReader:vtkXMLPStructuredDataReader vtkXMLPStructuredDataReaderConstructorFunction
//input a
//output p
//@@Parents vtkXMLPStructuredDataReader vtkXMLPDataReader 
ArrayVector vtkXMLPStructuredDataReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLPStructuredDataReader::New(),"vtkXMLPStructuredDataReader",eval);
  } else if (arg[0].className() == "vtkXMLPStructuredDataReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLPStructuredDataReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLPStructuredDataReader");
    vtkXMLPStructuredDataReader*q = reinterpret_cast<vtkXMLPStructuredDataReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLPStructuredDataReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLPStructuredDataReader:GetClassName vtkXMLPStructuredDataReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLPStructuredDataReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLPStructuredDataReader requires 1 argument(s)");
  vtkXMLPStructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLPStructuredDataReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPStructuredDataReader:IsA vtkXMLPStructuredDataReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPStructuredDataReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLPStructuredDataReader requires 2 argument(s)");
  vtkXMLPStructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLPStructuredDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPStructuredDataReader:NewInstance vtkXMLPStructuredDataReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLPStructuredDataReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPStructuredDataReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLPStructuredDataReader requires 1 argument(s)");
  vtkXMLPStructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLPStructuredDataReader>(arg[0]);
  Array retval;
  vtkXMLPStructuredDataReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPStructuredDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPStructuredDataReader:SafeDownCast vtkXMLPStructuredDataReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPStructuredDataReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPStructuredDataReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLPStructuredDataReader requires 2 argument(s)");
  vtkXMLPStructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLPStructuredDataReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLPStructuredDataReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPStructuredDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPStructuredDataReader:GetExtentTranslator vtkXMLPStructuredDataReaderGetExtentTranslatorFunction
//input a0 
//output y
ArrayVector vtkXMLPStructuredDataReaderGetExtentTranslatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkExtentTranslator *GetExtentTranslator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtentTranslator for class vtkXMLPStructuredDataReader requires 1 argument(s)");
  vtkXMLPStructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLPStructuredDataReader>(arg[0]);
  Array retval;
  vtkExtentTranslator  *temp20;
  temp20 = (vtk_pointer)->GetExtentTranslator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtentTranslator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPStructuredDataReader:CopyOutputInformation vtkXMLPStructuredDataReaderCopyOutputInformationFunction
//input a0 a1 a2 
//output none
ArrayVector vtkXMLPStructuredDataReaderCopyOutputInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyOutputInformation (vtkInformation *outInfo, int port); */
  if (arg.size() < 3) 
    throw Exception("Function CopyOutputInformation for class vtkXMLPStructuredDataReader requires 3 argument(s)");
  vtkXMLPStructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLPStructuredDataReader>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->CopyOutputInformation(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPStructuredDataReader:display vtkXMLPStructuredDataReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLPStructuredDataReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLPStructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLPStructuredDataReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLPStructuredDataReader:delete vtkXMLPStructuredDataReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLPStructuredDataReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLPStructuredDataReader
//@@Section VTKIO
//@@Usage
// vtkXMLPStructuredDataReader provides functionality common to all
// parallel structured data format readers.
//
//To create an instance of class vtkXMLPStructuredDataReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLPStructuredDataReader
//@]
//@@Methods
//The class vtkXMLPStructuredDataReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLPStructuredDataReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLPStructuredDataReader = obj.NewInstance ()|
// \item @|vtkXMLPStructuredDataReader = obj.SafeDownCast (vtkObject o)|
// \item @|vtkExtentTranslator = obj.GetExtentTranslator ()| -  Get an extent translator that will create pieces matching the
// input file's piece breakdown.  This can be used further down the
// pipeline to prevent reading from outside this process's piece.
// The translator is only valid after an UpdateInformation has been
// called.
//// \item @|obj.CopyOutputInformation (vtkInformation outInfo, int port)|
//\end{itemize}
//!
