#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLPStructuredDataWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLPStructuredDataWriter.h"

//@@Signature
//sfunction @vtkXMLPStructuredDataWriter:vtkXMLPStructuredDataWriter vtkXMLPStructuredDataWriterConstructorFunction
//input a
//output p
//@@Parents vtkXMLPStructuredDataWriter vtkXMLPDataWriter 
ArrayVector vtkXMLPStructuredDataWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLPStructuredDataWriter::New(),"vtkXMLPStructuredDataWriter",eval);
  } else if (arg[0].className() == "vtkXMLPStructuredDataWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLPStructuredDataWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLPStructuredDataWriter");
    vtkXMLPStructuredDataWriter*q = reinterpret_cast<vtkXMLPStructuredDataWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLPStructuredDataWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLPStructuredDataWriter:GetClassName vtkXMLPStructuredDataWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLPStructuredDataWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLPStructuredDataWriter requires 1 argument(s)");
  vtkXMLPStructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPStructuredDataWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPStructuredDataWriter:IsA vtkXMLPStructuredDataWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPStructuredDataWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLPStructuredDataWriter requires 2 argument(s)");
  vtkXMLPStructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPStructuredDataWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPStructuredDataWriter:NewInstance vtkXMLPStructuredDataWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLPStructuredDataWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPStructuredDataWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLPStructuredDataWriter requires 1 argument(s)");
  vtkXMLPStructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPStructuredDataWriter>(arg[0]);
  Array retval;
  vtkXMLPStructuredDataWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPStructuredDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPStructuredDataWriter:SafeDownCast vtkXMLPStructuredDataWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPStructuredDataWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPStructuredDataWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLPStructuredDataWriter requires 2 argument(s)");
  vtkXMLPStructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPStructuredDataWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLPStructuredDataWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPStructuredDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPStructuredDataWriter:SetExtentTranslator vtkXMLPStructuredDataWriterSetExtentTranslatorFunction
//input a0 a1 
//output none
ArrayVector vtkXMLPStructuredDataWriterSetExtentTranslatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetExtentTranslator (vtkExtentTranslator *); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtentTranslator for class vtkXMLPStructuredDataWriter requires 2 argument(s)");
  vtkXMLPStructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPStructuredDataWriter>(arg[0]);
  Array retval;
  vtkExtentTranslator  *temp0;
  temp0 = GetVTKPointer<vtkExtentTranslator>(arg[1]);
  vtk_pointer->SetExtentTranslator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPStructuredDataWriter:GetExtentTranslator vtkXMLPStructuredDataWriterGetExtentTranslatorFunction
//input a0 
//output y
ArrayVector vtkXMLPStructuredDataWriterGetExtentTranslatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtentTranslator *GetExtentTranslator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtentTranslator for class vtkXMLPStructuredDataWriter requires 1 argument(s)");
  vtkXMLPStructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPStructuredDataWriter>(arg[0]);
  Array retval;
  vtkExtentTranslator  *temp20;
  temp20 = (vtk_pointer)->GetExtentTranslator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtentTranslator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPStructuredDataWriter:display vtkXMLPStructuredDataWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLPStructuredDataWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLPStructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPStructuredDataWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLPStructuredDataWriter:delete vtkXMLPStructuredDataWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLPStructuredDataWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLPStructuredDataWriter
//@@Section VTKIO
//@@Usage
// vtkXMLPStructuredDataWriter provides PVTK XML writing functionality
// that is common among all the parallel structured data formats.
//
//To create an instance of class vtkXMLPStructuredDataWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLPStructuredDataWriter
//@]
//@@Methods
//The class vtkXMLPStructuredDataWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLPStructuredDataWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLPStructuredDataWriter = obj.NewInstance ()|
// \item @|vtkXMLPStructuredDataWriter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetExtentTranslator (vtkExtentTranslator )| -  Get/Set the extent translator used for creating pieces.
//// \item @|vtkExtentTranslator = obj.GetExtentTranslator ()| -  Get/Set the extent translator used for creating pieces.
////\end{itemize}
//!
