#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLPStructuredGridReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLPStructuredGridReader.h"

//@@Signature
//sfunction @vtkXMLPStructuredGridReader:vtkXMLPStructuredGridReader vtkXMLPStructuredGridReaderConstructorFunction
//input a
//output p
//@@Parents vtkXMLPStructuredGridReader vtkXMLPStructuredDataReader 
ArrayVector vtkXMLPStructuredGridReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLPStructuredGridReader::New(),"vtkXMLPStructuredGridReader",eval);
  } else if (arg[0].className() == "vtkXMLPStructuredGridReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLPStructuredGridReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLPStructuredGridReader");
    vtkXMLPStructuredGridReader*q = reinterpret_cast<vtkXMLPStructuredGridReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLPStructuredGridReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLPStructuredGridReader:GetClassName vtkXMLPStructuredGridReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLPStructuredGridReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLPStructuredGridReader requires 1 argument(s)");
  vtkXMLPStructuredGridReader* vtk_pointer = GetVTKPointer<vtkXMLPStructuredGridReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPStructuredGridReader:IsA vtkXMLPStructuredGridReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPStructuredGridReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLPStructuredGridReader requires 2 argument(s)");
  vtkXMLPStructuredGridReader* vtk_pointer = GetVTKPointer<vtkXMLPStructuredGridReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPStructuredGridReader:NewInstance vtkXMLPStructuredGridReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLPStructuredGridReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPStructuredGridReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLPStructuredGridReader requires 1 argument(s)");
  vtkXMLPStructuredGridReader* vtk_pointer = GetVTKPointer<vtkXMLPStructuredGridReader>(arg[0]);
  Array retval;
  vtkXMLPStructuredGridReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPStructuredGridReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPStructuredGridReader:SafeDownCast vtkXMLPStructuredGridReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPStructuredGridReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPStructuredGridReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLPStructuredGridReader requires 2 argument(s)");
  vtkXMLPStructuredGridReader* vtk_pointer = GetVTKPointer<vtkXMLPStructuredGridReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLPStructuredGridReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPStructuredGridReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPStructuredGridReader:GetOutput__1 vtkXMLPStructuredGridReaderGetOutput__1Function
//input a0 
//output y
ArrayVector vtkXMLPStructuredGridReaderGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGrid *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkXMLPStructuredGridReader requires 1 argument(s)");
  vtkXMLPStructuredGridReader* vtk_pointer = GetVTKPointer<vtkXMLPStructuredGridReader>(arg[0]);
  Array retval;
  vtkStructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPStructuredGridReader:GetOutput__2 vtkXMLPStructuredGridReaderGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkXMLPStructuredGridReaderGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGrid *GetOutput (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkXMLPStructuredGridReader requires 2 argument(s)");
  vtkXMLPStructuredGridReader* vtk_pointer = GetVTKPointer<vtkXMLPStructuredGridReader>(arg[0]);
  Array retval;
  int      temp0;
  vtkStructuredGrid  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPStructuredGridReader:GetOutput vtkXMLPStructuredGridReaderGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkXMLPStructuredGridReaderGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkXMLPStructuredGridReaderGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkXMLPStructuredGridReaderGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXMLPStructuredGridReaderGetOutput");
}

//@@Signature
//sfunction @vtkXMLPStructuredGridReader:display vtkXMLPStructuredGridReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLPStructuredGridReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLPStructuredGridReader* vtk_pointer = GetVTKPointer<vtkXMLPStructuredGridReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLPStructuredGridReader:delete vtkXMLPStructuredGridReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLPStructuredGridReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLPStructuredGridReader
//@@Section VTKIO
//@@Usage
// vtkXMLPStructuredGridReader reads the PVTK XML StructuredGrid file
// format.  This reads the parallel format's summary file and then
// uses vtkXMLStructuredGridReader to read data from the individual
// StructuredGrid piece files.  Streaming is supported.  The standard
// extension for this reader's file format is "pvts".
//
//To create an instance of class vtkXMLPStructuredGridReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLPStructuredGridReader
//@]
//@@Methods
//The class vtkXMLPStructuredGridReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLPStructuredGridReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLPStructuredGridReader = obj.NewInstance ()|
// \item @|vtkXMLPStructuredGridReader = obj.SafeDownCast (vtkObject o)|
// \item @|vtkStructuredGrid = obj.GetOutput ()| -  Get the reader's output.
//// \item @|vtkStructuredGrid = obj.GetOutput (int idx)| -  Needed for ParaView
////\end{itemize}
//!
