#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLPStructuredGridWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLPStructuredGridWriter.h"

//@@Signature
//sfunction @vtkXMLPStructuredGridWriter:vtkXMLPStructuredGridWriter vtkXMLPStructuredGridWriterConstructorFunction
//input a
//output p
//@@Parents vtkXMLPStructuredGridWriter vtkXMLPStructuredDataWriter 
ArrayVector vtkXMLPStructuredGridWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLPStructuredGridWriter::New(),"vtkXMLPStructuredGridWriter",eval);
  } else if (arg[0].className() == "vtkXMLPStructuredGridWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLPStructuredGridWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLPStructuredGridWriter");
    vtkXMLPStructuredGridWriter*q = reinterpret_cast<vtkXMLPStructuredGridWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLPStructuredGridWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLPStructuredGridWriter:GetClassName vtkXMLPStructuredGridWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLPStructuredGridWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLPStructuredGridWriter requires 1 argument(s)");
  vtkXMLPStructuredGridWriter* vtk_pointer = GetVTKPointer<vtkXMLPStructuredGridWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPStructuredGridWriter:IsA vtkXMLPStructuredGridWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPStructuredGridWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLPStructuredGridWriter requires 2 argument(s)");
  vtkXMLPStructuredGridWriter* vtk_pointer = GetVTKPointer<vtkXMLPStructuredGridWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPStructuredGridWriter:NewInstance vtkXMLPStructuredGridWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLPStructuredGridWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPStructuredGridWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLPStructuredGridWriter requires 1 argument(s)");
  vtkXMLPStructuredGridWriter* vtk_pointer = GetVTKPointer<vtkXMLPStructuredGridWriter>(arg[0]);
  Array retval;
  vtkXMLPStructuredGridWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPStructuredGridWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPStructuredGridWriter:SafeDownCast vtkXMLPStructuredGridWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPStructuredGridWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPStructuredGridWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLPStructuredGridWriter requires 2 argument(s)");
  vtkXMLPStructuredGridWriter* vtk_pointer = GetVTKPointer<vtkXMLPStructuredGridWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLPStructuredGridWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPStructuredGridWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPStructuredGridWriter:display vtkXMLPStructuredGridWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLPStructuredGridWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLPStructuredGridWriter* vtk_pointer = GetVTKPointer<vtkXMLPStructuredGridWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLPStructuredGridWriter:delete vtkXMLPStructuredGridWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLPStructuredGridWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLPStructuredGridWriter
//@@Section VTKIO
//@@Usage
// vtkXMLPStructuredGridWriter writes the PVTK XML StructuredGrid
// file format.  One structured grid input can be written into a
// parallel file format with any number of pieces spread across files.
// The standard extension for this writer's file format is "pvts".
// This writer uses vtkXMLStructuredGridWriter to write the individual
// piece files.
//
//To create an instance of class vtkXMLPStructuredGridWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLPStructuredGridWriter
//@]
//@@Methods
//The class vtkXMLPStructuredGridWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLPStructuredGridWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLPStructuredGridWriter = obj.NewInstance ()|
// \item @|vtkXMLPStructuredGridWriter = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
