#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLPUnstructuredDataReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLPUnstructuredDataReader.h"

//@@Signature
//sfunction @vtkXMLPUnstructuredDataReader:vtkXMLPUnstructuredDataReader vtkXMLPUnstructuredDataReaderConstructorFunction
//input a
//output p
//@@Parents vtkXMLPUnstructuredDataReader vtkXMLPDataReader 
ArrayVector vtkXMLPUnstructuredDataReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLPUnstructuredDataReader::New(),"vtkXMLPUnstructuredDataReader",eval);
  } else if (arg[0].className() == "vtkXMLPUnstructuredDataReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLPUnstructuredDataReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLPUnstructuredDataReader");
    vtkXMLPUnstructuredDataReader*q = reinterpret_cast<vtkXMLPUnstructuredDataReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLPUnstructuredDataReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLPUnstructuredDataReader:GetClassName vtkXMLPUnstructuredDataReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLPUnstructuredDataReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLPUnstructuredDataReader requires 1 argument(s)");
  vtkXMLPUnstructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLPUnstructuredDataReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPUnstructuredDataReader:IsA vtkXMLPUnstructuredDataReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPUnstructuredDataReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLPUnstructuredDataReader requires 2 argument(s)");
  vtkXMLPUnstructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLPUnstructuredDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPUnstructuredDataReader:NewInstance vtkXMLPUnstructuredDataReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLPUnstructuredDataReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPUnstructuredDataReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLPUnstructuredDataReader requires 1 argument(s)");
  vtkXMLPUnstructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLPUnstructuredDataReader>(arg[0]);
  Array retval;
  vtkXMLPUnstructuredDataReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPUnstructuredDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPUnstructuredDataReader:SafeDownCast vtkXMLPUnstructuredDataReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPUnstructuredDataReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPUnstructuredDataReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLPUnstructuredDataReader requires 2 argument(s)");
  vtkXMLPUnstructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLPUnstructuredDataReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLPUnstructuredDataReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPUnstructuredDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPUnstructuredDataReader:CopyOutputInformation vtkXMLPUnstructuredDataReaderCopyOutputInformationFunction
//input a0 a1 a2 
//output none
ArrayVector vtkXMLPUnstructuredDataReaderCopyOutputInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyOutputInformation (vtkInformation *outInfo, int port); */
  if (arg.size() < 3) 
    throw Exception("Function CopyOutputInformation for class vtkXMLPUnstructuredDataReader requires 3 argument(s)");
  vtkXMLPUnstructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLPUnstructuredDataReader>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->CopyOutputInformation(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPUnstructuredDataReader:display vtkXMLPUnstructuredDataReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLPUnstructuredDataReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLPUnstructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLPUnstructuredDataReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLPUnstructuredDataReader:delete vtkXMLPUnstructuredDataReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLPUnstructuredDataReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLPUnstructuredDataReader
//@@Section VTKIO
//@@Usage
// vtkXMLPUnstructuredDataReader provides functionality common to all
// parallel unstructured data format readers.
//
//To create an instance of class vtkXMLPUnstructuredDataReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLPUnstructuredDataReader
//@]
//@@Methods
//The class vtkXMLPUnstructuredDataReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLPUnstructuredDataReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLPUnstructuredDataReader = obj.NewInstance ()|
// \item @|vtkXMLPUnstructuredDataReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.CopyOutputInformation (vtkInformation outInfo, int port)|
//\end{itemize}
//!
