#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLPUnstructuredDataWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLPUnstructuredDataWriter.h"

//@@Signature
//sfunction @vtkXMLPUnstructuredDataWriter:vtkXMLPUnstructuredDataWriter vtkXMLPUnstructuredDataWriterConstructorFunction
//input a
//output p
//@@Parents vtkXMLPUnstructuredDataWriter vtkXMLPDataWriter 
ArrayVector vtkXMLPUnstructuredDataWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLPUnstructuredDataWriter::New(),"vtkXMLPUnstructuredDataWriter",eval);
  } else if (arg[0].className() == "vtkXMLPUnstructuredDataWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLPUnstructuredDataWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLPUnstructuredDataWriter");
    vtkXMLPUnstructuredDataWriter*q = reinterpret_cast<vtkXMLPUnstructuredDataWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLPUnstructuredDataWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLPUnstructuredDataWriter:GetClassName vtkXMLPUnstructuredDataWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLPUnstructuredDataWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLPUnstructuredDataWriter requires 1 argument(s)");
  vtkXMLPUnstructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPUnstructuredDataWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPUnstructuredDataWriter:IsA vtkXMLPUnstructuredDataWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPUnstructuredDataWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLPUnstructuredDataWriter requires 2 argument(s)");
  vtkXMLPUnstructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPUnstructuredDataWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPUnstructuredDataWriter:NewInstance vtkXMLPUnstructuredDataWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLPUnstructuredDataWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPUnstructuredDataWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLPUnstructuredDataWriter requires 1 argument(s)");
  vtkXMLPUnstructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPUnstructuredDataWriter>(arg[0]);
  Array retval;
  vtkXMLPUnstructuredDataWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPUnstructuredDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPUnstructuredDataWriter:SafeDownCast vtkXMLPUnstructuredDataWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPUnstructuredDataWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPUnstructuredDataWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLPUnstructuredDataWriter requires 2 argument(s)");
  vtkXMLPUnstructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPUnstructuredDataWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLPUnstructuredDataWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPUnstructuredDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPUnstructuredDataWriter:display vtkXMLPUnstructuredDataWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLPUnstructuredDataWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLPUnstructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPUnstructuredDataWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLPUnstructuredDataWriter:delete vtkXMLPUnstructuredDataWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLPUnstructuredDataWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLPUnstructuredDataWriter
//@@Section VTKIO
//@@Usage
// vtkXMLPUnstructuredDataWriter provides PVTK XML writing
// functionality that is common among all the parallel unstructured
// data formats.
//
//To create an instance of class vtkXMLPUnstructuredDataWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLPUnstructuredDataWriter
//@]
//@@Methods
//The class vtkXMLPUnstructuredDataWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLPUnstructuredDataWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLPUnstructuredDataWriter = obj.NewInstance ()|
// \item @|vtkXMLPUnstructuredDataWriter = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
