#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLPUnstructuredGridReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLPUnstructuredGridReader.h"

//@@Signature
//sfunction @vtkXMLPUnstructuredGridReader:vtkXMLPUnstructuredGridReader vtkXMLPUnstructuredGridReaderConstructorFunction
//input a
//output p
//@@Parents vtkXMLPUnstructuredGridReader vtkXMLPUnstructuredDataReader 
ArrayVector vtkXMLPUnstructuredGridReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLPUnstructuredGridReader::New(),"vtkXMLPUnstructuredGridReader",eval);
  } else if (arg[0].className() == "vtkXMLPUnstructuredGridReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLPUnstructuredGridReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLPUnstructuredGridReader");
    vtkXMLPUnstructuredGridReader*q = reinterpret_cast<vtkXMLPUnstructuredGridReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLPUnstructuredGridReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLPUnstructuredGridReader:GetClassName vtkXMLPUnstructuredGridReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLPUnstructuredGridReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLPUnstructuredGridReader requires 1 argument(s)");
  vtkXMLPUnstructuredGridReader* vtk_pointer = GetVTKPointer<vtkXMLPUnstructuredGridReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPUnstructuredGridReader:IsA vtkXMLPUnstructuredGridReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPUnstructuredGridReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLPUnstructuredGridReader requires 2 argument(s)");
  vtkXMLPUnstructuredGridReader* vtk_pointer = GetVTKPointer<vtkXMLPUnstructuredGridReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPUnstructuredGridReader:NewInstance vtkXMLPUnstructuredGridReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLPUnstructuredGridReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPUnstructuredGridReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLPUnstructuredGridReader requires 1 argument(s)");
  vtkXMLPUnstructuredGridReader* vtk_pointer = GetVTKPointer<vtkXMLPUnstructuredGridReader>(arg[0]);
  Array retval;
  vtkXMLPUnstructuredGridReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPUnstructuredGridReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPUnstructuredGridReader:SafeDownCast vtkXMLPUnstructuredGridReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPUnstructuredGridReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPUnstructuredGridReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLPUnstructuredGridReader requires 2 argument(s)");
  vtkXMLPUnstructuredGridReader* vtk_pointer = GetVTKPointer<vtkXMLPUnstructuredGridReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLPUnstructuredGridReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPUnstructuredGridReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPUnstructuredGridReader:GetOutput__1 vtkXMLPUnstructuredGridReaderGetOutput__1Function
//input a0 
//output y
ArrayVector vtkXMLPUnstructuredGridReaderGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkXMLPUnstructuredGridReader requires 1 argument(s)");
  vtkXMLPUnstructuredGridReader* vtk_pointer = GetVTKPointer<vtkXMLPUnstructuredGridReader>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPUnstructuredGridReader:GetOutput__2 vtkXMLPUnstructuredGridReaderGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkXMLPUnstructuredGridReaderGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetOutput (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkXMLPUnstructuredGridReader requires 2 argument(s)");
  vtkXMLPUnstructuredGridReader* vtk_pointer = GetVTKPointer<vtkXMLPUnstructuredGridReader>(arg[0]);
  Array retval;
  int      temp0;
  vtkUnstructuredGrid  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPUnstructuredGridReader:GetOutput vtkXMLPUnstructuredGridReaderGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkXMLPUnstructuredGridReaderGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkXMLPUnstructuredGridReaderGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkXMLPUnstructuredGridReaderGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXMLPUnstructuredGridReaderGetOutput");
}

//@@Signature
//sfunction @vtkXMLPUnstructuredGridReader:display vtkXMLPUnstructuredGridReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLPUnstructuredGridReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLPUnstructuredGridReader* vtk_pointer = GetVTKPointer<vtkXMLPUnstructuredGridReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLPUnstructuredGridReader:delete vtkXMLPUnstructuredGridReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLPUnstructuredGridReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLPUnstructuredGridReader
//@@Section VTKIO
//@@Usage
// vtkXMLPUnstructuredGridReader reads the PVTK XML UnstructuredGrid
// file format.  This reads the parallel format's summary file and
// then uses vtkXMLUnstructuredGridReader to read data from the
// individual UnstructuredGrid piece files.  Streaming is supported.
// The standard extension for this reader's file format is "pvtu".
//
//To create an instance of class vtkXMLPUnstructuredGridReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLPUnstructuredGridReader
//@]
//@@Methods
//The class vtkXMLPUnstructuredGridReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLPUnstructuredGridReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLPUnstructuredGridReader = obj.NewInstance ()|
// \item @|vtkXMLPUnstructuredGridReader = obj.SafeDownCast (vtkObject o)|
// \item @|vtkUnstructuredGrid = obj.GetOutput ()| -  Get the reader's output.
//// \item @|vtkUnstructuredGrid = obj.GetOutput (int idx)| -  Get the reader's output.
////\end{itemize}
//!
