#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLPUnstructuredGridWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLPUnstructuredGridWriter.h"

//@@Signature
//sfunction @vtkXMLPUnstructuredGridWriter:vtkXMLPUnstructuredGridWriter vtkXMLPUnstructuredGridWriterConstructorFunction
//input a
//output p
//@@Parents vtkXMLPUnstructuredGridWriter vtkXMLPUnstructuredDataWriter 
ArrayVector vtkXMLPUnstructuredGridWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLPUnstructuredGridWriter::New(),"vtkXMLPUnstructuredGridWriter",eval);
  } else if (arg[0].className() == "vtkXMLPUnstructuredGridWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLPUnstructuredGridWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLPUnstructuredGridWriter");
    vtkXMLPUnstructuredGridWriter*q = reinterpret_cast<vtkXMLPUnstructuredGridWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLPUnstructuredGridWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLPUnstructuredGridWriter:GetClassName vtkXMLPUnstructuredGridWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLPUnstructuredGridWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLPUnstructuredGridWriter requires 1 argument(s)");
  vtkXMLPUnstructuredGridWriter* vtk_pointer = GetVTKPointer<vtkXMLPUnstructuredGridWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPUnstructuredGridWriter:IsA vtkXMLPUnstructuredGridWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPUnstructuredGridWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLPUnstructuredGridWriter requires 2 argument(s)");
  vtkXMLPUnstructuredGridWriter* vtk_pointer = GetVTKPointer<vtkXMLPUnstructuredGridWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPUnstructuredGridWriter:NewInstance vtkXMLPUnstructuredGridWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLPUnstructuredGridWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPUnstructuredGridWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLPUnstructuredGridWriter requires 1 argument(s)");
  vtkXMLPUnstructuredGridWriter* vtk_pointer = GetVTKPointer<vtkXMLPUnstructuredGridWriter>(arg[0]);
  Array retval;
  vtkXMLPUnstructuredGridWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPUnstructuredGridWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPUnstructuredGridWriter:SafeDownCast vtkXMLPUnstructuredGridWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPUnstructuredGridWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPUnstructuredGridWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLPUnstructuredGridWriter requires 2 argument(s)");
  vtkXMLPUnstructuredGridWriter* vtk_pointer = GetVTKPointer<vtkXMLPUnstructuredGridWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLPUnstructuredGridWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPUnstructuredGridWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPUnstructuredGridWriter:GetDefaultFileExtension vtkXMLPUnstructuredGridWriterGetDefaultFileExtensionFunction
//input a0 
//output y
ArrayVector vtkXMLPUnstructuredGridWriterGetDefaultFileExtensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetDefaultFileExtension (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultFileExtension for class vtkXMLPUnstructuredGridWriter requires 1 argument(s)");
  vtkXMLPUnstructuredGridWriter* vtk_pointer = GetVTKPointer<vtkXMLPUnstructuredGridWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDefaultFileExtension();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPUnstructuredGridWriter:display vtkXMLPUnstructuredGridWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLPUnstructuredGridWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLPUnstructuredGridWriter* vtk_pointer = GetVTKPointer<vtkXMLPUnstructuredGridWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLPUnstructuredGridWriter:delete vtkXMLPUnstructuredGridWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLPUnstructuredGridWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLPUnstructuredGridWriter
//@@Section VTKIO
//@@Usage
// vtkXMLPUnstructuredGridWriter writes the PVTK XML UnstructuredGrid
// file format.  One unstructured grid input can be written into a
// parallel file format with any number of pieces spread across files.
// The standard extension for this writer's file format is "pvtu".
// This writer uses vtkXMLUnstructuredGridWriter to write the
// individual piece files.
//
//To create an instance of class vtkXMLPUnstructuredGridWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLPUnstructuredGridWriter
//@]
//@@Methods
//The class vtkXMLPUnstructuredGridWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLPUnstructuredGridWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLPUnstructuredGridWriter = obj.NewInstance ()|
// \item @|vtkXMLPUnstructuredGridWriter = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetDefaultFileExtension ()| -  Get the default file extension for files written by this writer.
////\end{itemize}
//!
