#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLParser object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLParser.h"

//@@Signature
//sfunction @vtkXMLParser:vtkXMLParser vtkXMLParserConstructorFunction
//input a
//output p
//@@Parents vtkXMLParser vtkObject 
ArrayVector vtkXMLParserConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLParser::New(),"vtkXMLParser",eval);
  } else if (arg[0].className() == "vtkXMLParser") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLParser"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLParser");
    vtkXMLParser*q = reinterpret_cast<vtkXMLParser*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLParser");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLParser:GetClassName vtkXMLParserGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLParserGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLParser requires 1 argument(s)");
  vtkXMLParser* vtk_pointer = GetVTKPointer<vtkXMLParser>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLParser:IsA vtkXMLParserIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLParserIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLParser requires 2 argument(s)");
  vtkXMLParser* vtk_pointer = GetVTKPointer<vtkXMLParser>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLParser:NewInstance vtkXMLParserNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLParserNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLParser *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLParser requires 1 argument(s)");
  vtkXMLParser* vtk_pointer = GetVTKPointer<vtkXMLParser>(arg[0]);
  Array retval;
  vtkXMLParser  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLParser",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLParser:SafeDownCast vtkXMLParserSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLParserSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLParser *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLParser requires 2 argument(s)");
  vtkXMLParser* vtk_pointer = GetVTKPointer<vtkXMLParser>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLParser  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLParser",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLParser:TellG vtkXMLParserTellGFunction
//input a0 
//output y
ArrayVector vtkXMLParserTellGFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature long TellG (); */
  if (arg.size() < 1) 
    throw Exception("Function TellG for class vtkXMLParser requires 1 argument(s)");
  vtkXMLParser* vtk_pointer = GetVTKPointer<vtkXMLParser>(arg[0]);
  Array retval;
  long     temp20;
  temp20 = (vtk_pointer)->TellG();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLParser:SeekG vtkXMLParserSeekGFunction
//input a0 a1 
//output none
ArrayVector vtkXMLParserSeekGFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SeekG (long position); */
  if (arg.size() < 2) 
    throw Exception("Function SeekG for class vtkXMLParser requires 2 argument(s)");
  vtkXMLParser* vtk_pointer = GetVTKPointer<vtkXMLParser>(arg[0]);
  Array retval;
  long     temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SeekG(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLParser:Parse__1 vtkXMLParserParse__1Function
//input a0 
//output y
ArrayVector vtkXMLParserParse__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Parse (); */
  if (arg.size() < 1) 
    throw Exception("Function Parse__1 for class vtkXMLParser requires 1 argument(s)");
  vtkXMLParser* vtk_pointer = GetVTKPointer<vtkXMLParser>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->Parse();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLParser:Parse__2 vtkXMLParserParse__2Function
//input a0 a1 
//output y
ArrayVector vtkXMLParserParse__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Parse (const char *inputString); */
  if (arg.size() < 2) 
    throw Exception("Function Parse__2 for class vtkXMLParser requires 2 argument(s)");
  vtkXMLParser* vtk_pointer = GetVTKPointer<vtkXMLParser>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->Parse(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLParser:Parse__3 vtkXMLParserParse__3Function
//input a0 a1 a2 
//output y
ArrayVector vtkXMLParserParse__3Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int Parse (const char *inputString, unsigned int length); */
  if (arg.size() < 3) 
    throw Exception("Function Parse__3 for class vtkXMLParser requires 3 argument(s)");
  vtkXMLParser* vtk_pointer = GetVTKPointer<vtkXMLParser>(arg[0]);
  Array retval;
  char    *temp0;
  unsigned int      temp1;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned int) arg[2].asDouble();
  temp20 = (vtk_pointer)->Parse(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLParser:InitializeParser vtkXMLParserInitializeParserFunction
//input a0 
//output y
ArrayVector vtkXMLParserInitializeParserFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int InitializeParser (); */
  if (arg.size() < 1) 
    throw Exception("Function InitializeParser for class vtkXMLParser requires 1 argument(s)");
  vtkXMLParser* vtk_pointer = GetVTKPointer<vtkXMLParser>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->InitializeParser();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLParser:ParseChunk vtkXMLParserParseChunkFunction
//input a0 a1 a2 
//output y
ArrayVector vtkXMLParserParseChunkFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int ParseChunk (const char *inputString, unsigned int length); */
  if (arg.size() < 3) 
    throw Exception("Function ParseChunk for class vtkXMLParser requires 3 argument(s)");
  vtkXMLParser* vtk_pointer = GetVTKPointer<vtkXMLParser>(arg[0]);
  Array retval;
  char    *temp0;
  unsigned int      temp1;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (unsigned int) arg[2].asDouble();
  temp20 = (vtk_pointer)->ParseChunk(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLParser:CleanupParser vtkXMLParserCleanupParserFunction
//input a0 
//output y
ArrayVector vtkXMLParserCleanupParserFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int CleanupParser (); */
  if (arg.size() < 1) 
    throw Exception("Function CleanupParser for class vtkXMLParser requires 1 argument(s)");
  vtkXMLParser* vtk_pointer = GetVTKPointer<vtkXMLParser>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->CleanupParser();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLParser:SetFileName vtkXMLParserSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkXMLParserSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkXMLParser requires 2 argument(s)");
  vtkXMLParser* vtk_pointer = GetVTKPointer<vtkXMLParser>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLParser:GetFileName vtkXMLParserGetFileNameFunction
//input a0 
//output y
ArrayVector vtkXMLParserGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkXMLParser requires 1 argument(s)");
  vtkXMLParser* vtk_pointer = GetVTKPointer<vtkXMLParser>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLParser:SetIgnoreCharacterData vtkXMLParserSetIgnoreCharacterDataFunction
//input a0 a1 
//output none
ArrayVector vtkXMLParserSetIgnoreCharacterDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIgnoreCharacterData (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIgnoreCharacterData for class vtkXMLParser requires 2 argument(s)");
  vtkXMLParser* vtk_pointer = GetVTKPointer<vtkXMLParser>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIgnoreCharacterData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLParser:GetIgnoreCharacterData vtkXMLParserGetIgnoreCharacterDataFunction
//input a0 
//output y
ArrayVector vtkXMLParserGetIgnoreCharacterDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIgnoreCharacterData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIgnoreCharacterData for class vtkXMLParser requires 1 argument(s)");
  vtkXMLParser* vtk_pointer = GetVTKPointer<vtkXMLParser>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIgnoreCharacterData();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLParser:SetEncoding vtkXMLParserSetEncodingFunction
//input a0 a1 
//output none
ArrayVector vtkXMLParserSetEncodingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEncoding (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetEncoding for class vtkXMLParser requires 2 argument(s)");
  vtkXMLParser* vtk_pointer = GetVTKPointer<vtkXMLParser>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetEncoding(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLParser:GetEncoding vtkXMLParserGetEncodingFunction
//input a0 
//output y
ArrayVector vtkXMLParserGetEncodingFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetEncoding (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEncoding for class vtkXMLParser requires 1 argument(s)");
  vtkXMLParser* vtk_pointer = GetVTKPointer<vtkXMLParser>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetEncoding();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLParser:Parse vtkXMLParserParseFunction
//input varargin
//output varargout
ArrayVector vtkXMLParserParseFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkXMLParserParse__1Function(nargout,arg,eval);
  if ((arg.size() == 2))
    return vtkXMLParserParse__2Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[2]))
    return vtkXMLParserParse__3Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXMLParserParse");
}

//@@Signature
//sfunction @vtkXMLParser:ParseBuffer vtkXMLParserParseBufferFunction
//input varargin
//output varargout
ArrayVector vtkXMLParserParseBufferFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkXMLParserParseBuffer");
}

//@@Signature
//sfunction @vtkXMLParser:display vtkXMLParserDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLParserDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLParser* vtk_pointer = GetVTKPointer<vtkXMLParser>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLParser:delete vtkXMLParserDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLParserDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLParser
//@@Section VTKIO
//@@Usage
// vtkXMLParser reads a stream and parses XML element tags and corresponding
// attributes.  Each element begin tag and its attributes are sent to
// the StartElement method.  Each element end tag is sent to the
// EndElement method.  Subclasses should replace these methods to actually
// use the tags.
// .SECTION ToDo: Add commands for parsing in Tcl.
//
//To create an instance of class vtkXMLParser, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLParser
//@]
//@@Methods
//The class vtkXMLParser has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLParser class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLParser = obj.NewInstance ()|
// \item @|vtkXMLParser = obj.SafeDownCast (vtkObject o)|
// \item @|long = obj.TellG ()| -  Used by subclasses and their supporting classes.  These methods
// wrap around the tellg and seekg methods of the input stream to
// work-around stream bugs on various platforms.
//// \item @|obj.SeekG (long position)| -  Used by subclasses and their supporting classes.  These methods
// wrap around the tellg and seekg methods of the input stream to
// work-around stream bugs on various platforms.
//// \item @|int = obj.Parse ()| -  Parse the XML input.
//// \item @|int = obj.Parse (string inputString)| -  Parse the XML message. If length is specified, parse only the
// first "length" characters
//// \item @|int = obj.Parse (string inputString, int length)| -  Parse the XML message. If length is specified, parse only the
// first "length" characters
//// \item @|int = obj.InitializeParser ()| -  When parsing fragments of XML or streaming XML, use the following
// three methods.  InitializeParser method initialize parser but
// does not perform any actual parsing.  ParseChunk parses framgent
// of XML. This has to match to what was already
// parsed. CleanupParser finishes parsing. If there were errors,
// CleanupParser will report them.
//// \item @|int = obj.ParseChunk (string inputString, int length)| -  When parsing fragments of XML or streaming XML, use the following
// three methods.  InitializeParser method initialize parser but
// does not perform any actual parsing.  ParseChunk parses framgent
// of XML. This has to match to what was already
// parsed. CleanupParser finishes parsing. If there were errors,
// CleanupParser will report them.
//// \item @|int = obj.CleanupParser ()| -  When parsing fragments of XML or streaming XML, use the following
// three methods.  InitializeParser method initialize parser but
// does not perform any actual parsing.  ParseChunk parses framgent
// of XML. This has to match to what was already
// parsed. CleanupParser finishes parsing. If there were errors,
// CleanupParser will report them.
//// \item @|obj.SetFileName (string )| -  Set and get file name.
//// \item @|string = obj.GetFileName ()| -  Set and get file name.
//// \item @|obj.SetIgnoreCharacterData (int )| -  If this is off (the default), CharacterDataHandler will be called to 
// process text within XML Elements. If this is on, the text will be 
// ignored.
//// \item @|int = obj.GetIgnoreCharacterData ()| -  If this is off (the default), CharacterDataHandler will be called to 
// process text within XML Elements. If this is on, the text will be 
// ignored.
//// \item @|obj.SetEncoding (string )| -  Set and get the encoding the parser should expect (NULL defaults to
// Expat's own default encoder, i.e UTF-8).
// This should be set before parsing (i.e. a call to Parse()) or
// even initializing the parser (i.e. a call to InitializeParser())
//// \item @|string = obj.GetEncoding ()| -  Set and get the encoding the parser should expect (NULL defaults to
// Expat's own default encoder, i.e UTF-8).
// This should be set before parsing (i.e. a call to Parse()) or
// even initializing the parser (i.e. a call to InitializeParser())
////\end{itemize}
//!
