#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLPolyDataReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLPolyDataReader.h"

//@@Signature
//sfunction @vtkXMLPolyDataReader:vtkXMLPolyDataReader vtkXMLPolyDataReaderConstructorFunction
//input a
//output p
//@@Parents vtkXMLPolyDataReader vtkXMLUnstructuredDataReader 
ArrayVector vtkXMLPolyDataReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLPolyDataReader::New(),"vtkXMLPolyDataReader",eval);
  } else if (arg[0].className() == "vtkXMLPolyDataReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLPolyDataReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLPolyDataReader");
    vtkXMLPolyDataReader*q = reinterpret_cast<vtkXMLPolyDataReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLPolyDataReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLPolyDataReader:GetClassName vtkXMLPolyDataReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLPolyDataReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLPolyDataReader requires 1 argument(s)");
  vtkXMLPolyDataReader* vtk_pointer = GetVTKPointer<vtkXMLPolyDataReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPolyDataReader:IsA vtkXMLPolyDataReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPolyDataReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLPolyDataReader requires 2 argument(s)");
  vtkXMLPolyDataReader* vtk_pointer = GetVTKPointer<vtkXMLPolyDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPolyDataReader:NewInstance vtkXMLPolyDataReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLPolyDataReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPolyDataReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLPolyDataReader requires 1 argument(s)");
  vtkXMLPolyDataReader* vtk_pointer = GetVTKPointer<vtkXMLPolyDataReader>(arg[0]);
  Array retval;
  vtkXMLPolyDataReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPolyDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPolyDataReader:SafeDownCast vtkXMLPolyDataReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPolyDataReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPolyDataReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLPolyDataReader requires 2 argument(s)");
  vtkXMLPolyDataReader* vtk_pointer = GetVTKPointer<vtkXMLPolyDataReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLPolyDataReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPolyDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPolyDataReader:GetOutput__1 vtkXMLPolyDataReaderGetOutput__1Function
//input a0 
//output y
ArrayVector vtkXMLPolyDataReaderGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkXMLPolyDataReader requires 1 argument(s)");
  vtkXMLPolyDataReader* vtk_pointer = GetVTKPointer<vtkXMLPolyDataReader>(arg[0]);
  Array retval;
  vtkPolyData  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPolyDataReader:GetOutput__2 vtkXMLPolyDataReaderGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkXMLPolyDataReaderGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkPolyData *GetOutput (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkXMLPolyDataReader requires 2 argument(s)");
  vtkXMLPolyDataReader* vtk_pointer = GetVTKPointer<vtkXMLPolyDataReader>(arg[0]);
  Array retval;
  int      temp0;
  vtkPolyData  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPolyDataReader:GetNumberOfVerts vtkXMLPolyDataReaderGetNumberOfVertsFunction
//input a0 
//output y
ArrayVector vtkXMLPolyDataReaderGetNumberOfVertsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetNumberOfVerts (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfVerts for class vtkXMLPolyDataReader requires 1 argument(s)");
  vtkXMLPolyDataReader* vtk_pointer = GetVTKPointer<vtkXMLPolyDataReader>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfVerts();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPolyDataReader:GetNumberOfLines vtkXMLPolyDataReaderGetNumberOfLinesFunction
//input a0 
//output y
ArrayVector vtkXMLPolyDataReaderGetNumberOfLinesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetNumberOfLines (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfLines for class vtkXMLPolyDataReader requires 1 argument(s)");
  vtkXMLPolyDataReader* vtk_pointer = GetVTKPointer<vtkXMLPolyDataReader>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfLines();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPolyDataReader:GetNumberOfStrips vtkXMLPolyDataReaderGetNumberOfStripsFunction
//input a0 
//output y
ArrayVector vtkXMLPolyDataReaderGetNumberOfStripsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetNumberOfStrips (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfStrips for class vtkXMLPolyDataReader requires 1 argument(s)");
  vtkXMLPolyDataReader* vtk_pointer = GetVTKPointer<vtkXMLPolyDataReader>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfStrips();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPolyDataReader:GetNumberOfPolys vtkXMLPolyDataReaderGetNumberOfPolysFunction
//input a0 
//output y
ArrayVector vtkXMLPolyDataReaderGetNumberOfPolysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetNumberOfPolys (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPolys for class vtkXMLPolyDataReader requires 1 argument(s)");
  vtkXMLPolyDataReader* vtk_pointer = GetVTKPointer<vtkXMLPolyDataReader>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfPolys();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPolyDataReader:GetOutput vtkXMLPolyDataReaderGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkXMLPolyDataReaderGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkXMLPolyDataReaderGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkXMLPolyDataReaderGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXMLPolyDataReaderGetOutput");
}

//@@Signature
//sfunction @vtkXMLPolyDataReader:display vtkXMLPolyDataReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLPolyDataReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLPolyDataReader* vtk_pointer = GetVTKPointer<vtkXMLPolyDataReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLPolyDataReader:delete vtkXMLPolyDataReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLPolyDataReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLPolyDataReader
//@@Section VTKIO
//@@Usage
// vtkXMLPolyDataReader reads the VTK XML PolyData file format.  One
// polygonal data file can be read to produce one output.  Streaming
// is supported.  The standard extension for this reader's file format
// is "vtp".  This reader is also used to read a single piece of the
// parallel file format.
//
//To create an instance of class vtkXMLPolyDataReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLPolyDataReader
//@]
//@@Methods
//The class vtkXMLPolyDataReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLPolyDataReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLPolyDataReader = obj.NewInstance ()|
// \item @|vtkXMLPolyDataReader = obj.SafeDownCast (vtkObject o)|
// \item @|vtkPolyData = obj.GetOutput ()| -  Get the reader's output.
//// \item @|vtkPolyData = obj.GetOutput (int idx)| -  Get the reader's output.
//// \item @|vtkIdType = obj.GetNumberOfVerts ()| -  Get the number of verts/lines/strips/polys in the output.
//// \item @|vtkIdType = obj.GetNumberOfLines ()| -  Get the number of verts/lines/strips/polys in the output.
//// \item @|vtkIdType = obj.GetNumberOfStrips ()| -  Get the number of verts/lines/strips/polys in the output.
//// \item @|vtkIdType = obj.GetNumberOfPolys ()| -  Get the number of verts/lines/strips/polys in the output.
////\end{itemize}
//!
