#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLPolyDataWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLPolyDataWriter.h"

//@@Signature
//sfunction @vtkXMLPolyDataWriter:vtkXMLPolyDataWriter vtkXMLPolyDataWriterConstructorFunction
//input a
//output p
//@@Parents vtkXMLPolyDataWriter vtkXMLUnstructuredDataWriter 
ArrayVector vtkXMLPolyDataWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLPolyDataWriter::New(),"vtkXMLPolyDataWriter",eval);
  } else if (arg[0].className() == "vtkXMLPolyDataWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLPolyDataWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLPolyDataWriter");
    vtkXMLPolyDataWriter*q = reinterpret_cast<vtkXMLPolyDataWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLPolyDataWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLPolyDataWriter:GetClassName vtkXMLPolyDataWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLPolyDataWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLPolyDataWriter requires 1 argument(s)");
  vtkXMLPolyDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPolyDataWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPolyDataWriter:IsA vtkXMLPolyDataWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPolyDataWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLPolyDataWriter requires 2 argument(s)");
  vtkXMLPolyDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPolyDataWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPolyDataWriter:NewInstance vtkXMLPolyDataWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLPolyDataWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPolyDataWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLPolyDataWriter requires 1 argument(s)");
  vtkXMLPolyDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPolyDataWriter>(arg[0]);
  Array retval;
  vtkXMLPolyDataWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPolyDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPolyDataWriter:SafeDownCast vtkXMLPolyDataWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLPolyDataWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLPolyDataWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLPolyDataWriter requires 2 argument(s)");
  vtkXMLPolyDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPolyDataWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLPolyDataWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLPolyDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLPolyDataWriter:GetDefaultFileExtension vtkXMLPolyDataWriterGetDefaultFileExtensionFunction
//input a0 
//output y
ArrayVector vtkXMLPolyDataWriterGetDefaultFileExtensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetDefaultFileExtension (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultFileExtension for class vtkXMLPolyDataWriter requires 1 argument(s)");
  vtkXMLPolyDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPolyDataWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDefaultFileExtension();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLPolyDataWriter:display vtkXMLPolyDataWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLPolyDataWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLPolyDataWriter* vtk_pointer = GetVTKPointer<vtkXMLPolyDataWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLPolyDataWriter:delete vtkXMLPolyDataWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLPolyDataWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLPolyDataWriter
//@@Section VTKIO
//@@Usage
// vtkXMLPolyDataWriter writes the VTK XML PolyData file format.  One
// polygonal data input can be written into one file in any number of
// streamed pieces (if supported by the rest of the pipeline).  The
// standard extension for this writer's file format is "vtp".  This
// writer is also used to write a single piece of the parallel file
// format.
//
//To create an instance of class vtkXMLPolyDataWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLPolyDataWriter
//@]
//@@Methods
//The class vtkXMLPolyDataWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLPolyDataWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLPolyDataWriter = obj.NewInstance ()|
// \item @|vtkXMLPolyDataWriter = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetDefaultFileExtension ()| -  Get the default file extension for files written by this writer.
////\end{itemize}
//!
