#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLReader.h"

//@@Signature
//sfunction @vtkXMLReader:vtkXMLReader vtkXMLReaderConstructorFunction
//input a
//output p
//@@Parents vtkXMLReader vtkAlgorithm 
ArrayVector vtkXMLReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLReader::New(),"vtkXMLReader",eval);
  } else if (arg[0].className() == "vtkXMLReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLReader");
    vtkXMLReader*q = reinterpret_cast<vtkXMLReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLReader:GetClassName vtkXMLReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLReader requires 1 argument(s)");
  vtkXMLReader* vtk_pointer = GetVTKPointer<vtkXMLReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLReader:IsA vtkXMLReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLReader requires 2 argument(s)");
  vtkXMLReader* vtk_pointer = GetVTKPointer<vtkXMLReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLReader:NewInstance vtkXMLReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLReader requires 1 argument(s)");
  vtkXMLReader* vtk_pointer = GetVTKPointer<vtkXMLReader>(arg[0]);
  Array retval;
  vtkXMLReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLReader:SafeDownCast vtkXMLReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLReader requires 2 argument(s)");
  vtkXMLReader* vtk_pointer = GetVTKPointer<vtkXMLReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLReader:SetFileName vtkXMLReaderSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkXMLReaderSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkXMLReader requires 2 argument(s)");
  vtkXMLReader* vtk_pointer = GetVTKPointer<vtkXMLReader>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLReader:GetFileName vtkXMLReaderGetFileNameFunction
//input a0 
//output y
ArrayVector vtkXMLReaderGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkXMLReader requires 1 argument(s)");
  vtkXMLReader* vtk_pointer = GetVTKPointer<vtkXMLReader>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLReader:CanReadFile vtkXMLReaderCanReadFileFunction
//input a0 a1 
//output y
ArrayVector vtkXMLReaderCanReadFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int CanReadFile (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function CanReadFile for class vtkXMLReader requires 2 argument(s)");
  vtkXMLReader* vtk_pointer = GetVTKPointer<vtkXMLReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CanReadFile(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLReader:GetOutputAsDataSet__1 vtkXMLReaderGetOutputAsDataSet__1Function
//input a0 
//output y
ArrayVector vtkXMLReaderGetOutputAsDataSet__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetOutputAsDataSet (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputAsDataSet__1 for class vtkXMLReader requires 1 argument(s)");
  vtkXMLReader* vtk_pointer = GetVTKPointer<vtkXMLReader>(arg[0]);
  Array retval;
  vtkDataSet  *temp20;
  temp20 = (vtk_pointer)->GetOutputAsDataSet();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLReader:GetOutputAsDataSet__2 vtkXMLReaderGetOutputAsDataSet__2Function
//input a0 a1 
//output y
ArrayVector vtkXMLReaderGetOutputAsDataSet__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataSet *GetOutputAsDataSet (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutputAsDataSet__2 for class vtkXMLReader requires 2 argument(s)");
  vtkXMLReader* vtk_pointer = GetVTKPointer<vtkXMLReader>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataSet  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutputAsDataSet(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataSet",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLReader:GetPointDataArraySelection vtkXMLReaderGetPointDataArraySelectionFunction
//input a0 
//output y
ArrayVector vtkXMLReaderGetPointDataArraySelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArraySelection *GetPointDataArraySelection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPointDataArraySelection for class vtkXMLReader requires 1 argument(s)");
  vtkXMLReader* vtk_pointer = GetVTKPointer<vtkXMLReader>(arg[0]);
  Array retval;
  vtkDataArraySelection  *temp20;
  temp20 = (vtk_pointer)->GetPointDataArraySelection();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArraySelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLReader:GetCellDataArraySelection vtkXMLReaderGetCellDataArraySelectionFunction
//input a0 
//output y
ArrayVector vtkXMLReaderGetCellDataArraySelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataArraySelection *GetCellDataArraySelection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellDataArraySelection for class vtkXMLReader requires 1 argument(s)");
  vtkXMLReader* vtk_pointer = GetVTKPointer<vtkXMLReader>(arg[0]);
  Array retval;
  vtkDataArraySelection  *temp20;
  temp20 = (vtk_pointer)->GetCellDataArraySelection();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataArraySelection",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLReader:GetNumberOfPointArrays vtkXMLReaderGetNumberOfPointArraysFunction
//input a0 
//output y
ArrayVector vtkXMLReaderGetNumberOfPointArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPointArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPointArrays for class vtkXMLReader requires 1 argument(s)");
  vtkXMLReader* vtk_pointer = GetVTKPointer<vtkXMLReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPointArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLReader:GetNumberOfCellArrays vtkXMLReaderGetNumberOfCellArraysFunction
//input a0 
//output y
ArrayVector vtkXMLReaderGetNumberOfCellArraysFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfCellArrays (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCellArrays for class vtkXMLReader requires 1 argument(s)");
  vtkXMLReader* vtk_pointer = GetVTKPointer<vtkXMLReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfCellArrays();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLReader:GetPointArrayName vtkXMLReaderGetPointArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkXMLReaderGetPointArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetPointArrayName (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetPointArrayName for class vtkXMLReader requires 2 argument(s)");
  vtkXMLReader* vtk_pointer = GetVTKPointer<vtkXMLReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetPointArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLReader:GetCellArrayName vtkXMLReaderGetCellArrayNameFunction
//input a0 a1 
//output y
ArrayVector vtkXMLReaderGetCellArrayNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetCellArrayName (int index); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellArrayName for class vtkXMLReader requires 2 argument(s)");
  vtkXMLReader* vtk_pointer = GetVTKPointer<vtkXMLReader>(arg[0]);
  Array retval;
  int      temp0;
  const char    *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetCellArrayName(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLReader:GetPointArrayStatus vtkXMLReaderGetPointArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkXMLReaderGetPointArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPointArrayStatus (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetPointArrayStatus for class vtkXMLReader requires 2 argument(s)");
  vtkXMLReader* vtk_pointer = GetVTKPointer<vtkXMLReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetPointArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLReader:GetCellArrayStatus vtkXMLReaderGetCellArrayStatusFunction
//input a0 a1 
//output y
ArrayVector vtkXMLReaderGetCellArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellArrayStatus (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function GetCellArrayStatus for class vtkXMLReader requires 2 argument(s)");
  vtkXMLReader* vtk_pointer = GetVTKPointer<vtkXMLReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->GetCellArrayStatus(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLReader:SetPointArrayStatus vtkXMLReaderSetPointArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkXMLReaderSetPointArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPointArrayStatus (const char *name, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetPointArrayStatus for class vtkXMLReader requires 3 argument(s)");
  vtkXMLReader* vtk_pointer = GetVTKPointer<vtkXMLReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetPointArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXMLReader:SetCellArrayStatus vtkXMLReaderSetCellArrayStatusFunction
//input a0 a1 a2 
//output none
ArrayVector vtkXMLReaderSetCellArrayStatusFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCellArrayStatus (const char *name, int status); */
  if (arg.size() < 3) 
    throw Exception("Function SetCellArrayStatus for class vtkXMLReader requires 3 argument(s)");
  vtkXMLReader* vtk_pointer = GetVTKPointer<vtkXMLReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp1;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetCellArrayStatus(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXMLReader:CopyOutputInformation vtkXMLReaderCopyOutputInformationFunction
//input a0 a1 a2 
//output none
ArrayVector vtkXMLReaderCopyOutputInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyOutputInformation (vtkInformation *, int ); */
  if (arg.size() < 3) 
    throw Exception("Function CopyOutputInformation for class vtkXMLReader requires 3 argument(s)");
  vtkXMLReader* vtk_pointer = GetVTKPointer<vtkXMLReader>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->CopyOutputInformation(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXMLReader:SetTimeStep vtkXMLReaderSetTimeStepFunction
//input a0 a1 
//output none
ArrayVector vtkXMLReaderSetTimeStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimeStep (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimeStep for class vtkXMLReader requires 2 argument(s)");
  vtkXMLReader* vtk_pointer = GetVTKPointer<vtkXMLReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTimeStep(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLReader:GetTimeStep vtkXMLReaderGetTimeStepFunction
//input a0 
//output y
ArrayVector vtkXMLReaderGetTimeStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTimeStep (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimeStep for class vtkXMLReader requires 1 argument(s)");
  vtkXMLReader* vtk_pointer = GetVTKPointer<vtkXMLReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTimeStep();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLReader:GetNumberOfTimeSteps vtkXMLReaderGetNumberOfTimeStepsFunction
//input a0 
//output y
ArrayVector vtkXMLReaderGetNumberOfTimeStepsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfTimeSteps (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTimeSteps for class vtkXMLReader requires 1 argument(s)");
  vtkXMLReader* vtk_pointer = GetVTKPointer<vtkXMLReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfTimeSteps();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLReader:GetTimeStepRange vtkXMLReaderGetTimeStepRangeFunction
//input a0 
//output y
ArrayVector vtkXMLReaderGetTimeStepRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetTimeStepRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimeStepRange for class vtkXMLReader requires 1 argument(s)");
  vtkXMLReader* vtk_pointer = GetVTKPointer<vtkXMLReader>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetTimeStepRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkXMLReader:SetTimeStepRange__1 vtkXMLReaderSetTimeStepRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkXMLReaderSetTimeStepRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimeStepRange (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetTimeStepRange__1 for class vtkXMLReader requires 3 argument(s)");
  vtkXMLReader* vtk_pointer = GetVTKPointer<vtkXMLReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetTimeStepRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXMLReader:SetTimeStepRange__2 vtkXMLReaderSetTimeStepRange__2Function
//input a0 a1 
//output none
ArrayVector vtkXMLReaderSetTimeStepRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimeStepRange (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimeStepRange__2 for class vtkXMLReader requires 2 argument(s)");
  vtkXMLReader* vtk_pointer = GetVTKPointer<vtkXMLReader>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetTimeStepRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLReader:GetOutputAsDataSet vtkXMLReaderGetOutputAsDataSetFunction
//input varargin
//output varargout
ArrayVector vtkXMLReaderGetOutputAsDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkXMLReaderGetOutputAsDataSet__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkXMLReaderGetOutputAsDataSet__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXMLReaderGetOutputAsDataSet");
}

//@@Signature
//sfunction @vtkXMLReader:SetTimeStepRange vtkXMLReaderSetTimeStepRangeFunction
//input varargin
//output varargout
ArrayVector vtkXMLReaderSetTimeStepRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkXMLReaderSetTimeStepRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkXMLReaderSetTimeStepRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXMLReaderSetTimeStepRange");
}

//@@Signature
//sfunction @vtkXMLReader:SetProgressRange vtkXMLReaderSetProgressRangeFunction
//input varargin
//output varargout
ArrayVector vtkXMLReaderSetProgressRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkXMLReaderSetProgressRange");
}

//@@Signature
//sfunction @vtkXMLReader:display vtkXMLReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLReader* vtk_pointer = GetVTKPointer<vtkXMLReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLReader:delete vtkXMLReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLReader
//@@Section VTKIO
//@@Usage
// vtkXMLReader uses vtkXMLDataParser to parse a VTK XML input file.
// Concrete subclasses then traverse the parsed file structure and
// extract data.
//
//To create an instance of class vtkXMLReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLReader
//@]
//@@Methods
//The class vtkXMLReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLReader = obj.NewInstance ()|
// \item @|vtkXMLReader = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetFileName (string )| -  Get/Set the name of the input file.
//// \item @|string = obj.GetFileName ()| -  Get/Set the name of the input file.
//// \item @|int = obj.CanReadFile (string name)| -  Test whether the file with the given name can be read by this
// reader.
//// \item @|vtkDataSet = obj.GetOutputAsDataSet ()| -  Get the output as a vtkDataSet pointer.
//// \item @|vtkDataSet = obj.GetOutputAsDataSet (int index)| -  Get the output as a vtkDataSet pointer.
//// \item @|vtkDataArraySelection = obj.GetPointDataArraySelection ()| -  Get the data array selection tables used to configure which data
// arrays are loaded by the reader.
//// \item @|vtkDataArraySelection = obj.GetCellDataArraySelection ()| -  Get the data array selection tables used to configure which data
// arrays are loaded by the reader.
//// \item @|int = obj.GetNumberOfPointArrays ()| -  Get the number of point or cell arrays available in the input.
//// \item @|int = obj.GetNumberOfCellArrays ()| -  Get the number of point or cell arrays available in the input.
//// \item @|string = obj.GetPointArrayName (int index)| -  Get the name of the point or cell array with the given index in
// the input.
//// \item @|string = obj.GetCellArrayName (int index)| -  Get the name of the point or cell array with the given index in
// the input.
//// \item @|int = obj.GetPointArrayStatus (string name)| -  Get/Set whether the point or cell array with the given name is to
// be read.
//// \item @|int = obj.GetCellArrayStatus (string name)| -  Get/Set whether the point or cell array with the given name is to
// be read.
//// \item @|obj.SetPointArrayStatus (string name, int status)| -  Get/Set whether the point or cell array with the given name is to
// be read.
//// \item @|obj.SetCellArrayStatus (string name, int status)| -  Get/Set whether the point or cell array with the given name is to
// be read.
//// \item @|obj.CopyOutputInformation (vtkInformation , int )| -  Which TimeStep to read.    
//// \item @|obj.SetTimeStep (int )| -  Which TimeStep to read.    
//// \item @|int = obj.GetTimeStep ()| -  Which TimeStep to read.    
//// \item @|int = obj.GetNumberOfTimeSteps ()|
// \item @|int = obj. GetTimeStepRange ()| -  Which TimeStepRange to read
//// \item @|obj.SetTimeStepRange (int , int )| -  Which TimeStepRange to read
//// \item @|obj.SetTimeStepRange (int  a[2])| -  Which TimeStepRange to read
////\end{itemize}
//!
