#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLRectilinearGridWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLRectilinearGridWriter.h"

//@@Signature
//sfunction @vtkXMLRectilinearGridWriter:vtkXMLRectilinearGridWriter vtkXMLRectilinearGridWriterConstructorFunction
//input a
//output p
//@@Parents vtkXMLRectilinearGridWriter vtkXMLStructuredDataWriter 
ArrayVector vtkXMLRectilinearGridWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLRectilinearGridWriter::New(),"vtkXMLRectilinearGridWriter",eval);
  } else if (arg[0].className() == "vtkXMLRectilinearGridWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLRectilinearGridWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLRectilinearGridWriter");
    vtkXMLRectilinearGridWriter*q = reinterpret_cast<vtkXMLRectilinearGridWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLRectilinearGridWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLRectilinearGridWriter:GetClassName vtkXMLRectilinearGridWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLRectilinearGridWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLRectilinearGridWriter requires 1 argument(s)");
  vtkXMLRectilinearGridWriter* vtk_pointer = GetVTKPointer<vtkXMLRectilinearGridWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLRectilinearGridWriter:IsA vtkXMLRectilinearGridWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLRectilinearGridWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLRectilinearGridWriter requires 2 argument(s)");
  vtkXMLRectilinearGridWriter* vtk_pointer = GetVTKPointer<vtkXMLRectilinearGridWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLRectilinearGridWriter:NewInstance vtkXMLRectilinearGridWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLRectilinearGridWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLRectilinearGridWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLRectilinearGridWriter requires 1 argument(s)");
  vtkXMLRectilinearGridWriter* vtk_pointer = GetVTKPointer<vtkXMLRectilinearGridWriter>(arg[0]);
  Array retval;
  vtkXMLRectilinearGridWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLRectilinearGridWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLRectilinearGridWriter:SafeDownCast vtkXMLRectilinearGridWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLRectilinearGridWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLRectilinearGridWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLRectilinearGridWriter requires 2 argument(s)");
  vtkXMLRectilinearGridWriter* vtk_pointer = GetVTKPointer<vtkXMLRectilinearGridWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLRectilinearGridWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLRectilinearGridWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLRectilinearGridWriter:GetDefaultFileExtension vtkXMLRectilinearGridWriterGetDefaultFileExtensionFunction
//input a0 
//output y
ArrayVector vtkXMLRectilinearGridWriterGetDefaultFileExtensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetDefaultFileExtension (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultFileExtension for class vtkXMLRectilinearGridWriter requires 1 argument(s)");
  vtkXMLRectilinearGridWriter* vtk_pointer = GetVTKPointer<vtkXMLRectilinearGridWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDefaultFileExtension();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLRectilinearGridWriter:display vtkXMLRectilinearGridWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLRectilinearGridWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLRectilinearGridWriter* vtk_pointer = GetVTKPointer<vtkXMLRectilinearGridWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLRectilinearGridWriter:delete vtkXMLRectilinearGridWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLRectilinearGridWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLRectilinearGridWriter
//@@Section VTKIO
//@@Usage
// vtkXMLRectilinearGridWriter writes the VTK XML RectilinearGrid
// file format.  One rectilinear grid input can be written into one
// file in any number of streamed pieces.  The standard extension for
// this writer's file format is "vtr".  This writer is also used to
// write a single piece of the parallel file format.
//
//To create an instance of class vtkXMLRectilinearGridWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLRectilinearGridWriter
//@]
//@@Methods
//The class vtkXMLRectilinearGridWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLRectilinearGridWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLRectilinearGridWriter = obj.NewInstance ()|
// \item @|vtkXMLRectilinearGridWriter = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetDefaultFileExtension ()| -  Get the default file extension for files written by this writer.
////\end{itemize}
//!
