#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLShader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLShader.h"

//@@Signature
//sfunction @vtkXMLShader:vtkXMLShader vtkXMLShaderConstructorFunction
//input a
//output p
//@@Parents vtkXMLShader vtkObject 
ArrayVector vtkXMLShaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLShader::New(),"vtkXMLShader",eval);
  } else if (arg[0].className() == "vtkXMLShader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLShader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLShader");
    vtkXMLShader*q = reinterpret_cast<vtkXMLShader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLShader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLShader:GetClassName vtkXMLShaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLShaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLShader requires 1 argument(s)");
  vtkXMLShader* vtk_pointer = GetVTKPointer<vtkXMLShader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLShader:IsA vtkXMLShaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLShaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLShader requires 2 argument(s)");
  vtkXMLShader* vtk_pointer = GetVTKPointer<vtkXMLShader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLShader:NewInstance vtkXMLShaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLShaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLShader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLShader requires 1 argument(s)");
  vtkXMLShader* vtk_pointer = GetVTKPointer<vtkXMLShader>(arg[0]);
  Array retval;
  vtkXMLShader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLShader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLShader:SafeDownCast vtkXMLShaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLShaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLShader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLShader requires 2 argument(s)");
  vtkXMLShader* vtk_pointer = GetVTKPointer<vtkXMLShader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLShader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLShader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLShader:GetRootElement vtkXMLShaderGetRootElementFunction
//input a0 
//output y
ArrayVector vtkXMLShaderGetRootElementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLDataElement *GetRootElement (); */
  if (arg.size() < 1) 
    throw Exception("Function GetRootElement for class vtkXMLShader requires 1 argument(s)");
  vtkXMLShader* vtk_pointer = GetVTKPointer<vtkXMLShader>(arg[0]);
  Array retval;
  vtkXMLDataElement  *temp20;
  temp20 = (vtk_pointer)->GetRootElement();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLDataElement",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLShader:SetRootElement vtkXMLShaderSetRootElementFunction
//input a0 a1 
//output none
ArrayVector vtkXMLShaderSetRootElementFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetRootElement (vtkXMLDataElement *); */
  if (arg.size() < 2) 
    throw Exception("Function SetRootElement for class vtkXMLShader requires 2 argument(s)");
  vtkXMLShader* vtk_pointer = GetVTKPointer<vtkXMLShader>(arg[0]);
  Array retval;
  vtkXMLDataElement  *temp0;
  temp0 = GetVTKPointer<vtkXMLDataElement>(arg[1]);
  vtk_pointer->SetRootElement(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLShader:GetLanguage vtkXMLShaderGetLanguageFunction
//input a0 
//output y
ArrayVector vtkXMLShaderGetLanguageFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLanguage (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLanguage for class vtkXMLShader requires 1 argument(s)");
  vtkXMLShader* vtk_pointer = GetVTKPointer<vtkXMLShader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLanguage();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLShader:GetScope vtkXMLShaderGetScopeFunction
//input a0 
//output y
ArrayVector vtkXMLShaderGetScopeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetScope (); */
  if (arg.size() < 1) 
    throw Exception("Function GetScope for class vtkXMLShader requires 1 argument(s)");
  vtkXMLShader* vtk_pointer = GetVTKPointer<vtkXMLShader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetScope();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLShader:GetLocation vtkXMLShaderGetLocationFunction
//input a0 
//output y
ArrayVector vtkXMLShaderGetLocationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLocation (); */
  if (arg.size() < 1) 
    throw Exception("Function GetLocation for class vtkXMLShader requires 1 argument(s)");
  vtkXMLShader* vtk_pointer = GetVTKPointer<vtkXMLShader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetLocation();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLShader:GetStyle vtkXMLShaderGetStyleFunction
//input a0 
//output y
ArrayVector vtkXMLShaderGetStyleFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetStyle (); */
  if (arg.size() < 1) 
    throw Exception("Function GetStyle for class vtkXMLShader requires 1 argument(s)");
  vtkXMLShader* vtk_pointer = GetVTKPointer<vtkXMLShader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetStyle();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLShader:GetName vtkXMLShaderGetNameFunction
//input a0 
//output y
ArrayVector vtkXMLShaderGetNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetName for class vtkXMLShader requires 1 argument(s)");
  vtkXMLShader* vtk_pointer = GetVTKPointer<vtkXMLShader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLShader:GetEntry vtkXMLShaderGetEntryFunction
//input a0 
//output y
ArrayVector vtkXMLShaderGetEntryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetEntry (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEntry for class vtkXMLShader requires 1 argument(s)");
  vtkXMLShader* vtk_pointer = GetVTKPointer<vtkXMLShader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetEntry();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLShader:GetCode vtkXMLShaderGetCodeFunction
//input a0 
//output y
ArrayVector vtkXMLShaderGetCodeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetCode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCode for class vtkXMLShader requires 1 argument(s)");
  vtkXMLShader* vtk_pointer = GetVTKPointer<vtkXMLShader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetCode();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLShader:LocateFile vtkXMLShaderLocateFileFunction
//input a0 a1 
//output y
ArrayVector vtkXMLShaderLocateFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static char *LocateFile (const char *filename); */
  if (arg.size() < 2) 
    throw Exception("Function LocateFile for class vtkXMLShader requires 2 argument(s)");
  vtkXMLShader* vtk_pointer = GetVTKPointer<vtkXMLShader>(arg[0]);
  Array retval;
  char    *temp0;
  char    *temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->LocateFile(temp0);
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLShader:display vtkXMLShaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLShaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLShader* vtk_pointer = GetVTKPointer<vtkXMLShader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLShader:delete vtkXMLShaderDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLShaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLShader
//@@Section VTKIO
//@@Usage
// vtkXMLShader encapsulates the XML description for a Shader.
// It provides convenient access to various attributes/properties
// of a shader.
// .SECTION Thanks
// Shader support in VTK includes key contributions by Gary Templet at 
// Sandia National Labs.
//
//To create an instance of class vtkXMLShader, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLShader
//@]
//@@Methods
//The class vtkXMLShader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLShader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLShader = obj.NewInstance ()|
// \item @|vtkXMLShader = obj.SafeDownCast (vtkObject o)|
// \item @|vtkXMLDataElement = obj.GetRootElement ()| -  Get/Set the XML root element that describes this shader.
//// \item @|obj.SetRootElement (vtkXMLDataElement )| -  Get/Set the XML root element that describes this shader.
//// \item @|int = obj.GetLanguage ()| -  Returns the shader's language as defined in the XML description.
//// \item @|int = obj.GetScope ()| -  Returns the type of the shader as defined in the XML description.
//// \item @|int = obj.GetLocation ()| -  Returns the location of the shader as defined in the XML description.
//// \item @|int = obj.GetStyle ()| -  Returns the style of the shader as optionaly defined in the XML
// description. If not present, default style is 1. "style=2" means it is
// a shader without a main(). In style 2, the "main" function for the vertex
// shader part is void propFuncVS(void), the main function for the fragment
// shader part is void propFuncFS(). This is useful when combining a shader
// at the actor level and a shader defines at the renderer level, like
// the depth peeling pass.
// \post valid_result: result==1 || result==2
//// \item @|string = obj.GetName ()| -  Get the name of the Shader.
//// \item @|string = obj.GetEntry ()| -  Get the entry point to the shader code as defined in the XML.
//// \item @|string = obj.GetCode ()| -  Get the shader code.
////\end{itemize}
//!
