#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLStructuredDataReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLStructuredDataReader.h"

//@@Signature
//sfunction @vtkXMLStructuredDataReader:vtkXMLStructuredDataReader vtkXMLStructuredDataReaderConstructorFunction
//input a
//output p
//@@Parents vtkXMLStructuredDataReader vtkXMLDataReader 
ArrayVector vtkXMLStructuredDataReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLStructuredDataReader::New(),"vtkXMLStructuredDataReader",eval);
  } else if (arg[0].className() == "vtkXMLStructuredDataReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLStructuredDataReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLStructuredDataReader");
    vtkXMLStructuredDataReader*q = reinterpret_cast<vtkXMLStructuredDataReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLStructuredDataReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLStructuredDataReader:GetClassName vtkXMLStructuredDataReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLStructuredDataReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLStructuredDataReader requires 1 argument(s)");
  vtkXMLStructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLStructuredDataReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredDataReader:IsA vtkXMLStructuredDataReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLStructuredDataReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLStructuredDataReader requires 2 argument(s)");
  vtkXMLStructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLStructuredDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredDataReader:NewInstance vtkXMLStructuredDataReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLStructuredDataReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLStructuredDataReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLStructuredDataReader requires 1 argument(s)");
  vtkXMLStructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLStructuredDataReader>(arg[0]);
  Array retval;
  vtkXMLStructuredDataReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLStructuredDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredDataReader:SafeDownCast vtkXMLStructuredDataReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLStructuredDataReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLStructuredDataReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLStructuredDataReader requires 2 argument(s)");
  vtkXMLStructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLStructuredDataReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLStructuredDataReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLStructuredDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredDataReader:GetNumberOfPoints vtkXMLStructuredDataReaderGetNumberOfPointsFunction
//input a0 
//output y
ArrayVector vtkXMLStructuredDataReaderGetNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetNumberOfPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPoints for class vtkXMLStructuredDataReader requires 1 argument(s)");
  vtkXMLStructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLStructuredDataReader>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredDataReader:GetNumberOfCells vtkXMLStructuredDataReaderGetNumberOfCellsFunction
//input a0 
//output y
ArrayVector vtkXMLStructuredDataReaderGetNumberOfCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetNumberOfCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCells for class vtkXMLStructuredDataReader requires 1 argument(s)");
  vtkXMLStructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLStructuredDataReader>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredDataReader:SetWholeSlices vtkXMLStructuredDataReaderSetWholeSlicesFunction
//input a0 a1 
//output none
ArrayVector vtkXMLStructuredDataReaderSetWholeSlicesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWholeSlices (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetWholeSlices for class vtkXMLStructuredDataReader requires 2 argument(s)");
  vtkXMLStructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLStructuredDataReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetWholeSlices(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredDataReader:GetWholeSlices vtkXMLStructuredDataReaderGetWholeSlicesFunction
//input a0 
//output y
ArrayVector vtkXMLStructuredDataReaderGetWholeSlicesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWholeSlices (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWholeSlices for class vtkXMLStructuredDataReader requires 1 argument(s)");
  vtkXMLStructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLStructuredDataReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWholeSlices();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredDataReader:WholeSlicesOn vtkXMLStructuredDataReaderWholeSlicesOnFunction
//input a0 
//output none
ArrayVector vtkXMLStructuredDataReaderWholeSlicesOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WholeSlicesOn (); */
  if (arg.size() < 1) 
    throw Exception("Function WholeSlicesOn for class vtkXMLStructuredDataReader requires 1 argument(s)");
  vtkXMLStructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLStructuredDataReader>(arg[0]);
  Array retval;
  vtk_pointer->WholeSlicesOn();
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredDataReader:WholeSlicesOff vtkXMLStructuredDataReaderWholeSlicesOffFunction
//input a0 
//output none
ArrayVector vtkXMLStructuredDataReaderWholeSlicesOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WholeSlicesOff (); */
  if (arg.size() < 1) 
    throw Exception("Function WholeSlicesOff for class vtkXMLStructuredDataReader requires 1 argument(s)");
  vtkXMLStructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLStructuredDataReader>(arg[0]);
  Array retval;
  vtk_pointer->WholeSlicesOff();
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredDataReader:CopyOutputInformation vtkXMLStructuredDataReaderCopyOutputInformationFunction
//input a0 a1 a2 
//output none
ArrayVector vtkXMLStructuredDataReaderCopyOutputInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyOutputInformation (vtkInformation *outInfo, int port); */
  if (arg.size() < 3) 
    throw Exception("Function CopyOutputInformation for class vtkXMLStructuredDataReader requires 3 argument(s)");
  vtkXMLStructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLStructuredDataReader>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->CopyOutputInformation(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredDataReader:display vtkXMLStructuredDataReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLStructuredDataReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLStructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLStructuredDataReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLStructuredDataReader:delete vtkXMLStructuredDataReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLStructuredDataReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLStructuredDataReader
//@@Section VTKIO
//@@Usage
// vtkXMLStructuredDataReader provides functionality common to all
// structured data format readers.
//
//To create an instance of class vtkXMLStructuredDataReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLStructuredDataReader
//@]
//@@Methods
//The class vtkXMLStructuredDataReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLStructuredDataReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLStructuredDataReader = obj.NewInstance ()|
// \item @|vtkXMLStructuredDataReader = obj.SafeDownCast (vtkObject o)|
// \item @|vtkIdType = obj.GetNumberOfPoints ()| -  Get the number of points in the output.
//// \item @|vtkIdType = obj.GetNumberOfCells ()| -  Get the number of cells in the output.
//// \item @|obj.SetWholeSlices (int )| -  Get/Set whether the reader gets a whole slice from disk when only
// a rectangle inside it is needed.  This mode reads more data than
// necessary, but prevents many short reads from interacting poorly
// with the compression and encoding schemes.
//// \item @|int = obj.GetWholeSlices ()| -  Get/Set whether the reader gets a whole slice from disk when only
// a rectangle inside it is needed.  This mode reads more data than
// necessary, but prevents many short reads from interacting poorly
// with the compression and encoding schemes.
//// \item @|obj.WholeSlicesOn ()| -  Get/Set whether the reader gets a whole slice from disk when only
// a rectangle inside it is needed.  This mode reads more data than
// necessary, but prevents many short reads from interacting poorly
// with the compression and encoding schemes.
//// \item @|obj.WholeSlicesOff ()| -  Get/Set whether the reader gets a whole slice from disk when only
// a rectangle inside it is needed.  This mode reads more data than
// necessary, but prevents many short reads from interacting poorly
// with the compression and encoding schemes.
//// \item @|obj.CopyOutputInformation (vtkInformation outInfo, int port)| -  For the specified port, copy the information this reader sets up in
// SetupOutputInformation to outInfo
////\end{itemize}
//!
