#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLStructuredDataWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLStructuredDataWriter.h"

//@@Signature
//sfunction @vtkXMLStructuredDataWriter:vtkXMLStructuredDataWriter vtkXMLStructuredDataWriterConstructorFunction
//input a
//output p
//@@Parents vtkXMLStructuredDataWriter vtkXMLWriter 
ArrayVector vtkXMLStructuredDataWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLStructuredDataWriter::New(),"vtkXMLStructuredDataWriter",eval);
  } else if (arg[0].className() == "vtkXMLStructuredDataWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLStructuredDataWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLStructuredDataWriter");
    vtkXMLStructuredDataWriter*q = reinterpret_cast<vtkXMLStructuredDataWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLStructuredDataWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLStructuredDataWriter:GetClassName vtkXMLStructuredDataWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLStructuredDataWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLStructuredDataWriter requires 1 argument(s)");
  vtkXMLStructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLStructuredDataWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredDataWriter:IsA vtkXMLStructuredDataWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLStructuredDataWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLStructuredDataWriter requires 2 argument(s)");
  vtkXMLStructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLStructuredDataWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredDataWriter:NewInstance vtkXMLStructuredDataWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLStructuredDataWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLStructuredDataWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLStructuredDataWriter requires 1 argument(s)");
  vtkXMLStructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLStructuredDataWriter>(arg[0]);
  Array retval;
  vtkXMLStructuredDataWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLStructuredDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredDataWriter:SafeDownCast vtkXMLStructuredDataWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLStructuredDataWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLStructuredDataWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLStructuredDataWriter requires 2 argument(s)");
  vtkXMLStructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLStructuredDataWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLStructuredDataWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLStructuredDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredDataWriter:SetNumberOfPieces vtkXMLStructuredDataWriterSetNumberOfPiecesFunction
//input a0 a1 
//output none
ArrayVector vtkXMLStructuredDataWriterSetNumberOfPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfPieces (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfPieces for class vtkXMLStructuredDataWriter requires 2 argument(s)");
  vtkXMLStructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLStructuredDataWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfPieces(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredDataWriter:GetNumberOfPieces vtkXMLStructuredDataWriterGetNumberOfPiecesFunction
//input a0 
//output y
ArrayVector vtkXMLStructuredDataWriterGetNumberOfPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPieces (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPieces for class vtkXMLStructuredDataWriter requires 1 argument(s)");
  vtkXMLStructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLStructuredDataWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPieces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredDataWriter:SetWriteExtent__1 vtkXMLStructuredDataWriterSetWriteExtent__1Function
//input a0 a1 a2 a3 a4 a5 a6 
//output none
ArrayVector vtkXMLStructuredDataWriterSetWriteExtent__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWriteExtent (int , int , int , int , int , int ); */
  if (arg.size() < 7) 
    throw Exception("Function SetWriteExtent__1 for class vtkXMLStructuredDataWriter requires 7 argument(s)");
  vtkXMLStructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLStructuredDataWriter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  int      temp4;
  int      temp5;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  if ( !arg[4].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp3 = (int) arg[4].asDouble();
  if ( !arg[5].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp4 = (int) arg[5].asDouble();
  if ( !arg[6].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp5 = (int) arg[6].asDouble();
  vtk_pointer->SetWriteExtent(temp0,temp1,temp2,temp3,temp4,temp5);
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredDataWriter:SetWriteExtent__2 vtkXMLStructuredDataWriterSetWriteExtent__2Function
//input a0 a1 
//output none
ArrayVector vtkXMLStructuredDataWriterSetWriteExtent__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWriteExtent (int  a[6]); */
  if (arg.size() < 2) 
    throw Exception("Function SetWriteExtent__2 for class vtkXMLStructuredDataWriter requires 2 argument(s)");
  vtkXMLStructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLStructuredDataWriter>(arg[0]);
  Array retval;
  int    temp0[6];
  if ( !(arg[1].isVector() && arg[1].length() == 6) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetWriteExtent(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredDataWriter:GetWriteExtent vtkXMLStructuredDataWriterGetWriteExtentFunction
//input a0 
//output y
ArrayVector vtkXMLStructuredDataWriterGetWriteExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetWriteExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWriteExtent for class vtkXMLStructuredDataWriter requires 1 argument(s)");
  vtkXMLStructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLStructuredDataWriter>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetWriteExtent();
  BasicArray<double> tempResult(NTuple(6,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  tempResult[3] = (double)temp20[2];
  tempResult[4] = (double)temp20[3];
  tempResult[5] = (double)temp20[4];
  tempResult[6] = (double)temp20[5];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredDataWriter:SetExtentTranslator vtkXMLStructuredDataWriterSetExtentTranslatorFunction
//input a0 a1 
//output none
ArrayVector vtkXMLStructuredDataWriterSetExtentTranslatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetExtentTranslator (vtkExtentTranslator *); */
  if (arg.size() < 2) 
    throw Exception("Function SetExtentTranslator for class vtkXMLStructuredDataWriter requires 2 argument(s)");
  vtkXMLStructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLStructuredDataWriter>(arg[0]);
  Array retval;
  vtkExtentTranslator  *temp0;
  temp0 = GetVTKPointer<vtkExtentTranslator>(arg[1]);
  vtk_pointer->SetExtentTranslator(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredDataWriter:GetExtentTranslator vtkXMLStructuredDataWriterGetExtentTranslatorFunction
//input a0 
//output y
ArrayVector vtkXMLStructuredDataWriterGetExtentTranslatorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkExtentTranslator *GetExtentTranslator (); */
  if (arg.size() < 1) 
    throw Exception("Function GetExtentTranslator for class vtkXMLStructuredDataWriter requires 1 argument(s)");
  vtkXMLStructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLStructuredDataWriter>(arg[0]);
  Array retval;
  vtkExtentTranslator  *temp20;
  temp20 = (vtk_pointer)->GetExtentTranslator();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkExtentTranslator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredDataWriter:SetWriteExtent vtkXMLStructuredDataWriterSetWriteExtentFunction
//input varargin
//output varargout
ArrayVector vtkXMLStructuredDataWriterSetWriteExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 7) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]) && VTKIsScalarArg(arg[3]) && VTKIsScalarArg(arg[4]) && VTKIsScalarArg(arg[5]) && VTKIsScalarArg(arg[6]))
    return vtkXMLStructuredDataWriterSetWriteExtent__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkXMLStructuredDataWriterSetWriteExtent__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXMLStructuredDataWriterSetWriteExtent");
}

//@@Signature
//sfunction @vtkXMLStructuredDataWriter:SetInternalWriteExtent vtkXMLStructuredDataWriterSetInternalWriteExtentFunction
//input varargin
//output varargout
ArrayVector vtkXMLStructuredDataWriterSetInternalWriteExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkXMLStructuredDataWriterSetInternalWriteExtent");
}

//@@Signature
//sfunction @vtkXMLStructuredDataWriter:display vtkXMLStructuredDataWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLStructuredDataWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLStructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLStructuredDataWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLStructuredDataWriter:delete vtkXMLStructuredDataWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLStructuredDataWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLStructuredDataWriter
//@@Section VTKIO
//@@Usage
// vtkXMLStructuredDataWriter provides VTK XML writing functionality that
// is common among all the structured data formats.
//
//To create an instance of class vtkXMLStructuredDataWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLStructuredDataWriter
//@]
//@@Methods
//The class vtkXMLStructuredDataWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLStructuredDataWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLStructuredDataWriter = obj.NewInstance ()|
// \item @|vtkXMLStructuredDataWriter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetNumberOfPieces (int )| -  Get/Set the number of pieces used to stream the image through the
// pipeline while writing to the file.
//// \item @|int = obj.GetNumberOfPieces ()| -  Get/Set the number of pieces used to stream the image through the
// pipeline while writing to the file.
//// \item @|obj.SetWriteExtent (int , int , int , int , int , int )| -  Get/Set the extent of the input that should be treated as the
// WholeExtent in the output file.  The default is the WholeExtent
// of the input.
//// \item @|obj.SetWriteExtent (int  a[6])| -  Get/Set the extent of the input that should be treated as the
// WholeExtent in the output file.  The default is the WholeExtent
// of the input.
//// \item @|int = obj. GetWriteExtent ()| -  Get/Set the extent of the input that should be treated as the
// WholeExtent in the output file.  The default is the WholeExtent
// of the input.
//// \item @|obj.SetExtentTranslator (vtkExtentTranslator )| -  Get/Set the extent translator used for streaming.
//// \item @|vtkExtentTranslator = obj.GetExtentTranslator ()| -  Get/Set the extent translator used for streaming.
////\end{itemize}
//!
