#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLStructuredGridReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLStructuredGridReader.h"

//@@Signature
//sfunction @vtkXMLStructuredGridReader:vtkXMLStructuredGridReader vtkXMLStructuredGridReaderConstructorFunction
//input a
//output p
//@@Parents vtkXMLStructuredGridReader vtkXMLStructuredDataReader 
ArrayVector vtkXMLStructuredGridReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLStructuredGridReader::New(),"vtkXMLStructuredGridReader",eval);
  } else if (arg[0].className() == "vtkXMLStructuredGridReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLStructuredGridReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLStructuredGridReader");
    vtkXMLStructuredGridReader*q = reinterpret_cast<vtkXMLStructuredGridReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLStructuredGridReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLStructuredGridReader:GetClassName vtkXMLStructuredGridReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLStructuredGridReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLStructuredGridReader requires 1 argument(s)");
  vtkXMLStructuredGridReader* vtk_pointer = GetVTKPointer<vtkXMLStructuredGridReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredGridReader:IsA vtkXMLStructuredGridReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLStructuredGridReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLStructuredGridReader requires 2 argument(s)");
  vtkXMLStructuredGridReader* vtk_pointer = GetVTKPointer<vtkXMLStructuredGridReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredGridReader:NewInstance vtkXMLStructuredGridReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLStructuredGridReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLStructuredGridReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLStructuredGridReader requires 1 argument(s)");
  vtkXMLStructuredGridReader* vtk_pointer = GetVTKPointer<vtkXMLStructuredGridReader>(arg[0]);
  Array retval;
  vtkXMLStructuredGridReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLStructuredGridReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredGridReader:SafeDownCast vtkXMLStructuredGridReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLStructuredGridReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLStructuredGridReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLStructuredGridReader requires 2 argument(s)");
  vtkXMLStructuredGridReader* vtk_pointer = GetVTKPointer<vtkXMLStructuredGridReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLStructuredGridReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLStructuredGridReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredGridReader:GetOutput__1 vtkXMLStructuredGridReaderGetOutput__1Function
//input a0 
//output y
ArrayVector vtkXMLStructuredGridReaderGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGrid *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkXMLStructuredGridReader requires 1 argument(s)");
  vtkXMLStructuredGridReader* vtk_pointer = GetVTKPointer<vtkXMLStructuredGridReader>(arg[0]);
  Array retval;
  vtkStructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredGridReader:GetOutput__2 vtkXMLStructuredGridReaderGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkXMLStructuredGridReaderGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkStructuredGrid *GetOutput (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkXMLStructuredGridReader requires 2 argument(s)");
  vtkXMLStructuredGridReader* vtk_pointer = GetVTKPointer<vtkXMLStructuredGridReader>(arg[0]);
  Array retval;
  int      temp0;
  vtkStructuredGrid  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkStructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredGridReader:GetOutput vtkXMLStructuredGridReaderGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkXMLStructuredGridReaderGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkXMLStructuredGridReaderGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkXMLStructuredGridReaderGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXMLStructuredGridReaderGetOutput");
}

//@@Signature
//sfunction @vtkXMLStructuredGridReader:display vtkXMLStructuredGridReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLStructuredGridReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLStructuredGridReader* vtk_pointer = GetVTKPointer<vtkXMLStructuredGridReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLStructuredGridReader:delete vtkXMLStructuredGridReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLStructuredGridReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLStructuredGridReader
//@@Section VTKIO
//@@Usage
// vtkXMLStructuredGridReader reads the VTK XML StructuredGrid file
// format.  One structured grid file can be read to produce one
// output.  Streaming is supported.  The standard extension for this
// reader's file format is "vts".  This reader is also used to read a
// single piece of the parallel file format.
//
//To create an instance of class vtkXMLStructuredGridReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLStructuredGridReader
//@]
//@@Methods
//The class vtkXMLStructuredGridReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLStructuredGridReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLStructuredGridReader = obj.NewInstance ()|
// \item @|vtkXMLStructuredGridReader = obj.SafeDownCast (vtkObject o)|
// \item @|vtkStructuredGrid = obj.GetOutput ()| -  Get the reader's output.
//// \item @|vtkStructuredGrid = obj.GetOutput (int idx)| -  Get the reader's output.
////\end{itemize}
//!
