#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLStructuredGridWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLStructuredGridWriter.h"

//@@Signature
//sfunction @vtkXMLStructuredGridWriter:vtkXMLStructuredGridWriter vtkXMLStructuredGridWriterConstructorFunction
//input a
//output p
//@@Parents vtkXMLStructuredGridWriter vtkXMLStructuredDataWriter 
ArrayVector vtkXMLStructuredGridWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLStructuredGridWriter::New(),"vtkXMLStructuredGridWriter",eval);
  } else if (arg[0].className() == "vtkXMLStructuredGridWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLStructuredGridWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLStructuredGridWriter");
    vtkXMLStructuredGridWriter*q = reinterpret_cast<vtkXMLStructuredGridWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLStructuredGridWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLStructuredGridWriter:GetClassName vtkXMLStructuredGridWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLStructuredGridWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLStructuredGridWriter requires 1 argument(s)");
  vtkXMLStructuredGridWriter* vtk_pointer = GetVTKPointer<vtkXMLStructuredGridWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredGridWriter:IsA vtkXMLStructuredGridWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLStructuredGridWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLStructuredGridWriter requires 2 argument(s)");
  vtkXMLStructuredGridWriter* vtk_pointer = GetVTKPointer<vtkXMLStructuredGridWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredGridWriter:NewInstance vtkXMLStructuredGridWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLStructuredGridWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLStructuredGridWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLStructuredGridWriter requires 1 argument(s)");
  vtkXMLStructuredGridWriter* vtk_pointer = GetVTKPointer<vtkXMLStructuredGridWriter>(arg[0]);
  Array retval;
  vtkXMLStructuredGridWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLStructuredGridWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredGridWriter:SafeDownCast vtkXMLStructuredGridWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLStructuredGridWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLStructuredGridWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLStructuredGridWriter requires 2 argument(s)");
  vtkXMLStructuredGridWriter* vtk_pointer = GetVTKPointer<vtkXMLStructuredGridWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLStructuredGridWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLStructuredGridWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredGridWriter:GetDefaultFileExtension vtkXMLStructuredGridWriterGetDefaultFileExtensionFunction
//input a0 
//output y
ArrayVector vtkXMLStructuredGridWriterGetDefaultFileExtensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetDefaultFileExtension (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultFileExtension for class vtkXMLStructuredGridWriter requires 1 argument(s)");
  vtkXMLStructuredGridWriter* vtk_pointer = GetVTKPointer<vtkXMLStructuredGridWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDefaultFileExtension();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLStructuredGridWriter:display vtkXMLStructuredGridWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLStructuredGridWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLStructuredGridWriter* vtk_pointer = GetVTKPointer<vtkXMLStructuredGridWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLStructuredGridWriter:delete vtkXMLStructuredGridWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLStructuredGridWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLStructuredGridWriter
//@@Section VTKIO
//@@Usage
// vtkXMLStructuredGridWriter writes the VTK XML StructuredGrid file
// format.  One structured grid input can be written into one file in
// any number of streamed pieces.  The standard extension for this
// writer's file format is "vts".  This writer is also used to write a
// single piece of the parallel file format.
//
//To create an instance of class vtkXMLStructuredGridWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLStructuredGridWriter
//@]
//@@Methods
//The class vtkXMLStructuredGridWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLStructuredGridWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLStructuredGridWriter = obj.NewInstance ()|
// \item @|vtkXMLStructuredGridWriter = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetDefaultFileExtension ()| -  Get the default file extension for files written by this writer.
////\end{itemize}
//!
