#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLUnstructuredDataReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLUnstructuredDataReader.h"

//@@Signature
//sfunction @vtkXMLUnstructuredDataReader:vtkXMLUnstructuredDataReader vtkXMLUnstructuredDataReaderConstructorFunction
//input a
//output p
//@@Parents vtkXMLUnstructuredDataReader vtkXMLDataReader 
ArrayVector vtkXMLUnstructuredDataReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLUnstructuredDataReader::New(),"vtkXMLUnstructuredDataReader",eval);
  } else if (arg[0].className() == "vtkXMLUnstructuredDataReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLUnstructuredDataReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLUnstructuredDataReader");
    vtkXMLUnstructuredDataReader*q = reinterpret_cast<vtkXMLUnstructuredDataReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLUnstructuredDataReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLUnstructuredDataReader:GetClassName vtkXMLUnstructuredDataReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLUnstructuredDataReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLUnstructuredDataReader requires 1 argument(s)");
  vtkXMLUnstructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredDataReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLUnstructuredDataReader:IsA vtkXMLUnstructuredDataReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLUnstructuredDataReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLUnstructuredDataReader requires 2 argument(s)");
  vtkXMLUnstructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredDataReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLUnstructuredDataReader:NewInstance vtkXMLUnstructuredDataReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLUnstructuredDataReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLUnstructuredDataReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLUnstructuredDataReader requires 1 argument(s)");
  vtkXMLUnstructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredDataReader>(arg[0]);
  Array retval;
  vtkXMLUnstructuredDataReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLUnstructuredDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLUnstructuredDataReader:SafeDownCast vtkXMLUnstructuredDataReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLUnstructuredDataReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLUnstructuredDataReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLUnstructuredDataReader requires 2 argument(s)");
  vtkXMLUnstructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredDataReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLUnstructuredDataReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLUnstructuredDataReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLUnstructuredDataReader:GetNumberOfPoints vtkXMLUnstructuredDataReaderGetNumberOfPointsFunction
//input a0 
//output y
ArrayVector vtkXMLUnstructuredDataReaderGetNumberOfPointsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetNumberOfPoints (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPoints for class vtkXMLUnstructuredDataReader requires 1 argument(s)");
  vtkXMLUnstructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredDataReader>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfPoints();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLUnstructuredDataReader:GetNumberOfCells vtkXMLUnstructuredDataReaderGetNumberOfCellsFunction
//input a0 
//output y
ArrayVector vtkXMLUnstructuredDataReaderGetNumberOfCellsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual vtkIdType GetNumberOfCells (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfCells for class vtkXMLUnstructuredDataReader requires 1 argument(s)");
  vtkXMLUnstructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredDataReader>(arg[0]);
  Array retval;
  vtkIdType   temp20;
  temp20 = (vtk_pointer)->GetNumberOfCells();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLUnstructuredDataReader:SetupUpdateExtent vtkXMLUnstructuredDataReaderSetupUpdateExtentFunction
//input a0 a1 a2 a3 
//output none
ArrayVector vtkXMLUnstructuredDataReaderSetupUpdateExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetupUpdateExtent (int piece, int numberOfPieces, int ghostLevel); */
  if (arg.size() < 4) 
    throw Exception("Function SetupUpdateExtent for class vtkXMLUnstructuredDataReader requires 4 argument(s)");
  vtkXMLUnstructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredDataReader>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  int      temp2;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  if ( !arg[3].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp2 = (int) arg[3].asDouble();
  vtk_pointer->SetupUpdateExtent(temp0,temp1,temp2);
  return retval;
}

//@@Signature
//sfunction @vtkXMLUnstructuredDataReader:CopyOutputInformation vtkXMLUnstructuredDataReaderCopyOutputInformationFunction
//input a0 a1 a2 
//output none
ArrayVector vtkXMLUnstructuredDataReaderCopyOutputInformationFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void CopyOutputInformation (vtkInformation *outInfo, int port); */
  if (arg.size() < 3) 
    throw Exception("Function CopyOutputInformation for class vtkXMLUnstructuredDataReader requires 3 argument(s)");
  vtkXMLUnstructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredDataReader>(arg[0]);
  Array retval;
  vtkInformation  *temp0;
  int      temp1;
  temp0 = GetVTKPointer<vtkInformation>(arg[1]);
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->CopyOutputInformation(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXMLUnstructuredDataReader:display vtkXMLUnstructuredDataReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLUnstructuredDataReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLUnstructuredDataReader* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredDataReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLUnstructuredDataReader:delete vtkXMLUnstructuredDataReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLUnstructuredDataReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLUnstructuredDataReader
//@@Section VTKIO
//@@Usage
// vtkXMLUnstructuredDataReader provides functionality common to all
// unstructured data format readers.
//
//To create an instance of class vtkXMLUnstructuredDataReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLUnstructuredDataReader
//@]
//@@Methods
//The class vtkXMLUnstructuredDataReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLUnstructuredDataReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLUnstructuredDataReader = obj.NewInstance ()|
// \item @|vtkXMLUnstructuredDataReader = obj.SafeDownCast (vtkObject o)|
// \item @|vtkIdType = obj.GetNumberOfPoints ()| -  Get the number of points in the output.
//// \item @|vtkIdType = obj.GetNumberOfCells ()| -  Get the number of cells in the output.
//// \item @|obj.SetupUpdateExtent (int piece, int numberOfPieces, int ghostLevel)| -  Setup the reader as if the given update extent were requested by
// its output.  This can be used after an UpdateInformation to
// validate GetNumberOfPoints() and GetNumberOfCells() without
// actually reading data.
//// \item @|obj.CopyOutputInformation (vtkInformation outInfo, int port)|
//\end{itemize}
//!
