#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLUnstructuredDataWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLUnstructuredDataWriter.h"

//@@Signature
//sfunction @vtkXMLUnstructuredDataWriter:vtkXMLUnstructuredDataWriter vtkXMLUnstructuredDataWriterConstructorFunction
//input a
//output p
//@@Parents vtkXMLUnstructuredDataWriter vtkXMLWriter 
ArrayVector vtkXMLUnstructuredDataWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLUnstructuredDataWriter::New(),"vtkXMLUnstructuredDataWriter",eval);
  } else if (arg[0].className() == "vtkXMLUnstructuredDataWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLUnstructuredDataWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLUnstructuredDataWriter");
    vtkXMLUnstructuredDataWriter*q = reinterpret_cast<vtkXMLUnstructuredDataWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLUnstructuredDataWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLUnstructuredDataWriter:GetClassName vtkXMLUnstructuredDataWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLUnstructuredDataWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLUnstructuredDataWriter requires 1 argument(s)");
  vtkXMLUnstructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredDataWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLUnstructuredDataWriter:IsA vtkXMLUnstructuredDataWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLUnstructuredDataWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLUnstructuredDataWriter requires 2 argument(s)");
  vtkXMLUnstructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredDataWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLUnstructuredDataWriter:NewInstance vtkXMLUnstructuredDataWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLUnstructuredDataWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLUnstructuredDataWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLUnstructuredDataWriter requires 1 argument(s)");
  vtkXMLUnstructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredDataWriter>(arg[0]);
  Array retval;
  vtkXMLUnstructuredDataWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLUnstructuredDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLUnstructuredDataWriter:SafeDownCast vtkXMLUnstructuredDataWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLUnstructuredDataWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLUnstructuredDataWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLUnstructuredDataWriter requires 2 argument(s)");
  vtkXMLUnstructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredDataWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLUnstructuredDataWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLUnstructuredDataWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLUnstructuredDataWriter:SetNumberOfPieces vtkXMLUnstructuredDataWriterSetNumberOfPiecesFunction
//input a0 a1 
//output none
ArrayVector vtkXMLUnstructuredDataWriterSetNumberOfPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfPieces (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfPieces for class vtkXMLUnstructuredDataWriter requires 2 argument(s)");
  vtkXMLUnstructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredDataWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfPieces(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLUnstructuredDataWriter:GetNumberOfPieces vtkXMLUnstructuredDataWriterGetNumberOfPiecesFunction
//input a0 
//output y
ArrayVector vtkXMLUnstructuredDataWriterGetNumberOfPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfPieces (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfPieces for class vtkXMLUnstructuredDataWriter requires 1 argument(s)");
  vtkXMLUnstructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredDataWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfPieces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLUnstructuredDataWriter:SetWritePiece vtkXMLUnstructuredDataWriterSetWritePieceFunction
//input a0 a1 
//output none
ArrayVector vtkXMLUnstructuredDataWriterSetWritePieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetWritePiece (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetWritePiece for class vtkXMLUnstructuredDataWriter requires 2 argument(s)");
  vtkXMLUnstructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredDataWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetWritePiece(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLUnstructuredDataWriter:GetWritePiece vtkXMLUnstructuredDataWriterGetWritePieceFunction
//input a0 
//output y
ArrayVector vtkXMLUnstructuredDataWriterGetWritePieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetWritePiece (); */
  if (arg.size() < 1) 
    throw Exception("Function GetWritePiece for class vtkXMLUnstructuredDataWriter requires 1 argument(s)");
  vtkXMLUnstructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredDataWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetWritePiece();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLUnstructuredDataWriter:SetGhostLevel vtkXMLUnstructuredDataWriterSetGhostLevelFunction
//input a0 a1 
//output none
ArrayVector vtkXMLUnstructuredDataWriterSetGhostLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetGhostLevel (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetGhostLevel for class vtkXMLUnstructuredDataWriter requires 2 argument(s)");
  vtkXMLUnstructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredDataWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetGhostLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLUnstructuredDataWriter:GetGhostLevel vtkXMLUnstructuredDataWriterGetGhostLevelFunction
//input a0 
//output y
ArrayVector vtkXMLUnstructuredDataWriterGetGhostLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetGhostLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetGhostLevel for class vtkXMLUnstructuredDataWriter requires 1 argument(s)");
  vtkXMLUnstructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredDataWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetGhostLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLUnstructuredDataWriter:display vtkXMLUnstructuredDataWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLUnstructuredDataWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLUnstructuredDataWriter* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredDataWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLUnstructuredDataWriter:delete vtkXMLUnstructuredDataWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLUnstructuredDataWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLUnstructuredDataWriter
//@@Section VTKIO
//@@Usage
// vtkXMLUnstructuredDataWriter provides VTK XML writing functionality
// that is common among all the unstructured data formats.
//
//To create an instance of class vtkXMLUnstructuredDataWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLUnstructuredDataWriter
//@]
//@@Methods
//The class vtkXMLUnstructuredDataWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLUnstructuredDataWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLUnstructuredDataWriter = obj.NewInstance ()|
// \item @|vtkXMLUnstructuredDataWriter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetNumberOfPieces (int )| -  Get/Set the number of pieces used to stream the image through the
// pipeline while writing to the file.
//// \item @|int = obj.GetNumberOfPieces ()| -  Get/Set the number of pieces used to stream the image through the
// pipeline while writing to the file.
//// \item @|obj.SetWritePiece (int )| -  Get/Set the piece to write to the file.  If this is
// negative or equal to the NumberOfPieces, all pieces will be written.
//// \item @|int = obj.GetWritePiece ()| -  Get/Set the piece to write to the file.  If this is
// negative or equal to the NumberOfPieces, all pieces will be written.
//// \item @|obj.SetGhostLevel (int )| -  Get/Set the ghost level used to pad each piece.
//// \item @|int = obj.GetGhostLevel ()| -  Get/Set the ghost level used to pad each piece.
////\end{itemize}
//!
