#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLUnstructuredGridReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLUnstructuredGridReader.h"

//@@Signature
//sfunction @vtkXMLUnstructuredGridReader:vtkXMLUnstructuredGridReader vtkXMLUnstructuredGridReaderConstructorFunction
//input a
//output p
//@@Parents vtkXMLUnstructuredGridReader vtkXMLUnstructuredDataReader 
ArrayVector vtkXMLUnstructuredGridReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLUnstructuredGridReader::New(),"vtkXMLUnstructuredGridReader",eval);
  } else if (arg[0].className() == "vtkXMLUnstructuredGridReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLUnstructuredGridReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLUnstructuredGridReader");
    vtkXMLUnstructuredGridReader*q = reinterpret_cast<vtkXMLUnstructuredGridReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLUnstructuredGridReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLUnstructuredGridReader:GetClassName vtkXMLUnstructuredGridReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLUnstructuredGridReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLUnstructuredGridReader requires 1 argument(s)");
  vtkXMLUnstructuredGridReader* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredGridReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLUnstructuredGridReader:IsA vtkXMLUnstructuredGridReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLUnstructuredGridReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLUnstructuredGridReader requires 2 argument(s)");
  vtkXMLUnstructuredGridReader* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredGridReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLUnstructuredGridReader:NewInstance vtkXMLUnstructuredGridReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLUnstructuredGridReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLUnstructuredGridReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLUnstructuredGridReader requires 1 argument(s)");
  vtkXMLUnstructuredGridReader* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredGridReader>(arg[0]);
  Array retval;
  vtkXMLUnstructuredGridReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLUnstructuredGridReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLUnstructuredGridReader:SafeDownCast vtkXMLUnstructuredGridReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLUnstructuredGridReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLUnstructuredGridReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLUnstructuredGridReader requires 2 argument(s)");
  vtkXMLUnstructuredGridReader* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredGridReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLUnstructuredGridReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLUnstructuredGridReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLUnstructuredGridReader:GetOutput__1 vtkXMLUnstructuredGridReaderGetOutput__1Function
//input a0 
//output y
ArrayVector vtkXMLUnstructuredGridReaderGetOutput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetOutput (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutput__1 for class vtkXMLUnstructuredGridReader requires 1 argument(s)");
  vtkXMLUnstructuredGridReader* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredGridReader>(arg[0]);
  Array retval;
  vtkUnstructuredGrid  *temp20;
  temp20 = (vtk_pointer)->GetOutput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLUnstructuredGridReader:GetOutput__2 vtkXMLUnstructuredGridReaderGetOutput__2Function
//input a0 a1 
//output y
ArrayVector vtkXMLUnstructuredGridReaderGetOutput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkUnstructuredGrid *GetOutput (int idx); */
  if (arg.size() < 2) 
    throw Exception("Function GetOutput__2 for class vtkXMLUnstructuredGridReader requires 2 argument(s)");
  vtkXMLUnstructuredGridReader* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredGridReader>(arg[0]);
  Array retval;
  int      temp0;
  vtkUnstructuredGrid  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetOutput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkUnstructuredGrid",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLUnstructuredGridReader:GetOutput vtkXMLUnstructuredGridReaderGetOutputFunction
//input varargin
//output varargout
ArrayVector vtkXMLUnstructuredGridReaderGetOutputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 1))
    return vtkXMLUnstructuredGridReaderGetOutput__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkXMLUnstructuredGridReaderGetOutput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXMLUnstructuredGridReaderGetOutput");
}

//@@Signature
//sfunction @vtkXMLUnstructuredGridReader:display vtkXMLUnstructuredGridReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLUnstructuredGridReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLUnstructuredGridReader* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredGridReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLUnstructuredGridReader:delete vtkXMLUnstructuredGridReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLUnstructuredGridReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLUnstructuredGridReader
//@@Section VTKIO
//@@Usage
// vtkXMLUnstructuredGridReader reads the VTK XML UnstructuredGrid
// file format.  One unstructured grid file can be read to produce one
// output.  Streaming is supported.  The standard extension for this
// reader's file format is "vtu".  This reader is also used to read a
// single piece of the parallel file format.
//
//To create an instance of class vtkXMLUnstructuredGridReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLUnstructuredGridReader
//@]
//@@Methods
//The class vtkXMLUnstructuredGridReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLUnstructuredGridReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLUnstructuredGridReader = obj.NewInstance ()|
// \item @|vtkXMLUnstructuredGridReader = obj.SafeDownCast (vtkObject o)|
// \item @|vtkUnstructuredGrid = obj.GetOutput ()| -  Get the reader's output.
//// \item @|vtkUnstructuredGrid = obj.GetOutput (int idx)| -  Get the reader's output.
////\end{itemize}
//!
