#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLUnstructuredGridWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLUnstructuredGridWriter.h"

//@@Signature
//sfunction @vtkXMLUnstructuredGridWriter:vtkXMLUnstructuredGridWriter vtkXMLUnstructuredGridWriterConstructorFunction
//input a
//output p
//@@Parents vtkXMLUnstructuredGridWriter vtkXMLUnstructuredDataWriter 
ArrayVector vtkXMLUnstructuredGridWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLUnstructuredGridWriter::New(),"vtkXMLUnstructuredGridWriter",eval);
  } else if (arg[0].className() == "vtkXMLUnstructuredGridWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLUnstructuredGridWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLUnstructuredGridWriter");
    vtkXMLUnstructuredGridWriter*q = reinterpret_cast<vtkXMLUnstructuredGridWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLUnstructuredGridWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLUnstructuredGridWriter:GetClassName vtkXMLUnstructuredGridWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLUnstructuredGridWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLUnstructuredGridWriter requires 1 argument(s)");
  vtkXMLUnstructuredGridWriter* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredGridWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLUnstructuredGridWriter:IsA vtkXMLUnstructuredGridWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLUnstructuredGridWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLUnstructuredGridWriter requires 2 argument(s)");
  vtkXMLUnstructuredGridWriter* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredGridWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLUnstructuredGridWriter:NewInstance vtkXMLUnstructuredGridWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLUnstructuredGridWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLUnstructuredGridWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLUnstructuredGridWriter requires 1 argument(s)");
  vtkXMLUnstructuredGridWriter* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredGridWriter>(arg[0]);
  Array retval;
  vtkXMLUnstructuredGridWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLUnstructuredGridWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLUnstructuredGridWriter:SafeDownCast vtkXMLUnstructuredGridWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLUnstructuredGridWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLUnstructuredGridWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLUnstructuredGridWriter requires 2 argument(s)");
  vtkXMLUnstructuredGridWriter* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredGridWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLUnstructuredGridWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLUnstructuredGridWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLUnstructuredGridWriter:GetDefaultFileExtension vtkXMLUnstructuredGridWriterGetDefaultFileExtensionFunction
//input a0 
//output y
ArrayVector vtkXMLUnstructuredGridWriterGetDefaultFileExtensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetDefaultFileExtension (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultFileExtension for class vtkXMLUnstructuredGridWriter requires 1 argument(s)");
  vtkXMLUnstructuredGridWriter* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredGridWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDefaultFileExtension();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLUnstructuredGridWriter:display vtkXMLUnstructuredGridWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLUnstructuredGridWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLUnstructuredGridWriter* vtk_pointer = GetVTKPointer<vtkXMLUnstructuredGridWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLUnstructuredGridWriter:delete vtkXMLUnstructuredGridWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLUnstructuredGridWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLUnstructuredGridWriter
//@@Section VTKIO
//@@Usage
// vtkXMLUnstructuredGridWriter writes the VTK XML UnstructuredGrid
// file format.  One unstructured grid input can be written into one
// file in any number of streamed pieces (if supported by the rest of
// the pipeline).  The standard extension for this writer's file
// format is "vtu".  This writer is also used to write a single piece
// of the parallel file format.
//
//To create an instance of class vtkXMLUnstructuredGridWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLUnstructuredGridWriter
//@]
//@@Methods
//The class vtkXMLUnstructuredGridWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLUnstructuredGridWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLUnstructuredGridWriter = obj.NewInstance ()|
// \item @|vtkXMLUnstructuredGridWriter = obj.SafeDownCast (vtkObject o)|
// \item @|string = obj.GetDefaultFileExtension ()| -  Get the default file extension for files written by this writer.
////\end{itemize}
//!
