#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLUtilities object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLUtilities.h"

//@@Signature
//sfunction @vtkXMLUtilities:vtkXMLUtilities vtkXMLUtilitiesConstructorFunction
//input a
//output p
//@@Parents vtkXMLUtilities vtkObject 
ArrayVector vtkXMLUtilitiesConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLUtilities::New(),"vtkXMLUtilities",eval);
  } else if (arg[0].className() == "vtkXMLUtilities") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLUtilities"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLUtilities");
    vtkXMLUtilities*q = reinterpret_cast<vtkXMLUtilities*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLUtilities");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLUtilities:GetClassName vtkXMLUtilitiesGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLUtilitiesGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLUtilities requires 1 argument(s)");
  vtkXMLUtilities* vtk_pointer = GetVTKPointer<vtkXMLUtilities>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLUtilities:IsA vtkXMLUtilitiesIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLUtilitiesIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLUtilities requires 2 argument(s)");
  vtkXMLUtilities* vtk_pointer = GetVTKPointer<vtkXMLUtilities>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLUtilities:NewInstance vtkXMLUtilitiesNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLUtilitiesNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLUtilities *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLUtilities requires 1 argument(s)");
  vtkXMLUtilities* vtk_pointer = GetVTKPointer<vtkXMLUtilities>(arg[0]);
  Array retval;
  vtkXMLUtilities  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLUtilities",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLUtilities:SafeDownCast vtkXMLUtilitiesSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLUtilitiesSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLUtilities *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLUtilities requires 2 argument(s)");
  vtkXMLUtilities* vtk_pointer = GetVTKPointer<vtkXMLUtilities>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLUtilities  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLUtilities",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLUtilities:FactorElements vtkXMLUtilitiesFactorElementsFunction
//input a0 a1 
//output none
ArrayVector vtkXMLUtilitiesFactorElementsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void FactorElements (vtkXMLDataElement *tree); */
  if (arg.size() < 2) 
    throw Exception("Function FactorElements for class vtkXMLUtilities requires 2 argument(s)");
  vtkXMLUtilities* vtk_pointer = GetVTKPointer<vtkXMLUtilities>(arg[0]);
  Array retval;
  vtkXMLDataElement  *temp0;
  temp0 = GetVTKPointer<vtkXMLDataElement>(arg[1]);
  vtk_pointer->FactorElements(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLUtilities:UnFactorElements vtkXMLUtilitiesUnFactorElementsFunction
//input a0 a1 
//output none
ArrayVector vtkXMLUtilitiesUnFactorElementsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature static void UnFactorElements (vtkXMLDataElement *tree); */
  if (arg.size() < 2) 
    throw Exception("Function UnFactorElements for class vtkXMLUtilities requires 2 argument(s)");
  vtkXMLUtilities* vtk_pointer = GetVTKPointer<vtkXMLUtilities>(arg[0]);
  Array retval;
  vtkXMLDataElement  *temp0;
  temp0 = GetVTKPointer<vtkXMLDataElement>(arg[1]);
  vtk_pointer->UnFactorElements(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLUtilities:display vtkXMLUtilitiesDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLUtilitiesDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLUtilities* vtk_pointer = GetVTKPointer<vtkXMLUtilities>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLUtilities:delete vtkXMLUtilitiesDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLUtilitiesDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLUtilities
//@@Section VTKIO
//@@Usage
// vtkXMLUtilities provides XML-related convenience functions.
//
//To create an instance of class vtkXMLUtilities, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLUtilities
//@]
//@@Methods
//The class vtkXMLUtilities has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLUtilities class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLUtilities = obj.NewInstance ()|
// \item @|vtkXMLUtilities = obj.SafeDownCast (vtkObject o)|
//\end{itemize}
//!
