#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXMLWriter object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXMLWriter.h"

//@@Signature
//sfunction @vtkXMLWriter:vtkXMLWriter vtkXMLWriterConstructorFunction
//input a
//output p
//@@Parents vtkXMLWriter vtkAlgorithm 
ArrayVector vtkXMLWriterConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXMLWriter::New(),"vtkXMLWriter",eval);
  } else if (arg[0].className() == "vtkXMLWriter") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXMLWriter"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXMLWriter");
    vtkXMLWriter*q = reinterpret_cast<vtkXMLWriter*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXMLWriter");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXMLWriter:GetClassName vtkXMLWriterGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXMLWriterGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXMLWriter requires 1 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:IsA vtkXMLWriterIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXMLWriterIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXMLWriter requires 2 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:NewInstance vtkXMLWriterNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXMLWriterNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLWriter *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXMLWriter requires 1 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  vtkXMLWriter  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:SafeDownCast vtkXMLWriterSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXMLWriterSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXMLWriter *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXMLWriter requires 2 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXMLWriter  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXMLWriter",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:SetByteOrder vtkXMLWriterSetByteOrderFunction
//input a0 a1 
//output none
ArrayVector vtkXMLWriterSetByteOrderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetByteOrder (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetByteOrder for class vtkXMLWriter requires 2 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetByteOrder(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:GetByteOrder vtkXMLWriterGetByteOrderFunction
//input a0 
//output y
ArrayVector vtkXMLWriterGetByteOrderFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetByteOrder (); */
  if (arg.size() < 1) 
    throw Exception("Function GetByteOrder for class vtkXMLWriter requires 1 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetByteOrder();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:SetByteOrderToBigEndian vtkXMLWriterSetByteOrderToBigEndianFunction
//input a0 
//output none
ArrayVector vtkXMLWriterSetByteOrderToBigEndianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetByteOrderToBigEndian (); */
  if (arg.size() < 1) 
    throw Exception("Function SetByteOrderToBigEndian for class vtkXMLWriter requires 1 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  vtk_pointer->SetByteOrderToBigEndian();
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:SetByteOrderToLittleEndian vtkXMLWriterSetByteOrderToLittleEndianFunction
//input a0 
//output none
ArrayVector vtkXMLWriterSetByteOrderToLittleEndianFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetByteOrderToLittleEndian (); */
  if (arg.size() < 1) 
    throw Exception("Function SetByteOrderToLittleEndian for class vtkXMLWriter requires 1 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  vtk_pointer->SetByteOrderToLittleEndian();
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:SetIdType vtkXMLWriterSetIdTypeFunction
//input a0 a1 
//output none
ArrayVector vtkXMLWriterSetIdTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetIdType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetIdType for class vtkXMLWriter requires 2 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetIdType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:GetIdType vtkXMLWriterGetIdTypeFunction
//input a0 
//output y
ArrayVector vtkXMLWriterGetIdTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetIdType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetIdType for class vtkXMLWriter requires 1 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetIdType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:SetIdTypeToInt32 vtkXMLWriterSetIdTypeToInt32Function
//input a0 
//output none
ArrayVector vtkXMLWriterSetIdTypeToInt32Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIdTypeToInt32 (); */
  if (arg.size() < 1) 
    throw Exception("Function SetIdTypeToInt32 for class vtkXMLWriter requires 1 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  vtk_pointer->SetIdTypeToInt32();
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:SetIdTypeToInt64 vtkXMLWriterSetIdTypeToInt64Function
//input a0 
//output none
ArrayVector vtkXMLWriterSetIdTypeToInt64Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetIdTypeToInt64 (); */
  if (arg.size() < 1) 
    throw Exception("Function SetIdTypeToInt64 for class vtkXMLWriter requires 1 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  vtk_pointer->SetIdTypeToInt64();
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:SetFileName vtkXMLWriterSetFileNameFunction
//input a0 a1 
//output none
ArrayVector vtkXMLWriterSetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetFileName (char *); */
  if (arg.size() < 2) 
    throw Exception("Function SetFileName for class vtkXMLWriter requires 2 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SetFileName(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:GetFileName vtkXMLWriterGetFileNameFunction
//input a0 
//output y
ArrayVector vtkXMLWriterGetFileNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetFileName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetFileName for class vtkXMLWriter requires 1 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetFileName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:SetCompressor vtkXMLWriterSetCompressorFunction
//input a0 a1 
//output none
ArrayVector vtkXMLWriterSetCompressorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetCompressor (vtkDataCompressor *); */
  if (arg.size() < 2) 
    throw Exception("Function SetCompressor for class vtkXMLWriter requires 2 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  vtkDataCompressor  *temp0;
  temp0 = GetVTKPointer<vtkDataCompressor>(arg[1]);
  vtk_pointer->SetCompressor(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:GetCompressor vtkXMLWriterGetCompressorFunction
//input a0 
//output y
ArrayVector vtkXMLWriterGetCompressorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataCompressor *GetCompressor (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCompressor for class vtkXMLWriter requires 1 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  vtkDataCompressor  *temp20;
  temp20 = (vtk_pointer)->GetCompressor();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataCompressor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:SetCompressorType vtkXMLWriterSetCompressorTypeFunction
//input a0 a1 
//output none
ArrayVector vtkXMLWriterSetCompressorTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCompressorType (int compressorType); */
  if (arg.size() < 2) 
    throw Exception("Function SetCompressorType for class vtkXMLWriter requires 2 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCompressorType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:SetCompressorTypeToNone vtkXMLWriterSetCompressorTypeToNoneFunction
//input a0 
//output none
ArrayVector vtkXMLWriterSetCompressorTypeToNoneFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCompressorTypeToNone ();this SetCompressorType NONE  */
  if (arg.size() < 1) 
    throw Exception("Function SetCompressorTypeToNone for class vtkXMLWriter requires 1 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  vtk_pointer->SetCompressorTypeToNone();
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:SetCompressorTypeToZLib vtkXMLWriterSetCompressorTypeToZLibFunction
//input a0 
//output none
ArrayVector vtkXMLWriterSetCompressorTypeToZLibFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCompressorTypeToZLib ();this SetCompressorType ZLIB  */
  if (arg.size() < 1) 
    throw Exception("Function SetCompressorTypeToZLib for class vtkXMLWriter requires 1 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  vtk_pointer->SetCompressorTypeToZLib();
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:SetBlockSize vtkXMLWriterSetBlockSizeFunction
//input a0 a1 
//output none
ArrayVector vtkXMLWriterSetBlockSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetBlockSize (unsigned int blockSize); */
  if (arg.size() < 2) 
    throw Exception("Function SetBlockSize for class vtkXMLWriter requires 2 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  unsigned int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned int) arg[1].asDouble();
  vtk_pointer->SetBlockSize(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:GetBlockSize vtkXMLWriterGetBlockSizeFunction
//input a0 
//output y
ArrayVector vtkXMLWriterGetBlockSizeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int unsigned GetBlockSize (); */
  if (arg.size() < 1) 
    throw Exception("Function GetBlockSize for class vtkXMLWriter requires 1 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  unsigned int      temp20;
  temp20 = (vtk_pointer)->GetBlockSize();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:SetDataMode vtkXMLWriterSetDataModeFunction
//input a0 a1 
//output none
ArrayVector vtkXMLWriterSetDataModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataMode (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetDataMode for class vtkXMLWriter requires 2 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetDataMode(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:GetDataMode vtkXMLWriterGetDataModeFunction
//input a0 
//output y
ArrayVector vtkXMLWriterGetDataModeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataMode (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataMode for class vtkXMLWriter requires 1 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataMode();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:SetDataModeToAscii vtkXMLWriterSetDataModeToAsciiFunction
//input a0 
//output none
ArrayVector vtkXMLWriterSetDataModeToAsciiFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataModeToAscii (); */
  if (arg.size() < 1) 
    throw Exception("Function SetDataModeToAscii for class vtkXMLWriter requires 1 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  vtk_pointer->SetDataModeToAscii();
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:SetDataModeToBinary vtkXMLWriterSetDataModeToBinaryFunction
//input a0 
//output none
ArrayVector vtkXMLWriterSetDataModeToBinaryFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataModeToBinary (); */
  if (arg.size() < 1) 
    throw Exception("Function SetDataModeToBinary for class vtkXMLWriter requires 1 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  vtk_pointer->SetDataModeToBinary();
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:SetDataModeToAppended vtkXMLWriterSetDataModeToAppendedFunction
//input a0 
//output none
ArrayVector vtkXMLWriterSetDataModeToAppendedFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetDataModeToAppended (); */
  if (arg.size() < 1) 
    throw Exception("Function SetDataModeToAppended for class vtkXMLWriter requires 1 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  vtk_pointer->SetDataModeToAppended();
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:SetEncodeAppendedData vtkXMLWriterSetEncodeAppendedDataFunction
//input a0 a1 
//output none
ArrayVector vtkXMLWriterSetEncodeAppendedDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetEncodeAppendedData (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetEncodeAppendedData for class vtkXMLWriter requires 2 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetEncodeAppendedData(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:GetEncodeAppendedData vtkXMLWriterGetEncodeAppendedDataFunction
//input a0 
//output y
ArrayVector vtkXMLWriterGetEncodeAppendedDataFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetEncodeAppendedData (); */
  if (arg.size() < 1) 
    throw Exception("Function GetEncodeAppendedData for class vtkXMLWriter requires 1 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetEncodeAppendedData();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:EncodeAppendedDataOn vtkXMLWriterEncodeAppendedDataOnFunction
//input a0 
//output none
ArrayVector vtkXMLWriterEncodeAppendedDataOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EncodeAppendedDataOn (); */
  if (arg.size() < 1) 
    throw Exception("Function EncodeAppendedDataOn for class vtkXMLWriter requires 1 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  vtk_pointer->EncodeAppendedDataOn();
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:EncodeAppendedDataOff vtkXMLWriterEncodeAppendedDataOffFunction
//input a0 
//output none
ArrayVector vtkXMLWriterEncodeAppendedDataOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void EncodeAppendedDataOff (); */
  if (arg.size() < 1) 
    throw Exception("Function EncodeAppendedDataOff for class vtkXMLWriter requires 1 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  vtk_pointer->EncodeAppendedDataOff();
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:SetInput__1 vtkXMLWriterSetInput__1Function
//input a0 a1 
//output none
ArrayVector vtkXMLWriterSetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (vtkDataObject *); */
  if (arg.size() < 2) 
    throw Exception("Function SetInput__1 for class vtkXMLWriter requires 2 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  vtkDataObject  *temp0;
  temp0 = GetVTKPointer<vtkDataObject>(arg[1]);
  vtk_pointer->SetInput(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:SetInput__2 vtkXMLWriterSetInput__2Function
//input a0 a1 a2 
//output none
ArrayVector vtkXMLWriterSetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetInput (int , vtkDataObject *); */
  if (arg.size() < 3) 
    throw Exception("Function SetInput__2 for class vtkXMLWriter requires 3 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataObject>(arg[2]);
  vtk_pointer->SetInput(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:GetInput__1 vtkXMLWriterGetInput__1Function
//input a0 a1 
//output y
ArrayVector vtkXMLWriterGetInput__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput (int port); */
  if (arg.size() < 2) 
    throw Exception("Function GetInput__1 for class vtkXMLWriter requires 2 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataObject  *temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetInput(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:GetInput__2 vtkXMLWriterGetInput__2Function
//input a0 
//output y
ArrayVector vtkXMLWriterGetInput__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkDataObject *GetInput ();return this GetInput  */
  if (arg.size() < 1) 
    throw Exception("Function GetInput__2 for class vtkXMLWriter requires 1 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  vtkDataObject  *temp20;
  temp20 = (vtk_pointer)->GetInput();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkDataObject",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:GetDefaultFileExtension vtkXMLWriterGetDefaultFileExtensionFunction
//input a0 
//output y
ArrayVector vtkXMLWriterGetDefaultFileExtensionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual const char *GetDefaultFileExtension () = 0; */
  if (arg.size() < 1) 
    throw Exception("Function GetDefaultFileExtension for class vtkXMLWriter requires 1 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetDefaultFileExtension();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:Write vtkXMLWriterWriteFunction
//input a0 
//output y
ArrayVector vtkXMLWriterWriteFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int Write (); */
  if (arg.size() < 1) 
    throw Exception("Function Write for class vtkXMLWriter requires 1 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->Write();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:SetTimeStep vtkXMLWriterSetTimeStepFunction
//input a0 a1 
//output none
ArrayVector vtkXMLWriterSetTimeStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimeStep (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimeStep for class vtkXMLWriter requires 2 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTimeStep(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:GetTimeStep vtkXMLWriterGetTimeStepFunction
//input a0 
//output y
ArrayVector vtkXMLWriterGetTimeStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTimeStep (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimeStep for class vtkXMLWriter requires 1 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTimeStep();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:GetTimeStepRange vtkXMLWriterGetTimeStepRangeFunction
//input a0 
//output y
ArrayVector vtkXMLWriterGetTimeStepRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int  *GetTimeStepRange (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimeStepRange for class vtkXMLWriter requires 1 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  int     *temp20;
  temp20 = (vtk_pointer)->GetTimeStepRange();
  BasicArray<double> tempResult(NTuple(2,1));
  tempResult[1] = (double)temp20[0];
  tempResult[2] = (double)temp20[1];
  retval = Array(tempResult);
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:SetTimeStepRange__1 vtkXMLWriterSetTimeStepRange__1Function
//input a0 a1 a2 
//output none
ArrayVector vtkXMLWriterSetTimeStepRange__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimeStepRange (int , int ); */
  if (arg.size() < 3) 
    throw Exception("Function SetTimeStepRange__1 for class vtkXMLWriter requires 3 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  int      temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetTimeStepRange(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:SetTimeStepRange__2 vtkXMLWriterSetTimeStepRange__2Function
//input a0 a1 
//output none
ArrayVector vtkXMLWriterSetTimeStepRange__2Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimeStepRange (int  a[2]); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimeStepRange__2 for class vtkXMLWriter requires 2 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  int    temp0[2];
  if ( !(arg[1].isVector() && arg[1].length() == 2) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (int)data[k+1];
  }
  vtk_pointer->SetTimeStepRange(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:GetNumberOfTimeSteps vtkXMLWriterGetNumberOfTimeStepsFunction
//input a0 
//output y
ArrayVector vtkXMLWriterGetNumberOfTimeStepsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetNumberOfTimeSteps (); */
  if (arg.size() < 1) 
    throw Exception("Function GetNumberOfTimeSteps for class vtkXMLWriter requires 1 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetNumberOfTimeSteps();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:SetNumberOfTimeSteps vtkXMLWriterSetNumberOfTimeStepsFunction
//input a0 a1 
//output none
ArrayVector vtkXMLWriterSetNumberOfTimeStepsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetNumberOfTimeSteps (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetNumberOfTimeSteps for class vtkXMLWriter requires 2 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetNumberOfTimeSteps(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:Start vtkXMLWriterStartFunction
//input a0 
//output none
ArrayVector vtkXMLWriterStartFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Start (); */
  if (arg.size() < 1) 
    throw Exception("Function Start for class vtkXMLWriter requires 1 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  vtk_pointer->Start();
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:Stop vtkXMLWriterStopFunction
//input a0 
//output none
ArrayVector vtkXMLWriterStopFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void Stop (); */
  if (arg.size() < 1) 
    throw Exception("Function Stop for class vtkXMLWriter requires 1 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  vtk_pointer->Stop();
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:WriteNextTime vtkXMLWriterWriteNextTimeFunction
//input a0 a1 
//output none
ArrayVector vtkXMLWriterWriteNextTimeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void WriteNextTime (double time); */
  if (arg.size() < 2) 
    throw Exception("Function WriteNextTime for class vtkXMLWriter requires 2 argument(s)");
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  Array retval;
  double   temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (double) arg[1].asDouble();
  vtk_pointer->WriteNextTime(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXMLWriter:SetInput vtkXMLWriterSetInputFunction
//input varargin
//output varargout
ArrayVector vtkXMLWriterSetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsClass(arg[1],"vtkDataObject"))
    return vtkXMLWriterSetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsClass(arg[2],"vtkDataObject"))
    return vtkXMLWriterSetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXMLWriterSetInput");
}

//@@Signature
//sfunction @vtkXMLWriter:GetInput vtkXMLWriterGetInputFunction
//input varargin
//output varargout
ArrayVector vtkXMLWriterGetInputFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsScalarArg(arg[1]))
    return vtkXMLWriterGetInput__1Function(nargout,arg,eval);
  if ((arg.size() == 1))
    return vtkXMLWriterGetInput__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXMLWriterGetInput");
}

//@@Signature
//sfunction @vtkXMLWriter:SetTimeStepRange vtkXMLWriterSetTimeStepRangeFunction
//input varargin
//output varargout
ArrayVector vtkXMLWriterSetTimeStepRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsScalarArg(arg[1]) && VTKIsScalarArg(arg[2]))
    return vtkXMLWriterSetTimeStepRange__1Function(nargout,arg,eval);
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkXMLWriterSetTimeStepRange__2Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkXMLWriterSetTimeStepRange");
}

//@@Signature
//sfunction @vtkXMLWriter:DeleteAFile vtkXMLWriterDeleteAFileFunction
//input varargin
//output varargout
ArrayVector vtkXMLWriterDeleteAFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkXMLWriterDeleteAFile");
}

//@@Signature
//sfunction @vtkXMLWriter:WriteScalarAttribute vtkXMLWriterWriteScalarAttributeFunction
//input varargin
//output varargout
ArrayVector vtkXMLWriterWriteScalarAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkXMLWriterWriteScalarAttribute");
}

//@@Signature
//sfunction @vtkXMLWriter:WriteVectorAttribute vtkXMLWriterWriteVectorAttributeFunction
//input varargin
//output varargout
ArrayVector vtkXMLWriterWriteVectorAttributeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkXMLWriterWriteVectorAttribute");
}

//@@Signature
//sfunction @vtkXMLWriter:WriteBinaryDataInternal vtkXMLWriterWriteBinaryDataInternalFunction
//input varargin
//output varargout
ArrayVector vtkXMLWriterWriteBinaryDataInternalFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkXMLWriterWriteBinaryDataInternal");
}

//@@Signature
//sfunction @vtkXMLWriter:SetProgressRange vtkXMLWriterSetProgressRangeFunction
//input varargin
//output varargout
ArrayVector vtkXMLWriterSetProgressRangeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  throw Exception("unable to resolve to an overloaded instance of vtkXMLWriterSetProgressRange");
}

//@@Signature
//sfunction @vtkXMLWriter:display vtkXMLWriterDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXMLWriterDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXMLWriter* vtk_pointer = GetVTKPointer<vtkXMLWriter>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXMLWriter:delete vtkXMLWriterDeleteFunction
//input varargin
//output none
ArrayVector vtkXMLWriterDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXMLWriter
//@@Section VTKIO
//@@Usage
// vtkXMLWriter provides methods implementing most of the
// functionality needed to write VTK XML file formats.  Concrete
// subclasses provide actual writer implementations calling upon this
// functionality.
//
//To create an instance of class vtkXMLWriter, simply
//invoke its constructor as follows
//@[
//  obj = vtkXMLWriter
//@]
//@@Methods
//The class vtkXMLWriter has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXMLWriter class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXMLWriter = obj.NewInstance ()|
// \item @|vtkXMLWriter = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetByteOrder (int )| -  Get/Set the byte order of data written to the file.  The default
// is the machine's hardware byte order.
//// \item @|int = obj.GetByteOrder ()| -  Get/Set the byte order of data written to the file.  The default
// is the machine's hardware byte order.
//// \item @|obj.SetByteOrderToBigEndian ()| -  Get/Set the byte order of data written to the file.  The default
// is the machine's hardware byte order.
//// \item @|obj.SetByteOrderToLittleEndian ()| -  Get/Set the byte order of data written to the file.  The default
// is the machine's hardware byte order.
//// \item @|obj.SetIdType (int )| -  Get/Set the size of the vtkIdType values stored in the file.  The
// default is the real size of vtkIdType.
//// \item @|int = obj.GetIdType ()| -  Get/Set the size of the vtkIdType values stored in the file.  The
// default is the real size of vtkIdType.
//// \item @|obj.SetIdTypeToInt32 ()| -  Get/Set the size of the vtkIdType values stored in the file.  The
// default is the real size of vtkIdType.
//// \item @|obj.SetIdTypeToInt64 ()| -  Get/Set the size of the vtkIdType values stored in the file.  The
// default is the real size of vtkIdType.
//// \item @|obj.SetFileName (string )| -  Get/Set the name of the output file.
//// \item @|string = obj.GetFileName ()| -  Get/Set the name of the output file.
//// \item @|obj.SetCompressor (vtkDataCompressor )| -  Get/Set the compressor used to compress binary and appended data
// before writing to the file.  Default is a vtkZLibDataCompressor.
//// \item @|vtkDataCompressor = obj.GetCompressor ()| -  Get/Set the compressor used to compress binary and appended data
// before writing to the file.  Default is a vtkZLibDataCompressor.
//// \item @|obj.SetCompressorType (int compressorType)| -  Convenience functions to set the compressor to certain known types.
//// \item @|obj.SetCompressorTypeToNone ()| -  Convenience functions to set the compressor to certain known types.
//// \item @|obj.SetCompressorTypeToZLib ()| -  Get/Set the block size used in compression.  When reading, this
// controls the granularity of how much extra information must be
// read when only part of the data are requested.  The value should
// be a multiple of the largest scalar data type.
//// \item @|obj.SetBlockSize (int blockSize)| -  Get/Set the block size used in compression.  When reading, this
// controls the granularity of how much extra information must be
// read when only part of the data are requested.  The value should
// be a multiple of the largest scalar data type.
//// \item @|int = obj.GetBlockSize ()| -  Get/Set the block size used in compression.  When reading, this
// controls the granularity of how much extra information must be
// read when only part of the data are requested.  The value should
// be a multiple of the largest scalar data type.
//// \item @|obj.SetDataMode (int )| -  Get/Set the data mode used for the file's data.  The options are
// vtkXMLWriter::Ascii, vtkXMLWriter::Binary, and
// vtkXMLWriter::Appended.
//// \item @|int = obj.GetDataMode ()| -  Get/Set the data mode used for the file's data.  The options are
// vtkXMLWriter::Ascii, vtkXMLWriter::Binary, and
// vtkXMLWriter::Appended.
//// \item @|obj.SetDataModeToAscii ()| -  Get/Set the data mode used for the file's data.  The options are
// vtkXMLWriter::Ascii, vtkXMLWriter::Binary, and
// vtkXMLWriter::Appended.
//// \item @|obj.SetDataModeToBinary ()| -  Get/Set the data mode used for the file's data.  The options are
// vtkXMLWriter::Ascii, vtkXMLWriter::Binary, and
// vtkXMLWriter::Appended.
//// \item @|obj.SetDataModeToAppended ()| -  Get/Set the data mode used for the file's data.  The options are
// vtkXMLWriter::Ascii, vtkXMLWriter::Binary, and
// vtkXMLWriter::Appended.
//// \item @|obj.SetEncodeAppendedData (int )| -  Get/Set whether the appended data section is base64 encoded.  If
// encoded, reading and writing will be slower, but the file will be
// fully valid XML and text-only.  If not encoded, the XML
// specification will be violated, but reading and writing will be
// fast.  The default is to do the encoding.
//// \item @|int = obj.GetEncodeAppendedData ()| -  Get/Set whether the appended data section is base64 encoded.  If
// encoded, reading and writing will be slower, but the file will be
// fully valid XML and text-only.  If not encoded, the XML
// specification will be violated, but reading and writing will be
// fast.  The default is to do the encoding.
//// \item @|obj.EncodeAppendedDataOn ()| -  Get/Set whether the appended data section is base64 encoded.  If
// encoded, reading and writing will be slower, but the file will be
// fully valid XML and text-only.  If not encoded, the XML
// specification will be violated, but reading and writing will be
// fast.  The default is to do the encoding.
//// \item @|obj.EncodeAppendedDataOff ()| -  Get/Set whether the appended data section is base64 encoded.  If
// encoded, reading and writing will be slower, but the file will be
// fully valid XML and text-only.  If not encoded, the XML
// specification will be violated, but reading and writing will be
// fast.  The default is to do the encoding.
//// \item @|obj.SetInput (vtkDataObject )| -  Set/Get an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline
//// \item @|obj.SetInput (int , vtkDataObject )| -  Set/Get an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline
//// \item @|vtkDataObject = obj.GetInput (int port)| -  Set/Get an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline
//// \item @|vtkDataObject = obj.GetInput ()| -  Set/Get an input of this algorithm. You should not override these
// methods because they are not the only way to connect a pipeline
//// \item @|string = obj.GetDefaultFileExtension ()| -  Get the default file extension for files written by this writer.
//// \item @|int = obj.Write ()| -  Invoke the writer.  Returns 1 for success, 0 for failure.
//// \item @|obj.SetTimeStep (int )| -  Which TimeStep to write.
//// \item @|int = obj.GetTimeStep ()| -  Which TimeStep to write.
//// \item @|int = obj. GetTimeStepRange ()| -  Which TimeStepRange to write.
//// \item @|obj.SetTimeStepRange (int , int )| -  Which TimeStepRange to write.
//// \item @|obj.SetTimeStepRange (int  a[2])| -  Which TimeStepRange to write.
//// \item @|int = obj.GetNumberOfTimeSteps ()| -  Set the number of time steps
//// \item @|obj.SetNumberOfTimeSteps (int )| -  Set the number of time steps
//// \item @|obj.Start ()| -  API to interface an outside the VTK pipeline control
//// \item @|obj.Stop ()| -  API to interface an outside the VTK pipeline control
//// \item @|obj.WriteNextTime (double time)| -  API to interface an outside the VTK pipeline control
////\end{itemize}
//!
