#include "VTKWrap.hpp"

// FreeMat wrapper for vtkXYZMolReader object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkXYZMolReader.h"

//@@Signature
//sfunction @vtkXYZMolReader:vtkXYZMolReader vtkXYZMolReaderConstructorFunction
//input a
//output p
//@@Parents vtkXYZMolReader vtkMoleculeReaderBase 
ArrayVector vtkXYZMolReaderConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkXYZMolReader::New(),"vtkXYZMolReader",eval);
  } else if (arg[0].className() == "vtkXYZMolReader") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkXYZMolReader"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkXYZMolReader");
    vtkXYZMolReader*q = reinterpret_cast<vtkXYZMolReader*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkXYZMolReader");
    return ret;
  }
}
//@@Signature
//sfunction @vtkXYZMolReader:GetClassName vtkXYZMolReaderGetClassNameFunction
//input a0 
//output y
ArrayVector vtkXYZMolReaderGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkXYZMolReader requires 1 argument(s)");
  vtkXYZMolReader* vtk_pointer = GetVTKPointer<vtkXYZMolReader>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYZMolReader:IsA vtkXYZMolReaderIsAFunction
//input a0 a1 
//output y
ArrayVector vtkXYZMolReaderIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkXYZMolReader requires 2 argument(s)");
  vtkXYZMolReader* vtk_pointer = GetVTKPointer<vtkXYZMolReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYZMolReader:NewInstance vtkXYZMolReaderNewInstanceFunction
//input a0 
//output y
ArrayVector vtkXYZMolReaderNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXYZMolReader *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkXYZMolReader requires 1 argument(s)");
  vtkXYZMolReader* vtk_pointer = GetVTKPointer<vtkXYZMolReader>(arg[0]);
  Array retval;
  vtkXYZMolReader  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXYZMolReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXYZMolReader:SafeDownCast vtkXYZMolReaderSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkXYZMolReaderSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkXYZMolReader *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkXYZMolReader requires 2 argument(s)");
  vtkXYZMolReader* vtk_pointer = GetVTKPointer<vtkXYZMolReader>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkXYZMolReader  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkXYZMolReader",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkXYZMolReader:CanReadFile vtkXYZMolReaderCanReadFileFunction
//input a0 a1 
//output y
ArrayVector vtkXYZMolReaderCanReadFileFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int CanReadFile (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function CanReadFile for class vtkXYZMolReader requires 2 argument(s)");
  vtkXYZMolReader* vtk_pointer = GetVTKPointer<vtkXYZMolReader>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->CanReadFile(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYZMolReader:SetTimeStep vtkXYZMolReaderSetTimeStepFunction
//input a0 a1 
//output none
ArrayVector vtkXYZMolReaderSetTimeStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetTimeStep (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetTimeStep for class vtkXYZMolReader requires 2 argument(s)");
  vtkXYZMolReader* vtk_pointer = GetVTKPointer<vtkXYZMolReader>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetTimeStep(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkXYZMolReader:GetTimeStep vtkXYZMolReaderGetTimeStepFunction
//input a0 
//output y
ArrayVector vtkXYZMolReaderGetTimeStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetTimeStep (); */
  if (arg.size() < 1) 
    throw Exception("Function GetTimeStep for class vtkXYZMolReader requires 1 argument(s)");
  vtkXYZMolReader* vtk_pointer = GetVTKPointer<vtkXYZMolReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetTimeStep();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYZMolReader:GetMaxTimeStep vtkXYZMolReaderGetMaxTimeStepFunction
//input a0 
//output y
ArrayVector vtkXYZMolReaderGetMaxTimeStepFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetMaxTimeStep (); */
  if (arg.size() < 1) 
    throw Exception("Function GetMaxTimeStep for class vtkXYZMolReader requires 1 argument(s)");
  vtkXYZMolReader* vtk_pointer = GetVTKPointer<vtkXYZMolReader>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetMaxTimeStep();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkXYZMolReader:display vtkXYZMolReaderDisplayFunction
//input varargin
//output varargout
ArrayVector vtkXYZMolReaderDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkXYZMolReader* vtk_pointer = GetVTKPointer<vtkXYZMolReader>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkXYZMolReader:delete vtkXYZMolReaderDeleteFunction
//input varargin
//output none
ArrayVector vtkXYZMolReaderDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkXYZMolReader
//@@Section VTKIO
//@@Usage
// vtkXYZMolReader is a source object that reads Molecule files
// The FileName must be specified
//
// .SECTION Thanks
// Dr. Jean M. Favre who developed and contributed this class
//
//To create an instance of class vtkXYZMolReader, simply
//invoke its constructor as follows
//@[
//  obj = vtkXYZMolReader
//@]
//@@Methods
//The class vtkXYZMolReader has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkXYZMolReader class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkXYZMolReader = obj.NewInstance ()|
// \item @|vtkXYZMolReader = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.CanReadFile (string name)| -  Test whether the file with the given name can be read by this
// reader.
//// \item @|obj.SetTimeStep (int )| -  Set the current time step. It should be greater than 0 and smaller than
// MaxTimeStep.
//// \item @|int = obj.GetTimeStep ()| -  Set the current time step. It should be greater than 0 and smaller than
// MaxTimeStep.
//// \item @|int = obj.GetMaxTimeStep ()| -  Get the maximum time step.
////\end{itemize}
//!
