#include "VTKWrap.hpp"

// FreeMat wrapper for vtkZLibDataCompressor object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkZLibDataCompressor.h"

//@@Signature
//sfunction @vtkZLibDataCompressor:vtkZLibDataCompressor vtkZLibDataCompressorConstructorFunction
//input a
//output p
//@@Parents vtkZLibDataCompressor vtkDataCompressor 
ArrayVector vtkZLibDataCompressorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkZLibDataCompressor::New(),"vtkZLibDataCompressor",eval);
  } else if (arg[0].className() == "vtkZLibDataCompressor") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkZLibDataCompressor"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkZLibDataCompressor");
    vtkZLibDataCompressor*q = reinterpret_cast<vtkZLibDataCompressor*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkZLibDataCompressor");
    return ret;
  }
}
//@@Signature
//sfunction @vtkZLibDataCompressor:GetClassName vtkZLibDataCompressorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkZLibDataCompressorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkZLibDataCompressor requires 1 argument(s)");
  vtkZLibDataCompressor* vtk_pointer = GetVTKPointer<vtkZLibDataCompressor>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkZLibDataCompressor:IsA vtkZLibDataCompressorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkZLibDataCompressorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkZLibDataCompressor requires 2 argument(s)");
  vtkZLibDataCompressor* vtk_pointer = GetVTKPointer<vtkZLibDataCompressor>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkZLibDataCompressor:NewInstance vtkZLibDataCompressorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkZLibDataCompressorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkZLibDataCompressor *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkZLibDataCompressor requires 1 argument(s)");
  vtkZLibDataCompressor* vtk_pointer = GetVTKPointer<vtkZLibDataCompressor>(arg[0]);
  Array retval;
  vtkZLibDataCompressor  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkZLibDataCompressor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkZLibDataCompressor:SafeDownCast vtkZLibDataCompressorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkZLibDataCompressorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkZLibDataCompressor *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkZLibDataCompressor requires 2 argument(s)");
  vtkZLibDataCompressor* vtk_pointer = GetVTKPointer<vtkZLibDataCompressor>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkZLibDataCompressor  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkZLibDataCompressor",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkZLibDataCompressor:GetMaximumCompressionSpace vtkZLibDataCompressorGetMaximumCompressionSpaceFunction
//input a0 a1 
//output y
ArrayVector vtkZLibDataCompressorGetMaximumCompressionSpaceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature unsigned long GetMaximumCompressionSpace (unsigned long size); */
  if (arg.size() < 2) 
    throw Exception("Function GetMaximumCompressionSpace for class vtkZLibDataCompressor requires 2 argument(s)");
  vtkZLibDataCompressor* vtk_pointer = GetVTKPointer<vtkZLibDataCompressor>(arg[0]);
  Array retval;
  unsigned long     temp0;
  unsigned long     temp20;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (unsigned long) arg[1].asDouble();
  temp20 = (vtk_pointer)->GetMaximumCompressionSpace(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkZLibDataCompressor:SetCompressionLevel vtkZLibDataCompressorSetCompressionLevelFunction
//input a0 a1 
//output none
ArrayVector vtkZLibDataCompressorSetCompressionLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetCompressionLevel (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetCompressionLevel for class vtkZLibDataCompressor requires 2 argument(s)");
  vtkZLibDataCompressor* vtk_pointer = GetVTKPointer<vtkZLibDataCompressor>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetCompressionLevel(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkZLibDataCompressor:GetCompressionLevelMinValue vtkZLibDataCompressorGetCompressionLevelMinValueFunction
//input a0 
//output y
ArrayVector vtkZLibDataCompressorGetCompressionLevelMinValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCompressionLevelMinValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCompressionLevelMinValue for class vtkZLibDataCompressor requires 1 argument(s)");
  vtkZLibDataCompressor* vtk_pointer = GetVTKPointer<vtkZLibDataCompressor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCompressionLevelMinValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkZLibDataCompressor:GetCompressionLevelMaxValue vtkZLibDataCompressorGetCompressionLevelMaxValueFunction
//input a0 
//output y
ArrayVector vtkZLibDataCompressorGetCompressionLevelMaxValueFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCompressionLevelMaxValue (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCompressionLevelMaxValue for class vtkZLibDataCompressor requires 1 argument(s)");
  vtkZLibDataCompressor* vtk_pointer = GetVTKPointer<vtkZLibDataCompressor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCompressionLevelMaxValue();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkZLibDataCompressor:GetCompressionLevel vtkZLibDataCompressorGetCompressionLevelFunction
//input a0 
//output y
ArrayVector vtkZLibDataCompressorGetCompressionLevelFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCompressionLevel (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCompressionLevel for class vtkZLibDataCompressor requires 1 argument(s)");
  vtkZLibDataCompressor* vtk_pointer = GetVTKPointer<vtkZLibDataCompressor>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCompressionLevel();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkZLibDataCompressor:display vtkZLibDataCompressorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkZLibDataCompressorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkZLibDataCompressor* vtk_pointer = GetVTKPointer<vtkZLibDataCompressor>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkZLibDataCompressor:delete vtkZLibDataCompressorDeleteFunction
//input varargin
//output none
ArrayVector vtkZLibDataCompressorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkZLibDataCompressor
//@@Section VTKIO
//@@Usage
// vtkZLibDataCompressor provides a concrete vtkDataCompressor class
// using zlib for compressing and uncompressing data.
//
//To create an instance of class vtkZLibDataCompressor, simply
//invoke its constructor as follows
//@[
//  obj = vtkZLibDataCompressor
//@]
//@@Methods
//The class vtkZLibDataCompressor has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkZLibDataCompressor class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkZLibDataCompressor = obj.NewInstance ()|
// \item @|vtkZLibDataCompressor = obj.SafeDownCast (vtkObject o)|
// \item @|long = obj.GetMaximumCompressionSpace (long size)| -  Get the maximum space that may be needed to store data of the
// given uncompressed size after compression.  This is the minimum
// size of the output buffer that can be passed to the four-argument
// Compress method.
//// \item @|obj.SetCompressionLevel (int )| -  Get/Set the compression level.
//// \item @|int = obj.GetCompressionLevelMinValue ()| -  Get/Set the compression level.
//// \item @|int = obj.GetCompressionLevelMaxValue ()| -  Get/Set the compression level.
//// \item @|int = obj.GetCompressionLevel ()| -  Get/Set the compression level.
////\end{itemize}
//!
