#include "VTKWrap.hpp"

// FreeMat wrapper for vtkBranchExtentTranslator object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkBranchExtentTranslator.h"

//@@Signature
//sfunction @vtkBranchExtentTranslator:vtkBranchExtentTranslator vtkBranchExtentTranslatorConstructorFunction
//input a
//output p
//@@Parents vtkBranchExtentTranslator vtkExtentTranslator 
ArrayVector vtkBranchExtentTranslatorConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkBranchExtentTranslator::New(),"vtkBranchExtentTranslator",eval);
  } else if (arg[0].className() == "vtkBranchExtentTranslator") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkBranchExtentTranslator"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkBranchExtentTranslator");
    vtkBranchExtentTranslator*q = reinterpret_cast<vtkBranchExtentTranslator*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkBranchExtentTranslator");
    return ret;
  }
}
//@@Signature
//sfunction @vtkBranchExtentTranslator:GetClassName vtkBranchExtentTranslatorGetClassNameFunction
//input a0 
//output y
ArrayVector vtkBranchExtentTranslatorGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkBranchExtentTranslator requires 1 argument(s)");
  vtkBranchExtentTranslator* vtk_pointer = GetVTKPointer<vtkBranchExtentTranslator>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBranchExtentTranslator:IsA vtkBranchExtentTranslatorIsAFunction
//input a0 a1 
//output y
ArrayVector vtkBranchExtentTranslatorIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkBranchExtentTranslator requires 2 argument(s)");
  vtkBranchExtentTranslator* vtk_pointer = GetVTKPointer<vtkBranchExtentTranslator>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBranchExtentTranslator:NewInstance vtkBranchExtentTranslatorNewInstanceFunction
//input a0 
//output y
ArrayVector vtkBranchExtentTranslatorNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBranchExtentTranslator *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkBranchExtentTranslator requires 1 argument(s)");
  vtkBranchExtentTranslator* vtk_pointer = GetVTKPointer<vtkBranchExtentTranslator>(arg[0]);
  Array retval;
  vtkBranchExtentTranslator  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBranchExtentTranslator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBranchExtentTranslator:SafeDownCast vtkBranchExtentTranslatorSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkBranchExtentTranslatorSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkBranchExtentTranslator *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkBranchExtentTranslator requires 2 argument(s)");
  vtkBranchExtentTranslator* vtk_pointer = GetVTKPointer<vtkBranchExtentTranslator>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkBranchExtentTranslator  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkBranchExtentTranslator",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBranchExtentTranslator:SetOriginalSource vtkBranchExtentTranslatorSetOriginalSourceFunction
//input a0 a1 
//output none
ArrayVector vtkBranchExtentTranslatorSetOriginalSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetOriginalSource (vtkImageData *); */
  if (arg.size() < 2) 
    throw Exception("Function SetOriginalSource for class vtkBranchExtentTranslator requires 2 argument(s)");
  vtkBranchExtentTranslator* vtk_pointer = GetVTKPointer<vtkBranchExtentTranslator>(arg[0]);
  Array retval;
  vtkImageData  *temp0;
  temp0 = GetVTKPointer<vtkImageData>(arg[1]);
  vtk_pointer->SetOriginalSource(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBranchExtentTranslator:GetOriginalSource vtkBranchExtentTranslatorGetOriginalSourceFunction
//input a0 
//output y
ArrayVector vtkBranchExtentTranslatorGetOriginalSourceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkImageData *GetOriginalSource (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOriginalSource for class vtkBranchExtentTranslator requires 1 argument(s)");
  vtkBranchExtentTranslator* vtk_pointer = GetVTKPointer<vtkBranchExtentTranslator>(arg[0]);
  Array retval;
  vtkImageData  *temp20;
  temp20 = (vtk_pointer)->GetOriginalSource();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkImageData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkBranchExtentTranslator:PieceToExtent vtkBranchExtentTranslatorPieceToExtentFunction
//input a0 
//output y
ArrayVector vtkBranchExtentTranslatorPieceToExtentFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int PieceToExtent (); */
  if (arg.size() < 1) 
    throw Exception("Function PieceToExtent for class vtkBranchExtentTranslator requires 1 argument(s)");
  vtkBranchExtentTranslator* vtk_pointer = GetVTKPointer<vtkBranchExtentTranslator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->PieceToExtent();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBranchExtentTranslator:SetAssignedPiece vtkBranchExtentTranslatorSetAssignedPieceFunction
//input a0 a1 
//output none
ArrayVector vtkBranchExtentTranslatorSetAssignedPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAssignedPiece (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAssignedPiece for class vtkBranchExtentTranslator requires 2 argument(s)");
  vtkBranchExtentTranslator* vtk_pointer = GetVTKPointer<vtkBranchExtentTranslator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAssignedPiece(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBranchExtentTranslator:GetAssignedPiece vtkBranchExtentTranslatorGetAssignedPieceFunction
//input a0 
//output y
ArrayVector vtkBranchExtentTranslatorGetAssignedPieceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAssignedPiece (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAssignedPiece for class vtkBranchExtentTranslator requires 1 argument(s)");
  vtkBranchExtentTranslator* vtk_pointer = GetVTKPointer<vtkBranchExtentTranslator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAssignedPiece();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBranchExtentTranslator:SetAssignedNumberOfPieces vtkBranchExtentTranslatorSetAssignedNumberOfPiecesFunction
//input a0 a1 
//output none
ArrayVector vtkBranchExtentTranslatorSetAssignedNumberOfPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetAssignedNumberOfPieces (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetAssignedNumberOfPieces for class vtkBranchExtentTranslator requires 2 argument(s)");
  vtkBranchExtentTranslator* vtk_pointer = GetVTKPointer<vtkBranchExtentTranslator>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetAssignedNumberOfPieces(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkBranchExtentTranslator:GetAssignedNumberOfPieces vtkBranchExtentTranslatorGetAssignedNumberOfPiecesFunction
//input a0 
//output y
ArrayVector vtkBranchExtentTranslatorGetAssignedNumberOfPiecesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetAssignedNumberOfPieces (); */
  if (arg.size() < 1) 
    throw Exception("Function GetAssignedNumberOfPieces for class vtkBranchExtentTranslator requires 1 argument(s)");
  vtkBranchExtentTranslator* vtk_pointer = GetVTKPointer<vtkBranchExtentTranslator>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetAssignedNumberOfPieces();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkBranchExtentTranslator:display vtkBranchExtentTranslatorDisplayFunction
//input varargin
//output varargout
ArrayVector vtkBranchExtentTranslatorDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkBranchExtentTranslator* vtk_pointer = GetVTKPointer<vtkBranchExtentTranslator>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkBranchExtentTranslator:delete vtkBranchExtentTranslatorDeleteFunction
//input varargin
//output none
ArrayVector vtkBranchExtentTranslatorDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkBranchExtentTranslator
//@@Section VTKParallel
//@@Usage
// vtkBranchExtentTranslator is like extent translator, but it uses an 
// alternative source as a whole extent. The whole extent passed is assumed 
// to be a subextent of the original source.  we simply take the intersection 
// of the split extent and the whole extdent passed in.  We are attempting to
// make branching pipelines request consistent extents with the same piece 
// requests.  
//
//To create an instance of class vtkBranchExtentTranslator, simply
//invoke its constructor as follows
//@[
//  obj = vtkBranchExtentTranslator
//@]
//@@Methods
//The class vtkBranchExtentTranslator has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkBranchExtentTranslator class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkBranchExtentTranslator = obj.NewInstance ()|
// \item @|vtkBranchExtentTranslator = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetOriginalSource (vtkImageData )| -  This is the original upstream image source.
//// \item @|vtkImageData = obj.GetOriginalSource ()| -  This is the original upstream image source.
//// \item @|int = obj.PieceToExtent ()| -  Generates the extent from the pieces.
//// \item @|obj.SetAssignedPiece (int )| -  This unstructured extent/piece is store here for the users convenience.
// It is not used internally.  The intent was to let an "assignment" be made
// when the translator/first source is created.  The translator/assignment
// can be used for any new filter that uses the original source as output.
// Branches will then have the same assignment.
//// \item @|int = obj.GetAssignedPiece ()| -  This unstructured extent/piece is store here for the users convenience.
// It is not used internally.  The intent was to let an "assignment" be made
// when the translator/first source is created.  The translator/assignment
// can be used for any new filter that uses the original source as output.
// Branches will then have the same assignment.
//// \item @|obj.SetAssignedNumberOfPieces (int )| -  This unstructured extent/piece is store here for the users convenience.
// It is not used internally.  The intent was to let an "assignment" be made
// when the translator/first source is created.  The translator/assignment
// can be used for any new filter that uses the original source as output.
// Branches will then have the same assignment.
//// \item @|int = obj.GetAssignedNumberOfPieces ()| -  This unstructured extent/piece is store here for the users convenience.
// It is not used internally.  The intent was to let an "assignment" be made
// when the translator/first source is created.  The translator/assignment
// can be used for any new filter that uses the original source as output.
// Branches will then have the same assignment.
////\end{itemize}
//!
