#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCachingInterpolatedVelocityField object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCachingInterpolatedVelocityField.h"

//@@Signature
//sfunction @vtkCachingInterpolatedVelocityField:vtkCachingInterpolatedVelocityField vtkCachingInterpolatedVelocityFieldConstructorFunction
//input a
//output p
//@@Parents vtkCachingInterpolatedVelocityField vtkFunctionSet 
ArrayVector vtkCachingInterpolatedVelocityFieldConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCachingInterpolatedVelocityField::New(),"vtkCachingInterpolatedVelocityField",eval);
  } else if (arg[0].className() == "vtkCachingInterpolatedVelocityField") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCachingInterpolatedVelocityField"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCachingInterpolatedVelocityField");
    vtkCachingInterpolatedVelocityField*q = reinterpret_cast<vtkCachingInterpolatedVelocityField*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCachingInterpolatedVelocityField");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCachingInterpolatedVelocityField:GetClassName vtkCachingInterpolatedVelocityFieldGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCachingInterpolatedVelocityFieldGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCachingInterpolatedVelocityField requires 1 argument(s)");
  vtkCachingInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkCachingInterpolatedVelocityField>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCachingInterpolatedVelocityField:IsA vtkCachingInterpolatedVelocityFieldIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCachingInterpolatedVelocityFieldIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCachingInterpolatedVelocityField requires 2 argument(s)");
  vtkCachingInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkCachingInterpolatedVelocityField>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCachingInterpolatedVelocityField:NewInstance vtkCachingInterpolatedVelocityFieldNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCachingInterpolatedVelocityFieldNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCachingInterpolatedVelocityField *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCachingInterpolatedVelocityField requires 1 argument(s)");
  vtkCachingInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkCachingInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtkCachingInterpolatedVelocityField  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCachingInterpolatedVelocityField",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCachingInterpolatedVelocityField:SafeDownCast vtkCachingInterpolatedVelocityFieldSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCachingInterpolatedVelocityFieldSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCachingInterpolatedVelocityField *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCachingInterpolatedVelocityField requires 2 argument(s)");
  vtkCachingInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkCachingInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCachingInterpolatedVelocityField  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCachingInterpolatedVelocityField",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCachingInterpolatedVelocityField:FunctionValues__1 vtkCachingInterpolatedVelocityFieldFunctionValues__1Function
//input a0 a1 a2 
//output y
ArrayVector vtkCachingInterpolatedVelocityFieldFunctionValues__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int FunctionValues (double *x, double *f); */
  if (arg.size() < 3) 
    throw Exception("Function FunctionValues__1 for class vtkCachingInterpolatedVelocityField requires 3 argument(s)");
  vtkCachingInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkCachingInterpolatedVelocityField>(arg[0]);
  Array retval;
  double  *temp0;
  double  *temp1;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
    if ( !arg[2].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[2].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp1 = new double[length];
      for ( int k = 0; k < length; k++ ) temp1[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->FunctionValues(temp0,temp1);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCachingInterpolatedVelocityField:InsideTest__1 vtkCachingInterpolatedVelocityFieldInsideTest__1Function
//input a0 a1 
//output y
ArrayVector vtkCachingInterpolatedVelocityFieldInsideTest__1Function(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual int InsideTest (double *x); */
  if (arg.size() < 2) 
    throw Exception("Function InsideTest__1 for class vtkCachingInterpolatedVelocityField requires 2 argument(s)");
  vtkCachingInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkCachingInterpolatedVelocityField>(arg[0]);
  Array retval;
  double  *temp0;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->InsideTest(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCachingInterpolatedVelocityField:SetDataSet vtkCachingInterpolatedVelocityFieldSetDataSetFunction
//input a0 a1 a2 a3 a4 
//output none
ArrayVector vtkCachingInterpolatedVelocityFieldSetDataSetFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetDataSet (int I, vtkDataSet *dataset, bool staticdataset, vtkAbstractCellLocator *locator); */
  if (arg.size() < 5) 
    throw Exception("Function SetDataSet for class vtkCachingInterpolatedVelocityField requires 5 argument(s)");
  vtkCachingInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkCachingInterpolatedVelocityField>(arg[0]);
  Array retval;
  int      temp0;
  vtkDataSet  *temp1;
  bool   temp2;
  vtkAbstractCellLocator  *temp3;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  temp1 = GetVTKPointer<vtkDataSet>(arg[2]);
  temp3 = GetVTKPointer<vtkAbstractCellLocator>(arg[4]);
  vtk_pointer->SetDataSet(temp0,temp1,temp2,temp3);
  return retval;
}

//@@Signature
//sfunction @vtkCachingInterpolatedVelocityField:GetVectorsSelection vtkCachingInterpolatedVelocityFieldGetVectorsSelectionFunction
//input a0 
//output y
ArrayVector vtkCachingInterpolatedVelocityFieldGetVectorsSelectionFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature char *GetVectorsSelection (); */
  if (arg.size() < 1) 
    throw Exception("Function GetVectorsSelection for class vtkCachingInterpolatedVelocityField requires 1 argument(s)");
  vtkCachingInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkCachingInterpolatedVelocityField>(arg[0]);
  Array retval;
  char    *temp20;
  temp20 = (vtk_pointer)->GetVectorsSelection();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCachingInterpolatedVelocityField:SelectVectors vtkCachingInterpolatedVelocityFieldSelectVectorsFunction
//input a0 a1 
//output none
ArrayVector vtkCachingInterpolatedVelocityFieldSelectVectorsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SelectVectors (const char *fieldName);this SetVectorsSelection fieldName  */
  if (arg.size() < 2) 
    throw Exception("Function SelectVectors for class vtkCachingInterpolatedVelocityField requires 2 argument(s)");
  vtkCachingInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkCachingInterpolatedVelocityField>(arg[0]);
  Array retval;
  char    *temp0;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  vtk_pointer->SelectVectors(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCachingInterpolatedVelocityField:SetLastCellInfo vtkCachingInterpolatedVelocityFieldSetLastCellInfoFunction
//input a0 a1 a2 
//output none
ArrayVector vtkCachingInterpolatedVelocityFieldSetLastCellInfoFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetLastCellInfo (vtkIdType c, int datasetindex); */
  if (arg.size() < 3) 
    throw Exception("Function SetLastCellInfo for class vtkCachingInterpolatedVelocityField requires 3 argument(s)");
  vtkCachingInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkCachingInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtkIdType   temp0;
  int      temp1;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  if ( !arg[2].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp1 = (int) arg[2].asDouble();
  vtk_pointer->SetLastCellInfo(temp0,temp1);
  return retval;
}

//@@Signature
//sfunction @vtkCachingInterpolatedVelocityField:ClearLastCellInfo vtkCachingInterpolatedVelocityFieldClearLastCellInfoFunction
//input a0 
//output none
ArrayVector vtkCachingInterpolatedVelocityFieldClearLastCellInfoFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void ClearLastCellInfo (); */
  if (arg.size() < 1) 
    throw Exception("Function ClearLastCellInfo for class vtkCachingInterpolatedVelocityField requires 1 argument(s)");
  vtkCachingInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkCachingInterpolatedVelocityField>(arg[0]);
  Array retval;
  vtk_pointer->ClearLastCellInfo();
  return retval;
}

//@@Signature
//sfunction @vtkCachingInterpolatedVelocityField:GetLastWeights vtkCachingInterpolatedVelocityFieldGetLastWeightsFunction
//input a0 a1 
//output y
ArrayVector vtkCachingInterpolatedVelocityFieldGetLastWeightsFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLastWeights (double *w); */
  if (arg.size() < 2) 
    throw Exception("Function GetLastWeights for class vtkCachingInterpolatedVelocityField requires 2 argument(s)");
  vtkCachingInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkCachingInterpolatedVelocityField>(arg[0]);
  Array retval;
  double  *temp0;
  int      temp20;
    if ( !arg[1].isVector() )
       throw Exception("expecting a vector");
    else 
      {
      Array vect = arg[1].asDenseArray().toClass(Double);
      BasicArray<double> data = vect.real<double>();
      int length = data.length();
      temp0 = new double[length];
      for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
      }
  temp20 = (vtk_pointer)->GetLastWeights(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCachingInterpolatedVelocityField:GetLastLocalCoordinates vtkCachingInterpolatedVelocityFieldGetLastLocalCoordinatesFunction
//input a0 a1 
//output y
ArrayVector vtkCachingInterpolatedVelocityFieldGetLastLocalCoordinatesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetLastLocalCoordinates (double pcoords[3]); */
  if (arg.size() < 2) 
    throw Exception("Function GetLastLocalCoordinates for class vtkCachingInterpolatedVelocityField requires 2 argument(s)");
  vtkCachingInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkCachingInterpolatedVelocityField>(arg[0]);
  Array retval;
  double temp0[3];
  int      temp20;
  if ( !(arg[1].isVector() && arg[1].length() == 3) )
    throw Exception("Mismatch in vector lengths");
  {
    Array vect = arg[1].asDenseArray().toClass(Double);
    BasicArray<double> data = vect.real<double>();
    int length = data.length();
    for ( int k = 0; k < length; k++ ) temp0[k] = (double)data[k+1];
  }
  temp20 = (vtk_pointer)->GetLastLocalCoordinates(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCachingInterpolatedVelocityField:GetCellCacheHit vtkCachingInterpolatedVelocityFieldGetCellCacheHitFunction
//input a0 
//output y
ArrayVector vtkCachingInterpolatedVelocityFieldGetCellCacheHitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCellCacheHit (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCellCacheHit for class vtkCachingInterpolatedVelocityField requires 1 argument(s)");
  vtkCachingInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkCachingInterpolatedVelocityField>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCellCacheHit();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCachingInterpolatedVelocityField:GetDataSetCacheHit vtkCachingInterpolatedVelocityFieldGetDataSetCacheHitFunction
//input a0 
//output y
ArrayVector vtkCachingInterpolatedVelocityFieldGetDataSetCacheHitFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetDataSetCacheHit (); */
  if (arg.size() < 1) 
    throw Exception("Function GetDataSetCacheHit for class vtkCachingInterpolatedVelocityField requires 1 argument(s)");
  vtkCachingInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkCachingInterpolatedVelocityField>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetDataSetCacheHit();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCachingInterpolatedVelocityField:GetCacheMiss vtkCachingInterpolatedVelocityFieldGetCacheMissFunction
//input a0 
//output y
ArrayVector vtkCachingInterpolatedVelocityFieldGetCacheMissFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetCacheMiss (); */
  if (arg.size() < 1) 
    throw Exception("Function GetCacheMiss for class vtkCachingInterpolatedVelocityField requires 1 argument(s)");
  vtkCachingInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkCachingInterpolatedVelocityField>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetCacheMiss();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCachingInterpolatedVelocityField:FunctionValues vtkCachingInterpolatedVelocityFieldFunctionValuesFunction
//input varargin
//output varargout
ArrayVector vtkCachingInterpolatedVelocityFieldFunctionValuesFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 3) && VTKIsVectorArg(arg[1]) && VTKIsVectorArg(arg[2]))
    return vtkCachingInterpolatedVelocityFieldFunctionValues__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCachingInterpolatedVelocityFieldFunctionValues");
}

//@@Signature
//sfunction @vtkCachingInterpolatedVelocityField:InsideTest vtkCachingInterpolatedVelocityFieldInsideTestFunction
//input varargin
//output varargout
ArrayVector vtkCachingInterpolatedVelocityFieldInsideTestFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if ((arg.size() == 2) && VTKIsVectorArg(arg[1]))
    return vtkCachingInterpolatedVelocityFieldInsideTest__1Function(nargout,arg,eval);
  throw Exception("unable to resolve to an overloaded instance of vtkCachingInterpolatedVelocityFieldInsideTest");
}

//@@Signature
//sfunction @vtkCachingInterpolatedVelocityField:display vtkCachingInterpolatedVelocityFieldDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCachingInterpolatedVelocityFieldDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCachingInterpolatedVelocityField* vtk_pointer = GetVTKPointer<vtkCachingInterpolatedVelocityField>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCachingInterpolatedVelocityField:delete vtkCachingInterpolatedVelocityFieldDeleteFunction
//input varargin
//output none
ArrayVector vtkCachingInterpolatedVelocityFieldDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCachingInterpolatedVelocityField
//@@Section VTKParallel
//@@Usage
// vtkCachingInterpolatedVelocityField acts as a continuous velocity field
// by performing cell interpolation on the underlying vtkDataSet.
// This is a concrete sub-class of vtkFunctionSet with 
// NumberOfIndependentVariables = 4 (x,y,z,t) and 
// NumberOfFunctions = 3 (u,v,w). Normally, every time an evaluation
// is performed, the cell which contains the point (x,y,z) has to
// be found by calling FindCell. This is a computationally expensive 
// operation. In certain cases, the cell search can be avoided or shortened 
// by providing a guess for the cell id. For example, in streamline
// integration, the next evaluation is usually in the same or a neighbour
// cell. For this reason, vtkCachingInterpolatedVelocityField stores the last
// cell id. If caching is turned on, it uses this id as the starting point.
//
//To create an instance of class vtkCachingInterpolatedVelocityField, simply
//invoke its constructor as follows
//@[
//  obj = vtkCachingInterpolatedVelocityField
//@]
//@@Methods
//The class vtkCachingInterpolatedVelocityField has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCachingInterpolatedVelocityField class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCachingInterpolatedVelocityField = obj.NewInstance ()|
// \item @|vtkCachingInterpolatedVelocityField = obj.SafeDownCast (vtkObject o)|
// \item @|int = obj.FunctionValues (double x, double f)| -  Evaluate the velocity field, f={u,v,w}, at {x, y, z}.
// returns 1 if valid, 0 if test failed
//// \item @|int = obj.InsideTest (double x)| -  Evaluate the velocity field, f={u,v,w}, at {x, y, z}.
// returns 1 if valid, 0 if test failed
//// \item @|obj.SetDataSet (int I, vtkDataSet dataset, bool staticdataset, vtkAbstractCellLocator locator)| -  Add a dataset used by the interpolation function evaluation.
//// \item @|string = obj.GetVectorsSelection ()| -  If you want to work with an arbitrary vector array, then set its name 
// here. By default this in NULL and the filter will use the active vector 
// array.
//// \item @|obj.SelectVectors (string fieldName)| -  Return the cell id cached from last evaluation.
//// \item @|obj.SetLastCellInfo (vtkIdType c, int datasetindex)| -  Return the cell id cached from last evaluation.
//// \item @|obj.ClearLastCellInfo ()| -  Set the last cell id to -1 so that the next search does not
// start from the previous cell
//// \item @|int = obj.GetLastWeights (double w)| -  Returns the interpolation weights/pcoords cached from last evaluation
// if the cached cell is valid (returns 1). Otherwise, it does not
// change w and returns 0.
//// \item @|int = obj.GetLastLocalCoordinates (double pcoords[3])| -  Returns the interpolation weights/pcoords cached from last evaluation
// if the cached cell is valid (returns 1). Otherwise, it does not
// change w and returns 0.
//// \item @|int = obj.GetCellCacheHit ()| -  Caching statistics.
//// \item @|int = obj.GetDataSetCacheHit ()| -  Caching statistics.
//// \item @|int = obj.GetCacheMiss ()| -  Caching statistics.
////\end{itemize}
//!
