#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCollectGraph object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCollectGraph.h"

//@@Signature
//sfunction @vtkCollectGraph:vtkCollectGraph vtkCollectGraphConstructorFunction
//input a
//output p
//@@Parents vtkCollectGraph vtkGraphAlgorithm 
ArrayVector vtkCollectGraphConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCollectGraph::New(),"vtkCollectGraph",eval);
  } else if (arg[0].className() == "vtkCollectGraph") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCollectGraph"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCollectGraph");
    vtkCollectGraph*q = reinterpret_cast<vtkCollectGraph*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCollectGraph");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCollectGraph:GetClassName vtkCollectGraphGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCollectGraphGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCollectGraph requires 1 argument(s)");
  vtkCollectGraph* vtk_pointer = GetVTKPointer<vtkCollectGraph>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCollectGraph:IsA vtkCollectGraphIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCollectGraphIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCollectGraph requires 2 argument(s)");
  vtkCollectGraph* vtk_pointer = GetVTKPointer<vtkCollectGraph>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCollectGraph:NewInstance vtkCollectGraphNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCollectGraphNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCollectGraph *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCollectGraph requires 1 argument(s)");
  vtkCollectGraph* vtk_pointer = GetVTKPointer<vtkCollectGraph>(arg[0]);
  Array retval;
  vtkCollectGraph  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCollectGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCollectGraph:SafeDownCast vtkCollectGraphSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCollectGraphSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCollectGraph *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCollectGraph requires 2 argument(s)");
  vtkCollectGraph* vtk_pointer = GetVTKPointer<vtkCollectGraph>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCollectGraph  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCollectGraph",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCollectGraph:SetController vtkCollectGraphSetControllerFunction
//input a0 a1 
//output none
ArrayVector vtkCollectGraphSetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetController (vtkMultiProcessController *); */
  if (arg.size() < 2) 
    throw Exception("Function SetController for class vtkCollectGraph requires 2 argument(s)");
  vtkCollectGraph* vtk_pointer = GetVTKPointer<vtkCollectGraph>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->SetController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCollectGraph:GetController vtkCollectGraphGetControllerFunction
//input a0 
//output y
ArrayVector vtkCollectGraphGetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiProcessController *GetController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetController for class vtkCollectGraph requires 1 argument(s)");
  vtkCollectGraph* vtk_pointer = GetVTKPointer<vtkCollectGraph>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->GetController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCollectGraph:SetSocketController vtkCollectGraphSetSocketControllerFunction
//input a0 a1 
//output none
ArrayVector vtkCollectGraphSetSocketControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSocketController (vtkSocketController *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSocketController for class vtkCollectGraph requires 2 argument(s)");
  vtkCollectGraph* vtk_pointer = GetVTKPointer<vtkCollectGraph>(arg[0]);
  Array retval;
  vtkSocketController  *temp0;
  temp0 = GetVTKPointer<vtkSocketController>(arg[1]);
  vtk_pointer->SetSocketController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCollectGraph:GetSocketController vtkCollectGraphGetSocketControllerFunction
//input a0 
//output y
ArrayVector vtkCollectGraphGetSocketControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSocketController *GetSocketController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSocketController for class vtkCollectGraph requires 1 argument(s)");
  vtkCollectGraph* vtk_pointer = GetVTKPointer<vtkCollectGraph>(arg[0]);
  Array retval;
  vtkSocketController  *temp20;
  temp20 = (vtk_pointer)->GetSocketController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSocketController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCollectGraph:SetPassThrough vtkCollectGraphSetPassThroughFunction
//input a0 a1 
//output none
ArrayVector vtkCollectGraphSetPassThroughFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPassThrough (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPassThrough for class vtkCollectGraph requires 2 argument(s)");
  vtkCollectGraph* vtk_pointer = GetVTKPointer<vtkCollectGraph>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPassThrough(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCollectGraph:GetPassThrough vtkCollectGraphGetPassThroughFunction
//input a0 
//output y
ArrayVector vtkCollectGraphGetPassThroughFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPassThrough (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPassThrough for class vtkCollectGraph requires 1 argument(s)");
  vtkCollectGraph* vtk_pointer = GetVTKPointer<vtkCollectGraph>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPassThrough();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCollectGraph:PassThroughOn vtkCollectGraphPassThroughOnFunction
//input a0 
//output none
ArrayVector vtkCollectGraphPassThroughOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassThroughOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PassThroughOn for class vtkCollectGraph requires 1 argument(s)");
  vtkCollectGraph* vtk_pointer = GetVTKPointer<vtkCollectGraph>(arg[0]);
  Array retval;
  vtk_pointer->PassThroughOn();
  return retval;
}

//@@Signature
//sfunction @vtkCollectGraph:PassThroughOff vtkCollectGraphPassThroughOffFunction
//input a0 
//output none
ArrayVector vtkCollectGraphPassThroughOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassThroughOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PassThroughOff for class vtkCollectGraph requires 1 argument(s)");
  vtkCollectGraph* vtk_pointer = GetVTKPointer<vtkCollectGraph>(arg[0]);
  Array retval;
  vtk_pointer->PassThroughOff();
  return retval;
}

//@@Signature
//sfunction @vtkCollectGraph:SetOutputType vtkCollectGraphSetOutputTypeFunction
//input a0 a1 
//output none
ArrayVector vtkCollectGraphSetOutputTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetOutputType (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetOutputType for class vtkCollectGraph requires 2 argument(s)");
  vtkCollectGraph* vtk_pointer = GetVTKPointer<vtkCollectGraph>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetOutputType(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCollectGraph:GetOutputType vtkCollectGraphGetOutputTypeFunction
//input a0 
//output y
ArrayVector vtkCollectGraphGetOutputTypeFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetOutputType (); */
  if (arg.size() < 1) 
    throw Exception("Function GetOutputType for class vtkCollectGraph requires 1 argument(s)");
  vtkCollectGraph* vtk_pointer = GetVTKPointer<vtkCollectGraph>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetOutputType();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCollectGraph:display vtkCollectGraphDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCollectGraphDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCollectGraph* vtk_pointer = GetVTKPointer<vtkCollectGraph>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCollectGraph:delete vtkCollectGraphDeleteFunction
//input varargin
//output none
ArrayVector vtkCollectGraphDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCollectGraph
//@@Section VTKParallel
//@@Usage
// This filter has code to collect a graph from across processes onto vertex 0.
// Collection can be turned on or off using the "PassThrough" flag.
//
//To create an instance of class vtkCollectGraph, simply
//invoke its constructor as follows
//@[
//  obj = vtkCollectGraph
//@]
//@@Methods
//The class vtkCollectGraph has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCollectGraph class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCollectGraph = obj.NewInstance ()|
// \item @|vtkCollectGraph = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetController (vtkMultiProcessController )| -  By defualt this filter uses the global controller,
// but this method can be used to set another instead.
//// \item @|vtkMultiProcessController = obj.GetController ()| -  By defualt this filter uses the global controller,
// but this method can be used to set another instead.
//// \item @|obj.SetSocketController (vtkSocketController )| -  When this filter is being used in client-server mode,
// this is the controller used to communicate between
// client and server.  Client should not set the other controller.
//// \item @|vtkSocketController = obj.GetSocketController ()| -  When this filter is being used in client-server mode,
// this is the controller used to communicate between
// client and server.  Client should not set the other controller.
//// \item @|obj.SetPassThrough (int )| -  To collect or just copy input to output. Off (collect) by default.
//// \item @|int = obj.GetPassThrough ()| -  To collect or just copy input to output. Off (collect) by default.
//// \item @|obj.PassThroughOn ()| -  To collect or just copy input to output. Off (collect) by default.
//// \item @|obj.PassThroughOff ()| -  To collect or just copy input to output. Off (collect) by default.
//// \item @|obj.SetOutputType (int )| -  Directedness flag, used to signal whether the output graph is directed or undirected.
// DIRECTED_OUTPUT expects that this filter is generating a directed graph.
// UNDIRECTED_OUTPUT expects that this filter is generating an undirected graph.
// DIRECTED_OUTPUT and UNDIRECTED_OUTPUT flags should only be set on the client
// filter.  Server filters should be set to USE_INPUT_TYPE since they have valid 
// input and the directedness is determined from the input type.
//// \item @|int = obj.GetOutputType ()| -  Directedness flag, used to signal whether the output graph is directed or undirected.
// DIRECTED_OUTPUT expects that this filter is generating a directed graph.
// UNDIRECTED_OUTPUT expects that this filter is generating an undirected graph.
// DIRECTED_OUTPUT and UNDIRECTED_OUTPUT flags should only be set on the client
// filter.  Server filters should be set to USE_INPUT_TYPE since they have valid 
// input and the directedness is determined from the input type.
////\end{itemize}
//!
