#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCollectPolyData object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCollectPolyData.h"

//@@Signature
//sfunction @vtkCollectPolyData:vtkCollectPolyData vtkCollectPolyDataConstructorFunction
//input a
//output p
//@@Parents vtkCollectPolyData vtkPolyDataAlgorithm 
ArrayVector vtkCollectPolyDataConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCollectPolyData::New(),"vtkCollectPolyData",eval);
  } else if (arg[0].className() == "vtkCollectPolyData") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCollectPolyData"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCollectPolyData");
    vtkCollectPolyData*q = reinterpret_cast<vtkCollectPolyData*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCollectPolyData");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCollectPolyData:GetClassName vtkCollectPolyDataGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCollectPolyDataGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCollectPolyData requires 1 argument(s)");
  vtkCollectPolyData* vtk_pointer = GetVTKPointer<vtkCollectPolyData>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCollectPolyData:IsA vtkCollectPolyDataIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCollectPolyDataIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCollectPolyData requires 2 argument(s)");
  vtkCollectPolyData* vtk_pointer = GetVTKPointer<vtkCollectPolyData>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCollectPolyData:NewInstance vtkCollectPolyDataNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCollectPolyDataNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCollectPolyData *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCollectPolyData requires 1 argument(s)");
  vtkCollectPolyData* vtk_pointer = GetVTKPointer<vtkCollectPolyData>(arg[0]);
  Array retval;
  vtkCollectPolyData  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCollectPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCollectPolyData:SafeDownCast vtkCollectPolyDataSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCollectPolyDataSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCollectPolyData *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCollectPolyData requires 2 argument(s)");
  vtkCollectPolyData* vtk_pointer = GetVTKPointer<vtkCollectPolyData>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCollectPolyData  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCollectPolyData",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCollectPolyData:SetController vtkCollectPolyDataSetControllerFunction
//input a0 a1 
//output none
ArrayVector vtkCollectPolyDataSetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetController (vtkMultiProcessController *); */
  if (arg.size() < 2) 
    throw Exception("Function SetController for class vtkCollectPolyData requires 2 argument(s)");
  vtkCollectPolyData* vtk_pointer = GetVTKPointer<vtkCollectPolyData>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->SetController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCollectPolyData:GetController vtkCollectPolyDataGetControllerFunction
//input a0 
//output y
ArrayVector vtkCollectPolyDataGetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiProcessController *GetController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetController for class vtkCollectPolyData requires 1 argument(s)");
  vtkCollectPolyData* vtk_pointer = GetVTKPointer<vtkCollectPolyData>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->GetController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCollectPolyData:SetSocketController vtkCollectPolyDataSetSocketControllerFunction
//input a0 a1 
//output none
ArrayVector vtkCollectPolyDataSetSocketControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSocketController (vtkSocketController *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSocketController for class vtkCollectPolyData requires 2 argument(s)");
  vtkCollectPolyData* vtk_pointer = GetVTKPointer<vtkCollectPolyData>(arg[0]);
  Array retval;
  vtkSocketController  *temp0;
  temp0 = GetVTKPointer<vtkSocketController>(arg[1]);
  vtk_pointer->SetSocketController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCollectPolyData:GetSocketController vtkCollectPolyDataGetSocketControllerFunction
//input a0 
//output y
ArrayVector vtkCollectPolyDataGetSocketControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSocketController *GetSocketController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSocketController for class vtkCollectPolyData requires 1 argument(s)");
  vtkCollectPolyData* vtk_pointer = GetVTKPointer<vtkCollectPolyData>(arg[0]);
  Array retval;
  vtkSocketController  *temp20;
  temp20 = (vtk_pointer)->GetSocketController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSocketController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCollectPolyData:SetPassThrough vtkCollectPolyDataSetPassThroughFunction
//input a0 a1 
//output none
ArrayVector vtkCollectPolyDataSetPassThroughFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPassThrough (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPassThrough for class vtkCollectPolyData requires 2 argument(s)");
  vtkCollectPolyData* vtk_pointer = GetVTKPointer<vtkCollectPolyData>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPassThrough(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCollectPolyData:GetPassThrough vtkCollectPolyDataGetPassThroughFunction
//input a0 
//output y
ArrayVector vtkCollectPolyDataGetPassThroughFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPassThrough (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPassThrough for class vtkCollectPolyData requires 1 argument(s)");
  vtkCollectPolyData* vtk_pointer = GetVTKPointer<vtkCollectPolyData>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPassThrough();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCollectPolyData:PassThroughOn vtkCollectPolyDataPassThroughOnFunction
//input a0 
//output none
ArrayVector vtkCollectPolyDataPassThroughOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassThroughOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PassThroughOn for class vtkCollectPolyData requires 1 argument(s)");
  vtkCollectPolyData* vtk_pointer = GetVTKPointer<vtkCollectPolyData>(arg[0]);
  Array retval;
  vtk_pointer->PassThroughOn();
  return retval;
}

//@@Signature
//sfunction @vtkCollectPolyData:PassThroughOff vtkCollectPolyDataPassThroughOffFunction
//input a0 
//output none
ArrayVector vtkCollectPolyDataPassThroughOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassThroughOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PassThroughOff for class vtkCollectPolyData requires 1 argument(s)");
  vtkCollectPolyData* vtk_pointer = GetVTKPointer<vtkCollectPolyData>(arg[0]);
  Array retval;
  vtk_pointer->PassThroughOff();
  return retval;
}

//@@Signature
//sfunction @vtkCollectPolyData:display vtkCollectPolyDataDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCollectPolyDataDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCollectPolyData* vtk_pointer = GetVTKPointer<vtkCollectPolyData>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCollectPolyData:delete vtkCollectPolyDataDeleteFunction
//input varargin
//output none
ArrayVector vtkCollectPolyDataDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCollectPolyData
//@@Section VTKParallel
//@@Usage
// This filter has code to collect polydat from across processes onto node 0.
// Collection can be turned on or off using the "PassThrough" flag.
//
//To create an instance of class vtkCollectPolyData, simply
//invoke its constructor as follows
//@[
//  obj = vtkCollectPolyData
//@]
//@@Methods
//The class vtkCollectPolyData has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCollectPolyData class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCollectPolyData = obj.NewInstance ()|
// \item @|vtkCollectPolyData = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetController (vtkMultiProcessController )| -  By defualt this filter uses the global controller,
// but this method can be used to set another instead.
//// \item @|vtkMultiProcessController = obj.GetController ()| -  By defualt this filter uses the global controller,
// but this method can be used to set another instead.
//// \item @|obj.SetSocketController (vtkSocketController )| -  When this filter is being used in client-server mode,
// this is the controller used to communicate between
// client and server.  Client should not set the other controller.
//// \item @|vtkSocketController = obj.GetSocketController ()| -  When this filter is being used in client-server mode,
// this is the controller used to communicate between
// client and server.  Client should not set the other controller.
//// \item @|obj.SetPassThrough (int )| -  To collect or just copy input to output. Off (collect) by default.
//// \item @|int = obj.GetPassThrough ()| -  To collect or just copy input to output. Off (collect) by default.
//// \item @|obj.PassThroughOn ()| -  To collect or just copy input to output. Off (collect) by default.
//// \item @|obj.PassThroughOff ()| -  To collect or just copy input to output. Off (collect) by default.
////\end{itemize}
//!
