#include "VTKWrap.hpp"

// FreeMat wrapper for vtkCollectTable object
//
#define VTK_STREAMS_FWD_ONLY
#include "vtkCollectTable.h"

//@@Signature
//sfunction @vtkCollectTable:vtkCollectTable vtkCollectTableConstructorFunction
//input a
//output p
//@@Parents vtkCollectTable vtkTableAlgorithm 
ArrayVector vtkCollectTableConstructorFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) {
    return MakeVTKPointer(vtkCollectTable::New(),"vtkCollectTable",eval);
  } else if (arg[0].className() == "vtkCollectTable") {
    return arg[0];
  } else {
    vtkObjectBase *p = GetVTKPointer<vtkObjectBase>(arg[0]);
    if (!p->IsA("vtkCollectTable"))
      throw Exception("Unable to type convert supplied object to an instance of type vtkCollectTable");
    vtkCollectTable*q = reinterpret_cast<vtkCollectTable*>(p);
    Array ret(arg[0]);
    ret.structPtr().setClassName("vtkCollectTable");
    return ret;
  }
}
//@@Signature
//sfunction @vtkCollectTable:GetClassName vtkCollectTableGetClassNameFunction
//input a0 
//output y
ArrayVector vtkCollectTableGetClassNameFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature const char *GetClassName (); */
  if (arg.size() < 1) 
    throw Exception("Function GetClassName for class vtkCollectTable requires 1 argument(s)");
  vtkCollectTable* vtk_pointer = GetVTKPointer<vtkCollectTable>(arg[0]);
  Array retval;
  const char    *temp20;
  temp20 = (vtk_pointer)->GetClassName();
  retval = Array(QString(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCollectTable:IsA vtkCollectTableIsAFunction
//input a0 a1 
//output y
ArrayVector vtkCollectTableIsAFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int IsA (const char *name); */
  if (arg.size() < 2) 
    throw Exception("Function IsA for class vtkCollectTable requires 2 argument(s)");
  vtkCollectTable* vtk_pointer = GetVTKPointer<vtkCollectTable>(arg[0]);
  Array retval;
  char    *temp0;
  int      temp20;
  char tmp_string0[1024];
  strcpy(tmp_string0,qPrintable(arg[1].asString())); 
  temp0 = tmp_string0;
  temp20 = (vtk_pointer)->IsA(temp0);
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCollectTable:NewInstance vtkCollectTableNewInstanceFunction
//input a0 
//output y
ArrayVector vtkCollectTableNewInstanceFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCollectTable *NewInstance (); */
  if (arg.size() < 1) 
    throw Exception("Function NewInstance for class vtkCollectTable requires 1 argument(s)");
  vtkCollectTable* vtk_pointer = GetVTKPointer<vtkCollectTable>(arg[0]);
  Array retval;
  vtkCollectTable  *temp20;
  temp20 = (vtk_pointer)->NewInstance();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCollectTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCollectTable:SafeDownCast vtkCollectTableSafeDownCastFunction
//input a0 a1 
//output y
ArrayVector vtkCollectTableSafeDownCastFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkCollectTable *SafeDownCast (vtkObject* o); */
  if (arg.size() < 2) 
    throw Exception("Function SafeDownCast for class vtkCollectTable requires 2 argument(s)");
  vtkCollectTable* vtk_pointer = GetVTKPointer<vtkCollectTable>(arg[0]);
  Array retval;
  vtkObject  *temp0;
  vtkCollectTable  *temp20;
  temp0 = GetVTKPointer<vtkObject>(arg[1]);
  temp20 = (vtk_pointer)->SafeDownCast(temp0);
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkCollectTable",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCollectTable:SetController vtkCollectTableSetControllerFunction
//input a0 a1 
//output none
ArrayVector vtkCollectTableSetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetController (vtkMultiProcessController *); */
  if (arg.size() < 2) 
    throw Exception("Function SetController for class vtkCollectTable requires 2 argument(s)");
  vtkCollectTable* vtk_pointer = GetVTKPointer<vtkCollectTable>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp0;
  temp0 = GetVTKPointer<vtkMultiProcessController>(arg[1]);
  vtk_pointer->SetController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCollectTable:GetController vtkCollectTableGetControllerFunction
//input a0 
//output y
ArrayVector vtkCollectTableGetControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkMultiProcessController *GetController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetController for class vtkCollectTable requires 1 argument(s)");
  vtkCollectTable* vtk_pointer = GetVTKPointer<vtkCollectTable>(arg[0]);
  Array retval;
  vtkMultiProcessController  *temp20;
  temp20 = (vtk_pointer)->GetController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkMultiProcessController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCollectTable:SetSocketController vtkCollectTableSetSocketControllerFunction
//input a0 a1 
//output none
ArrayVector vtkCollectTableSetSocketControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature virtual void SetSocketController (vtkSocketController *); */
  if (arg.size() < 2) 
    throw Exception("Function SetSocketController for class vtkCollectTable requires 2 argument(s)");
  vtkCollectTable* vtk_pointer = GetVTKPointer<vtkCollectTable>(arg[0]);
  Array retval;
  vtkSocketController  *temp0;
  temp0 = GetVTKPointer<vtkSocketController>(arg[1]);
  vtk_pointer->SetSocketController(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCollectTable:GetSocketController vtkCollectTableGetSocketControllerFunction
//input a0 
//output y
ArrayVector vtkCollectTableGetSocketControllerFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature vtkSocketController *GetSocketController (); */
  if (arg.size() < 1) 
    throw Exception("Function GetSocketController for class vtkCollectTable requires 1 argument(s)");
  vtkCollectTable* vtk_pointer = GetVTKPointer<vtkCollectTable>(arg[0]);
  Array retval;
  vtkSocketController  *temp20;
  temp20 = (vtk_pointer)->GetSocketController();
  retval = MakeVTKPointer((vtkObjectBase*)(temp20),"vtkSocketController",eval,true);
  return retval;
}

//@@Signature
//sfunction @vtkCollectTable:SetPassThrough vtkCollectTableSetPassThroughFunction
//input a0 a1 
//output none
ArrayVector vtkCollectTableSetPassThroughFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void SetPassThrough (int ); */
  if (arg.size() < 2) 
    throw Exception("Function SetPassThrough for class vtkCollectTable requires 2 argument(s)");
  vtkCollectTable* vtk_pointer = GetVTKPointer<vtkCollectTable>(arg[0]);
  Array retval;
  int      temp0;
  if ( !arg[1].isScalar() )
    throw Exception("Expecting a scalar argument");
  temp0 = (int) arg[1].asDouble();
  vtk_pointer->SetPassThrough(temp0);
  return retval;
}

//@@Signature
//sfunction @vtkCollectTable:GetPassThrough vtkCollectTableGetPassThroughFunction
//input a0 
//output y
ArrayVector vtkCollectTableGetPassThroughFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature int GetPassThrough (); */
  if (arg.size() < 1) 
    throw Exception("Function GetPassThrough for class vtkCollectTable requires 1 argument(s)");
  vtkCollectTable* vtk_pointer = GetVTKPointer<vtkCollectTable>(arg[0]);
  Array retval;
  int      temp20;
  temp20 = (vtk_pointer)->GetPassThrough();
  retval = Array(double(temp20));
  return retval;
}

//@@Signature
//sfunction @vtkCollectTable:PassThroughOn vtkCollectTablePassThroughOnFunction
//input a0 
//output none
ArrayVector vtkCollectTablePassThroughOnFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassThroughOn (); */
  if (arg.size() < 1) 
    throw Exception("Function PassThroughOn for class vtkCollectTable requires 1 argument(s)");
  vtkCollectTable* vtk_pointer = GetVTKPointer<vtkCollectTable>(arg[0]);
  Array retval;
  vtk_pointer->PassThroughOn();
  return retval;
}

//@@Signature
//sfunction @vtkCollectTable:PassThroughOff vtkCollectTablePassThroughOffFunction
//input a0 
//output none
ArrayVector vtkCollectTablePassThroughOffFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  /* Signature void PassThroughOff (); */
  if (arg.size() < 1) 
    throw Exception("Function PassThroughOff for class vtkCollectTable requires 1 argument(s)");
  vtkCollectTable* vtk_pointer = GetVTKPointer<vtkCollectTable>(arg[0]);
  Array retval;
  vtk_pointer->PassThroughOff();
  return retval;
}

//@@Signature
//sfunction @vtkCollectTable:display vtkCollectTableDisplayFunction
//input varargin
//output varargout
ArrayVector vtkCollectTableDisplayFunction(int nargout, const ArrayVector& arg, Interpreter *eval) {
  if (arg.size() == 0) return ArrayVector();
  if (arg[0].length() > 1) {
     PrintArrayClassic(arg[0],100,eval);
     return ArrayVector();
  }
  vtkCollectTable* vtk_pointer = GetVTKPointer<vtkCollectTable>(arg[0]);
  std::ostringstream ss;
  vtkIndent ind;
  vtk_pointer->PrintSelf(ss,ind);
  eval->outputMessage(QString::fromStdString(ss.str()));
  return ArrayVector();
}
//@@Signature
//function @vtkCollectTable:delete vtkCollectTableDeleteFunction
//input varargin
//output none
ArrayVector vtkCollectTableDeleteFunction(int nargout, const ArrayVector& arg) {
  if (arg.size() == 0) return ArrayVector();
  DeleteVTKObject(arg[0]);
  return ArrayVector();
}
//!
//@Module vtkCollectTable
//@@Section VTKParallel
//@@Usage
// This filter has code to collect a table from across processes onto node 0.
// Collection can be turned on or off using the "PassThrough" flag.
//
//To create an instance of class vtkCollectTable, simply
//invoke its constructor as follows
//@[
//  obj = vtkCollectTable
//@]
//@@Methods
//The class vtkCollectTable has several methods that can be used.
//  They are listed below.
//Note that the documentation is translated automatically from the VTK sources,
//and may not be completely intelligible.  When in doubt, consult the VTK website.
//In the methods listed below, @|obj| is an instance of the vtkCollectTable class.
//\begin{itemize}
// \item @|string = obj.GetClassName ()|
// \item @|int = obj.IsA (string name)|
// \item @|vtkCollectTable = obj.NewInstance ()|
// \item @|vtkCollectTable = obj.SafeDownCast (vtkObject o)|
// \item @|obj.SetController (vtkMultiProcessController )| -  By defualt this filter uses the global controller,
// but this method can be used to set another instead.
//// \item @|vtkMultiProcessController = obj.GetController ()| -  By defualt this filter uses the global controller,
// but this method can be used to set another instead.
//// \item @|obj.SetSocketController (vtkSocketController )| -  When this filter is being used in client-server mode,
// this is the controller used to communicate between
// client and server.  Client should not set the other controller.
//// \item @|vtkSocketController = obj.GetSocketController ()| -  When this filter is being used in client-server mode,
// this is the controller used to communicate between
// client and server.  Client should not set the other controller.
//// \item @|obj.SetPassThrough (int )| -  To collect or just copy input to output. Off (collect) by default.
//// \item @|int = obj.GetPassThrough ()| -  To collect or just copy input to output. Off (collect) by default.
//// \item @|obj.PassThroughOn ()| -  To collect or just copy input to output. Off (collect) by default.
//// \item @|obj.PassThroughOff ()| -  To collect or just copy input to output. Off (collect) by default.
////\end{itemize}
//!
